--
-- PostgreSQL database dump
--

-- Dumped from database version 15.10 (Debian 15.10-0+deb12u1)
-- Dumped by pg_dump version 15.10 (Debian 15.10-0+deb12u1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: app; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA app;


ALTER SCHEMA app OWNER TO xrad_user;

--
-- Name: button; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA button;


ALTER SCHEMA button OWNER TO xrad_user;

--
-- Name: cmp; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA cmp;


ALTER SCHEMA cmp OWNER TO xrad_user;

--
-- Name: da; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA da;


ALTER SCHEMA da OWNER TO xrad_user;

--
-- Name: debug; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA debug;


ALTER SCHEMA debug OWNER TO xrad_user;

--
-- Name: dg; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA dg;


ALTER SCHEMA dg OWNER TO xrad_user;

--
-- Name: dict; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA dict;


ALTER SCHEMA dict OWNER TO xrad_user;

--
-- Name: ds; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA ds;


ALTER SCHEMA ds OWNER TO xrad_user;

--
-- Name: export; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA export;


ALTER SCHEMA export OWNER TO xrad_user;

--
-- Name: item; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA item;


ALTER SCHEMA item OWNER TO xrad_user;

--
-- Name: list; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA list;


ALTER SCHEMA list OWNER TO xrad_user;

--
-- Name: page; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA page;


ALTER SCHEMA page OWNER TO xrad_user;

--
-- Name: region; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA region;


ALTER SCHEMA region OWNER TO xrad_user;

--
-- Name: utils; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA utils;


ALTER SCHEMA utils OWNER TO xrad_user;

--
-- Name: ver; Type: SCHEMA; Schema: -; Owner: xrad_user
--

CREATE SCHEMA ver;


ALTER SCHEMA ver OWNER TO xrad_user;

--
-- Name: hstore; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS hstore WITH SCHEMA public;


--
-- Name: EXTENSION hstore; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION hstore IS 'data type for storing sets of (key, value) pairs';


--
-- Name: pgcrypto; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS pgcrypto WITH SCHEMA public;


--
-- Name: EXTENSION pgcrypto; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION pgcrypto IS 'cryptographic functions';


--
-- Name: uuid-ossp; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS "uuid-ossp" WITH SCHEMA public;


--
-- Name: EXTENSION "uuid-ossp"; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION "uuid-ossp" IS 'generate universally unique identifiers (UUIDs)';


--
-- Name: component; Type: TYPE; Schema: export; Owner: xrad_user
--

CREATE TYPE export.component AS (
	comp_type character varying(50),
	id character varying(500)
);


ALTER TYPE export.component OWNER TO xrad_user;

--
-- Name: check_session(character varying); Type: FUNCTION; Schema: app; Owner: xrad_user
--

CREATE FUNCTION app.check_session(p_session character varying) RETURNS boolean
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id BIGINT;
  l_user varchar;
  l_idle interval;
BEGIN
  SELECT s.id,s.user_name
  INTO l_id, l_user
  FROM app.t_sessions s
  WHERE s.cookie_value = p_session
  AND CURRENT_TIMESTAMP < s.idle_timeout_on
  AND CURRENT_TIMESTAMP < s.life_timeout_on;

  IF NOT FOUND THEN
    RETURN FALSE;
  END IF;


  SELECT S."value"::interval INTO l_idle FROM app.t_settings s where s."key" = 'IDLE_TIMEOUT';

  UPDATE app.t_sessions s set idle_timeout_on = CURRENT_TIMESTAMP + l_idle where s.id = l_id;

  return true;
END;
$$;


ALTER FUNCTION app.check_session(p_session character varying) OWNER TO xrad_user;

--
-- Name: f_create_session(character varying); Type: FUNCTION; Schema: app; Owner: xrad_user
--

CREATE FUNCTION app.f_create_session(p_username character varying) RETURNS character varying
    LANGUAGE plpgsql
    AS $$
DECLARE 
  L_UID VARCHAR;
  L_SESSION VARCHAR;
  L_IDLE    INTERVAL;
  L_LIFE    INTERVAL;
BEGIN	
  SELECT S."value"::interval INTO L_IDLE FROM app.t_settings s where s."key" = 'IDLE_TIMEOUT';
  
  SELECT S."value"::interval INTO L_LIFE FROM app.t_settings s where s."key" = 'LIFE_TIMEOUT';
  
  SELECT uuid_generate_v4()::text INTO L_UID; 
  
  SELECT encode(digest(L_UID||P_USERNAME, 'sha256'), 'hex') INTO L_SESSION;
  
  INSERT INTO app.t_sessions(cookie_value,created_on,idle_timeout_on,life_timeout_on,user_name)
  VALUES (L_SESSION,CURRENT_TIMESTAMP,CURRENT_TIMESTAMP + L_IDLE,CURRENT_TIMESTAMP + L_LIFE,p_username);
		
  return L_SESSION;
END
$$;


ALTER FUNCTION app.f_create_session(p_username character varying) OWNER TO xrad_user;

--
-- Name: f_login_user(character varying, character varying); Type: FUNCTION; Schema: app; Owner: xrad_user
--

CREATE FUNCTION app.f_login_user(p_login character varying, p_password character varying) RETURNS TABLE(success boolean, result text)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
BEGIN
  select u.id_user, 
         u.password,
         u.failed_access_attempts,
         u.account_locked 
  into strict l_rec
  from app.t_app_users u 
  where upper(u.user_name) = upper(p_login);
  
  if l_rec.account_locked then
    success := false;
    result  := 'Account is locked';
    
	return next;
    return;
  end if;
  
  if l_rec.password != crypt(p_password,l_rec.password) then      
    update app.t_app_users u 
       set last_failed_login = current_timestamp,
           failed_access_attempts = failed_access_attempts+1,
           account_locked = failed_access_attempts >= 9
    where  u.id_user = l_rec.id_user;
    
    success := false;
    result  := 'Invalid Login Credential';
    
	return next;
    return; 
  end if;   
  
  update app.t_app_users u 
     set last_login = current_timestamp,
         failed_access_attempts = 0,
         builder_login_count = builder_login_count+1
   where u.id_user = l_rec.id_user;
  
  success := true;
  result  := app.f_create_session(upper(p_login));
  
  return next;
  return;
  
EXCEPTION
WHEN NO_DATA_FOUND THEN
  success := false;
  result  := 'Invalid Login Credential';
  return next;
  return;
END;
$$;


ALTER FUNCTION app.f_login_user(p_login character varying, p_password character varying) OWNER TO xrad_user;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: t_app_processing; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_app_processing (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    process_seq integer NOT NULL,
    process_name character varying(500) NOT NULL,
    process_type character varying(50) DEFAULT 'SHOW'::character varying NOT NULL,
    request_name character varying(500),
    error_message character varying(1000),
    process_code text NOT NULL,
    input_parameters character varying(100)[],
    output_parameters character varying(100)[],
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    commit_tx boolean DEFAULT false NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL,
    CONSTRAINT chk_processing_type CHECK (((process_type)::text = ANY (ARRAY[('SHOW'::character varying)::text, ('PROCESS'::character varying)::text, ('AJAX'::character varying)::text])))
);


ALTER TABLE app.t_app_processing OWNER TO xrad_user;

--
-- Name: get_processings(character varying, character varying); Type: FUNCTION; Schema: app; Owner: xrad_user
--

CREATE FUNCTION app.get_processings(p_type character varying, p_request character varying DEFAULT NULL::character varying) RETURNS SETOF app.t_app_processing
    LANGUAGE plpgsql
    AS $_$
DECLARE
  l_query text;
BEGIN
  l_query := $q$
  	SELECT *
    FROM app.t_app_processing p
    WHERE p.process_type = $1
  $q$;
  
  if p_request is not null THEN
    l_query := l_query|| 'and (p.request_name = $2 or p.request_name is null)';
  else
    l_query := l_query|| 'and p.request_name is null';
  end if;
  
  l_query := l_query|| ' order by p.process_seq';
  
  RETURN QUERY EXECUTE l_query USING p_type, p_request;
    
  RETURN;
END;
$_$;


ALTER FUNCTION app.get_processings(p_type character varying, p_request character varying) OWNER TO xrad_user;

--
-- Name: t_session_values; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE UNLOGGED TABLE app.t_session_values (
    id_session bigint NOT NULL,
    item_name character varying(500),
    item_value text,
    session_state_status character(1),
    id_item uuid,
    CONSTRAINT t_session_values_chk CHECK ((session_state_status = ANY (ARRAY['U'::bpchar, 'I'::bpchar, 'R'::bpchar])))
);


ALTER TABLE app.t_session_values OWNER TO xrad_user;

--
-- Name: COLUMN t_session_values.id_session; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_session_values.id_session IS 'ИД сессии';


--
-- Name: COLUMN t_session_values.item_name; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_session_values.item_name IS 'Название итема';


--
-- Name: COLUMN t_session_values.item_value; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_session_values.item_value IS 'Значение итема';


--
-- Name: COLUMN t_session_values.session_state_status; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_session_values.session_state_status IS 'Обновлено(U), Вставлено(I), Удалено(R)';


--
-- Name: COLUMN t_session_values.id_item; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_session_values.id_item IS 'ИД элемента';


--
-- Name: get_set_session_vals(json, character varying); Type: FUNCTION; Schema: app; Owner: xrad_user
--

CREATE FUNCTION app.get_set_session_vals(p_values json, p_session character varying) RETURNS SETOF app.t_session_values
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id_session bigint;
  l_rec        record;
  l_ret        app.t_session_values%rowtype;
  l_json       json := p_values;
BEGIN
  select s.id into l_id_session from app.t_sessions s where s.cookie_value = p_session;  
  
  for l_rec in 
  select v.key from json_each_text(l_json) v
  where not exists (select from item.t_page_items i where i.name = v.key
                    union all 
                    select from item.t_global_items g where g.item_name = v.key)
  loop
     raise 'Undefined item %',l_rec.key;
  end loop;
  
  
  INSERT INTO app.t_session_values(id_session,id_item,item_name,item_value,session_state_status)
  SELECT l_id_session,t.id,v.key, trim(v.value), 'I' FROM json_each_text(l_json) v
  LEFT OUTER JOIN item.t_page_items t on (t.name = v.key and t.is_temp = false)
  LEFT OUTER JOIN item.t_global_items g on (g.item_name = v.key and g.is_temp = false)
  where t.name is not null or g.item_name is not null
  ON CONFLICT (id_session,item_name)
  DO UPDATE SET
    item_value = excluded.item_value,
    session_state_status = 'U';
    
  FOR l_ret IN SELECT * FROM app.t_session_values v where v.id_session = l_id_session
  LOOP
    RETURN NEXT l_ret;
  END LOOP;           
  return; 
END;
$$;


ALTER FUNCTION app.get_set_session_vals(p_values json, p_session character varying) OWNER TO xrad_user;

--
-- Name: get_setting(character varying); Type: FUNCTION; Schema: app; Owner: postgres
--

CREATE FUNCTION app.get_setting(p_key character varying) RETURNS text
    LANGUAGE plpgsql STRICT
    AS $$
declare
 l_ret text;
begin
 select s.value into strict l_ret from app.t_settings s where s.key = p_key;
 return l_ret;
end;
$$;


ALTER FUNCTION app.get_setting(p_key character varying) OWNER TO postgres;

--
-- Name: job_delete_sessions(); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.job_delete_sessions()
    LANGUAGE plpgsql
    AS $$
DECLARE
  i record;
  j record;
  l_id uuid;
BEGIN
  for i in select s.id, s.cookie_value from app.t_sessions s where s.idle_timeout_on < CURRENT_TIMESTAMP or s.life_timeout_on < CURRENT_TIMESTAMP
  loop
    delete from cmp.t_report_conditions c where c.id_report in 
    	(select r.id from cmp.t_saved_reports r 
      where r.id_session = i.cookie_value);
      
    delete from cmp.t_saved_reports r where r.id_session = i.cookie_value;
    delete from app.t_session_values v where v.id_session = i.id;
    delete from app.t_sessions s where s.id = i.id;
    
    for j in 
      select r.id from dg.t_dg_reports r where r.id_session = i.id
    loop
      delete from dg.t_dg_report_columns c where c.id_report = j.id;    
	    delete from dg.t_dg_report_filters f where f.id_report = j.id;
      delete from dg.t_dg_report_highlights h where h.id_report = j.id;
  	  delete from dg.t_dg_reports r where r.id = j.id;
    end loop;    
    
  end loop;  
 
END;
$$;


ALTER PROCEDURE app.job_delete_sessions() OWNER TO xrad_user;

--
-- Name: p_create_app_processing(integer, integer, character varying, character varying, text, character varying, character varying, character varying[], character varying[], character varying, text, character varying[], text, character varying[], boolean, uuid, character varying); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_create_app_processing(IN p_process_seq integer, IN p_id_source integer, IN p_process_name character varying, IN p_process_type character varying, IN p_process_code text, IN p_request_name character varying DEFAULT NULL::character varying, IN p_error_message character varying DEFAULT NULL::character varying, IN p_input_parameters character varying[] DEFAULT NULL::character varying[], IN p_output_parameters character varying[] DEFAULT NULL::character varying[], IN p_condition_type character varying DEFAULT NULL::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_commit_tx boolean DEFAULT false, IN p_id uuid DEFAULT NULL::uuid, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
  l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);  
BEGIN
  if l_export then
    delete from app.t_app_processing p where p.id = p_id;
  end if;
  
  INSERT INTO app.t_app_processing
		(id, process_seq, process_name, process_type,request_name,error_message, process_code,
	   input_parameters, output_parameters, condition_type, condition_first, condition_first_input,
  	 condition_second, condition_second_input, commit_tx, id_source, created_by, created_on)
	VALUES 
    (l_id,p_process_seq, p_process_name, p_process_type, p_request_name, p_error_message, p_process_code,
     p_input_parameters, p_output_parameters, p_condition_type, p_condition_first, p_condition_first_input,
     p_condition_second, p_condition_second_input, p_commit_tx, p_id_source, p_created_by, CURRENT_TIMESTAMP);
END;
$$;


ALTER PROCEDURE app.p_create_app_processing(IN p_process_seq integer, IN p_id_source integer, IN p_process_name character varying, IN p_process_type character varying, IN p_process_code text, IN p_request_name character varying, IN p_error_message character varying, IN p_input_parameters character varying[], IN p_output_parameters character varying[], IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_commit_tx boolean, IN p_id uuid, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_create_auth(uuid, uuid, character varying, integer, integer, character varying, text, character varying[], text, character varying[], character varying[], character varying, character varying, character varying, text, character varying[], text, character varying[]); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_create_auth(IN p_id uuid, IN p_id_page uuid, IN p_auth_name character varying, IN p_id_source integer, IN p_auth_seq integer DEFAULT 0, IN p_auth_type character varying DEFAULT 'CUSTOM'::character varying, IN p_auth_code text DEFAULT NULL::text, IN p_auth_code_input character varying[] DEFAULT NULL::character varying[], IN p_post_login_func text DEFAULT NULL::text, IN p_input_params character varying[] DEFAULT NULL::character varying[], IN p_output_params character varying[] DEFAULT NULL::character varying[], IN p_ldap_user_item character varying DEFAULT NULL::character varying, IN p_ldap_pass_item character varying DEFAULT NULL::character varying, IN p_condition_type character varying DEFAULT 'ALWAYS'::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[])
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id   uuid := coalesce(p_id, uuid_generate_v4());
BEGIN  
  INSERT INTO app.t_authentications
   (id,id_page,auth_seq,auth_name,auth_type,id_source,auth_code,auth_code_input, post_login_func,
    input_params, output_params,condition_type, condition_first, condition_first_input, condition_second,
    condition_second_input,ldap_user_item, ldap_pass_item)
  VALUES 
   (l_id,p_id_page,p_auth_seq,p_auth_name,p_auth_type,p_id_source,p_auth_code,p_auth_code_input,
    p_post_login_func,p_input_params,p_output_params,p_condition_type,p_condition_first,
    p_condition_first_input,p_condition_second,p_condition_second_input,p_ldap_user_item,
    p_ldap_pass_item);
END;
$$;


ALTER PROCEDURE app.p_create_auth(IN p_id uuid, IN p_id_page uuid, IN p_auth_name character varying, IN p_id_source integer, IN p_auth_seq integer, IN p_auth_type character varying, IN p_auth_code text, IN p_auth_code_input character varying[], IN p_post_login_func text, IN p_input_params character varying[], IN p_output_params character varying[], IN p_ldap_user_item character varying, IN p_ldap_pass_item character varying, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[]) OWNER TO xrad_user;

--
-- Name: p_create_auth_list(character varying, character varying, integer); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_create_auth_list(IN p_auth_name character varying, IN p_auth_type character varying, IN p_id integer DEFAULT NULL::integer)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id int := coalesce(p_id, nextval('app.t_auth_list_id_seq'));
  l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);
BEGIN
  if l_export then 
    delete from app.t_auth_list l where l.id = p_id;
  end if;

  insert into app.t_auth_list(id,auth_name,auth_type) 
  values (l_id,p_auth_name,p_auth_type);

END;
$$;


ALTER PROCEDURE app.p_create_auth_list(IN p_auth_name character varying, IN p_auth_type character varying, IN p_id integer) OWNER TO xrad_user;

--
-- Name: p_create_authorization(character varying, text, text, integer, character varying[], bigint, character varying); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_create_authorization(IN p_name character varying, IN p_source text, IN p_error text, IN p_id_source integer, IN p_input character varying[] DEFAULT NULL::character varying[], IN p_id bigint DEFAULT NULL::bigint, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
declare
  l_id   int;
  l_last int;
  l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);
begin

 if l_export then
   delete from app.t_authorization_schemes a where a.id = p_id;
 end if;
 
 if p_id is not null then
    l_id := p_id;
    select last_value into l_last from app.t_authorization_schemes_id_seq;
    if l_last <= p_id then
      perform setval('app.t_authorization_schemes_id_seq', p_id+1);
    end if;
  else
    l_id := nextval('app.t_authorization_schemes_id_seq');
 end if;
      
 INSERT INTO app.t_authorization_schemes
  (name, source, input, error_message,id_source,id,created_by,created_on)
 VALUES 
  (p_name,p_source,p_input,p_error,p_id_source,l_id,p_created_by,current_timestamp);

 
end;
$$;


ALTER PROCEDURE app.p_create_authorization(IN p_name character varying, IN p_source text, IN p_error text, IN p_id_source integer, IN p_input character varying[], IN p_id bigint, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_create_data_source(character varying, integer); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_create_data_source(IN p_source_name character varying, IN p_id integer DEFAULT NULL::integer)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id   int;
  l_last int;
  l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);
BEGIN
  
  if l_export then
    delete from app.t_data_sources s where s.id = p_id;
  end if;

  if p_id is not null then
    l_id := p_id;
    select last_value into l_last from app.t_data_sources_id_seq;
      
    if l_last <= p_id then
      perform setval('app.t_data_sources_id_seq', p_id+1);
    end if;
  else
    l_id := nextval('app.t_data_sources_id_seq');
  end if;
    
  insert into app.t_data_sources(id,source_name)
  values(l_id,p_source_name);  
END;
$$;


ALTER PROCEDURE app.p_create_data_source(IN p_source_name character varying, IN p_id integer) OWNER TO xrad_user;

--
-- Name: p_create_user(character varying, character varying, character varying, character varying, character varying, character varying, boolean, character varying); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_create_user(IN p_username character varying, IN p_first_name character varying, IN p_last_name character varying, IN p_email character varying, IN p_password character varying, IN p_role character varying, IN p_locked boolean DEFAULT false, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
BEGIN
 
 INSERT INTO app.t_app_users
	(user_name, first_name,last_name,creation_date,created_by,last_update_date,
	 last_updated_by, email_address, password, builder_login_count, account_locked,
	 account_expiry, failed_access_attempts,user_role)
 VALUES
    (upper(p_username), nullif(p_first_name,''), nullif(p_last_name,''), CURRENT_TIMESTAMP, p_created_by,
     current_timestamp, p_created_by, nullif(p_email,''), crypt(p_password, gen_salt('md5')), 0, 
     p_locked, current_timestamp +interval '30' day, 0,p_role);
END;
$$;


ALTER PROCEDURE app.p_create_user(IN p_username character varying, IN p_first_name character varying, IN p_last_name character varying, IN p_email character varying, IN p_password character varying, IN p_role character varying, IN p_locked boolean, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_delete_application(); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_delete_application()
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
BEGIN
  SET CONSTRAINTS ALL DEFERRED;

	delete from app.t_authentications s;  
  delete from app.t_data_sources;
  delete from app.t_authorization_schemes;  
  delete from app.t_app_processing;
  delete from list.t_list_items;
  delete from list.t_lists;
  delete from item.t_global_items where not built_in;
  delete from page.t_page_locks;  
  
  for l_rec in 
   select id from page.t_pages
  loop
    call page.p_delete_page(l_rec.id);
  end loop;  
  delete from app.t_auth_list;
  delete from page.t_folders;
  
END;
$$;


ALTER PROCEDURE app.p_delete_application() OWNER TO xrad_user;

--
-- Name: p_delete_session(character varying); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_delete_session(IN p_cookie character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id bigint;
  l_rec record;
BEGIN
   select s.id into l_id from app.t_sessions s where s.cookie_value = p_cookie;
   for l_rec in 
     select r.id from cmp.t_saved_reports r where r.id_session = p_cookie and not r.is_default
   loop
     delete from cmp.t_report_conditions c where c.id_report = l_rec.id;
   end loop;
   
 	 delete from cmp.t_saved_reports r where r.id_session = p_cookie and not r.is_default;     
   delete from app.t_session_values v where v.id_session = l_id;
   delete from app.t_sessions s where s.id = l_id;
END;
$$;


ALTER PROCEDURE app.p_delete_session(IN p_cookie character varying) OWNER TO xrad_user;

--
-- Name: p_set_session_items(public.hstore, bigint); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_set_session_items(IN p_values public.hstore, IN p_session_id bigint)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
BEGIN	  
  for l_rec in 
  select * from skeys(p_values) skey
  where not exists (select from item.t_page_items i where i.name = skey
                    union all 
                    select from item.t_global_items g where g.item_name = skey)
  loop     
     raise 'Undefined item %',l_rec.skey;
  end loop;
  
  for l_rec in 
    select coalesce(t.id,g.id) id, vals.key, vals.value val
    from each(p_values) vals
    left outer join item.t_page_items t on (t.name = vals.key and t.is_temp = false)
    left outer join item.t_global_items g on (g.item_name = vals.key and g.is_temp = false)
    where t.name is not null or g.item_name is not null
  loop
  	CALL app.p_set_session_value(
    					p_id_session => p_session_id, 
              p_item_value => l_rec.val, 
              p_item_name  => l_rec.key, 
              p_id_item    => l_rec.id
         );
  end loop;
        
END;
$$;


ALTER PROCEDURE app.p_set_session_items(IN p_values public.hstore, IN p_session_id bigint) OWNER TO xrad_user;

--
-- Name: p_set_session_value(bigint, uuid, character varying, character varying); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_set_session_value(IN p_id_session bigint, IN p_id_item uuid, IN p_item_value character varying, IN p_item_name character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
BEGIN	  
  if p_item_name is null and p_id_item is null then
  	raise 'Error setting session state for undefined item.';
  end if;

  
  INSERT INTO app.t_session_values
		(id_session,item_name,item_value, session_state_status, id_item)
	VALUES 
  	(p_id_session,p_item_name,p_item_value,'I',p_id_item)
  ON CONFLICT (id_session,id_item)
  DO UPDATE SET
    item_value = excluded.item_value,
    session_state_status = 'U';

END;
$$;


ALTER PROCEDURE app.p_set_session_value(IN p_id_session bigint, IN p_id_item uuid, IN p_item_value character varying, IN p_item_name character varying) OWNER TO xrad_user;

--
-- Name: p_update_app_processing(uuid, integer, integer, character varying, character varying, text, character varying, character varying, character varying[], character varying[], character varying, text, character varying[], text, character varying[], boolean, character varying); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_update_app_processing(IN p_id uuid, IN p_id_source integer, IN p_process_seq integer, IN p_process_name character varying, IN p_process_type character varying, IN p_process_code text, IN p_request_name character varying DEFAULT NULL::character varying, IN p_error_message character varying DEFAULT NULL::character varying, IN p_input_parameters character varying[] DEFAULT NULL::character varying[], IN p_output_parameters character varying[] DEFAULT NULL::character varying[], IN p_condition_type character varying DEFAULT NULL::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_commit_tx boolean DEFAULT false, IN p_updated_by character varying DEFAULT false)
    LANGUAGE plpgsql
    AS $$
BEGIN
  UPDATE app.t_app_processing 
  SET  process_seq = p_process_seq,
       process_name = p_process_name,
       process_type = p_process_type,
       request_name = p_request_name,
       error_message = p_error_message,
       process_code = p_process_code,
       input_parameters = p_input_parameters,
       output_parameters = p_output_parameters,
       condition_type = p_condition_type,
       condition_first = p_condition_first,
       condition_first_input = p_condition_first_input,
       condition_second = p_condition_second,
       condition_second_input = p_condition_second_input,
       commit_tx = p_commit_tx,
       id_source = p_id_source,
       last_updated_by = p_updated_by,
       last_updated_on = current_timestamp
	WHERE  id = p_id
;
END;
$$;


ALTER PROCEDURE app.p_update_app_processing(IN p_id uuid, IN p_id_source integer, IN p_process_seq integer, IN p_process_name character varying, IN p_process_type character varying, IN p_process_code text, IN p_request_name character varying, IN p_error_message character varying, IN p_input_parameters character varying[], IN p_output_parameters character varying[], IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_commit_tx boolean, IN p_updated_by character varying) OWNER TO xrad_user;

--
-- Name: p_update_user(integer, character varying, character varying, character varying, character varying, boolean, character varying); Type: PROCEDURE; Schema: app; Owner: xrad_user
--

CREATE PROCEDURE app.p_update_user(IN p_id integer, IN p_first_name character varying, IN p_last_name character varying, IN p_email character varying, IN p_password character varying, IN p_locked boolean DEFAULT false, IN p_role character varying DEFAULT 'VIEW'::character varying)
    LANGUAGE plpgsql
    AS $$
BEGIN
  UPDATE 
    app.t_app_users s
  SET   
    first_name = p_first_name,
    last_name = p_last_name,  
    last_update_date = CURRENT_TIMESTAMP,
    email_address = p_email,
    password = case  
                when p_password is null then s.password 
    				    else crypt(p_password, gen_salt('md5')) 
               end,
    account_locked = p_locked,
    user_role = p_role
  WHERE 
    id_user = p_id;
END;
$$;


ALTER PROCEDURE app.p_update_user(IN p_id integer, IN p_first_name character varying, IN p_last_name character varying, IN p_email character varying, IN p_password character varying, IN p_locked boolean, IN p_role character varying) OWNER TO xrad_user;

--
-- Name: f_create_button(uuid, uuid, character varying, integer, uuid, integer, character varying, character varying, character varying, text, character varying[], text, character varying[], character varying, character varying, character varying, uuid, character varying, bigint, character varying, integer, boolean, character varying, character varying, text, text); Type: FUNCTION; Schema: button; Owner: xrad_user
--

CREATE FUNCTION button.f_create_button(p_id_page uuid, p_id_region uuid, p_name character varying, p_id_source integer, p_id uuid DEFAULT NULL::uuid, p_sequence integer DEFAULT NULL::integer, p_static_id character varying DEFAULT NULL::character varying, p_alias character varying DEFAULT NULL::character varying, p_condition_type character varying DEFAULT NULL::character varying, p_condition_first text DEFAULT NULL::text, p_condition_first_input character varying[] DEFAULT NULL::character varying[], p_condition_second text DEFAULT NULL::text, p_condition_second_input character varying[] DEFAULT NULL::character varying[], p_redirect_url character varying DEFAULT NULL::character varying, p_position character varying DEFAULT NULL::character varying, p_class character varying DEFAULT NULL::character varying, p_id_item uuid DEFAULT NULL::uuid, p_location character varying DEFAULT NULL::character varying, p_id_list bigint DEFAULT NULL::bigint, p_button_action character varying DEFAULT NULL::character varying, p_col_span integer DEFAULT NULL::integer, p_start_new_row boolean DEFAULT NULL::boolean, p_created_by character varying DEFAULT NULL::character varying, p_link_target character varying DEFAULT NULL::character varying, p_link_title text DEFAULT NULL::character varying, p_link_class text DEFAULT NULL::character varying) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := COALESCE(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO button.t_buttons
    (id, id_page, id_region, SEQUENCE, NAME, static_id, alias, condition_type, 
    condition_first, condition_first_input,condition_second, condition_second_input, 
    redirect_url, position, class, id_item, LOCATION, id_list, button_action, 
    col_span, start_new_row, created_by,created_on, last_updated_by,last_updated_on,
    id_source,link_target,link_title,link_class)
  VALUES 
    (l_id, p_id_page, p_id_region, p_sequence, p_name, p_static_id, p_alias, 
    p_condition_type, p_condition_first, p_condition_first_input,
    p_condition_second, p_condition_second_input, p_redirect_url, p_position, 
    p_class, p_id_item, p_location, p_id_list, p_button_action, p_col_span,
    p_start_new_row,p_created_by,current_timestamp, p_created_by,current_timestamp,
    p_id_source,p_link_target,p_link_title,p_link_class);
  RETURN l_id;
END;
$$;


ALTER FUNCTION button.f_create_button(p_id_page uuid, p_id_region uuid, p_name character varying, p_id_source integer, p_id uuid, p_sequence integer, p_static_id character varying, p_alias character varying, p_condition_type character varying, p_condition_first text, p_condition_first_input character varying[], p_condition_second text, p_condition_second_input character varying[], p_redirect_url character varying, p_position character varying, p_class character varying, p_id_item uuid, p_location character varying, p_id_list bigint, p_button_action character varying, p_col_span integer, p_start_new_row boolean, p_created_by character varying, p_link_target character varying, p_link_title text, p_link_class text) OWNER TO xrad_user;

--
-- Name: f_create_report(character varying, uuid, boolean, boolean, uuid); Type: FUNCTION; Schema: cmp; Owner: xrad_user
--

CREATE FUNCTION cmp.f_create_report(p_id_session character varying, p_id_region uuid, p_is_private boolean DEFAULT false, p_is_default boolean DEFAULT false, p_id_base uuid DEFAULT NULL::uuid) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_ret     uuid;
  l_id_page uuid;
  l_user    varchar;
  l_app_user varchar;
  l_session varchar := p_id_session;
  l_id_base uuid    := p_id_base;
  l_columns varchar[];
BEGIN
  select r.id_page into l_id_page from region.t_regions r where r.id = p_id_region;
  select s.user_name into l_app_user from app.t_sessions s where s.cookie_value = p_id_session;
    
	if p_is_default then
  	l_user := 'XRAD_DEFAULT';
    l_session := null;
    l_id_base := null;
  end if;
  
  if l_id_base is not null then
  	select r.report_columns into l_columns from cmp.t_saved_reports r where r.id = l_id_base;
  else
  	l_columns := array(select rc.column_alias from cmp.t_report_columns rc 
    									 where rc.id_region = p_id_region order by rc.column_display_seq);
  end if;

	INSERT INTO cmp.t_saved_reports
		(id_session,id_region,id_page,app_user,report_seq,is_private, 
     is_default,created_by,created_on,id_base,report_columns)
	VALUES 
  	(l_session,p_id_region,l_id_page,coalesce(l_user,l_app_user),10,p_is_private,
     p_is_default,l_app_user,current_timestamp,l_id_base,l_columns)
  returning id into l_ret;   
  
  if l_id_base is not null then
  	INSERT INTO cmp.t_report_conditions
			(id_page,id_region, name, condition_type, column_name,
  		 operator,value1,value2,highlight_seq,condition_sql, highlight_type,
  		 bg_color, font_color, active, id_report)
		select c.id_page, c.id_region, c.name, c.condition_type, c.column_name,
           c.operator, c.value1,c.value2, c.highlight_seq, c.condition_sql, c.highlight_type,
           c.bg_color, c.font_color, c.active, l_ret
    from cmp.t_report_conditions c where c.id_report = l_id_base;
  end if;
  
  return l_ret;
END;
$$;


ALTER FUNCTION cmp.f_create_report(p_id_session character varying, p_id_region uuid, p_is_private boolean, p_is_default boolean, p_id_base uuid) OWNER TO xrad_user;

--
-- Name: t_saved_reports; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_saved_reports (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_session character varying(255),
    id_region uuid NOT NULL,
    id_page uuid NOT NULL,
    app_user character varying(500) NOT NULL,
    report_name character varying(1000),
    report_seq integer NOT NULL,
    is_private boolean DEFAULT false NOT NULL,
    is_default boolean DEFAULT false NOT NULL,
    sort_column character varying(4000),
    sort_order character varying(4),
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    pagination_row integer,
    id_base uuid,
    report_columns character varying[]
);


ALTER TABLE cmp.t_saved_reports OWNER TO xrad_user;

--
-- Name: f_get_saved_report(uuid, character varying); Type: FUNCTION; Schema: cmp; Owner: xrad_user
--

CREATE FUNCTION cmp.f_get_saved_report(p_id_region uuid, p_session character varying) RETURNS cmp.t_saved_reports
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_ret cmp.t_saved_reports%rowtype;
  l_id_page uuid;
  l_user    varchar;
BEGIN
  select * into l_ret from cmp.t_saved_reports s 
  where s.id_region = p_id_region and s.id_session = p_session;
  
  if not found then
  	select * into l_ret from cmp.t_saved_reports s where s.id_region = p_id_region and s.is_default;
    
    if not found then
      l_ret.id := cmp.f_create_report(p_session, p_id_region, false, true);
			select * into l_ret from cmp.t_saved_reports r where r.id = l_ret.id;
    end if;
  end if;
  
  return l_ret;
END;
$$;


ALTER FUNCTION cmp.f_get_saved_report(p_id_region uuid, p_session character varying) OWNER TO xrad_user;

--
-- Name: f_prepare_condition(character varying, character varying, character varying, character varying); Type: FUNCTION; Schema: cmp; Owner: xrad_user
--

CREATE FUNCTION cmp.f_prepare_condition(p_data_type character varying, p_operator character varying, p_column character varying, p_value character varying) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_cond_sql text;
  l_expr1 varchar;
  l_expr2 varchar;
  l_cast  varchar;
  l_arr   text[];
BEGIN
 case p_data_type 
    when 'STRING' then    	
      l_cond_sql := format('%I::varchar',p_column);
      l_cast := '::varchar';
    when 'DATE' then
      l_cond_sql := format('%I',p_column);
      l_cast := '::date';
    when 'NUMBER' then
      l_cond_sql := format('%I',p_column);
      l_cast := '::numeric';
  end case;
    
  if p_operator in ('IN','NOT IN') then
    l_expr1 := '';
    l_arr := string_to_array(p_value,',');
    for i in 1..array_length(l_arr,1)
    loop
      l_expr1 := l_expr1||'#XRAD_EXPR_VAL'||i||'#'||l_cast||',';
    end loop;
    l_expr1 := rtrim(l_expr1,',');
  elsif p_operator in ('IS IN THE LAST','IS NOT IN THE LAST','IS IN THE NEXT','IS NOT IN THE NEXT','REGEXP LIKE') then
    l_expr1 := '#XRAD_EXPR#::text';
    l_expr2 := '#XRAD_EXPR2#::text';
  elsif p_operator = 'BETWEEN' then
    l_expr1 := '#XRAD_EXPR#'||l_cast;  
    l_expr2 := '#XRAD_EXPR2#'||l_cast;  
  else
    l_expr1 := '#XRAD_EXPR#'||l_cast;  
  end if; 
    
  case p_operator
    when 'EQUAL' then l_cond_sql := format('%s = %s',l_cond_sql,l_expr1);
    when 'NOT EQUAL' then l_cond_sql := format('%s != %s',l_cond_sql,l_expr1);
    when 'IS NULL' then l_cond_sql := format('%s is null',l_cond_sql);
    when 'IS NOT NULL' then l_cond_sql := format('%s is not null',l_cond_sql);
    when 'LIKE' then l_cond_sql := format('%s like %s',l_cond_sql,l_expr1);
    when 'NOT LIKE' then l_cond_sql := format('%s not like %s',l_cond_sql,l_expr1);
    when 'IN' then l_cond_sql := format('%s in (%s)',l_cond_sql,l_expr1);
    when 'NOT IN' then l_cond_sql := format('%s not in (%s)',l_cond_sql,l_expr1);
    when 'CONTAINS' then l_cond_sql := format('upper(%s) like ''%%''||upper(%s)||''%%''',l_cond_sql,l_expr1);
    when 'DOES NOT CONTAIN' then l_cond_sql := format('upper(%s) not like ''%%''||upper(%s)||''%%''',l_cond_sql,l_expr1);
    when 'REGEXP LIKE' then l_cond_sql := format('%s ~ %s',l_cond_sql,l_expr1);
    when 'MORE' then l_cond_sql := format('%s > %s',l_cond_sql,l_expr1);
    when 'MORE OR EQUAL' then l_cond_sql := format('%s >= %s',l_cond_sql,l_expr1);
    when 'LESS' then l_cond_sql := format('%s < %s',l_cond_sql,l_expr1);
    when 'LESS OR EQUAL' then l_cond_sql := format('%s <= %s',l_cond_sql,l_expr1);
    when 'IS IN THE LAST' then l_cond_sql := format('%s between now() - (%s||'' ''||%s)::interval and now()',l_cond_sql,l_expr1,l_expr2);
    when 'IS NOT IN THE LAST' then l_cond_sql := format('%s not between now() - (%s||'' ''||%s)::interval and now()',l_cond_sql,l_expr1,l_expr2);
    when 'IS IN THE NEXT' then l_cond_sql := format('%s between now() and now() + (%s||'' ''||%s)::interval',l_cond_sql,l_expr1,l_expr2);
    when 'IS NOT IN THE NEXT' then l_cond_sql := format('%s not between now() and now() + (%s||'' ''||%s)::interval',l_cond_sql,l_expr1,l_expr2);
    when 'BETWEEN' then l_cond_sql := format('%s between %s and %s',l_cond_sql,l_expr1,l_expr2);
  end case;
  
  return l_cond_sql;

END;
$$;


ALTER FUNCTION cmp.f_prepare_condition(p_data_type character varying, p_operator character varying, p_column character varying, p_value character varying) OWNER TO xrad_user;

--
-- Name: f_report_column_sync(); Type: FUNCTION; Schema: cmp; Owner: xrad_user
--

CREATE FUNCTION cmp.f_report_column_sync() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id_base uuid;
BEGIN
  IF TG_OP = 'INSERT' then
    select r.id into l_id_base from cmp.t_saved_reports r 
    where r.id_region = new.id_region  and r.is_default;
    
    if not found then
    	return new;
    end if;
    
  	update cmp.t_saved_reports r 
       set report_columns = array_append(report_columns,new.column_alias)			
    where  r.id_region = new.id_region
    and   (r.is_default or r.id_base = l_id_base);
    
    return new;
  ELSIF TG_OP = 'DELETE' THEN
  
    update cmp.t_saved_reports r 
      set  report_columns = array_remove(r.report_columns,old.column_alias)			
    where r.id_region = old.id_region;
    
    return old;
    
  end if;  
END;
$$;


ALTER FUNCTION cmp.f_report_column_sync() OWNER TO xrad_user;

--
-- Name: f_saved_report_delete(); Type: FUNCTION; Schema: cmp; Owner: xrad_user
--

CREATE FUNCTION cmp.f_saved_report_delete() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
BEGIN
  delete from cmp.t_report_conditions c where c.id_region = old.id;
	delete from cmp.t_saved_reports r where r.id_region = old.id;    
  return old;    
END;
$$;


ALTER FUNCTION cmp.f_saved_report_delete() OWNER TO xrad_user;

--
-- Name: p_create_calendar(uuid, uuid, character varying, character varying, character varying, character varying, integer, character varying[], boolean, boolean, boolean, text, character varying, boolean); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_calendar(IN p_id uuid, IN p_id_page uuid, IN p_display_column character varying, IN p_start_column character varying, IN p_end_column character varying DEFAULT NULL::character varying, IN p_pkey_column character varying DEFAULT NULL::character varying, IN p_height integer DEFAULT NULL::integer, IN p_views character varying[] DEFAULT NULL::character varying[], IN p_show_time boolean DEFAULT false, IN p_drag_drop boolean DEFAULT false, IN p_show_tooltip boolean DEFAULT false, IN p_view_link text DEFAULT NULL::text, IN p_css_column character varying DEFAULT NULL::character varying, IN p_show_weekend boolean DEFAULT false)
    LANGUAGE plpgsql
    AS $$
BEGIN
  INSERT INTO cmp.t_calendars
		(id,display_column,start_column,end_column,pkey_column,height,views,show_time,
	   drag_drop,show_tooltip,show_weekend,view_link,id_page,css_column)
	VALUES 
  	(p_id,p_display_column,p_start_column,p_end_column,p_pkey_column,p_height, p_views,
  	 p_show_time,p_drag_drop,p_show_tooltip,p_show_weekend,p_view_link,p_id_page,p_css_column);
END;
$$;


ALTER PROCEDURE cmp.p_create_calendar(IN p_id uuid, IN p_id_page uuid, IN p_display_column character varying, IN p_start_column character varying, IN p_end_column character varying, IN p_pkey_column character varying, IN p_height integer, IN p_views character varying[], IN p_show_time boolean, IN p_drag_drop boolean, IN p_show_tooltip boolean, IN p_view_link text, IN p_css_column character varying, IN p_show_weekend boolean) OWNER TO xrad_user;

--
-- Name: p_create_card(uuid, uuid, character varying, character varying); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_card(IN p_id uuid, IN p_id_page uuid, IN p_theme character varying DEFAULT NULL::character varying, IN p_columns character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
BEGIN
  INSERT INTO cmp.t_cards(id, id_page, theme, columns)
  VALUES (p_id, p_id_page, p_theme, p_columns);
END;
$$;


ALTER PROCEDURE cmp.p_create_card(IN p_id uuid, IN p_id_page uuid, IN p_theme character varying, IN p_columns character varying) OWNER TO xrad_user;

--
-- Name: p_create_chart(uuid, uuid, character varying, character varying, boolean, integer, integer); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_chart(IN p_id uuid, IN p_id_page uuid, IN p_chart_type character varying DEFAULT NULL::character varying, IN p_category_column character varying DEFAULT NULL::character varying, IN p_dynamic_load boolean DEFAULT NULL::boolean, IN p_width integer DEFAULT NULL::integer, IN p_height integer DEFAULT NULL::integer)
    LANGUAGE plpgsql
    AS $$
BEGIN
  INSERT INTO cmp.t_charts
    (id, id_page, chart_type, category_column, dynamic_load, width, height)
  VALUES 
    (p_id, p_id_page, p_chart_type, p_category_column, p_dynamic_load, p_width, p_height);
END;
$$;


ALTER PROCEDURE cmp.p_create_chart(IN p_id uuid, IN p_id_page uuid, IN p_chart_type character varying, IN p_category_column character varying, IN p_dynamic_load boolean, IN p_width integer, IN p_height integer) OWNER TO xrad_user;

--
-- Name: p_create_chart_series(uuid, uuid, character varying, integer, character varying, character varying, text, character varying[], text, character varying[], uuid); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_chart_series(IN p_id_region uuid, IN p_id_page uuid, IN p_name character varying, IN p_seq integer, IN p_value_column character varying, IN p_condition_type character varying DEFAULT NULL::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_id_series uuid DEFAULT NULL::uuid)
    LANGUAGE plpgsql
    AS $$
declare
 l_id uuid := coalesce(p_id_series,uuid_generate_v4());
BEGIN
  INSERT INTO cmp.t_chart_series
  (id_series,id_page,id_region, NAME, seq, value_column, condition_type, 
  condition_first, condition_first_input, condition_second, condition_second_input)
  VALUES 
  (l_id,p_id_page,p_id_region, p_name, p_seq, p_value_column, p_condition_type, 
  p_condition_first, p_condition_first_input, p_condition_second, p_condition_second_input);
END;
$$;


ALTER PROCEDURE cmp.p_create_chart_series(IN p_id_region uuid, IN p_id_page uuid, IN p_name character varying, IN p_seq integer, IN p_value_column character varying, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_id_series uuid) OWNER TO xrad_user;

--
-- Name: p_create_chat(uuid, uuid, character varying, character varying, boolean); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_chat(IN p_id uuid, IN p_id_page uuid, IN p_height character varying DEFAULT NULL::character varying, IN p_max_height character varying DEFAULT NULL::character varying, IN p_scroll_bottom boolean DEFAULT false)
    LANGUAGE plpgsql
    AS $$
BEGIN
  INSERT INTO cmp.t_chat
		(id,id_page,height,max_height,scroll_bottom)
	VALUES 
    (p_id,p_id_page,p_height,p_max_height,p_scroll_bottom);
END;
$$;


ALTER PROCEDURE cmp.p_create_chat(IN p_id uuid, IN p_id_page uuid, IN p_height character varying, IN p_max_height character varying, IN p_scroll_bottom boolean) OWNER TO xrad_user;

--
-- Name: p_create_report(uuid, uuid, boolean, boolean, boolean, integer, character varying, text, boolean, boolean, boolean, boolean, boolean, boolean, boolean, boolean, character, character varying, character varying, character varying[]); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_report(IN p_id uuid, IN p_id_page uuid, IN p_enable_search boolean DEFAULT true, IN p_enable_pagination boolean DEFAULT true, IN p_enable_heading boolean DEFAULT true, IN p_row_limit integer DEFAULT 15, IN p_appearance character varying DEFAULT 'STANDART'::character varying, IN p_no_data_message text DEFAULT NULL::text, IN p_enable_actions boolean DEFAULT true, IN p_stripes boolean DEFAULT true, IN p_hover boolean DEFAULT true, IN p_cell_padding boolean DEFAULT true, IN p_row_border boolean DEFAULT true, IN p_head_wrap boolean DEFAULT true, IN p_cell_wrap boolean DEFAULT true, IN p_enable_download boolean DEFAULT false, IN p_csv_separator character DEFAULT NULL::bpchar, IN p_download_name character varying DEFAULT NULL::character varying, IN p_csv_encoding character varying DEFAULT NULL::character varying, IN p_download_formats character varying[] DEFAULT NULL::character varying[])
    LANGUAGE plpgsql
    AS $$
begin
insert into cmp.t_report
   (id,id_page,enable_search,enable_pagination,enable_heading,
    row_limit,appearance,no_data_message,enable_actions,stripes,
	  hover, cell_padding, row_border, head_wrap, cell_wrap, enable_download,
    csv_separator, download_name, csv_encoding,download_formats)
VALUES 
   (p_id,p_id_page,p_enable_search,p_enable_pagination,p_enable_heading,
    p_row_limit,p_appearance,p_no_data_message,p_enable_actions,p_stripes,
	  p_hover, p_cell_padding, p_row_border, p_head_wrap, p_cell_wrap, p_enable_download,
    p_csv_separator, p_download_name, p_csv_encoding,p_download_formats);
end;
$$;


ALTER PROCEDURE cmp.p_create_report(IN p_id uuid, IN p_id_page uuid, IN p_enable_search boolean, IN p_enable_pagination boolean, IN p_enable_heading boolean, IN p_row_limit integer, IN p_appearance character varying, IN p_no_data_message text, IN p_enable_actions boolean, IN p_stripes boolean, IN p_hover boolean, IN p_cell_padding boolean, IN p_row_border boolean, IN p_head_wrap boolean, IN p_cell_wrap boolean, IN p_enable_download boolean, IN p_csv_separator character, IN p_download_name character varying, IN p_csv_encoding character varying, IN p_download_formats character varying[]) OWNER TO xrad_user;

--
-- Name: p_create_report_column(uuid, integer, integer, character varying, uuid, character varying, character varying, text, character varying, boolean, boolean, character varying, character varying, character varying, character varying, text, character varying[], text, character varying[], text, character varying, uuid, boolean, character varying, text, text, text); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_report_column(IN p_id_region uuid, IN p_query_column_id integer, IN p_column_display_seq integer, IN p_column_type character varying, IN p_id_page uuid, IN p_column_alias character varying DEFAULT NULL::character varying, IN p_column_heading character varying DEFAULT NULL::character varying, IN p_column_link text DEFAULT NULL::text, IN p_column_icon character varying DEFAULT NULL::character varying, IN p_sortable boolean DEFAULT true, IN p_searchable boolean DEFAULT true, IN p_align character varying DEFAULT 'left'::character varying, IN p_format_mask character varying DEFAULT NULL::character varying, IN p_column_width character varying DEFAULT NULL::character varying, IN p_condition_type character varying DEFAULT NULL::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_column_formating text DEFAULT NULL::text, IN p_associated_item character varying DEFAULT NULL::character varying, IN p_id uuid DEFAULT NULL::uuid, IN p_generic boolean DEFAULT false, IN p_data_type character varying DEFAULT NULL::character varying, IN p_link_target text DEFAULT NULL::text, IN p_link_title text DEFAULT NULL::text, IN p_link_class text DEFAULT NULL::text)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO cmp.t_report_columns
  	(id,id_region,query_column_id,column_alias,column_display_seq,column_heading,
     column_type,column_link,column_icon,sortable,searchable,align,format_mask,
     column_width,condition_type,condition_first,condition_first_input,condition_second,
     condition_second_input,column_formating,associated_item,id_page,generic,data_type,
     link_target,link_title,link_class)
  VALUES 
    (l_id,p_id_region,p_query_column_id,p_column_alias, p_column_display_seq,p_column_heading,
     p_column_type,p_column_link,p_column_icon,p_sortable,p_searchable,p_align,p_format_mask,
     p_column_width,p_condition_type,p_condition_first,p_condition_first_input,
     p_condition_second,p_condition_second_input,p_column_formating,p_associated_item,
     p_id_page, p_generic, p_data_type, p_link_target, p_link_title, p_link_class);
END;
$$;


ALTER PROCEDURE cmp.p_create_report_column(IN p_id_region uuid, IN p_query_column_id integer, IN p_column_display_seq integer, IN p_column_type character varying, IN p_id_page uuid, IN p_column_alias character varying, IN p_column_heading character varying, IN p_column_link text, IN p_column_icon character varying, IN p_sortable boolean, IN p_searchable boolean, IN p_align character varying, IN p_format_mask character varying, IN p_column_width character varying, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_column_formating text, IN p_associated_item character varying, IN p_id uuid, IN p_generic boolean, IN p_data_type character varying, IN p_link_target text, IN p_link_title text, IN p_link_class text) OWNER TO xrad_user;

--
-- Name: p_create_report_condition(character varying, uuid, uuid, character varying, character varying, character varying, character varying, character varying, character varying, character varying, character varying, integer, character varying, boolean, character varying); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_report_condition(IN p_id_session character varying, IN p_id_page uuid, IN p_id_region uuid, IN p_condition character varying, IN p_column character varying, IN p_operator character varying, IN p_value1 character varying DEFAULT NULL::character varying, IN p_value2 character varying DEFAULT NULL::character varying, IN p_hl_type character varying DEFAULT NULL::character varying, IN p_bg_color character varying DEFAULT NULL::character varying, IN p_font_color character varying DEFAULT NULL::character varying, IN p_hl_seq integer DEFAULT NULL::integer, IN p_name character varying DEFAULT NULL::character varying, IN p_active boolean DEFAULT NULL::boolean, IN p_uid character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_operator varchar := p_operator;
  l_cnt      integer;
  l_name     text := nullif(p_name,'');
  l_value    varchar := p_value1;
  l_dt       varchar;
  l_cond_sql text;
  l_format   varchar;
  l_user     varchar;  
  l_rpt      cmp.t_saved_reports%rowtype;
BEGIN
	select s.user_name into l_user from app.t_sessions s where s.cookie_value = p_id_session;
  
  l_rpt := cmp.f_get_saved_report(p_id_region,p_id_session);
  	
  if l_rpt.is_default then
   	l_rpt.id := cmp.f_create_report(p_id_session,p_id_region,true,false,l_rpt.id);
  end if;
  
  IF p_condition != 'HIGHLIGHT' then
    update cmp.t_saved_reports r 
       set pagination_row = null,
           last_updated_by = l_user,
           last_updated_on = current_timestamp
     where r.id = l_rpt.id;      
  end if;
        	                              
   
  if p_condition IN ('FILTER','HIGHLIGHT') THEN
    if l_name is null then
      select coalesce(s.column_heading,s.column_alias)||' '||p_operator||' '||coalesce(''''||p_value1||'''','')
      into l_name from cmp.t_report_columns s 
      where s.id_region = p_id_region and s.column_alias = p_column;      
    end if;
    
  	select s.data_type into l_dt from cmp.t_report_columns s
    where s.id_region = p_id_region and s.column_alias = p_column;
    
    l_cond_sql := cmp.f_prepare_condition(l_dt,p_operator,p_column,p_value1);        
    
    if p_condition = 'HIGHLIGHT' then
    	l_cond_sql := format('case when %s then true else false end',l_cond_sql);
    end if;
    
  elsif p_condition = 'QUICK_SEARCH' then  
    select 'Колонка '||coalesce(s.column_heading,s.column_alias)||' содержит '||
    				coalesce(''''||p_value1||'''',''),
            s.format_mask
    into l_name, l_format 
    from cmp.t_report_columns s 
    where s.id_region = p_id_region and s.column_alias = p_column;      
    
    if l_format is not null then
    	l_cond_sql := format('lower(to_char(%s,''%s'')) like ''%%''||lower(%s)||''%%''',p_column,l_format,'#XRAD_EXPR#');
    else
      l_cond_sql := format('lower(%s::text) like ''%%''||lower(%s)||''%%''',p_column,'#XRAD_EXPR#');
    end if;
       
  elsif p_condition = 'SEARCH' THEN
    l_name := 'Текст строки содержит '''||p_value1||'''';         
  end if;
  
  l_value := replace(replace(p_value1,'%','\%'),'_','\_');

  INSERT INTO cmp.t_report_conditions
    (id_report,id_page,id_region,condition_type,COLUMN_NAME,operator,value1,value2,name,
     highlight_type,bg_color,font_color,condition_sql,highlight_seq,active)
  values
    (l_rpt.id,p_id_page,p_id_region,p_condition,p_column,p_operator,p_value1,p_value2,l_name,
     p_hl_type,p_bg_color,p_font_color,l_cond_sql,p_hl_seq,p_active);

END;
$$;


ALTER PROCEDURE cmp.p_create_report_condition(IN p_id_session character varying, IN p_id_page uuid, IN p_id_region uuid, IN p_condition character varying, IN p_column character varying, IN p_operator character varying, IN p_value1 character varying, IN p_value2 character varying, IN p_hl_type character varying, IN p_bg_color character varying, IN p_font_color character varying, IN p_hl_seq integer, IN p_name character varying, IN p_active boolean, IN p_uid character varying) OWNER TO xrad_user;

--
-- Name: p_create_tiles(uuid, uuid, character varying, character varying, character varying, character varying, character varying, boolean, character varying, character varying, character varying, character varying); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_tiles(IN p_id uuid, IN p_id_page uuid, IN p_title_column character varying, IN p_theme character varying DEFAULT 'CLASSIC'::character varying, IN p_columns character varying DEFAULT '2'::character varying, IN p_view character varying DEFAULT 'GRID'::character varying, IN p_align character varying DEFAULT 'center'::character varying, IN p_icon_contrast boolean DEFAULT false, IN p_text_column character varying DEFAULT NULL::character varying, IN p_desc_column character varying DEFAULT NULL::character varying, IN p_icon_column character varying DEFAULT NULL::character varying, IN p_color_column character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
begin
  INSERT INTO cmp.t_tiles
   (id,id_page,theme,columns,view,align,icon_contrast,title_column,
    text_column,desc_column,icon_column,color_column)
  VALUES 
   (p_id,p_id_page,p_theme,p_columns,p_view,p_align, p_icon_contrast,p_title_column,
    p_text_column,p_desc_column,p_icon_column, p_color_column);
end;
$$;


ALTER PROCEDURE cmp.p_create_tiles(IN p_id uuid, IN p_id_page uuid, IN p_title_column character varying, IN p_theme character varying, IN p_columns character varying, IN p_view character varying, IN p_align character varying, IN p_icon_contrast boolean, IN p_text_column character varying, IN p_desc_column character varying, IN p_icon_column character varying, IN p_color_column character varying) OWNER TO xrad_user;

--
-- Name: p_create_tree(uuid, character varying, character varying, character varying, uuid, text, character varying); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_tree(IN p_id uuid, IN p_pkey_col character varying, IN p_fkey_col character varying, IN p_label_col character varying, IN p_id_page uuid DEFAULT NULL::uuid, IN p_link text DEFAULT NULL::text, IN p_link_column character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
begin

insert into cmp.t_tree(id,pkey_col,fkey_col,label_col,id_page,link,link_column)
VALUES (p_id,p_pkey_col,p_fkey_col,p_label_col,p_id_page,p_link,p_link_column);

end;
$$;


ALTER PROCEDURE cmp.p_create_tree(IN p_id uuid, IN p_pkey_col character varying, IN p_fkey_col character varying, IN p_label_col character varying, IN p_id_page uuid, IN p_link text, IN p_link_column character varying) OWNER TO xrad_user;

--
-- Name: p_create_wizard(uuid, uuid, boolean, character varying, character varying); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_create_wizard(IN p_id uuid, IN p_id_page uuid, IN p_clickable boolean, IN p_label_display character varying, IN p_orientation character varying)
    LANGUAGE plpgsql
    AS $$
BEGIN
  INSERT INTO cmp.t_wizard(id, id_page, clickable, label_display, orientation)
  VALUES (p_id, p_id_page, p_clickable, p_label_display, p_orientation);
END;
$$;


ALTER PROCEDURE cmp.p_create_wizard(IN p_id uuid, IN p_id_page uuid, IN p_clickable boolean, IN p_label_display character varying, IN p_orientation character varying) OWNER TO xrad_user;

--
-- Name: p_delete_report_condition(uuid, uuid, uuid); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_delete_report_condition(IN p_id_region uuid, IN p_id_page uuid, IN p_uuid uuid)
    LANGUAGE plpgsql
    AS $$
DECLARE 
 l_type varchar;
BEGIN

  DELETE FROM cmp.t_report_conditions c 
  where c.id_page = p_id_page 
  and   c.id_region = p_id_region
  and   c.id = p_uuid 
  returning c.condition_type into l_type;  
  
  IF NOT FOUND THEN
		RAISE 'Вы не можете удалить данный фильтр';  
  END IF; 
  
  IF l_type in ('FILTER','SEARCH') THEN
    UPDATE cmp.t_saved_reports r
       set pagination_row = NULL
     where r.id_region = p_id_region
       and r.id_page = p_id_page;
  END IF;
  
END;
$$;


ALTER PROCEDURE cmp.p_delete_report_condition(IN p_id_region uuid, IN p_id_page uuid, IN p_uuid uuid) OWNER TO xrad_user;

--
-- Name: p_insert_report_condition(uuid, uuid, uuid, character varying, character varying, uuid, character varying, character varying, character varying, character varying, integer, character varying, character varying, text, boolean, character varying); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_insert_report_condition(IN p_id_page uuid, IN p_id_region uuid, IN p_id_report uuid, IN p_condition_type character varying, IN p_operator character varying, IN p_id uuid DEFAULT NULL::uuid, IN p_name character varying DEFAULT NULL::character varying, IN p_column_name character varying DEFAULT NULL::character varying, IN p_value1 character varying DEFAULT NULL::character varying, IN p_highlight_type character varying DEFAULT NULL::character varying, IN p_highlight_seq integer DEFAULT NULL::integer, IN p_bg_color character varying DEFAULT NULL::character varying, IN p_font_color character varying DEFAULT NULL::character varying, IN p_condition_sql text DEFAULT NULL::text, IN p_active boolean DEFAULT NULL::boolean, IN p_value2 character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO cmp.t_report_conditions
    (id,id_report,id_page,id_region,condition_type,column_name,operator,value1,value2,name,
     highlight_type,bg_color,font_color,condition_sql,highlight_seq,active)
  values
    (l_id,p_id_report,p_id_page,p_id_region,p_condition_type,p_column_name,
     p_operator,p_value1,p_value2,p_name,p_highlight_type,p_bg_color,p_font_color,
     p_condition_sql,p_highlight_seq,p_active);
END;
$$;


ALTER PROCEDURE cmp.p_insert_report_condition(IN p_id_page uuid, IN p_id_region uuid, IN p_id_report uuid, IN p_condition_type character varying, IN p_operator character varying, IN p_id uuid, IN p_name character varying, IN p_column_name character varying, IN p_value1 character varying, IN p_highlight_type character varying, IN p_highlight_seq integer, IN p_bg_color character varying, IN p_font_color character varying, IN p_condition_sql text, IN p_active boolean, IN p_value2 character varying) OWNER TO xrad_user;

--
-- Name: p_insert_saved_report(uuid, uuid, character varying, integer, boolean, boolean, character varying, character varying, character varying, integer, uuid, character varying[], uuid, character varying); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_insert_saved_report(IN p_id_region uuid, IN p_id_page uuid, IN p_app_user character varying, IN p_report_seq integer, IN p_is_private boolean, IN p_is_default boolean, IN p_report_name character varying DEFAULT NULL::character varying, IN p_sort_column character varying DEFAULT NULL::character varying, IN p_sort_order character varying DEFAULT NULL::character varying, IN p_pagination_row integer DEFAULT NULL::integer, IN p_id_base uuid DEFAULT NULL::uuid, IN p_report_columns character varying[] DEFAULT NULL::character varying[], IN p_id uuid DEFAULT NULL::uuid, IN p_id_session character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO cmp.t_saved_reports
		(id,id_session,id_region,id_page,app_user, report_name, report_seq,is_private,is_default,
  	 sort_column, sort_order, pagination_row, id_base, report_columns)
	VALUES 
    (l_id,p_id_session,p_id_region,p_id_page,p_app_user,p_report_name,p_report_seq,
     p_is_private,p_is_default, p_sort_column,p_sort_order,p_pagination_row,p_id_base,
     p_report_columns);	
END;
$$;


ALTER PROCEDURE cmp.p_insert_saved_report(IN p_id_region uuid, IN p_id_page uuid, IN p_app_user character varying, IN p_report_seq integer, IN p_is_private boolean, IN p_is_default boolean, IN p_report_name character varying, IN p_sort_column character varying, IN p_sort_order character varying, IN p_pagination_row integer, IN p_id_base uuid, IN p_report_columns character varying[], IN p_id uuid, IN p_id_session character varying) OWNER TO xrad_user;

--
-- Name: p_set_default_report(uuid, uuid); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_set_default_report(IN p_id_region uuid, IN p_id_report uuid)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_old uuid;
BEGIN
  select r.id into l_old from cmp.t_saved_reports r 
  where r.id_region = p_id_region and r.is_default;
  
  if l_old = p_id_report then
  	return;
  end if;
  
  delete from cmp.t_report_conditions c where c.id_report = l_old;
  delete from cmp.t_saved_reports r where r.id = l_old;
  
  update cmp.t_saved_reports r 
     set is_default = true, 
         id_session = null, 
         is_private = false,
         id_base = null,
         pagination_row = null,
         app_user = 'XRAD_DEFAULT'
   where r.id = p_id_report;         

END;
$$;


ALTER PROCEDURE cmp.p_set_default_report(IN p_id_region uuid, IN p_id_report uuid) OWNER TO xrad_user;

--
-- Name: p_set_report_columns(character varying, uuid, uuid, character varying[]); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_set_report_columns(IN p_id_session character varying, IN p_id_page uuid, IN p_id_region uuid, IN p_columns character varying[])
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rpt   cmp.t_saved_reports%rowtype;
  l_user  varchar;
BEGIN
  select s.user_name into l_user from app.t_sessions s where s.cookie_value = p_id_session;  
  l_rpt := cmp.f_get_saved_report(p_id_region,p_id_session);
  	
  if l_rpt.is_default then
   	l_rpt.id := cmp.f_create_report(p_id_session,p_id_region,true,false,l_rpt.id);
  end if;
  
  update cmp.t_saved_reports r 
     set report_columns = p_columns,
         last_updated_by = l_user,
         last_updated_on = current_timestamp
  where r.id = l_rpt.id;         
  
END;
$$;


ALTER PROCEDURE cmp.p_set_report_columns(IN p_id_session character varying, IN p_id_page uuid, IN p_id_region uuid, IN p_columns character varying[]) OWNER TO xrad_user;

--
-- Name: p_set_report_pagination(character varying, uuid, uuid, integer); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_set_report_pagination(IN p_id_session character varying, IN p_id_page uuid, IN p_id_region uuid, IN p_value integer)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rpt   cmp.t_saved_reports%rowtype;
  l_user  varchar;
BEGIN
  select s.user_name into l_user from app.t_sessions s where s.cookie_value = p_id_session;  
  l_rpt := cmp.f_get_saved_report(p_id_region,p_id_session);
  	
  if l_rpt.is_default then
   	l_rpt.id := cmp.f_create_report(p_id_session,p_id_region,true,false,l_rpt.id);
  end if;
  
  update cmp.t_saved_reports r 
     set pagination_row = p_value,
         last_updated_by = l_user,
         last_updated_on = current_timestamp
  where r.id = l_rpt.id;         
  
END;
$$;


ALTER PROCEDURE cmp.p_set_report_pagination(IN p_id_session character varying, IN p_id_page uuid, IN p_id_region uuid, IN p_value integer) OWNER TO xrad_user;

--
-- Name: p_set_report_sort(character varying, uuid, uuid, character varying, character varying); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_set_report_sort(IN p_id_session character varying, IN p_id_page uuid, IN p_id_region uuid, IN p_order character varying, IN p_column character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rpt   cmp.t_saved_reports%rowtype;
  l_user  varchar;
BEGIN
  select s.user_name into l_user from app.t_sessions s where s.cookie_value = p_id_session;  
  l_rpt := cmp.f_get_saved_report(p_id_region,p_id_session);
  	
  if l_rpt.is_default then
   	l_rpt.id := cmp.f_create_report(p_id_session,p_id_region,true,false,l_rpt.id);
  end if;
  
  update cmp.t_saved_reports r 
     set sort_column = p_column,
         sort_order  = p_order,
         last_updated_by = l_user,
         last_updated_on = current_timestamp
   where r.id = l_rpt.id;    
     
END;
$$;


ALTER PROCEDURE cmp.p_set_report_sort(IN p_id_session character varying, IN p_id_page uuid, IN p_id_region uuid, IN p_order character varying, IN p_column character varying) OWNER TO xrad_user;

--
-- Name: p_update_report_condition(uuid, character varying, character varying, character varying, character varying, character varying, character varying, character varying, character varying, integer, character varying, boolean); Type: PROCEDURE; Schema: cmp; Owner: xrad_user
--

CREATE PROCEDURE cmp.p_update_report_condition(IN p_uid uuid, IN p_condition character varying, IN p_column character varying, IN p_operator character varying, IN p_value1 character varying DEFAULT NULL::character varying, IN p_value2 character varying DEFAULT NULL::character varying, IN p_hl_type character varying DEFAULT NULL::character varying, IN p_bg_color character varying DEFAULT NULL::character varying, IN p_font_color character varying DEFAULT NULL::character varying, IN p_hl_seq integer DEFAULT NULL::integer, IN p_name character varying DEFAULT NULL::character varying, IN p_active boolean DEFAULT NULL::boolean)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_operator varchar := p_operator;
  l_name     text := nullif(p_name,'');
  l_value    varchar;
  l_cond_sql text;
  l_dt       varchar;
BEGIN
 
  if l_name is null then
    select s.column_heading||' '||p_operator||' '||coalesce(''''||p_value1||'''','')
    into l_name from cmp.t_report_columns s, cmp.t_report_conditions c 
    where s.column_alias = p_column and c.id_region = s.id_region and c.id = p_uid;      
  end if;
    
  select s.data_type into l_dt from cmp.t_report_columns s, cmp.t_report_conditions c
  where s.column_alias = p_column and c.id_region = s.id_region and c.id = p_uid;
    
  l_cond_sql := cmp.f_prepare_condition(l_dt,p_operator,p_column,p_value1);        
    
  if p_condition = 'HIGHLIGHT' then
    l_cond_sql := format('case when %s then true else false end',l_cond_sql);
  end if;
       
  l_value := replace(replace(p_value1,'%','\%'),'_','\_');

  UPDATE cmp.t_report_conditions 
     SET name = l_name,
         column_name = p_column,
         operator = p_operator,
         value1 = p_value1,
         value2 = p_value2,
         highlight_seq = p_hl_seq,
         condition_sql = l_cond_sql,
         highlight_type = p_hl_type,
         bg_color = p_bg_color,
         font_color = p_font_color,
         active = p_active
  WHERE id = p_uid;

END;
$$;


ALTER PROCEDURE cmp.p_update_report_condition(IN p_uid uuid, IN p_condition character varying, IN p_column character varying, IN p_operator character varying, IN p_value1 character varying, IN p_value2 character varying, IN p_hl_type character varying, IN p_bg_color character varying, IN p_font_color character varying, IN p_hl_seq integer, IN p_name character varying, IN p_active boolean) OWNER TO xrad_user;

--
-- Name: f_create_action(uuid, uuid, text, integer, uuid, boolean, character varying); Type: FUNCTION; Schema: da; Owner: xrad_user
--

CREATE FUNCTION da.f_create_action(p_id_event uuid, p_id_page uuid, p_code text, p_sequence integer, p_id uuid DEFAULT NULL::uuid, p_init_on_load boolean DEFAULT NULL::boolean, p_created_by character varying DEFAULT NULL::character varying) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO da.t_actions(id, id_event, id_page, init_on_load, code, SEQUENCE,
  			created_by,created_on, last_updated_by,last_updated_on)
  VALUES (l_id, p_id_event, p_id_page, p_init_on_load, p_code, p_sequence,
        p_created_by,current_timestamp, p_created_by,current_timestamp);
  
  return l_id;
END;
$$;


ALTER FUNCTION da.f_create_action(p_id_event uuid, p_id_page uuid, p_code text, p_sequence integer, p_id uuid, p_init_on_load boolean, p_created_by character varying) OWNER TO xrad_user;

--
-- Name: f_create_event(uuid, integer, character varying, integer, character varying, character varying, uuid, character varying, uuid, uuid, character varying, character varying, text, character varying[], text, character varying[], character varying); Type: FUNCTION; Schema: da; Owner: xrad_user
--

CREATE FUNCTION da.f_create_event(p_id_page uuid, p_id_source integer, p_event_name character varying, p_event_sequence integer, p_triggering_element_type character varying, p_bind_event_type character varying, p_id uuid DEFAULT NULL::uuid, p_triggering_element character varying DEFAULT NULL::character varying, p_triggering_region_id uuid DEFAULT NULL::uuid, p_triggering_button_id uuid DEFAULT NULL::uuid, p_bind_event_type_custom character varying DEFAULT NULL::character varying, p_condition_type character varying DEFAULT NULL::character varying, p_condition_first text DEFAULT NULL::text, p_condition_first_input character varying[] DEFAULT NULL::character varying[], p_condition_second text DEFAULT NULL::text, p_condition_second_input character varying[] DEFAULT NULL::character varying[], p_created_by character varying DEFAULT NULL::character varying) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO da.t_events(id, id_page, event_name, event_sequence, triggering_element_type, triggering_element, triggering_region_id,
  triggering_button_id, bind_event_type, bind_event_type_custom, condition_type, condition_first, condition_first_input, condition_second,
  condition_second_input,created_by,created_on, last_updated_by,last_updated_on,id_source)
  VALUES (l_id, p_id_page, p_event_name, p_event_sequence, p_triggering_element_type, p_triggering_element, p_triggering_region_id,
  p_triggering_button_id, p_bind_event_type, p_bind_event_type_custom, p_condition_type, p_condition_first, p_condition_first_input,
  p_condition_second, p_condition_second_input,p_created_by,current_timestamp, p_created_by,current_timestamp,p_id_source);
  RETURN l_id;
END;
$$;


ALTER FUNCTION da.f_create_event(p_id_page uuid, p_id_source integer, p_event_name character varying, p_event_sequence integer, p_triggering_element_type character varying, p_bind_event_type character varying, p_id uuid, p_triggering_element character varying, p_triggering_region_id uuid, p_triggering_button_id uuid, p_bind_event_type_custom character varying, p_condition_type character varying, p_condition_first text, p_condition_first_input character varying[], p_condition_second text, p_condition_second_input character varying[], p_created_by character varying) OWNER TO xrad_user;

--
-- Name: write(bigint, timestamp without time zone, text, numeric, integer, character varying); Type: PROCEDURE; Schema: debug; Owner: xrad_user
--

CREATE PROCEDURE debug.write(IN p_id_view bigint, IN p_date timestamp without time zone, IN p_message text, IN p_elapsed numeric, IN p_page_num integer DEFAULT NULL::integer, IN p_session character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id_session bigint;
  l_name       varchar;
BEGIN
  if p_session is not null then
    select s.id, s.user_name into l_id_session, l_name
    from app.t_sessions s where s.cookie_value = p_session;
  end if;  

  INSERT INTO debug.t_messages
   (id_view,date_created,message,page_num,id_session,user_name,elapsed)
  VALUES 
   (p_id_view,p_date,p_message,p_page_num,l_id_session,l_name,p_elapsed);
END;
$$;


ALTER PROCEDURE debug.write(IN p_id_view bigint, IN p_date timestamp without time zone, IN p_message text, IN p_elapsed numeric, IN p_page_num integer, IN p_session character varying) OWNER TO xrad_user;

--
-- Name: f_create_report(uuid, bigint, character varying, character varying, uuid, integer, boolean); Type: FUNCTION; Schema: dg; Owner: xrad_user
--

CREATE FUNCTION dg.f_create_report(p_id_region uuid, p_id_session bigint DEFAULT NULL::bigint, p_name character varying DEFAULT NULL::character varying, p_report_type character varying DEFAULT 'PRIMARY'::character varying, p_id_base uuid DEFAULT NULL::uuid, p_rows_per_page integer DEFAULT NULL::integer, p_show_row_numbers boolean DEFAULT true) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id     uuid;
  l_id_page uuid;
  l_user_name varchar;
BEGIN
	select r.id_page into l_id_page from region.t_regions r where r.id = p_id_region;
  select s.user_name into l_user_name from app.t_sessions s where s.id = p_id_session;

	l_id := uuid_generate_v4();
  
  CALL dg.p_create_report(
  			p_id => l_id, 
        p_id_page => l_id_page, 
        p_id_region => p_id_region, 
        p_report_type => p_report_type,
        p_name => p_name, 
        p_app_user => l_user_name, 
        p_id_session => p_id_session, 
        p_id_base => p_id_base, 
        p_rows_per_page => p_rows_per_page, 
        p_last_updated_by => l_user_name,  
        p_version => 1, 
        p_show_row_numbers => p_show_row_numbers
  	);    
  
  return l_id;
END;
$$;


ALTER FUNCTION dg.f_create_report(p_id_region uuid, p_id_session bigint, p_name character varying, p_report_type character varying, p_id_base uuid, p_rows_per_page integer, p_show_row_numbers boolean) OWNER TO xrad_user;

--
-- Name: f_create_report_column(uuid, uuid, integer, boolean, boolean, numeric, integer, character varying, character varying); Type: FUNCTION; Schema: dg; Owner: xrad_user
--

CREATE FUNCTION dg.f_create_report_column(p_id_report uuid, p_id_column uuid, p_display_seq integer, p_visible boolean DEFAULT true, p_frozen boolean DEFAULT false, p_width numeric DEFAULT NULL::integer, p_sort_order integer DEFAULT NULL::integer, p_sort_direction character varying DEFAULT NULL::character varying, p_sort_nulls character varying DEFAULT NULL::character varying) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_ret uuid;
BEGIN
  IF NOT exists(SELECT FROM dg.t_dg_columns c, dg.t_dg_reports r
    						WHERE c.id = p_id_column and c.id_region = r.id_region)
  THEN
  	raise 'Error while creating report column. Column doesnt belong to this report' 
    using ERRCODE = 'APP01';
  END IF;      
	
  l_ret := uuid_generate_v4();
    
  CALL dg.p_create_report_column(
  			p_id => l_ret, 
        p_id_report => p_id_report,
        p_id_column => p_id_column, 
        p_display_seq => p_display_seq, 
        p_visible => p_visible, 
        p_frozen => p_frozen, 
        p_width => p_width, 
        p_sort_order => p_sort_order, 
        p_sort_direction => p_sort_direction, 
        p_sort_nulls => p_sort_nulls);         
  
  RETURN l_ret;
END;
$$;


ALTER FUNCTION dg.f_create_report_column(p_id_report uuid, p_id_column uuid, p_display_seq integer, p_visible boolean, p_frozen boolean, p_width numeric, p_sort_order integer, p_sort_direction character varying, p_sort_nulls character varying) OWNER TO xrad_user;

--
-- Name: f_create_report_filter(uuid, character varying, character varying, boolean, boolean, character varying, character varying, uuid, uuid); Type: FUNCTION; Schema: dg; Owner: xrad_user
--

CREATE FUNCTION dg.f_create_report_filter(p_id_report uuid, p_filter_type character varying, p_operator character varying DEFAULT NULL::character varying, p_enabled boolean DEFAULT NULL::boolean, p_case_sensetive boolean DEFAULT NULL::boolean, p_filter_name character varying DEFAULT NULL::character varying, p_expression character varying DEFAULT NULL::character varying, p_id_column uuid DEFAULT NULL::uuid, p_id uuid DEFAULT NULL::uuid) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_name varchar := p_filter_name;
  l_id  uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  if l_name is null then
    select coalesce(c.column_heading,c.column_name)||' '||
    			p_operator||' '||coalesce(''''||p_expression||'''','')
    into l_name      
  	from dg.t_dg_columns c
    where c.id = p_id_column;
  end if;
  
  INSERT INTO dg.t_dg_report_filters
		(id,id_report,filter_type,filter_name,id_column,operator,expression,
    	enabled,case_sensetive)
	VALUES 
  	(l_id,p_id_report,p_filter_type,l_name,p_id_column,p_operator,
     p_expression,p_enabled,p_case_sensetive);
	
  return l_id;
END;
$$;


ALTER FUNCTION dg.f_create_report_filter(p_id_report uuid, p_filter_type character varying, p_operator character varying, p_enabled boolean, p_case_sensetive boolean, p_filter_name character varying, p_expression character varying, p_id_column uuid, p_id uuid) OWNER TO xrad_user;

--
-- Name: f_create_report_highlight(uuid, integer, character varying, character varying, boolean, uuid, character varying, character varying, uuid, character varying, character varying, boolean, uuid); Type: FUNCTION; Schema: dg; Owner: xrad_user
--

CREATE FUNCTION dg.f_create_report_highlight(p_id_report uuid, p_seq integer, p_name character varying, p_cond_type character varying, p_enabled boolean DEFAULT true, p_id_column uuid DEFAULT NULL::uuid, p_background_color character varying DEFAULT NULL::character varying, p_text_color character varying DEFAULT NULL::character varying, p_cond_id_column uuid DEFAULT NULL::uuid, p_cond_operator character varying DEFAULT NULL::character varying, p_condition_expression character varying DEFAULT NULL::character varying, p_cond_case_sensitive boolean DEFAULT false, p_id uuid DEFAULT NULL::uuid) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO dg.t_dg_report_highlights
  (id,id_report, seq, name, id_column, background_color, text_color,
   cond_type, cond_id_column, cond_operator, cond_case_sensitive,
   condition_expression, enabled)
	VALUES 
  (l_id,p_id_report,p_seq,p_name,p_id_column,p_background_color,p_text_color,
   p_cond_type,p_cond_id_column,p_cond_operator,p_cond_case_sensitive,
   p_condition_expression,p_enabled);
  
  return l_id;
END;
$$;


ALTER FUNCTION dg.f_create_report_highlight(p_id_report uuid, p_seq integer, p_name character varying, p_cond_type character varying, p_enabled boolean, p_id_column uuid, p_background_color character varying, p_text_color character varying, p_cond_id_column uuid, p_cond_operator character varying, p_condition_expression character varying, p_cond_case_sensitive boolean, p_id uuid) OWNER TO xrad_user;

--
-- Name: f_get_current_report(uuid, bigint); Type: FUNCTION; Schema: dg; Owner: xrad_user
--

CREATE FUNCTION dg.f_get_current_report(p_id_region uuid, p_id_session bigint) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_value uuid;
BEGIN
  --Текущий шаблон хранится в сессиии 
	select nullif(v.item_value,'')::uuid into l_value from app.t_session_values v
  where v.id_session = p_id_session and v.id_item = p_id_region;
  
  --Если не указан текущий, то берем шаблоно по умолчанию
  if not found or l_value is null then
  	select r.id into l_value from dg.t_dg_reports r 
    where r.id_region = p_id_region 
    and ((r.id_session is null and r.report_type = 'PRIMARY') 
         or r.id_session = p_id_session);
    
    call app.p_set_session_value(
  					p_id_session => p_id_session, 
            p_id_item => p_id_region,
            p_item_value => l_value::text
            );
  end if;
  
  return l_value;  
END;
$$;


ALTER FUNCTION dg.f_get_current_report(p_id_region uuid, p_id_session bigint) OWNER TO xrad_user;

--
-- Name: f_report_column_sync(); Type: FUNCTION; Schema: dg; Owner: xrad_user
--

CREATE FUNCTION dg.f_report_column_sync() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
DECLARE
 l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);
 l_rec    record;
 l_seq    int;
BEGIN
  IF TG_OP = 'INSERT' and not l_export then
  
  	for l_rec in (select r.id
                  from dg.t_dg_reports r 
                  where r.id_region = new.id_region
                  and   (r.report_type in ('PRIMARY','PRIVATE')
                         or new.column_type = 'ROW_ACTION'))
    loop
    
      select case 
        			 when new.column_type = 'ROW_ACTION' then 0
               else coalesce(max(c.display_seq),0) +1
             end
      into l_seq
      from dg.t_dg_report_columns c 
      where c.id_report = l_rec.id;
      
      perform dg.f_create_report_column(
      						p_id_report => l_rec.id, 
                  p_id_column => new.id, 
                  p_display_seq => l_seq,
                  p_visible => true, 
                  p_frozen => false); 
    end loop;  
    
    return new;
    
  elseif TG_OP = 'INSERT' and l_export then 
    return new;
  elsif TG_OP = 'DELETE' then
  
  	for l_rec in 
      select r.id from dg.t_dg_reports r where r.id_region = old.id_region	
    loop
    	delete from dg.t_dg_report_filters f where f.id_column = old.id and f.id_report = l_rec.id;
      delete from dg.t_dg_report_highlights h where h.id_column = old.id and h.id_report = l_rec.id;
      delete from dg.t_dg_report_columns c where c.id_column = old.id and c.id_report = l_rec.id;
    end loop;  
    
    return old;
  end if;
END;
$$;


ALTER FUNCTION dg.f_report_column_sync() OWNER TO xrad_user;

--
-- Name: f_trg_dg_dml(); Type: FUNCTION; Schema: dg; Owner: xrad_user
--

CREATE FUNCTION dg.f_trg_dg_dml() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);
  l_rec record;
BEGIN
	if TG_OP = 'INSERT' and not l_export then
  
  	perform dg.f_create_report(p_id_region => new.id, p_report_type => 'PRIMARY');    
    return new;
    
  elsif TG_OP = 'INSERT' and l_export then
    return new;
    	
  elsif TG_OP = 'DELETE' then
  
    for l_rec in 
      select r.id from dg.t_dg_reports r where r.id_region = old.id
    loop
      delete from dg.t_dg_report_highlights h where h.id_report = l_rec.id;
      delete from dg.t_dg_report_filters f where f.id_report = l_rec.id;
      delete from dg.t_dg_report_columns c where c.id_report = l_rec.id;
      delete from dg.t_dg_reports r where r.id = l_rec.id;
    end loop;
    
    return old;    
  end if;
  

END;
$$;


ALTER FUNCTION dg.f_trg_dg_dml() OWNER TO xrad_user;

--
-- Name: p_create_data_grid(uuid, uuid, character varying[], character varying, character varying, character varying, bigint, bigint, bigint, text, character varying[], character, character varying, character varying, character varying, boolean, boolean, boolean, boolean, boolean, boolean, character varying[]); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_create_data_grid(IN p_id uuid, IN p_id_page uuid, IN p_edit_operations character varying[] DEFAULT NULL::character varying[], IN p_edit_row_column character varying DEFAULT NULL::character varying, IN p_lost_update_type character varying DEFAULT NULL::character varying, IN p_row_version_column character varying DEFAULT NULL::character varying, IN p_insert_auth bigint DEFAULT NULL::bigint, IN p_delete_auth bigint DEFAULT NULL::bigint, IN p_update_auth bigint DEFAULT NULL::bigint, IN p_no_data_message text DEFAULT NULL::text, IN p_toolbar_buttons character varying[] DEFAULT NULL::character varying[], IN p_csv_separator character DEFAULT NULL::bpchar, IN p_download_name character varying DEFAULT NULL::character varying, IN p_csv_encoding character varying DEFAULT NULL::character varying, IN p_show_null_values character varying DEFAULT NULL::character varying, IN p_editable boolean DEFAULT false, IN p_lazy_loading boolean DEFAULT false, IN p_fixed_row_height boolean DEFAULT true, IN p_select_first_row boolean DEFAULT true, IN p_show_toolbar boolean DEFAULT true, IN p_enable_download boolean DEFAULT false, IN p_download_formats character varying[] DEFAULT NULL::character varying[])
    LANGUAGE plpgsql
    AS $$
BEGIN
  INSERT INTO dg.t_data_grids
		(id,id_page,editable,edit_operations,edit_row_column,lost_update_type,row_version_column,
     insert_auth,delete_auth,update_auth,lazy_loading,fixed_row_height,
  	 select_first_row,no_data_message,show_toolbar,toolbar_buttons,enable_download,
  	 csv_separator,download_name,csv_encoding,show_null_values,download_formats)
	VALUES 
  	(p_id,p_id_page,p_editable,p_edit_operations,p_edit_row_column,p_lost_update_type,
  	 p_row_version_column, p_insert_auth, p_delete_auth, p_update_auth,
  	 p_lazy_loading, p_fixed_row_height, p_select_first_row, p_no_data_message, p_show_toolbar,
  	 p_toolbar_buttons, p_enable_download, p_csv_separator, p_download_name, p_csv_encoding,
  	 p_show_null_values,p_download_formats);
END;
$$;


ALTER PROCEDURE dg.p_create_data_grid(IN p_id uuid, IN p_id_page uuid, IN p_edit_operations character varying[], IN p_edit_row_column character varying, IN p_lost_update_type character varying, IN p_row_version_column character varying, IN p_insert_auth bigint, IN p_delete_auth bigint, IN p_update_auth bigint, IN p_no_data_message text, IN p_toolbar_buttons character varying[], IN p_csv_separator character, IN p_download_name character varying, IN p_csv_encoding character varying, IN p_show_null_values character varying, IN p_editable boolean, IN p_lazy_loading boolean, IN p_fixed_row_height boolean, IN p_select_first_row boolean, IN p_show_toolbar boolean, IN p_enable_download boolean, IN p_download_formats character varying[]) OWNER TO xrad_user;

--
-- Name: p_create_dg_column(uuid, uuid, integer, character varying, character varying, character varying, character varying, uuid, text, character varying, text, text, character varying, boolean, boolean, character varying, character varying, character varying, boolean, boolean, character varying, text, character varying[], text, character varying[], character varying, text, character varying[], character varying, character varying, text, character varying[], text, character varying[], character varying, integer, json, boolean, character varying, character varying, character varying, character varying, character varying, character varying, text, character varying[]); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_create_dg_column(IN p_id_region uuid, IN p_id_page uuid, IN p_column_display_seq integer, IN p_column_type character varying, IN p_data_type character varying DEFAULT NULL::character varying, IN p_column_name character varying DEFAULT NULL::character varying, IN p_column_heading character varying DEFAULT NULL::character varying, IN p_id uuid DEFAULT NULL::uuid, IN p_link text DEFAULT NULL::text, IN p_link_target character varying DEFAULT NULL::character varying, IN p_link_title text DEFAULT NULL::text, IN p_link_class text DEFAULT NULL::text, IN p_link_icon character varying DEFAULT NULL::character varying, IN p_sort_enabled boolean DEFAULT true, IN p_hide_enabled boolean DEFAULT true, IN p_align character varying DEFAULT 'left'::character varying, IN p_format_mask character varying DEFAULT NULL::character varying, IN p_source_column character varying DEFAULT NULL::character varying, IN p_query_only boolean DEFAULT false, IN p_primary_key boolean DEFAULT false, IN p_condition_type character varying DEFAULT 'ALWAYS'::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_static_id character varying DEFAULT NULL::character varying, IN p_lov text DEFAULT NULL::text, IN p_lov_input character varying[] DEFAULT NULL::character varying[], IN p_heading_align character varying DEFAULT 'left'::character varying, IN p_read_only_type character varying DEFAULT 'NEVER'::character varying, IN p_read_only_first text DEFAULT NULL::text, IN p_read_only_first_input character varying[] DEFAULT NULL::character varying[], IN p_read_only_second text DEFAULT NULL::text, IN p_read_only_second_input character varying[] DEFAULT NULL::character varying[], IN p_mask character varying DEFAULT NULL::character varying, IN p_max_length integer DEFAULT NULL::integer, IN p_js_settings json DEFAULT NULL::json, IN p_required boolean DEFAULT false, IN p_link_text character varying DEFAULT NULL::character varying, IN p_property_01 character varying DEFAULT NULL::character varying, IN p_property_02 character varying DEFAULT NULL::character varying, IN p_property_03 character varying DEFAULT NULL::character varying, IN p_property_04 character varying DEFAULT NULL::character varying, IN p_default_value_type character varying DEFAULT NULL::character varying, IN p_default_source text DEFAULT NULL::text, IN p_default_input character varying[] DEFAULT NULL::character varying[])
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO dg.t_dg_columns
    (
      id,
      id_region,
      id_page,
      column_name,
      column_display_seq,
      column_heading,
      column_type,
      link,
      link_target,
      link_title,
      link_class,
      link_icon,
      sort_enabled,
      hide_enabled,
      align,
      format_mask,
      source_column,
      data_type,
      query_only,
      primary_key,
      condition_type,
      condition_first,
      condition_first_input,
      condition_second,
      condition_second_input,
      static_id,
      lov,
      lov_input,
      heading_align,
      read_only_type,
      read_only_first,
      read_only_first_input,
      read_only_second,
      read_only_second_input,
      mask,
      max_length,
      js_settings,
      required,
      link_text,
      property_01,
      property_02,
      property_03,
      property_04,
      default_value_type,
      default_source,
      default_input
    )
    VALUES (
      l_id,
      p_id_region,
      p_id_page,
      p_column_name,
      p_column_display_seq,
      p_column_heading,
      p_column_type,
      p_link,
      p_link_target,
      p_link_title,
      p_link_class,
      p_link_icon,
      p_sort_enabled,
      p_hide_enabled,
      p_align,
      p_format_mask,
      p_source_column,
      p_data_type,
      p_query_only,
      p_primary_key,
      p_condition_type,
      p_condition_first,
      p_condition_first_input,
      p_condition_second,
      p_condition_second_input,
      p_static_id,
      p_lov,
      p_lov_input,
      p_heading_align,
      p_read_only_type,
      p_read_only_first,
      p_read_only_first_input,
      p_read_only_second,
      p_read_only_second_input,
      p_mask,
      p_max_length,
      p_js_settings,
      p_required,
      p_link_text,
      p_property_01,
      p_property_02,
      p_property_03,
      p_property_04,
      p_default_value_type,
      p_default_source,
      p_default_input
    );

END;
$$;


ALTER PROCEDURE dg.p_create_dg_column(IN p_id_region uuid, IN p_id_page uuid, IN p_column_display_seq integer, IN p_column_type character varying, IN p_data_type character varying, IN p_column_name character varying, IN p_column_heading character varying, IN p_id uuid, IN p_link text, IN p_link_target character varying, IN p_link_title text, IN p_link_class text, IN p_link_icon character varying, IN p_sort_enabled boolean, IN p_hide_enabled boolean, IN p_align character varying, IN p_format_mask character varying, IN p_source_column character varying, IN p_query_only boolean, IN p_primary_key boolean, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_static_id character varying, IN p_lov text, IN p_lov_input character varying[], IN p_heading_align character varying, IN p_read_only_type character varying, IN p_read_only_first text, IN p_read_only_first_input character varying[], IN p_read_only_second text, IN p_read_only_second_input character varying[], IN p_mask character varying, IN p_max_length integer, IN p_js_settings json, IN p_required boolean, IN p_link_text character varying, IN p_property_01 character varying, IN p_property_02 character varying, IN p_property_03 character varying, IN p_property_04 character varying, IN p_default_value_type character varying, IN p_default_source text, IN p_default_input character varying[]) OWNER TO xrad_user;

--
-- Name: p_create_process(uuid, integer, character varying, uuid, uuid, character varying, character varying, character varying, text, character varying[], character varying[], text, character varying[], character varying[], text, character varying[], character varying[], boolean, boolean, boolean, boolean, character varying, text, character varying[], text, character varying[], character varying, timestamp without time zone, character varying, timestamp without time zone, character varying); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_create_process(IN p_id_page uuid, IN p_process_seq integer, IN p_process_name character varying, IN p_id_region uuid DEFAULT NULL::uuid, IN p_id uuid DEFAULT NULL::uuid, IN p_process_type character varying DEFAULT 'SHOW'::character varying, IN p_success_message character varying DEFAULT NULL::character varying, IN p_error_message character varying DEFAULT NULL::character varying, IN p_delete_code text DEFAULT NULL::text, IN p_delete_input character varying[] DEFAULT NULL::character varying[], IN p_delete_output character varying[] DEFAULT NULL::character varying[], IN p_insert_code text DEFAULT NULL::text, IN p_insert_input character varying[] DEFAULT NULL::character varying[], IN p_insert_output character varying[] DEFAULT NULL::character varying[], IN p_update_code text DEFAULT NULL::text, IN p_update_input character varying[] DEFAULT NULL::character varying[], IN p_update_output character varying[] DEFAULT NULL::character varying[], IN p_lost_update boolean DEFAULT true, IN p_lock_row boolean DEFAULT true, IN p_accept_modal boolean DEFAULT false, IN p_commit_tx boolean DEFAULT false, IN p_condition_type character varying DEFAULT 'ALWAYS'::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_created_by character varying DEFAULT NULL::character varying, IN p_created_on timestamp without time zone DEFAULT NULL::timestamp without time zone, IN p_last_updated_by character varying DEFAULT NULL::character varying, IN p_last_updated_on timestamp without time zone DEFAULT NULL::timestamp without time zone, IN p_condition_scope character varying DEFAULT 'ONCE'::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO 
  dg.t_dg_processing
(
  id,
  id_page,
  id_region,
  process_seq,
  process_name,
  process_type,
  success_message,
  error_message,
  delete_code,
  delete_input,
  delete_output,
  insert_code,
  insert_input,
  insert_output,
  update_code,
  update_input,
  update_output,
  lost_update,
  lock_row,
  accept_modal,
  commit_tx,
  condition_type,
  condition_first,
  condition_first_input,
  condition_second,
  condition_second_input,
  created_by,
  created_on,
  last_updated_by,
  last_updated_on,
  condition_scope
)
VALUES (
  l_id,
  p_id_page,
  p_id_region,
  p_process_seq,
  p_process_name,
  p_process_type,
  p_success_message,
  p_error_message,
  p_delete_code,
  p_delete_input,
  p_delete_output,
  p_insert_code,
  p_insert_input,
  p_insert_output,
  p_update_code,
  p_update_input,
  p_update_output,
  p_lost_update,
  p_lock_row,
  p_accept_modal,
  p_commit_tx,
  p_condition_type,
  p_condition_first,
  p_condition_first_input,
  p_condition_second,
  p_condition_second_input,
  p_created_by,
  p_created_on,
  p_last_updated_by,
  p_last_updated_on,
  p_condition_scope
);

END;
$$;


ALTER PROCEDURE dg.p_create_process(IN p_id_page uuid, IN p_process_seq integer, IN p_process_name character varying, IN p_id_region uuid, IN p_id uuid, IN p_process_type character varying, IN p_success_message character varying, IN p_error_message character varying, IN p_delete_code text, IN p_delete_input character varying[], IN p_delete_output character varying[], IN p_insert_code text, IN p_insert_input character varying[], IN p_insert_output character varying[], IN p_update_code text, IN p_update_input character varying[], IN p_update_output character varying[], IN p_lost_update boolean, IN p_lock_row boolean, IN p_accept_modal boolean, IN p_commit_tx boolean, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_created_by character varying, IN p_created_on timestamp without time zone, IN p_last_updated_by character varying, IN p_last_updated_on timestamp without time zone, IN p_condition_scope character varying) OWNER TO xrad_user;

--
-- Name: p_create_report(uuid, uuid, uuid, character varying, character varying, character varying, bigint, uuid, integer, character varying, timestamp without time zone, integer, boolean); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_create_report(IN p_id uuid, IN p_id_page uuid, IN p_id_region uuid, IN p_report_type character varying, IN p_name character varying DEFAULT NULL::character varying, IN p_app_user character varying DEFAULT NULL::character varying, IN p_id_session bigint DEFAULT NULL::bigint, IN p_id_base uuid DEFAULT NULL::uuid, IN p_rows_per_page integer DEFAULT NULL::integer, IN p_last_updated_by character varying DEFAULT NULL::character varying, IN p_last_updated_on timestamp without time zone DEFAULT NULL::timestamp without time zone, IN p_version integer DEFAULT 1, IN p_show_row_numbers boolean DEFAULT NULL::boolean)
    LANGUAGE plpgsql
    AS $$
declare
	l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
   INSERT INTO dg.t_dg_reports
  	(id, id_page,id_region,name,report_type,app_user,id_session,
     id_base,rows_per_page,last_updated_by, last_updated_on, version,show_row_numbers)
  VALUES 
    (l_id, p_id_page,p_id_region,p_name,p_report_type,p_app_user,p_id_session,
     p_id_base,p_rows_per_page,p_last_updated_by,p_last_updated_on,p_version,p_show_row_numbers);
END;
$$;


ALTER PROCEDURE dg.p_create_report(IN p_id uuid, IN p_id_page uuid, IN p_id_region uuid, IN p_report_type character varying, IN p_name character varying, IN p_app_user character varying, IN p_id_session bigint, IN p_id_base uuid, IN p_rows_per_page integer, IN p_last_updated_by character varying, IN p_last_updated_on timestamp without time zone, IN p_version integer, IN p_show_row_numbers boolean) OWNER TO xrad_user;

--
-- Name: p_create_report_column(uuid, uuid, uuid, integer, boolean, boolean, numeric, integer, character varying, character varying); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_create_report_column(IN p_id uuid, IN p_id_report uuid, IN p_id_column uuid, IN p_display_seq integer, IN p_visible boolean DEFAULT true, IN p_frozen boolean DEFAULT false, IN p_width numeric DEFAULT NULL::numeric, IN p_sort_order integer DEFAULT NULL::integer, IN p_sort_direction character varying DEFAULT NULL::character varying, IN p_sort_nulls character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
   l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
   INSERT INTO dg.t_dg_report_columns
		(id,id_report,id_column,display_seq,visible,frozen,width,sort_order,
    sort_direction,sort_nulls)
	VALUES 
  	(l_id,p_id_report,p_id_column,p_display_seq,p_visible,p_frozen,p_width,
  	 p_sort_order,p_sort_direction,p_sort_nulls);
END;
$$;


ALTER PROCEDURE dg.p_create_report_column(IN p_id uuid, IN p_id_report uuid, IN p_id_column uuid, IN p_display_seq integer, IN p_visible boolean, IN p_frozen boolean, IN p_width numeric, IN p_sort_order integer, IN p_sort_direction character varying, IN p_sort_nulls character varying) OWNER TO xrad_user;

--
-- Name: p_delete_grid(uuid); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_delete_grid(IN p_id uuid)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
BEGIN

  for l_rec in 
    select r.id from dg.t_dg_reports r where r.id_region = p_id
  loop
  	call dg.p_delete_report(l_rec.id);
  end loop;
  
  delete from dg.t_dg_columns c where c.id_region = p_id;
  delete from dg.t_data_grids g where g.id = p_id;
END;
$$;


ALTER PROCEDURE dg.p_delete_grid(IN p_id uuid) OWNER TO xrad_user;

--
-- Name: p_delete_report(uuid); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_delete_report(IN p_id uuid)
    LANGUAGE plpgsql
    AS $$
begin 
 	delete from dg.t_dg_report_filters f where f.id_report = p_id;
  delete from dg.t_dg_report_highlights h where h.id_report = p_id;
  delete from dg.t_dg_report_columns c where c.id_report = p_id;
  delete from dg.t_dg_reports r where r.id = p_id; 
end;
$$;


ALTER PROCEDURE dg.p_delete_report(IN p_id uuid) OWNER TO xrad_user;

--
-- Name: p_set_current_report(bigint, uuid, uuid); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_set_current_report(IN p_id_session bigint, IN p_id_region uuid, IN p_id_report uuid)
    LANGUAGE plpgsql
    AS $$
BEGIN
  call app.p_set_session_value(
  					p_id_session => p_id_session, 
            p_id_item => p_id_region,
            p_item_value => p_id_report::text
            );
END;
$$;


ALTER PROCEDURE dg.p_set_current_report(IN p_id_session bigint, IN p_id_region uuid, IN p_id_report uuid) OWNER TO xrad_user;

--
-- Name: p_set_default_report(uuid, uuid); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_set_default_report(IN p_id uuid, IN p_id_region uuid)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_old uuid;
  l_rec record;
BEGIN
  select r.id into l_old 
  from dg.t_dg_reports r 
  where r.id_region = p_id_region 
  and r.report_type = 'PRIMARY'
  and r.id_base is null;
  
  if l_old = p_id then
    return;
  end if;
  
  for l_rec in
    select s.id from dg.t_dg_reports s where s.id_region = p_id_region  and s.report_type = 'PRIMARY'
  loop
    call dg.p_delete_report(l_rec.id);
  end loop;
    
  update dg.t_dg_reports r 
     set report_type = 'PRIMARY', 
         id_session = null, 
         app_user = null,
         id_base = null
   where r.id = p_id;         

END;
$$;


ALTER PROCEDURE dg.p_set_default_report(IN p_id uuid, IN p_id_region uuid) OWNER TO xrad_user;

--
-- Name: p_update_filter(uuid, character varying, uuid, character varying, character varying, character varying, boolean, boolean); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_update_filter(IN p_id_filter uuid, IN p_filter_type character varying, IN p_id_column uuid, IN p_filter_name character varying DEFAULT NULL::character varying, IN p_operator character varying DEFAULT NULL::character varying, IN p_expression character varying DEFAULT NULL::character varying, IN p_enabled boolean DEFAULT true, IN p_case_sensetive boolean DEFAULT false)
    LANGUAGE plpgsql
    AS $$
BEGIN
  UPDATE dg.t_dg_report_filters f 
     set filter_type = p_filter_type,
    		 id_column = p_id_column,
         filter_name = p_filter_name,
         operator = p_operator,
         expression = p_expression,
         enabled = p_enabled,
         case_sensetive = p_case_sensetive
   where id = p_id_filter;
END;
$$;


ALTER PROCEDURE dg.p_update_filter(IN p_id_filter uuid, IN p_filter_type character varying, IN p_id_column uuid, IN p_filter_name character varying, IN p_operator character varying, IN p_expression character varying, IN p_enabled boolean, IN p_case_sensetive boolean) OWNER TO xrad_user;

--
-- Name: p_update_highlight(uuid, integer, character varying, character varying, boolean, uuid, character varying, character varying, uuid, character varying, character varying, boolean); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_update_highlight(IN p_id uuid, IN p_seq integer, IN p_name character varying, IN p_cond_type character varying, IN p_enabled boolean DEFAULT true, IN p_id_column uuid DEFAULT NULL::uuid, IN p_background_color character varying DEFAULT NULL::character varying, IN p_text_color character varying DEFAULT NULL::character varying, IN p_cond_id_column uuid DEFAULT NULL::uuid, IN p_cond_operator character varying DEFAULT NULL::character varying, IN p_condition_expression character varying DEFAULT NULL::character varying, IN p_cond_case_sensitive boolean DEFAULT false)
    LANGUAGE plpgsql
    AS $$
begin
  UPDATE 
    dg.t_dg_report_highlights 
  SET 
    seq = p_seq,
    name = p_name,
    id_column = p_id_column,
    background_color = p_background_color,
    text_color = p_text_color,
    cond_type = p_cond_type,
    cond_id_column = p_cond_id_column,
    cond_operator = p_cond_operator,
    cond_case_sensitive = p_cond_case_sensitive,
    condition_expression = p_condition_expression,
    enabled = p_enabled
  WHERE 
    id = p_id;
end;
$$;


ALTER PROCEDURE dg.p_update_highlight(IN p_id uuid, IN p_seq integer, IN p_name character varying, IN p_cond_type character varying, IN p_enabled boolean, IN p_id_column uuid, IN p_background_color character varying, IN p_text_color character varying, IN p_cond_id_column uuid, IN p_cond_operator character varying, IN p_condition_expression character varying, IN p_cond_case_sensitive boolean) OWNER TO xrad_user;

--
-- Name: p_update_report_column(uuid, uuid, integer, boolean, boolean, numeric, integer, character varying, character varying); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_update_report_column(IN p_id uuid, IN p_id_column uuid, IN p_display_seq integer, IN p_visible boolean, IN p_frozen boolean, IN p_width numeric, IN p_sort_order integer, IN p_sort_direction character varying, IN p_sort_nulls character varying)
    LANGUAGE plpgsql
    AS $$
BEGIN
  UPDATE dg.t_dg_report_columns 
     SET  display_seq = p_display_seq,
          visible = p_visible,
  				frozen = p_frozen,
  				width = p_width,
  				sort_order = p_sort_order,
          sort_direction = p_sort_direction,
          sort_nulls = p_sort_nulls,
          id_column = p_id_column
	WHERE id = p_id;

END;
$$;


ALTER PROCEDURE dg.p_update_report_column(IN p_id uuid, IN p_id_column uuid, IN p_display_seq integer, IN p_visible boolean, IN p_frozen boolean, IN p_width numeric, IN p_sort_order integer, IN p_sort_direction character varying, IN p_sort_nulls character varying) OWNER TO xrad_user;

--
-- Name: p_update_saved_report(uuid, character varying, bigint, integer, boolean, character varying, character varying, uuid); Type: PROCEDURE; Schema: dg; Owner: xrad_user
--

CREATE PROCEDURE dg.p_update_saved_report(IN p_id uuid, IN p_name character varying, IN p_id_session bigint, IN p_rows_per_page integer, IN p_show_row_number boolean, IN p_report_type character varying, IN p_app_user character varying, IN p_id_base uuid)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rep dg.t_dg_reports;
  l_user varchar;
  l_id uuid := p_id;
  l_id_region uuid;
  l_sess_id bigint;
BEGIN
  select s.user_name into l_user from app.t_sessions s where s.id = p_id_session;
         
  UPDATE dg.t_dg_reports s
     SET name = p_name,
         id_session = p_id_session,
         report_type = p_report_type,
         app_user = case when p_report_type = 'PRIVATE' then p_app_user else app_user end,
         id_base = p_id_base,         
         rows_per_page = p_rows_per_page,
         last_updated_by = l_user,
         last_updated_on = current_timestamp,
         "version" = s.version+1,
         show_row_numbers = p_show_row_number       
  WHERE s.id = l_id; 
    
    
END;
$$;


ALTER PROCEDURE dg.p_update_saved_report(IN p_id uuid, IN p_name character varying, IN p_id_session bigint, IN p_rows_per_page integer, IN p_show_row_number boolean, IN p_report_type character varying, IN p_app_user character varying, IN p_id_base uuid) OWNER TO xrad_user;

--
-- Name: f_get_list_entries(integer); Type: FUNCTION; Schema: ds; Owner: xrad_user
--

CREATE FUNCTION ds.f_get_list_entries(p_id integer) RETURNS TABLE(id bigint, id_parent bigint, display_sequence integer, name character varying, parent_name text, target character varying, lvl integer)
    LANGUAGE plpgsql
    AS $$
BEGIN
  return query 
  with recursive x  as 
  ( select i.id, i.id_parent, i.display_sequence, i.name, null::text parent_name, i.target, 1 lvl
    from list.t_list_items i where i.id_list = p_id and i.id_parent is null
    union all
    select l.id, l.id_parent, l.display_sequence, l.name, x.name parent_name, l.target, x.lvl + 1 
    from list.t_list_items l, x
    where l.id_parent = x.id)
  select * from x;   
  
  return;
END;
$$;


ALTER FUNCTION ds.f_get_list_entries(p_id integer) OWNER TO xrad_user;

--
-- Name: add_page_to_folder(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.add_page_to_folder(p_id_page uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
  l_script text;
BEGIN
  select p.*,s.page_num  into l_rec 
  from page.t_folder_page p, page.t_pages s
  where p.id_page = p_id_page and p.id_page = s.id;  
  
  l_script := concat(
        'if exists(select from page.t_folders where id = ',
         l_rec.id_folder,') then',chr(10),
         export.write_call('page.p_add_page_to_folder'),
         export.write_param('p_id_folder',l_rec.id_folder,false),
         export.write_param('p_page_num',l_rec.page_num),
         export.write_param('p_seq',l_rec.disp_seq),
         export.write_call_end(),chr(10),
         'end if;'
         );
                      
  return l_script;
  
END;
$$;


ALTER FUNCTION export.add_page_to_folder(p_id_page uuid) OWNER TO xrad_user;

--
-- Name: app_settings(); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.app_settings() RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN
  l_script := 'INSERT INTO app.t_settings(key,value) VALUES';
  for l_rec in 
  	select key, value from app.t_settings   
  loop
  	l_script := l_script||chr(10)||format('(%L,%L),',l_rec.key,l_rec.value);
  end loop;
  l_script := rtrim(l_script,',');
  l_script := l_script||chr(10)||'ON CONFLICT (key) DO';
  l_script := l_script||chr(10)||'UPDATE SET value = excluded.value;';
  return l_script;
END;
$$;


ALTER FUNCTION export.app_settings() OWNER TO xrad_user;

--
-- Name: application(); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.application() RETURNS text
    LANGUAGE plpgsql
    AS $_$
DECLARE
  l_script text;
  l_rec    record;
BEGIN
  l_script := 'do'||CHR(10)||'$xrad_exp$'||CHR(10);
  l_script := l_script||'BEGIN'||CHR(10);
  l_script := l_script||'call app.p_delete_application();'||CHR(10);
  
  --SETTINGS
  l_script := l_script||export.app_settings()||CHR(10);
  
  --DATA SOURCES
  for l_rec in
    select id from app.t_data_sources 
  loop
  	l_script := l_script||export.create_data_source(l_rec.id)||CHR(10);
  end loop;
  
  for l_rec in 
    select id from app.t_auth_list
  loop
    l_script := l_script||export.create_auth_list(l_rec.id)||CHR(10); 
  end loop;
    
  --AUTHORIZATION
  for l_rec in 
    select id from app.t_authorization_schemes 
  loop
  	l_script := l_script||export.create_authorization(l_rec.id)||CHR(10); 
  end loop;
  
  --GLOBALS
  for l_rec in 
    select id from item.t_global_items where not built_in
  loop
  	l_script := l_script||export.create_global_item(l_rec.id)||CHR(10);
  end loop;
  
  --GLOBAL PROCESSING
  for l_rec in 
    select id from app.t_app_processing
  loop
    l_script := l_script||export.create_app_processing(l_rec.id)||CHR(10);
  end loop;
  
  --LISTS
  for l_rec in 
    select id from list.t_lists 
  loop
    l_script := l_script||export.create_list(l_rec.id)||CHR(10);
  end loop;    

	--LIST ITEMS  
  for l_rec in 
    select id from list.t_list_items 
  loop
    l_script := l_script||export.create_list_item(l_rec.id)||CHR(10);
  end loop;    
  
  --FOLDERS
  for l_rec in
    select id from page.t_folders
  loop
    l_script := l_script||export.create_folder(l_rec.id)||CHR(10);
  end loop;
  
  --PAGES
  for l_rec in 
    select id from page.t_pages 
  loop
    l_script := l_script||export.page(l_rec.id,false)||CHR(10);
  end loop;
  
  l_script := l_script||chr(10)||'END;'||chr(10)||'$xrad_exp$';    
  
  return l_script;
END;
$_$;


ALTER FUNCTION export.application() OWNER TO xrad_user;

--
-- Name: components(export.component[]); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.components(p_comps export.component[]) RETURNS text
    LANGUAGE plpgsql
    AS $_$
DECLARE
  l_rec    record;
  l_rec2   record;
  l_script text := '';
BEGIN
   
  l_script := l_script|| 'do'||CHR(10)||'$xrad_exp$'||CHR(10);
  l_script := l_script||'BEGIN'||CHR(10);
  l_script := l_script||'SET CONSTRAINTS ALL DEFERRED ;'||CHR(10);  
  l_script := l_script||'perform set_config(''xrad.export'',''true'',true);'||CHR(10);

  for l_rec in 
    select cmp.comp_type, cmp.id
    from app.v_export_components s, unnest(p_comps) as cmp
    where cmp.comp_type = s.type_name
    and cmp.id = s.id
    order by s.weight desc
  loop     
    
    if l_rec.comp_type = 'DATASOURCE' then
      l_script := l_script || export.create_data_source(l_rec.id::int);
    elsif l_rec.comp_type = 'AUTHORIZATION' then
      l_script := l_script || export.create_authorization(l_rec.id::bigint);
    elsif l_rec.comp_type = 'AUTHENTICATION' then
      l_script := l_script || export.create_auth_list(l_rec.id::int);
    elsif l_rec.comp_type = 'APP_PROCESS' then
      l_script := l_script || export.create_app_processing(l_rec.id::uuid);    
    elsif l_rec.comp_type = 'APP_ITEM' then
      l_script := l_script || export.create_global_item(l_rec.id::uuid);    
    elsif l_rec.comp_type = 'LIST' then
      l_script := l_script || export.create_list(l_rec.id::bigint);    
      for l_rec2 in 
        select i.id from list.t_list_items i where i.id_list = l_rec.id::bigint
      loop
        l_script := l_script || export.create_list_item(l_rec2.id::bigint);    
      end loop;
      
    elsif l_rec.comp_type = 'LIST_ITEM' then
      l_script := l_script || export.create_list_item(l_rec.id::bigint);    
    elsif l_rec.comp_type = 'PAGE' then
      l_script := l_script || export.page(l_rec.id::uuid,false);    
    end if;
        
  end loop;
  
  l_script := l_script||chr(10)||'END;'||chr(10)||'$xrad_exp$'||CHR(10);
  
  return l_script;    
END;
$_$;


ALTER FUNCTION export.components(p_comps export.component[]) OWNER TO xrad_user;

--
-- Name: create_app_processing(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_app_processing(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from app.t_app_processing p where p.id = p_id;
  l_script := concat(
          export.write_call('app.p_create_app_processing'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_process_seq',l_rec.process_seq),
          export.write_param('p_process_name',l_rec.process_name),
          export.write_param('p_process_type',l_rec.process_type),
          export.write_param('p_request_name',l_rec.request_name),
          export.write_param('p_error_message',l_rec.error_message),
          export.write_param('p_process_code',l_rec.process_code),
          export.write_param('p_input_parameters',l_rec.input_parameters),
          export.write_param('p_output_parameters',l_rec.output_parameters),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_param('p_commit_tx',l_rec.commit_tx),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_app_processing(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_auth(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_auth(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from app.t_authentications s where s.id = p_id;
  l_script := concat(
          export.write_call('app.p_create_auth'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_auth_seq',l_rec.auth_seq),
          export.write_param('p_auth_name',l_rec.auth_name),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_param('p_auth_type',l_rec.auth_type),
          export.write_param('p_auth_code',l_rec.auth_code),
          export.write_param('p_auth_code_input',l_rec.auth_code_input),
          export.write_param('p_post_login_func',l_rec.post_login_func),
          export.write_param('p_input_params',l_rec.input_params),
          export.write_param('p_output_params',l_rec.output_params),          
          export.write_param('p_ldap_user_item',l_rec.ldap_user_item),          
          export.write_param('p_ldap_pass_item',l_rec.ldap_pass_item),          
          export.write_param('p_condition_type',l_rec.condition_type),          
          export.write_param('p_condition_first',l_rec.condition_first),                    
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),          
          export.write_param('p_condition_second_input',l_rec.condition_second_input),                    
          export.write_call_end()
         );         
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_auth(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_auth_list(integer); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_auth_list(p_id integer) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from app.t_auth_list s where s.id = p_id;
  l_script := concat(
          export.write_call('app.p_create_auth_list'),
          export.write_param('p_id',l_rec.id,false),
          export.write_param('p_auth_name',l_rec.auth_name),
          export.write_param('p_auth_type',l_rec.auth_type),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_auth_list(p_id integer) OWNER TO xrad_user;

--
-- Name: create_authorization(bigint); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_authorization(p_id bigint) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from app.t_authorization_schemes s where s.id = p_id;
  l_script := concat(
          export.write_call('app.p_create_authorization'),
          export.write_param('p_name',l_rec.name,false),
          export.write_param('p_source',l_rec.source),
          export.write_param('p_input',l_rec.input),
          export.write_param('p_error',l_rec.error_message),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_param('p_id',l_rec.id),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_authorization(p_id bigint) OWNER TO xrad_user;

--
-- Name: create_button(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_button(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from button.t_buttons b where b.id = p_id;
  l_script := concat(
          export.write_perform('button.f_create_button'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_id_region',l_rec.id_region::varchar),
          export.write_param('p_sequence',l_rec.sequence),
          export.write_param('p_name',l_rec.name),
          export.write_param('p_static_id',l_rec.static_id),
          export.write_param('p_alias',l_rec.alias),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_param('p_redirect_url',l_rec.redirect_url),
          export.write_param('p_position',l_rec.position),
          export.write_param('p_class',l_rec.class),
          export.write_param('p_id_item',l_rec.id_item::varchar),
          export.write_param('p_location',l_rec.location),
          export.write_param('p_id_list',l_rec.id_list),
          export.write_param('p_button_action',l_rec.button_action),
          export.write_param('p_col_span',l_rec.col_span),
          export.write_param('p_start_new_row',l_rec.start_new_row),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_param('p_link_target',l_rec.link_target),
          export.write_param('p_link_title',l_rec.link_title),
          export.write_param('p_link_class',l_rec.link_class),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_button(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_calendar(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_calendar(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_calendars r where r.id = p_id;
  
  l_script := concat(
          export.write_call('cmp.p_create_calendar'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_display_column',l_rec.display_column),
          export.write_param('p_start_column',l_rec.start_column),
          export.write_param('p_end_column',l_rec.end_column),
          export.write_param('p_pkey_column',l_rec.pkey_column),
          export.write_param('p_height',l_rec.height),
          export.write_param('p_views',l_rec.views),
          export.write_param('p_show_time',l_rec.show_time),
          export.write_param('p_drag_drop',l_rec.drag_drop),
          export.write_param('p_show_tooltip',l_rec.show_tooltip),
          export.write_param('p_view_link',l_rec.view_link),
          export.write_param('p_css_column',l_rec.css_column),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_calendar(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_card(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_card(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_cards r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_create_card'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_theme',l_rec.theme),
          export.write_param('p_columns',l_rec.columns),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_card(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_chart(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_chart(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_charts r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_create_chart'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_chart_type',l_rec.chart_type),
          export.write_param('p_category_column',l_rec.category_column),
          export.write_param('p_dynamic_load',l_rec.dynamic_load),
          export.write_param('p_width',l_rec.width),
          export.write_param('p_height',l_rec.height),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_chart(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_chart_series(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_chart_series(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_chart_series r where r.id_series = p_id;
  l_script := concat(
          export.write_call('cmp.p_create_chart_series'),
          export.write_param('p_id_series',l_rec.id_series::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_id_region',l_rec.id_region::varchar),
          export.write_param('p_name',l_rec.name),
          export.write_param('p_seq',l_rec.seq),
          export.write_param('p_value_column',l_rec.value_column),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_chart_series(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_chat(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_chat(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_chat r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_create_chat'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_height',l_rec.height),
          export.write_param('p_max_height',l_rec.max_height),
          export.write_param('p_scroll_bottom',l_rec.scroll_bottom),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_chat(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_da_action(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_da_action(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from da.t_actions a where a.id = p_id;
  l_script := concat(
          export.write_perform('da.f_create_action'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_event',l_rec.id_event::varchar),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_init_on_load',l_rec.init_on_load),
          export.write_param('p_code',l_rec.code),
          export.write_param('p_sequence',l_rec.sequence),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_da_action(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_da_event(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_da_event(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from da.t_events e where e.id = p_id;
  l_script := concat(
          export.write_perform('da.f_create_event'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_event_name',l_rec.event_name),
          export.write_param('p_event_sequence',l_rec.event_sequence),
          export.write_param('p_triggering_element_type',l_rec.triggering_element_type),
          export.write_param('p_triggering_element',l_rec.triggering_element),
          export.write_param('p_triggering_region_id',l_rec.triggering_region_id::varchar),
          export.write_param('p_triggering_button_id',l_rec.triggering_button_id::varchar),
          export.write_param('p_bind_event_type',l_rec.bind_event_type),
          export.write_param('p_bind_event_type_custom',l_rec.bind_event_type_custom),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_da_event(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_data_grid(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_data_grid(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from dg.t_data_grids r where r.id = p_id;
  l_script := concat(
        export.write_call('dg.p_create_data_grid'),
        export.write_param('p_id',l_rec.id::varchar,false), 
        export.write_param('p_id_page',l_rec.id_page::varchar), 
        export.write_param('p_edit_operations',l_rec.edit_operations), 
        export.write_param('p_edit_row_column',l_rec.edit_row_column), 
        export.write_param('p_lost_update_type',l_rec.lost_update_type), 
        export.write_param('p_row_version_column',l_rec.row_version_column), 
        export.write_param('p_insert_auth',l_rec.insert_auth), 
        export.write_param('p_delete_auth',l_rec.delete_auth), 
        export.write_param('p_update_auth',l_rec.update_auth), 
        export.write_param('p_no_data_message',l_rec.no_data_message), 
        export.write_param('p_toolbar_buttons',l_rec.toolbar_buttons),
        export.write_param('p_csv_separator',l_rec.csv_separator), 
        export.write_param('p_download_name',l_rec.download_name), 
        export.write_param('p_csv_encoding',l_rec.csv_encoding), 
        export.write_param('p_show_null_values',l_rec.show_null_values), 
        export.write_param('p_editable',l_rec.editable), 
        export.write_param('p_lazy_loading',l_rec.lazy_loading), 
        export.write_param('p_fixed_row_height',l_rec.fixed_row_height), 
        export.write_param('p_select_first_row',l_rec.select_first_row), 
        export.write_param('p_show_toolbar',l_rec.show_toolbar),  
        export.write_param('p_enable_download',l_rec.enable_download), 
        export.write_param('p_download_formats',l_rec.download_formats), 
        export.write_call_end()
        );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_data_grid(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_data_source(integer); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_data_source(p_id integer) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from app.t_data_sources s where s.id = p_id;
  l_script := concat(
          export.write_call('app.p_create_data_source'),
          export.write_param('p_id',l_rec.id,false),
          export.write_param('p_source_name',l_rec.source_name),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_data_source(p_id integer) OWNER TO xrad_user;

--
-- Name: create_dg_column(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_dg_column(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from dg.t_dg_columns r where r.id = p_id;
  l_script := concat(
          export.write_call('dg.p_create_dg_column'),
          export.write_param('p_id', l_rec.id::varchar,false),
          export.write_param('p_id_region', l_rec.id_region::varchar),
          export.write_param('p_id_page', l_rec.id_page::varchar),
          export.write_param('p_column_name', l_rec.column_name),
          export.write_param('p_column_display_seq', l_rec.column_display_seq),
          export.write_param('p_column_heading', l_rec.column_heading),
          export.write_param('p_column_type', l_rec.column_type),
          export.write_param('p_link', l_rec.link),
          export.write_param('p_link_target', l_rec.link_target),
          export.write_param('p_link_title', l_rec.link_title),
          export.write_param('p_link_class', l_rec.link_class),
          export.write_param('p_link_icon', l_rec.link_icon),
          export.write_param('p_sort_enabled', l_rec.sort_enabled),
          export.write_param('p_hide_enabled', l_rec.hide_enabled),
          export.write_param('p_align', l_rec.align),
          export.write_param('p_format_mask', l_rec.format_mask),
          export.write_param('p_source_column', l_rec.source_column),
          export.write_param('p_data_type', l_rec.data_type),
          export.write_param('p_query_only', l_rec.query_only),
          export.write_param('p_primary_key', l_rec.primary_key),
          export.write_param('p_condition_type', l_rec.condition_type),
          export.write_param('p_condition_first', l_rec.condition_first),
          export.write_param('p_condition_first_input', l_rec.condition_first_input),
          export.write_param('p_condition_second', l_rec.condition_second),
          export.write_param('p_condition_second_input', l_rec.condition_second_input),
          export.write_param('p_static_id', l_rec.static_id),
          export.write_param('p_lov', l_rec.lov),
          export.write_param('p_lov_input', l_rec.lov_input),
          export.write_param('p_heading_align', l_rec.heading_align),
          export.write_param('p_read_only_type', l_rec.read_only_type),
          export.write_param('p_read_only_first', l_rec.read_only_first),
          export.write_param('p_read_only_first_input', l_rec.read_only_first_input),
          export.write_param('p_read_only_second', l_rec.read_only_second),
          export.write_param('p_read_only_second_input', l_rec.read_only_second_input),
          export.write_param('p_mask', l_rec.mask),
          export.write_param('p_max_length', l_rec.max_length),
          export.write_param('p_js_settings', l_rec.js_settings::varchar),
          export.write_param('p_required', l_rec.required),
          export.write_param('p_link_text', l_rec.link_text),                    
          export.write_param('p_property_01',l_rec.property_01),
          export.write_param('p_property_02',l_rec.property_02),
          export.write_param('p_property_03',l_rec.property_03),
          export.write_param('p_property_04',l_rec.property_04),
          export.write_param('p_default_value_type',l_rec.default_value_type),
          export.write_param('p_default_source',l_rec.default_source),
          export.write_param('p_default_input',l_rec.default_input),
          export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_dg_column(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_dg_process(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_dg_process(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from dg.t_dg_processing p where p.id = p_id;
  l_script := concat(
        export.write_call('dg.p_create_process'),
        export.write_param('p_id',l_rec.id::varchar,false),
        export.write_param('p_id_page',l_rec.id_page::varchar),
        export.write_param('p_id_region',l_rec.id_region::varchar),
        export.write_param('p_process_seq',l_rec.process_seq),
        export.write_param('p_process_name',l_rec.process_name),
        export.write_param('p_process_type',l_rec.process_type),
        export.write_param('p_success_message',l_rec.success_message),
        export.write_param('p_error_message',l_rec.error_message),
        export.write_param('p_delete_code',l_rec.delete_code),
        export.write_param('p_delete_input',l_rec.delete_input),
        export.write_param('p_delete_output',l_rec.delete_output),
        export.write_param('p_insert_code',l_rec.insert_code),
        export.write_param('p_insert_input',l_rec.insert_input),
        export.write_param('p_insert_output',l_rec.insert_output),
        export.write_param('p_update_code',l_rec.update_code),
        export.write_param('p_update_input',l_rec.update_input),
        export.write_param('p_update_output',l_rec.update_output),
        export.write_param('p_lost_update',l_rec.lost_update),
        export.write_param('p_lock_row',l_rec.lock_row),
        export.write_param('p_accept_modal',l_rec.accept_modal),
        export.write_param('p_commit_tx',l_rec.commit_tx),
        export.write_param('p_condition_type',l_rec.condition_type),
        export.write_param('p_condition_first',l_rec.condition_first),
        export.write_param('p_condition_first_input',l_rec.condition_first_input),
        export.write_param('p_condition_second',l_rec.condition_second),
        export.write_param('p_condition_second_input',l_rec.condition_second_input),
        export.write_param('p_created_by',l_rec.created_by),
        export.write_param('p_created_on',l_rec.created_on),
        export.write_param('p_last_updated_by',l_rec.last_updated_by),
        export.write_param('p_last_updated_on',l_rec.last_updated_on),
        export.write_param('p_condition_scope',l_rec.condition_scope),
        export.write_call_end()
        );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_dg_process(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_dg_report(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_dg_report(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from dg.t_dg_reports r where r.id = p_id;
  l_script := concat(
        export.write_call('dg.p_create_report'),
        export.write_param('p_id',l_rec.id::varchar,false),
        export.write_param('p_id_page',l_rec.id_page::varchar),
        export.write_param('p_id_region',l_rec.id_region::varchar),
        export.write_param('p_report_type',l_rec.report_type),
        export.write_param('p_name',l_rec.name),
        export.write_param('p_app_user',l_rec.app_user),
        export.write_param('p_id_session',l_rec.id_session),
        export.write_param('p_id_base',l_rec.id_base::varchar),
        export.write_param('p_rows_per_page',l_rec.rows_per_page),
        export.write_param('p_last_updated_by',l_rec.last_updated_by),
        export.write_param('p_last_updated_on',l_rec.last_updated_on),
        export.write_param('p_version',l_rec.version),
        export.write_param('p_show_row_numbers',l_rec.show_row_numbers),
        export.write_call_end()
        );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_dg_report(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_dg_report_column(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_dg_report_column(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from dg.t_dg_report_columns r where r.id = p_id;
  l_script := concat(
        export.write_call('dg.p_create_report_column'),
        export.write_param('p_id',l_rec.id::varchar,false),
        export.write_param('p_id_report',l_rec.id_report::varchar),
        export.write_param('p_id_column',l_rec.id_column::varchar),
        export.write_param('p_display_seq',l_rec.display_seq),
        export.write_param('p_visible',l_rec.visible),
        export.write_param('p_frozen',l_rec.frozen),
        export.write_param_numeric('p_width',l_rec.width::numeric),
        export.write_param('p_sort_order',l_rec.sort_order),
        export.write_param('p_sort_direction',l_rec.sort_direction),
        export.write_param('p_sort_nulls',l_rec.sort_nulls),
        export.write_call_end()
        );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_dg_report_column(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_dg_report_filter(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_dg_report_filter(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from dg.t_dg_report_filters r where r.id = p_id;
  l_script := concat(
        export.write_perform('dg.f_create_report_filter'),
        export.write_param('p_id',l_rec.id::varchar,false),
        export.write_param('p_id_report',l_rec.id_report::varchar),
        export.write_param('p_filter_type',l_rec.filter_type),
        export.write_param('p_id_column',l_rec.id_column::varchar),
        export.write_param('p_operator',l_rec.operator),
        export.write_param('p_expression',l_rec.expression),
        export.write_param('p_enabled',l_rec.enabled),
        export.write_param('p_case_sensetive',l_rec.case_sensetive),
        export.write_param('p_filter_name',l_rec.filter_name),
        export.write_call_end()
        );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_dg_report_filter(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_dg_report_highlight(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_dg_report_highlight(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from dg.t_dg_report_highlights r where r.id = p_id;
  l_script := concat(
        export.write_perform('dg.f_create_report_highlight'),
       	export.write_param('p_id',l_rec.id::varchar,false),
        export.write_param('p_id_report',l_rec.id_report::varchar),
        export.write_param('p_seq',l_rec.seq),
        export.write_param('p_name',l_rec.name),
        export.write_param('p_cond_type',l_rec.cond_type),
        export.write_param('p_enabled',l_rec.enabled),
        export.write_param('p_id_column',l_rec.id_column::varchar),
        export.write_param('p_background_color',l_rec.background_color),
        export.write_param('p_text_color',l_rec.text_color),
        export.write_param('p_cond_id_column',l_rec.cond_id_column::varchar),
        export.write_param('p_cond_operator',l_rec.cond_operator),
        export.write_param('p_condition_expression',l_rec.condition_expression),
        export.write_param('p_cond_case_sensitive',l_rec.cond_case_sensitive),
        export.write_call_end()
        );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_dg_report_highlight(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_folder(integer); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_folder(p_id integer) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from page.t_folders s where s.id = p_id;
  l_script := concat(
         export.write_call('page.p_create_folder'),
         export.write_param('p_id',l_rec.id,false),
         export.write_param('p_id_parent',l_rec.id_parent),
         export.write_param('p_folder_name',l_rec.folder_name),
         export.write_param('p_created_by',l_rec.created_by),
         export.write_param('p_folder_seq',l_rec.folder_seq),
         export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_folder(p_id integer) OWNER TO xrad_user;

--
-- Name: create_global_item(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_global_item(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from item.t_global_items s where s.id = p_id and not s.built_in;
  l_script := concat(
          export.write_call('item.p_create_global_item'),
          export.write_param('p_item_name',l_rec.item_name,false),
          export.write_param('p_is_temp',l_rec.is_temp),
          export.write_param('p_commentary',l_rec.commentary),
          export.write_param('p_id',l_rec.id::varchar),
          export.write_param('p_protection_level',l_rec.protection_level),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_global_item(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_list(bigint); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_list(p_id bigint) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from list.t_lists l where l.id = p_id;
  l_script := concat(
         export.write_perform('list.f_create_list'),
         export.write_param('p_name',l_rec.name,false),
         export.write_param('p_list_type',l_rec.list_type),
         export.write_param('p_id',l_rec.id),
         export.write_param('p_list_query',l_rec.list_query),
         export.write_param('p_list_input',l_rec.list_input),
         export.write_param('p_breadcrumb',l_rec.breadcrumb),
         export.write_param('p_id_source',l_rec.id_source),
         export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_list(p_id bigint) OWNER TO xrad_user;

--
-- Name: create_list_item(bigint); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_list_item(p_id bigint) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from list.t_list_items l where l.id = p_id;
  l_script := concat(
         export.write_call('list.p_create_list_item'),
         export.write_param('p_id',l_rec.id,false),
         export.write_param('p_id_list',l_rec.id_list),
         export.write_param('p_id_source',l_rec.id_source),
         export.write_param('p_id_parent',l_rec.id_parent),
         export.write_param('p_name',l_rec.name),
         export.write_param('p_target',l_rec.target),
         export.write_param('p_icon',l_rec.icon),
         export.write_param('p_display_sequence',l_rec.display_sequence),
         export.write_param('p_attribute_01',l_rec.attribute_01),
         export.write_param('p_attribute_02',l_rec.attribute_02),
         export.write_param('p_current_for_pages',l_rec.current_for_pages),
         export.write_param('p_separated',l_rec.separated),
         export.write_param('p_condition_type',l_rec.condition_type),
         export.write_param('p_condition_first',l_rec.condition_first),
         export.write_param('p_condition_first_input',l_rec.condition_first_input),
         export.write_param('p_condition_second',l_rec.condition_second),
         export.write_param('p_condition_second_input',l_rec.condition_second_input),
         export.write_param('p_target_page',l_rec.target_page),
         export.write_param('p_tooltip',l_rec.tooltip),
         export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_list_item(p_id bigint) OWNER TO xrad_user;

--
-- Name: create_page(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_page(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from page.t_pages s where s.id = p_id;
  l_script := concat(
         export.write_perform('page.f_create_page'),
         export.write_param('p_id',l_rec.id::varchar,false),
         export.write_param('p_page_name',l_rec.page_name),
         export.write_param('p_page_num',l_rec.page_num),
         export.write_param('p_page_mode',l_rec.page_mode),
         export.write_param('p_id_auth',l_rec.id_auth),
         export.write_param('p_javascript_code',l_rec.javascript_code),
         export.write_param('p_javascript_file_urls',l_rec.javascript_file_urls),
         export.write_param('p_inline_css',l_rec.inline_css),
         export.write_param('p_css_file_urls',l_rec.css_file_urls),
         export.write_param('p_is_public',l_rec.is_public),
         export.write_param('p_created_by',l_rec.created_by),
         export.write_param('p_modal_width',l_rec.modal_width),
         export.write_param('p_page_protection',l_rec.page_protection),
         export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_page(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_page_branch(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_page_branch(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from page.t_page_branches r where r.id = p_id;
  l_script := concat(
          export.write_call('page.p_create_page_branch'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_branch_name',l_rec.branch_name),
          export.write_param('p_branch_type',l_rec.branch_type),
          export.write_param('p_branch_action',l_rec.branch_action),
          export.write_param('p_branch_seq',l_rec.branch_seq),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_param('p_branch_point',l_rec.branch_point),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_param('p_action_input',l_rec.action_input),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_page_branch(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_page_download(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_page_download(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from page.t_page_downloads d where d.id = p_id;
  l_script := concat(
          export.write_call('page.p_create_page_download'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_source',l_rec.source),
          export.write_param('p_source_input',l_rec.source_input),
          export.write_param('p_file_name_column',l_rec.file_name_column),
          export.write_param('p_file_content_column',l_rec.file_content_column),
          export.write_param('p_mime_type_column',l_rec.mime_type_column),
          export.write_param('p_content_disposition',l_rec.content_disposition),
          export.write_param('p_request_name',l_rec.request_name),
          export.write_param('p_download_name',l_rec.download_name),
          export.write_param('p_download_seq',l_rec.download_seq),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_page_download(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_page_group(integer); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_page_group(p_id integer) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from page.t_page_groups s where s.id = p_id;
  l_script := concat(
          export.write_call('page.p_create_group'),
          export.write_param('p_name',l_rec.group_name,false),
          export.write_param('p_desc',l_rec.group_desc),
          export.write_param('p_color',l_rec.color),
          export.write_param('p_id',l_rec.id),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_page_group(p_id integer) OWNER TO xrad_user;

--
-- Name: create_page_item(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_page_item(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN 
  select * into strict l_rec from item.t_page_items i where i.id = p_id;
  l_script := concat(
          export.write_perform('item.f_create_page_item'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_id_region',l_rec.id_region::varchar),
          export.write_param('p_name',l_rec.name),
          export.write_param('p_type',l_rec.type),
          export.write_param('p_label',l_rec.label),
          export.write_param('p_placeholder',l_rec.placeholder),
          export.write_param('p_required',l_rec.required),
          export.write_param('p_lov',l_rec.lov),
          export.write_param('p_lov_input',l_rec.lov_input),
          export.write_param('p_is_temp',l_rec.is_temp),
          export.write_param('p_default_value_type',l_rec.default_value_type),
          export.write_param('p_default_value',l_rec.default_value),
          export.write_param('p_default_input',l_rec.default_input),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_param('p_col_span',l_rec.col_span),
          export.write_param('p_seq',l_rec.seq),
          export.write_param('p_mask',l_rec.mask),
          export.write_param('p_js_settings',l_rec.js_settings::varchar),
          export.write_param('p_max_length',l_rec.max_length),
          export.write_param('p_start_new_row',l_rec.start_new_row),
          export.write_param('p_read_only_type',l_rec.read_only_type),
          export.write_param('p_read_only_first',l_rec.read_only_first),
          export.write_param('p_read_only_first_input',l_rec.read_only_first_input),
          export.write_param('p_read_only_second',l_rec.read_only_second),
          export.write_param('p_read_only_second_input',l_rec.read_only_second_input),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_param('p_upload_sources',l_rec.upload_sources),
          export.write_param('p_tooltip',l_rec.tooltip),
          export.write_param('p_protection_level',l_rec.protection_level),
          export.write_param('p_trim_spaces',l_rec.trim_spaces),
          export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_page_item(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_page_processing(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_page_processing(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from page.t_page_processing p where p.id = p_id;
  l_script := concat(
          export.write_call('page.p_create_page_processing'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_process_seq',l_rec.process_seq),
          export.write_param('p_process_name',l_rec.process_name),
          export.write_param('p_process_type',l_rec.process_type),
          export.write_param('p_request_name',l_rec.request_name),
          export.write_param('p_success_message',l_rec.success_message),
          export.write_param('p_error_message',l_rec.error_message),
          export.write_param('p_process_code',l_rec.process_code),
          export.write_param('p_input_parameters',l_rec.input_parameters),
          export.write_param('p_output_parameters',l_rec.output_parameters),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_param('p_accept_modal',l_rec.accept_modal),
          export.write_param('p_commit_tx',l_rec.commit_tx),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_page_processing(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_page_validation(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_page_validation(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from page.t_page_validations s where s.id = p_id;
  l_script := concat(
         export.write_call('page.p_create_page_validation'),
         export.write_param('p_id',l_rec.id::varchar,false),
         export.write_param('p_id_page',l_rec.id_page::varchar),
         export.write_param('p_id_region',l_rec.id_region::varchar),
         export.write_param('p_validation_name',l_rec.validation_name),
         export.write_param('p_validation_sequence',l_rec.validation_sequence),
         export.write_param('p_validation_first',l_rec.validation_first),
         export.write_param('p_validation_first_input',l_rec.validation_first_input),
         export.write_param('p_validation_second',l_rec.validation_second),
         export.write_param('p_validation_second_input',l_rec.validation_second_input),
         export.write_param('p_validation_type',l_rec.validation_type),
         export.write_param('p_associated_item',l_rec.associated_item::varchar),
         export.write_param('p_associated_column',l_rec.associated_column::varchar),
         export.write_param('p_error_message',l_rec.error_message),
         export.write_param('p_condition_type',l_rec.condition_type),
         export.write_param('p_condition_first',l_rec.condition_first),
         export.write_param('p_condition_first_input',l_rec.condition_first_input),
         export.write_param('p_condition_second',l_rec.condition_second),
         export.write_param('p_condition_second_input',l_rec.condition_second_input),
         export.write_param('p_condition_scope',l_rec.condition_scope),
         export.write_param('p_id_source',l_rec.id_source),
         export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_page_validation(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_region(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_region(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from region.t_regions r where r.id = p_id;
  l_script := concat(
         export.write_perform('region.f_create_region'),
         export.write_param('p_id',l_rec.id::varchar,false),
         export.write_param('p_id_page',l_rec.id_page::varchar),
         export.write_param('p_id_parent',l_rec.id_parent::varchar),
         export.write_param('p_position',l_rec.position),
         export.write_param('p_seq',l_rec.seq),
         export.write_param('p_static_id',l_rec.static_id),
         export.write_param('p_title',l_rec.title),
         export.write_param('p_toggle',l_rec.toggle),
         export.write_param('p_active',l_rec.active),
         export.write_param('p_comp_type',l_rec.comp_type),
         export.write_param('p_condition_type',l_rec.condition_type),
         export.write_param('p_condition_first',l_rec.condition_first),
         export.write_param('p_condition_first_input',l_rec.condition_first_input),
         export.write_param('p_condition_second',l_rec.condition_second),
         export.write_param('p_condition_second_input',l_rec.condition_second_input),
         export.write_param('p_col_span',l_rec.col_span),
         export.write_param('p_source_type',l_rec.source_type),
         export.write_param('p_source_text',l_rec.source_text),
         export.write_param('p_source_input',l_rec.source_input),
         export.write_param('p_id_list',l_rec.id_list),
         export.write_param('p_class',l_rec.class),
         export.write_param('p_component_classes',l_rec.component_classes),
         export.write_param('p_show_header',l_rec.show_header),
         export.write_param('p_start_new_row',l_rec.start_new_row),
         export.write_param('p_settings',l_rec.settings::varchar),
         export.write_param('p_id_source',l_rec.id_source),
         export.write_param('p_generic_columns',l_rec.generic_columns),
         export.write_param('p_generic_cols_count',l_rec.generic_cols_count),
         export.write_param('p_store_state',l_rec.store_state),
         export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_region(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_report(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_report(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_report r where r.id = p_id;
  l_script := concat(
         export.write_call('cmp.p_create_report'),
         export.write_param('p_id',l_rec.id::varchar,false),
         export.write_param('p_id_page',l_rec.id_page::varchar),
         export.write_param('p_enable_search',l_rec.enable_search),
         export.write_param('p_enable_heading',l_rec.enable_heading),
         export.write_param('p_enable_pagination',l_rec.enable_pagination),
         export.write_param('p_row_limit',l_rec.row_limit),
         export.write_param('p_appearance',l_rec.appearance),
         export.write_param('p_no_data_message',l_rec.no_data_message),
         export.write_param('p_enable_actions',l_rec.enable_actions),
         export.write_param('p_stripes',l_rec.stripes),
         export.write_param('p_hover',l_rec.hover),
         export.write_param('p_cell_padding',l_rec.cell_padding),
         export.write_param('p_row_border',l_rec.row_border),
         export.write_param('p_head_wrap',l_rec.head_wrap),
         export.write_param('p_cell_wrap',l_rec.cell_wrap),
         export.write_param('p_enable_download',l_rec.enable_download),
         export.write_param('p_csv_separator',l_rec.csv_separator),
         export.write_param('p_download_name',l_rec.download_name),
         export.write_param('p_csv_encoding',l_rec.csv_encoding),
         export.write_param('p_download_formats',l_rec.download_formats),
         export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_report(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_report_column(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_report_column(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_report_columns r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_create_report_column'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_region',l_rec.id_region::varchar),
          export.write_param('p_query_column_id',l_rec.query_column_id),
          export.write_param('p_column_alias',l_rec.column_alias),
          export.write_param('p_column_display_seq',l_rec.column_display_seq),
          export.write_param('p_column_heading',l_rec.column_heading),
          export.write_param('p_column_type',l_rec.column_type),
          export.write_param('p_column_link',l_rec.column_link),
          export.write_param('p_column_icon',l_rec.column_icon),
          export.write_param('p_sortable',l_rec.sortable),
          export.write_param('p_searchable',l_rec.searchable),
          export.write_param('p_align',l_rec.align),
          export.write_param('p_format_mask',l_rec.format_mask),
          export.write_param('p_column_width',l_rec.column_width),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_param('p_column_formating',l_rec.column_formating),
          export.write_param('p_associated_item',l_rec.associated_item),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_generic',l_rec.generic),          
          export.write_param('p_data_type',l_rec.data_type),  
          export.write_param('p_link_target',l_rec.link_target),  
          export.write_param('p_link_title',l_rec.link_title),  
          export.write_param('p_link_class',l_rec.link_class),  
          export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_report_column(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_report_condition(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_report_condition(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_report_conditions r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_insert_report_condition'),
          export.write_param('p_id_page',l_rec.id_page::varchar,false),
          export.write_param('p_id_region',l_rec.id_region::varchar),
          export.write_param('p_id_report',l_rec.id_report::varchar),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_operator',l_rec.operator),
          export.write_param('p_id',l_rec.id::varchar),
          export.write_param('p_name',l_rec.name),
          export.write_param('p_column_name',l_rec.column_name),
          export.write_param('p_value1',l_rec.value1),
          export.write_param('p_highlight_type',l_rec.highlight_type),
          export.write_param('p_highlight_seq',l_rec.highlight_seq),
          export.write_param('p_bg_color',l_rec.bg_color),
          export.write_param('p_font_color',l_rec.font_color),
          export.write_param('p_condition_sql',l_rec.condition_sql),
          export.write_param('p_active',l_rec.active),
          export.write_param('p_value2',l_rec.value2),
          export.write_call_end()
         );

  return l_script;
END;
$$;


ALTER FUNCTION export.create_report_condition(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_rest_call(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_rest_call(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from page.t_rest_calls c where c.id = p_id;
  l_script := concat(
          export.write_call('page.p_create_rest_call'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_id_source',l_rec.id_source),
          export.write_param('p_rest_seq',l_rec.rest_seq),
          export.write_param('p_rest_name',l_rec.rest_name),
          export.write_param('p_rest_type',l_rec.rest_type),
          export.write_param('p_url_address',l_rec.url_address),
          export.write_param('p_http_method',l_rec.http_method),
          export.write_param('p_http_headers',l_rec.http_headers::varchar),
          export.write_param('p_query_params',l_rec.query_params::varchar),
          export.write_param('p_payload_type',l_rec.payload_type),
          export.write_param('p_payload_params',l_rec.payload_params::varchar),
          export.write_param('p_payload_source',l_rec.payload_source),
          export.write_param('p_payload_source_input',l_rec.payload_source_input::varchar),
          export.write_param('p_resp_type',l_rec.resp_type),
          export.write_param('p_resp_params',l_rec.resp_params::varchar),
          export.write_param('p_resp_source',l_rec.resp_source),
          export.write_param('p_resp_source_input',l_rec.resp_source_input::varchar),
          export.write_param('p_resp_output',l_rec.resp_output),
          export.write_param('p_request_name',l_rec.request_name),
          export.write_param('p_success_message',l_rec.success_message),
          export.write_param('p_error_message',l_rec.error_message),
          export.write_param('p_condition_type',l_rec.condition_type),
          export.write_param('p_condition_first',l_rec.condition_first),
          export.write_param('p_condition_first_input',l_rec.condition_first_input),
          export.write_param('p_condition_second',l_rec.condition_second),
          export.write_param('p_condition_second_input',l_rec.condition_second_input),
          export.write_param('p_accept_modal',l_rec.accept_modal),
          export.write_param('p_commit_tx',l_rec.commit_tx),
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_rest_call(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_saved_report(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_saved_report(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_saved_reports r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_insert_saved_report'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_id_region',l_rec.id_region::varchar),
          export.write_param('p_app_user',l_rec.app_user),
          export.write_param('p_report_seq',l_rec.report_seq),
          export.write_param('p_is_private',l_rec.is_private),
          export.write_param('p_is_default',l_rec.is_default),
          export.write_param('p_report_name',l_rec.report_name),
          export.write_param('p_sort_column',l_rec.sort_column),
          export.write_param('p_sort_order',l_rec.sort_order),
          export.write_param('p_pagination_row',l_rec.pagination_row),
          export.write_param('p_id_base',l_rec.id_base::varchar),
          export.write_param('p_report_columns',l_rec.report_columns),
          export.write_param('p_id_session',l_rec.id_session),          
          export.write_call_end()
         );
  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_saved_report(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_tiles(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_tiles(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN
 select * into strict l_rec from cmp.t_tiles r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_create_tiles'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_theme',l_rec.theme),
          export.write_param('p_columns',l_rec.columns),
          export.write_param('p_view',l_rec.view),
          export.write_param('p_align',l_rec.align),
          export.write_param('p_icon_contrast',l_rec.icon_contrast),
          export.write_param('p_title_column',l_rec.title_column),
          export.write_param('p_text_column',l_rec.text_column),
          export.write_param('p_desc_column',l_rec.desc_column),
          export.write_param('p_icon_column',l_rec.icon_column),
          export.write_param('p_color_column',l_rec.color_column),
          export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_tiles(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_tree(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_tree(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_tree r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_create_tree'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_pkey_col',l_rec.pkey_col),
          export.write_param('p_fkey_col',l_rec.fkey_col),
          export.write_param('p_label_col',l_rec.label_col),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_link',l_rec.link),
          export.write_param('p_link_column',l_rec.link_column),
          export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_tree(p_id uuid) OWNER TO xrad_user;

--
-- Name: create_wizard(uuid); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.create_wizard(p_id uuid) RETURNS text
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_script text;
  l_rec    record;
BEGIN  
  select * into strict l_rec from cmp.t_wizard r where r.id = p_id;
  l_script := concat(
          export.write_call('cmp.p_create_wizard'),
          export.write_param('p_id',l_rec.id::varchar,false),
          export.write_param('p_id_page',l_rec.id_page::varchar),
          export.write_param('p_clickable',l_rec.clickable),
          export.write_param('p_label_display',l_rec.label_display),
          export.write_param('p_orientation',l_rec.orientation),
          export.write_call_end()
         );

  
  return l_script;
END;
$$;


ALTER FUNCTION export.create_wizard(p_id uuid) OWNER TO xrad_user;

--
-- Name: page(uuid, boolean); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.page(p_id uuid, p_pl_block boolean DEFAULT true) RETURNS text
    LANGUAGE plpgsql
    AS $_$
DECLARE
  l_script text := '';
  l_rec    record;
  l_sub    record;
BEGIN
  --PAGE CREATEION
  if p_pl_block then
    l_script := 'do'||CHR(10)||'$page_exp$'||CHR(10);
    l_script := l_script||'BEGIN'||CHR(10);
  end if;
  l_script := l_script||'perform set_config(''xrad.export'',''true'',true);'||CHR(10);
  l_script := l_script||'call page.p_delete_page('''||p_id||''');'||CHR(10);
  l_script := l_script||export.create_page(p_id); 
  
  --REGION CREATION
  for l_rec in
   select r.id, r.comp_type from region.t_regions r where r.id_page = p_id
  loop
  	l_script := l_script||chr(10)||export.create_region(l_rec.id);
    
    if l_rec.comp_type = 'REPORT' then    
      l_script := l_script||chr(10)||export.create_report(l_rec.id);      
      for l_sub in 
        select c.id from cmp.t_report_columns c where c.id_region = l_rec.id
      loop
        l_script := l_script||chr(10)||export.create_report_column(l_sub.id);
      end loop;              
      
    elsif l_rec.comp_type = 'CHART' then    
      l_script := l_script||chr(10)||export.create_chart(l_rec.id);      
      for l_sub in 
        select s.id_series from cmp.t_chart_series s where s.id_region = l_rec.id
      loop
        l_script := l_script||chr(10)||export.create_chart_series(l_sub.id_series);
      end loop;      
      
    elseif l_rec.comp_type = 'TREE' then      
      l_script := l_script||chr(10)||export.create_tree(l_rec.id);    
      
    elseif l_rec.comp_type = 'CARDS' then  	      
      l_script := l_script||chr(10)||export.create_card(l_rec.id);      
      
    elseif l_rec.comp_type = 'TILES' then  	      
      l_script := l_script||chr(10)||export.create_tiles(l_rec.id);        
      
    elseif l_rec.comp_type = 'WIZARD' then        
      l_script := l_script||chr(10)||export.create_wizard(l_rec.id);    
    
    elseif l_rec.comp_type = 'CALENDAR' then        
      l_script := l_script||chr(10)||export.create_calendar(l_rec.id);    
    
    elseif l_rec.comp_type = 'CHAT' then                
      l_script := l_script||chr(10)||export.create_chat(l_rec.id);
      
    elseif l_rec.comp_type = 'DATA_GRID' then                
      l_script := l_script||chr(10)||export.create_data_grid(l_rec.id);
      for l_sub in
        select c.id from dg.t_dg_columns c where c.id_region = l_rec.id
      loop
      	l_script := l_script||chr(10)||export.create_dg_column(l_sub.id);
      end loop;  
      
    end if;        
  end loop;
  
  --REPORT TEMPLATES
  for l_rec in 
    select r.id from cmp.t_saved_reports r where r.id_page = p_id and r.is_default
  loop
  	l_script := l_script||chr(10)||export.create_saved_report(l_rec.id);
    
    for l_sub in 
      select c.id from cmp.t_report_conditions c where c.id_report = l_rec.id
    loop
    	l_script := l_script||chr(10)||export.create_report_condition(l_sub.id);
    end loop;
  end loop;
  
  --DATA_GRID REPORTS
  for l_rec in
    select r.id from dg.t_dg_reports r where r.id_session is null 
    and r.report_type in ('PRIMARY','PRIVATE') and r.id_page = p_id
  loop
  	l_script := l_script||chr(10)||export.create_dg_report(l_rec.id);
    
    for l_sub in
      select c.id from dg.t_dg_report_columns c where c.id_report = l_rec.id
    loop
    	l_script := l_script||chr(10)||export.create_dg_report_column(l_sub.id);
    end loop;
    
    for l_sub in
      select f.id from dg.t_dg_report_filters f where f.id_report = l_rec.id
    loop
    	l_script := l_script||chr(10)||export.create_dg_report_filter(l_sub.id);
    end loop;
    
    for l_sub in
      select h.id from dg.t_dg_report_highlights h where h.id_report = l_rec.id
    loop
    	l_script := l_script||chr(10)||export.create_dg_report_highlight(l_sub.id);
    end loop;
  end loop;
  
  --PAGE ITEMS
  for l_rec in 
    select i.id from item.t_page_items i where i.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_page_item(l_rec.id);
  end loop;
  
  --BUTTONS
  for l_rec in 
    select b.id from button.t_buttons b where b.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_button(l_rec.id);
  end loop;
  
  --BRANCHES
  for l_rec in 
    select b.id from page.t_page_branches b where b.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_page_branch(l_rec.id);
  end loop;
  
  --DOWNLOADS
  for l_rec in 
    select d.id from page.t_page_downloads d where d.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_page_download(l_rec.id);
  end loop;
  
  --VALIDATIONS
  for l_rec in 
    select v.id from page.t_page_validations v where v.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_page_validation(l_rec.id);
  end loop;
  
  --PROCESSING  
  for l_rec in 
    select p.id from page.t_page_processing p where p.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_page_processing(l_rec.id);
  end loop;
  
  --REST
  for l_rec in 
    select p.id from page.t_rest_calls p where p.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_rest_call(l_rec.id);
  end loop;
  
  --DATA_GRID PROCESSING
  for l_rec in 
    select p.id from dg.t_dg_processing p where p.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_dg_process(l_rec.id);
  end loop;
    
  --DA EVENTS
  for l_rec in 
    select e.id from da.t_events e where e.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_da_event(l_rec.id);
  end loop;
  
  --DA ACTIONS
  for l_rec in 
    select a.id from da.t_actions a where a.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_da_action(l_rec.id);
  end loop;
  
    --AUTHENTICATIONS
  for l_rec in
    select a.id from app.t_authentications a where a.id_page = p_id
  loop
    l_script := l_script||chr(10)||export.create_auth(l_rec.id);
  end loop;
  
  --ADD TO FOLDER
  l_script := l_script||chr(10)||export.add_page_to_folder(p_id);
  
  --END EXPORT
  if p_pl_block then
    l_script := l_script||chr(10)||'END;'||chr(10)||'$page_exp$';
  end if;  
    
  return l_script;
END;
$_$;


ALTER FUNCTION export.page(p_id uuid, p_pl_block boolean) OWNER TO xrad_user;

--
-- Name: write_call(character varying); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_call(p_proc_name character varying) RETURNS text
    LANGUAGE plpgsql
    AS $$
begin  
  return 'call '||p_proc_name||'(';
END;
$$;


ALTER FUNCTION export.write_call(p_proc_name character varying) OWNER TO xrad_user;

--
-- Name: write_call_end(); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_call_end() RETURNS text
    LANGUAGE plpgsql
    AS $$
BEGIN
  return chr(10)||');';
END;
$$;


ALTER FUNCTION export.write_call_end() OWNER TO xrad_user;

--
-- Name: write_param(character varying, integer[], boolean); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_param(p_param character varying, p_value integer[], p_comma boolean DEFAULT true) RETURNS text
    LANGUAGE plpgsql
    AS $$
BEGIN  
  if p_value is null then
    return '';
  end if;
  
  return chr(10)||case when p_comma then ',' else '' end ||p_param||' => ''{'||array_to_string(p_value,',')||'}''';  
END;
$$;


ALTER FUNCTION export.write_param(p_param character varying, p_value integer[], p_comma boolean) OWNER TO xrad_user;

--
-- Name: write_param(character varying, character varying[], boolean); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_param(p_param character varying, p_value character varying[], p_comma boolean DEFAULT true) RETURNS text
    LANGUAGE plpgsql
    AS $$
BEGIN  
  if p_value is null then
    return '';
  end if;
  
  return chr(10)||case when p_comma then ',' else '' end ||p_param||' => ''{'||array_to_string(p_value,',')||'}''';  
END;
$$;


ALTER FUNCTION export.write_param(p_param character varying, p_value character varying[], p_comma boolean) OWNER TO xrad_user;

--
-- Name: write_param(character varying, boolean, boolean); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_param(p_param character varying, p_value boolean, p_comma boolean DEFAULT true) RETURNS text
    LANGUAGE plpgsql
    AS $$
BEGIN  
  if p_value is null then
    return '';
  end if;
  
  return chr(10)||case when p_comma then ',' else '' end ||p_param||' => '||p_value::varchar;  
END;
$$;


ALTER FUNCTION export.write_param(p_param character varying, p_value boolean, p_comma boolean) OWNER TO xrad_user;

--
-- Name: write_param(character varying, bigint, boolean); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_param(p_param character varying, p_value bigint, p_comma boolean DEFAULT true) RETURNS text
    LANGUAGE plpgsql
    AS $$
BEGIN  
  if p_value is null then
    return '';
  end if;
  
  return chr(10)||case when p_comma then ',' else '' end ||p_param||' => '||p_value;  
END;
$$;


ALTER FUNCTION export.write_param(p_param character varying, p_value bigint, p_comma boolean) OWNER TO xrad_user;

--
-- Name: write_param(character varying, timestamp without time zone, boolean); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_param(p_param character varying, p_value timestamp without time zone, p_comma boolean DEFAULT true) RETURNS text
    LANGUAGE plpgsql
    AS $$
BEGIN  
  if p_value is null then
    return '';
  end if;
  
  return chr(10)||case when p_comma then ',' else '' end ||p_param||' => '||
         'to_timestamp('''||to_char(p_value,'dd.mm.yyyy hh24:mi:ss')||''', ''dd.mm.yyyy hh24:mi:ss'')::timestamp';  
END;
$$;


ALTER FUNCTION export.write_param(p_param character varying, p_value timestamp without time zone, p_comma boolean) OWNER TO xrad_user;

--
-- Name: write_param(character varying, character varying, boolean); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_param(p_param character varying, p_value character varying, p_comma boolean DEFAULT true) RETURNS text
    LANGUAGE plpgsql
    AS $_$
BEGIN  
  if p_value is null then
    return '';
  end if;
  
  return chr(10)||case when p_comma then ',' else '' end ||
  		p_param||' => '''||REPLACE(p_value,$$'$$,$$''$$)||'''';  
END;
$_$;


ALTER FUNCTION export.write_param(p_param character varying, p_value character varying, p_comma boolean) OWNER TO xrad_user;

--
-- Name: write_param_numeric(character varying, numeric, boolean); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_param_numeric(p_param character varying, p_value numeric, p_comma boolean DEFAULT true) RETURNS text
    LANGUAGE plpgsql
    AS $$
BEGIN  
  if p_value is null then
    return '';
  end if;
  
  return chr(10)||case when p_comma then ',' else '' end ||p_param||' => '||p_value;  
END;
$$;


ALTER FUNCTION export.write_param_numeric(p_param character varying, p_value numeric, p_comma boolean) OWNER TO xrad_user;

--
-- Name: write_perform(character varying); Type: FUNCTION; Schema: export; Owner: xrad_user
--

CREATE FUNCTION export.write_perform(p_func_name character varying) RETURNS text
    LANGUAGE plpgsql
    AS $$
begin  
  return 'perform '||p_func_name||'(';
END;
$$;


ALTER FUNCTION export.write_perform(p_func_name character varying) OWNER TO xrad_user;

--
-- Name: f_create_page_item(uuid, character varying, character varying, integer, integer, boolean, uuid, uuid, text, text, boolean, text, character varying[], boolean, character varying, text, character varying[], character varying, text, character varying[], text, character varying[], integer, character varying, json, integer, character varying, text, character varying[], text, character varying[], character varying, integer[], character varying, character, character varying); Type: FUNCTION; Schema: item; Owner: xrad_user
--

CREATE FUNCTION item.f_create_page_item(p_id_page uuid, p_name character varying, p_type character varying, p_id_source integer, p_col_span integer DEFAULT 0, p_start_new_row boolean DEFAULT false, p_id uuid DEFAULT NULL::uuid, p_id_region uuid DEFAULT NULL::uuid, p_label text DEFAULT NULL::text, p_placeholder text DEFAULT NULL::text, p_required boolean DEFAULT NULL::boolean, p_lov text DEFAULT NULL::text, p_lov_input character varying[] DEFAULT NULL::character varying[], p_is_temp boolean DEFAULT NULL::boolean, p_default_value_type character varying DEFAULT NULL::character varying, p_default_value text DEFAULT NULL::text, p_default_input character varying[] DEFAULT NULL::character varying[], p_condition_type character varying DEFAULT NULL::character varying, p_condition_first text DEFAULT NULL::text, p_condition_first_input character varying[] DEFAULT NULL::character varying[], p_condition_second text DEFAULT NULL::text, p_condition_second_input character varying[] DEFAULT NULL::character varying[], p_seq integer DEFAULT NULL::integer, p_mask character varying DEFAULT NULL::character varying, p_js_settings json DEFAULT NULL::json, p_max_length integer DEFAULT NULL::integer, p_read_only_type character varying DEFAULT NULL::character varying, p_read_only_first text DEFAULT NULL::text, p_read_only_first_input character varying[] DEFAULT NULL::character varying[], p_read_only_second text DEFAULT NULL::text, p_read_only_second_input character varying[] DEFAULT NULL::character varying[], p_created_by character varying DEFAULT NULL::character varying, p_upload_sources integer[] DEFAULT NULL::integer[], p_tooltip character varying DEFAULT NULL::character varying, p_protection_level character DEFAULT 'N'::bpchar, p_trim_spaces character varying DEFAULT NULL::character varying) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO item.t_page_items
    (id, id_page, id_region, NAME, TYPE, label, placeholder, required, lov, lov_input, 
    is_temp, default_value_type, default_value, default_input, condition_type, condition_first,
    condition_first_input, condition_second, condition_second_input, col_span, seq, mask,
    js_settings, max_length, start_new_row, read_only_type, read_only_first, 
    read_only_first_input, read_only_second, read_only_second_input,created_by,created_on,
    last_updated_by,last_updated_on,id_source,upload_sources,tooltip,protection_level,
    trim_spaces)
  VALUES 
   (l_id, p_id_page, p_id_region, p_name, p_type, p_label, p_placeholder, p_required, p_lov,
    p_lov_input, p_is_temp, p_default_value_type, p_default_value, p_default_input, 
    p_condition_type, p_condition_first, p_condition_first_input, p_condition_second, 
    p_condition_second_input, p_col_span, p_seq, p_mask, p_js_settings, p_max_length, 
    p_start_new_row, p_read_only_type, p_read_only_first, p_read_only_first_input,
    p_read_only_second, p_read_only_second_input,p_created_by,current_timestamp,
    p_created_by,current_timestamp,p_id_source,p_upload_sources,p_tooltip,p_protection_level,
    p_trim_spaces);
  RETURN l_id;
END;
$$;


ALTER FUNCTION item.f_create_page_item(p_id_page uuid, p_name character varying, p_type character varying, p_id_source integer, p_col_span integer, p_start_new_row boolean, p_id uuid, p_id_region uuid, p_label text, p_placeholder text, p_required boolean, p_lov text, p_lov_input character varying[], p_is_temp boolean, p_default_value_type character varying, p_default_value text, p_default_input character varying[], p_condition_type character varying, p_condition_first text, p_condition_first_input character varying[], p_condition_second text, p_condition_second_input character varying[], p_seq integer, p_mask character varying, p_js_settings json, p_max_length integer, p_read_only_type character varying, p_read_only_first text, p_read_only_first_input character varying[], p_read_only_second text, p_read_only_second_input character varying[], p_created_by character varying, p_upload_sources integer[], p_tooltip character varying, p_protection_level character, p_trim_spaces character varying) OWNER TO xrad_user;

--
-- Name: p_create_global_item(character varying, boolean, text, uuid, character, character varying); Type: PROCEDURE; Schema: item; Owner: xrad_user
--

CREATE PROCEDURE item.p_create_global_item(IN p_item_name character varying, IN p_is_temp boolean, IN p_commentary text DEFAULT NULL::text, IN p_id uuid DEFAULT NULL::uuid, IN p_protection_level character DEFAULT 'N'::bpchar, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id   uuid := coalesce(p_id,uuid_generate_v4());
  l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);
BEGIN
  if l_export then
    delete from item.t_global_items i where i.id = p_id;
  end if;
    
  INSERT INTO item.t_global_items
		(item_name,is_temp, commentary, id, protection_level,created_by,created_on)
	VALUES 
    (p_item_name,p_is_temp,p_commentary,l_id,p_protection_level,p_created_by,current_timestamp);
END;
$$;


ALTER PROCEDURE item.p_create_global_item(IN p_item_name character varying, IN p_is_temp boolean, IN p_commentary text, IN p_id uuid, IN p_protection_level character, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: f_create_list(character varying, character varying, integer, bigint, text, character varying[], boolean, character varying); Type: FUNCTION; Schema: list; Owner: xrad_user
--

CREATE FUNCTION list.f_create_list(p_name character varying, p_list_type character varying, p_id_source integer, p_id bigint DEFAULT NULL::bigint, p_list_query text DEFAULT NULL::text, p_list_input character varying[] DEFAULT NULL::character varying[], p_breadcrumb boolean DEFAULT false, p_created_by character varying DEFAULT NULL::character varying) RETURNS bigint
    LANGUAGE plpgsql
    AS $$
declare 
 l_id bigint;
 l_last bigint;
 l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);
begin

 if l_export then
   delete from list.t_list_items i where i.id_list = p_id;
   delete from list.t_lists l where l.id = p_id;
 end if;

 if p_id is not null then
    l_id := p_id;
    select last_value into l_last from list.t_app_lists_id_seq;
    if l_last <= p_id then
    	perform setval('list.t_app_lists_id_seq', p_id+1);
    end if;
  else
  	l_id := nextval('list.t_app_lists_id_seq');
 end if;
  
 insert into list.t_lists
  (id,name,list_type,list_query,list_input,breadcrumb,id_source,created_by,created_on)
 VALUES 
  (l_id,p_name,p_list_type,p_list_query,p_list_input,p_breadcrumb,p_id_source,
   p_created_by,current_timestamp);

return l_id;

end;
$$;


ALTER FUNCTION list.f_create_list(p_name character varying, p_list_type character varying, p_id_source integer, p_id bigint, p_list_query text, p_list_input character varying[], p_breadcrumb boolean, p_created_by character varying) OWNER TO xrad_user;

--
-- Name: get_breadcrumb(bigint, integer, character varying); Type: FUNCTION; Schema: list; Owner: xrad_user
--

CREATE FUNCTION list.get_breadcrumb(p_id_list bigint, p_page_num integer, p_selector character varying) RETURNS TABLE(id bigint, id_parent bigint, name character varying, target text, flg_current boolean, condition_type character varying, condition_first text, condition_first_input character varying[], condition_second text, condition_second_input character varying[])
    LANGUAGE plpgsql
    AS $$
BEGIN
  RETURN query
  WITH RECURSIVE BRC AS
    (
  SELECT i.id,
         i.id_parent,
         i.name,
         i.target,
         TRUE flg_current,
         1 as level,
         i.condition_type,
         i.condition_first,
         i.condition_first_input,
         i.condition_second,
         i.condition_second_input
  FROM list.t_list_items i
  WHERE i.target_page = p_page_num
  and   i.id_list = p_id_list
  UNION ALL
  SELECT i.id,
         i.id_parent,
         i.name,
         i.target,
         FALSE,
         brc.level +1,
         i.condition_type,
         i.condition_first,
         i.condition_first_input,
         i.condition_second,
         i.condition_second_input 
  FROM list.t_list_items i,
       BRC
  WHERE i.id = BRC.id_parent)
  SELECT b.id,
         b.id_parent,
         b.name,
         utils.f_get_link(b.target,p_selector) target,
         b.flg_current,
         b.condition_type,
         b.condition_first,
         b.condition_first_input,
         b.condition_second,
         b.condition_second_input         
  FROM BRC b
  order by b.level desc ;
END;
$$;


ALTER FUNCTION list.get_breadcrumb(p_id_list bigint, p_page_num integer, p_selector character varying) OWNER TO xrad_user;

--
-- Name: get_list(bigint, integer, character varying); Type: FUNCTION; Schema: list; Owner: xrad_user
--

CREATE FUNCTION list.get_list(p_id_list bigint, p_page_num integer, p_selector character varying) RETURNS TABLE(id bigint, id_parent bigint, name character varying, target text, icon character varying, display_sequence integer, condition_type character varying, condition_first text, condition_first_input character varying[], condition_second text, condition_second_input character varying[], attribute_01 text, attribute_02 text, current boolean, separated boolean, id_source integer, tooltip text)
    LANGUAGE plpgsql
    AS $$
BEGIN
  RETURN QUERY
  WITH RECURSIVE TREE AS
    (
  SELECT li.id,
         li.id_parent,
         li.name,
         li.target,
         li.icon,
         li.display_sequence,
         li.condition_type,
         li.condition_first,
         li.condition_first_input,
         li.condition_second,
         li.condition_second_input,
         li.attribute_01,
         li.attribute_02,
         li.current_for_pages,
         li.separated,
         li.id_source,
         li.tooltip         
  FROM list.T_LIST_ITEMS LI
  WHERE li.id_list = p_id_list
    AND li.id_parent IS NULL
  UNION ALL
  SELECT l.id,
         l.id_parent,
         l.name,
         l.target,
         l.icon,
         l.display_sequence,
         l.condition_type,
         l.condition_first,
         l.condition_first_input,
         l.condition_second,
         l.condition_second_input,
         l.attribute_01,
         l.attribute_02,
         l.current_for_pages,
         l.separated,
         l.id_source,
         l.tooltip         
  FROM list.T_LIST_ITEMS L
  JOIN TREE ON L.ID_PARENT = TREE.ID and l.id_list = p_id_list)
  SELECT t.id,
         t.id_parent,
         t.name,
         utils.f_get_link(t.target,p_selector) target,
         t.icon,
         t.display_sequence,         
         t.condition_type,
         t.condition_first,
         t.condition_first_input,
         t.condition_second,
         t.condition_second_input,
         t.attribute_01,
         t.attribute_02,
         coalesce(p_page_num = any(t.current_for_pages),false),
         t.separated,
         t.id_source,
         t.tooltip
  FROM TREE t
  ORDER BY t.id_parent NULLS FIRST,t.display_sequence;
END;
$$;


ALTER FUNCTION list.get_list(p_id_list bigint, p_page_num integer, p_selector character varying) OWNER TO xrad_user;

--
-- Name: p_create_list_item(bigint, integer, bigint, character varying, character varying, character varying, integer, text, text, integer[], boolean, character varying, text, character varying[], text, character varying[], integer, bigint, text, character varying); Type: PROCEDURE; Schema: list; Owner: xrad_user
--

CREATE PROCEDURE list.p_create_list_item(IN p_id_list bigint, IN p_id_source integer, IN p_id_parent bigint DEFAULT NULL::bigint, IN p_name character varying DEFAULT NULL::character varying, IN p_target character varying DEFAULT NULL::character varying, IN p_icon character varying DEFAULT NULL::character varying, IN p_display_sequence integer DEFAULT NULL::integer, IN p_attribute_01 text DEFAULT NULL::text, IN p_attribute_02 text DEFAULT NULL::text, IN p_current_for_pages integer[] DEFAULT NULL::integer[], IN p_separated boolean DEFAULT false, IN p_condition_type character varying DEFAULT 'ALWAYS'::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_target_page integer DEFAULT NULL::integer, IN p_id bigint DEFAULT NULL::bigint, IN p_tooltip text DEFAULT NULL::text, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
declare
  l_id bigint;
  l_last bigint;
  l_export boolean := coalesce(nullif(current_setting('xrad.export',true),'')::BOOLEAN,false);
begin
  if l_export then
   delete from list.t_list_items i where i.id_list = p_id;
  end if;
 
  if p_id is not null then
    l_id := p_id;
    select last_value into l_last from list.t_app_list_items_id_seq;
    if l_last <= p_id then
    	perform setval('list.t_app_list_items_id_seq', p_id+1);
    end if;
  else
  	l_id := nextval('list.t_app_list_items_id_seq');
  end if;
  
insert into list.t_list_items
  (id,id_list,id_parent,name,target,icon,condition_type,condition_first,
   display_sequence,condition_second,condition_first_input,condition_second_input,
   attribute_01,attribute_02,current_for_pages,separated,target_page,id_source,tooltip,
   created_by, created_on)
VALUES 
  (l_id,p_id_list,p_id_parent,p_name,p_target,p_icon,p_condition_type,p_condition_first,
   p_display_sequence,p_condition_second,p_condition_first_input,p_condition_second_input,
   p_attribute_01,p_attribute_02,p_current_for_pages,p_separated,p_target_page,p_id_source,
   p_tooltip, p_created_by, current_timestamp);
end;
$$;


ALTER PROCEDURE list.p_create_list_item(IN p_id_list bigint, IN p_id_source integer, IN p_id_parent bigint, IN p_name character varying, IN p_target character varying, IN p_icon character varying, IN p_display_sequence integer, IN p_attribute_01 text, IN p_attribute_02 text, IN p_current_for_pages integer[], IN p_separated boolean, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_target_page integer, IN p_id bigint, IN p_tooltip text, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_delete_list(bigint); Type: PROCEDURE; Schema: list; Owner: xrad_user
--

CREATE PROCEDURE list.p_delete_list(IN p_id bigint)
    LANGUAGE plpgsql
    AS $$
BEGIN
  set constraints list.fk_id_list_parent deferred;
  
  delete from list.t_list_items i where i.id_list = p_id;
  delete from list.t_lists l where l.id = p_id;  
END;
$$;


ALTER PROCEDURE list.p_delete_list(IN p_id bigint) OWNER TO xrad_user;

--
-- Name: p_delete_list_item(bigint); Type: PROCEDURE; Schema: list; Owner: xrad_user
--

CREATE PROCEDURE list.p_delete_list_item(IN p_id bigint)
    LANGUAGE plpgsql
    AS $$
BEGIN
  delete from list.t_list_items i where i.id_parent = p_id;
  delete from list.t_list_items i where i.id = p_id;
END;
$$;


ALTER PROCEDURE list.p_delete_list_item(IN p_id bigint) OWNER TO xrad_user;

--
-- Name: p_save_list_item(bigint, integer, bigint, character varying, character varying, character varying, integer, text, text, integer[], character varying, text, character varying[], text, character varying[], boolean, integer, text, character varying); Type: PROCEDURE; Schema: list; Owner: xrad_user
--

CREATE PROCEDURE list.p_save_list_item(IN p_id bigint, IN p_id_source integer, IN p_id_parent bigint, IN p_name character varying, IN p_target character varying, IN p_icon character varying, IN p_display_sequence integer, IN p_attribute_01 text, IN p_attribute_02 text, IN p_current_for_pages integer[], IN p_condition_type character varying DEFAULT 'ALWAYS'::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_separated boolean DEFAULT false, IN p_target_page integer DEFAULT NULL::integer, IN p_tooltip text DEFAULT NULL::text, IN p_updated_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
BEGIN  
  UPDATE 
  list.t_list_items 
SET 
  id_parent = p_id_parent,
  name = p_name,
  target = p_target,
  icon = p_icon,
  condition_type = p_condition_type,
  condition_first = p_condition_first,
  display_sequence = p_display_sequence,
  condition_second = p_condition_second,
  condition_first_input = p_condition_first_input,
  condition_second_input = p_condition_second_input,
  attribute_01 = p_attribute_01,
  attribute_02 = p_attribute_02,
  current_for_pages = p_current_for_pages,
  separated = p_separated,
  target_page = p_target_page,
  id_source = p_id_source,
  tooltip   = p_tooltip,
  last_updated_by = p_updated_by,
  last_updated_on = current_timestamp
WHERE 
  id = p_id;
end;
$$;


ALTER PROCEDURE list.p_save_list_item(IN p_id bigint, IN p_id_source integer, IN p_id_parent bigint, IN p_name character varying, IN p_target character varying, IN p_icon character varying, IN p_display_sequence integer, IN p_attribute_01 text, IN p_attribute_02 text, IN p_current_for_pages integer[], IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_separated boolean, IN p_target_page integer, IN p_tooltip text, IN p_updated_by character varying) OWNER TO xrad_user;

--
-- Name: p_update_list(bigint, character varying, integer, text, character varying[], character varying); Type: PROCEDURE; Schema: list; Owner: xrad_user
--

CREATE PROCEDURE list.p_update_list(IN p_id bigint, IN p_name character varying, IN p_id_source integer, IN p_list_query text DEFAULT NULL::text, IN p_list_input character varying[] DEFAULT NULL::character varying[], IN p_updated_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
begin
	update list.t_lists s 
     set "name" = p_name,
     		 list_query = p_list_query,
         list_input = p_list_input,
         id_source  = p_id_source,
         last_updated_by = p_updated_by,
         last_updated_on = CURRENT_TIMESTAMP
  where  s.id = p_id;
end;
$$;


ALTER PROCEDURE list.p_update_list(IN p_id bigint, IN p_name character varying, IN p_id_source integer, IN p_list_query text, IN p_list_input character varying[], IN p_updated_by character varying) OWNER TO xrad_user;

--
-- Name: f_check_lock(uuid, character varying); Type: FUNCTION; Schema: page; Owner: xrad_user
--

CREATE FUNCTION page.f_check_lock(p_id_page uuid, p_user character varying) RETURNS boolean
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
  l_role varchar; 
BEGIN
  select * into l_rec from page.t_page_locks l where l.id_page = p_id_page;
  if NOT FOUND then
  	return false;
  end if;
  
  select a.user_role into l_role from app.t_app_users a where a.user_name = p_user;
  
  if l_rec.locked_by = p_user or l_role = 'ADMIN' then
  	return false;
  end if;
  
  return true;
END;
$$;


ALTER FUNCTION page.f_check_lock(p_id_page uuid, p_user character varying) OWNER TO xrad_user;

--
-- Name: f_copy(uuid, character varying, integer, character varying); Type: FUNCTION; Schema: page; Owner: xrad_user
--

CREATE FUNCTION page.f_copy(p_id uuid, p_name character varying, p_num integer, p_created_by character varying DEFAULT NULL::character varying) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_page_id uuid := uuid_generate_v4();
  l_id      uuid;
  l_old_num varchar;
  l_new_num varchar := p_num::varchar;
  l_rec record;
  l_sub record;
  l_reg_map hstore := ''; --Старый => новый id региона
  l_itm_map hstore := ''; --Старый => новый id item
  l_btn_map hstore := ''; --Старый => новый id button
  l_clm_map hstore := ''; --Старый => новый id колонки
BEGIN

  --Копирование страницы
  SELECT * INTO STRICT l_rec FROM page.t_pages s where s.id = p_id;
  
  l_old_num := l_rec.page_num::varchar;
  
  perform page.f_create_page(
  	p_page_num 		     => p_num, 
    p_page_mode 	     => l_rec.page_mode, 
    p_id 			         => l_page_id, 
    p_page_name 	     => p_name, 
    p_id_auth 		  	 => l_rec.id_auth, 
    p_javascript_code  => l_rec.javascript_code, 
    p_javascript_file_urls => l_rec.javascript_file_urls, 
    p_inline_css 	  	=> l_rec.inline_css, 
    p_css_file_urls   => l_rec.css_file_urls, 
    p_is_public 	  	=> l_rec.is_public, 
    p_modal_width 	  => l_rec.modal_width, 
    p_page_protection => l_rec.page_protection,
    p_created_by      => p_created_by
  );
  
  --Регионы
  for l_rec in
   with recursive x as (
      select * from region.t_regions r where r.id_page = p_id and r.id_parent is null
      union all
      select r.* from region.t_regions r, x where r.id_parent = x.id
      )
   select * from x   
  loop
  	 l_id := region.f_create_region(
             p_id_page                => l_page_id      
            ,p_seq                    => l_rec.seq  
            ,p_static_id              => l_rec.static_id          
            ,p_comp_type              => l_rec.comp_type          
            ,p_condition_type         => l_rec.condition_type              
            ,p_start_new_row          => l_rec.start_new_row              
            ,p_id_parent			  			=> (l_reg_map -> l_rec.id_parent::text)::uuid
            ,p_position               => l_rec.position          
            ,p_title                  => l_rec.title      
            ,p_toggle                 => l_rec.toggle      
            ,p_active                 => l_rec.active      
            ,p_condition_first        => l_rec.condition_first              
            ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)       
            ,p_condition_second       => l_rec.condition_second                  
            ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)                      
            ,p_col_span               => l_rec.col_span          
            ,p_source_type            => l_rec.source_type          
            ,p_source_text            => l_rec.source_text          
            ,p_source_input           => utils.f_replace_array_names(l_rec.source_input,l_new_num,l_old_num)
            ,p_id_list                => l_rec.id_list      
            ,p_class                  => l_rec.class         
            ,p_component_classes      => l_rec.component_classes                  
            ,p_show_header            => l_rec.show_header          
            ,p_settings               => l_rec.settings     
            ,p_created_by             => p_created_by 
            ,p_id_source              => l_rec.id_source    
            ,p_generic_columns        => l_rec.generic_columns
            ,p_generic_cols_count     => l_rec.generic_cols_count
            ,p_store_state            => l_rec.store_state
     );
     
    l_reg_map := l_reg_map|| hstore(l_rec.id::text,l_id::text);  
    
  end loop;
  
  --Items
  for l_rec in 
    select * from item.t_page_items i where i.id_page = p_id
  loop
  	l_id := item.f_create_page_item(
       p_id_page                => l_page_id        
      ,p_name                   => utils.f_replace_item_name(l_rec.name,l_new_num,l_old_num)    
      ,p_type                   => l_rec.type    
      ,p_col_span               => l_rec.col_span        
      ,p_start_new_row          => l_rec.start_new_row            
      ,p_id_region              => (l_reg_map -> l_rec.id_region::text)::uuid       
      ,p_label                  => l_rec.label    
      ,p_placeholder            => l_rec.placeholder            
      ,p_required               => l_rec.required        
      ,p_lov                    => l_rec.lov    
      ,p_lov_input              => utils.f_replace_array_names(l_rec.lov_input,l_new_num,l_old_num)        
      ,p_is_temp                => l_rec.is_temp        
      ,p_default_value_type     => l_rec.default_value_type                    
      ,p_default_value          => l_rec.default_value            
      ,p_default_input          => utils.f_replace_array_names(l_rec.default_input,l_new_num,l_old_num)            
      ,p_condition_type         => l_rec.condition_type                
      ,p_condition_first        => l_rec.condition_first                
      ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)                    
      ,p_condition_second       => l_rec.condition_second                
      ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)                        
      ,p_seq                    => l_rec.seq    
      ,p_mask                   => l_rec.mask    
      ,p_js_settings            => l_rec.js_settings            
      ,p_max_length             => l_rec.max_length            
      ,p_read_only_type         => l_rec.read_only_type                
      ,p_read_only_first        => l_rec.read_only_first                
      ,p_read_only_first_input  => utils.f_replace_array_names(l_rec.read_only_first_input,l_new_num,l_old_num)                    
      ,p_read_only_second       => l_rec.read_only_second                
      ,p_read_only_second_input => utils.f_replace_array_names(l_rec.read_only_second_input,l_new_num,l_old_num)
      ,p_created_by             => p_created_by 
      ,p_id_source              => l_rec.id_source
      ,p_upload_sources         => l_rec.upload_sources
      ,p_tooltip								=> l_rec.tooltip
      ,p_protection_level       => l_rec.protection_level  
      ,p_trim_spaces            => l_rec.trim_spaces    
    );  
    l_itm_map := l_itm_map|| hstore(l_rec.id::text,l_id::text);                      
  end loop;
  
  --Buttons
  for l_rec in
    select * from button.t_buttons b where b.id_page = p_id
  loop
    l_id := button.f_create_button(
       p_id_page                => l_page_id   
      ,p_id_region              => (l_reg_map -> l_rec.id_region::text)::uuid   
      ,p_name                   => l_rec.name   
      ,p_sequence               => l_rec.sequence       
      ,p_static_id              => l_rec.static_id       
      ,p_alias                  => l_rec.alias   
      ,p_condition_type         => l_rec.condition_type           
      ,p_condition_first        => l_rec.condition_first           
      ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)                   
      ,p_condition_second       => l_rec.condition_second               
      ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)                   
      ,p_redirect_url           => l_rec.redirect_url           
      ,p_position               => l_rec.position       
      ,p_class                  => l_rec.class   
      ,p_id_item                => (l_itm_map -> l_rec.id_item::text)::uuid      
      ,p_location               => l_rec.location       
      ,p_id_list                => l_rec.id_list   
      ,p_button_action          => l_rec.button_action           
      ,p_col_span               => l_rec.col_span       
      ,p_start_new_row          => l_rec.start_new_row  
      ,p_created_by						  => p_created_by         
      ,p_id_source              => l_rec.id_source
      ,p_link_title             => l_rec.link_title
      ,p_link_target            => l_rec.link_target
      ,p_link_class             => l_rec.link_class
    );
    
    l_btn_map := l_btn_map|| hstore(l_rec.id::text,l_id::text);
  end loop;
  
  --Components
  
  --GRID
  for l_rec in 
    select * from dg.t_data_grids g where g.id_page = p_id
  loop
  	call dg.p_create_data_grid(
    	 p_id                 => (l_reg_map -> l_rec.id::text)::uuid
      ,p_id_page            => l_page_id 
      ,p_edit_operations    => l_rec.edit_operations
      ,p_edit_row_column    => l_rec.edit_row_column
      ,p_lost_update_type   => l_rec.lost_update_type 
      ,p_row_version_column => l_rec.row_version_column
      ,p_insert_auth        => l_rec.insert_auth
      ,p_delete_auth        => l_rec.delete_auth
      ,p_update_auth        => l_rec.update_auth
      ,p_no_data_message    => l_rec.no_data_message 
      ,p_toolbar_buttons    => l_rec.toolbar_buttons 
      ,p_csv_separator      => l_rec.csv_separator 
      ,p_download_name      => l_rec.download_name
      ,p_csv_encoding       => l_rec.csv_encoding 
      ,p_show_null_values   => l_rec.show_null_values 
      ,p_editable           => l_rec.editable 
      ,p_lazy_loading       => l_rec.lazy_loading 
      ,p_fixed_row_height   => l_rec.fixed_row_height 
      ,p_select_first_row   => l_rec.select_first_row 
      ,p_show_toolbar       => l_rec.show_toolbar 
      ,p_enable_download    => l_rec.enable_download
      ,p_download_formats   => l_rec.download_formats
      );              
  end loop;     
  
  --GRID COLUMNS
  for l_rec in 
    select * from dg.t_dg_columns c where c.id_page = p_id
  loop
    l_id := uuid_generate_v4();
    
    CALL dg.p_create_dg_column(
       p_id_region              => (l_reg_map -> l_rec.id_region::text)::uuid   
      ,p_id                     => l_id        
      ,p_id_page                => l_page_id          
      ,p_column_name            => l_rec.column_name              
      ,p_column_display_seq     => l_rec.column_display_seq                      
      ,p_column_type            => l_rec.column_type              
      ,p_data_type              => l_rec.data_type            
      ,p_column_heading         => l_rec.column_heading                      
      ,p_link                   => l_rec.link        
      ,p_link_target            => l_rec.link_target              
      ,p_link_title             => l_rec.link_title              
      ,p_link_class             => l_rec.link_class              
      ,p_link_icon              => l_rec.link_icon            
      ,p_sort_enabled           => l_rec.sort_enabled                
      ,p_hide_enabled           => l_rec.hide_enabled                
      ,p_align                  => l_rec.align        
      ,p_format_mask            => l_rec.format_mask              
      ,p_source_column          => l_rec.source_column                
      ,p_query_only             => l_rec.query_only              
      ,p_primary_key            => l_rec.primary_key              
      ,p_condition_type         => l_rec.condition_type                  
      ,p_condition_first        => l_rec.condition_first                  
      ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)                        
      ,p_condition_second       => l_rec.condition_second                    
      ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)                          
      ,p_static_id              => l_rec.static_id            
      ,p_lov                    => l_rec.lov      
      ,p_lov_input              => utils.f_replace_array_names(l_rec.lov_input,l_new_num,l_old_num)            
      ,p_heading_align          => l_rec.heading_align                
      ,p_read_only_type         => l_rec.read_only_type                  
      ,p_read_only_first        => l_rec.read_only_first                  
      ,p_read_only_first_input  => utils.f_replace_array_names(l_rec.read_only_first_input,l_new_num,l_old_num)                        
      ,p_read_only_second       => l_rec.read_only_second                    
      ,p_read_only_second_input => utils.f_replace_array_names(l_rec.read_only_second_input,l_new_num,l_old_num)                          
      ,p_mask                   => l_rec.mask        
      ,p_max_length             => l_rec.max_length                           
      ,p_js_settings            => l_rec.js_settings              
      ,p_required               => l_rec.required            
      ,p_link_text              => l_rec.link_text
      ,p_property_01					 	=> l_rec.property_01
      ,p_property_02						=> l_rec.property_02
      ,p_property_03						=> l_rec.property_03
      ,p_property_04						=> l_rec.property_04
      ,p_default_value_type			=> l_rec.default_value_type
      ,p_default_source					=> l_rec.default_source
      ,p_default_input         	=> l_rec.default_input
      );
                
    l_clm_map := l_clm_map|| hstore(l_rec.id::text,l_id::text);    
  end loop;          
  
  
  for l_rec in
    select * from cmp.t_report r where r.id_page = p_id
  loop
    CALL cmp.p_create_report(
       p_id_page           => l_page_id
      ,p_id                => (l_reg_map -> l_rec.id::text)::uuid
      ,p_enable_search     => l_rec.enable_search
      ,p_enable_pagination => l_rec.enable_pagination
      ,p_enable_heading    => l_rec.enable_heading
      ,p_row_limit         => l_rec.row_limit
      ,p_appearance        => l_rec.appearance
      ,p_no_data_message   => l_rec.no_data_message
      ,p_enable_actions    => l_rec.enable_actions
      ,p_stripes           => l_rec.stripes
      ,p_hover 						 => l_rec.hover
      ,p_cell_padding      => l_rec.cell_padding
      ,p_row_border        => l_rec.row_border
      ,p_head_wrap         => l_rec.head_wrap
      ,p_cell_wrap         => l_rec.cell_wrap
      ,p_enable_download   => l_rec.enable_download
      ,p_csv_separator     => l_rec.csv_separator
      ,p_download_name     => l_rec.download_name
      ,p_csv_encoding      => l_rec.csv_encoding
      ,p_download_formats  => l_rec.download_formats
      );
  end loop;
  
  for l_rec in 
    select * from cmp.t_report_columns c where c.id_page = p_id
  loop   
    CALL cmp.p_create_report_column(
       p_id_region              => (l_reg_map -> l_rec.id_region::text)::uuid
      ,p_query_column_id        => l_rec.query_column_id
      ,p_column_display_seq     => l_rec.column_display_seq
      ,p_column_type            => l_rec.column_type
      ,p_id_page                => l_page_id
      ,p_column_alias           => l_rec.column_alias
      ,p_column_heading         => l_rec.column_heading
      ,p_column_link            => l_rec.column_link
      ,p_column_icon            => l_rec.column_icon
      ,p_sortable               => l_rec.sortable
      ,p_searchable             => l_rec.searchable
      ,p_align                  => l_rec.align
      ,p_format_mask            => l_rec.format_mask
      ,p_column_width           => l_rec.column_width
      ,p_condition_type         => l_rec.condition_type
      ,p_condition_first        => l_rec.condition_first
      ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)
      ,p_condition_second       => l_rec.condition_second
      ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)
      ,p_column_formating       => l_rec.column_formating
      ,p_associated_item        => utils.f_replace_item_name(l_rec.associated_item,l_new_num,l_old_num)
      ,p_generic                => l_rec.generic
      ,p_data_type              => l_rec.data_type
      ,p_link_target            => l_rec.link_target
      ,p_link_title             => l_rec.link_title
      ,p_link_class             => l_rec.link_class
    );
  end loop;
  
  for l_rec in 
    select * from cmp.t_tree t where t.id_page = p_id
  loop
    CALL cmp.p_create_tree(
       p_id          => (l_reg_map -> l_rec.id::text)::uuid
      ,p_pkey_col    => l_rec.pkey_col
      ,p_fkey_col    => l_rec.fkey_col
      ,p_label_col   => l_rec.label_col
      ,p_id_page     => l_page_id
      ,p_link        => l_rec.link
      ,p_link_column => l_rec.link_column
	);
  end loop;
  
  
  for l_rec in 
    select * from cmp.t_tiles t where t.id_page = p_id
  loop
    CALL cmp.p_create_tiles(
       p_id            => (l_reg_map -> l_rec.id::text)::uuid
      ,p_id_page       => l_page_id
      ,p_theme    		 => l_rec.theme
      ,p_columns    	 => l_rec.columns
      ,p_view   			 => l_rec.view
      ,p_align         => l_rec.align
      ,p_icon_contrast => l_rec.icon_contrast
      ,p_title_column  => l_rec.title_column
      ,p_text_column   => l_rec.text_column
      ,p_desc_column   => l_rec.desc_column
      ,p_icon_column   => l_rec.icon_column
      ,p_color_column  => l_rec.color_column
	);
  end loop;
  
  for l_rec IN
    select * from cmp.t_cards c where c.id_page = p_id
  loop
    CALL cmp.p_create_card(
        p_id      => (l_reg_map -> l_rec.id::text)::uuid        
       ,p_id_page => l_page_id
       ,p_theme   => l_rec.theme
       ,p_columns => l_rec.columns
    );
  end loop;
  
  for l_rec in 
    select * from cmp.t_charts c where c.id_page = p_id
  loop
    CALL cmp.p_create_chart(
         p_id              => (l_reg_map -> l_rec.id::text)::uuid
        ,p_id_page         => l_page_id
        ,p_chart_type      => l_rec.chart_type
        ,p_category_column => l_rec.category_column
        ,p_dynamic_load    => l_rec.dynamic_load
        ,p_width           => l_rec.width
        ,p_height          => l_rec.height
    );
  end loop;  
  
  for l_rec in 
    select * from cmp.t_chart_series s where s.id_page = p_id
  loop
    CALL cmp.p_create_chart_series(
         p_id_region              => (l_reg_map -> l_rec.id_region::text)::uuid
        ,p_id_page                => l_page_id
        ,p_name                   => l_rec.name
        ,p_seq                    => l_rec.seq
        ,p_value_column           => l_rec.value_column
        ,p_condition_type         => l_rec.condition_type
        ,p_condition_first        => l_rec.condition_first
        ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)
        ,p_condition_second       => l_rec.condition_second
        ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)
    );
  end loop;
  
  for l_rec in 
    select * from cmp.t_wizard w where w.id_page = p_id
  loop
    CALL cmp.p_create_wizard(
        p_id            => (l_reg_map -> l_rec.id::text)::uuid   
       ,p_id_page       => l_page_id
       ,p_clickable     => l_rec.clickable          
       ,p_label_display => l_rec.label_display              
       ,p_orientation   => l_rec.orientation           
    );
  end loop;
    
  for l_rec in 
    select * from cmp.t_calendars c where c.id_page = p_id
  loop
    CALL cmp.p_create_calendar(
        p_id            => (l_reg_map -> l_rec.id::text)::uuid   
       ,p_id_page       => l_page_id
       ,p_display_column =>  l_rec.display_column
       ,p_start_column   =>  l_rec.start_column
       ,p_end_column     =>  l_rec.end_column
       ,p_pkey_column    =>  l_rec.pkey_column
       ,p_height         =>  l_rec.height
       ,p_views          =>  l_rec.views
       ,p_show_time      =>  l_rec.show_time
       ,p_drag_drop      =>  l_rec.drag_drop
       ,p_show_tooltip   =>  l_rec.show_tooltip
       ,p_view_link      =>  l_rec.view_link
       ,p_css_column     =>  l_rec.css_column          
    );    
  end loop;
  
  for l_rec in 
    select * from cmp.t_chat c where c.id_page = p_id
  loop
    CALL cmp.p_create_chat(
         p_id              => (l_reg_map -> l_rec.id::text)::uuid
        ,p_id_page         => l_page_id
        ,p_height          => l_rec.height
        ,p_max_height      => l_rec.max_height
    );
  end loop;
    
  --Dynamic actions
  for l_rec in
    select * from da.t_events e where e.id_page = p_id    
  loop
    l_id := da.f_create_event(
         p_id_page                 => l_page_id
        ,p_event_name              => l_rec.event_name
        ,p_event_sequence          => l_rec.event_sequence
        ,p_triggering_element_type => l_rec.triggering_element_type
        ,p_bind_event_type         => l_rec.bind_event_type
        ,p_triggering_element      => l_rec.triggering_element
        ,p_triggering_region_id    => (l_reg_map -> l_rec.triggering_region_id::text)::uuid
        ,p_triggering_button_id    => (l_btn_map -> l_rec.triggering_button_id::text)::uuid
        ,p_bind_event_type_custom  => l_rec.bind_event_type_custom
        ,p_condition_type          => l_rec.condition_type
        ,p_condition_first         => l_rec.condition_first
        ,p_condition_first_input   => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)
        ,p_condition_second        => l_rec.condition_second
        ,p_condition_second_input  => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)
        ,p_created_by							 => p_created_by
        ,p_id_source               => l_rec.id_source
    );
    
    for l_rec in 
      select * from da.t_actions a where a.id_event = l_rec.id
    loop
      perform da.f_create_action(
           p_id_event     => l_id
          ,p_id_page      => l_page_id
          ,p_code         => l_rec.code
          ,p_sequence     => l_rec.sequence
          ,p_init_on_load => l_rec.init_on_load
          ,p_created_by		=> p_created_by
      );
    end loop;    
  end loop;
  
  --Branches
  for l_rec in 
    select * from page.t_page_branches s where s.id_page = p_id
  loop
    CALL page.p_create_page_branch(
       p_id_page                => l_page_id  
      ,p_branch_name            => l_rec.branch_name      
      ,p_branch_type            => l_rec.branch_type      
      ,p_branch_action          => l_rec.branch_action        
      ,p_branch_seq             => l_rec.branch_seq     
      ,p_condition_type         => l_rec.condition_type         
      ,p_condition_first        => l_rec.condition_first          
      ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)
      ,p_condition_second       => l_rec.condition_second           
      ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)
      ,p_created_by							=> p_created_by
      ,p_id_source              => l_rec.id_source
      ,p_action_input           => l_rec.action_input
    );
  end loop;
  
  --Downloads
  for l_rec in 
    select * from page.t_page_downloads d where d.id_page = p_id
  loop
    CALL page.p_create_page_download(
       p_id_page             => l_page_id
      ,p_source              => l_rec.source       
      ,p_file_content_column => l_rec.file_content_column                    
      ,p_content_disposition => l_rec.content_disposition                    
      ,p_request_name        => l_rec.request_name             
      ,p_source_input        => utils.f_replace_array_names(l_rec.source_input,l_new_num,l_old_num)            
      ,p_file_name_column    => l_rec.file_name_column                 
      ,p_mime_type_column    => l_rec.mime_type_column  
      ,p_download_name       => l_rec.download_name
      ,p_download_seq        => l_rec.download_seq
      ,p_created_by					 => p_created_by      
      ,p_id_source           => l_rec.id_source         
    );
  end loop;
  
  --Processing
  for l_rec in 
    select * from page.t_page_processing p where p.id_page = p_id
  loop
    CALL page.p_create_page_processing(
       p_id_page                => l_page_id
      ,p_process_seq            => l_rec.process_seq             
      ,p_process_name           => l_rec.process_name              
      ,p_process_type           => l_rec.process_type              
      ,p_process_code           => l_rec.process_code              
      ,p_request_name           => l_rec.request_name              
      ,p_success_message        => l_rec.success_message                 
      ,p_error_message          => l_rec.error_message               
      ,p_input_parameters       => utils.f_replace_array_names(l_rec.input_parameters,l_new_num,l_old_num)
      ,p_output_parameters      => utils.f_replace_array_names(l_rec.output_parameters,l_new_num,l_old_num)
      ,p_condition_type         => l_rec.condition_type                
      ,p_condition_first        => l_rec.condition_first                 
      ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)                      
      ,p_condition_second       => l_rec.condition_second                  
      ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)
      ,p_accept_modal           => l_rec.accept_modal    
      ,p_commit_tx              => l_rec.commit_tx       
      ,p_created_by							=> p_created_by   
      ,p_id_source              => l_rec.id_source
    );
  end loop;
  
  --REST
  for l_rec in 
    select * from page.t_rest_calls p where p.id_page = p_id
  loop
    CALL page.p_create_rest_call(
       p_id_page                => l_page_id
      ,p_id_source              => l_rec.id_source     
      ,p_rest_name              => l_rec.rest_name     
      ,p_rest_seq               => l_rec.rest_seq     
      ,p_rest_type              => l_rec.rest_type     
      ,p_url_address            => l_rec.url_address       
      ,p_http_method            => l_rec.http_method       
      ,p_http_headers           => utils.f_replace_json_names(l_rec.http_headers,l_new_num,l_old_num)         
      ,p_query_params           => utils.f_replace_json_names(l_rec.query_params,l_new_num,l_old_num)         
      ,p_payload_type           => l_rec.payload_type         
      ,p_payload_params         => utils.f_replace_json_names(l_rec.payload_params,l_new_num,l_old_num)
      ,p_payload_source         => l_rec.payload_source           
      ,p_payload_source_input   => utils.f_replace_array_names(l_rec.payload_source_input,l_new_num,l_old_num)                 
      ,p_resp_type              => l_rec.resp_type     
      ,p_resp_params            => utils.f_replace_json_names(l_rec.resp_params,l_new_num,l_old_num)       
      ,p_resp_source            => l_rec.resp_source       
      ,p_resp_source_input      => utils.f_replace_json_names(l_rec.resp_source_input,l_new_num,l_old_num)             
      ,p_resp_output            => utils.f_replace_array_names(l_rec.resp_output,l_new_num,l_old_num)       
      ,p_request_name           => l_rec.request_name         
      ,p_success_message        => l_rec.success_message           
      ,p_error_message          => l_rec.error_message         
      ,p_condition_type         => l_rec.condition_type           
      ,p_condition_first        => l_rec.condition_first           
      ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)                  
      ,p_condition_second       => l_rec.condition_second             
      ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)                 
      ,p_accept_modal           => l_rec.accept_modal         
      ,p_commit_tx              => l_rec.commit_tx     
      ,p_created_by             => l_rec.created_by               
    );
  end loop;
    
   --GRID PROC
  for l_rec in 
    select * from dg.t_dg_processing p where p.id_page = p_id
  loop    
    CALL dg.p_create_process(
       p_id_page                => l_page_id     
      ,p_id_region              => (l_reg_map -> l_rec.id_region::text)::uuid       
      ,p_process_seq            => l_rec.process_seq         
      ,p_process_name           => l_rec.process_name           
      ,p_process_type           => l_rec.process_type           
      ,p_success_message        => l_rec.success_message             
      ,p_error_message          => l_rec.error_message           
      ,p_delete_code            => l_rec.delete_code         
      ,p_delete_input           => utils.f_replace_array_names(l_rec.delete_input,l_new_num,l_old_num)           
      ,p_delete_output          => utils.f_replace_array_names(l_rec.delete_output,l_new_num,l_old_num)           
      ,p_insert_code            => l_rec.insert_code         
      ,p_insert_input           => utils.f_replace_array_names(l_rec.insert_input,l_new_num,l_old_num)           
      ,p_insert_output          => utils.f_replace_array_names(l_rec.insert_output,l_new_num,l_old_num)           
      ,p_update_code            => l_rec.update_code         
      ,p_update_input           => utils.f_replace_array_names(l_rec.update_input,l_new_num,l_old_num)           
      ,p_update_output          => utils.f_replace_array_names(l_rec.update_output,l_new_num,l_old_num)           
      ,p_lost_update            => l_rec.lost_update         
      ,p_lock_row               => l_rec.lock_row       
      ,p_accept_modal           => l_rec.accept_modal           
      ,p_commit_tx              => l_rec.commit_tx       
      ,p_condition_type         => l_rec.condition_type             
      ,p_condition_first        => l_rec.condition_first             
      ,p_condition_first_input  => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)                   
      ,p_condition_second       => l_rec.condition_second               
      ,p_condition_second_input => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)                     
      ,p_created_by             => l_rec.created_by         
      ,p_created_on             => l_rec.created_on         
      ,p_last_updated_by        => l_rec.last_updated_by             
      ,p_last_updated_on        => l_rec.last_updated_on             
      ,p_condition_scope        => l_rec.condition_scope             
      );
  end loop;
  
  --Validation
  for l_rec in
    select * from page.t_page_validations v where v.id_page = p_id 
  loop
    CALL page.p_create_page_validation(
       p_id_page                 => l_page_id 
      ,p_id_region               => (l_reg_map -> l_rec.id_region::text)::uuid   
      ,p_validation_name         => l_rec.validation_name                           
      ,p_validation_sequence     => l_rec.validation_sequence                               
      ,p_validation_first        => l_rec.validation_first                            
      ,p_validation_type         => l_rec.validation_type                                        
      ,p_validation_first_input  => utils.f_replace_array_names(l_rec.validation_first_input,l_new_num,l_old_num)
      ,p_validation_second       => l_rec.validation_second                             
      ,p_validation_second_input => utils.f_replace_array_names(l_rec.validation_second_input,l_new_num,l_old_num)
      ,p_associated_item         => (l_itm_map -> l_rec.associated_item::text)
      ,p_associated_column       => (l_clm_map -> l_rec.associated_column::text)::uuid                           
      ,p_error_message           => l_rec.error_message                         
      ,p_condition_type          => l_rec.condition_type                          
      ,p_condition_first         => l_rec.condition_first                           
      ,p_condition_first_input   => utils.f_replace_array_names(l_rec.condition_first_input,l_new_num,l_old_num)
      ,p_condition_second        => l_rec.condition_second                            
      ,p_condition_second_input  => utils.f_replace_array_names(l_rec.condition_second_input,l_new_num,l_old_num)
      ,p_condition_scope         => l_rec.condition_scope
      ,p_created_by							 => p_created_by
      ,p_id_source               => l_rec.id_source
    );
  end loop;
  
  for l_rec in
    select * from app.t_authentications a where a.id_page = p_id
  loop
    call app.p_create_auth(
           p_id                    => l_rec.id
          ,p_id_page               => l_rec.id_page
          ,p_auth_seq              => l_rec.auth_seq
          ,p_auth_name             => l_rec.auth_name
          ,p_id_source             => l_rec.id_source
          ,p_auth_type             => l_rec.auth_type
          ,p_auth_code             => l_rec.auth_code
          ,p_auth_code_input       => l_rec.auth_code_input
          ,p_post_login_func       => l_rec.post_login_func
          ,p_input_params          => l_rec.input_params
          ,p_output_params         => l_rec.output_params
          ,p_ldap_user_item        => l_rec.ldap_user_item
          ,p_ldap_pass_item        => l_rec.ldap_pass_item
          ,p_condition_type        => l_rec.condition_type
          ,p_condition_first       => l_rec.condition_first
          ,p_condition_first_input => l_rec.condition_first_input
          ,p_condition_second      => l_rec.condition_second
          ,p_condition_second_input  => l_rec.condition_second_input
          );
  end loop;
    
  return l_page_id;
END;
$$;


ALTER FUNCTION page.f_copy(p_id uuid, p_name character varying, p_num integer, p_created_by character varying) OWNER TO xrad_user;

--
-- Name: f_create_page(integer, character varying, uuid, character varying, bigint, text, character varying[], text, character varying[], boolean, integer, boolean, character varying); Type: FUNCTION; Schema: page; Owner: xrad_user
--

CREATE FUNCTION page.f_create_page(p_page_num integer, p_page_mode character varying, p_id uuid DEFAULT NULL::uuid, p_page_name character varying DEFAULT NULL::character varying, p_id_auth bigint DEFAULT NULL::bigint, p_javascript_code text DEFAULT NULL::text, p_javascript_file_urls character varying[] DEFAULT NULL::character varying[], p_inline_css text DEFAULT NULL::text, p_css_file_urls character varying[] DEFAULT NULL::character varying[], p_is_public boolean DEFAULT NULL::boolean, p_modal_width integer DEFAULT NULL::integer, p_page_protection boolean DEFAULT false, p_created_by character varying DEFAULT NULL::character varying) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO page.t_pages(id, page_name, page_num, page_mode, id_auth, javascript_code, javascript_file_urls, inline_css, css_file_urls, is_public,
  created_on, created_by, last_updated_by, last_updated_on, modal_width,page_protection)
  VALUES (l_id, p_page_name, p_page_num, p_page_mode, p_id_auth, p_javascript_code, p_javascript_file_urls, p_inline_css, p_css_file_urls,
  p_is_public, current_timestamp, p_created_by, p_created_by, current_timestamp,  p_modal_width,p_page_protection);
  
  call page.p_add_page_to_folder(-1,p_page_num);
  
  RETURN l_id;
END;
$$;


ALTER FUNCTION page.f_create_page(p_page_num integer, p_page_mode character varying, p_id uuid, p_page_name character varying, p_id_auth bigint, p_javascript_code text, p_javascript_file_urls character varying[], p_inline_css text, p_css_file_urls character varying[], p_is_public boolean, p_modal_width integer, p_page_protection boolean, p_created_by character varying) OWNER TO xrad_user;

--
-- Name: t_page_processing; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_page_processing (
    id_page uuid NOT NULL,
    process_seq integer NOT NULL,
    process_name character varying(500) NOT NULL,
    process_type character varying(50) DEFAULT 'SHOW'::character varying NOT NULL,
    request_name character varying(500),
    success_message character varying(1000),
    error_message character varying(1000),
    process_code text NOT NULL,
    input_parameters character varying(100)[],
    output_parameters character varying(100)[],
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    accept_modal boolean DEFAULT false,
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    commit_tx boolean DEFAULT false NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL,
    CONSTRAINT chk_processing_type CHECK (((process_type)::text = ANY (ARRAY[('SHOW'::character varying)::text, ('PROCESS'::character varying)::text, ('AJAX'::character varying)::text])))
);


ALTER TABLE page.t_page_processing OWNER TO xrad_user;

--
-- Name: COLUMN t_page_processing.process_type; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_processing.process_type IS 'Тип процессинга';


--
-- Name: COLUMN t_page_processing.request_name; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_processing.request_name IS 'Наименование запроса (WHEN_BUTTON_PRESSED)';


--
-- Name: COLUMN t_page_processing.success_message; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_processing.success_message IS 'Сообщение в случае успешного выполнения';


--
-- Name: COLUMN t_page_processing.error_message; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_processing.error_message IS 'Сообщение в случае неуспешного выполнения';


--
-- Name: COLUMN t_page_processing.condition_type; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_processing.condition_type IS 'Тип условия';


--
-- Name: COLUMN t_page_processing.condition_first; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_processing.condition_first IS 'Условие 1';


--
-- Name: COLUMN t_page_processing.condition_second; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_processing.condition_second IS 'Условие 2';


--
-- Name: get_processings(uuid, character varying, character varying); Type: FUNCTION; Schema: page; Owner: xrad_user
--

CREATE FUNCTION page.get_processings(p_id_page uuid, p_type character varying, p_request character varying DEFAULT NULL::character varying) RETURNS SETOF page.t_page_processing
    LANGUAGE plpgsql
    AS $_$
DECLARE
 -- l_ret page.t_page_processing%rowtype;
  l_query text;
BEGIN
  l_query := $q$
  	SELECT *
    FROM page.t_page_processing p
    WHERE p.id_page = $1
    AND p.process_type = $2
  $q$;
  
  if p_request is not null THEN
    l_query := l_query|| 'and (p.request_name = $3 or p.request_name is null)';
  else
    l_query := l_query|| 'and p.request_name is null';
  end if;
  
  l_query := l_query|| ' order by p.process_seq';
  
  RETURN QUERY EXECUTE l_query USING p_id_page, p_type, p_request;
  
/*  FOR l_ret IN
    SELECT *
    FROM page.t_page_processing p
    WHERE p.id_page = p_id_page
    AND p.process_type = p_type
    AND CASE WHEN p_request is not null then p.request_name = p_request or p.request_name is null else true end
    ORDER BY p.process_seq
  LOOP
    RETURN NEXT l_ret;
  END LOOP;*/
  
  RETURN;
END;
$_$;


ALTER FUNCTION page.get_processings(p_id_page uuid, p_type character varying, p_request character varying) OWNER TO xrad_user;

--
-- Name: t_rest_calls; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_rest_calls (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    id_source integer NOT NULL,
    rest_name character varying(500) NOT NULL,
    rest_seq integer NOT NULL,
    rest_type character varying(50) DEFAULT 'SHOW'::character varying NOT NULL,
    url_address text NOT NULL,
    http_method character varying(50) DEFAULT 'GET'::character varying NOT NULL,
    http_headers json,
    query_params json,
    payload_type character varying(50) DEFAULT 'NONE'::character varying NOT NULL,
    payload_params json,
    payload_source text,
    payload_source_input character varying(100)[],
    resp_type character varying(50) DEFAULT 'NONE'::character varying NOT NULL,
    resp_params json,
    resp_source text,
    resp_source_input json,
    resp_output character varying(50)[],
    request_name character varying(500),
    success_message character varying(1000),
    error_message character varying(1000),
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    accept_modal boolean DEFAULT false NOT NULL,
    commit_tx boolean DEFAULT false NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone
);


ALTER TABLE page.t_rest_calls OWNER TO xrad_user;

--
-- Name: get_rest_calls(uuid, character varying, character varying); Type: FUNCTION; Schema: page; Owner: xrad_user
--

CREATE FUNCTION page.get_rest_calls(p_id_page uuid, p_type character varying, p_request character varying DEFAULT NULL::character varying) RETURNS SETOF page.t_rest_calls
    LANGUAGE plpgsql
    AS $_$
DECLARE
  l_query text;
BEGIN
  l_query := $q$
  	SELECT *
    FROM page.t_rest_calls c
    WHERE c.id_page = $1
    AND c.rest_type = $2
  $q$;
  
  if p_request is not null THEN
    l_query := l_query|| 'and (c.request_name = $3 or c.request_name is null)';
  else
    l_query := l_query|| 'and c.request_name is null';
  end if;
  
  l_query := l_query|| ' order by c.rest_seq';
  
  RETURN QUERY EXECUTE l_query USING p_id_page, p_type, p_request;
  
  
  RETURN;
END;
$_$;


ALTER FUNCTION page.get_rest_calls(p_id_page uuid, p_type character varying, p_request character varying) OWNER TO xrad_user;

--
-- Name: p_add_page_to_folder(integer, integer, character varying, integer); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_add_page_to_folder(IN p_id_folder integer, IN p_page_num integer, IN p_user character varying DEFAULT NULL::character varying, IN p_seq integer DEFAULT NULL::integer)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_page_id uuid;
  l_seq int := p_seq;
BEGIN
  l_page_id := utils.f_page_id(p_page_num);
  
  if l_seq is null then
    select max(p.disp_seq)+10 into l_seq
    from page.t_folder_page p where p.id_folder = p_id_folder;
  end if;
  
  INSERT INTO page.t_folder_page
		(id_folder,id_page,created_by,date_created,disp_seq)
	VALUES 
  	(p_id_folder,l_page_id,p_user,current_timestamp,l_seq)
  on conflict (id_page) do
  update set id_folder    = excluded.id_folder,
             created_by   = excluded.created_by,
             date_created = excluded.date_created;   
  
END;
$$;


ALTER PROCEDURE page.p_add_page_to_folder(IN p_id_folder integer, IN p_page_num integer, IN p_user character varying, IN p_seq integer) OWNER TO xrad_user;

--
-- Name: p_clear_regions(uuid, bigint); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_clear_regions(IN p_id_page uuid, IN p_id_session bigint)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec 		record;
  l_cookie varchar;
BEGIN
  select s.cookie_value into l_cookie from app.t_sessions s where s.id = p_id_session;
  
	for l_rec in 
  	select id from cmp.t_saved_reports where id_page = p_id_page 
    and id_session = l_cookie
  loop
  	 delete from cmp.t_report_conditions where id_report = l_rec.id;
     delete from cmp.t_saved_reports where id = l_rec.id;
  end loop;
   
  for l_rec in 
    select id from dg.t_dg_reports where id_session = p_id_session and id_page = p_id_page
  loop
    delete from dg.t_dg_report_columns where id_report = l_rec.id;    
    delete from dg.t_dg_report_filters where id_report = l_rec.id;
    delete from dg.t_dg_report_highlights where id_report = l_rec.id;
    delete from dg.t_dg_reports where id = l_rec.id;
  end loop;    

END;
$$;


ALTER PROCEDURE page.p_clear_regions(IN p_id_page uuid, IN p_id_session bigint) OWNER TO xrad_user;

--
-- Name: p_create_folder(integer, character varying, integer, integer, character varying); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_create_folder(IN p_id integer, IN p_folder_name character varying, IN p_folder_seq integer DEFAULT 0, IN p_id_parent integer DEFAULT NULL::integer, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id int := coalesce(p_id, nextval('page.t_folders_id_seq'));
BEGIN
  INSERT INTO page.t_folders
    (id,id_parent,folder_name,created_by,date_created,folder_seq)
  VALUES 
    (l_id,p_id_parent,p_folder_name,p_created_by,current_timestamp,p_folder_seq);

END;
$$;


ALTER PROCEDURE page.p_create_folder(IN p_id integer, IN p_folder_name character varying, IN p_folder_seq integer, IN p_id_parent integer, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_create_group(character varying, text, character varying, integer); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_create_group(IN p_name character varying, IN p_desc text DEFAULT NULL::text, IN p_color character varying DEFAULT NULL::character varying, IN p_id integer DEFAULT NULL::integer)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id   int;
  l_last int;
BEGIN
  if p_id is not null then
    l_id := p_id;
    select last_value into l_last from page.t_page_groups_id_seq;
    if l_last <= p_id then
    	perform setval('page.t_page_groups_id_seq', p_id+1);
    end if;
  else
  	l_id := nextval('page.t_page_groups_id_seq');
  end if;
  
  INSERT INTO page.t_page_groups
		(group_name,group_desc,color,id)
	VALUES 
    (p_name,p_desc,p_color,l_id);
END;
$$;


ALTER PROCEDURE page.p_create_group(IN p_name character varying, IN p_desc text, IN p_color character varying, IN p_id integer) OWNER TO xrad_user;

--
-- Name: p_create_page_branch(uuid, integer, character varying, character varying, text, integer, character varying, text, character varying[], text, character varying[], uuid, character varying, character varying, character varying[]); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_create_page_branch(IN p_id_page uuid, IN p_id_source integer, IN p_branch_name character varying, IN p_branch_type character varying, IN p_branch_action text, IN p_branch_seq integer, IN p_condition_type character varying DEFAULT NULL::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_id uuid DEFAULT NULL::uuid, IN p_branch_point character varying DEFAULT 'PROCESS'::character varying, IN p_created_by character varying DEFAULT NULL::character varying, IN p_action_input character varying[] DEFAULT NULL::character varying[])
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id UUID := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO page.t_page_branches(id, id_page, branch_name, branch_type, branch_action, branch_seq, condition_type, condition_first,
  condition_first_input, condition_second, condition_second_input,branch_point,
  created_by,created_on,last_updated_by,last_updated_on,id_source,action_input)
  VALUES (l_id, p_id_page, p_branch_name, p_branch_type, p_branch_action, p_branch_seq, p_condition_type, p_condition_first, p_condition_first_input,
  p_condition_second, p_condition_second_input,p_branch_point,
  p_created_by,current_timestamp, p_created_by,current_timestamp,p_id_source,p_action_input);
END;
$$;


ALTER PROCEDURE page.p_create_page_branch(IN p_id_page uuid, IN p_id_source integer, IN p_branch_name character varying, IN p_branch_type character varying, IN p_branch_action text, IN p_branch_seq integer, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_id uuid, IN p_branch_point character varying, IN p_created_by character varying, IN p_action_input character varying[]) OWNER TO xrad_user;

--
-- Name: p_create_page_download(uuid, integer, text, character varying, character varying, character varying, character varying[], character varying, character varying, uuid, character varying, integer, character varying); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_create_page_download(IN p_id_page uuid, IN p_id_source integer, IN p_source text, IN p_file_content_column character varying, IN p_content_disposition character varying, IN p_request_name character varying, IN p_source_input character varying[] DEFAULT NULL::character varying[], IN p_file_name_column character varying DEFAULT NULL::character varying, IN p_mime_type_column character varying DEFAULT NULL::character varying, IN p_id uuid DEFAULT NULL::uuid, IN p_download_name character varying DEFAULT NULL::character varying, IN p_download_seq integer DEFAULT NULL::integer, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO page.t_page_downloads
    (id, id_page, source, source_input, file_name_column, file_content_column, 
     mime_type_column, content_disposition, request_name, download_name, download_seq,
     created_by,created_on,last_updated_by,last_updated_on,id_source)
  VALUES 
  	(l_id, p_id_page, p_source, p_source_input, p_file_name_column, p_file_content_column, 
     p_mime_type_column, p_content_disposition, p_request_name,p_download_name, p_download_seq,
     p_created_by,current_timestamp, p_created_by,current_timestamp,p_id_source);
END;
$$;


ALTER PROCEDURE page.p_create_page_download(IN p_id_page uuid, IN p_id_source integer, IN p_source text, IN p_file_content_column character varying, IN p_content_disposition character varying, IN p_request_name character varying, IN p_source_input character varying[], IN p_file_name_column character varying, IN p_mime_type_column character varying, IN p_id uuid, IN p_download_name character varying, IN p_download_seq integer, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_create_page_processing(uuid, integer, integer, character varying, character varying, text, character varying, character varying, character varying, character varying[], character varying[], character varying, text, character varying[], text, character varying[], boolean, uuid, boolean, character varying); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_create_page_processing(IN p_id_page uuid, IN p_id_source integer, IN p_process_seq integer, IN p_process_name character varying, IN p_process_type character varying, IN p_process_code text, IN p_request_name character varying DEFAULT NULL::character varying, IN p_success_message character varying DEFAULT NULL::character varying, IN p_error_message character varying DEFAULT NULL::character varying, IN p_input_parameters character varying[] DEFAULT NULL::character varying[], IN p_output_parameters character varying[] DEFAULT NULL::character varying[], IN p_condition_type character varying DEFAULT NULL::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_accept_modal boolean DEFAULT NULL::boolean, IN p_id uuid DEFAULT NULL::uuid, IN p_commit_tx boolean DEFAULT false, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO page.t_page_processing
    (id, id_page, process_seq, process_name, process_type, request_name, success_message, 
     error_message, process_code, input_parameters, output_parameters, condition_type, 
     condition_first, condition_first_input, condition_second, condition_second_input, 
     accept_modal, commit_tx,created_by,created_on, last_updated_by,last_updated_on,id_source)
  VALUES 
    (l_id, p_id_page, p_process_seq, p_process_name, p_process_type, p_request_name, p_success_message, p_error_message, p_process_code,
     p_input_parameters, p_output_parameters, p_condition_type, p_condition_first, p_condition_first_input, p_condition_second, p_condition_second_input,
     p_accept_modal, p_commit_tx,p_created_by,current_timestamp, p_created_by,current_timestamp,p_id_source);
END;
$$;


ALTER PROCEDURE page.p_create_page_processing(IN p_id_page uuid, IN p_id_source integer, IN p_process_seq integer, IN p_process_name character varying, IN p_process_type character varying, IN p_process_code text, IN p_request_name character varying, IN p_success_message character varying, IN p_error_message character varying, IN p_input_parameters character varying[], IN p_output_parameters character varying[], IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_accept_modal boolean, IN p_id uuid, IN p_commit_tx boolean, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_create_page_validation(uuid, character varying, integer, text, character varying, uuid, uuid, integer, character varying[], text, character varying[], uuid, uuid, text, character varying, text, character varying[], text, character varying[], character varying, character varying); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_create_page_validation(IN p_id_page uuid, IN p_validation_name character varying, IN p_validation_sequence integer, IN p_validation_first text, IN p_validation_type character varying, IN p_id uuid DEFAULT NULL::uuid, IN p_id_region uuid DEFAULT NULL::uuid, IN p_id_source integer DEFAULT NULL::integer, IN p_validation_first_input character varying[] DEFAULT NULL::character varying[], IN p_validation_second text DEFAULT NULL::text, IN p_validation_second_input character varying[] DEFAULT NULL::character varying[], IN p_associated_item uuid DEFAULT NULL::uuid, IN p_associated_column uuid DEFAULT NULL::uuid, IN p_error_message text DEFAULT NULL::text, IN p_condition_type character varying DEFAULT NULL::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_condition_scope character varying DEFAULT 'ONCE'::character varying, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO page.t_page_validations(id,
      id_page,
      id_region,
      validation_name,
      validation_sequence,
      validation_first,
      validation_first_input,
      validation_second,
      validation_second_input,
      validation_type,
      associated_item,
      associated_column,
      error_message,
      condition_type,
      condition_first,
      condition_first_input,
      condition_second,
      condition_second_input,
      condition_scope,
      created_by,
      created_on,
      last_updated_by,
      last_updated_on,
      id_source)
  VALUES (l_id,
      p_id_page,
      p_id_region,
      p_validation_name,
      p_validation_sequence,
      p_validation_first,
      p_validation_first_input,
      p_validation_second,
      p_validation_second_input,
      p_validation_type,
      p_associated_item,
      p_associated_column,
      p_error_message,
      p_condition_type,
      p_condition_first,
      p_condition_first_input,
      p_condition_second,
      p_condition_second_input,
      p_condition_scope,
      p_created_by,
      CURRENT_TIMESTAMP,
      p_created_by,
      CURRENT_TIMESTAMP,
      p_id_source);
END;
$$;


ALTER PROCEDURE page.p_create_page_validation(IN p_id_page uuid, IN p_validation_name character varying, IN p_validation_sequence integer, IN p_validation_first text, IN p_validation_type character varying, IN p_id uuid, IN p_id_region uuid, IN p_id_source integer, IN p_validation_first_input character varying[], IN p_validation_second text, IN p_validation_second_input character varying[], IN p_associated_item uuid, IN p_associated_column uuid, IN p_error_message text, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_condition_scope character varying, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_create_page_validation(uuid, character varying, integer, text, character varying, uuid, uuid, integer, character varying[], text, character varying[], character varying, uuid, text, character varying, text, character varying[], text, character varying[], character varying, character varying); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_create_page_validation(IN p_id_page uuid, IN p_validation_name character varying, IN p_validation_sequence integer, IN p_validation_first text, IN p_validation_type character varying, IN p_id uuid DEFAULT NULL::uuid, IN p_id_region uuid DEFAULT NULL::uuid, IN p_id_source integer DEFAULT NULL::integer, IN p_validation_first_input character varying[] DEFAULT NULL::character varying[], IN p_validation_second text DEFAULT NULL::text, IN p_validation_second_input character varying[] DEFAULT NULL::character varying[], IN p_associated_item character varying DEFAULT NULL::uuid, IN p_associated_column uuid DEFAULT NULL::uuid, IN p_error_message text DEFAULT NULL::text, IN p_condition_type character varying DEFAULT NULL::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_condition_scope character varying DEFAULT 'ONCE'::character varying, IN p_created_by character varying DEFAULT NULL::character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN
  INSERT INTO page.t_page_validations(id,
      id_page,
      id_region,
      validation_name,
      validation_sequence,
      validation_first,
      validation_first_input,
      validation_second,
      validation_second_input,
      validation_type,
      associated_item,
      associated_column,
      error_message,
      condition_type,
      condition_first,
      condition_first_input,
      condition_second,
      condition_second_input,
      condition_scope,
      created_by,
      created_on,
      last_updated_by,
      last_updated_on,
      id_source)
  VALUES (l_id,
      p_id_page,
      p_id_region,
      p_validation_name,
      p_validation_sequence,
      p_validation_first,
      p_validation_first_input,
      p_validation_second,
      p_validation_second_input,
      p_validation_type,
      p_associated_item,
      p_associated_column,
      p_error_message,
      p_condition_type,
      p_condition_first,
      p_condition_first_input,
      p_condition_second,
      p_condition_second_input,
      p_condition_scope,
      p_created_by,
      CURRENT_TIMESTAMP,
      p_created_by,
      CURRENT_TIMESTAMP,
      p_id_source);
END;
$$;


ALTER PROCEDURE page.p_create_page_validation(IN p_id_page uuid, IN p_validation_name character varying, IN p_validation_sequence integer, IN p_validation_first text, IN p_validation_type character varying, IN p_id uuid, IN p_id_region uuid, IN p_id_source integer, IN p_validation_first_input character varying[], IN p_validation_second text, IN p_validation_second_input character varying[], IN p_associated_item character varying, IN p_associated_column uuid, IN p_error_message text, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_condition_scope character varying, IN p_created_by character varying) OWNER TO xrad_user;

--
-- Name: p_create_rest_call(uuid, integer, integer, character varying, character varying, text, character varying, json, json, character varying, json, text, character varying[], character varying, json, text, json, character varying[], character varying, character varying, character varying, character varying, text, character varying[], text, character varying[], boolean, boolean, character varying, uuid); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_create_rest_call(IN p_id_page uuid, IN p_id_source integer, IN p_rest_seq integer, IN p_rest_name character varying, IN p_rest_type character varying, IN p_url_address text, IN p_http_method character varying, IN p_http_headers json DEFAULT NULL::json, IN p_query_params json DEFAULT NULL::json, IN p_payload_type character varying DEFAULT 'NONE'::character varying, IN p_payload_params json DEFAULT NULL::json, IN p_payload_source text DEFAULT NULL::text, IN p_payload_source_input character varying[] DEFAULT NULL::character varying[], IN p_resp_type character varying DEFAULT 'NONE'::character varying, IN p_resp_params json DEFAULT NULL::json, IN p_resp_source text DEFAULT NULL::text, IN p_resp_source_input json DEFAULT NULL::json, IN p_resp_output character varying[] DEFAULT NULL::character varying[], IN p_request_name character varying DEFAULT NULL::character varying, IN p_success_message character varying DEFAULT NULL::character varying, IN p_error_message character varying DEFAULT NULL::character varying, IN p_condition_type character varying DEFAULT 'ALWAYS'::character varying, IN p_condition_first text DEFAULT NULL::text, IN p_condition_first_input character varying[] DEFAULT NULL::character varying[], IN p_condition_second text DEFAULT NULL::text, IN p_condition_second_input character varying[] DEFAULT NULL::character varying[], IN p_accept_modal boolean DEFAULT NULL::boolean, IN p_commit_tx boolean DEFAULT false, IN p_created_by character varying DEFAULT NULL::character varying, IN p_id uuid DEFAULT NULL::uuid)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_id uuid := coalesce(p_id,uuid_generate_v4());
BEGIN

	INSERT INTO page.t_rest_calls
		(id,id_page,id_source,rest_name,rest_seq,rest_type, url_address, http_method, http_headers,
	   query_params, payload_type, payload_params, payload_source, payload_source_input,
	   resp_type, resp_params, resp_source, resp_source_input, resp_output, request_name,
  	 success_message, error_message, condition_type, condition_first, condition_first_input,
  	 condition_second, condition_second_input, accept_modal, commit_tx, created_by, created_on,
  	 last_updated_by, last_updated_on)
	VALUES 
  	(l_id,p_id_page,p_id_source,p_rest_name,p_rest_seq,p_rest_type,p_url_address,p_http_method
		,p_http_headers,p_query_params,p_payload_type,p_payload_params,p_payload_source,p_payload_source_input
	  ,p_resp_type,p_resp_params,p_resp_source,p_resp_source_input,p_resp_output,p_request_name,p_success_message
		,p_error_message,p_condition_type,p_condition_first,p_condition_first_input,p_condition_second
		,p_condition_second_input,p_accept_modal,p_commit_tx,p_created_by,current_timestamp,p_created_by
		,current_timestamp);
      
END;
$$;


ALTER PROCEDURE page.p_create_rest_call(IN p_id_page uuid, IN p_id_source integer, IN p_rest_seq integer, IN p_rest_name character varying, IN p_rest_type character varying, IN p_url_address text, IN p_http_method character varying, IN p_http_headers json, IN p_query_params json, IN p_payload_type character varying, IN p_payload_params json, IN p_payload_source text, IN p_payload_source_input character varying[], IN p_resp_type character varying, IN p_resp_params json, IN p_resp_source text, IN p_resp_source_input json, IN p_resp_output character varying[], IN p_request_name character varying, IN p_success_message character varying, IN p_error_message character varying, IN p_condition_type character varying, IN p_condition_first text, IN p_condition_first_input character varying[], IN p_condition_second text, IN p_condition_second_input character varying[], IN p_accept_modal boolean, IN p_commit_tx boolean, IN p_created_by character varying, IN p_id uuid) OWNER TO xrad_user;

--
-- Name: p_delete_folder(integer); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_delete_folder(IN p_id integer)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
BEGIN
  if p_id = -1 then
  	raise 'Can''t delete root folder';
  end if;
  
  for l_rec in 
    with recursive x as 
     (select t.id, t.id_parent from page.t_folders t where t.id = p_id
      union all
      select f.id, f.id_parent from page.t_folders f, x where f.id_parent = x.id)
    select * from x
  loop  
    update page.t_folder_page set id_folder = -1 where id_folder = l_rec.id;
    delete from page.t_folder_groups g where g.id_folder = l_rec.id;
    delete from page.t_folder_users u where u.id_folder = l_rec.id;
    delete from page.t_folders f where f.id = l_rec.id;
  end loop;
      
END;
$$;


ALTER PROCEDURE page.p_delete_folder(IN p_id integer) OWNER TO xrad_user;

--
-- Name: p_delete_group(integer); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_delete_group(IN p_id integer)
    LANGUAGE plpgsql
    AS $$
BEGIN
	update page.t_pages s set id_group = null where s.id_group = p_id;  
  delete from page.t_page_groups g where g.id = p_id;  
END;
$$;


ALTER PROCEDURE page.p_delete_group(IN p_id integer) OWNER TO xrad_user;

--
-- Name: p_delete_page(uuid); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_delete_page(IN p_id uuid)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_reg_id uuid;
BEGIN
  delete from page.t_page_branches b where b.id_page = p_id;
  delete from page.t_page_processing p where p.id_page = p_id;  
  delete from dg.t_dg_processing p where p.id_page = p_id;
  delete from page.t_rest_calls p where p.id_page = p_id;
  delete from page.t_page_validations v where v.id_page = p_id;
  delete from page.t_page_downloads d where d.id_page = p_id;
  delete from da.t_actions a where a.id_page = p_id;
  delete from da.t_events e where e.id_page = p_id;
  delete from button.t_buttons b where b.id_page = p_id;
  
  delete from app.t_authentications a where a.id_page = p_id;
  
  delete from app.t_session_values v where exists
  (select 1 from item.t_page_items i where i.id_page = p_id and i.id = v.id_item);
  
  delete from item.t_page_items i where i.id_page = p_id;
  
  for l_reg_id in
    select r.id from region.t_regions r where r.id_page = p_id
  loop
    delete from cmp.t_calendars c where c.id = l_reg_id;
    delete from cmp.t_cards c where c.id = l_reg_id;
    delete from cmp.t_tree t where t.id = l_reg_id;
    delete from cmp.t_tiles t where t.id = l_reg_id;
    delete from cmp.t_chart_series s where s.id_region = l_reg_id;
    delete from cmp.t_charts c where c.id = l_reg_id;
    delete from cmp.t_chat c where c.id = l_reg_id;
    
    delete from cmp.t_report_conditions c where c.id_region = l_reg_id;
    delete from cmp.t_saved_reports c where c.id_region = l_reg_id;
    delete from cmp.t_report_columns c where c.id_region = l_reg_id;
    delete from cmp.t_report c where c.id = l_reg_id;
    
    delete from cmp.t_wizard w where w.id = l_reg_id;
    call dg.p_delete_grid(l_reg_id);
  end loop;  
  
  delete from region.t_regions r where r.id_page = p_id;    
  
  delete from page.t_folder_page p where p.id_page = p_id;
  delete from page.t_pages p where p.id = p_id;           
END;
$$;


ALTER PROCEDURE page.p_delete_page(IN p_id uuid) OWNER TO xrad_user;

--
-- Name: p_lock(character varying, uuid, text); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_lock(IN p_user character varying, IN p_id_page uuid, IN p_comment text)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
BEGIN
  select * into l_rec from page.t_page_locks l where l.id_page = p_id_page;
  if FOUND then
  	raise 'Page is already locked by %', l_rec.locked_by;
  end if;
  
  INSERT INTO page.t_page_locks
	  (id_page,locked_by,locked_on,lock_comment)
	VALUES 
    (p_id_page,p_user,current_timestamp,p_comment); 
  
END;
$$;


ALTER PROCEDURE page.p_lock(IN p_user character varying, IN p_id_page uuid, IN p_comment text) OWNER TO xrad_user;

--
-- Name: p_move_folder(integer, integer, integer); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_move_folder(IN p_id integer, IN p_id_parent integer, IN p_seq integer DEFAULT NULL::integer)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_seq int := p_seq;
BEGIN
	if p_id = p_id_parent then
  	raise 'Can''t put folder into itself';
  end if;
  
  if l_seq is null then
    select max(s.folder_seq)+10 into l_seq
    from page.t_folders s where s.id_parent = p_id_parent;
  end if;
  
  update page.t_folders s 
  	 set id_parent = p_id_parent,
     		 folder_seq = p_seq
   where s.id = p_id;
  
END;
$$;


ALTER PROCEDURE page.p_move_folder(IN p_id integer, IN p_id_parent integer, IN p_seq integer) OWNER TO xrad_user;

--
-- Name: p_unlock(character varying, uuid); Type: PROCEDURE; Schema: page; Owner: xrad_user
--

CREATE PROCEDURE page.p_unlock(IN p_user character varying, IN p_id_page uuid)
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
  l_role varchar; 
BEGIN
  select * into l_rec from page.t_page_locks l where l.id_page = p_id_page;
  if NOT FOUND then
  	return;
  end if;
  
  select a.user_role into l_role from app.t_app_users a where a.user_name = p_user;
  
  if l_rec.locked_by != p_user and l_role != 'ADMIN' then
  	raise 'You can not unlock this page.';
  end if;
  
  delete from page.t_page_locks l where l.id = l_rec.id;  
  
END;
$$;


ALTER PROCEDURE page.p_unlock(IN p_user character varying, IN p_id_page uuid) OWNER TO xrad_user;

--
-- Name: f_create_region(uuid, integer, character varying, character varying, character varying, boolean, integer, uuid, uuid, character varying, character varying, boolean, boolean, text, character varying[], text, character varying[], integer, character varying, text, character varying[], bigint, character varying, text, boolean, jsonb, character varying, boolean, integer, boolean); Type: FUNCTION; Schema: region; Owner: xrad_user
--

CREATE FUNCTION region.f_create_region(p_id_page uuid, p_seq integer, p_static_id character varying, p_comp_type character varying, p_condition_type character varying, p_start_new_row boolean, p_id_source integer, p_id uuid DEFAULT NULL::uuid, p_id_parent uuid DEFAULT NULL::uuid, p_position character varying DEFAULT NULL::character varying, p_title character varying DEFAULT NULL::character varying, p_toggle boolean DEFAULT NULL::boolean, p_active boolean DEFAULT NULL::boolean, p_condition_first text DEFAULT NULL::text, p_condition_first_input character varying[] DEFAULT NULL::character varying[], p_condition_second text DEFAULT NULL::text, p_condition_second_input character varying[] DEFAULT NULL::character varying[], p_col_span integer DEFAULT NULL::integer, p_source_type character varying DEFAULT NULL::character varying, p_source_text text DEFAULT NULL::text, p_source_input character varying[] DEFAULT NULL::character varying[], p_id_list bigint DEFAULT NULL::bigint, p_class character varying DEFAULT NULL::character varying, p_component_classes text DEFAULT NULL::text, p_show_header boolean DEFAULT NULL::boolean, p_settings jsonb DEFAULT NULL::jsonb, p_created_by character varying DEFAULT NULL::character varying, p_generic_columns boolean DEFAULT false, p_generic_cols_count integer DEFAULT NULL::integer, p_store_state boolean DEFAULT false) RETURNS uuid
    LANGUAGE plpgsql
    AS $$
declare
  l_id uuid := coalesce(p_id,uuid_generate_v4());
begin
insert into region.t_regions
  (id,id_page,id_parent,position,seq,static_id,title,toggle,active,comp_type,
   condition_type,condition_first,condition_first_input,condition_second,
   condition_second_input,col_span,source_type,source_text,source_input,
   id_list,class,component_classes,show_header,start_new_row,
   settings,created_by,created_on,last_updated_by,last_updated_on,id_source,
   generic_columns,generic_cols_count,store_state)
VALUES (l_id,p_id_page,p_id_parent,p_position,p_seq,p_static_id,p_title,
			  p_toggle,p_active,p_comp_type,p_condition_type,p_condition_first,
        p_condition_first_input,p_condition_second,p_condition_second_input,
        p_col_span,p_source_type,p_source_text,p_source_input,p_id_list,
        p_class,p_component_classes,p_show_header,p_start_new_row,
        p_settings,p_created_by,current_timestamp,p_created_by,current_timestamp,p_id_source,
        p_generic_columns,p_generic_cols_count,p_store_state);
return l_id;
end;
$$;


ALTER FUNCTION region.f_create_region(p_id_page uuid, p_seq integer, p_static_id character varying, p_comp_type character varying, p_condition_type character varying, p_start_new_row boolean, p_id_source integer, p_id uuid, p_id_parent uuid, p_position character varying, p_title character varying, p_toggle boolean, p_active boolean, p_condition_first text, p_condition_first_input character varying[], p_condition_second text, p_condition_second_input character varying[], p_col_span integer, p_source_type character varying, p_source_text text, p_source_input character varying[], p_id_list bigint, p_class character varying, p_component_classes text, p_show_header boolean, p_settings jsonb, p_created_by character varying, p_generic_columns boolean, p_generic_cols_count integer, p_store_state boolean) OWNER TO xrad_user;

--
-- Name: f_get_link(text, character varying); Type: FUNCTION; Schema: utils; Owner: xrad_user
--

CREATE FUNCTION utils.f_get_link(p_link text, p_selector character varying DEFAULT NULL::character varying) RETURNS text
    LANGUAGE plpgsql
    AS $_$
DECLARE
  l_page_num varchar;
  l_rec   record;
  l_tpl   text := $q$javascript:jsAPI.modal.open({page:'#LINK#',title:'#TITLE#',selector:'#SELECTOR#'#WIDTH#});$q$;
BEGIN
  if p_link ~* '^\/content\/\d*.*' then
  	l_page_num := replace(substring(p_link from '\/\d{1,}'),'/','');
    
    select s.page_mode, s.page_name, s.modal_width into l_rec
    from page.t_pages s where s.page_num = l_page_num::int; 
    
    if l_rec.page_mode = 'MODAL' then
      l_tpl := replace(l_tpl,'#LINK#',p_link);
      l_tpl := replace(l_tpl,'#TITLE#',l_rec.page_name);
      l_tpl := replace(l_tpl,'#SELECTOR#',coalesce(p_selector,'main'));            
	  if l_rec.modal_width is not null then
      	 l_tpl := replace(l_tpl,'#WIDTH#',',width:'||l_rec.modal_width);
      else
         l_tpl := replace(l_tpl,'#WIDTH#','');
      end if;          
                
      return l_tpl;
    else
      return p_link;  
    end if;        
  else
  	return p_link;
  end if;

END;
$_$;


ALTER FUNCTION utils.f_get_link(p_link text, p_selector character varying) OWNER TO xrad_user;

--
-- Name: f_page_id(integer); Type: FUNCTION; Schema: utils; Owner: xrad_user
--

CREATE FUNCTION utils.f_page_id(p_num integer) RETURNS uuid
    LANGUAGE sql
    AS $$
select s.id from page.t_pages s where s.page_num = p_num;
$$;


ALTER FUNCTION utils.f_page_id(p_num integer) OWNER TO xrad_user;

--
-- Name: f_page_num(uuid); Type: FUNCTION; Schema: utils; Owner: xrad_user
--

CREATE FUNCTION utils.f_page_num(p_id_page uuid) RETURNS integer
    LANGUAGE sql
    AS $$
select s.page_num from page.t_pages s where s.id = p_id_page;
$$;


ALTER FUNCTION utils.f_page_num(p_id_page uuid) OWNER TO xrad_user;

--
-- Name: f_replace_array_names(character varying[], character varying, character varying); Type: FUNCTION; Schema: utils; Owner: xrad_user
--

CREATE FUNCTION utils.f_replace_array_names(p_array character varying[], p_new_num character varying, p_old_num character varying) RETURNS character varying[]
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_ret varchar[];
  l_var varchar;
BEGIN
  if cardinality(p_array) = 0 or p_array is null then
    return null;
  end if;

  FOREACH l_var IN ARRAY p_array LOOP
  	l_ret := l_ret||utils.f_replace_item_name(l_var,p_new_num,p_old_num);
  END LOOP;
  
  RETURN l_ret;
END;
$$;


ALTER FUNCTION utils.f_replace_array_names(p_array character varying[], p_new_num character varying, p_old_num character varying) OWNER TO xrad_user;

--
-- Name: f_replace_item_name(character varying, character varying, character varying); Type: FUNCTION; Schema: utils; Owner: xrad_user
--

CREATE FUNCTION utils.f_replace_item_name(p_item_name character varying, p_new_num character varying, p_old_num character varying) RETURNS character varying
    LANGUAGE plpgsql
    AS $$
declare
 l_global boolean;
 l_is_item boolean;
BEGIN
  SELECT EXISTS (SELECT FROM item.t_global_items i where i.item_name = p_item_name) into l_global;
  
  if l_global then
    return p_item_name;
  end if; 	
  
  l_is_item := exists(select from item.t_page_items i where i.name = p_item_name);

  if p_item_name ~* '^P[\d]*' then
  	if p_item_name ~* ('^P'||p_old_num) then
    	return substring(p_item_name,1,1)||p_new_num||substring(p_item_name,length(p_old_num)+2);
    else
      return p_item_name;
    end if;
  end if;
  
  if l_is_item then
    return p_new_num||'_'||p_item_name; 
  end if;
  
  return p_item_name;
  		
END;
$$;


ALTER FUNCTION utils.f_replace_item_name(p_item_name character varying, p_new_num character varying, p_old_num character varying) OWNER TO xrad_user;

--
-- Name: f_replace_json_names(json, character varying, character varying); Type: FUNCTION; Schema: utils; Owner: xrad_user
--

CREATE FUNCTION utils.f_replace_json_names(p_json json, p_new_num character varying, p_old_num character varying) RETURNS json
    LANGUAGE plpgsql
    AS $$
DECLARE
  l_rec record;
  l_new varchar;
  l_ret text := p_json::text;
BEGIN
  for l_rec in
    select distinct entries from regexp_matches(p_json::text,'"(P[\d].*?)"','g') entries
  loop
  	l_new := utils.f_replace_item_name(l_rec.entries[1],p_new_num,p_old_num);
    l_ret := replace(l_ret,l_rec.entries[1],l_new);
  end loop;
  
  
  return l_ret::json;
END;
$$;


ALTER FUNCTION utils.f_replace_json_names(p_json json, p_new_num character varying, p_old_num character varying) OWNER TO xrad_user;

--
-- Name: t_sessions; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE UNLOGGED TABLE app.t_sessions (
    id bigint NOT NULL,
    cookie_value character varying(255),
    created_on timestamp(0) without time zone,
    idle_timeout_on timestamp(0) without time zone,
    life_timeout_on timestamp(0) without time zone,
    user_name character varying(255),
    salt bytea DEFAULT public.gen_random_bytes(10)
);


ALTER TABLE app.t_sessions OWNER TO xrad_user;

--
-- Name: t_app_sessions_id_seq; Type: SEQUENCE; Schema: app; Owner: xrad_user
--

CREATE SEQUENCE app.t_app_sessions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE app.t_app_sessions_id_seq OWNER TO xrad_user;

--
-- Name: t_app_sessions_id_seq; Type: SEQUENCE OWNED BY; Schema: app; Owner: xrad_user
--

ALTER SEQUENCE app.t_app_sessions_id_seq OWNED BY app.t_sessions.id;


--
-- Name: t_app_user_group_access; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_app_user_group_access (
    id integer NOT NULL,
    id_user integer,
    id_group integer,
    created_by character varying(500),
    date_created timestamp without time zone
);


ALTER TABLE app.t_app_user_group_access OWNER TO xrad_user;

--
-- Name: t_app_user_group_access_id_seq; Type: SEQUENCE; Schema: app; Owner: xrad_user
--

CREATE SEQUENCE app.t_app_user_group_access_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE app.t_app_user_group_access_id_seq OWNER TO xrad_user;

--
-- Name: t_app_user_group_access_id_seq; Type: SEQUENCE OWNED BY; Schema: app; Owner: xrad_user
--

ALTER SEQUENCE app.t_app_user_group_access_id_seq OWNED BY app.t_app_user_group_access.id;


--
-- Name: t_app_user_groups; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_app_user_groups (
    id integer NOT NULL,
    group_name character varying(500),
    created_by character varying(500),
    date_created timestamp without time zone
);


ALTER TABLE app.t_app_user_groups OWNER TO xrad_user;

--
-- Name: t_app_user_groups_id_seq; Type: SEQUENCE; Schema: app; Owner: xrad_user
--

CREATE SEQUENCE app.t_app_user_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE app.t_app_user_groups_id_seq OWNER TO xrad_user;

--
-- Name: t_app_user_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: app; Owner: xrad_user
--

ALTER SEQUENCE app.t_app_user_groups_id_seq OWNED BY app.t_app_user_groups.id;


--
-- Name: t_app_users; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_app_users (
    id_user integer NOT NULL,
    user_name character varying(100) NOT NULL,
    first_name character varying(255),
    last_name character varying(255),
    creation_date timestamp without time zone NOT NULL,
    created_by character varying(255),
    last_update_date timestamp without time zone NOT NULL,
    last_updated_by character varying(255),
    email_address character varying(240),
    password text NOT NULL,
    last_login timestamp without time zone,
    builder_login_count integer DEFAULT 0,
    account_locked boolean DEFAULT false,
    account_expiry timestamp without time zone,
    failed_access_attempts integer DEFAULT 0,
    last_failed_login timestamp without time zone,
    user_role character varying(50) DEFAULT 'VIEW'::character varying NOT NULL,
    interface_lang character varying(10) DEFAULT 'en'::character varying NOT NULL,
    CONSTRAINT chk_app_users_role CHECK (((user_role)::text = ANY (ARRAY[('ADMIN'::character varying)::text, ('DEVELOPER'::character varying)::text, ('VIEW'::character varying)::text])))
);


ALTER TABLE app.t_app_users OWNER TO xrad_user;

--
-- Name: t_app_users_id_user_seq; Type: SEQUENCE; Schema: app; Owner: xrad_user
--

CREATE SEQUENCE app.t_app_users_id_user_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE app.t_app_users_id_user_seq OWNER TO xrad_user;

--
-- Name: t_app_users_id_user_seq; Type: SEQUENCE OWNED BY; Schema: app; Owner: xrad_user
--

ALTER SEQUENCE app.t_app_users_id_user_seq OWNED BY app.t_app_users.id_user;


--
-- Name: t_auth_list; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_auth_list (
    id integer NOT NULL,
    auth_name character varying(500),
    auth_type character varying(50),
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone
);


ALTER TABLE app.t_auth_list OWNER TO xrad_user;

--
-- Name: t_auth_list_id_seq; Type: SEQUENCE; Schema: app; Owner: xrad_user
--

CREATE SEQUENCE app.t_auth_list_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE app.t_auth_list_id_seq OWNER TO xrad_user;

--
-- Name: t_auth_list_id_seq; Type: SEQUENCE OWNED BY; Schema: app; Owner: xrad_user
--

ALTER SEQUENCE app.t_auth_list_id_seq OWNED BY app.t_auth_list.id;


--
-- Name: t_authentications; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_authentications (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    auth_seq integer,
    auth_name character varying(500) NOT NULL,
    auth_type character varying(50) DEFAULT 'CUSTOM'::character varying,
    id_source integer NOT NULL,
    auth_code text,
    auth_code_input character varying(100)[],
    post_login_func text,
    input_params character varying(100)[],
    output_params character varying(100)[],
    condition_type character varying(500) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    ldap_user_item character varying(500),
    ldap_pass_item character varying(500),
    CONSTRAINT check_auth_type CHECK (((auth_type)::text = ANY (ARRAY[('CUSTOM'::character varying)::text, ('LDAP'::character varying)::text, ('MICROSOFT_LDAP'::character varying)::text, ('KERBEROS_SSO'::character varying)::text, ('MICROSOFT_KERBEROS_SSO'::character varying)::text, ('OIDC'::character varying)::text])))
);


ALTER TABLE app.t_authentications OWNER TO xrad_user;

--
-- Name: t_authorization_schemes; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_authorization_schemes (
    id bigint DEFAULT nextval(('app.t_authorization_schemes_id_seq'::text)::regclass) NOT NULL,
    name character varying(500) NOT NULL,
    source text NOT NULL,
    input character varying(100)[],
    error_message text NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL
);


ALTER TABLE app.t_authorization_schemes OWNER TO xrad_user;

--
-- Name: COLUMN t_authorization_schemes.id; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_authorization_schemes.id IS 'Идентификатор';


--
-- Name: COLUMN t_authorization_schemes.name; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_authorization_schemes.name IS 'Название';


--
-- Name: COLUMN t_authorization_schemes.source; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_authorization_schemes.source IS 'Код';


--
-- Name: COLUMN t_authorization_schemes.input; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_authorization_schemes.input IS 'Входящие параметры';


--
-- Name: COLUMN t_authorization_schemes.error_message; Type: COMMENT; Schema: app; Owner: xrad_user
--

COMMENT ON COLUMN app.t_authorization_schemes.error_message IS 'Текст ошибки';


--
-- Name: t_authorization_schemes_id_seq; Type: SEQUENCE; Schema: app; Owner: xrad_user
--

CREATE SEQUENCE app.t_authorization_schemes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE app.t_authorization_schemes_id_seq OWNER TO xrad_user;

--
-- Name: t_data_sources; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_data_sources (
    id integer NOT NULL,
    source_name character varying(500) NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone
);


ALTER TABLE app.t_data_sources OWNER TO xrad_user;

--
-- Name: t_data_sources_id_seq; Type: SEQUENCE; Schema: app; Owner: xrad_user
--

CREATE SEQUENCE app.t_data_sources_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE app.t_data_sources_id_seq OWNER TO xrad_user;

--
-- Name: t_data_sources_id_seq; Type: SEQUENCE OWNED BY; Schema: app; Owner: xrad_user
--

ALTER SEQUENCE app.t_data_sources_id_seq OWNED BY app.t_data_sources.id;


--
-- Name: t_settings; Type: TABLE; Schema: app; Owner: xrad_user
--

CREATE TABLE app.t_settings (
    key character varying(1000),
    value text
);


ALTER TABLE app.t_settings OWNER TO xrad_user;

--
-- Name: t_global_items; Type: TABLE; Schema: item; Owner: xrad_user
--

CREATE TABLE item.t_global_items (
    item_name character varying(100) NOT NULL,
    is_temp boolean DEFAULT true,
    built_in boolean DEFAULT false NOT NULL,
    commentary text,
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    protection_level character(1) DEFAULT 'N'::bpchar NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone
);


ALTER TABLE item.t_global_items OWNER TO xrad_user;

--
-- Name: t_list_items; Type: TABLE; Schema: list; Owner: xrad_user
--

CREATE TABLE list.t_list_items (
    id bigint NOT NULL,
    id_list bigint NOT NULL,
    id_parent bigint,
    name character varying(500),
    target character varying(4000),
    icon character varying(1000),
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    display_sequence integer,
    condition_second text,
    condition_first_input character varying(100)[],
    condition_second_input character varying(100)[],
    attribute_01 text,
    attribute_02 text,
    target_page integer,
    current_for_pages integer[],
    separated boolean DEFAULT false,
    id_source integer NOT NULL,
    tooltip text,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone
);


ALTER TABLE list.t_list_items OWNER TO xrad_user;

--
-- Name: COLUMN t_list_items.condition_type; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.condition_type IS 'Тип условия';


--
-- Name: COLUMN t_list_items.condition_first; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.condition_first IS 'Условие 1';


--
-- Name: COLUMN t_list_items.condition_second; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.condition_second IS 'Условие 2';


--
-- Name: COLUMN t_list_items.condition_first_input; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.condition_first_input IS 'Входные параметры для условия';


--
-- Name: COLUMN t_list_items.condition_second_input; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.condition_second_input IS 'Входные параметры для условия 2';


--
-- Name: COLUMN t_list_items.attribute_02; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.attribute_02 IS 'Аттрибут 2';


--
-- Name: COLUMN t_list_items.target_page; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.target_page IS 'Номер страницы на которую ссылается лист';


--
-- Name: COLUMN t_list_items.current_for_pages; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.current_for_pages IS 'Массив страницы для которых данный итем является текущим';


--
-- Name: COLUMN t_list_items.separated; Type: COMMENT; Schema: list; Owner: xrad_user
--

COMMENT ON COLUMN list.t_list_items.separated IS 'Разделитель';


--
-- Name: t_lists; Type: TABLE; Schema: list; Owner: xrad_user
--

CREATE TABLE list.t_lists (
    id bigint NOT NULL,
    name character varying(500) NOT NULL,
    list_type character varying(50) NOT NULL,
    list_query text,
    list_input character varying(100)[],
    breadcrumb boolean DEFAULT false,
    id_source integer NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    CONSTRAINT chk_list_type CHECK (((list_type)::text = ANY (ARRAY[('SQL_QUERY'::character varying)::text, ('STATIC'::character varying)::text, ('FUNCTION'::character varying)::text])))
);


ALTER TABLE list.t_lists OWNER TO xrad_user;

--
-- Name: t_pages; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_pages (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    page_name character varying(500),
    page_num integer NOT NULL,
    page_mode character varying(50) DEFAULT 'SIDEBAR'::character varying NOT NULL,
    id_auth bigint,
    javascript_code text,
    javascript_file_urls character varying(1000)[],
    inline_css text,
    css_file_urls character varying(1000)[],
    is_public boolean DEFAULT false,
    modal_width integer,
    page_protection boolean DEFAULT false,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    CONSTRAINT chk_page_mod CHECK (((page_mode)::text = ANY (ARRAY[('SIDEBAR'::character varying)::text, ('MODAL'::character varying)::text, ('MINIMAL'::character varying)::text, ('LOGIN'::character varying)::text])))
);


ALTER TABLE page.t_pages OWNER TO xrad_user;

--
-- Name: COLUMN t_pages.id; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.id IS 'Идентификатор страницы';


--
-- Name: COLUMN t_pages.page_name; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.page_name IS 'Наименование страницы';


--
-- Name: COLUMN t_pages.page_num; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.page_num IS 'Номер страницы';


--
-- Name: COLUMN t_pages.page_mode; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.page_mode IS 'Модальная или обычная';


--
-- Name: COLUMN t_pages.id_auth; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.id_auth IS 'Схема авторизации';


--
-- Name: COLUMN t_pages.javascript_code; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.javascript_code IS 'Функции js, загружаемые на страницу';


--
-- Name: COLUMN t_pages.javascript_file_urls; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.javascript_file_urls IS 'Перечень внешних файлов js';


--
-- Name: COLUMN t_pages.inline_css; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.inline_css IS 'Встраиваемый css';


--
-- Name: COLUMN t_pages.css_file_urls; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.css_file_urls IS 'Перечень внешних файлов css';


--
-- Name: COLUMN t_pages.page_protection; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_pages.page_protection IS 'Включить защиту страницы (чексумма)';


--
-- Name: v_export_components; Type: VIEW; Schema: app; Owner: xrad_user
--

CREATE VIEW app.v_export_components AS
 SELECT 'PAGE'::text AS type_name,
    (s.id)::character varying AS id,
    ((s.page_num || '. '::text) || (s.page_name)::text) AS comp_name,
    s.last_updated_by,
    s.last_updated_on,
    1 AS weight
   FROM page.t_pages s
UNION ALL
 SELECT 'DATASOURCE'::text AS type_name,
    (s.id)::character varying AS id,
    s.source_name AS comp_name,
    COALESCE(s.last_updated_by, s.created_by) AS last_updated_by,
    COALESCE(s.last_updated_on, s.created_on) AS last_updated_on,
    100 AS weight
   FROM app.t_data_sources s
UNION ALL
 SELECT 'AUTHORIZATION'::text AS type_name,
    (s.id)::character varying AS id,
    s.name AS comp_name,
    COALESCE(s.last_updated_by, s.created_by) AS last_updated_by,
    COALESCE(s.last_updated_on, s.created_on) AS last_updated_on,
    90 AS weight
   FROM app.t_authorization_schemes s
UNION ALL
 SELECT 'AUTHENTICATION'::text AS type_name,
    (s.id)::character varying AS id,
    s.auth_name AS comp_name,
    COALESCE(s.last_updated_by, s.created_by) AS last_updated_by,
    COALESCE(s.last_updated_on, s.created_on) AS last_updated_on,
    90 AS weight
   FROM app.t_auth_list s
UNION ALL
 SELECT 'APP_PROCESS'::text AS type_name,
    (p.id)::character varying AS id,
    p.process_name AS comp_name,
    COALESCE(p.last_updated_by, p.created_by) AS last_updated_by,
    COALESCE(p.last_updated_on, p.created_on) AS last_updated_on,
    80 AS weight
   FROM app.t_app_processing p
UNION ALL
 SELECT 'APP_ITEM'::text AS type_name,
    (i.id)::character varying AS id,
    i.item_name AS comp_name,
    COALESCE(i.last_updated_by, i.created_by) AS last_updated_by,
    COALESCE(i.last_updated_on, i.created_on) AS last_updated_on,
    70 AS weight
   FROM item.t_global_items i
  WHERE (NOT i.built_in)
UNION ALL
 SELECT 'LIST'::text AS type_name,
    (s.id)::character varying AS id,
    s.name AS comp_name,
    COALESCE(s.last_updated_by, s.created_by) AS last_updated_by,
    COALESCE(s.last_updated_on, s.created_on) AS last_updated_on,
    60 AS weight
   FROM list.t_lists s
UNION ALL
 SELECT 'LIST_ITEM'::text AS type_name,
    (s.id)::character varying AS id,
    s.name AS comp_name,
    COALESCE(s.last_updated_by, s.created_by) AS last_updated_by,
    COALESCE(s.last_updated_on, s.created_on) AS last_updated_on,
    50 AS weight
   FROM list.t_list_items s;


ALTER TABLE app.v_export_components OWNER TO xrad_user;

--
-- Name: t_buttons; Type: TABLE; Schema: button; Owner: xrad_user
--

CREATE TABLE button.t_buttons (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    id_region uuid NOT NULL,
    sequence integer,
    name character varying(1000) NOT NULL,
    static_id character varying(1000),
    alias character varying(1000),
    condition_type character varying(100),
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    redirect_url character varying,
    "position" character varying(50),
    class character varying(500),
    id_item uuid,
    location character varying(50) DEFAULT 'REGION'::character varying,
    id_list bigint,
    button_action character varying(100) DEFAULT 'SUBMIT'::character varying,
    col_span integer,
    start_new_row boolean,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL,
    link_target character varying(500),
    link_title text,
    link_class text
);


ALTER TABLE button.t_buttons OWNER TO xrad_user;

--
-- Name: COLUMN t_buttons.location; Type: COMMENT; Schema: button; Owner: xrad_user
--

COMMENT ON COLUMN button.t_buttons.location IS 'Расположение кнопки';


--
-- Name: v_buttons; Type: VIEW; Schema: button; Owner: xrad_user
--

CREATE VIEW button.v_buttons AS
 SELECT COALESCE(s.static_id, (('btn_'::text || ((s.id)::character varying)::text))::character varying) AS id,
    s.static_id,
    s.alias,
        CASE
            WHEN ((s.button_action)::text = 'DYNAMIC'::text) THEN 'javascript:void(0)'::text
            ELSE utils.f_get_link((s.redirect_url)::text, (('#'::text || (COALESCE(s.static_id, (('btn_'::text || ((s.id)::character varying)::text))::character varying))::text))::character varying)
        END AS redirect_url,
    s."position",
    s.class,
    s.id_item,
    s.condition_type,
    s.condition_first,
    s.condition_first_input,
    s.condition_second,
    s.condition_second_input,
    s.id_list,
    s.button_action,
    s.id_region,
    s.location,
    s.sequence,
    s.col_span,
    s.start_new_row,
    s.id_source,
    s.link_target,
    s.link_class,
    s.link_title
   FROM button.t_buttons s;


ALTER TABLE button.v_buttons OWNER TO xrad_user;

--
-- Name: t_calendars; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_calendars (
    id uuid NOT NULL,
    display_column character varying(100) NOT NULL,
    start_column character varying(100) NOT NULL,
    end_column character varying(100),
    pkey_column character varying(100),
    height integer,
    views character varying(100)[],
    show_time boolean DEFAULT false NOT NULL,
    drag_drop boolean DEFAULT false NOT NULL,
    show_tooltip boolean DEFAULT false NOT NULL,
    show_weekend boolean DEFAULT false NOT NULL,
    view_link text,
    id_page uuid NOT NULL,
    css_column character varying(100)
);


ALTER TABLE cmp.t_calendars OWNER TO xrad_user;

--
-- Name: t_cards; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_cards (
    id uuid NOT NULL,
    theme character varying(100),
    columns character varying(100),
    id_page uuid NOT NULL,
    CONSTRAINT chk_cards_theme CHECK (((theme)::text = ANY (ARRAY[('basic'::character varying)::text, ('featured'::character varying)::text, ('block'::character varying)::text])))
);


ALTER TABLE cmp.t_cards OWNER TO xrad_user;

--
-- Name: COLUMN t_cards.id; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_cards.id IS 'ИД компонента';


--
-- Name: COLUMN t_cards.theme; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_cards.theme IS 'Тип стиля';


--
-- Name: COLUMN t_cards.columns; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_cards.columns IS 'Расположение';


--
-- Name: t_chart_series; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_chart_series (
    id_series uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_region uuid NOT NULL,
    name character varying(1000) NOT NULL,
    seq integer NOT NULL,
    value_column character varying(50) NOT NULL,
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    id_page uuid NOT NULL
);


ALTER TABLE cmp.t_chart_series OWNER TO xrad_user;

--
-- Name: t_charts; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_charts (
    id uuid NOT NULL,
    chart_type character varying(50),
    category_column character varying(100),
    dynamic_load boolean DEFAULT false,
    width integer,
    height integer,
    id_page uuid NOT NULL
);


ALTER TABLE cmp.t_charts OWNER TO xrad_user;

--
-- Name: t_chat; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_chat (
    id uuid NOT NULL,
    id_page uuid NOT NULL,
    height character varying(50),
    max_height character varying(50),
    scroll_bottom boolean DEFAULT false
);


ALTER TABLE cmp.t_chat OWNER TO xrad_user;

--
-- Name: t_report; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_report (
    id uuid NOT NULL,
    enable_search boolean DEFAULT true NOT NULL,
    enable_pagination boolean DEFAULT true NOT NULL,
    enable_heading boolean DEFAULT true NOT NULL,
    row_limit integer DEFAULT 15 NOT NULL,
    appearance character varying(50) DEFAULT 'STANDART'::character varying NOT NULL,
    no_data_message text,
    id_page uuid NOT NULL,
    enable_actions boolean DEFAULT true NOT NULL,
    stripes boolean DEFAULT true NOT NULL,
    hover boolean DEFAULT true NOT NULL,
    cell_padding boolean DEFAULT true NOT NULL,
    row_border boolean DEFAULT true NOT NULL,
    head_wrap boolean DEFAULT true NOT NULL,
    cell_wrap boolean DEFAULT true NOT NULL,
    enable_download boolean DEFAULT false NOT NULL,
    csv_separator character(1),
    download_name character varying,
    csv_encoding character varying(50),
    download_formats character varying(50)[]
);


ALTER TABLE cmp.t_report OWNER TO xrad_user;

--
-- Name: COLUMN t_report.id; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report.id IS 'ИД региона';


--
-- Name: COLUMN t_report.enable_search; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report.enable_search IS 'Включить поиск по таблице';


--
-- Name: COLUMN t_report.enable_pagination; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report.enable_pagination IS 'Включить пагинацию';


--
-- Name: COLUMN t_report.enable_heading; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report.enable_heading IS 'Включить заголовки колонок таблицы';


--
-- Name: COLUMN t_report.row_limit; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report.row_limit IS 'Ограничение строк на вывод';


--
-- Name: COLUMN t_report.no_data_message; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report.no_data_message IS 'Собщение для случаев когда нет данных';


--
-- Name: COLUMN t_report.enable_actions; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report.enable_actions IS 'Включить действия с репортом';


--
-- Name: t_report_columns; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_report_columns (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_region uuid NOT NULL,
    query_column_id integer NOT NULL,
    column_alias character varying(4000),
    column_display_seq integer NOT NULL,
    column_heading character varying(4000),
    column_type character varying(100) NOT NULL,
    column_link text,
    column_icon character varying(500),
    sortable boolean DEFAULT true NOT NULL,
    searchable boolean DEFAULT true NOT NULL,
    align character varying(10) DEFAULT 'left'::character varying NOT NULL,
    format_mask character varying(100),
    column_width character varying(50),
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    column_formating text,
    associated_item character varying(100),
    id_page uuid NOT NULL,
    generic boolean DEFAULT false NOT NULL,
    data_type character varying(50),
    link_target character varying(500),
    link_title text,
    link_class text,
    CONSTRAINT chk_column_align CHECK (((align)::text = ANY (ARRAY[('left'::character varying)::text, ('right'::character varying)::text, ('center'::character varying)::text])))
);


ALTER TABLE cmp.t_report_columns OWNER TO xrad_user;

--
-- Name: COLUMN t_report_columns.id; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.id IS 'ИД колонки';


--
-- Name: COLUMN t_report_columns.id_region; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.id_region IS 'ИД региона';


--
-- Name: COLUMN t_report_columns.query_column_id; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.query_column_id IS 'Позиция колонки в запросе';


--
-- Name: COLUMN t_report_columns.column_alias; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.column_alias IS 'Псевдоним колонки';


--
-- Name: COLUMN t_report_columns.column_display_seq; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.column_display_seq IS 'Позиция для отображения';


--
-- Name: COLUMN t_report_columns.column_heading; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.column_heading IS 'Название колонки для отображения';


--
-- Name: COLUMN t_report_columns.column_type; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.column_type IS 'Тип колонки';


--
-- Name: COLUMN t_report_columns.column_link; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.column_link IS 'Ссылка в колонке';


--
-- Name: COLUMN t_report_columns.column_icon; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.column_icon IS 'Иконка';


--
-- Name: COLUMN t_report_columns.sortable; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.sortable IS 'Возможна ли сортировка';


--
-- Name: COLUMN t_report_columns.searchable; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.searchable IS 'Возможен ли поиск';


--
-- Name: COLUMN t_report_columns.format_mask; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.format_mask IS 'Форматирование колонки';


--
-- Name: COLUMN t_report_columns.column_formating; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.column_formating IS 'Формат колонки';


--
-- Name: COLUMN t_report_columns.associated_item; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_columns.associated_item IS 'Связанный item name';


--
-- Name: t_report_conditions; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_report_conditions (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    id_region uuid NOT NULL,
    name text,
    condition_type character varying(50) NOT NULL,
    column_name character varying(500),
    operator character varying(100) NOT NULL,
    value1 character varying(500),
    highlight_seq integer,
    condition_sql text,
    highlight_type character varying(50),
    bg_color character varying(10),
    font_color character varying(10),
    active boolean,
    id_report uuid NOT NULL,
    value2 character varying(500),
    CONSTRAINT chk_report_conditions_hl_type CHECK (((highlight_type)::text = ANY (ARRAY[('ROW'::character varying)::text, ('COLUMN'::character varying)::text])))
);


ALTER TABLE cmp.t_report_conditions OWNER TO xrad_user;

--
-- Name: TABLE t_report_conditions; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON TABLE cmp.t_report_conditions IS 'Пользовательские условия фильтрации отчета';


--
-- Name: COLUMN t_report_conditions.id_page; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_conditions.id_page IS 'ИД страницы';


--
-- Name: COLUMN t_report_conditions.id_region; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_conditions.id_region IS 'ИД региона';


--
-- Name: COLUMN t_report_conditions.name; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_conditions.name IS 'Название условия';


--
-- Name: COLUMN t_report_conditions.condition_type; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_conditions.condition_type IS 'Тип условия';


--
-- Name: COLUMN t_report_conditions.column_name; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_conditions.column_name IS 'Название колонки';


--
-- Name: COLUMN t_report_conditions.operator; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_conditions.operator IS 'Оператор';


--
-- Name: COLUMN t_report_conditions.value1; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_report_conditions.value1 IS 'Значение';


--
-- Name: t_tiles; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_tiles (
    id uuid NOT NULL,
    id_page uuid NOT NULL,
    theme character varying(100) DEFAULT 'CLASSIC'::character varying NOT NULL,
    columns character varying(100) DEFAULT '2'::character varying NOT NULL,
    view character varying(50) DEFAULT 'GRID'::character varying NOT NULL,
    align character varying(50) DEFAULT 'center'::character varying NOT NULL,
    icon_contrast boolean DEFAULT true NOT NULL,
    title_column character varying(100) NOT NULL,
    text_column character varying(100),
    desc_column character varying(100),
    icon_column character varying(100),
    color_column character varying(100),
    CONSTRAINT t_tiles_chk CHECK (((theme)::text = ANY (ARRAY[('CLASSIC'::character varying)::text, ('CLASSIC_CONTRAST'::character varying)::text, ('HORIZONTAL'::character varying)::text, ('HORIZONTAL_CONTRAST'::character varying)::text])))
);


ALTER TABLE cmp.t_tiles OWNER TO xrad_user;

--
-- Name: t_tree; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_tree (
    id uuid NOT NULL,
    pkey_col character varying(100) NOT NULL,
    fkey_col character varying(100) NOT NULL,
    label_col character varying(100) NOT NULL,
    id_page uuid,
    link text,
    link_column character varying(100)
);


ALTER TABLE cmp.t_tree OWNER TO xrad_user;

--
-- Name: COLUMN t_tree.id; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_tree.id IS 'ИД компонента';


--
-- Name: COLUMN t_tree.pkey_col; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_tree.pkey_col IS 'Столбец с первичным ключем';


--
-- Name: COLUMN t_tree.fkey_col; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_tree.fkey_col IS 'Название столбца с вторичным ключем';


--
-- Name: COLUMN t_tree.label_col; Type: COMMENT; Schema: cmp; Owner: xrad_user
--

COMMENT ON COLUMN cmp.t_tree.label_col IS 'Название столбца с наименованием';


--
-- Name: t_wizard; Type: TABLE; Schema: cmp; Owner: xrad_user
--

CREATE TABLE cmp.t_wizard (
    id uuid NOT NULL,
    clickable boolean DEFAULT false NOT NULL,
    label_display character varying DEFAULT 'all'::character varying NOT NULL,
    orientation character varying DEFAULT 'horizontal'::character varying NOT NULL,
    id_page uuid NOT NULL,
    CONSTRAINT chk_wizard_label CHECK (((label_display)::text = ANY (ARRAY[('all'::character varying)::text, ('current'::character varying)::text, ('never'::character varying)::text]))),
    CONSTRAINT chk_wizard_orientation CHECK (((orientation)::text = ANY (ARRAY[('horizontal'::character varying)::text, ('vertical'::character varying)::text])))
);


ALTER TABLE cmp.t_wizard OWNER TO xrad_user;

--
-- Name: t_regions; Type: TABLE; Schema: region; Owner: xrad_user
--

CREATE TABLE region.t_regions (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    id_parent uuid,
    "position" character varying(100),
    seq integer NOT NULL,
    static_id character varying(500) NOT NULL,
    title character varying(1000),
    toggle boolean DEFAULT false,
    active boolean DEFAULT false,
    comp_type character varying(100) NOT NULL,
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying NOT NULL,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    col_span integer DEFAULT 12,
    source_type character varying(50),
    source_text text,
    source_input character varying(100)[],
    id_list bigint,
    class character varying(500),
    component_classes text,
    show_header boolean DEFAULT true,
    start_new_row boolean DEFAULT true NOT NULL,
    settings jsonb,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL,
    generic_columns boolean DEFAULT false,
    generic_cols_count integer,
    store_state boolean DEFAULT false
);


ALTER TABLE region.t_regions OWNER TO xrad_user;

--
-- Name: COLUMN t_regions.id; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.id IS 'ИД региона';


--
-- Name: COLUMN t_regions.id_page; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.id_page IS 'ИД страницы';


--
-- Name: COLUMN t_regions.id_parent; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.id_parent IS 'ИД родительского региона';


--
-- Name: COLUMN t_regions."position"; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions."position" IS 'Позиция на странице';


--
-- Name: COLUMN t_regions.seq; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.seq IS 'Последовательность отображения';


--
-- Name: COLUMN t_regions.static_id; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.static_id IS 'HTML ID';


--
-- Name: COLUMN t_regions.title; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.title IS 'Название';


--
-- Name: COLUMN t_regions.toggle; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.toggle IS 'Выводить как аккордеон';


--
-- Name: COLUMN t_regions.active; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.active IS 'Свернут/развернут';


--
-- Name: COLUMN t_regions.comp_type; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.comp_type IS 'Тип компонента';


--
-- Name: COLUMN t_regions.condition_type; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.condition_type IS 'Тип условия';


--
-- Name: COLUMN t_regions.condition_first; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.condition_first IS 'Первое условие';


--
-- Name: COLUMN t_regions.condition_first_input; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.condition_first_input IS 'Входные параметры первого';


--
-- Name: COLUMN t_regions.condition_second; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.condition_second IS 'Второе условие';


--
-- Name: COLUMN t_regions.condition_second_input; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.condition_second_input IS 'Входные параметры второго';


--
-- Name: COLUMN t_regions.col_span; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.col_span IS 'Сколько колонок занимает';


--
-- Name: COLUMN t_regions.source_type; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.source_type IS 'Тип источника';


--
-- Name: COLUMN t_regions.source_text; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.source_text IS 'Источник данных';


--
-- Name: COLUMN t_regions.source_input; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.source_input IS 'Параметры для источника';


--
-- Name: COLUMN t_regions.id_list; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.id_list IS 'Ссылка на лист';


--
-- Name: COLUMN t_regions.class; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.class IS 'Класс региона';


--
-- Name: COLUMN t_regions.show_header; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.show_header IS 'Отображение заголовка региона';


--
-- Name: COLUMN t_regions.start_new_row; Type: COMMENT; Schema: region; Owner: xrad_user
--

COMMENT ON COLUMN region.t_regions.start_new_row IS 'Перенести на новую строку';


--
-- Name: v_calendar_cols; Type: VIEW; Schema: cmp; Owner: xrad_user
--

CREATE VIEW cmp.v_calendar_cols AS
 SELECT c.pkey_column,
    c.display_column,
    c.start_column,
    c.end_column,
    c.css_column,
    utils.f_get_link(c.view_link, (('#'::text || (r.static_id)::text))::character varying) AS view_link,
    c.id
   FROM cmp.t_calendars c,
    region.t_regions r
  WHERE (r.id = c.id);


ALTER TABLE cmp.v_calendar_cols OWNER TO xrad_user;

--
-- Name: v_report; Type: VIEW; Schema: cmp; Owner: xrad_user
--

CREATE VIEW cmp.v_report AS
 SELECT r.id_page,
    cr.appearance,
    cr.enable_heading,
    cr.enable_pagination,
    cr.enable_search,
    cr.row_limit,
    cr.id
   FROM region.t_regions r,
    cmp.t_report cr
  WHERE (cr.id = r.id);


ALTER TABLE cmp.v_report OWNER TO xrad_user;

--
-- Name: v_report_columns; Type: VIEW; Schema: cmp; Owner: xrad_user
--

CREATE VIEW cmp.v_report_columns AS
 SELECT c.column_alias,
    c.column_heading,
    c.column_type,
    utils.f_get_link(c.column_link, (('#'::text || (r.static_id)::text))::character varying) AS column_link,
    c.column_icon,
    c.query_column_id,
    c.sortable,
    c.searchable,
    c.align,
    c.format_mask,
    c.column_width,
    c.column_formating,
    c.associated_item,
    c.condition_type,
    c.condition_first,
    c.condition_first_input,
    c.condition_second,
    c.condition_second_input,
    c.id_region,
    c.column_display_seq,
    c.data_type,
    c.link_class,
    c.link_target,
    c.link_title
   FROM cmp.t_report_columns c,
    region.t_regions r
  WHERE (c.id_region = r.id);


ALTER TABLE cmp.v_report_columns OWNER TO xrad_user;

--
-- Name: v_tree; Type: VIEW; Schema: cmp; Owner: xrad_user
--

CREATE VIEW cmp.v_tree AS
 SELECT s.source_text,
    s.source_input,
    t.pkey_col,
    t.fkey_col,
    t.label_col,
    utils.f_get_link(t.link, (('#'::text || (s.static_id)::text))::character varying) AS link,
    t.link_column,
    t.id,
    s.id_source
   FROM region.t_regions s,
    cmp.t_tree t
  WHERE (s.id = t.id);


ALTER TABLE cmp.v_tree OWNER TO xrad_user;

--
-- Name: t_actions; Type: TABLE; Schema: da; Owner: xrad_user
--

CREATE TABLE da.t_actions (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_event uuid NOT NULL,
    id_page uuid NOT NULL,
    init_on_load boolean DEFAULT false,
    code text NOT NULL,
    sequence integer NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone
);


ALTER TABLE da.t_actions OWNER TO xrad_user;

--
-- Name: t_events; Type: TABLE; Schema: da; Owner: xrad_user
--

CREATE TABLE da.t_events (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    event_name character varying(1000) NOT NULL,
    event_sequence integer NOT NULL,
    triggering_element_type character varying(50) NOT NULL,
    triggering_element character varying(4000),
    triggering_region_id uuid,
    triggering_button_id uuid,
    bind_event_type character varying(200) NOT NULL,
    bind_event_type_custom character varying(500),
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL
);


ALTER TABLE da.t_events OWNER TO xrad_user;

--
-- Name: COLUMN t_events.id; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.id IS 'ИД события';


--
-- Name: COLUMN t_events.id_page; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.id_page IS 'ИД страницы';


--
-- Name: COLUMN t_events.event_name; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.event_name IS 'Наименование события';


--
-- Name: COLUMN t_events.event_sequence; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.event_sequence IS 'Номер последовательности';


--
-- Name: COLUMN t_events.triggering_element_type; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.triggering_element_type IS 'Тип триггера';


--
-- Name: COLUMN t_events.triggering_element; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.triggering_element IS 'Элемент вызывающий событие';


--
-- Name: COLUMN t_events.triggering_region_id; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.triggering_region_id IS 'ID регоина триггера';


--
-- Name: COLUMN t_events.triggering_button_id; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.triggering_button_id IS 'ID кнопки триггера';


--
-- Name: COLUMN t_events.bind_event_type; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.bind_event_type IS 'Тип события';


--
-- Name: COLUMN t_events.bind_event_type_custom; Type: COMMENT; Schema: da; Owner: xrad_user
--

COMMENT ON COLUMN da.t_events.bind_event_type_custom IS 'Наименование пользовательского события';


--
-- Name: v_events; Type: VIEW; Schema: da; Owner: xrad_user
--

CREATE VIEW da.v_events AS
 SELECT e.id_page,
        CASE e.triggering_element_type
            WHEN 'REGION'::text THEN ( SELECT COALESCE(r.static_id, (r.id)::character varying) AS "coalesce"
               FROM region.t_regions r
              WHERE (r.id = e.triggering_region_id))
            WHEN 'BUTTON'::text THEN ( SELECT COALESCE(b.static_id, (b.id)::character varying) AS "coalesce"
               FROM button.t_buttons b
              WHERE (b.id = e.triggering_button_id))
            ELSE (e.triggering_element)::character varying
        END AS trigger_element,
    e.id,
    e.bind_event_type,
    e.condition_type,
    e.condition_first,
    e.condition_first_input,
    e.condition_second,
    e.condition_second_input,
    e.triggering_element_type,
    e.id_source,
    e.event_sequence
   FROM da.t_events e;


ALTER TABLE da.v_events OWNER TO xrad_user;

--
-- Name: t_messages; Type: TABLE; Schema: debug; Owner: xrad_user
--

CREATE TABLE debug.t_messages (
    id bigint NOT NULL,
    id_view bigint,
    date_created timestamp without time zone,
    message text,
    page_num integer,
    id_session bigint,
    user_name character varying(500),
    elapsed numeric
);


ALTER TABLE debug.t_messages OWNER TO xrad_user;

--
-- Name: t_messages_id_seq; Type: SEQUENCE; Schema: debug; Owner: xrad_user
--

CREATE SEQUENCE debug.t_messages_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE debug.t_messages_id_seq OWNER TO xrad_user;

--
-- Name: t_messages_id_seq; Type: SEQUENCE OWNED BY; Schema: debug; Owner: xrad_user
--

ALTER SEQUENCE debug.t_messages_id_seq OWNED BY debug.t_messages.id;


--
-- Name: view_id_seq; Type: SEQUENCE; Schema: debug; Owner: xrad_user
--

CREATE SEQUENCE debug.view_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE debug.view_id_seq OWNER TO xrad_user;

--
-- Name: view_id_seq; Type: SEQUENCE OWNED BY; Schema: debug; Owner: xrad_user
--

ALTER SEQUENCE debug.view_id_seq OWNED BY debug.t_messages.id_view;


--
-- Name: t_data_grids; Type: TABLE; Schema: dg; Owner: xrad_user
--

CREATE TABLE dg.t_data_grids (
    id uuid NOT NULL,
    id_page uuid NOT NULL,
    editable boolean DEFAULT false NOT NULL,
    edit_operations character varying(1)[],
    edit_row_column character varying(500),
    lost_update_type character varying(50),
    row_version_column character varying(500),
    insert_auth bigint,
    delete_auth bigint,
    update_auth bigint,
    lazy_loading boolean DEFAULT false NOT NULL,
    fixed_row_height boolean DEFAULT true NOT NULL,
    select_first_row boolean DEFAULT true NOT NULL,
    no_data_message text,
    show_toolbar boolean DEFAULT true NOT NULL,
    toolbar_buttons character varying(50)[],
    enable_download boolean DEFAULT false NOT NULL,
    csv_separator character(1),
    download_name character varying,
    csv_encoding character varying(50),
    show_null_values character varying(20),
    download_formats character varying(50)[]
);


ALTER TABLE dg.t_data_grids OWNER TO xrad_user;

--
-- Name: t_dg_columns; Type: TABLE; Schema: dg; Owner: xrad_user
--

CREATE TABLE dg.t_dg_columns (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_region uuid NOT NULL,
    id_page uuid NOT NULL,
    column_name character varying(4000),
    column_display_seq integer NOT NULL,
    column_heading character varying(4000),
    column_type character varying(100) NOT NULL,
    link text,
    link_target character varying(500),
    link_title text,
    link_class text,
    link_icon character varying(500),
    sort_enabled boolean DEFAULT true,
    hide_enabled boolean DEFAULT true,
    align character varying(10) DEFAULT 'left'::character varying,
    format_mask character varying(100),
    source_column character varying(500),
    data_type character varying(50),
    query_only boolean DEFAULT false,
    primary_key boolean DEFAULT false,
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    static_id character varying(100),
    lov text,
    lov_input character varying(100)[],
    heading_align character varying(10) DEFAULT 'left'::character varying,
    read_only_type character varying(500) DEFAULT 'NEVER'::character varying,
    read_only_first text,
    read_only_first_input character varying(100)[],
    read_only_second text,
    read_only_second_input character varying(100)[],
    mask character varying(500),
    max_length integer,
    js_settings json,
    required boolean DEFAULT false,
    link_text character varying(500),
    property_01 character varying(500),
    property_02 character varying(500),
    property_03 character varying(500),
    property_04 character varying(500),
    default_value_type character varying(50),
    default_source text,
    default_input character varying(100)[],
    CONSTRAINT chk_dg_column_align CHECK (((align)::text = ANY (ARRAY[('left'::character varying)::text, ('right'::character varying)::text, ('center'::character varying)::text]))),
    CONSTRAINT chk_dg_column_default_type CHECK (((default_value_type)::text = ANY (ARRAY[('SQL'::character varying)::text, ('ITEM'::character varying)::text, ('STATIC'::character varying)::text])))
);


ALTER TABLE dg.t_dg_columns OWNER TO xrad_user;

--
-- Name: t_dg_processing; Type: TABLE; Schema: dg; Owner: xrad_user
--

CREATE TABLE dg.t_dg_processing (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    id_region uuid,
    process_seq integer NOT NULL,
    process_name character varying(500) NOT NULL,
    process_type character varying(50) DEFAULT 'SHOW'::character varying NOT NULL,
    success_message character varying(1000),
    error_message character varying(1000),
    delete_code text,
    delete_input character varying(100)[],
    delete_output character varying(100)[],
    insert_code text,
    insert_input character varying(100)[],
    insert_output character varying(100)[],
    update_code text,
    update_input character varying(100)[],
    update_output character varying(100)[],
    lost_update boolean DEFAULT true NOT NULL,
    lock_row boolean DEFAULT true NOT NULL,
    accept_modal boolean DEFAULT false,
    commit_tx boolean DEFAULT false NOT NULL,
    condition_type character varying(100) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    condition_scope character varying(20) DEFAULT 'ONCE'::character varying
);


ALTER TABLE dg.t_dg_processing OWNER TO xrad_user;

--
-- Name: t_dg_report_columns; Type: TABLE; Schema: dg; Owner: xrad_user
--

CREATE TABLE dg.t_dg_report_columns (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_report uuid NOT NULL,
    id_column uuid NOT NULL,
    display_seq integer NOT NULL,
    visible boolean DEFAULT true NOT NULL,
    frozen boolean DEFAULT false NOT NULL,
    width numeric(10,2),
    sort_order integer,
    sort_direction character varying(4),
    sort_nulls character varying(5),
    CONSTRAINT chk_dg_report_col_sort_order CHECK (((sort_direction)::text = ANY (ARRAY[('ASC'::character varying)::text, ('DESC'::character varying)::text])))
);


ALTER TABLE dg.t_dg_report_columns OWNER TO xrad_user;

--
-- Name: t_dg_report_filters; Type: TABLE; Schema: dg; Owner: xrad_user
--

CREATE TABLE dg.t_dg_report_filters (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_report uuid NOT NULL,
    filter_type character varying(50) NOT NULL,
    filter_name text,
    id_column uuid,
    operator character varying(50),
    expression character varying(500),
    enabled boolean DEFAULT true,
    case_sensetive boolean DEFAULT false
);


ALTER TABLE dg.t_dg_report_filters OWNER TO xrad_user;

--
-- Name: t_dg_report_highlights; Type: TABLE; Schema: dg; Owner: xrad_user
--

CREATE TABLE dg.t_dg_report_highlights (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_report uuid NOT NULL,
    seq integer NOT NULL,
    name character varying(40) NOT NULL,
    id_column uuid,
    background_color character varying(15),
    text_color character varying(15),
    cond_type character varying(7) NOT NULL,
    cond_id_column uuid,
    cond_operator character varying(40),
    cond_case_sensitive boolean,
    condition_expression text,
    enabled boolean DEFAULT true NOT NULL
);


ALTER TABLE dg.t_dg_report_highlights OWNER TO xrad_user;

--
-- Name: t_dg_reports; Type: TABLE; Schema: dg; Owner: xrad_user
--

CREATE TABLE dg.t_dg_reports (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    id_region uuid NOT NULL,
    name character varying(100),
    report_type character varying(50) NOT NULL,
    app_user character varying(500),
    id_session bigint,
    id_base uuid,
    rows_per_page integer,
    last_updated_by character varying(500),
    last_updated_on timestamp without time zone,
    version integer DEFAULT 1 NOT NULL,
    show_row_numbers boolean DEFAULT false
);


ALTER TABLE dg.t_dg_reports OWNER TO xrad_user;

--
-- Name: v_dg_columns; Type: VIEW; Schema: dg; Owner: xrad_user
--

CREATE VIEW dg.v_dg_columns AS
 SELECT c.id,
    c.id_region,
    c.id_page,
    c.column_name,
    c.column_display_seq,
    c.column_heading,
    c.column_type,
    utils.f_get_link(c.link, (('#'::text || (r.static_id)::text))::character varying) AS link,
    c.link_text,
    c.link_target,
    c.link_title,
    c.link_class,
    c.link_icon,
    c.sort_enabled,
    c.hide_enabled,
    c.align,
    c.format_mask,
    c.source_column,
    c.data_type,
    c.query_only,
    c.primary_key,
    c.js_settings,
    c.required,
    c.condition_type,
    c.condition_first,
    c.condition_first_input,
    c.condition_second,
    c.condition_second_input,
    c.static_id,
    c.lov,
    c.lov_input,
    c.heading_align,
    c.read_only_type,
    c.read_only_first,
    c.read_only_first_input,
    c.read_only_second,
    c.read_only_second_input,
    c.property_01,
    c.property_02,
    c.property_03,
    c.property_04,
    c.default_value_type,
    c.default_source,
    c.default_input
   FROM dg.t_dg_columns c,
    region.t_regions r
  WHERE (c.id_region = r.id);


ALTER TABLE dg.v_dg_columns OWNER TO xrad_user;

--
-- Name: t_button_positions; Type: TABLE; Schema: dict; Owner: xrad_user
--

CREATE TABLE dict.t_button_positions (
    "position" character varying(100) NOT NULL,
    descr text,
    location character varying(50)
);
ALTER TABLE ONLY dict.t_button_positions ALTER COLUMN "position" SET STATISTICS 0;


ALTER TABLE dict.t_button_positions OWNER TO xrad_user;

--
-- Name: TABLE t_button_positions; Type: COMMENT; Schema: dict; Owner: xrad_user
--

COMMENT ON TABLE dict.t_button_positions IS 'Позиции доступные кнопкам';


--
-- Name: COLUMN t_button_positions."position"; Type: COMMENT; Schema: dict; Owner: xrad_user
--

COMMENT ON COLUMN dict.t_button_positions."position" IS 'Позиция';


--
-- Name: COLUMN t_button_positions.descr; Type: COMMENT; Schema: dict; Owner: xrad_user
--

COMMENT ON COLUMN dict.t_button_positions.descr IS 'Описание';


--
-- Name: COLUMN t_button_positions.location; Type: COMMENT; Schema: dict; Owner: xrad_user
--

COMMENT ON COLUMN dict.t_button_positions.location IS 'Действительно для расположения';


--
-- Name: t_condition_types; Type: TABLE; Schema: dict; Owner: xrad_user
--

CREATE TABLE dict.t_condition_types (
    cond_code character varying(100) NOT NULL,
    cond_display character varying(500),
    is_condition boolean,
    is_validation boolean
);


ALTER TABLE dict.t_condition_types OWNER TO xrad_user;

--
-- Name: t_csv_encodings; Type: TABLE; Schema: dict; Owner: xrad_user
--

CREATE TABLE dict.t_csv_encodings (
    encoding_name character varying(50) NOT NULL
);
ALTER TABLE ONLY dict.t_csv_encodings ALTER COLUMN encoding_name SET STATISTICS 0;


ALTER TABLE dict.t_csv_encodings OWNER TO xrad_user;

--
-- Name: t_event_types; Type: TABLE; Schema: dict; Owner: xrad_user
--

CREATE TABLE dict.t_event_types (
    id integer DEFAULT nextval(('dict.t_event_types_id_seq'::text)::regclass) NOT NULL,
    name character varying(100),
    display character varying(100),
    event_type character varying(50),
    CONSTRAINT chk_event_types_type CHECK (((event_type)::text = ANY (ARRAY[('BROWSER'::character varying)::text, ('FRAMEWORK'::character varying)::text, ('COMPONENT'::character varying)::text, ('CUSTOM'::character varying)::text])))
);


ALTER TABLE dict.t_event_types OWNER TO xrad_user;

--
-- Name: t_event_types_id_seq; Type: SEQUENCE; Schema: dict; Owner: xrad_user
--

CREATE SEQUENCE dict.t_event_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE dict.t_event_types_id_seq OWNER TO xrad_user;

--
-- Name: t_region_types; Type: TABLE; Schema: dict; Owner: xrad_user
--

CREATE TABLE dict.t_region_types (
    code_type character varying(50) NOT NULL,
    type_name character varying(1000)
);


ALTER TABLE dict.t_region_types OWNER TO xrad_user;

--
-- Name: t_comp_prop_dep; Type: TABLE; Schema: ds; Owner: xrad_user
--

CREATE TABLE ds.t_comp_prop_dep (
    id bigint NOT NULL,
    id_comp_prop integer NOT NULL,
    depending_on_prop_id integer NOT NULL,
    condition_type character varying NOT NULL,
    has_to_exist boolean DEFAULT false,
    expression text
);


ALTER TABLE ds.t_comp_prop_dep OWNER TO xrad_user;

--
-- Name: t_comp_prop_dep_id_seq; Type: SEQUENCE; Schema: ds; Owner: xrad_user
--

CREATE SEQUENCE ds.t_comp_prop_dep_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE ds.t_comp_prop_dep_id_seq OWNER TO xrad_user;

--
-- Name: t_comp_prop_dep_id_seq; Type: SEQUENCE OWNED BY; Schema: ds; Owner: xrad_user
--

ALTER SEQUENCE ds.t_comp_prop_dep_id_seq OWNED BY ds.t_comp_prop_dep.id;


--
-- Name: t_component_props; Type: TABLE; Schema: ds; Owner: xrad_user
--

CREATE TABLE ds.t_component_props (
    id integer NOT NULL,
    id_component integer NOT NULL,
    id_property integer NOT NULL,
    db_column character varying(50) NOT NULL,
    display_seq integer NOT NULL,
    is_required boolean DEFAULT false,
    is_read_only boolean DEFAULT false,
    default_value text,
    help_text character varying(1000),
    query_only boolean DEFAULT false NOT NULL,
    parent_id integer
);


ALTER TABLE ds.t_component_props OWNER TO xrad_user;

--
-- Name: COLUMN t_component_props.id; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_component_props.id IS 'ID';


--
-- Name: COLUMN t_component_props.id_component; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_component_props.id_component IS 'Component ID';


--
-- Name: COLUMN t_component_props.id_property; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_component_props.id_property IS 'Propertie ID';


--
-- Name: COLUMN t_component_props.db_column; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_component_props.db_column IS 'DB column';


--
-- Name: COLUMN t_component_props.display_seq; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_component_props.display_seq IS 'Display sequence';


--
-- Name: COLUMN t_component_props.is_required; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_component_props.is_required IS 'Required';


--
-- Name: COLUMN t_component_props.is_read_only; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_component_props.is_read_only IS 'Read only';


--
-- Name: COLUMN t_component_props.default_value; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_component_props.default_value IS 'Default value';


--
-- Name: t_component_props_id_seq; Type: SEQUENCE; Schema: ds; Owner: xrad_user
--

CREATE SEQUENCE ds.t_component_props_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE ds.t_component_props_id_seq OWNER TO xrad_user;

--
-- Name: t_component_props_id_seq; Type: SEQUENCE OWNED BY; Schema: ds; Owner: xrad_user
--

ALTER SEQUENCE ds.t_component_props_id_seq OWNED BY ds.t_component_props.id;


--
-- Name: t_components; Type: TABLE; Schema: ds; Owner: xrad_user
--

CREATE TABLE ds.t_components (
    id integer NOT NULL,
    name character varying(500) NOT NULL,
    plural_title text NOT NULL,
    singular_title text NOT NULL,
    table_name character varying(500) NOT NULL,
    display_sequence integer NOT NULL,
    pk_column character varying(50) NOT NULL,
    parent_comp_id integer,
    parent_fk_column character varying(50),
    page_id_column character varying(50),
    display_column character varying(50),
    include_parent boolean DEFAULT false
);


ALTER TABLE ds.t_components OWNER TO xrad_user;

--
-- Name: COLUMN t_components.id; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.id IS 'ID component';


--
-- Name: COLUMN t_components.name; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.name IS 'Component name';


--
-- Name: COLUMN t_components.plural_title; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.plural_title IS 'Plural title for component';


--
-- Name: COLUMN t_components.singular_title; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.singular_title IS 'Singular title for component';


--
-- Name: COLUMN t_components.table_name; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.table_name IS 'Table name for coresponding component';


--
-- Name: COLUMN t_components.display_sequence; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.display_sequence IS 'Display sequence';


--
-- Name: COLUMN t_components.pk_column; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.pk_column IS 'Primary key column of table, containing component data';


--
-- Name: COLUMN t_components.parent_comp_id; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.parent_comp_id IS 'FK to parent comp';


--
-- Name: COLUMN t_components.parent_fk_column; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.parent_fk_column IS 'Column with parent id';


--
-- Name: COLUMN t_components.page_id_column; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.page_id_column IS 'Page ID column';


--
-- Name: COLUMN t_components.display_column; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_components.display_column IS 'Display column';


--
-- Name: t_components_id_seq; Type: SEQUENCE; Schema: ds; Owner: xrad_user
--

CREATE SEQUENCE ds.t_components_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE ds.t_components_id_seq OWNER TO xrad_user;

--
-- Name: t_components_id_seq; Type: SEQUENCE OWNED BY; Schema: ds; Owner: xrad_user
--

ALTER SEQUENCE ds.t_components_id_seq OWNED BY ds.t_components.id;


--
-- Name: t_display_groups; Type: TABLE; Schema: ds; Owner: xrad_user
--

CREATE TABLE ds.t_display_groups (
    id integer NOT NULL,
    name character varying(100),
    title character varying(500)
);


ALTER TABLE ds.t_display_groups OWNER TO xrad_user;

--
-- Name: t_lang_text; Type: TABLE; Schema: ds; Owner: xrad_user
--

CREATE TABLE ds.t_lang_text (
    id bigint NOT NULL,
    text_code character varying(255) NOT NULL,
    lang_code character varying(10) NOT NULL,
    message_text text NOT NULL
);


ALTER TABLE ds.t_lang_text OWNER TO xrad_user;

--
-- Name: COLUMN t_lang_text.text_code; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_lang_text.text_code IS 'Message code';


--
-- Name: COLUMN t_lang_text.lang_code; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_lang_text.lang_code IS 'Language of message';


--
-- Name: COLUMN t_lang_text.message_text; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_lang_text.message_text IS 'Text of message';


--
-- Name: t_lang_text_id_seq; Type: SEQUENCE; Schema: ds; Owner: xrad_user
--

CREATE SEQUENCE ds.t_lang_text_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE ds.t_lang_text_id_seq OWNER TO xrad_user;

--
-- Name: t_lang_text_id_seq; Type: SEQUENCE OWNED BY; Schema: ds; Owner: xrad_user
--

ALTER SEQUENCE ds.t_lang_text_id_seq OWNED BY ds.t_lang_text.id;


--
-- Name: t_propertie_lov_values; Type: TABLE; Schema: ds; Owner: xrad_user
--

CREATE TABLE ds.t_propertie_lov_values (
    id integer NOT NULL,
    id_property integer NOT NULL,
    display_value character varying(500) NOT NULL,
    return_value character varying(500) NOT NULL,
    display_sequence integer NOT NULL
);


ALTER TABLE ds.t_propertie_lov_values OWNER TO xrad_user;

--
-- Name: t_propertie_lov_values_id_seq; Type: SEQUENCE; Schema: ds; Owner: xrad_user
--

CREATE SEQUENCE ds.t_propertie_lov_values_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE ds.t_propertie_lov_values_id_seq OWNER TO xrad_user;

--
-- Name: t_propertie_lov_values_id_seq; Type: SEQUENCE OWNED BY; Schema: ds; Owner: xrad_user
--

ALTER SEQUENCE ds.t_propertie_lov_values_id_seq OWNED BY ds.t_propertie_lov_values.id;


--
-- Name: t_properties; Type: TABLE; Schema: ds; Owner: xrad_user
--

CREATE TABLE ds.t_properties (
    id integer NOT NULL,
    name character varying(500) NOT NULL,
    prompt character varying(500) NOT NULL,
    prop_type character varying(50) NOT NULL,
    multi_value_delimeter character varying(2),
    display_group_id integer,
    lov_type character varying(50) DEFAULT 'STATIC'::character varying,
    lov_source text,
    help_text text,
    max_length integer
);


ALTER TABLE ds.t_properties OWNER TO xrad_user;

--
-- Name: COLUMN t_properties.id; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_properties.id IS 'Propertie ID';


--
-- Name: COLUMN t_properties.name; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_properties.name IS 'Propertie name';


--
-- Name: COLUMN t_properties.prompt; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_properties.prompt IS 'Propertie display name';


--
-- Name: COLUMN t_properties.prop_type; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_properties.prop_type IS 'Type of property input';


--
-- Name: COLUMN t_properties.multi_value_delimeter; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_properties.multi_value_delimeter IS 'Value delimeter';


--
-- Name: COLUMN t_properties.display_group_id; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_properties.display_group_id IS 'Display group';


--
-- Name: COLUMN t_properties.lov_type; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_properties.lov_type IS 'List of values type';


--
-- Name: COLUMN t_properties.lov_source; Type: COMMENT; Schema: ds; Owner: xrad_user
--

COMMENT ON COLUMN ds.t_properties.lov_source IS 'source of dynamic lov';


--
-- Name: t_properties_id_seq; Type: SEQUENCE; Schema: ds; Owner: xrad_user
--

CREATE SEQUENCE ds.t_properties_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE ds.t_properties_id_seq OWNER TO xrad_user;

--
-- Name: t_properties_id_seq; Type: SEQUENCE OWNED BY; Schema: ds; Owner: xrad_user
--

ALTER SEQUENCE ds.t_properties_id_seq OWNED BY ds.t_properties.id;


--
-- Name: table_id_seq; Type: SEQUENCE; Schema: ds; Owner: xrad_user
--

CREATE SEQUENCE ds.table_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE ds.table_id_seq OWNER TO xrad_user;

--
-- Name: table_id_seq; Type: SEQUENCE OWNED BY; Schema: ds; Owner: xrad_user
--

ALTER SEQUENCE ds.table_id_seq OWNED BY ds.t_display_groups.id;


--
-- Name: v_buttons; Type: VIEW; Schema: ds; Owner: xrad_user
--

CREATE VIEW ds.v_buttons AS
 SELECT t_buttons.id,
        CASE t_buttons.location
            WHEN 'ITEM'::text THEN t_buttons.id_item
            ELSE t_buttons.id_region
        END AS id_parent,
    t_buttons.id_page,
    t_buttons.id_region,
    t_buttons.sequence,
    t_buttons.name,
    t_buttons.static_id,
    t_buttons.alias,
    t_buttons.condition_type,
    t_buttons.condition_first,
    t_buttons.condition_first_input,
    t_buttons.condition_second,
    t_buttons.condition_second_input,
    t_buttons.redirect_url,
    t_buttons."position",
    t_buttons.class,
    t_buttons.id_item,
    t_buttons.location,
    t_buttons.id_list,
    t_buttons.button_action,
    t_buttons.col_span,
    t_buttons.start_new_row,
    t_buttons.last_updated_by,
    t_buttons.last_updated_on,
    t_buttons.id_source,
    t_buttons.link_target,
    t_buttons.link_title,
    t_buttons.link_class
   FROM button.t_buttons;


ALTER TABLE ds.v_buttons OWNER TO xrad_user;

--
-- Name: v_chart_series; Type: VIEW; Schema: ds; Owner: xrad_user
--

CREATE VIEW ds.v_chart_series AS
 SELECT s.id_series,
    s.id_region,
    s.name,
    s.seq,
    s.value_column,
    s.condition_type,
    s.condition_first,
    s.condition_first_input,
    s.condition_second,
    s.condition_second_input,
    s.id_page,
    ( SELECT r.id_source
           FROM region.t_regions r
          WHERE (r.id = s.id_region)) AS id_source
   FROM cmp.t_chart_series s;


ALTER TABLE ds.v_chart_series OWNER TO xrad_user;

--
-- Name: t_page_items; Type: TABLE; Schema: item; Owner: xrad_user
--

CREATE TABLE item.t_page_items (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    id_region uuid,
    name character varying(500) NOT NULL,
    type character varying(50) DEFAULT 'HIDDEN'::character varying NOT NULL,
    label text,
    placeholder text,
    required boolean DEFAULT false,
    lov text,
    lov_input character varying(100)[],
    is_temp boolean DEFAULT false,
    default_value_type character varying(50),
    default_value text,
    default_input character varying(100)[],
    condition_type character varying(500) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    col_span integer DEFAULT 0,
    seq integer,
    mask character varying(500),
    js_settings json,
    max_length integer,
    start_new_row boolean DEFAULT true,
    read_only_type character varying(500),
    read_only_first text,
    read_only_first_input character varying(100)[],
    read_only_second text,
    read_only_second_input character varying(100)[],
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL,
    upload_sources integer[],
    tooltip text,
    protection_level character(1) DEFAULT 'N'::bpchar NOT NULL,
    trim_spaces character varying(50),
    CONSTRAINT chk_item_default_type CHECK (((default_value_type)::text = ANY (ARRAY[('SQL'::character varying)::text, ('ITEM'::character varying)::text, ('STATIC'::character varying)::text]))),
    CONSTRAINT chk_item_max_length CHECK ((max_length >= 0))
);


ALTER TABLE item.t_page_items OWNER TO xrad_user;

--
-- Name: COLUMN t_page_items.mask; Type: COMMENT; Schema: item; Owner: xrad_user
--

COMMENT ON COLUMN item.t_page_items.mask IS 'Маска ввода';


--
-- Name: COLUMN t_page_items.js_settings; Type: COMMENT; Schema: item; Owner: xrad_user
--

COMMENT ON COLUMN item.t_page_items.js_settings IS 'Настройки json';


--
-- Name: COLUMN t_page_items.max_length; Type: COMMENT; Schema: item; Owner: xrad_user
--

COMMENT ON COLUMN item.t_page_items.max_length IS 'Максимальное количество символов';


--
-- Name: COLUMN t_page_items.start_new_row; Type: COMMENT; Schema: item; Owner: xrad_user
--

COMMENT ON COLUMN item.t_page_items.start_new_row IS 'Перенести инпут на новую строку';


--
-- Name: v_items; Type: VIEW; Schema: ds; Owner: xrad_user
--

CREATE VIEW ds.v_items AS
 SELECT t_page_items.id,
    t_page_items.id_page,
    COALESCE(t_page_items.id_region, t_page_items.id_page) AS id_parent,
    t_page_items.id_region,
    t_page_items.name,
    t_page_items.type,
    t_page_items.label,
    t_page_items.placeholder,
    t_page_items.required,
    t_page_items.lov,
    t_page_items.lov_input,
    t_page_items.is_temp,
    t_page_items.default_value_type,
    t_page_items.default_value,
    t_page_items.default_input,
    t_page_items.condition_type,
    t_page_items.condition_first,
    t_page_items.condition_first_input,
    t_page_items.condition_second,
    t_page_items.condition_second_input,
    t_page_items.col_span,
    t_page_items.seq,
    t_page_items.mask,
    t_page_items.js_settings,
    t_page_items.max_length,
    t_page_items.start_new_row,
    t_page_items.read_only_type,
    t_page_items.read_only_first,
    t_page_items.read_only_first_input,
    t_page_items.read_only_second,
    t_page_items.read_only_second_input,
    t_page_items.last_updated_by,
    t_page_items.last_updated_on,
    t_page_items.id_source,
    t_page_items.upload_sources,
    t_page_items.tooltip,
    t_page_items.trim_spaces
   FROM item.t_page_items;


ALTER TABLE ds.v_items OWNER TO xrad_user;

--
-- Name: v_lists_summary; Type: VIEW; Schema: ds; Owner: xrad_user
--

CREATE VIEW ds.v_lists_summary AS
 SELECT l.id,
    l.name,
    l.breadcrumb,
        CASE l.list_type
            WHEN 'STATIC'::text THEN 'Static'::character varying
            WHEN 'SQL_QUERY'::text THEN 'Dynamic'::character varying
            ELSE l.list_type
        END AS list_type,
    ( SELECT count(1) AS count
           FROM list.t_list_items i
          WHERE (i.id_list = l.id)) AS cnt_ent,
    ( SELECT (l.id = (s.value)::integer)
           FROM app.t_settings s
          WHERE ((s.key)::text = 'NAVIGATION_BAR'::text)) AS is_nav_bar,
    ( SELECT (l.id = (s.value)::integer)
           FROM app.t_settings s
          WHERE ((s.key)::text = 'NAVIGATION_MENU'::text)) AS is_nav_menu
   FROM list.t_lists l;


ALTER TABLE ds.v_lists_summary OWNER TO xrad_user;

--
-- Name: v_prop_source; Type: VIEW; Schema: ds; Owner: xrad_user
--

CREATE VIEW ds.v_prop_source AS
 SELECT c.name,
    c.table_name,
    c.page_id_column,
    c.pk_column,
    c.parent_fk_column,
    array_agg(
        CASE
            WHEN (p.multi_value_delimeter IS NOT NULL) THEN ((((('array_to_string('::text || (cp.db_column)::text) || ','''::text) || (p.multi_value_delimeter)::text) || (''')'::character varying)::text))::character varying
            ELSE cp.db_column
        END) AS prop_fields,
    array_agg(p.name) AS prop_names
   FROM ds.t_component_props cp,
    ds.t_properties p,
    ds.t_components c
  WHERE ((c.id = cp.id_component) AND (cp.id_property = p.id))
  GROUP BY c.name, c.table_name, c.page_id_column, c.pk_column, c.parent_fk_column;


ALTER TABLE ds.v_prop_source OWNER TO xrad_user;

--
-- Name: v_report_columns; Type: VIEW; Schema: ds; Owner: xrad_user
--

CREATE VIEW ds.v_report_columns AS
 SELECT c.id,
    c.id_region,
    c.query_column_id,
    c.column_alias,
    c.column_display_seq,
    c.column_heading,
    c.column_type,
    c.column_link,
    c.column_icon,
    c.sortable,
    c.searchable,
    c.align,
    c.format_mask,
    c.column_width,
    c.condition_type,
    c.condition_first,
    c.condition_first_input,
    c.condition_second,
    c.condition_second_input,
    c.column_formating,
    c.associated_item,
    c.id_page,
    ( SELECT r.id_source
           FROM region.t_regions r
          WHERE (r.id = c.id_region)) AS id_source,
    c.generic,
    c.data_type,
    c.link_class,
    c.link_target,
    c.link_title
   FROM cmp.t_report_columns c;


ALTER TABLE ds.v_report_columns OWNER TO xrad_user;

--
-- Name: v_all_items; Type: VIEW; Schema: item; Owner: xrad_user
--

CREATE VIEW item.v_all_items AS
 SELECT g.item_name,
    g.is_temp,
    'GLOBAL'::text AS item_type,
    g.protection_level
   FROM item.t_global_items g
UNION ALL
 SELECT s.name AS item_name,
    s.is_temp,
    'PAGE'::text AS item_type,
    s.protection_level
   FROM item.t_page_items s;


ALTER TABLE item.v_all_items OWNER TO xrad_user;

--
-- Name: t_app_list_items_id_seq; Type: SEQUENCE; Schema: list; Owner: xrad_user
--

CREATE SEQUENCE list.t_app_list_items_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE list.t_app_list_items_id_seq OWNER TO xrad_user;

--
-- Name: t_app_list_items_id_seq; Type: SEQUENCE OWNED BY; Schema: list; Owner: xrad_user
--

ALTER SEQUENCE list.t_app_list_items_id_seq OWNED BY list.t_list_items.id;


--
-- Name: t_app_lists_id_seq; Type: SEQUENCE; Schema: list; Owner: xrad_user
--

CREATE SEQUENCE list.t_app_lists_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE list.t_app_lists_id_seq OWNER TO xrad_user;

--
-- Name: t_app_lists_id_seq; Type: SEQUENCE OWNED BY; Schema: list; Owner: xrad_user
--

ALTER SEQUENCE list.t_app_lists_id_seq OWNED BY list.t_lists.id;


--
-- Name: t_folder_groups; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_folder_groups (
    id integer NOT NULL,
    id_folder integer NOT NULL,
    id_group integer NOT NULL,
    created_by character varying,
    date_created timestamp without time zone
);


ALTER TABLE page.t_folder_groups OWNER TO xrad_user;

--
-- Name: t_folder_groups_id_seq; Type: SEQUENCE; Schema: page; Owner: xrad_user
--

CREATE SEQUENCE page.t_folder_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE page.t_folder_groups_id_seq OWNER TO xrad_user;

--
-- Name: t_folder_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: page; Owner: xrad_user
--

ALTER SEQUENCE page.t_folder_groups_id_seq OWNED BY page.t_folder_groups.id;


--
-- Name: t_folder_page; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_folder_page (
    id integer NOT NULL,
    id_folder integer NOT NULL,
    id_page uuid NOT NULL,
    created_by character varying,
    date_created timestamp without time zone,
    disp_seq integer
);


ALTER TABLE page.t_folder_page OWNER TO xrad_user;

--
-- Name: t_folder_page_id_seq; Type: SEQUENCE; Schema: page; Owner: xrad_user
--

CREATE SEQUENCE page.t_folder_page_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE page.t_folder_page_id_seq OWNER TO xrad_user;

--
-- Name: t_folder_page_id_seq; Type: SEQUENCE OWNED BY; Schema: page; Owner: xrad_user
--

ALTER SEQUENCE page.t_folder_page_id_seq OWNED BY page.t_folder_page.id;


--
-- Name: t_folder_users; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_folder_users (
    id integer NOT NULL,
    id_folder integer NOT NULL,
    id_user integer NOT NULL,
    created_by character varying,
    date_created timestamp without time zone
);


ALTER TABLE page.t_folder_users OWNER TO xrad_user;

--
-- Name: t_folder_users_id_seq; Type: SEQUENCE; Schema: page; Owner: xrad_user
--

CREATE SEQUENCE page.t_folder_users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE page.t_folder_users_id_seq OWNER TO xrad_user;

--
-- Name: t_folder_users_id_seq; Type: SEQUENCE OWNED BY; Schema: page; Owner: xrad_user
--

ALTER SEQUENCE page.t_folder_users_id_seq OWNED BY page.t_folder_users.id;


--
-- Name: t_folders; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_folders (
    id integer NOT NULL,
    id_parent integer,
    folder_name character varying(500) NOT NULL,
    created_by character varying(500),
    date_created timestamp without time zone,
    folder_seq integer
);


ALTER TABLE page.t_folders OWNER TO xrad_user;

--
-- Name: t_folders_id_seq; Type: SEQUENCE; Schema: page; Owner: xrad_user
--

CREATE SEQUENCE page.t_folders_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


ALTER TABLE page.t_folders_id_seq OWNER TO xrad_user;

--
-- Name: t_folders_id_seq; Type: SEQUENCE OWNED BY; Schema: page; Owner: xrad_user
--

ALTER SEQUENCE page.t_folders_id_seq OWNED BY page.t_folders.id;


--
-- Name: t_page_branches; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_page_branches (
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    id_page uuid NOT NULL,
    branch_name character varying(500) NOT NULL,
    branch_type character varying(50) DEFAULT 'REDIRECT_URL'::character varying NOT NULL,
    branch_action text NOT NULL,
    branch_seq integer NOT NULL,
    condition_type character varying(50) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    branch_point character varying(20) DEFAULT 'PROCESS'::character varying NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL,
    action_input character varying(100)[],
    CONSTRAINT chk_branches_type CHECK (((branch_type)::text = ANY (ARRAY[('REDIRECT_URL'::character varying)::text, ('FUNCTION_RETURNING_URL'::character varying)::text]))),
    CONSTRAINT chk_page_branche_point CHECK (((branch_point)::text = ANY (ARRAY[('SHOW'::character varying)::text, ('PROCESS'::character varying)::text])))
);


ALTER TABLE page.t_page_branches OWNER TO xrad_user;

--
-- Name: TABLE t_page_branches; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON TABLE page.t_page_branches IS 'Переходы по страницам';


--
-- Name: COLUMN t_page_branches.id; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_branches.id IS 'ИД';


--
-- Name: COLUMN t_page_branches.id_page; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_branches.id_page IS 'ИД страницы с бранчем';


--
-- Name: COLUMN t_page_branches.branch_name; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_branches.branch_name IS 'Наименование бранча';


--
-- Name: COLUMN t_page_branches.branch_type; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_branches.branch_type IS 'Тип перехода';


--
-- Name: COLUMN t_page_branches.branch_action; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_branches.branch_action IS 'Действие';


--
-- Name: COLUMN t_page_branches.branch_seq; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_branches.branch_seq IS 'Сиквенс';


--
-- Name: t_page_downloads; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_page_downloads (
    id_page uuid NOT NULL,
    source text NOT NULL,
    source_input character varying(100)[],
    file_name_column character varying(63),
    file_content_column character varying(63) NOT NULL,
    mime_type_column character varying(63),
    content_disposition character varying(100) DEFAULT 'attachment'::character varying NOT NULL,
    request_name character varying(500) NOT NULL,
    download_name character varying(500),
    download_seq integer,
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer NOT NULL,
    CONSTRAINT t_page_downloads_chk CHECK (((content_disposition)::text = ANY (ARRAY[('attachment'::character varying)::text, ('inline'::character varying)::text])))
);


ALTER TABLE page.t_page_downloads OWNER TO xrad_user;

--
-- Name: t_page_locks; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_page_locks (
    id integer NOT NULL,
    id_page uuid NOT NULL,
    locked_by character varying(100) NOT NULL,
    locked_on timestamp without time zone NOT NULL,
    lock_comment text
);


ALTER TABLE page.t_page_locks OWNER TO xrad_user;

--
-- Name: t_page_locks_id_seq; Type: SEQUENCE; Schema: page; Owner: xrad_user
--

CREATE SEQUENCE page.t_page_locks_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE page.t_page_locks_id_seq OWNER TO xrad_user;

--
-- Name: t_page_locks_id_seq; Type: SEQUENCE OWNED BY; Schema: page; Owner: xrad_user
--

ALTER SEQUENCE page.t_page_locks_id_seq OWNED BY page.t_page_locks.id;


--
-- Name: t_page_validations; Type: TABLE; Schema: page; Owner: xrad_user
--

CREATE TABLE page.t_page_validations (
    id_page uuid NOT NULL,
    validation_name character varying(500) NOT NULL,
    validation_sequence integer NOT NULL,
    validation_first text NOT NULL,
    validation_first_input character varying(100)[],
    validation_second text,
    validation_second_input character varying(100)[],
    validation_type character varying(500) NOT NULL,
    error_message text,
    condition_type character varying(500) DEFAULT 'ALWAYS'::character varying,
    condition_first text,
    condition_first_input character varying(100)[],
    condition_second text,
    condition_second_input character varying(100)[],
    id uuid DEFAULT public.uuid_generate_v4() NOT NULL,
    created_by character varying(100),
    created_on timestamp without time zone,
    last_updated_by character varying(100),
    last_updated_on timestamp without time zone,
    id_source integer,
    id_region uuid,
    associated_column uuid,
    condition_scope character varying(20) DEFAULT 'ONCE'::character varying,
    associated_item character varying(500),
    CONSTRAINT chk_condition_scope CHECK (((condition_scope)::text = ANY (ARRAY[('ONCE'::character varying)::text, ('EACH_ROW'::character varying)::text])))
);


ALTER TABLE page.t_page_validations OWNER TO xrad_user;

--
-- Name: COLUMN t_page_validations.id_page; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.id_page IS 'ИД страницы';


--
-- Name: COLUMN t_page_validations.validation_name; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.validation_name IS 'Наименование';


--
-- Name: COLUMN t_page_validations.validation_sequence; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.validation_sequence IS 'Порядковый номер';


--
-- Name: COLUMN t_page_validations.validation_first; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.validation_first IS 'Проверка 1';


--
-- Name: COLUMN t_page_validations.validation_first_input; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.validation_first_input IS 'Входные параметры для провенрки 1';


--
-- Name: COLUMN t_page_validations.validation_second; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.validation_second IS 'Проверка 2';


--
-- Name: COLUMN t_page_validations.validation_second_input; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.validation_second_input IS 'Входные параметры для проверки 2';


--
-- Name: COLUMN t_page_validations.validation_type; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.validation_type IS 'Тип валидации';


--
-- Name: COLUMN t_page_validations.error_message; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.error_message IS 'Сообщение с ошибкой';


--
-- Name: COLUMN t_page_validations.condition_type; Type: COMMENT; Schema: page; Owner: xrad_user
--

COMMENT ON COLUMN page.t_page_validations.condition_type IS 'Условия';


--
-- Name: v_folder_pages; Type: VIEW; Schema: page; Owner: xrad_user
--

CREATE VIEW page.v_folder_pages AS
 SELECT (s.id)::character varying AS id,
    (s.id_parent)::character varying AS id_parent,
    s.folder_seq AS display_seq,
    s.folder_name AS ent_name,
    'FOLDER'::text AS ent_type,
    NULL::integer AS page_num,
    NULL::character varying AS page_mode
   FROM page.t_folders s
UNION ALL
 SELECT (p.id)::character varying AS id,
    (fp.id_folder)::character varying AS id_parent,
    fp.disp_seq AS display_seq,
    p.page_name AS ent_name,
    'PAGE'::text AS ent_type,
    p.page_num,
    p.page_mode
   FROM page.t_pages p,
    page.t_folders s,
    page.t_folder_page fp
  WHERE ((s.id = fp.id_folder) AND (fp.id_page = p.id));


ALTER TABLE page.v_folder_pages OWNER TO xrad_user;

--
-- Name: t_patches; Type: TABLE; Schema: ver; Owner: xrad_user
--

CREATE TABLE ver.t_patches (
    id integer NOT NULL,
    patch_number character varying(50) NOT NULL,
    patch_version character varying(50) NOT NULL,
    patch_name character varying(500) NOT NULL,
    patch_description text,
    start_install_time timestamp without time zone,
    end_install_time timestamp without time zone
);


ALTER TABLE ver.t_patches OWNER TO xrad_user;

--
-- Name: t_patches_id_seq; Type: SEQUENCE; Schema: ver; Owner: xrad_user
--

CREATE SEQUENCE ver.t_patches_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE ver.t_patches_id_seq OWNER TO xrad_user;

--
-- Name: t_patches_id_seq; Type: SEQUENCE OWNED BY; Schema: ver; Owner: xrad_user
--

ALTER SEQUENCE ver.t_patches_id_seq OWNED BY ver.t_patches.id;


--
-- Name: xrad_release; Type: TABLE; Schema: ver; Owner: xrad_user
--

CREATE TABLE ver.xrad_release (
    version_number character varying(50) NOT NULL
);


ALTER TABLE ver.xrad_release OWNER TO xrad_user;

--
-- Name: t_app_user_group_access id; Type: DEFAULT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_user_group_access ALTER COLUMN id SET DEFAULT nextval('app.t_app_user_group_access_id_seq'::regclass);


--
-- Name: t_app_user_groups id; Type: DEFAULT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_user_groups ALTER COLUMN id SET DEFAULT nextval('app.t_app_user_groups_id_seq'::regclass);


--
-- Name: t_app_users id_user; Type: DEFAULT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_users ALTER COLUMN id_user SET DEFAULT nextval('app.t_app_users_id_user_seq'::regclass);


--
-- Name: t_auth_list id; Type: DEFAULT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_auth_list ALTER COLUMN id SET DEFAULT nextval('app.t_auth_list_id_seq'::regclass);


--
-- Name: t_data_sources id; Type: DEFAULT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_data_sources ALTER COLUMN id SET DEFAULT nextval('app.t_data_sources_id_seq'::regclass);


--
-- Name: t_sessions id; Type: DEFAULT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_sessions ALTER COLUMN id SET DEFAULT nextval('app.t_app_sessions_id_seq'::regclass);


--
-- Name: t_messages id; Type: DEFAULT; Schema: debug; Owner: xrad_user
--

ALTER TABLE ONLY debug.t_messages ALTER COLUMN id SET DEFAULT nextval('debug.t_messages_id_seq'::regclass);


--
-- Name: t_comp_prop_dep id; Type: DEFAULT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_comp_prop_dep ALTER COLUMN id SET DEFAULT nextval('ds.t_comp_prop_dep_id_seq'::regclass);


--
-- Name: t_component_props id; Type: DEFAULT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_component_props ALTER COLUMN id SET DEFAULT nextval('ds.t_component_props_id_seq'::regclass);


--
-- Name: t_components id; Type: DEFAULT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_components ALTER COLUMN id SET DEFAULT nextval('ds.t_components_id_seq'::regclass);


--
-- Name: t_display_groups id; Type: DEFAULT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_display_groups ALTER COLUMN id SET DEFAULT nextval('ds.table_id_seq'::regclass);


--
-- Name: t_lang_text id; Type: DEFAULT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_lang_text ALTER COLUMN id SET DEFAULT nextval('ds.t_lang_text_id_seq'::regclass);


--
-- Name: t_propertie_lov_values id; Type: DEFAULT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_propertie_lov_values ALTER COLUMN id SET DEFAULT nextval('ds.t_propertie_lov_values_id_seq'::regclass);


--
-- Name: t_properties id; Type: DEFAULT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_properties ALTER COLUMN id SET DEFAULT nextval('ds.t_properties_id_seq'::regclass);


--
-- Name: t_list_items id; Type: DEFAULT; Schema: list; Owner: xrad_user
--

ALTER TABLE ONLY list.t_list_items ALTER COLUMN id SET DEFAULT nextval('list.t_app_list_items_id_seq'::regclass);


--
-- Name: t_lists id; Type: DEFAULT; Schema: list; Owner: xrad_user
--

ALTER TABLE ONLY list.t_lists ALTER COLUMN id SET DEFAULT nextval('list.t_app_lists_id_seq'::regclass);


--
-- Name: t_folder_groups id; Type: DEFAULT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_folder_groups ALTER COLUMN id SET DEFAULT nextval('page.t_folder_groups_id_seq'::regclass);


--
-- Name: t_folder_page id; Type: DEFAULT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_folder_page ALTER COLUMN id SET DEFAULT nextval('page.t_folder_page_id_seq'::regclass);


--
-- Name: t_folder_users id; Type: DEFAULT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_folder_users ALTER COLUMN id SET DEFAULT nextval('page.t_folder_users_id_seq'::regclass);


--
-- Name: t_folders id; Type: DEFAULT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_folders ALTER COLUMN id SET DEFAULT nextval('page.t_folders_id_seq'::regclass);


--
-- Name: t_page_locks id; Type: DEFAULT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_locks ALTER COLUMN id SET DEFAULT nextval('page.t_page_locks_id_seq'::regclass);


--
-- Name: t_patches id; Type: DEFAULT; Schema: ver; Owner: xrad_user
--

ALTER TABLE ONLY ver.t_patches ALTER COLUMN id SET DEFAULT nextval('ver.t_patches_id_seq'::regclass);


--
-- Data for Name: t_app_processing; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_app_processing (id, process_seq, process_name, process_type, request_name, error_message, process_code, input_parameters, output_parameters, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, commit_tx, created_by, created_on, last_updated_by, last_updated_on, id_source) FROM stdin;
90775d7f-5d4b-4eb7-8639-1b7b0a9db40f	1	UPDATE_NOTIFICATIONS	SHOW	\N	\N	SELECT \n  COUNT(1)\nFROM \n  events.t_notifications	\N	{UNREAD_NOTIFICATIONS}	ALWAYS	\N	\N	\N	\N	f	\N	\N	\N	\N	10
\.


--
-- Data for Name: t_app_user_group_access; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_app_user_group_access (id, id_user, id_group, created_by, date_created) FROM stdin;
\.


--
-- Data for Name: t_app_user_groups; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_app_user_groups (id, group_name, created_by, date_created) FROM stdin;
\.


--
-- Data for Name: t_app_users; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_app_users (id_user, user_name, first_name, last_name, creation_date, created_by, last_update_date, last_updated_by, email_address, password, last_login, builder_login_count, account_locked, account_expiry, failed_access_attempts, last_failed_login, user_role, interface_lang) FROM stdin;
1	ADMIN	admin	admin	2022-10-12 13:16:44.758	\N	2022-10-12 14:31:49.65	\N	info@xsquare.ru	$1$hkbhCC2x$L.hzNZlOQ8ODAuQK0t.gZ/	2025-03-01 19:18:54.105013	1292	f	2022-11-11 13:16:44.758	0	2024-10-14 19:46:06.895153	ADMIN	ru
\.


--
-- Data for Name: t_auth_list; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_auth_list (id, auth_name, auth_type, created_by, created_on, last_updated_by, last_updated_on) FROM stdin;
1	User Auth LDAP	LDAP	\N	\N	\N	\N
2	User Auth OIDC	OIDC	\N	\N	\N	\N
3	User Auth Kerberos SSO	KERBEROS_SSO	\N	\N	\N	\N
4	User Auth Microsoft LDAP	MICROSOFT_LDAP	\N	\N	\N	\N
5	User Auth Microsoft Kerberos SSO	MICROSOFT_KERBEROS_SSO	\N	\N	\N	\N
\.


--
-- Data for Name: t_authentications; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_authentications (id, id_page, auth_seq, auth_name, auth_type, id_source, auth_code, auth_code_input, post_login_func, input_params, output_params, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, created_by, created_on, last_updated_by, last_updated_on, ldap_user_item, ldap_pass_item) FROM stdin;
b40cfc15-90fa-4cb5-af78-5fff8acf1998	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	\N	User Auth	CUSTOM	10	select users.f_auth($1,$2)	{P1_LOGIN,P1_PASSWORD}	\N	{P1_LOGIN,P1_PASSWORD}	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
df7cc7d6-5d83-47f7-8a02-8795aa11d51a	83aa1204-d957-4efb-b371-5548f5db7c45	\N	User Auth 2	CUSTOM	10	select users.f_auth($1,$2)	{P2_LOGIN,P2_PASSWORD}	\N	{P2_LOGIN,P2_PASSWORD}	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
\.


--
-- Data for Name: t_authorization_schemes; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_authorization_schemes (id, name, source, input, error_message, created_by, created_on, last_updated_by, last_updated_on, id_source) FROM stdin;
2	F$PAGE_ACCESS	select roles.f_get_page_access($1,$2)	{PAGE,APP_USER}	У вас нет прав на просмотр данной страницы	\N	\N	\N	\N	10
4	F$ACCESS_DENIED	SELECT False	\N	Доступ к странице полностью закрыт!	\N	\N	\N	\N	10
\.


--
-- Data for Name: t_data_sources; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_data_sources (id, source_name, created_by, created_on, last_updated_by, last_updated_on) FROM stdin;
10	DEFAULT_APP	\N	\N	\N	\N
18	DICTIONARY_DB	ADMIN	2024-10-16 17:54:39.123183	\N	\N
\.


--
-- Data for Name: t_session_values; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_session_values (id_session, item_name, item_value, session_state_status, id_item) FROM stdin;
6249	P19_ID	115	U	f67b388e-37ed-463f-b1cf-dd29709e32e5
6249	P21_DEP	2	U	c3c02991-15c2-4e8b-affa-2e8d6465bb72
6249	P21_EMAIL	kv@ya.rues	U	6e34b53e-5b72-4d13-8002-d33f08c992e9
6249	P21_PHONE	+7(678)687-68-76	U	49ff245a-b197-4cf1-9ae5-1c0e5e2fbd58
6249	P20_ID_USER	120	U	5678efea-0044-4307-b67a-b31ade596109
6249	P21_PASSWORD	demos	U	110d4a60-b7be-4598-9648-3a9a43a1b6ea
6249	P21_USERNAME	Demos	U	6a4596a1-37b3-453e-9858-0730ed776d27
6249	P21_LAST_NAME	Demos	U	77be76f5-8ec7-4546-8bcc-6de7c4023373
6249	P5500_REPORTS	EXAMPLE_PDF	U	919a116f-c89f-4848-8b9d-6dcfc9a776f2
6249	P21_FIRST_NAME	Ivam	U	333850ee-1a35-441a-ba86-cd4abf6713c2
6249	P7300_CONTROL_SUM	&cs=4825bc2e8de876595d5a36bccc89891b415e2575f45833cc5df786c000e24308	U	5e723cf3-2455-446c-8d7c-3c766923e915
6249	\N	d8ec67ca-e110-4394-8d41-9f12b62677a1	I	5c0f4cb6-30d4-40d1-9275-18795c7b08dc
6249	P1115_ID	66	U	215fc155-aa04-4cfd-9bf2-e393654cf0fb
6249	P7400_IDLE_TIMEOUT	1 hours	I	09d6a1e0-5940-427b-9521-7824d1db60f6
6249	P7400_LIFE_TIMEOUT	4 hours	I	68049ad7-5861-4b00-90d6-4b0d6bac7598
6247	SESSION	6107e27b4513aafeccff22d988cdae7aed31c74f2bede4288dc5e5c35b77088c	U	c58020db-45dd-4964-a07d-3c57e513f84e
6247	APP_USER	nobody	U	e00f1ba3-d888-4ad4-a403-4d3d4eec67fe
6247	P1_LOGIN	admin	I	6f626923-a53f-4d14-8399-12460ccc4f28
6247	P1_PASSWORD	admin	I	963a5f49-32ab-4250-a147-292c8a97b19a
6247	UNREAD_NOTIFICATIONS	0	U	33fc9b09-8183-48b0-9025-6331fcc3f66a
6249	SESSION	e8f872f23f03aeec582eb3ccc70902b5f5deb6fa85ad2fd766e1a65af8e4343a	U	c58020db-45dd-4964-a07d-3c57e513f84e
6249	APP_USER	admin	U	e00f1ba3-d888-4ad4-a403-4d3d4eec67fe
6249	UNREAD_NOTIFICATIONS	0	U	33fc9b09-8183-48b0-9025-6331fcc3f66a
\.


--
-- Data for Name: t_sessions; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_sessions (id, cookie_value, created_on, idle_timeout_on, life_timeout_on, user_name, salt) FROM stdin;
6247	6107e27b4513aafeccff22d988cdae7aed31c74f2bede4288dc5e5c35b77088c	2025-03-01 19:18:51	2025-03-01 20:18:59	2025-03-01 23:18:51	nobody	\\xf209511eb046cbaf9fcf
6248	ce234ab9c0b575a486a976cae860ce9dca05855a188a31fbbb66beab4084ef03	2025-03-01 19:18:54	2025-03-01 20:24:49	2025-03-01 23:18:54	ADMIN	\\x7b70f18a66070235b9d6
6249	e8f872f23f03aeec582eb3ccc70902b5f5deb6fa85ad2fd766e1a65af8e4343a	2025-03-01 19:18:59	2025-03-01 20:26:37	2025-03-01 23:18:59	admin	\\x9eb767f5d255dae9e600
\.


--
-- Data for Name: t_settings; Type: TABLE DATA; Schema: app; Owner: xrad_user
--

COPY app.t_settings (key, value) FROM stdin;
LOGIN_FUNC	users.f_auth
HOME_PAGE	1000
REPORT_SERVER	http://127.0.0.1:8886/
IDLE_TIMEOUT	1 hours
APP_NAME	Демо стенд – XSQUARE v.5.1.2
BUILDER_NAME	My Demo App v5.1.2
NAVIGATION_BAR	2
NAVIGATION_MENU	1
CSS_FILES	
JS_FILES	
LIFE_TIMEOUT	4 hours
APP_URL	http://pghs5.xsquare.local/
LOGIN_PAGE	1
\.


--
-- Data for Name: t_buttons; Type: TABLE DATA; Schema: button; Owner: xrad_user
--

COPY button.t_buttons (id, id_page, id_region, sequence, name, static_id, alias, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, redirect_url, "position", class, id_item, location, id_list, button_action, col_span, start_new_row, created_by, created_on, last_updated_by, last_updated_on, id_source, link_target, link_title, link_class) FROM stdin;
30276557-51db-4f26-8f52-b5cc03af07fc	2ed35103-feec-41ba-87fc-e05ae867b199	7f5831c7-504c-4aaa-930d-5bc942240aca	1	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close()	left-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
9dede01f-b4d5-4a2b-b529-777897292b59	0afeb069-1c8f-4f63-98d6-d13eab2ed343	17d2d351-882b-4e8b-87a4-4c06e9ec37c9	2	DELETE	DELETE	Удалить	ITEM_IS_NOT_NULL	P3010_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '3010', REQUEST: 'DELETE' }, {onSuccess: function(){jsAPI.modal.close();jsAPI.reload();}})	left-body	btn-danger	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
50d539b9-d084-4d5c-93a3-bb44031d0da9	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	c8bcb39e-bfa8-492a-8186-1587c1521a3b	2	DELETE	DELETE	Удалить	ITEM_IS_NOT_NULL	P1101_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '1101', REQUEST: 'DELETE' }, {onSuccess: function(res){jsAPI.modal.close();jsAPI.reload();}})	left-body	btn-danger	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
6cb3ba5e-658f-4f33-909a-b19708e89b6e	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	af573ef8-07e5-4287-be83-b8482093440a	1	CREATE_DEP	CREATE_DEP	\N	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.pageModal('/1116/?clear=1116','Отделение')	top-right	btn-light btn-sm uil uil-plus	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
55f6a325-d745-40db-b949-d443659e2149	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	c8bcb39e-bfa8-492a-8186-1587c1521a3b	4	CREATE	CREATE	Создать	ITEM_IS_NULL	P1101_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '1101', REQUEST: 'CREATE' }, {onSuccess: function(res){jsAPI.modal.close();jsAPI.reload();}})	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
d2d2cc40-9b8b-4842-b18e-64469b2d1b0e	981448ef-457a-4a86-b253-9accce59c268	c7fcf8f7-9969-4045-8ddf-8f207b1447ee	6	BOTTOM_RIGHT	BOTTOM_RIGHT	Справа внизу	ALWAYS	\N	\N	\N	\N	\N	bottom-right	btn-light	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
7e39bf7d-18fd-4208-bb4f-dccc16074851	981448ef-457a-4a86-b253-9accce59c268	c7fcf8f7-9969-4045-8ddf-8f207b1447ee	5	BOTTOM_LEFT	BOTTOM_LEFT	Слева внизу	ALWAYS	\N	\N	\N	\N	\N	bottom-left	btn-light	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
ea797e2a-c55f-4f45-8467-3d2fa01324e5	981448ef-457a-4a86-b253-9accce59c268	c7fcf8f7-9969-4045-8ddf-8f207b1447ee	3	LEFT	LEFT	Слева в теле региона	ALWAYS	\N	\N	\N	\N	\N	left-body	btn-light	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
9eace77c-cc99-46ec-9570-3d7033cf01a4	981448ef-457a-4a86-b253-9accce59c268	c7fcf8f7-9969-4045-8ddf-8f207b1447ee	2	TOP_RIGHT	TOP_RIGHT	Справа в заголовке	ALWAYS	\N	\N	\N	\N	\N	top-right	btn-light	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
8c381c07-c5f4-4ff4-8577-756770332816	981448ef-457a-4a86-b253-9accce59c268	c7fcf8f7-9969-4045-8ddf-8f207b1447ee	1	TOP_LEFT	TOP_LEFT	Слева в заголовке	ALWAYS	\N	\N	\N	\N	\N	top-left	btn-light	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
c102e538-c32a-4bda-b080-8418b51921d0	9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	f6d2bc0f-6ee8-4366-b48b-652dc14c484c	2	CHANGE	CHANGE	Сменить	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '16', REQUEST: 'CHANGE' }, {onSuccess: function(res){jsAPI.notification.success(res.data.message);jsAPI.modal.close();}})	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
bea5f6a7-0275-4ea7-a6db-d6dcfd525702	645205e7-5a21-4a2d-b2a1-60df5b9576c9	df2772f7-8145-4589-92a6-a23c0086ad5c	1	CHANGE	CHANGE	Сменить	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '17', REQUEST: 'CHANGE' }, {onSuccess: function(res){jsAPI.notification.success(res.data.message);jsAPI.logout();}})	bottom-fluid	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
8d134cba-2076-464c-a35a-79c55d649db2	abea137b-d0a9-4bab-82cb-9de6b820aa29	1059416f-524b-4509-b5f2-e6821a0ab454	2	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close()	left-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
b91eea15-1d88-4862-85c5-46c93db70e1d	9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	f6d2bc0f-6ee8-4366-b48b-652dc14c484c	1	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close()	left-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
9744f3d7-657d-4996-9512-3fc7a4491aa9	5df45e90-9969-40c5-9b3d-a1bb931418c5	77be8399-50fc-416b-98b8-3b48e4882df4	1	UPLOAD	UPLOAD	Загрузить	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.submit({PAGE:'3013',REQUEST:'UPLOAD'},{onSuccess:function(res){jsAPI.notification.success(res.data.message);jsAPI.modal.accept()}});	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
185bd0db-32b8-4519-8300-3312b936c929	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	0590c5b5-fae0-4545-9e3f-f8e8e92d2498	1	MODAL_SAMPLE	MODAL_SAMPLE	Пример модального окна	ALWAYS	\N	\N	\N	\N	/content/5024/	right-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
0bcbecfa-b49c-47d2-80ba-9d93a2a99aaf	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	9c2e96d0-58ac-46da-9c4d-866d3d880134	2	UPLOAD	UPLOAD	Загрузить	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.open({page:{src:'3013',query:{clear:'3013'}},title:'Загрузка файла'},{onAccept:function(){jsAPI.refresh({page:'3012',id:'FILES'});}});	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
9856ad87-404a-4485-87e9-665f7ba879b8	abea137b-d0a9-4bab-82cb-9de6b820aa29	1059416f-524b-4509-b5f2-e6821a0ab454	4	CREATE	CREATE	Создать	ITEM_IS_NULL	P1116_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '1116', REQUEST: 'CREATE' }, {onSuccess: function(res){jsAPI.modal.close();jsAPI.reload();}})	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
2f66f8f1-537c-4e52-9dcb-201e48687015	c7a6173f-9d45-410b-8d56-3d605bf3d4fb	39d46143-2089-4d32-b1e2-8d30413841f7	1	NEXT	NEXT	Далее<i class="mdi mdi-chevron-double-right"></i>	ALWAYS	\N	\N	\N	\N	/content/5020/	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
b9c31772-ab3e-41f6-a56c-7b2db714df99	c7a6173f-9d45-410b-8d56-3d605bf3d4fb	39d46143-2089-4d32-b1e2-8d30413841f7	1	BACK	BACK	Назад	ALWAYS	\N	\N	\N	\N	/content/5026/	left-body	btn-light mdi mdi-chevron-double-left	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
1a8d41f8-be1c-4bcd-9bcc-3d91d689a42f	ac59d725-9e81-4f45-893f-1ffd64fd6846	636e83c6-763f-4ca5-adaf-ed15354816c3	40	DA_SEND	SEND	Отправить	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	aa1782fa-bc74-4395-989c-2abe491fdefb	FORM	\N	DYNAMIC	0	\N	\N	\N	ADMIN	2024-07-11 12:32:41.595177	10	\N	\N	\N
a1523f57-dabf-4e8b-934d-e3578d1127ba	c3bfd42b-0e7e-40dd-96ca-16de1d292caa	fa45439e-4b40-4891-9a10-7c6f16b356cf	1	NEXT	NEXT	Далее<i class="mdi mdi-chevron-double-right"></i>	ALWAYS	\N	\N	\N	\N	/content/5026/	bottom-right	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
77bb6983-568e-4bbf-8117-444fc2dc76c9	45a1f80e-3900-4f07-8cde-89e476b24529	ddf8a054-6b6b-416d-9552-d86797e99094	26	TO_TREE	TO_TREE	Подробнее	ALWAYS	\N	\N	\N	\N	/content/5027	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
f29b4ad3-7e23-4465-bad9-9241b0e1fd8a	45a1f80e-3900-4f07-8cde-89e476b24529	cbb933c9-99e9-4b7e-ad14-f3efd929fb42	29	TO_CHAT	TO_CHAT	Подробнее	ALWAYS	\N	\N	\N	\N	/content/5028	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
1d1d2fc7-4454-464f-a5a2-3eb1a3140768	45a1f80e-3900-4f07-8cde-89e476b24529	6138da4e-d231-4cbe-8285-26673d803c1b	11	TO_CALENDAR	TO_CALENDAR	Подробнее	ALWAYS	\N	\N	\N	\N	/content/5050?clear=5050	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-02-02 17:00:06.229745	10	\N	\N	\N
5f8c7501-af33-42a6-870c-620938b78cfb	0afeb069-1c8f-4f63-98d6-d13eab2ed343	17d2d351-882b-4e8b-87a4-4c06e9ec37c9	3	SAVE	SAVE	Сохранить	ITEM_IS_NOT_NULL	P3010_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '3010', REQUEST: 'SAVE' })	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
aea79ad4-5c14-4340-9e74-710ea495a2ab	abea137b-d0a9-4bab-82cb-9de6b820aa29	1059416f-524b-4509-b5f2-e6821a0ab454	1	SAVE	SAVE	Сохранить	ITEM_IS_NOT_NULL	P1116_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '1116', REQUEST: 'SAVE' }, {onSuccess: function(res){jsAPI.modal.close();jsAPI.reload();}})	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
5836cd63-7be1-471f-b810-e897c79d68d8	718632d7-9ea4-487b-a429-ed5c6d39561e	dca49fea-fe3f-4ceb-bff4-f5faabfb00a0	1	NEXT	NEXT	Далее<i class="mdi mdi-chevron-double-right"></i>	ALWAYS	\N	\N	\N	\N	/content/5029/	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
0e183abc-eda9-4c2f-a8b7-01361c0c9257	435789a1-16e5-45ca-8a20-154219bd753e	63b25cf0-07ce-441b-869d-0e63712677a5	1	MODAL_SAMPLE	MODAL_SAMPLE	Пример	ALWAYS	\N	\N	\N	\N	/content/5004/	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
519e832b-112b-4415-8320-3251c98b7b79	537cdd83-9057-43fe-8d89-2144884383f7	dcfe5d03-fe3f-4fa4-965e-2250255fad84	1	CREATE	CREATE	Создать	SQL_EXPRESSION	roles.f$rls('21',users.f$_usr_id($1))	{APP_USER}	\N	\N	/content/21?clear=21	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
3881d315-ac62-4a6d-9bc1-c6b0e24c91b4	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	bdbbd88c-a87c-4dcb-83a2-aad51cf65a29	20	NEW_BUTTON_ZKGSYT9EZO	NEW_BUTTON_69IP9OLNWF	Проверка	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	e6979893-be66-43a2-9c68-04156650c33f	ITEM	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-15 05:14:41.815285	10	\N	\N	\N
b9113de4-1037-4c3b-abc4-d6906438d39f	4303bd6b-83c3-4652-814f-c0b9b8e4958e	b8ddada0-1c7e-4fbf-a924-1e4eed56f819	20	SAVE	SAVE	Сохранить	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary	\N	FORM	\N	SUBMIT	3	\N	\N	\N	ADMIN	2024-07-18 07:19:24.824313	10	\N	\N	\N
b4d230ff-22b7-4b40-99c2-07ed8c948fd0	a6b4f635-850d-421a-bc2c-2a238db8124c	4b67cc7f-3fca-493b-8430-a8316d5ebc31	1	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close()	bottom-left	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
853bb1ea-e365-4a2f-9350-7839d3ce322f	0afeb069-1c8f-4f63-98d6-d13eab2ed343	17d2d351-882b-4e8b-87a4-4c06e9ec37c9	1	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close()	left-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
d3e6a6bc-bdb3-4108-93e4-bec037f23645	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	c8bcb39e-bfa8-492a-8186-1587c1521a3b	1	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close()	left-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
3e638cc3-79e3-4cec-a13c-8c180e8da9dc	a6b4f635-850d-421a-bc2c-2a238db8124c	4b67cc7f-3fca-493b-8430-a8316d5ebc31	2	ADD	ADD	Добавить	ALWAYS	\N	\N	\N	\N	\N	bottom-right	btn-primary	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
4e2ea750-d373-4c29-9621-3aa5b5bcca0f	981448ef-457a-4a86-b253-9accce59c268	68a24b89-c947-4d86-8fad-f6dad9d738fc	9	ITEM_RIGHT	ITEM_RIGHT	Справа от элемента	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-light	474ec2f9-26c5-4285-882e-ee8fdf573109	ITEM	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
a9d1b21c-90d1-4c68-9098-88e956d81960	981448ef-457a-4a86-b253-9accce59c268	c7fcf8f7-9969-4045-8ddf-8f207b1447ee	7	BOTTOM_FULL	BOTTOM_FULL	Внизу растянутая	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-light	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
357169ac-e6f2-4f47-9825-0ba27dd1942d	abea137b-d0a9-4bab-82cb-9de6b820aa29	1059416f-524b-4509-b5f2-e6821a0ab454	3	DELETE	DELETE	Удалить	ITEM_IS_NOT_NULL	P1116_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '1116', REQUEST: 'DELETE' }, {onSuccess: function(res){jsAPI.modal.close();jsAPI.reload();}})	left-body	btn-danger	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
12b7953d-ed25-4f79-8b42-2290fe7b0880	0afeb069-1c8f-4f63-98d6-d13eab2ed343	17d2d351-882b-4e8b-87a4-4c06e9ec37c9	4	COPY	COPY	Копировать	ITEM_IS_NOT_NULL	P3010_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '3010', REQUEST: 'COPY' }, {onSuccess: function(){jsAPI.modal.close();jsAPI.reload();}})	right-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
aac40fe9-9a4a-4f7b-a92d-03470533daf9	0afeb069-1c8f-4f63-98d6-d13eab2ed343	17d2d351-882b-4e8b-87a4-4c06e9ec37c9	5	CREATE	CREATE	Создать	ITEM_IS_NULL	P3010_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '3010', REQUEST: 'CREATE' }, {onSuccess: function(){jsAPI.modal.close();jsAPI.reload();}})	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
50dd7822-ed93-463b-967a-f79f4cad0acc	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	26e50c96-d64c-4e49-9926-1f944dd93342	1	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close()	left-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
0438552c-9aa1-484a-a56d-20366fd447ff	f48165f0-1892-4396-8145-b5ce2b29cdb4	6854bc1f-ff04-4c71-80fa-730c925da738	1	RIGHTBAR_SAMPLE	RIGHTBAR_SAMPLE	Пример	ALWAYS	\N	\N	\N	\N	/content/5006/	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
90fd1c70-a39f-4660-b92c-c17441d2cd79	89ecce48-2531-498f-8eae-2bfb5494e66d	5181276e-a555-4e90-924f-f84100e4cb53	10	ADD_EVENT	NEW_BUTTON_2J19VPPGNO	Добавить событие	ALWAYS	\N	\N	\N	\N	/content/5051?clear=5051,CR	top-right	btn-secondary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-01-24 16:54:49.747046	10	\N	\N	\N
8772d78e-5ecb-411c-916e-a13d0a11df2c	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	b64e771d-56b6-4389-8306-ec9e955a2ca7	20	ROW_COUNTER	ROW_COUNT	Проверка	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	1bb385cc-0661-4349-af19-8bf740502461	ITEM	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-15 05:14:41.815343	10	\N	\N	\N
21a0d71f-3adf-47cf-8fb9-4d37d3898c05	f48165f0-1892-4396-8145-b5ce2b29cdb4	f2b52a05-9b85-472a-a126-0af9eca4225c	1	STANDART_SAMPLE	STANDART_SAMPLE	Пример	ALWAYS	\N	\N	\N	\N	/content/5002/	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
31cc3928-0088-4933-8b2c-b38110344534	f48165f0-1892-4396-8145-b5ce2b29cdb4	7baba155-d411-457c-ae34-3b1fdecf79ee	1	LEFTBAR_SAMPLE	LEFTBAR_SAMPLE	Пример	ALWAYS	\N	\N	\N	\N	/content/5005/	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
bd060ef7-dd88-4cdb-aa49-91e3ebabdf56	f48165f0-1892-4396-8145-b5ce2b29cdb4	69b6b255-1db0-4a40-bec7-437ff5cf6cec	1	MODAL_SAMPLE	MODAL_SAMPLE	Пример	ALWAYS	\N	\N	\N	\N	/content/5004/	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
0e4391df-6f1a-4ebc-93d3-2116aab57ca4	f48165f0-1892-4396-8145-b5ce2b29cdb4	8c58c32d-e3d8-4dca-a08c-d7499de43ae7	1	SIDEBAR_SAMPLE	SIDEBAR_SAMPLE	Пример	ALWAYS	\N	\N	\N	\N	/content/5007/	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
46ec2dc3-8dcf-4de2-842b-22a1cd8147d6	f48165f0-1892-4396-8145-b5ce2b29cdb4	ec20665f-a7ce-4131-904c-4f26b0b871e2	1	MINIMAL_SAMPLE	MINIMAL_SAMPLE	Пример	ALWAYS	\N	\N	\N	\N	/content/5003/	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
b7bb2134-22e7-4eff-9abb-080457e33d68	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	c8bcb39e-bfa8-492a-8186-1587c1521a3b	1	SAVE	SAVE	Сохранить	ITEM_IS_NOT_NULL	P1101_ID	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '1101', REQUEST: 'SAVE' }, {onSuccess: function(res){jsAPI.modal.close();jsAPI.reload();}})	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
5073adb2-c367-40c6-97a1-a5daa5a86ea4	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	26e50c96-d64c-4e49-9926-1f944dd93342	2	CREATE	CREATE	Создать	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '21', REQUEST: 'CREATE' }, {onSuccess:function(){jsAPI.modal.close();jsAPI.reload();}})	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
389fef81-4b19-4ab5-9363-fd9a72f8581c	5df45e90-9969-40c5-9b3d-a1bb931418c5	77be8399-50fc-416b-98b8-3b48e4882df4	2	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close();	left-body	btn-light	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
952ff396-c16e-4604-9768-e1fb2aebda07	981448ef-457a-4a86-b253-9accce59c268	c7fcf8f7-9969-4045-8ddf-8f207b1447ee	4	RIGHT	RIGHT	Справа в теле региона	ALWAYS	\N	\N	\N	\N	\N	right-body	btn-light	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
347cfcdd-f7a7-43aa-a920-941440b363c1	981448ef-457a-4a86-b253-9accce59c268	68a24b89-c947-4d86-8fad-f6dad9d738fc	8	ITEM_LEFT	ITEM_LEFT	Слева от элемента	ALWAYS	\N	\N	\N	\N	\N	left-item	btn-light mdi mdi-arrow-right-thin	474ec2f9-26c5-4285-882e-ee8fdf573109	ITEM	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
62976aeb-3e02-4549-80e6-a92239ab8b38	718632d7-9ea4-487b-a429-ed5c6d39561e	dca49fea-fe3f-4ceb-bff4-f5faabfb00a0	1	BACK	BACK	Назад	ALWAYS	\N	\N	\N	\N	/content/5025/	left-body	btn-light mdi mdi-chevron-double-left	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
7f9e47e4-a765-4d56-bfdd-41a535c7196a	129c0d3a-01f7-497f-b996-d9113ab7f318	cca51aa0-2f12-4553-a926-6ec6a4d11e25	1	CREATE_ROLE_FK	CREATE_ROLE	\N	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.pageModal('/1101/?clear=1101','Роль')	top-right	btn-light btn-sm uil uil-plus	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
7b12d1cd-ec13-4d76-a3b7-894943097648	b6b32f07-21ba-4f6a-b02a-211725303cd5	bdf2cb37-8b42-45d9-8ff5-2ab1752b5426	1	ADD_ROLE	ADD_ROLE	\N	SQL_EXPRESSION	roles.f$rls('23',users.f$_usr_id($1))	{APP_USER}	\N	\N	javascript:jsAPI.modal.open({page:'/23/?P23_ID_USER=&P20_ID_USER.&clear=23',title: 'Добавление роли'},{onAccept:function(){jsAPI.refresh({page:'20',id:'ROLES'})}});	top-right	btn-light btn-sm uil uil-plus	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
8dae26a9-f812-44bc-8dc8-2ef8af045ddc	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	9	LARGE	NEW_BUTTON_VS6U1KYEJW	Широкая — btn-lg	ALWAYS	\N	\N	\N	\N	\N	\N	btn-lg	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-07-12 07:41:11.900651	10	\N	\N	\N
d4a1e485-13da-4f35-a21f-7ff167666f52	232dee12-c7d7-4237-9cd0-d8060d7b0c62	29c10485-4e5b-4893-b16d-9dfb4dac2d25	1	CREATE	CREATE	\N	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.open({page:'/content/3010/?clear=3010',title:'Создание параметра'})	top-right	btn-light btn-sm uil uil-plus	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
a09a2d0b-85d3-46c4-9bc4-2062b309b9e9	45a1f80e-3900-4f07-8cde-89e476b24529	5636756b-3287-4c63-9423-9107623b9858	1	CANCEL	CANCEL	Отмена	ALWAYS	\N	\N	\N	\N	\N	bottom-left	btn-danger	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
9e025fbe-3fa6-4837-b071-5a2dcd0be9ec	45a1f80e-3900-4f07-8cde-89e476b24529	5636756b-3287-4c63-9423-9107623b9858	2	PUSH	PUSH	Нажать	ALWAYS	\N	\N	\N	\N	\N	bottom-right	btn-secondary	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
180ff288-6956-48fd-a65e-eaba01b64de0	3b5a7cb2-6f42-4c1a-93ee-15d42177e62d	fe5b0901-6f13-434a-8d52-3f46aabd1cd4	1	BACK	BACK	Вернуться	NEVER	\N	\N	\N	\N	javascript:jsAPI.modal.close()	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
570ac55f-87fd-4d99-ab20-4bab18df12f3	45a1f80e-3900-4f07-8cde-89e476b24529	1d2d1c4d-5901-4582-88bb-cbcfd8d4847d	43	TO_TABS	TO_TABS	Подробнее	ALWAYS	\N	\N	\N	\N	/content/5023	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
c49634ce-7e7b-4870-a4ec-17bb82405f74	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	1	DEFAULT	DEFAULT	Стандарт — btn-default	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-default	\N	FORM	\N	DYNAMIC	12	t	\N	\N	\N	\N	10	\N	\N	\N
95e656a5-7a70-483d-9d73-705735303050	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	3	PRIMARY	PRIMARY	Основная — btn-primary	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	FORM	\N	SUBMIT	12	t	\N	\N	\N	\N	10	\N	\N	\N
69c542d6-a28e-4e60-ab13-392fc4f7e659	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	4	SECONDARY	SECONDARY	Дополнительная — btn-secondary	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-secondary	\N	FORM	\N	SUBMIT	12	t	\N	\N	\N	\N	10	\N	\N	\N
72a75e34-ede0-4a48-963a-29b463f617e7	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	6	INFO	INFO	Инфо — btn-info	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-info	\N	FORM	\N	SUBMIT	12	t	\N	\N	\N	\N	10	\N	\N	\N
3a760df4-b559-40c5-8d1a-b746563328ab	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	8	DANGER	DANGER	Опасно — btn-danger	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-danger	\N	FORM	\N	SUBMIT	12	t	\N	\N	\N	\N	10	\N	\N	\N
d934f7d1-782e-4482-a82e-ae9ddd781cb0	45a1f80e-3900-4f07-8cde-89e476b24529	5636756b-3287-4c63-9423-9107623b9858	3	SAVE	SAVE	Сохранить	ALWAYS	\N	\N	\N	\N	\N	bottom-right	btn-primary	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
c789ad3a-871d-442a-b523-9e583b17ab42	b6b32f07-21ba-4f6a-b02a-211725303cd5	ff16ba30-f0ef-45ab-aed7-b822880dd61a	4	SAVE	SAVE	Сохранить	ALWAYS	\N	\N	\N	\N	\N	right-body	btn-primary	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
3e11bca7-1e05-499e-96fb-9392f09eaff5	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	50	CANCEL	NEW_BUTTON_6IVYIMVWHC	Отмена	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.modal.close()	bottom-left	btn-lite	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-01-24 16:50:18.489322	10	\N	\N	\N
c07b3d32-7fa4-4b03-a731-0daeed116892	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	10	ADD_EVENT	ADD_EVENT	Создать	ITEM_IS_NULL	P5051_ID	\N	\N	\N	\N	bottom-right	btn-primary	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-01-24 18:00:08.120145	10	\N	\N	\N
5230fee1-987f-4625-ba70-812a88a9355a	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	10	LIGHT	LIGHT	Лайт — btn-light	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-light	\N	FORM	\N	SUBMIT	0	f	\N	\N	\N	\N	10	\N	\N	\N
95b34c14-3774-4807-8818-8e5fc9c1f808	530154e2-764f-4bb8-bd69-f0e2d33dbe57	24b32957-36b5-42ca-bd7b-af8f7f82bd7a	40	LOG_IN_0N8VI	F1LRXJRWF	Регистрация	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary	\N	FORM	\N	SUBMIT	12	t	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	\N	\N	\N
5b75ec8c-0bdb-4078-9253-b59ee94d6d04	530154e2-764f-4bb8-bd69-f0e2d33dbe57	0ee8aee3-c54a-4c2f-923d-88489295dfa6	10	NEW_BUTTON_OZYLMBSI2M	NEW_BUTTON_G6DGO4IEPP	Заключить договор финансового будущего	ALWAYS	\N	\N	\N	\N	\N	right-body	btn-primary btn-lg	\N	REGION	\N	SUBMIT	\N	\N	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	\N	\N	\N
49052ff8-ea9f-422b-bb61-38543bbc0ee3	530154e2-764f-4bb8-bd69-f0e2d33dbe57	50a0047e-fde3-466c-8fe5-e03b36ae2d72	30	LOG_IN	LOG_IN	Войти	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	FORM	\N	SUBMIT	12	t	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	\N	\N	\N
6a91b7b6-3576-43f6-a835-41571b3bff9b	530154e2-764f-4bb8-bd69-f0e2d33dbe57	24b32957-36b5-42ca-bd7b-af8f7f82bd7a	50	LOG_IN_YKUBW_CDUZU	GO7D654MU5	<span class="esia-icon" ><img src="https://pghs4-dev.xsquare.ru/files/images/gos_logo.svg"/></span><span class="esia-text">Регистрация через Портал Госуслуг</span>	ALWAYS	\N	\N	\N	\N	\N	\N	esia-enter	\N	FORM	\N	SUBMIT	12	t	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:32:16.80952	10	\N	\N	\N
35e333c7-aad5-4885-b7eb-7a682a1ff940	530154e2-764f-4bb8-bd69-f0e2d33dbe57	50a0047e-fde3-466c-8fe5-e03b36ae2d72	40	LOG_IN_YKUBW	OANWWTKVF3	<span class="esia-icon" ><img src="https://pghs4-dev.xsquare.ru/files/images/gos_logo.svg"/></span><span class="esia-text">Войти через Портал Госуслуг</span>	ALWAYS	\N	\N	\N	\N	\N	\N	esia-enter	\N	FORM	\N	SUBMIT	12	t	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:32:30.619123	10	\N	\N	\N
d3338ba4-f3d1-4d33-b50e-5d80208b15fa	b9fdd2e2-f39c-4930-91d2-9eecd3626960	6c11e44f-1e16-438f-b7e8-6a8b5f96f95c	10	SEND_MESSAGE	SEND_MESSAGE	Отправить	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	92b058ff-13b7-4e72-8af0-d2aa1ba20f9c	ITEM	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-01-29 18:04:58.127436	10	\N	\N	\N
a5b12bd7-838a-4663-b894-ca78c2b68a08	83aa1204-d957-4efb-b371-5548f5db7c45	f905582b-4434-47b1-92f1-888ffbc5c83a	30	LOG_IN	LOG_IN	Войти	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	FORM	\N	SUBMIT	12	t	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:34:39.527384	10	\N	\N	\N
f28b22f7-6b14-4daf-b602-bd41b400cf00	3006c64d-7487-4960-bdfc-f8565c02fd11	c00ea56b-55b1-4f3d-808c-87c180fc3135	20	SECOND_BTN	NEW_BUTTON_FOVNTGEO7W	Фокус	ALWAYS	\N	\N	\N	\N	\N	right-item	\N	fdc87cc2-41e0-43af-b721-7c86a8fd743a	ITEM	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-01-25 14:08:57.139856	10	\N	\N	\N
2c37111f-5605-4c19-bd5c-6e811da80bda	3006c64d-7487-4960-bdfc-f8565c02fd11	c00ea56b-55b1-4f3d-808c-87c180fc3135	30	THIRD_BTN	NEW_BUTTON_O2NK327PHO	Фокус	ALWAYS	\N	\N	\N	\N	\N	right-item	\N	47fb78bf-a4fe-4306-9677-8fbe6931124f	ITEM	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-01-25 14:08:57.139868	10	\N	\N	\N
84040584-b8b0-4b38-adf5-9b5a8d067e3b	3006c64d-7487-4960-bdfc-f8565c02fd11	c00ea56b-55b1-4f3d-808c-87c180fc3135	10	BLUR	NEW_BUTTON_VAMD52CEOG	Снять фокус	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-01-25 14:10:34.830709	10	\N	\N	\N
69d9e3de-dfc0-444b-9f40-017f142b6d22	3006c64d-7487-4960-bdfc-f8565c02fd11	c00ea56b-55b1-4f3d-808c-87c180fc3135	10	FIRST_BTN	NEW_BUTTON_3A8HKYX26J	Фокус	ALWAYS	\N	\N	\N	\N	\N	right-item	\N	ad4478a2-e022-42f8-91ec-59372a78085a	ITEM	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-01-25 14:49:47.168183	10	\N	\N	\N
64e72b2b-e6bc-4e85-9d8f-1cc423e2acc2	bbbfba99-f656-4a05-a070-216215b4b4bb	2f6fefac-884d-4295-97f3-b09c571b3f42	10	ADD_EVENT	NEW_BUTTON_2J19VPPGNO	Добавить событие	ALWAYS	\N	\N	\N	\N	/content/5051/?P5051_USER=&P5300_USER.&clear=5051,CR	top-right	btn-secondary	\N	REGION	\N	REDIRECT	\N	\N	ADMIN	2024-01-26 12:27:21.179907	ADMIN	2024-01-26 12:59:58.859765	10	\N	\N	\N
b6b99e60-5c88-4973-8274-c6b10a54c7b4	45a1f80e-3900-4f07-8cde-89e476b24529	c630a08f-aa04-4d84-b1fe-7443ee1d2ef1	11	TO_CALENDAR_MQKXO	322RBZMTZD	Подробнее	ALWAYS	\N	\N	\N	\N	/content/5021	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-02-02 17:04:33.783073	10	\N	\N	\N
5ca9ba9f-6754-41cd-a2d7-305d29ad0d47	3006c64d-7487-4960-bdfc-f8565c02fd11	ff2ad34e-6594-4911-923b-e608e0cb99fe	10	OPEN_MODAL	OPEN_MODAL	Открыть модальное окно	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-01-26 13:36:24.459326	10	\N	\N	\N
49162801-1182-4871-aa70-f6a0bb4f4212	45a1f80e-3900-4f07-8cde-89e476b24529	4ce30b1a-3bb4-43dd-94fd-3db2858c8e8a	11	TO_CHARTS	TAIDIV39D0	Подробнее	ALWAYS	\N	\N	\N	\N	/content/5022	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-02-02 17:08:27.430573	10	\N	\N	\N
c34a6e71-fec7-4eb3-99bf-da6052385757	8d795ae5-9e4c-47d3-a940-dcba059599ed	11dc3b5f-df29-42cf-8a98-baf389502cdf	30	SEARCH	NEW_BUTTON_P825E7NH8I	Применить	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary	\N	FORM	\N	DYNAMIC	0	\N	\N	\N	ADMIN	2024-01-30 11:44:09.725484	10	\N	\N	\N
954649bc-27ad-4731-a08b-ed478f66abcc	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	70	UPDATE_EVENT	UPDATE_EVENT	Обновить	ITEM_IS_NOT_NULL	P5051_ID	\N	\N	\N	\N	bottom-right	btn-primary	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-01-30 12:59:41.570961	10	\N	\N	\N
bbabfae1-7de9-4479-8640-d2e870cb51da	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	13869ad4-fe38-4022-b850-0c5f90edce5e	20	CONFIRM	NEW_BUTTON_56OSNE8E04	Применить	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary	\N	FORM	\N	DYNAMIC	0	\N	\N	\N	ADMIN	2024-01-31 15:47:17.62568	10	\N	\N	\N
63b21dfc-b854-4482-8f2f-d685ff981c93	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	7	WARNING	WARNING	Осторожно — btn-warning	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-warning	\N	FORM	\N	SUBMIT	12	t	\N	\N	\N	\N	10	\N	\N	\N
2e4119d3-74e9-4cfd-b437-19340bb8a007	45a1f80e-3900-4f07-8cde-89e476b24529	566da909-0bac-4ccf-bfb7-a70538ac8369	23	TO_CARDS	NEW_BUTTON_5PFQ1B5W8G	Подробнее	ALWAYS	\N	\N	\N	\N	/content/5030	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-02-02 16:54:26.128656	10	\N	\N	\N
b28a8f84-bfa8-4ebe-8a1e-25d3ad6f092e	896512ee-bca1-4fb3-8148-31dc61b0e8ff	e7ecd036-797b-4cd4-bf71-e68a0a1921f7	10	PRIMARY	NEW_BUTTON_IJFTA45Y8J	Основная — btn-primary btn-lg	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary btn-lg	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-12 10:52:12.144624	10	\N	\N	\N
5447dd13-bf90-44c9-b122-ecb38be3f3e5	896512ee-bca1-4fb3-8148-31dc61b0e8ff	e7ecd036-797b-4cd4-bf71-e68a0a1921f7	20	SUCCESS	NEW_BUTTON_VPY8BQS1SN	Успешно — btn-success	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-success 	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-12 10:52:12.144674	10	\N	\N	\N
46a8f61d-113c-4d65-815e-1d9baae558f5	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	5	SUCCESS	SUCCESS	Успешно — btn-success	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-success	\N	FORM	\N	SUBMIT	12	t	\N	\N	\N	\N	10	\N	\N	\N
c091ad96-3734-4c68-8a89-6726898df4fa	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	29	LINK	NEW_BUTTON_ZIFRQG61SO	Ссылка — btn-link btn-sm	ALWAYS	\N	\N	\N	\N	\N	\N	btn-link btn-sm	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-02-02 17:14:03.865314	10	\N	\N	\N
2d2ce431-aa1c-4e22-ab1b-81726a158b45	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	39	ICON	NEW_BUTTON_3O7UBOGRNB	С иконкой — mdi mdi-format-list-bulleted	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary mdi mdi-format-list-bulleted	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-02-02 17:14:03.865335	10	\N	\N	\N
050919ba-19ce-46b1-a7b6-947ef58d4a17	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	20	EXTRA_SMALL	COI7RUUET0	Очень-узкая — btn-xs 	ALWAYS	\N	\N	\N	\N	\N	\N	btn-xs	\N	FORM	\N	SUBMIT	0	f	\N	\N	ADMIN	2024-07-12 07:39:06.383316	10	\N	\N	\N
4ecc5f94-9cd4-418e-a742-6df9bb4a2413	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	7f16d3fb-050c-4af1-abf5-26c5d59e9d76	10	GET_SUBMIT	GET_SUBMIT	Отправить	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	1cc5ea8c-ef94-44a6-9339-4b826a3f469b	ITEM	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-07-11 05:42:29.133691	10	\N	\N	\N
57c291b0-e88d-486a-89b0-909f44a77d4b	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	19	SMALL	NEW_BUTTON_727IJ0N7V2	Узкая — btn-sm	ALWAYS	\N	\N	\N	\N	\N	\N	btn-sm	\N	FORM	\N	SUBMIT	0	f	\N	\N	ADMIN	2024-07-12 07:39:06.383256	10	\N	\N	\N
bdc27632-1101-4ca0-9129-6c077604b931	896512ee-bca1-4fb3-8148-31dc61b0e8ff	e7ecd036-797b-4cd4-bf71-e68a0a1921f7	30	LINK	NEW_BUTTON_5UTEMI9UX9	Ссылка — btn-link btn-sm	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-link btn-sm	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-12 10:50:09.75126	10	\N	\N	\N
30e1ef53-e77b-466b-b68f-719e8ee56526	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	4cd597d6-74bc-4127-aa36-8026ba743a68	30	NEW_BUTTON_MNL0EFY31X	NEW_BUTTON_GDW2H10F35	Проверка	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	0c34f12c-8aee-4fda-a4d5-2937e41e38d8	ITEM	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-15 05:50:55.786893	10	\N	\N	\N
446a476a-82bf-4558-9d97-ff07096dae5b	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	9cf13233-eb16-43b6-996b-6de943390974	40	SEND_MW7JL	FQEO2SOP95	Отправить 2	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-07-17 06:53:38.442467	10	\N	\N	\N
7c6c8354-7f87-4d83-8df1-a6c16706ef48	129c0d3a-01f7-497f-b996-d9113ab7f318	fb9251d1-45ab-4df2-aa67-e66f5b5b9960	10	ADD_PAGE	NEW_BUTTON_0I1UZ4AMA8	\N	ALWAYS	\N	\N	\N	\N	/content/1102?clear=1102,CR	top-right	mdi mdi-plus btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-17 09:45:53.863943	10	\N	\N	\N
97ccab6e-90f7-427b-a8db-3c5d92fdcbe0	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	9cf13233-eb16-43b6-996b-6de943390974	50	SEND	SEND	Выполнить процессы	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-07-17 08:52:24.351569	10	\N	\N	\N
9beb912d-56d9-492b-b6de-281e7323d3f3	c157113b-bd24-49df-84a2-62c280bd48b9	9813f07b-e99a-4af6-afd9-41a130f5a7ec	21	SEARCH	SEARCH	Найти	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	cb18bacc-a747-4cf5-98e2-b61545d329b2	ITEM	\N	SUBMIT	\N	\N	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-19 07:30:12.380932	10	\N	\N	\N
acb1c359-28bb-45b8-a285-570be218b28b	a6d10784-1f93-4cfa-9dd6-98a1bc3b9d0f	74de06a0-0e0b-4e99-bbf1-c088cce821d3	1	RESET	RESET	Восстановить пароль	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.submit({ PAGE: '18', REQUEST: 'RESET' }, {onSuccess: function(res){jsAPI.notification.success(res.data.message);jsAPI.logout();}})	bottom-fluid	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	\N	\N	10	\N	\N	\N
ffa082c5-7e89-4a47-90fb-8e39942b50e8	129c0d3a-01f7-497f-b996-d9113ab7f318	4df7ed0e-e982-4439-be1f-50f172e4bcab	10	CREATE_ROLE	NEW_BUTTON_CJ7VJ370U7	Новая роль	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.pageModal('/1101/?clear=1101,CR','Роль')	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-06-10 09:56:36.954856	10	\N	\N	\N
641a1ac9-7eca-40ef-b307-bfa83f7d6002	a6d10784-1f93-4cfa-9dd6-98a1bc3b9d0f	74de06a0-0e0b-4e99-bbf1-c088cce821d3	2	NEW_BUTTON_FIRST	NEW_BUTTON_FIRST	Первая	ALWAYS	\N	\N	\N	\N	javascript:jsAPI.notification.success("First worked!")	bottom-fluid	\N	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-04-27 04:01:21.49253	10	\N	\N	\N
d6cf3d23-9fc3-4714-8ee8-1750b5e383e9	bd6b73f7-00c6-4985-927b-653e02f8c659	46c0a8bf-acb9-41fc-a5cc-26622ef65a05	10	FULL_SCREEN	NEW_BUTTON_648NW96HPH	На весь экран	ALWAYS	\N	\N	\N	\N	/content/6051	bottom-fluid	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-05-16 12:52:45.318987	10	\N	\N	\N
e27a233b-dca5-41d0-a975-93a3faf03350	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	430e773a-5ab6-4385-9115-93d1c3b3eb20	21	POST_SUBMIT	POST_SUBMIT	Отправить	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	183bcb79-88ad-4a36-b31d-3aab8c1a2545	ITEM	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-06-11 15:43:35.43744	10	\N	\N	\N
1639f6a7-c992-4f5d-86e3-942c12fe43f1	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	1bd5c922-77b7-498f-a3ad-e8485444231f	10	SUBMIT	CHOOSE_YES	Отправить	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary	\N	FORM	\N	SUBMIT	3	\N	\N	\N	ADMIN	2024-06-17 12:30:12.086673	10	\N	\N	\N
10b920ca-4a22-4997-aa29-d335321e08d1	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	973668b6-eda8-4c97-8792-3a27dbeac977	10	SUBMIT	SUBMIT_PASSWORD	Отправить	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary	\N	FORM	\N	SUBMIT	3	\N	\N	\N	ADMIN	2024-06-17 12:35:13.781169	10	\N	\N	\N
5b862d19-30f0-40e9-9924-0e2aa898619f	45a1f80e-3900-4f07-8cde-89e476b24529	73edf8e1-dc47-4147-b6c2-fcaea26a1f36	11	TO_DATAGRID	WWE8N7QGRA	Подробнее	ALWAYS	\N	\N	\N	\N	/content/5070?clear=5070	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-06-21 09:46:39.979224	10	\N	\N	\N
865faedf-b3d1-4b8b-97c2-0383fec4da18	45a1f80e-3900-4f07-8cde-89e476b24529	77804c98-66ca-4e39-b168-da821fe45d1d	11	TO_TILES	319N7ZZRXV	Подробнее	ALWAYS	\N	\N	\N	\N	/content/6050?clear=6050	top-right	btn-light btn-sm	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-06-21 09:48:23.97957	10	\N	\N	\N
b6df9bd5-a827-47d1-a4d1-3c37f455baa2	e489d8ca-9b10-473a-8d68-2669f2c3e877	0dd07c14-60d4-44b3-89c3-703336591c02	20	CANCEL	NEW_BUTTON_54QGC4T85W	Отмена	ALWAYS	\N	\N	\N	\N	\N	left-body	\N	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-07-03 07:55:17.735938	10	\N	\N	\N
bc5578d6-45b4-48a7-8a32-e29abc6f2c53	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	49	ICON_LEFT	6S9KIT4ARS	Текст с иконкой справа — mdi mdi-format-list-bulleted text-left	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary mdi mdi-format-list-bulleted text-left	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-06-24 10:10:11.396313	10	\N	\N	\N
6f2e889c-8c4d-49f2-ab14-a76fa017944c	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	59	ICON_RIGHT	X051C2RW1C	mdi mdi-format-list-bulleted text-right — Текст с иконкой слева	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary mdi mdi-format-list-bulleted text-right	\N	FORM	\N	SUBMIT	0	f	\N	\N	ADMIN	2024-06-24 10:10:11.396367	10	\N	\N	\N
320819ab-a7c2-4792-a4e9-b5becfd756d7	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	a40ec4d0-aff2-4c47-9e5e-438c2ff7ac06	1	CLEAR	CLEAR	Очистить	ALWAYS	\N	\N	\N	\N	\N	right-body	\N	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-03 08:15:54.671117	10	\N	\N	\N
0ebf6afa-f888-42b1-8645-6543fdd84ecd	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	a40ec4d0-aff2-4c47-9e5e-438c2ff7ac06	10	CREATE	CREATE	Новое уведомление	ALWAYS	\N	\N	\N	\N	/content/5091?clear=5091,CR	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-02 14:56:55.186635	10	\N	\N	\N
bd92ea94-9ff6-44b4-b71b-e96155e0f0cd	e489d8ca-9b10-473a-8d68-2669f2c3e877	0dd07c14-60d4-44b3-89c3-703336591c02	10	CREATE	CREATE	Создать	ITEM_IS_NULL	P5091_ID	\N	\N	\N	\N	right-body	btn-primary	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-03 07:23:02.639958	10	\N	\N	\N
fa41799a-ae72-4612-9fb3-5ea6d445ee66	3bb65c15-0e65-4e02-802e-9f0d39a5685c	5d64d2e6-5847-4e46-9c83-1b87a7456516	10	LOGIN	NEW_BUTTON_3R52J507MQ	Авторизация	EXISTS	SELECT 1\nWHERE $1::TEXT = 'nobody'	{APP_USER}	\N	\N	/content/1?clear=1,CR	right-body	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-08 07:51:55.0459	10	\N	\N	\N
11323faa-4439-48b4-b5ef-9ae8ab221057	3bb65c15-0e65-4e02-802e-9f0d39a5685c	5d64d2e6-5847-4e46-9c83-1b87a7456516	20	LOGOUT	UNLOGIN	Выход	EXISTS	SELECT 1\nWHERE $1::TEXT != 'nobody'	{APP_USER}	\N	\N	javascript:jsAPI.logout()	right-body	btn-danger	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-08 11:33:17.05143	10	\N	\N	\N
9a3b7051-7a7f-4232-8b23-0c4d27c3e50e	c1434e86-8781-437b-9dc6-8e3d43073659	c520c2b8-c6ab-436a-a77d-c3aaa4b4786d	30	UPLOAD_XLSX	UPLOAD_XLSX	Конвертировать	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	91be6a9a-e025-4906-ab0e-25b0aedf2767	REGION	\N	SUBMIT	\N	\N	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-08 04:02:57.196672	10	\N	\N	\N
6a7b6bf4-94f3-4e6b-a581-2e97ffaeb700	f8a4d019-89e4-4ec6-82bc-add1851ffe89	c461e221-fdd2-4fe3-a78f-84cdc5b08636	20	LOGOUT	LOGOUT	Выйти	EXISTS	SELECT 1\nWHERE $1::TEXT != 'nobody'	{APP_USER}	\N	\N	javascript:jsAPI.logout()	top-right	btn-danger	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-08 11:32:50.632479	10	\N	\N	\N
13e7d599-b81b-4bba-915f-c3d776f545a7	d1533edb-4578-4939-88c0-38a6ad2f4c7c	3561319c-80cb-4f63-9c9d-0d316bfbef7d	10	TO_PUBLIC_PAGE	NEW_BUTTON_17QN3F2B6Y	К публичной странице	ALWAYS	\N	\N	\N	\N	/content/7100	top-right	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	ADMIN	2024-07-09 03:50:47.469709	ADMIN	2024-07-09 03:50:47.469709	10	\N	\N	\N
916b828a-5960-4a51-912b-75c2823e5608	4303bd6b-83c3-4652-814f-c0b9b8e4958e	a13e099b-299d-492c-8bf2-e8d87ac5db3f	10	SEND	SEND	Выполнить процесс	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-07-18 07:16:31.775384	10	\N	\N	\N
f591c9f1-6334-46e5-b84a-260fefaa7a95	d1533edb-4578-4939-88c0-38a6ad2f4c7c	646b614b-36cf-48b9-a951-ef11376f2c1b	10	BTN1	PAGE1_OPEN	Открыть	ALWAYS	\N	\N	\N	\N	/content/7201	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-09 06:03:23.880292	10	\N	\N	\N
b490fcdf-12f6-4199-bd53-91e1f797a45a	d1533edb-4578-4939-88c0-38a6ad2f4c7c	ae5aa307-a422-4ca8-af82-070fa495697c	10	BTN2	PAGE2_BTN	Открыть	ALWAYS	\N	\N	\N	\N	/content/7202	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-09 06:03:23.88033	10	\N	\N	\N
4fce0e36-3e2f-46bc-a788-cab76743d126	d1533edb-4578-4939-88c0-38a6ad2f4c7c	18851558-6b3b-4de6-8665-206b5cbbbd50	10	BTN3	PAGE3_BTN	Открыть	ALWAYS	\N	\N	\N	\N	/content/7203	bottom-left	btn-primary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-09 06:03:23.880364	10	\N	\N	\N
4823a5c6-86cf-4caa-a09e-77ab43783fe0	72b67410-f688-4bc6-9a6e-bb63c70a2763	c53341dd-06ca-4b23-b794-16a4af14af7c	10	BACK	BACK	Назад	ALWAYS	\N	\N	\N	\N	/content/7300	right-body	btn-light mdi mdi-arrow-left text-right	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-07-09 07:16:30.512547	10	\N	\N	\N
31530b1c-bbbe-41fe-9404-e29eaca11e3b	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	1c75780d-1c82-4072-ad62-012733238cf3	20	POST_JSON_SUBMIT	POST_JSON_SUBMIT	Отправить	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	cd02a768-5db7-447c-b06b-70a272a05e2b	ITEM	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-07-10 05:31:39.431305	10	\N	\N	\N
bc8c2e54-69c5-46c6-a4b0-6ac20b95ea8f	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	20	AS_GUEST	NEW_BUTTON_G53S6ZW9LW	Продолжить как Гость	ALWAYS	\N	\N	\N	\N	/content/1000	\N	btn-light	\N	FORM	\N	REDIRECT	0	t	\N	\N	ADMIN	2024-12-25 12:51:51.024532	10	\N	\N	\N
df1f182c-c715-4975-b593-4ed6f75970f4	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	10f14b5a-9e78-4432-b96e-07b46e180fc2	30	CHECK_MAIL	CHECK_MAIL	Проверка	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	07965ebd-1ba4-4c58-b513-8ef6412a9cb1	ITEM	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-12-24 05:45:28.042443	10	\N	\N	\N
77536ea7-585e-49c3-b61d-868a2b8a93a8	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	a18a5fc5-f1a6-452a-8b5d-f7213dfade02	10	GET_CLIENT	GET_CLIENT	Отправить	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	cc6fa527-1c68-43aa-854d-55b162a6d719	ITEM	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-12-25 07:34:11.997563	10	\N	\N	\N
8cf1151a-7d59-4273-8c8f-f734c57b577f	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	25	FORGOT_PSW	TEMPLATES	Забыли пароль?	ALWAYS	\N	\N	\N	\N	\N	\N	btn-link btn-xs 	\N	FORM	\N	SUBMIT	12	t	\N	\N	ADMIN	2024-12-25 12:54:33.899138	10	\N	\N	\N
41fe2f7b-c388-4caf-9c14-f7c0a88976e1	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	dbdcb8c1-4f48-406a-b3d0-d8ee12963ac8	10	GET_MASS	GET_MASS	Отправить	ALWAYS	\N	\N	\N	\N	\N	right-item	btn-primary	0caeb08e-6e4d-4c72-a5ca-3bd6141c43b6	ITEM	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-12-26 12:45:20.022298	10	\N	\N	\N
f30c7f19-8416-41cd-ba90-ad8742cf645e	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	30	MicrosoftLDAP	MicrosoftLDAP	<svg class="auth-button__icon"><use xlink:href="#icon-windows-10"></use></svg> Microsoft LDAP	ALWAYS	\N	\N	\N	\N	\N	\N	btn-secondary auth-button	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-12-25 12:51:14.40669	10	\N	\N	\N
992abe40-e0d9-4916-b915-42c586333e91	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	10	LOG_IN	LOG_IN	Войти	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	FORM	\N	SUBMIT	0	t	\N	\N	\N	\N	10	\N	\N	\N
58c71ec3-4e74-450f-9740-f6b9bc458c6f	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	40	MS_KSSO	BUTTON_AXCGC4877V	<svg class="auth-button__icon"><use xlink:href="#icon-windows-10"></use></svg> Microsoft Kerberos SSO	ALWAYS	\N	\N	\N	\N	\N	\N	btn-secondary auth-button	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-12-25 12:51:51.024588	10	\N	\N	\N
b7438df3-4026-4110-8bec-62b14620c5f6	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	50	LDAP	BUTTON_Y892H8GPCL	<svg class="auth-button__icon"><use xlink:href="#icon-auth-1"></use> </svg> LDAP	ALWAYS	\N	\N	\N	\N	\N	\N	btn-secondary auth-button	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-12-25 12:51:51.024622	10	\N	\N	\N
94484349-c8ce-4854-9c0b-b5e2c468b5f9	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	60	KSSO	BUTTON_Q1P7OBCUWN	<svg class="auth-button__icon"><use xlink:href="#icon-lock-thin"></use></svg> Kerberos SSO	ALWAYS	\N	\N	\N	\N	\N	\N	btn-secondary auth-button	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-12-25 12:51:51.02466	10	\N	\N	\N
d8f5ba6b-e081-4ab5-804d-4d429a6b4a47	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	70	OIDS	BUTTON_R1HLUJTWYD	<svg class="auth-button__icon"><use xlink:href="#icon-open-id-connect"></use></svg> Open ID Connect	ALWAYS	\N	\N	\N	\N	\N	\N	btn-secondary auth-button	\N	FORM	\N	SUBMIT	0	t	\N	\N	ADMIN	2024-12-25 12:51:51.024702	10	\N	\N	\N
9b672db7-7bb7-4f27-a2bb-8e10c8aa46ed	3006c64d-7487-4960-bdfc-f8565c02fd11	fdcbd68b-38d1-41a2-92a4-0b39c7b96cbe	30	BLOCK_FORM	BUTTON_M37432PYHM	Отправить	ALWAYS	\N	\N	\N	\N	\N	\N	btn-primary	\N	FORM	\N	DYNAMIC	0	t	\N	\N	ADMIN	2024-10-14 10:11:48.346154	10	\N	\N	\N
1b0c8265-bfb0-4e67-9382-861aea960e3f	3006c64d-7487-4960-bdfc-f8565c02fd11	96374711-97c7-4c65-bdca-3004197e21b7	10	TO_BLOCK_EXAMPLES	BUTTON_GBL5NO8ZZ1	Больше примеров блокировки	ALWAYS	\N	\N	\N	\N	/content/9300?clear=9300	bottom-fluid	btn-primary btn-lg	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-10-14 16:49:40.28188	10	\N	\N	\N
3593c6d0-95d2-4622-80f4-1d6c9514654f	981448ef-457a-4a86-b253-9accce59c268	79a367c1-d536-40a4-8dab-360e8a18aca2	69	ITEM	NEW_BUTTON_E3RCSKY61H	Новая кнопка	ALWAYS	\N	\N	\N	\N	\N	\N	btn-item	\N	FORM	\N	REDIRECT	\N	t	\N	\N	ADMIN	2024-10-17 11:39:33.884651	10	\N	\N	\N
d2cea3fc-bb28-466d-a8cf-f69f8a3fb493	f8a4d019-89e4-4ec6-82bc-add1851ffe89	cecd319e-32f7-42ab-a26b-c8a7e705e7c3	10	LOGIN	LOGIN	Авторизоваться	EXISTS	SELECT 1\nWHERE $1::TEXT = 'nobody'	{APP_USER}	\N	\N	/content/1?clear=1,CR	bottom-fluid	btn-primary btn-lg	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-10-14 12:03:35.727566	10	\N	\N	\N
417ae148-bd85-474f-a4dd-5cde67e385be	8145943d-3106-4c58-973a-ad8778b2a231	11726b97-adc7-4b69-b02f-757beb887d53	10	BLOCK_FORM	SUBMIT_SLEEP	Заблокировать форму	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary btn-sm	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-10-14 16:53:14.937881	10	\N	\N	\N
00853783-6665-4f0d-b3cd-ebdeecc5c643	8145943d-3106-4c58-973a-ad8778b2a231	83470956-6128-4036-896e-0199254015c5	30	BUTTON_ALWAYS	BUTTON	Заблокировать до сабмита	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary btn-sm	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-10-14 16:53:14.937911	10	\N	\N	\N
701cb090-4cca-45fd-a4e4-61ff8aa5dd9b	8145943d-3106-4c58-973a-ad8778b2a231	83470956-6128-4036-896e-0199254015c5	10	BUTTON_BLOCK_1_SEC	BUTTON_1SEC	Заблокировать на 1 секунду	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary btn-sm	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-10-14 16:53:14.937929	10	\N	\N	\N
d7259b07-ea8b-4582-8e2a-af02ef05733a	8145943d-3106-4c58-973a-ad8778b2a231	f6c7c7c1-f1df-44d0-bd98-a6be521486bb	10	BLOCK_REGION	BUTTON_REGION	Заблокировать регион	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-10-14 12:37:14.271054	10	\N	\N	\N
be69f922-25c7-4228-8e5a-5320ae5e77e0	8145943d-3106-4c58-973a-ad8778b2a231	fca3c902-a158-41a3-84b6-ad452d0b4a08	10	BUTTON_TREE	BUTTON_TREE	Заблокировать дерево	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary btn-sm	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-10-14 16:53:14.937947	10	\N	\N	\N
e9a0df34-1f50-433d-9e94-df4a88abaa76	8145943d-3106-4c58-973a-ad8778b2a231	83470956-6128-4036-896e-0199254015c5	20	BUTTON_BLOCK_3_SEC	BUTTON_3SEC	Заблокировать на 3 секунды	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary btn-sm	\N	REGION	\N	DYNAMIC	\N	\N	\N	\N	ADMIN	2024-10-14 16:53:14.937967	10	\N	\N	\N
167b8d81-b277-4370-86ad-5ed4b76f025f	8145943d-3106-4c58-973a-ad8778b2a231	d8b9f4d6-2e19-42a4-a591-e15f4e348233	10	BUTTON_PAGE	SUBMIT_SLEEP	Заблокировать страницу	ALWAYS	\N	\N	\N	\N	\N	right-body	btn-primary btn-lg	\N	REGION	\N	SUBMIT	\N	\N	\N	\N	ADMIN	2024-10-14 16:53:46.057491	10	\N	\N	\N
90646735-b12e-422b-95f4-580ff23ed938	981448ef-457a-4a86-b253-9accce59c268	2249698d-ee8b-4508-a8e1-4752067a4d2e	20	BLANK	BUTTON_E6UMECEFN3	_blank	ALWAYS	\N	\N	\N	\N	/content/1000	bottom-fluid	btn-secondary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-10-17 11:43:20.515	10	_blank	Открывает Главную страницу в новой вкладке браузера	text-success
0fcdd3e2-c593-4aa2-818c-e8252121b933	981448ef-457a-4a86-b253-9accce59c268	2249698d-ee8b-4508-a8e1-4752067a4d2e	10	SELF	BUTTON_Y3CD434IJO	_self	ALWAYS	\N	\N	\N	\N	/content/1000	bottom-fluid	btn-secondary	\N	REGION	\N	REDIRECT	\N	\N	\N	\N	ADMIN	2024-10-17 11:43:20.515019	10	_self	Открывает Главную страницу в текущем окне	text-danger
fe12a005-2209-4954-9e28-67fb10e9e02b	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	5b3ffd64-45bb-4088-9c03-80e36af6da62	10	GO	DOWNLOAD_REPORT	Сформировать	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary btn-lg	\N	REGION	\N	SUBMIT	\N	\N	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	\N	\N	\N
743115ce-545d-4aff-aeb6-d1db43b35725	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	c9f82df3-a4ed-4043-aa2c-306ed43b4361	20	XHR_DOWNLOAD	XHR_DOWNLOAD	Динамическая загрузка	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	REGION	\N	DYNAMIC	\N	\N	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	\N	\N	\N
bdc5a683-fb07-4df7-8f77-131ea1ad3942	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	c9f82df3-a4ed-4043-aa2c-306ed43b4361	10	REGULAR_DOWNLOAD	DOWNLOAD_FILE	Простая загрузка	ALWAYS	\N	\N	\N	\N	\N	bottom-fluid	btn-primary	\N	REGION	\N	SUBMIT	\N	\N	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	\N	\N	\N
\.


--
-- Data for Name: t_calendars; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_calendars (id, display_column, start_column, end_column, pkey_column, height, views, show_time, drag_drop, show_tooltip, show_weekend, view_link, id_page, css_column) FROM stdin;
2f6fefac-884d-4295-97f3-b09c571b3f42	title	start_ev	end_ev	\N	650	{timeGridDay,listWeek,multiMonthYear,dayGridMonth,timeGridWeek}	t	t	t	t	/content/5051/?P5051_ID=#id#	bbbfba99-f656-4a05-a070-216215b4b4bb	color_class
720fe225-ca3d-4555-99bc-a381269d39ea	title	start_ev	end_ev	\N	200	{multiMonthYear,dayGridMonth,timeGridWeek,timeGridDay,listWeek}	t	f	t	t	/content/5051/?P5051_ID=#id#	45a1f80e-3900-4f07-8cde-89e476b24529	color_class
5181276e-a555-4e90-924f-f84100e4cb53	title	start_ev	end_ev	\N	500	{timeGridDay,listWeek,multiMonthYear,dayGridMonth,timeGridWeek}	t	t	t	t	/content/5051/?P5051_ID=#id#	89ecce48-2531-498f-8eae-2bfb5494e66d	color_class
\.


--
-- Data for Name: t_cards; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_cards (id, theme, columns, id_page) FROM stdin;
94815d05-4cca-4560-a1c7-7a34df113e64	featured	4	45a1f80e-3900-4f07-8cde-89e476b24529
950d02de-c9f4-4038-bbb3-8bacaadc12ee	basic	2	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1
367ddd19-8fef-4c5e-8748-b2090a59395a	block	2	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1
2d9c5ed8-0886-46d8-94c8-ea51ad74e8ca	featured	2	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1
d6ccbf13-07e3-4913-86a2-571410d9a89e	basic	2	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1
c6a37bab-3263-4f88-8373-1e0a06a94f75	basic	1	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1
abcc99cd-4228-4a02-a2e6-9f6ff599bd12	basic	4	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1
95c49c2d-e3b4-478a-a132-5bc65c81d952	block	3	f8a4d019-89e4-4ec6-82bc-add1851ffe89
b757ce40-0827-4ff0-971f-d99659551fe3	block	2	f8a4d019-89e4-4ec6-82bc-add1851ffe89
85be2e7f-42d4-4542-91fe-9f343626db68	block	2	66172bff-a801-47bf-935a-25abd312e5df
dce2e63b-5f39-41f2-b8a9-85c2acc7e39c	block	5	f8a4d019-89e4-4ec6-82bc-add1851ffe89
fd78c24a-1e95-46c6-8fb9-37645e927cba	basic	5	66172bff-a801-47bf-935a-25abd312e5df
1e2114dc-3edd-4f24-8e73-5696ba00cfae	block	5	f8a4d019-89e4-4ec6-82bc-add1851ffe89
8fbe3a46-7340-42c2-a9f1-8d2035bb6656	block	3	f8a4d019-89e4-4ec6-82bc-add1851ffe89
916c425a-b95b-45dc-a944-7ac8a127fecb	block	1	f8a4d019-89e4-4ec6-82bc-add1851ffe89
af71ee37-7f4a-4b6e-9b12-b7f4ac37570b	block	3	f8a4d019-89e4-4ec6-82bc-add1851ffe89
906d79b1-bcab-4242-9230-0167137544bb	block	4	f8a4d019-89e4-4ec6-82bc-add1851ffe89
2e9d19df-310a-49b3-bc3b-1de8489f7226	block	3	f8a4d019-89e4-4ec6-82bc-add1851ffe89
f7461b08-fbc1-4ed5-a4c4-93384c44d377	block	4	f8a4d019-89e4-4ec6-82bc-add1851ffe89
\.


--
-- Data for Name: t_chart_series; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_chart_series (id_series, id_region, name, seq, value_column, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, id_page) FROM stdin;
7bec583d-73ce-4939-9b93-9254e4f699c6	eb0625d9-4b6a-4fd5-a20b-99dc1772f2e0	Кол-во дней в 2022	1	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
b23c55b9-ffdb-4b15-8bbd-c8a4ffc9fb40	e4bc2947-80e6-4793-9008-c3eaceb4753f	Рабочих дней	1	work_days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
f38defed-485b-4d64-8e3b-b318b9f4ddc8	e4bc2947-80e6-4793-9008-c3eaceb4753f	Выходных дней	2	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
e3073730-80f0-4833-b3d9-6cfeea6b76c1	ca31f4d3-9a8c-45c5-b1e0-42561c365a29	Выходных дней	2	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
01c9e016-cb43-475b-97ea-00f7bb7727f4	ca31f4d3-9a8c-45c5-b1e0-42561c365a29	Рабочих дней	1	work_days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
93b4e802-118f-4e7e-a77b-ed39013b0371	5db79571-bfec-418c-a543-085a94192873	Кол-во дней	1	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
ad373b46-8fe0-42b6-a383-d64077924f97	b09879bb-cad1-4f8d-8681-19ee5441e3bf	Рабочих дней 2	1	work_days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
abd19333-02e6-4266-94a1-5a13561bc5d9	b09879bb-cad1-4f8d-8681-19ee5441e3bf	Выходных дней 2	2	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
b095f734-d456-4ea9-b214-be125ed4b281	0200c4d5-5c64-4065-a099-8b056b45cfef	Рабочих дней 2 2	1	work_days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
ceaaccd5-c5de-4a29-9ee4-5b921694161f	0200c4d5-5c64-4065-a099-8b056b45cfef	Выходных дней 2 2	2	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
d4988cff-7a9a-438c-9246-fe137c52ec56	0200c4d5-5c64-4065-a099-8b056b45cfef	Рабочих дней 2 2	1	work_days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
424a02fc-0a2b-4a84-89d7-11fd84b1c3b5	0200c4d5-5c64-4065-a099-8b056b45cfef	Выходных дней 2 2	2	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
40ee1b2b-a1ff-411b-9ed4-b2ff372bfefa	11e06436-8279-43cb-ac09-406d4b42ab18	Рабочих дней	1	work_days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
64a7198c-ff50-49a0-8627-c9ada7d16514	11e06436-8279-43cb-ac09-406d4b42ab18	Выходных дней	2	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
586bebac-7b60-49e2-b982-68309c2b3451	c033ae06-6875-4afa-ba2a-4f88a7cc7a04	Рабочих дней	1	work_days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
e1675f79-9a5e-4400-bd45-df163bc49e25	c033ae06-6875-4afa-ba2a-4f88a7cc7a04	Выходных дней	2	days	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
9e79659e-8050-40b8-87df-26d923085d0b	f38bbbfd-632c-4709-b5c6-c204844b23f4	Кол-во клиентов	10	cl_count	ALWAYS	\N	\N	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
ef67361c-1b44-45f1-a1ea-70524b1030a3	60884712-b3eb-411c-b63a-2f2a4059c490	Количество	10	cnt	ALWAYS	\N	\N	\N	\N	45a1f80e-3900-4f07-8cde-89e476b24529
3e7c66c3-17b3-47a8-b7fe-e259277af737	811afe45-9e7f-4504-9e07-ab8e67cde50f	Температура (℃)	10	temp_val	ALWAYS	\N	\N	\N	\N	9361b40f-16b6-4110-8089-16abba870bae
\.


--
-- Data for Name: t_charts; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_charts (id, chart_type, category_column, dynamic_load, width, height, id_page) FROM stdin;
c033ae06-6875-4afa-ba2a-4f88a7cc7a04	LINE	quater	f	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
11e06436-8279-43cb-ac09-406d4b42ab18	AREA	quater	f	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
e4bc2947-80e6-4793-9008-c3eaceb4753f	COLUMN	quater	f	\N	\N	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
ca31f4d3-9a8c-45c5-b1e0-42561c365a29	BAR	quater	f	\N	250	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
eb0625d9-4b6a-4fd5-a20b-99dc1772f2e0	DONUT	day_kind	f	\N	250	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
5db79571-bfec-418c-a543-085a94192873	DONUT	quater	f	\N	250	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
f38bbbfd-632c-4709-b5c6-c204844b23f4	BAR	cl_type	f	\N	250	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3
60884712-b3eb-411c-b63a-2f2a4059c490	BAR	cat_name	f	\N	150	45a1f80e-3900-4f07-8cde-89e476b24529
811afe45-9e7f-4504-9e07-ab8e67cde50f	LINE	time_val	f	\N	\N	9361b40f-16b6-4110-8089-16abba870bae
\.


--
-- Data for Name: t_chat; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_chat (id, id_page, height, max_height, scroll_bottom) FROM stdin;
51b973d0-ed89-4c0d-b15e-58c1e21649b2	45a1f80e-3900-4f07-8cde-89e476b24529	600px	\N	f
17e3d7e5-706f-4327-a14b-f222bd05dc68	b9fdd2e2-f39c-4930-91d2-9eecd3626960	600px	800px	f
\.


--
-- Data for Name: t_report; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_report (id, enable_search, enable_pagination, enable_heading, row_limit, appearance, no_data_message, id_page, enable_actions, stripes, hover, cell_padding, row_border, head_wrap, cell_wrap, enable_download, csv_separator, download_name, csv_encoding, download_formats) FROM stdin;
c0cc8d42-8339-475c-a95a-c9ffc3d93733	t	t	f	1	COLVAL	Установите параметры для списков в Администрирование - Параметры - Справочники	8d795ae5-9e4c-47d3-a940-dcba059599ed	t	t	t	t	t	t	t	f	\N	\N	\N	\N
9a34ae36-42e2-4e0a-9c46-a600b62e3171	f	t	t	15	STANDART	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	t	t	t	t	t	t	f	\N	\N	\N	\N
e5e6127c-2564-4c70-8d9f-2e82499b7819	f	t	t	100	STANDART	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	t	t	t	t	t	t	f	\N	\N	\N	\N
51f88492-67e2-44a6-b2a9-e766796c5a22	f	f	f	1	COLVAL	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	t	t	t	t	t	t	f	\N	\N	\N	\N
0a80e45c-aefd-4e52-96dc-23b8a1537131	f	t	t	5	STANDART	\N	3006c64d-7487-4960-bdfc-f8565c02fd11	f	t	t	t	t	t	t	f	\N	\N	\N	\N
825d1fcd-910e-4dc0-8d84-a4a472ac727f	f	t	t	10	STANDART	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	t	t	t	t	t	t	f	\N	\N	\N	\N
cca51aa0-2f12-4553-a926-6ec6a4d11e25	f	f	t	100	STANDART	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	t	t	t	t	t	t	f	\N	\N	\N	\N
af573ef8-07e5-4287-be83-b8482093440a	f	f	t	100	STANDART	\N	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	f	t	t	t	t	t	t	f	\N	\N	\N	\N
10422b79-459b-42d1-a94f-09ddf961b22e	f	f	f	1	COLVAL	\N	abea137b-d0a9-4bab-82cb-9de6b820aa29	f	t	t	t	t	t	t	f	\N	\N	\N	\N
85d78055-0296-4c1e-b6c4-fa7e98bc3ee7	t	t	t	5	STANDART	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	t	t	t	t	t	t	t	f	\N	\N	\N	\N
bd9794c7-a6fd-43e7-a9b4-baed939f9178	t	t	t	15	STANDART	\N	45a1f80e-3900-4f07-8cde-89e476b24529	t	t	t	t	t	t	t	f	\N	\N	\N	\N
f417efa8-6bf1-4284-b9b2-01ade98d75c3	f	t	f	5	STANDART	\N	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	f	t	t	t	t	t	t	f	\N	\N	\N	\N
fb9251d1-45ab-4df2-aa67-e66f5b5b9960	f	t	t	10	STANDART	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	t	t	t	t	t	t	f	\N	\N	\N	\N
bdf2cb37-8b42-45d9-8ff5-2ab1752b5426	f	t	t	100	STANDART	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	t	t	t	t	t	t	f	\N	\N	\N	\N
2800fcac-3dc0-4056-b5fc-348b9204de99	f	f	f	1	COLVAL	\N	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	f	t	t	t	t	t	t	f	\N	\N	\N	\N
772cb4e8-b46d-41fa-a1e4-7236376a082c	t	t	t	100	STANDART	\N	395332e9-d054-4722-a1f0-5b3817df0590	f	t	t	t	t	t	t	f	\N	\N	\N	\N
2c65c700-fe73-4b56-adc9-c3bf70c5b3d8	f	f	f	1	COLVAL	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	t	t	t	t	t	t	f	\N	\N	\N	\N
38a70eca-429f-4b65-9ee1-3f45e50fd16b	f	f	f	1	COLVAL	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	t	t	t	t	t	t	f	\N	\N	\N	\N
467edafd-dbe1-4a78-9b27-55d7adbd157c	f	f	f	1	COLVAL	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	t	t	t	t	t	t	f	\N	\N	\N	\N
933fe434-0ef0-46ce-a90a-7f6bfe442044	t	t	t	50	STANDART	Нет загруженных файлов	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	t	t	t	t	t	t	t	t	;	files	windows-1251	\N
29c10485-4e5b-4893-b16d-9dfb4dac2d25	f	t	t	100	STANDART	\N	232dee12-c7d7-4237-9cd0-d8060d7b0c62	f	t	t	t	t	t	t	f	\N	\N	\N	\N
4926a017-af1f-478f-a704-06804ae85ae9	f	f	t	5	STANDART	\N	aebc3f92-c789-4a1a-968a-7900d589269d	f	t	t	t	t	t	t	f	\N	\N	\N	\N
f55836f9-b45d-434a-a093-7930c7639e97	f	f	t	5	STANDART	\N	405ed4af-edc6-48b3-bf94-806103b3d2b7	f	t	t	t	t	t	t	f	\N	\N	\N	\N
203970cd-b76e-4b09-a575-7036d3c8016b	f	f	t	15	STANDART	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	t	t	t	t	t	t	f	\N	\N	\N	\N
bddda6c9-05e3-4573-a83e-199ac6f5e4d7	f	t	f	1	COLVAL	\N	c157113b-bd24-49df-84a2-62c280bd48b9	f	t	t	t	t	t	t	f	\N	\N	\N	\N
e559c433-0c7f-4d69-b18d-fe3ff48b3cf5	f	f	t	15	STANDART	\N	d1533edb-4578-4939-88c0-38a6ad2f4c7c	f	t	t	t	t	t	t	f	\N	\N	\N	\N
100a2463-a254-45bd-b004-232efffd80fd	f	f	t	5	STANDART	\N	1402158f-55cf-47b1-88b6-30cadfded13a	f	t	t	t	t	t	t	f	\N	\N	\N	\N
7bedf9e7-2c01-4260-ae42-f4430d7c55ad	f	t	t	5	STANDART	\N	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	f	t	t	t	t	t	t	f	\N	\N	\N	\N
82bfddde-a19a-4639-9ca1-6cc356b703c9	f	f	f	25	STANDART	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	t	t	t	t	t	t	f	\N	\N	\N	\N
bbbf7584-4280-41ee-911d-0a2e9d8d6b91	t	t	t	5	STANDART	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	t	t	t	t	t	t	t	f	\N	\N	\N	\N
9cf13233-eb16-43b6-996b-6de943390974	f	f	f	15	STANDART	Данные не сохранены!	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	f	t	t	t	t	t	t	f	\N	\N	\N	\N
b7cb44a2-7fa0-4e5a-99d8-a416f0c6f360	f	f	f	15	STANDART	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	t	t	t	t	t	t	f	\N	\N	\N	\N
b3b7de48-f321-4092-a61c-0937b61d4fc0	t	t	t	3	STANDART	Установите параметры для списков в Администрирование - Параметры - Справочники	8d795ae5-9e4c-47d3-a940-dcba059599ed	t	t	t	t	t	t	t	t	;	standart_report	utf-8	{CSV,XLSX}
45c5bfe4-1d10-44ec-ab87-0590a7f701bb	t	t	t	5	STANDART	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	t	t	t	t	t	t	t	t	;	standart_report	utf-8	{CSV,XLSX}
acf7ed79-78bf-499f-9dec-9f0e3f077dd7	t	t	f	3	STANDART	Установите параметры для списков в Администрирование - Параметры - Справочники	8d795ae5-9e4c-47d3-a940-dcba059599ed	t	t	t	t	t	t	t	t	;	standart_report	utf-8	{CSV,XLSX}
9c14f2a1-7829-41e5-a68a-957e6a7e4eea	t	t	t	100	STANDART	Данные не найдены	537cdd83-9057-43fe-8d89-2144884383f7	t	t	t	t	t	t	t	t	;	users	windows-1251	{XLSX}
f6a81659-7d15-4938-be71-b484e989215e	f	f	f	15	COLVAL	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	t	t	t	t	t	t	f	\N	\N	\N	\N
e21009c4-745f-4f2e-954b-fd4b60a13672	t	t	t	5	STANDART	\N	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	t	t	t	t	t	t	t	t	\N	excel_from_report	\N	{XLSX}
bb8bafb8-d57c-4646-8a94-e4488d1729da	f	f	f	15	COLVAL	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	t	t	t	t	t	t	f	\N	\N	\N	\N
\.


--
-- Data for Name: t_report_columns; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_report_columns (id, id_region, query_column_id, column_alias, column_display_seq, column_heading, column_type, column_link, column_icon, sortable, searchable, align, format_mask, column_width, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, column_formating, associated_item, id_page, generic, data_type, link_target, link_title, link_class) FROM stdin;
0074c738-0476-4788-8153-e2b3d5129986	bd9794c7-a6fd-43e7-a9b4-baed939f9178	1	id	10	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	45a1f80e-3900-4f07-8cde-89e476b24529	f	NUMBER	\N	\N	\N
e3a0c741-1d61-4021-bb88-93ba5042ef9e	bd9794c7-a6fd-43e7-a9b4-baed939f9178	2	tab2	20	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	45a1f80e-3900-4f07-8cde-89e476b24529	f	STRING	\N	\N	\N
0b7771b5-9469-4ad2-8d0f-fb30416b9b12	bd9794c7-a6fd-43e7-a9b4-baed939f9178	3	tab3	30	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	45a1f80e-3900-4f07-8cde-89e476b24529	f	STRING	\N	\N	\N
5a63ff90-2afa-490a-b82c-827977eb8ada	51f88492-67e2-44a6-b2a9-e766796c5a22	1	username	1	Пользователь	TEXT	\N	\N	f	f	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	STRING	\N	\N	\N
35d9b8e9-a18b-4ac3-99af-ebd75666ae42	bddda6c9-05e3-4573-a83e-199ac6f5e4d7	1	id	10	ИД	TEXT	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c157113b-bd24-49df-84a2-62c280bd48b9	f	STRING	\N	\N	\N
51e9f44b-2aab-4d93-b6e9-32de142b9380	bddda6c9-05e3-4573-a83e-199ac6f5e4d7	2	rank	20	Рейтинг	TEXT	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c157113b-bd24-49df-84a2-62c280bd48b9	f	NUMBER	\N	\N	\N
cead2da9-4b63-43ff-8f2f-9958a2fff495	bddda6c9-05e3-4573-a83e-199ac6f5e4d7	4	film_name	40	Название	TEXT	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c157113b-bd24-49df-84a2-62c280bd48b9	f	STRING	\N	\N	\N
15d87110-c6e3-46d2-af79-eddeef5a44fc	bddda6c9-05e3-4573-a83e-199ac6f5e4d7	5	film_type	50	Тип	TEXT	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c157113b-bd24-49df-84a2-62c280bd48b9	f	STRING	\N	\N	\N
bb7c79c1-d8cc-46e4-9fc0-36075c51f976	bddda6c9-05e3-4573-a83e-199ac6f5e4d7	6	top_stars	60	Звезды	TEXT	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c157113b-bd24-49df-84a2-62c280bd48b9	f	STRING	\N	\N	\N
93fcd1a8-c54b-4293-828d-aae414578bcd	f55836f9-b45d-434a-a093-7930c7639e97	7	output_params	60	Выходные параметры	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	405ed4af-edc6-48b3-bf94-806103b3d2b7	f	STRING	\N	\N	\N
82476c00-cb48-4c21-9b30-cf66e4b1146d	0a80e45c-aefd-4e52-96dc-23b8a1537131	1	username	20	Логин	TEXT	\N	\N	f	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	3006c64d-7487-4960-bdfc-f8565c02fd11	f	STRING	\N	\N	\N
396009f4-a022-43bf-a101-767ce71d97ac	0a80e45c-aefd-4e52-96dc-23b8a1537131	2	email	30	Почта	TEXT	\N	\N	f	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	3006c64d-7487-4960-bdfc-f8565c02fd11	f	STRING	\N	\N	\N
5b5a1dd3-ef8a-48d2-82a0-538b35ce0807	0a80e45c-aefd-4e52-96dc-23b8a1537131	3	last_login	50	Последний вход	TEXT	\N	\N	t	f	left	dd.mm.yyyy hh24:mi:ss	\N	ALWAYS	\N	\N	\N	\N	\N	\N	3006c64d-7487-4960-bdfc-f8565c02fd11	f	DATE	\N	\N	\N
40123737-416e-4f76-b922-6f2d8a336b18	f55836f9-b45d-434a-a093-7930c7639e97	1	id	70	\N	HIDDEN	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	405ed4af-edc6-48b3-bf94-806103b3d2b7	f	STRING	\N	\N	\N
45c4588f-91df-423e-82ce-344e7bad6d2b	bddda6c9-05e3-4573-a83e-199ac6f5e4d7	7	film_years	70	Год производства	TEXT	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c157113b-bd24-49df-84a2-62c280bd48b9	f	STRING	\N	\N	\N
f9914883-13de-4fb0-9a8f-4bd98e1c8a98	bddda6c9-05e3-4573-a83e-199ac6f5e4d7	3	image_url	30	Постер	TEXT	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	<img src="#image_url#" width="512px">	\N	c157113b-bd24-49df-84a2-62c280bd48b9	f	STRING	\N	\N	\N
798c4033-436f-46b0-9002-ca592feaa327	7bedf9e7-2c01-4260-ae42-f4430d7c55ad	1	id	10	\N	LINK	/content/7301/?P7301_ID_CLIENT=#id#	mdi mdi-square-edit-outline	f	f	left	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	f	NUMBER	\N	\N	\N
f58b2fe6-6eec-404d-ab78-5289099d6821	7bedf9e7-2c01-4260-ae42-f4430d7c55ad	2	last_name	20	Фамилия	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	f	STRING	\N	\N	\N
ac3c98da-9293-48a4-a289-0444bd9820d3	f55836f9-b45d-434a-a093-7930c7639e97	6	input_params	50	Входные параметры	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	405ed4af-edc6-48b3-bf94-806103b3d2b7	f	STRING	\N	\N	\N
1db5252d-ebc3-46dd-886e-c976c57af516	85d78055-0296-4c1e-b6c4-fa7e98bc3ee7	2	date_of_birth	20	Дата рождения	TEXT	\N	\N	t	t	center	DD.MM.YYYY	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
7f4a19c8-4457-430e-b08d-94786d3ac607	85d78055-0296-4c1e-b6c4-fa7e98bc3ee7	3	email	30	Эл. почта	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
ed269826-ab21-42a7-aa09-327882c8f503	51f88492-67e2-44a6-b2a9-e766796c5a22	2	last_name	2	Фамилия	TEXT	\N	\N	t	t	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	STRING	\N	\N	\N
0abcbf96-c5d2-4f50-a4c5-265306a2dbda	51f88492-67e2-44a6-b2a9-e766796c5a22	3	first_name	3	Имя	TEXT	\N	\N	t	t	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	STRING	\N	\N	\N
2b02d6d4-003f-4a8e-9905-0f0f53c4fdb4	e5e6127c-2564-4c70-8d9f-2e82499b7819	1	name	1	Роль	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	STRING	\N	\N	\N
030ab352-a74c-41da-a91b-db3987c57e93	e5e6127c-2564-4c70-8d9f-2e82499b7819	2	date_created	2	Дата выдачи	TEXT	\N	\N	f	f	left	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	DATE	\N	\N	\N
03f88c93-3ca1-4868-9842-50a0543e2b2f	e5e6127c-2564-4c70-8d9f-2e82499b7819	3	created_by	3	Кто выдал	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	STRING	\N	\N	\N
739c8bea-2a15-4235-8209-7177efa8e4ae	2c65c700-fe73-4b56-adc9-c3bf70c5b3d8	1	is_first_login	1	Первый вход	TEXT	\N	\N	f	f	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	STRING	\N	\N	\N
a16c88ba-bfba-431a-9ee3-0077184aed1f	2c65c700-fe73-4b56-adc9-c3bf70c5b3d8	2	date_created	2	Дата создания	TEXT	\N	\N	f	f	right	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	DATE	\N	\N	\N
7e69e878-edb8-4233-b7a8-f36dcd88463f	2c65c700-fe73-4b56-adc9-c3bf70c5b3d8	3	created_by	3	Кто создал	TEXT	\N	\N	f	f	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	STRING	\N	\N	\N
00945727-b2a7-476a-89c3-cd1e6de1b401	2c65c700-fe73-4b56-adc9-c3bf70c5b3d8	4	date_modified	4	Дата изменения	TEXT	\N	\N	f	f	right	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	DATE	\N	\N	\N
3137de66-232c-4d0a-b600-f8ab7256beeb	7bedf9e7-2c01-4260-ae42-f4430d7c55ad	3	first_name	30	Имя	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	f	STRING	\N	\N	\N
65057113-fe31-4c76-b8c3-545a6c667dd3	933fe434-0ef0-46ce-a90a-7f6bfe442044	1	id	10	Номер	TEXT	\N	\N	t	t	right	\N	75	ALWAYS	\N	\N	\N	\N	\N	\N	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	f	NUMBER	\N	\N	\N
52cbb862-d64d-4dba-b85c-4bc6fe822c30	2c65c700-fe73-4b56-adc9-c3bf70c5b3d8	5	modified_by	5	Кто изменил	TEXT	\N	\N	f	f	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	STRING	\N	\N	\N
f66f7e5c-9334-4b71-816b-ea0d671deed2	100a2463-a254-45bd-b004-232efffd80fd	1	id	50	\N	HIDDEN	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	1402158f-55cf-47b1-88b6-30cadfded13a	f	NUMBER	\N	\N	\N
bb1d32f0-f127-4a27-a184-2831d2f326cb	100a2463-a254-45bd-b004-232efffd80fd	5	auth_code	40	SQL-запрос	LINK	/content/6301/?P6301_ID_AUTHENTICATION=#id#	mdi mdi-square-edit-outline	f	f	left	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	1402158f-55cf-47b1-88b6-30cadfded13a	f	STRING	\N	\N	\N
c8ec0c26-025a-4ab9-8216-629ddf5430c5	cca51aa0-2f12-4553-a926-6ec6a4d11e25	2	short_name	3	Код	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	STRING	\N	\N	\N
51abacae-87a8-471f-9ae0-67cc66b5eb50	100a2463-a254-45bd-b004-232efffd80fd	2	auth_name	10	Имя схемы	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	1402158f-55cf-47b1-88b6-30cadfded13a	f	STRING	\N	\N	\N
c3eefd68-0cf0-4dfb-a641-5cdd933f1af1	100a2463-a254-45bd-b004-232efffd80fd	3	page	20	Страница	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	1402158f-55cf-47b1-88b6-30cadfded13a	f	STRING	\N	\N	\N
62af6899-5870-4c54-8ffb-5297bcecb273	7bedf9e7-2c01-4260-ae42-f4430d7c55ad	5	date_of_birth	60	Дата рождения	TEXT	\N	\N	f	f	center	DD.MM.YYYY	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	f	DATE	\N	\N	\N
f8c5f005-b11a-47db-8fac-f4f189a18640	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	4	email	40	E-mail	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	STRING	\N	\N	\N
678dd715-cc2c-4452-bc59-a05c363a2818	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	2	username	30	Имя пользователя	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	<input type="hidden" value="#link#"></input>#username#	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	STRING	\N	\N	\N
01b8b2f1-c34f-4e27-9f42-499e727dcc85	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	6	chk1	80	\N	HIDDEN	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	NUMBER	\N	\N	\N
562774c3-b7e5-4509-a22a-b6ba8a3de598	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	7	date_modified	60	Дата изменения	TEXT	\N	\N	t	t	center	DD.MM.YYYY	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	DATE	\N	\N	\N
2396618a-6f7e-49b6-8d77-4104cee9831c	51f88492-67e2-44a6-b2a9-e766796c5a22	4	email	5	Email	TEXT	\N	\N	t	t	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	STRING	\N	\N	\N
390f9a40-6d91-4450-b586-3064de846ccd	51f88492-67e2-44a6-b2a9-e766796c5a22	5	phone	6	Телефон	TEXT	\N	\N	t	t	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	f	STRING	\N	\N	\N
28b80c14-a753-4202-8a01-cf130ffdb870	2800fcac-3dc0-4056-b5fc-348b9204de99	1	date_created	1	Дата создания	TEXT	\N	\N	f	f	right	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	f	DATE	\N	\N	\N
af69ae90-d0eb-472e-a2be-94835d994428	2800fcac-3dc0-4056-b5fc-348b9204de99	2	created_by	2	Кто создал	TEXT	\N	\N	f	f	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	f	STRING	\N	\N	\N
cdf9ca0e-e758-493e-bc4b-761e7a7940bc	2800fcac-3dc0-4056-b5fc-348b9204de99	3	date_modified	3	Дата изменения	TEXT	\N	\N	f	f	right	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	f	DATE	\N	\N	\N
d5dc7bdc-a2f3-400c-9b6a-12261c1d65cc	2800fcac-3dc0-4056-b5fc-348b9204de99	4	modified_by	4	Кто изменил	TEXT	\N	\N	f	f	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	f	STRING	\N	\N	\N
72d696ea-b5b3-4ba9-9db0-5055f3710546	f55836f9-b45d-434a-a093-7930c7639e97	4	req_name	30	Код запроса	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	405ed4af-edc6-48b3-bf94-806103b3d2b7	f	STRING	\N	\N	\N
6a835a03-f779-436e-b440-9ff70b82e3e5	933fe434-0ef0-46ce-a90a-7f6bfe442044	5	created_by	40	Кто создал	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	f	STRING	\N	\N	\N
a1c198f6-4c3b-47d8-af95-f0abf572d27f	cca51aa0-2f12-4553-a926-6ec6a4d11e25	1	link	1	\N	LINK	javascript:jsAPI.pageModal('/1101/?P1101_ID=#link#&clear=1101', 'Роль')	mdi mdi-square-edit-outline	f	f	left	\N	20	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	NUMBER	\N	\N	\N
b33a4da7-f14e-4f04-8f5e-1eba9938b28c	100a2463-a254-45bd-b004-232efffd80fd	4	input_params	30	Входные параметры	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	1402158f-55cf-47b1-88b6-30cadfded13a	f	STRING	\N	\N	\N
ff95e32a-22e9-4863-b20a-b9eb5f03b2ea	cca51aa0-2f12-4553-a926-6ec6a4d11e25	3	name	4	Роль	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	STRING	\N	\N	\N
6d349eb6-90d3-4f3f-851b-bb9f179a63da	cca51aa0-2f12-4553-a926-6ec6a4d11e25	4	description	5	Описание	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	STRING	\N	\N	\N
8db44fe1-207e-455a-9dd0-392467a8451b	f417efa8-6bf1-4284-b9b2-01ade98d75c3	1	item_name	10	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	f	STRING	\N	\N	\N
7ddb7888-9abb-4032-a5ce-9fb5ac850784	f417efa8-6bf1-4284-b9b2-01ade98d75c3	2	item_value	20	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	f	STRING	\N	\N	\N
78e8a079-644c-4290-83d5-3f63b9327877	933fe434-0ef0-46ce-a90a-7f6bfe442044	6	date_created	50	Дата создания	TEXT	\N	\N	t	t	center	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	f	DATE	\N	\N	\N
472a7889-b145-4f97-bbac-c0dcf78a83b2	4926a017-af1f-478f-a704-06804ae85ae9	2	item_value	20	Значение	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	aebc3f92-c789-4a1a-968a-7900d589269d	f	STRING	\N	\N	\N
0df2846d-fb78-4da6-ba6e-e76b446113a7	9a34ae36-42e2-4e0a-9c46-a600b62e3171	4	del	40	\N	HIDDEN	\N	\N	f	f	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	NUMBER	\N	\N	\N
66154ec7-1d04-4802-bf04-0917c183a87e	29c10485-4e5b-4893-b16d-9dfb4dac2d25	1	id	1	\N	LINK	/content/3010/?P3010_ID=#id#&clear=3010	mdi mdi-square-edit-outline	f	f	left	\N	20	ALWAYS	\N	\N	\N	\N	\N	\N	232dee12-c7d7-4237-9cd0-d8060d7b0c62	f	NUMBER	\N	\N	\N
64ba3f58-b94f-4be6-904d-667e4c6a14c0	933fe434-0ef0-46ce-a90a-7f6bfe442044	4	desc_text	90	Описание	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	f	STRING	\N	\N	\N
56edf3cd-6c86-4a31-a46c-def411f66256	29c10485-4e5b-4893-b16d-9dfb4dac2d25	2	code	3	Код	TEXT	\N	\N	t	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	232dee12-c7d7-4237-9cd0-d8060d7b0c62	f	STRING	\N	\N	\N
af8948bc-818c-406d-8930-d4392ba4fe23	af573ef8-07e5-4287-be83-b8482093440a	4	full_name	4	Полное наименование	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	f	STRING	\N	\N	\N
efe2ab91-b64b-464e-89cb-3b1a9c4f7c60	29c10485-4e5b-4893-b16d-9dfb4dac2d25	3	name	17	Имя параметра	TEXT	\N	\N	t	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	232dee12-c7d7-4237-9cd0-d8060d7b0c62	f	STRING	\N	\N	\N
1cd2c58a-fdd3-42d1-a8b2-4100beecf114	772cb4e8-b46d-41fa-a1e4-7236376a082c	2	name	3	Имя страницы	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	395332e9-d054-4722-a1f0-5b3817df0590	f	STRING	\N	\N	\N
b6be9aba-1095-4e34-85dd-43df37bc6f7b	933fe434-0ef0-46ce-a90a-7f6bfe442044	7	download	60	\N	LINK	/pghs/download?request=DOWNLOAD_FILE&G01=#download#&page=3012	mdi mdi-download	f	f	left	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	f	NUMBER	\N	\N	\N
1a17bf5c-893f-4586-9e81-b3fb6d18e5bd	29c10485-4e5b-4893-b16d-9dfb4dac2d25	4	c1	5	Строка 1	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	232dee12-c7d7-4237-9cd0-d8060d7b0c62	f	STRING	\N	\N	\N
9cd1001a-31a9-481c-872a-8efea8c4bd08	772cb4e8-b46d-41fa-a1e4-7236376a082c	1	id	1	Страница	LINK	javascript:jsAPI.submit({"REQUEST":"ADD_ROLE_ACCESS", "PAGE":"1102", "P1102_ID_PAGE": "#id#"},{onSuccess: function(res){jsAPI.modal.close();jsAPI.refresh({id:'PAGES',page:'1100'});jsAPI.notification.success('Страница успешно привязана к роли!');}});	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	#id#	\N	395332e9-d054-4722-a1f0-5b3817df0590	f	NUMBER	\N	\N	\N
3cde8a6f-c567-49d1-b5cb-457938202d3d	933fe434-0ef0-46ce-a90a-7f6bfe442044	3	title	80	Наименование	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	f	STRING	\N	\N	\N
12755d7a-3dd0-48e8-8db2-2fa65c83f164	29c10485-4e5b-4893-b16d-9dfb4dac2d25	5	n1	6	Число 1	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	232dee12-c7d7-4237-9cd0-d8060d7b0c62	f	STRING	\N	\N	\N
4d38e06a-0cbd-4f00-8f8d-98c783fa41c2	29c10485-4e5b-4893-b16d-9dfb4dac2d25	6	d1	7	Дата 1	TEXT	\N	\N	f	f	left	dd.mm.yyyy	\N	ALWAYS	\N	\N	\N	\N	\N	\N	232dee12-c7d7-4237-9cd0-d8060d7b0c62	f	DATE	\N	\N	\N
e83eb6af-f407-4e2e-aaff-9b32d76d01b3	4926a017-af1f-478f-a704-06804ae85ae9	1	item_name	10	Переменная	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	aebc3f92-c789-4a1a-968a-7900d589269d	f	STRING	\N	\N	\N
44eda261-7f11-494d-92cc-c34401cfce66	f6a81659-7d15-4938-be71-b484e989215e	1	is_first_login	10	Первый вход	TEXT	\N	\N	t	t	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	STRING	\N	\N	\N
27a6e0b8-45c3-4113-8c15-076b44bf3de0	f6a81659-7d15-4938-be71-b484e989215e	3	created_by	30	Создано	TEXT	\N	\N	t	t	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	STRING	\N	\N	\N
849a1795-4968-4e6c-9aa4-8f66396882f0	f6a81659-7d15-4938-be71-b484e989215e	2	date_created	20	Дата создания	TEXT	\N	\N	t	t	right	DD.MM.YYYY HH:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	DATE	\N	\N	\N
94f9bf50-8ec7-4f29-8be9-dd6de473b2e4	825d1fcd-910e-4dc0-8d84-a4a472ac727f	1	link	1	\N	LINK	/content/20/?P20_ID_USER=#link#&clear=20	mdi mdi-square-edit-outline	f	f	left	\N	20	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	NUMBER	\N	\N	\N
8476c9c1-6338-4df2-8d55-0a207f3019a7	825d1fcd-910e-4dc0-8d84-a4a472ac727f	2	username	2	Пользователь	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	STRING	\N	\N	\N
0e9f5ac3-8143-4ce8-8c9b-36cb2ae7d835	bdf2cb37-8b42-45d9-8ff5-2ab1752b5426	1	name	1	Роль	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	STRING	\N	\N	\N
9b5cfdc0-a256-4d0a-9e5f-07878c93cb8c	bdf2cb37-8b42-45d9-8ff5-2ab1752b5426	2	date_created	2	Дата создания	TEXT	\N	\N	t	t	left	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	DATE	\N	\N	\N
448ed4c5-29ec-4f87-87b0-8c476c4a55ab	bdf2cb37-8b42-45d9-8ff5-2ab1752b5426	3	created_by	3	Кто выдал	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	STRING	\N	\N	\N
401535e9-26b9-45b8-b3f2-af06ead638a5	bdf2cb37-8b42-45d9-8ff5-2ab1752b5426	4	del	4	\N	LINK	javascript:jsAPI.confirmModal({title: 'Удалить роль?',text: 'Вы действительно хотите удалить роль?'},{onAccept: function(){jsAPI.process('DELETE_ROLE',{'G01': '#del#'},{onSuccess: function(res) {jsAPI.refresh({id: 'ROLES',page:'20'});jsAPI.notification.success('Роль удалена');}});}});	mdi mdi-trash-can-outline	f	f	center	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	NUMBER	\N	\N	\N
4f26c192-f1bf-49f1-ba3f-6d3b69961f3e	c0cc8d42-8339-475c-a95a-c9ffc3d93733	2	date_of_birth	20	Дата рождения	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
634541e6-7838-47f7-9541-350b5018438f	10422b79-459b-42d1-a94f-09ddf961b22e	1	date_created	1	Дата создания	TEXT	\N	\N	f	f	right	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	abea137b-d0a9-4bab-82cb-9de6b820aa29	f	DATE	\N	\N	\N
b46be85a-5481-4e48-afc6-4dec26b6d57e	10422b79-459b-42d1-a94f-09ddf961b22e	2	created_by	2	Кто создал	TEXT	\N	\N	f	f	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	abea137b-d0a9-4bab-82cb-9de6b820aa29	f	STRING	\N	\N	\N
7af08cd7-4754-4e43-ab09-383628d6b659	10422b79-459b-42d1-a94f-09ddf961b22e	3	date_modified	3	Дата изменения	TEXT	\N	\N	f	f	right	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	abea137b-d0a9-4bab-82cb-9de6b820aa29	f	DATE	\N	\N	\N
3ecffb2a-c1aa-4f09-913f-8dcebed865b6	10422b79-459b-42d1-a94f-09ddf961b22e	4	modified_by	4	Кто изменил	TEXT	\N	\N	f	f	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	abea137b-d0a9-4bab-82cb-9de6b820aa29	f	STRING	\N	\N	\N
bf2daa53-4a18-40aa-a0f9-4b4c870addd1	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	5	date_created	50	Дата создания	TEXT	\N	\N	t	t	center	DD.MM.YYYY	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	DATE	\N	\N	\N
255bc416-e6b9-499c-97f4-f8efb8a429ae	38a70eca-429f-4b65-9ee1-3f45e50fd16b	1	id	1	\N	HIDDEN	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	NUMBER	\N	\N	\N
6ed05dbb-07aa-408d-97c9-747bbddbbebc	38a70eca-429f-4b65-9ee1-3f45e50fd16b	2	name	2	Имя пользователя	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
55c60969-8ec9-43e5-8725-d315a8b96a85	38a70eca-429f-4b65-9ee1-3f45e50fd16b	3	date_created	3	Дата создания	TEXT	\N	\N	f	f	left	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
55c8a203-630a-43ec-91ba-c7154b0b67a4	38a70eca-429f-4b65-9ee1-3f45e50fd16b	4	created_by	4	Создал	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
b02a29b1-e884-4a76-a4ef-bcae0e800d6c	38a70eca-429f-4b65-9ee1-3f45e50fd16b	5	date_modified	5	Дата изменения	TEXT	\N	\N	f	f	left	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
7dab6695-27e1-4a49-9526-fb02e5a1b426	38a70eca-429f-4b65-9ee1-3f45e50fd16b	6	modified_by	6	Изменил	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
1eaa3d97-871b-4d20-b015-ee6f315bcb9c	467edafd-dbe1-4a78-9b27-55d7adbd157c	1	id	1	\N	HIDDEN	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	NUMBER	\N	\N	\N
9c0c5d93-5fa3-4357-8559-d0b5c2e08eb1	467edafd-dbe1-4a78-9b27-55d7adbd157c	2	name	2	Имя пользователя	TEXT	\N	\N	f	f	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
8cccc2ec-2e81-426e-b6b1-2416f9613a90	467edafd-dbe1-4a78-9b27-55d7adbd157c	3	date_created	3	Дата создания	TEXT	\N	\N	f	f	right	DD.MM.YYYY HH24:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
4c61c468-8203-4aa5-86b1-249b104b9fc4	467edafd-dbe1-4a78-9b27-55d7adbd157c	4	created_by	4	Создал	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
fc7669e6-89d3-4c05-bde0-db35833a2ebd	467edafd-dbe1-4a78-9b27-55d7adbd157c	5	date_modified	5	Дата изменения	TEXT	\N	\N	f	f	right	DD/MonthYYYY HH24-MI-SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
dcecdd62-9efd-4b02-83d8-43f5d680fde0	467edafd-dbe1-4a78-9b27-55d7adbd157c	6	modified_by	6	Изменил	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
75cddcc5-632b-48f2-b7bc-376b084c69ce	af573ef8-07e5-4287-be83-b8482093440a	2	code	2	Код	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	f	STRING	\N	\N	\N
26643722-60c4-49df-87fd-38b980ca730a	af573ef8-07e5-4287-be83-b8482093440a	3	name	3	Наименование	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	f	STRING	\N	\N	\N
8e659bb1-ea6a-42cf-868b-6833edca17f3	af573ef8-07e5-4287-be83-b8482093440a	1	link	1	\N	LINK	javascript:jsAPI.modal.open({page:'/content/1116/?P1116_ID=#link#&clear=1116',title:'Отделение'})	mdi mdi-square-edit-outline	f	f	left	\N	20	ALWAYS	\N	\N	\N	\N	\N	\N	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	f	NUMBER	\N	\N	\N
a3d667b4-e6b5-465e-817b-546e4aa29d1c	acf7ed79-78bf-499f-9dec-9f0e3f077dd7	3	email	30	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
24e22536-ed57-4f34-bee0-4b41953e37c8	b3b7de48-f321-4092-a61c-0937b61d4fc0	2	date_of_birth	20	Дата рождения	TEXT	\N	\N	t	t	left	DD.MM.YYYY	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
ad7e76d1-2b5c-42a0-9951-2bd8ceba270c	b3b7de48-f321-4092-a61c-0937b61d4fc0	3	email	30	Электронная почта	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
26e1501b-ec13-49e8-9490-0fbd657350d1	acf7ed79-78bf-499f-9dec-9f0e3f077dd7	2	date_of_birth	20	\N	TEXT	\N	\N	t	t	left	DD.MM.YYYY	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
65106e5f-cbdb-4cd0-ab15-df26d84a962b	c0cc8d42-8339-475c-a95a-c9ffc3d93733	3	email	30	Электронная почта	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
7de182fe-606f-451b-be0d-f646885fea20	9a34ae36-42e2-4e0a-9c46-a600b62e3171	1	name	10	Роль	TEXT	\N	\N	f	f	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	STRING	\N	\N	\N
620773d4-39db-4602-83bb-0ea8fcd1525b	203970cd-b76e-4b09-a575-7036d3c8016b	7	css_class_brd	60	\N	HIDDEN	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	STRING	\N	\N	\N
9cad2fb7-c775-4fd9-bc85-bf1d48581012	203970cd-b76e-4b09-a575-7036d3c8016b	8	css_class_sql	70	\N	HIDDEN	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	STRING	\N	\N	\N
8d3376d3-2566-45f1-b43d-af83ddeeb659	9a34ae36-42e2-4e0a-9c46-a600b62e3171	3	created_by	30	Создано	TEXT	\N	\N	f	f	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	STRING	\N	\N	\N
58a7868d-e5c4-49c5-9c5b-91475bad568e	9a34ae36-42e2-4e0a-9c46-a600b62e3171	2	date_created	20	Дата создания	TEXT	\N	\N	f	f	center	DD.MM.YYYY HH:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	DATE	\N	\N	\N
37a8364f-7a2f-4407-b7dd-f69629773ebc	f6a81659-7d15-4938-be71-b484e989215e	5	modified_by	50	Изменено	TEXT	\N	\N	t	t	right	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	STRING	\N	\N	\N
c7ca9c9d-9e2f-41de-a2a7-090cf56021dd	f6a81659-7d15-4938-be71-b484e989215e	4	date_modified	40	Дата изменения	TEXT	\N	\N	t	t	right	DD.MM.YYYY HH:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	DATE	\N	\N	\N
d5f51481-2209-45b3-add7-e35884d463b9	9cf13233-eb16-43b6-996b-6de943390974	1	id_adding	10	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	f	NUMBER	\N	\N	\N
ae85e7df-df36-48fa-8b6e-42ad2c75cb4b	45c5bfe4-1d10-44ec-ab87-0590a7f701bb	3	email	30	Электронная почта	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
1ffadc60-774f-4205-a280-e2e4916c5c45	45c5bfe4-1d10-44ec-ab87-0590a7f701bb	2	date_of_birth	20	Дата рождения	TEXT	\N	\N	t	t	left	DD.MM.YYYY	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
bb0f1da4-1417-4d7f-af8c-4d25edfacc12	933fe434-0ef0-46ce-a90a-7f6bfe442044	2	file_name	100	Имя файла	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	f	STRING	\N	\N	\N
733042d6-4850-451e-a2a7-910afd4987ac	fb9251d1-45ab-4df2-aa67-e66f5b5b9960	2	name	20	Имя страницы	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	STRING	\N	\N	\N
e4108875-992b-4f95-aa56-5ec8f9ea72d2	f55836f9-b45d-434a-a093-7930c7639e97	5	proc_code	40	SQL-запрос	LINK	/content/6301/?P6301_ID_PROC=#id#&clear=6301,CR	mdi mdi-square-edit-outline	f	f	center	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	405ed4af-edc6-48b3-bf94-806103b3d2b7	f	STRING	\N	\N	\N
8e1647e2-2912-4857-bd56-e6f8f38d2e6b	9cf13233-eb16-43b6-996b-6de943390974	2	title	20	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	f	STRING	\N	\N	\N
c0b92493-f155-47f3-a326-3e68a9dbb3b2	9cf13233-eb16-43b6-996b-6de943390974	3	date_created	30	\N	TEXT	\N	\N	t	t	center	DD.MM.YYYY HH:MI:SS	\N	ALWAYS	\N	\N	\N	\N	\N	\N	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	f	DATE	\N	\N	\N
7611edbb-4b82-49cc-8b3f-ea16ab94bd6d	203970cd-b76e-4b09-a575-7036d3c8016b	6	breadcrumb	50	Хлебные крошки	TEXT	\N	\N	f	f	center	\N	50	ALWAYS	\N	\N	\N	\N	<span class="#css_class_brd# btn btn-xs">#breadcrumb#</span>	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	STRING	\N	\N	\N
c083eb4e-46e6-4f64-af5e-784adbbfe186	203970cd-b76e-4b09-a575-7036d3c8016b	2	name	10	Имя списка	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	STRING	\N	\N	\N
e5ef3258-8bed-4a5d-98c9-0bc0d9ea410c	203970cd-b76e-4b09-a575-7036d3c8016b	3	list_type	20	Тип источника данных	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	STRING	\N	\N	\N
92e4e141-8629-4cc2-8cb0-a14652d8c824	203970cd-b76e-4b09-a575-7036d3c8016b	5	list_input	40	Входные параметры	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	STRING	\N	\N	\N
aeb8a1a5-925b-43b5-b38d-be26d8974478	fb9251d1-45ab-4df2-aa67-e66f5b5b9960	1	id	1	Номер страницы	TEXT	\N	\N	t	t	right	\N	150	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	NUMBER	\N	\N	\N
8a11081d-7041-4c5b-a279-9b6dbd359274	203970cd-b76e-4b09-a575-7036d3c8016b	1	id	80	\N	HIDDEN	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	NUMBER	\N	\N	\N
548db76c-d633-4417-8461-229e5b7ed562	203970cd-b76e-4b09-a575-7036d3c8016b	4	list_query	30	SQL-запрос	LINK	/content/6301/?P6301_ID_LIST=#id#&clear=6301,CR	mdi mdi-square-edit-outline	f	f	center	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	c7d28294-b69b-407e-88b3-1bc14126346e	f	STRING	\N	\N	#css_class_sql#
4d69dfcd-ac9b-4e01-ba79-4cac784735e2	cca51aa0-2f12-4553-a926-6ec6a4d11e25	5	parent	15	Родительская роль	TEXT	\N	\N	f	f	left	\N	200	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	STRING	\N	\N	\N
0484a31a-35b3-43ac-8e6e-f3658b8bda1a	f55836f9-b45d-434a-a093-7930c7639e97	2	proc_name	10	Имя процесса	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	405ed4af-edc6-48b3-bf94-806103b3d2b7	f	STRING	\N	\N	\N
b8ea1148-2b7d-45ad-95ea-8d3164ffc06c	f55836f9-b45d-434a-a093-7930c7639e97	3	proc_type	20	Тип процесса	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	405ed4af-edc6-48b3-bf94-806103b3d2b7	f	STRING	\N	\N	\N
d779d7aa-f2d6-4e31-90cf-a710bc92c1c8	fb9251d1-45ab-4df2-aa67-e66f5b5b9960	3	del	30	\N	LINK	javascript:revokeRoleAccess('#del#')	mdi mdi-trash-can-outline	f	f	left	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	NUMBER	\N	\N	\N
8579def6-679f-40e7-b2dd-651dc72b3a54	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	1	link	10	\N	LINK	/content/20/?P20_ID_USER=#link#&clear=20,CR	mdi mdi-square-edit-outline	f	f	center	\N	20	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	NUMBER	\N	\N	\N
6e41f5cd-7159-4514-9178-e6bc87ca7d72	e559c433-0c7f-4d69-b18d-fe3ff48b3cf5	1	id	10	\N	HIDDEN	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	d1533edb-4578-4939-88c0-38a6ad2f4c7c	f	NUMBER	\N	\N	\N
e062411a-76b8-4f2f-b777-ef85c885f4cb	e559c433-0c7f-4d69-b18d-fe3ff48b3cf5	2	schema_name	20	Имя схемы	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	d1533edb-4578-4939-88c0-38a6ad2f4c7c	f	STRING	\N	\N	\N
ed7eeb10-2c86-46b3-8e19-3a85c0c666a9	e559c433-0c7f-4d69-b18d-fe3ff48b3cf5	4	input_params	40	Входные параметры	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	d1533edb-4578-4939-88c0-38a6ad2f4c7c	f	STRING	\N	\N	\N
1e8029fb-effb-478b-ace0-265384a5f0c6	e559c433-0c7f-4d69-b18d-fe3ff48b3cf5	5	error_message	50	Сообщение об ошибке доступа	TEXT	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	d1533edb-4578-4939-88c0-38a6ad2f4c7c	f	STRING	\N	\N	\N
2f3b774e-2c5f-4672-9882-e1f7b531aaa5	e559c433-0c7f-4d69-b18d-fe3ff48b3cf5	3	src_sql	100	SQL-запрос	LINK	/content/6301/?P6301_ID_AUTHORIZATION=#id#&clear=6301,CR	mdi mdi-square-edit-outline	f	f	center	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	d1533edb-4578-4939-88c0-38a6ad2f4c7c	f	STRING	\N	\N	\N
09988605-cedd-437b-ad02-b1cdc21d2c58	82bfddde-a19a-4639-9ca1-6cc356b703c9	1	column_01	10	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
b53ad4a9-6291-4e04-b485-f4a1395f6976	82bfddde-a19a-4639-9ca1-6cc356b703c9	2	column_02	20	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
dcd84168-19f6-4cba-b3e2-4ba5ad35b73f	82bfddde-a19a-4639-9ca1-6cc356b703c9	3	column_03	30	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
97ca000e-f2f8-4d7b-9c5a-f9900b6dd512	82bfddde-a19a-4639-9ca1-6cc356b703c9	4	column_04	40	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
4d6b6606-e8f3-411a-b673-7bda53680034	82bfddde-a19a-4639-9ca1-6cc356b703c9	5	column_05	50	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
bf3f994a-0043-4aad-bea8-e44091c75eff	82bfddde-a19a-4639-9ca1-6cc356b703c9	6	column_06	60	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
ff3c34b7-4f52-41ee-bbfe-81769d97a20f	82bfddde-a19a-4639-9ca1-6cc356b703c9	7	column_07	70	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
f2c03524-52a7-4b53-9a6a-dc21f99d51db	82bfddde-a19a-4639-9ca1-6cc356b703c9	8	column_08	80	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
910fe672-c595-4914-a46b-ca2f3061c132	82bfddde-a19a-4639-9ca1-6cc356b703c9	9	column_09	90	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
8e9d77fb-884e-4c0f-91a9-3d2516af96e5	82bfddde-a19a-4639-9ca1-6cc356b703c9	10	column_10	100	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	c1434e86-8781-437b-9dc6-8e3d43073659	f	STRING	\N	\N	\N
b149663a-7960-4fc7-bce9-6dc8813c7eda	b7cb44a2-7fa0-4e5a-99d8-a416f0c6f360	1	last_name	10	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	STRING	\N	\N	\N
e69f09e7-9678-4d9e-a904-da827fb95747	b7cb44a2-7fa0-4e5a-99d8-a416f0c6f360	2	first_name	20	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	STRING	\N	\N	\N
0aeea24b-26c8-4c6e-891c-43e262d30788	bb8bafb8-d57c-4646-8a94-e4488d1729da	2	date_of_birth	20	Дата рождения:	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	STRING	\N	\N	\N
b7ada657-f82f-463f-9e8f-3e5400431fca	bb8bafb8-d57c-4646-8a94-e4488d1729da	4	email	40	Электронная почта:	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	STRING	\N	\N	\N
e899b356-d6f1-49cd-ab00-8106759c9fbb	bb8bafb8-d57c-4646-8a94-e4488d1729da	3	phone	30	Номер телефона:	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	STRING	\N	\N	\N
f681823a-d52b-48d5-9471-fc793a434b02	e21009c4-745f-4f2e-954b-fd4b60a13672	1	last_name	10	Фамилия	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	f	STRING	\N	\N	\N
54537590-8958-4231-a06b-f0e92ba2a58e	e21009c4-745f-4f2e-954b-fd4b60a13672	2	first_name	20	Имя	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	f	STRING	\N	\N	\N
9bbaba6f-a534-4d1c-97b1-7f69cedcb731	e21009c4-745f-4f2e-954b-fd4b60a13672	3	email	30	Почта	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	f	STRING	\N	\N	\N
aa9a8116-b374-4028-8d4c-4f756a2dc9cb	933fe434-0ef0-46ce-a90a-7f6bfe442044	8	del	70	\N	LINK	javascript:jsAPI.confirmModal({title: 'Удалить файл?',text: 'Вы действительно хотите удалить файл?'},{onAccept: function(){jsAPI.process('DELETE',{'G01': '#del#'},{onSuccess: function(res) {jsAPI.refresh({id: 'FILES',page:'3012'});jsAPI.notification.success('Файл удален');}});}});	mdi mdi-trash-can-outline	f	f	center	\N	32	ALWAYS	\N	\N	\N	\N	\N	\N	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	f	NUMBER	\N	\N	\N
dece48f6-593d-4a6d-a22e-d4fcd05a2df4	bbbf7584-4280-41ee-911d-0a2e9d8d6b91	2	first_name	30	Имя	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
a95609a3-37fa-452d-a452-914752e89519	bbbf7584-4280-41ee-911d-0a2e9d8d6b91	4	date_of_birth	60	Дата рождения	TEXT	\N	\N	t	t	center	DD.MM.YYYY	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	DATE	\N	\N	\N
6d13701b-eef3-4fad-95ac-12b8fd197658	bbbf7584-4280-41ee-911d-0a2e9d8d6b91	3	phone	50	Телефон	TEXT	\N	\N	f	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
db73c4d0-de5a-4779-a182-0461875b7488	bbbf7584-4280-41ee-911d-0a2e9d8d6b91	5	email	70	Электронная почта	TEXT	\N	\N	f	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
4894430c-ba1c-4bd8-b5ed-b46b15d20022	bbbf7584-4280-41ee-911d-0a2e9d8d6b91	1	last_name	20	Фамилия	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
bd1e205e-91c8-4e0a-bff8-344dcf4b577b	45c5bfe4-1d10-44ec-ab87-0590a7f701bb	1	fi	10	ФИ	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
8c20a2a6-43b0-4c24-ba50-35bdffa0b618	acf7ed79-78bf-499f-9dec-9f0e3f077dd7	1	fi	10	ФИ	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
9018ec46-224e-4372-9254-3e77ba9a11f3	b3b7de48-f321-4092-a61c-0937b61d4fc0	1	fi	10	ФИ	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
5d499524-b670-41a9-9c6e-bea36a407918	c0cc8d42-8339-475c-a95a-c9ffc3d93733	1	fi	10	ФИ	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
78befab8-8cc8-4f4b-8ee6-67df3527d085	85d78055-0296-4c1e-b6c4-fa7e98bc3ee7	1	fi	10	ФИ	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	STRING	\N	\N	\N
4266c3a4-da32-4063-a26e-8fdb32de98fb	7bedf9e7-2c01-4260-ae42-f4430d7c55ad	7	cli_type	80	\N	HIDDEN	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	f	STRING	\N	\N	\N
b0600ab1-6dff-46f0-9742-471bd7345d73	7bedf9e7-2c01-4260-ae42-f4430d7c55ad	6	email	70	Электронная почта	HIDDEN	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	f	STRING	\N	\N	\N
b2739991-8bc1-4442-a302-b4ab9d27a276	7bedf9e7-2c01-4260-ae42-f4430d7c55ad	4	phone	50	Телефон	HIDDEN	\N	\N	f	f	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	f	STRING	\N	\N	\N
3e70aa0c-b633-4ff6-931e-1cf41ba33ae3	b7cb44a2-7fa0-4e5a-99d8-a416f0c6f360	4	email	50	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	STRING	\N	\N	\N
6cf9f2a3-9f07-4aa2-83e5-57561b33edb7	b7cb44a2-7fa0-4e5a-99d8-a416f0c6f360	3	phone	40	\N	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	STRING	\N	\N	\N
06fe2e7c-d7d3-478a-a7eb-3fc17122fdab	bb8bafb8-d57c-4646-8a94-e4488d1729da	1	fi	10	ФИ:	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	STRING	\N	\N	\N
10fe74da-b613-43c2-ac89-35ef60f09427	825d1fcd-910e-4dc0-8d84-a4a472ac727f	3	fi	12	ФИ	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	129c0d3a-01f7-497f-b996-d9113ab7f318	f	STRING	\N	\N	\N
0c965982-4a69-47cc-bc47-9563e8e7d222	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	8	chk	70	\N	HIDDEN	\N	\N	t	t	center	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	NUMBER	\N	\N	\N
9064ef73-1b2f-46c1-810c-33cd7ee33686	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	3	fi	20	ФИ	TEXT	\N	\N	t	t	left	\N	\N	ALWAYS	\N	\N	\N	\N	\N	\N	537cdd83-9057-43fe-8d89-2144884383f7	f	STRING	\N	\N	\N
\.


--
-- Data for Name: t_report_conditions; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_report_conditions (id, id_page, id_region, name, condition_type, column_name, operator, value1, highlight_seq, condition_sql, highlight_type, bg_color, font_color, active, id_report, value2) FROM stdin;
\.


--
-- Data for Name: t_saved_reports; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_saved_reports (id, id_session, id_region, id_page, app_user, report_name, report_seq, is_private, is_default, sort_column, sort_order, created_by, created_on, last_updated_by, last_updated_on, pagination_row, id_base, report_columns) FROM stdin;
7b17dfd3-1553-451d-8ba0-cd30d3323814	\N	9a34ae36-42e2-4e0a-9c46-a600b62e3171	537cdd83-9057-43fe-8d89-2144884383f7	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2023-06-21 09:48:13.01907	\N	\N	\N	\N	{name,date_created,created_by,del}
135d5cf3-66d2-4b03-89bb-4b2c5ebc66a4	\N	f6a81659-7d15-4938-be71-b484e989215e	537cdd83-9057-43fe-8d89-2144884383f7	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2023-06-21 09:48:13.021311	\N	\N	\N	\N	{is_first_login,date_created,created_by,date_modified,modified_by}
ba0f8eeb-50e8-4ccd-a323-be99ce7c7570	\N	2c65c700-fe73-4b56-adc9-c3bf70c5b3d8	b6b32f07-21ba-4f6a-b02a-211725303cd5	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:18:39.713342	\N	\N	\N	\N	{is_first_login,date_created,created_by,date_modified,modified_by}
f89227ba-b446-4cac-b45c-d34fd4d89c7b	\N	10422b79-459b-42d1-a94f-09ddf961b22e	abea137b-d0a9-4bab-82cb-9de6b820aa29	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2023-08-25 08:57:33.916243	\N	\N	\N	\N	{date_created,created_by,date_modified,modified_by}
c38fd94a-c5cb-4cb0-834a-003d8559ab1e	\N	e5e6127c-2564-4c70-8d9f-2e82499b7819	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 10:33:16.434857	\N	\N	\N	\N	{name,date_created,created_by}
1af53c7b-61a0-4ce8-bb0a-e277d7c31035	\N	bddda6c9-05e3-4573-a83e-199ac6f5e4d7	c157113b-bd24-49df-84a2-62c280bd48b9	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-08 05:48:11.678559	\N	\N	\N	\N	{id,rank,image_url,film_name,film_type,top_stars,film_years}
cfeaf7b7-e381-48c3-9659-3fd2aed63c54	\N	af573ef8-07e5-4287-be83-b8482093440a	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 14:38:45.938268	\N	\N	\N	\N	{link,code,name,full_name}
13eb4003-7009-408e-b9f0-f9e95f33fc71	\N	0a80e45c-aefd-4e52-96dc-23b8a1537131	3006c64d-7487-4960-bdfc-f8565c02fd11	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2024-01-25 16:06:49.131118	\N	\N	\N	\N	{username,email,last_login}
19c776f7-eb1d-4d16-ace9-6a51b36be5cd	\N	38a70eca-429f-4b65-9ee1-3f45e50fd16b	8d795ae5-9e4c-47d3-a940-dcba059599ed	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:15:23.584611	\N	\N	\N	\N	{id,name,date_created,created_by,date_modified,modified_by}
5af4734f-de9f-423e-b9b5-12a3317e290d	\N	467edafd-dbe1-4a78-9b27-55d7adbd157c	8d795ae5-9e4c-47d3-a940-dcba059599ed	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:15:23.590938	\N	\N	\N	\N	{id,name,date_created,created_by,date_modified,modified_by}
b02c977a-848f-474c-982a-9473edaa717a	\N	bdf2cb37-8b42-45d9-8ff5-2ab1752b5426	b6b32f07-21ba-4f6a-b02a-211725303cd5	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:18:39.709362	\N	\N	\N	\N	{name,date_created,created_by,del}
8264ff8a-0bbc-4505-b658-a0fd237b254c	\N	2800fcac-3dc0-4056-b5fc-348b9204de99	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2023-07-08 13:53:33.362947	\N	\N	\N	\N	{date_created,created_by,date_modified,modified_by}
4d67091a-cfc9-4af9-8d38-ae0c2b941370	c22758bf65fd1715e238bd41349068cd697d331b6e36bd4396bbc0783190c8cf	fb9251d1-45ab-4df2-aa67-e66f5b5b9960	129c0d3a-01f7-497f-b996-d9113ab7f318	admin	\N	10	t	f	\N	\N	admin	2024-07-08 11:18:12.959079	admin	2024-07-08 11:18:13.453562	20	89a43858-ed07-473c-8918-5db67fa310fb	{id,name,del}
d8fdb1f2-24e4-4b22-b470-62a099fbc352	\N	203970cd-b76e-4b09-a575-7036d3c8016b	c7d28294-b69b-407e-88b3-1bc14126346e	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-04 10:09:09.61218	\N	\N	\N	\N	{name,list_type,list_query,list_input,breadcrumb,css_class_brd,css_class_sql,id}
6575f829-abef-4ae4-bf0b-ea03e9fd0163	\N	933fe434-0ef0-46ce-a90a-7f6bfe442044	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-06-11 19:58:17.114114	admin	2024-06-11 19:58:41.834216	\N	\N	{id,file_name,title,desc_text,created_by,date_created,download,del}
4edb8bee-1525-4e56-b612-73bffde547b1	\N	bd9794c7-a6fd-43e7-a9b4-baed939f9178	45a1f80e-3900-4f07-8cde-89e476b24529	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-02-02 17:03:43.757423	\N	\N	\N	\N	{id,tab2,tab3}
c3a19759-c754-4b11-98cf-48492246ab09	\N	cca51aa0-2f12-4553-a926-6ec6a4d11e25	129c0d3a-01f7-497f-b996-d9113ab7f318	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:19:23.85243	\N	\N	\N	\N	{link,short_name,name,description,parent}
3b153f40-d7ed-4b14-9c46-510d869d13ae	\N	4926a017-af1f-478f-a704-06804ae85ae9	aebc3f92-c789-4a1a-968a-7900d589269d	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-02 03:56:32.611427	\N	\N	\N	\N	{item_name,item_value}
14e4eb53-a5af-409d-b151-97ffe07515a0	\N	772cb4e8-b46d-41fa-a1e4-7236376a082c	395332e9-d054-4722-a1f0-5b3817df0590	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-02-07 17:05:49.3065	\N	\N	\N	\N	{id,name}
cc4c475a-fb2b-4d5c-859d-8d1747976daa	\N	f417efa8-6bf1-4284-b9b2-01ade98d75c3	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-18 02:50:20.657828	\N	\N	\N	\N	{item_name,item_value}
c797995b-f618-4acc-9f1f-0a8ae42c0b96	\N	100a2463-a254-45bd-b004-232efffd80fd	1402158f-55cf-47b1-88b6-30cadfded13a	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-08 07:00:58.643757	\N	\N	\N	\N	{auth_name,page,input_params,auth_code,id}
85cd35fc-3eed-4a0c-a4cb-a72ba3ed634e	\N	29c10485-4e5b-4893-b16d-9dfb4dac2d25	232dee12-c7d7-4237-9cd0-d8060d7b0c62	XRAD_DEFAULT	\N	10	f	t	name	DESC	admin	2024-06-11 20:17:05.078633	admin	2024-06-11 20:17:16.182075	\N	\N	{id,code,name,c1,n1,d1}
ecb03039-0a2e-4120-9ac2-34a57b940bc6	\N	e559c433-0c7f-4d69-b18d-fe3ff48b3cf5	d1533edb-4578-4939-88c0-38a6ad2f4c7c	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-09 04:08:35.044729	\N	\N	\N	\N	{id,schema_name,input_params,error_message,src_sql}
f3602866-dae9-4ec9-b76f-89f53014fcc8	\N	9cf13233-eb16-43b6-996b-6de943390974	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-17 06:56:26.678652	\N	\N	\N	\N	{id_adding,title,date_created}
89a43858-ed07-473c-8918-5db67fa310fb	\N	fb9251d1-45ab-4df2-aa67-e66f5b5b9960	129c0d3a-01f7-497f-b996-d9113ab7f318	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-06-10 10:44:49.237447	\N	\N	\N	\N	{id,name,del}
91a72980-482d-4aaf-93ae-2b0b4fb087d7	\N	f55836f9-b45d-434a-a093-7930c7639e97	405ed4af-edc6-48b3-bf94-806103b3d2b7	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-02 14:22:11.208509	admin	2024-07-02 14:22:11.208509	\N	\N	{proc_name,proc_type,req_name,proc_code,input_params,output_params,id}
84db84f8-0571-4b70-ab27-b68fcd0d2bbe	\N	82bfddde-a19a-4639-9ca1-6cc356b703c9	c1434e86-8781-437b-9dc6-8e3d43073659	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-08 04:15:32.74863	\N	\N	\N	\N	{column_01,column_02,column_03,column_04,column_05,column_06,column_07,column_08,column_09,column_10}
0d655f08-a90b-45b1-b3a5-0f9cd61c6379	\N	7bedf9e7-2c01-4260-ae42-f4430d7c55ad	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-10 03:49:00.066876	\N	\N	\N	\N	{id,last_name,first_name,phone,date_of_birth,email,cli_type}
a570be59-2f18-4ee2-a161-b6b1cb22519b	\N	51f88492-67e2-44a6-b2a9-e766796c5a22	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 10:33:16.430824	\N	\N	\N	\N	{username,last_name,first_name,email,phone}
4cb3c77c-856d-4af4-933c-8cdd3ec06298	\N	b7cb44a2-7fa0-4e5a-99d8-a416f0c6f360	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-12-26 12:45:47.298349	\N	\N	\N	\N	{last_name,first_name,phone,email}
580abf21-13fb-482d-aac6-696d67aa4b3c	\N	825d1fcd-910e-4dc0-8d84-a4a472ac727f	129c0d3a-01f7-497f-b996-d9113ab7f318	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:19:23.857148	\N	\N	\N	\N	{link,username,fi}
551900f0-f48b-467a-9bd1-225620e5d705	\N	e21009c4-745f-4f2e-954b-fd4b60a13672	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	XRAD_DEFAULT	\N	10	f	t	\N	\N	\N	\N	\N	\N	\N	\N	{last_name,first_name,email}
ec3e7bdf-84a0-48ea-9feb-bb6066944502	\N	bbbf7584-4280-41ee-911d-0a2e9d8d6b91	8d795ae5-9e4c-47d3-a940-dcba059599ed	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-07-15 10:39:03.088422	admin	2024-07-15 10:39:03.088422	\N	\N	{first_name,last_name,email,phone}
52ec9a26-7419-463e-8e24-8b1f8b328e65	\N	45c5bfe4-1d10-44ec-ab87-0590a7f701bb	8d795ae5-9e4c-47d3-a940-dcba059599ed	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:15:23.570104	\N	\N	\N	\N	{date_of_birth,email,fi}
3eaeda1a-173c-4302-ad8a-f2ae0f2801ee	\N	acf7ed79-78bf-499f-9dec-9f0e3f077dd7	8d795ae5-9e4c-47d3-a940-dcba059599ed	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:15:23.576676	\N	\N	\N	\N	{date_of_birth,email,fi}
c474b5d3-6e78-472a-93e5-75576cc69e62	\N	b3b7de48-f321-4092-a61c-0937b61d4fc0	8d795ae5-9e4c-47d3-a940-dcba059599ed	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-01-26 16:45:24.791349	\N	\N	\N	\N	{date_of_birth,email,fi}
76af9868-1482-4729-99db-057369e41efa	\N	c0cc8d42-8339-475c-a95a-c9ffc3d93733	8d795ae5-9e4c-47d3-a940-dcba059599ed	XRAD_DEFAULT	\N	10	f	t	\N	\N	demo	2023-06-22 15:15:23.587451	\N	\N	\N	\N	{date_of_birth,email,fi}
9fb82a49-5105-4da2-94a6-eff70e4a3e8a	\N	85d78055-0296-4c1e-b6c4-fa7e98bc3ee7	8d795ae5-9e4c-47d3-a940-dcba059599ed	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2024-01-30 11:44:12.350257	\N	\N	\N	\N	{date_of_birth,email,fi}
4c37f168-94ba-4763-9b16-163631774f50	\N	bb8bafb8-d57c-4646-8a94-e4488d1729da	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2025-02-28 00:36:02.389471	admin	2025-02-28 00:36:02.389471	\N	\N	{fi,date_of_birth,phone,email}
5967edcb-96c0-42b2-b3e5-f519fc7d8016	\N	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	537cdd83-9057-43fe-8d89-2144884383f7	XRAD_DEFAULT	\N	10	f	t	\N	\N	admin	2025-02-28 00:38:59.825691	admin	2025-02-28 00:38:59.825691	\N	\N	{link,username,fi,email,date_created,date_modified}
\.


--
-- Data for Name: t_tiles; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_tiles (id, id_page, theme, columns, view, align, icon_contrast, title_column, text_column, desc_column, icon_column, color_column) FROM stdin;
b695b0d5-626c-4fe4-be1d-88d3b08f11ce	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	\N	icon	color
77a012bc-948d-40bd-b47d-10390a332588	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
d26c0a71-a7b9-4b15-9977-da37f195d2d1	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
f6e32025-0f0b-437f-9047-7fea0f659a20	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
98253ee8-a2b9-4525-8b80-9019af18c345	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
7e601825-5167-4bf2-aea3-18838f31344b	bd6b73f7-00c6-4985-927b-653e02f8c659	HORIZONTAL	1	GRID	left	f	title	text	descr	icon	color
033237a4-55e8-461e-b631-f4b724ba4116	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	center	f	title	\N	\N	\N	color
4de3e171-ee5a-467c-8103-6f546a77f843	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	center	f	title	\N	\N	\N	color
179b11e5-42a6-4b78-89d1-6b1e87caafbc	bd6b73f7-00c6-4985-927b-653e02f8c659	CLASSIC	3	ELEMENTS	left	f	title	text	descr	icon	color
b388b27e-7e8b-4b08-9fb9-63b1ef596f64	bd6b73f7-00c6-4985-927b-653e02f8c659	CLASSIC_CONTRAST	2	GRID	center	f	title	text	descr	icon	color
5e5392f6-549b-42e2-a5b9-46716e92cf29	bd6b73f7-00c6-4985-927b-653e02f8c659	HORIZONTAL	1	GRID	right	f	title	text	descr	icon	color
42bae70e-5f1f-48f4-81df-4f7d0721d26a	bd6b73f7-00c6-4985-927b-653e02f8c659	HORIZONTAL_CONTRAST	auto	GRID	left	t	title	text	descr	icon	color
e6abe437-c000-44b0-a2d5-33bbacd0aa1e	cb515bef-e70c-44f4-9199-5e8369ad3aa1	CLASSIC	4	ELEMENTS	center	f	title	text	descr	icon	color
f11167bd-3e47-485e-b622-f56ecdc2eab3	cb515bef-e70c-44f4-9199-5e8369ad3aa1	HORIZONTAL	4	ELEMENTS	left	f	title	text	descr	icon	color
6496c5e2-4d6f-42a5-89d8-eadcb7a72c11	cb515bef-e70c-44f4-9199-5e8369ad3aa1	CLASSIC_CONTRAST	4	ELEMENTS	center	f	title	text	descr	icon	color
2e22fd47-4362-420b-91e7-f0292d2abf2e	cb515bef-e70c-44f4-9199-5e8369ad3aa1	HORIZONTAL_CONTRAST	4	ELEMENTS	left	t	title	text	descr	icon	color
2caca189-d137-45e9-9b8d-b03cc093a5f3	cb515bef-e70c-44f4-9199-5e8369ad3aa1	HORIZONTAL_CONTRAST	5	ELEMENTS	center	f	title	text	descr	icon	color
692cdf3c-b0c1-4beb-bdfe-f956a76a7691	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	center	f	title	\N	\N	\N	color
592b8b4e-8c03-4a91-ba01-cd22d2a24f3a	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	center	f	title	\N	\N	\N	color
8490d3ef-af15-4983-8aa5-d6b1dfe8397a	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
9e91268c-1956-40ca-beed-76b1665e60f3	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
a879ccaa-66bf-4629-a9be-e62590fa3cb3	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	center	f	title	\N	\N	\N	color
da6e12f0-c733-4b9f-af55-c7acf2fb4274	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
ed6d16d8-dcd1-4ca8-90d3-e6d8e5e41e82	acd31448-1daf-4a7b-a84a-c748350d7d1d	HORIZONTAL_CONTRAST	1	ELEMENTS	left	f	title	text	\N	\N	color
3b65c66c-b5cb-4810-88be-b3df38f12b3e	acd31448-1daf-4a7b-a84a-c748350d7d1d	HORIZONTAL_CONTRAST	1	ELEMENTS	left	f	title	text	\N	\N	color
354f79f4-da56-4935-88a9-16af25d98062	acd31448-1daf-4a7b-a84a-c748350d7d1d	HORIZONTAL_CONTRAST	1	ELEMENTS	left	f	title	text	\N	\N	color
0af8be3d-8fc0-4e6e-81bc-d0e8a04a73a4	acd31448-1daf-4a7b-a84a-c748350d7d1d	HORIZONTAL_CONTRAST	1	ELEMENTS	left	f	title	text	\N	\N	color
04fef0b1-76c1-4f2e-9cb3-70f6e6d5500f	45a1f80e-3900-4f07-8cde-89e476b24529	CLASSIC	3	GRID	center	f	title	text	descr	icon	color
77fce146-d98e-408b-8f1c-481baecc1c56	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
3fd181b6-70c8-4ad9-9ddc-a75eeca10df5	3bb65c15-0e65-4e02-802e-9f0d39a5685c	HORIZONTAL_CONTRAST	2	GRID	left	f	title	text	descr	icon	color
c461e221-fdd2-4fe3-a78f-84cdc5b08636	f8a4d019-89e4-4ec6-82bc-add1851ffe89	HORIZONTAL_CONTRAST	3	GRID	left	f	title	text	descr	icon	color
f6057fab-ceb2-44dc-b0f1-aceb2fc48112	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
ad16e321-051e-4632-909c-4c4378bc24e5	56dff7a2-3198-4ef4-8885-ea3a5de5b0b5	HORIZONTAL_CONTRAST	1	ELEMENTS	left	f	title	\N	\N	icon	color
7f8f4a32-b9ed-4c1e-b52e-c733c95f5bdc	bb3ac1a5-026d-4edb-aa34-6a4266875a1b	HORIZONTAL_CONTRAST	1	ELEMENTS	left	f	title	\N	\N	icon	color
134ba40a-3904-4861-8b04-1b15434ac93a	bd5c9c5f-20a6-4459-8894-c0436da6a62e	HORIZONTAL_CONTRAST	1	ELEMENTS	left	f	title	\N	\N	icon	color
daa5fb0e-d21c-4997-a654-59bea3077158	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	HORIZONTAL_CONTRAST	1	GRID	left	f	title	text	descr	icon	color
55133104-091a-4470-8333-7847c223e5ff	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	HORIZONTAL_CONTRAST	1	GRID	left	f	title	text	descr	icon	color
dfaae736-0054-4765-855c-1b1d2cbb02d4	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	HORIZONTAL_CONTRAST	1	GRID	left	f	title	text	descr	icon	color
ae0fd611-3eb2-4af4-875b-e1eb37f098c0	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	center	f	title	\N	\N	\N	color
a9e1af73-fba9-4ab5-a642-b3ae174cbea1	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	center	f	title	\N	\N	\N	color
bec04ed4-4e52-41ba-865c-2bd14364aabf	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	\N	icon	color
e6aaad25-c778-4bcb-ac91-a6eab7c019d4	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
3713ea62-285b-4388-8c44-91f67b85220a	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	HORIZONTAL_CONTRAST	1	GRID	left	f	title	\N	descr	icon	color
7713acc1-ca03-4868-99a2-ddf7b0198021	4303bd6b-83c3-4652-814f-c0b9b8e4958e	HORIZONTAL_CONTRAST	1	GRID	left	f	title	descr	\N	\N	color
74a26b5d-9784-470d-8929-85f08f713a08	4303bd6b-83c3-4652-814f-c0b9b8e4958e	HORIZONTAL_CONTRAST	1	GRID	left	f	title	descr	\N	\N	color
e2a6c924-e0ef-4aa6-9fc9-d89d0f90c91a	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	HORIZONTAL_CONTRAST	1	GRID	left	f	title	text	descr	icon	color
427861e3-3743-4364-ae36-bfbd889eaca7	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	HORIZONTAL_CONTRAST	1	GRID	left	f	title	text	descr	icon	color
\.


--
-- Data for Name: t_tree; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_tree (id, pkey_col, fkey_col, label_col, id_page, link, link_column) FROM stdin;
418f743b-ac0c-4562-bcfc-c8958aeb61fa	id	id_fk	name	45a1f80e-3900-4f07-8cde-89e476b24529	\N	\N
9e1febe3-0906-4b62-9e55-f12a8f951172	id	id_fk	name	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	\N	link
5532766b-0cf2-4009-bf75-4e81e9c7d7a8	id	id_fk	name	129c0d3a-01f7-497f-b996-d9113ab7f318	\N	link
6742041a-cf0d-436c-9e10-22be6e2833b0	id	id_fk	name	8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	\N	\N
fca3c902-a158-41a3-84b6-ad452d0b4a08	id	id_fk	name	8145943d-3106-4c58-973a-ad8778b2a231	\N	\N
\.


--
-- Data for Name: t_wizard; Type: TABLE DATA; Schema: cmp; Owner: xrad_user
--

COPY cmp.t_wizard (id, clickable, label_display, orientation, id_page) FROM stdin;
8534144c-13cf-4aac-abbf-69bc35ff4cbb	t	all	horizontal	c3bfd42b-0e7e-40dd-96ca-16de1d292caa
bc943be2-f089-4ca5-a31d-e6d023052e3e	t	all	vertical	718632d7-9ea4-487b-a429-ed5c6d39561e
bde29cee-9e05-4b7f-86de-7168f9bde49e	t	all	vertical	c7a6173f-9d45-410b-8d56-3d605bf3d4fb
1ee0c8ec-bc32-4c24-abe8-04493e73730d	t	all	horizontal	45a1f80e-3900-4f07-8cde-89e476b24529
\.


--
-- Data for Name: t_actions; Type: TABLE DATA; Schema: da; Owner: xrad_user
--

COPY da.t_actions (id, id_event, id_page, init_on_load, code, sequence, created_by, created_on, last_updated_by, last_updated_on) FROM stdin;
3b7b0c63-15ae-4edd-83d4-0925e4db105b	a60fbf8a-e3f5-4c24-933a-cfc95cbfea8e	b6b32f07-21ba-4f6a-b02a-211725303cd5	f	if (items.P20_IS_LOCKED === 'N'){jsAPI.hideItem('P20_BLOCK_REASON')}else{jsAPI.showItem('P20_BLOCK_REASON')}	1	\N	\N	\N	\N
dcf4f137-47d3-4ae4-8fa1-1e9ea2a90320	b2ad0152-fd67-47c3-9f32-7d0c8fc99cb2	b6b32f07-21ba-4f6a-b02a-211725303cd5	t	if (data.value === 'N'){jsAPI.hideItem('P20_BLOCK_REASON')}else{jsAPI.showItem('P20_BLOCK_REASON')}	1	\N	\N	\N	\N
f1caa475-18e6-4a31-bd55-4a2764d03b10	a00dacb3-5a68-4266-acd7-edaa3713a46c	aee8cb58-83f0-4626-9cca-c1eacf279c23	f	console.log(data.value, items);	10	\N	\N	ADMIN	2023-03-24 13:35:57.686336
dc779462-096c-4fe9-bfff-4b67d889b1e2	361170fe-1a8f-47d0-b8dd-2c73889f31fd	89ecce48-2531-498f-8eae-2bfb5494e66d	f	console.log('??????');	10	\N	\N	ADMIN	2023-04-10 13:22:13.735253
358ae40b-2030-4e79-8bbd-9326e937a2be	2ada0765-af60-4180-b277-f5e721e2d546	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	f	jsAPI.dom.focus('#P1_LOGIN');	10	\N	\N	ADMIN	2023-04-25 14:04:24.312929
2f936d9b-6926-4203-831d-7a57856d172e	5832a381-9d5d-4ed6-9799-a36e90529120	981448ef-457a-4a86-b253-9accce59c268	f	alert('Кнопка нажата!')	1	\N	\N	\N	\N
fdcb44b3-6b24-4683-be67-6560588f3a12	0dd257bf-516c-4060-8a6e-5d6400bd0733	aee8cb58-83f0-4626-9cca-c1eacf279c23	f	const el = document.getElementById(data.name).parentNode.parentNode;\nconst hasError = !!el.querySelector('.field-file-list__item--error');\nif (hasError){\n  console.log('do something')\n}	10	\N	\N	ADMIN	2023-06-08 14:43:58.882592
a86af296-c1e9-475d-9cb7-691c15d8473e	7f04ed28-7517-4924-ad1b-d69a22989471	537cdd83-9057-43fe-8d89-2144884383f7	f	console.log("afterRefresh", e, data, items)	10	\N	\N	ADMIN	2023-06-30 12:25:10.192808
07a7ea3a-9e1a-444a-b97c-897702f53963	857bb7e4-ae71-4048-8853-1562a82856b1	537cdd83-9057-43fe-8d89-2144884383f7	f	console.log("beforeRefresh", e, data, items)	10	\N	\N	ADMIN	2023-06-30 12:32:43.799918
3935ea40-12db-4b19-892c-14c3b463c0b3	99f1e3bc-ed73-492b-95a0-4bc127d982b1	83aa1204-d957-4efb-b371-5548f5db7c45	f	console.log(data, items);	10	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:05:25.674877
b8aea6e9-ad17-4c43-b850-e4aab8dced4d	ca2979ac-3355-4bd2-9892-75fd9d3de20e	83aa1204-d957-4efb-b371-5548f5db7c45	f	jsAPI.dom.focus('#P1_LOGIN');	10	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:05:25.674877
ee236544-8917-4df1-99b3-6126b9328efa	9ea0fea4-4c76-4d9d-a326-337c281cafda	530154e2-764f-4bb8-bd69-f0e2d33dbe57	f	console.log(data, items);	10	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797
900e5246-cf1f-4527-874a-6e6f8971344f	d53d2ddb-14eb-47d0-a701-d8da591c1ab7	530154e2-764f-4bb8-bd69-f0e2d33dbe57	f	jsAPI.dom.focus('#P1_LOGIN');	10	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797
d3ae2b07-3c51-4789-a1f4-b3bee0f7fd29	0a84b12e-5088-4685-ae0b-342e99be7a6d	8d795ae5-9e4c-47d3-a940-dcba059599ed	f	jsAPI.component('REPORT_WITH_FILTERS').refresh()	10	\N	\N	ADMIN	2024-01-30 11:43:51.328689
e7b533a1-14da-486a-922b-db68f56bc29e	c236cdd7-6d2f-4d5a-bcf2-2b08d3c156e7	bbbfba99-f656-4a05-a070-216215b4b4bb	f	jsAPI.component('CLNDR').refresh()	10	\N	\N	ADMIN	2024-01-26 12:53:01.878465
b887e591-196a-4b8f-89c9-98f621cc1518	293c33b0-9cfb-4a2b-b495-f4523ac54b40	537cdd83-9057-43fe-8d89-2144884383f7	t	var CLASS_NAME = 'report-selected-user';\n\nvar elements = document.querySelectorAll('#TABLE tbody tr');\nvar resetRed = function () {\n    var els = document.querySelectorAll(`.${CLASS_NAME}`);\n    els.forEach(function (el) {\n        el.classList.remove(CLASS_NAME);\n    });\n};\n\nelements.forEach(function (el) {\n    el.onclick = function (e) {\n        var id = el.querySelector('input').value;\n        jsAPI.setItem('P19_ID', id);\n        jsAPI.component('ROLES').refresh();\n        jsAPI.component('HIST').refresh();\n    }\n});	10	\N	\N	ADMIN	2024-01-26 14:00:59.159302
2d896c5f-3062-4ab7-b314-4f7f036761d3	3702a2cd-c372-4c2a-b825-03d1f66dff44	b9fdd2e2-f39c-4930-91d2-9eecd3626960	f	jsAPI.setItem('P5028_MESSAGE_TEXT', '')	10	\N	\N	ADMIN	2024-01-29 18:05:07.185804
02589be4-813d-43e6-8813-be3d6c6883bd	28d734ea-cd67-4438-8c5e-0cf3a987fb81	89ecce48-2531-498f-8eae-2bfb5494e66d	f	jsAPI.component('CLNDR').refresh()	10	\N	\N	ADMIN	2024-01-30 13:21:34.422343
c8eb9e90-e73d-48ff-b943-8de3e33a424e	11c8f37f-8e52-4603-8e17-ec9c93417149	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	f	jsAPI.refresh({\n  id: 'CHART_WITH_FILTER',\n  page: '5022',\n  items: { P5022_YEAR_OF_BIRTH: jsAPI.getItem('P5022_YEAR_OF_BIRTH')}\n})	10	\N	\N	ADMIN	2024-01-31 16:05:12.629686
e639c547-a0e2-49ed-8461-130e7785996d	06605157-c71b-46e8-931c-6b85ebd07625	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	jsAPI.process("GET_SUBMIT", {},\n             {\n    onSuccess: function (res) {\n        jsAPI.setItem("P5400_GET_OUTPUT", res.data);\n    },\n    onError: function (err) {\n        console.error(err); // Ошибка сервера\n    }\n});\n	10	\N	\N	ADMIN	2024-07-11 05:42:29.133604
0aa3fc02-6e74-4602-8262-880a01cffb94	cb76b24d-2601-40f1-97de-112043aac2c8	e489d8ca-9b10-473a-8d68-2669f2c3e877	f	jsAPI.modal.close()	10	\N	\N	ADMIN	2024-07-03 07:55:06.703498
743e1b34-36d2-4ba1-8352-52da4642d16f	b57589c2-0ae7-4c78-b313-953bb7ad232f	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.refreshList({\n\tid: "P5200_SECOND_SELECT",\n\tpage: "5200",\n\titems: {\n\t\tP5200_FIRST_SELECT: jsAPI.getItem("P5200_FIRST_SELECT")\n\t}\n})	10	\N	\N	ADMIN	2024-10-14 10:56:52.881273
61f1a9e0-39ec-4da0-b67f-3ded8b73da07	8b2bc9f8-2601-4700-b81c-dfc6fd8d0f7a	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.refreshList({\n\tid: "P5200_AUTOCOMPLETE",\n\tpage: "5200",\n\titems: {\n\t\tP5200_CLI_TYPE: jsAPI.getItem("P5200_CLI_TYPE")\n\t}\n})	10	\N	\N	ADMIN	2024-10-14 10:56:52.881292
ab01c86c-6c8b-477e-85ef-ee0b0d63811a	bd4c763e-4b00-4743-ac42-f3b82b102986	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.dom.focus('#P5200_THIRD')	10	\N	\N	ADMIN	2024-10-14 11:02:40.590904
d7749e47-b668-4eb7-91f0-21481d6e9054	caf40876-d5c9-42e9-a51f-1dc0ec9a6d00	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.dom.blur()	10	\N	\N	ADMIN	2024-10-14 11:02:40.590921
d7a67964-d6ef-467b-bdbc-e2b53ff5a200	fe0a7fbc-219b-4e88-abea-d1a956880f0b	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.dom.focus('#P5200_SECOND')	10	\N	\N	ADMIN	2024-10-14 11:02:40.590932
d7e8f0e1-b475-4e1c-915a-44334757903a	ff446ee0-d36f-4b92-9bdb-8ea0fd81aa35	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.component('REPORT_EMPLOYEES').refresh()	10	\N	\N	ADMIN	2024-10-14 11:02:40.590941
31053fa6-0710-4224-b384-f9b20b260f6a	2bbdf05d-1e6f-4ecb-8530-db928c6a9b38	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	f	jsAPI.refresh({id:'NOTIFICATIONS'});	10	\N	\N	ADMIN	2024-07-03 08:00:07.37272
479ab0a5-32d4-458c-b629-68849ff1f599	c72e6c1a-6eef-4641-800a-92248d459e7e	ac59d725-9e81-4f45-893f-1ffd64fd6846	f	actionCalls = jsAPI.getItem('P5210_COUNT_SENDS');\ncurrCalls = 0;\n\nfor (let i = 0; i < actionCalls; i++) {\n  jsAPI.process("SEND", {\n    P5210_DA_TITLE: jsAPI.getItem("P5210_DA_TITLE"),\n    P5210_DA_DESCR: jsAPI.getItem("P5210_DA_DESCR")\n  });\n  currCalls++;  \n  jsAPI.setItem('P5210_CURR_CALLS', currCalls.toString());\n}\n\ntotalCalls += currCalls;\njsAPI.setItem('P5210_TOTAL_CALLS', totalCalls.toString());	10	\N	\N	ADMIN	2024-07-12 05:37:55.248916
872e4042-4e7e-4541-b2db-f4d29e804b08	472132cd-ffa5-4b72-b07b-05937cd69de7	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	f	jsAPI.submit({})	10	\N	\N	ADMIN	2024-07-03 08:04:14.132374
53871066-c20a-42e7-acad-d05e14d8c2ad	447823fb-82fd-424b-8ccb-03b89fa4330c	3bb65c15-0e65-4e02-802e-9f0d39a5685c	f	jsAPI.logout();\njsAPI.redirect('/content/7100/');	10	\N	\N	ADMIN	2024-07-08 08:07:42.855614
7540c2e5-01bf-41f0-9d4a-f8c4953d19ce	948af562-ca3a-46c5-9551-b62f4b6bac8b	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	f	jsAPI.submit({\n\t\t\t\tREQUEST: "SEND"\n\t\t\t },\n             {\n\t\t\t\tonError: function (err) {\n                  jsAPI.reload(); \n                }\n\t\t\t })	10	\N	\N	ADMIN	2024-07-17 08:52:24.348026
88fba1d8-93ed-449b-8c72-70a8689499a5	478d6211-06ce-4815-8e9c-f18a5998523f	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	jsAPI.process("GET_CLIENT", \n              {P5400_CLIENT_LIST: jsAPI.getItem('P5400_CLIENT_LIST')},\n             {\n    onSuccess: function (res) {\n        jsAPI.setItem("P5400_CLIENT_OUTPUT", res.data); \n        jsAPI.component('CLIENT_INFO').refresh();\n    },\n    onError: function (err) {\n        console.error(err); // Ошибка сервера\n    }\n});\n	10	\N	\N	ADMIN	2024-12-25 08:01:44.112466
b63ba8af-15b9-4326-bb40-cf3ede7c6c7e	24c8c028-5377-4691-aa9c-5cff8804f187	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	jsAPI.setItem("P5400_POST_CURL", `curl -H "Content-Type: application/json" -d \\'{"p_first_str": "${jsAPI.getItem("P5400_POST_FIRST_VALUE")}", "p_second_str": "${jsAPI.getItem("P5400_POST_SECOND_VALUE")}" }' "http://127.0.0.1:8887/xdac/rpc/f_concat_str"`);\n	10	\N	\N	ADMIN	2024-12-25 14:34:01.726604
4aac8c85-2b5b-4394-8ce4-4ebb0ae239ed	29edd38f-fd5e-49f1-96d2-368bc6ec912b	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	jsAPI.process("POST_SUBMIT", \n              {P5400_POST_FIRST_VALUE: jsAPI.getItem("P5400_POST_FIRST_VALUE"),\n               P5400_POST_SECOND_VALUE: jsAPI.getItem("P5400_POST_SECOND_VALUE")},\n              {\n    onSuccess: function (res) {\n        jsAPI.setItem("P5400_POST_OUTPUT", res.data);\n    },\n    onError: function (err) {\n        console.error(err); // Ошибка сервера\n    }\n});\n	10	\N	\N	ADMIN	2024-12-25 14:35:58.497567
e227cba2-98bb-4969-862a-446a69ed09e2	a3990c40-fa4d-4a3a-8550-0bd905567bdb	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	jsAPI.process("POST_JSON", \n              {P5400_JSON_INPUT: jsAPI.getItem("P5400_JSON_INPUT")},\n              {\n    onSuccess: function (res) {\n        jsAPI.setItem("P5400_JSON_OUTPUT", res.data);\n    },\n    onError: function (err) {\n        console.log(err);\n    }\n});\n\n\njsAPI.setItem('P5400_POST_JSON_CURL', `curl -H "Content-Type: application/json" -H "Prefer: params=single-object" -d '${jsAPI.getItem('P5400_JSON_INPUT')}' "http://127.0.0.1:8887/xdac/rpc/f_json_parse"`)	10	\N	\N	ADMIN	2024-12-25 14:35:58.497595
17ec9c62-d972-4dc4-9055-a6087f65521e	d512561f-c2f1-4e63-8dce-945341f8519a	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	jsAPI.setItem("P5400_CLIENT_CURL", `curl "http://127.0.0.1:8887/xdac/rpc/f_get_client?p_id=${jsAPI.getItem('P5400_CLIENT_LIST')}" -X GET `);	10	\N	\N	ADMIN	2024-12-25 14:37:11.964436
13921931-02cc-4bcf-a92b-0cfe48484b4f	aa2b281f-0043-4a49-8cab-1154190fbe21	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f	jsAPI.process("GET_MASS", {},\n             {\n    onSuccess: function (res) {\n        jsAPI.setItem("P5400_GET_JSON_MASS_OUTPUT", res.data);\n        jsAPI.component('CLIENT_MASS').refresh();\n    },\n    onError: function (err) {\n        console.error(err); // Ошибка сервера\n    }\n});\n	10	\N	\N	ADMIN	2024-12-26 12:48:46.007884
61e86444-bfee-4286-ab74-ae383da32ce1	97503b3b-4f8f-42a4-82fb-ce46ed4aba1d	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.dom.focus('#P5200_FIRST')	10	\N	\N	ADMIN	2024-10-14 10:43:51.830682
bfbd29e7-7649-47d4-842b-e7b838a31c81	698980db-8a78-4b89-958c-964c0342aa1e	8145943d-3106-4c58-973a-ad8778b2a231	f	jsAPI.component('BUTTON_1SEC').properties({\n\tloading: true\n})\n\nsetTimeout(() =>\n\tjsAPI.component('BUTTON_1SEC').properties({\n\t\tloading: false\n\t}), 1000);	10	\N	\N	ADMIN	2024-10-14 12:27:03.675091
f71316a6-7379-43a3-a25d-c7b96eac97a4	22ebfc89-fe93-4381-8a80-196737daeef7	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.component('FORM_FOR_BLOCK').properties({\n\tloading: true\n})\n\nsetTimeout(() =>\n\tjsAPI.component('FORM_FOR_BLOCK').properties({\n\t\tloading: false\n\t}), 3000);	10	\N	\N	ADMIN	2024-10-14 11:11:33.4626
a3cfbda2-5bf3-4f17-a726-47e3d177f01e	55a986c5-e762-43c9-b02c-1cf7b73bc37d	3006c64d-7487-4960-bdfc-f8565c02fd11	f	jsAPI.modal.open({\n\ttitle: "Модальное окно",\n\twidth: 420,\n    selector:"#OPEN_MODAL",\n\tbuttons: [\n\t{\n\t\ttext: 'Принять',\n\t\taction: 'accept',\n\t\tclass: 'btn-primary'\n\t},\n\t{\n\t\ttext: 'Отклонить',\n\t\taction: 'decline',\n\t\tclass: 'btn-danger'\n\t}]\n}, {\n  onAccept: function (r) {\n    jsAPI.notification.success('Принято!');\n  },\n  onDecline: function (r) {\n    jsAPI.notification.warning('Отклонено!');\n  }\n});	10	\N	\N	ADMIN	2024-10-14 11:20:46.454756
6da34045-febb-4ebf-bc6f-96fa0ec1ea5f	5f54f4e5-fcc3-4469-9196-83551f8622ea	8145943d-3106-4c58-973a-ad8778b2a231	f	jsAPI.component('FORM').properties({\n\tloading: true\n})\n\nsetTimeout(() =>\n\tjsAPI.component('FORM').properties({\n\t\tloading: false\n\t}), 3000);	10	\N	\N	ADMIN	2024-10-14 12:40:34.842366
4950b196-926f-4e87-bfb2-a9b31d8ab425	dcb237b7-0bd5-4eff-a0e0-5c5ccd8804c4	8145943d-3106-4c58-973a-ad8778b2a231	f	jsAPI.component('REGION').properties({\n\tloading: true\n})\n\nsetTimeout(() =>\n\tjsAPI.component('REGION').properties({\n\t\tloading: false\n\t}), 3000);	10	\N	\N	ADMIN	2024-10-14 12:40:34.842381
27b932cb-ea2a-4dde-8731-097fee508e12	f8c04c49-ae00-4c33-9eb2-560db25b4eb8	8145943d-3106-4c58-973a-ad8778b2a231	f	jsAPI.component('BUTTON').properties({\n\tloading: true\n})\njsAPI.notification.warning('Обновите страницу для сброса блокировки')	10	\N	\N	ADMIN	2024-10-14 12:41:34.680408
578ee4ac-f78a-4661-93f2-41e15161cda8	6b63d796-9908-4730-beae-488e82e25d09	8145943d-3106-4c58-973a-ad8778b2a231	f	jsAPI.component('BUTTON_3SEC').properties({\n\tloading: true\n})\n\nsetTimeout(() =>\n\tjsAPI.component('BUTTON_3SEC').properties({\n\t\tloading: false\n\t}), 3000);	10	\N	\N	ADMIN	2024-10-14 12:42:30.817832
67730413-cc53-4102-824d-a3ddebf6a758	e81acd83-20bc-439f-94c4-acdb327b4e07	8145943d-3106-4c58-973a-ad8778b2a231	f	jsAPI.component('TREE').properties({\n\tloading: true\n})\n\nsetTimeout(() =>\n\tjsAPI.component('TREE').properties({\n\t\tloading: false\n\t}), 3000);	10	\N	\N	ADMIN	2024-10-14 12:53:19.781761
c69022f1-a76f-49ce-b5ad-09f6bbf9de2b	60ba364a-57fa-427d-a45f-42f6f6d08540	8145943d-3106-4c58-973a-ad8778b2a231	f	jsAPI.setLoading(true);\nsetTimeout(() => jsAPI.setLoading(false), 3000);	10	\N	\N	ADMIN	2024-10-14 13:02:31.332432
0071bc67-0877-4561-9b16-526971f97283	c71a2fbf-dcf9-445b-b6c0-e88d04ee5fc6	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	f	const el = "XHR_DOWNLOAD";\njsAPI.component(el).properties({loading: true});\n\njsAPI.download({\n    processor: "xhr",\n    url: "/pghs/download",\n    data: { request: "DOWNLOAD_FILE", page: 5500 },\n    onSuccess: res => {\n      jsAPI.component(el).properties({loading: false});\n      jsAPI.notification.success("Скачивание файла завершено!");\n    },\n    onError: (err, raw) => {\n      jsAPI.component(el).properties({loading: false});\n      console.error("Ой, что-то не так!", err, raw);\n      jsAPI.notification.error("Не удалось скачать файл!");\n    },\n    onProgress: (progressEvent) => {\n      const val = parseInt(progressEvent.loaded / progressEvent.total * 100);\n      if(val > progress) {\n        progress = val;\n        const text = `Загружено ${progress}%`;\n        console.log(text)\n        jsAPI.notification.info(text)\n      }\n    }\n})\nlet progress = 0; 	10	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932
\.


--
-- Data for Name: t_events; Type: TABLE DATA; Schema: da; Owner: xrad_user
--

COPY da.t_events (id, id_page, event_name, event_sequence, triggering_element_type, triggering_element, triggering_region_id, triggering_button_id, bind_event_type, bind_event_type_custom, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, created_by, created_on, last_updated_by, last_updated_on, id_source) FROM stdin;
293c33b0-9cfb-4a2b-b495-f4523ac54b40	537cdd83-9057-43fe-8d89-2144884383f7	NEW_EVENT	10	REGION	\N	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2023-05-31 14:47:26.31411	10
0dd257bf-516c-4060-8a6e-5d6400bd0733	aee8cb58-83f0-4626-9cca-c1eacf279c23	NEW_EVENT	20	ITEM	P5101_FILE3	\N	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2023-06-08 14:35:39.845657	10
857bb7e4-ae71-4048-8853-1562a82856b1	537cdd83-9057-43fe-8d89-2144884383f7	NEW_EVENT	10	REGION	\N	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	\N	beforeRefresh	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2023-06-30 11:44:07.242462	10
7f04ed28-7517-4924-ad1b-d69a22989471	537cdd83-9057-43fe-8d89-2144884383f7	NEW_EVENT	20	REGION	\N	9c14f2a1-7829-41e5-a68a-957e6a7e4eea	\N	afterRefresh	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2023-06-30 12:13:30.012441	10
b2ad0152-fd67-47c3-9f32-7d0c8fc99cb2	b6b32f07-21ba-4f6a-b02a-211725303cd5	SHOW_HIDE_BLOCK	1	ITEM	P20_IS_LOCKED	\N	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	10
a60fbf8a-e3f5-4c24-933a-cfc95cbfea8e	b6b32f07-21ba-4f6a-b02a-211725303cd5	SHOW_HIDE_BLOCK_LOAD	1	PAGE	\N	\N	\N	pageLoad	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	10
5832a381-9d5d-4ed6-9799-a36e90529120	981448ef-457a-4a86-b253-9accce59c268	DEFAULT_CLICK	1	BUTTON	\N	\N	c49634ce-7e7b-4870-a4ec-17bb82405f74	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	10
a00dacb3-5a68-4266-acd7-edaa3713a46c	aee8cb58-83f0-4626-9cca-c1eacf279c23	NEW_EVENT	10	ITEM	P5101_INPUT_SIMPLE	\N	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2023-03-24 13:29:35.071014	10
361170fe-1a8f-47d0-b8dd-2c73889f31fd	89ecce48-2531-498f-8eae-2bfb5494e66d	NEW_EVENT	10	REGION	\N	5181276e-a555-4e90-924f-f84100e4cb53	\N	pageLoad	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2023-04-10 13:23:00.437233	10
2ada0765-af60-4180-b277-f5e721e2d546	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	NEW_EVENT	10	PAGE	\N	\N	\N	pageLoad	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2023-04-25 14:04:24.312905	10
99f1e3bc-ed73-492b-95a0-4bc127d982b1	83aa1204-d957-4efb-b371-5548f5db7c45	NEW_EVENT	20	PAGE	\N	\N	\N	pageUnload	\N	ALWAYS	\N	\N	\N	\N	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:05:25.674877	10
ca2979ac-3355-4bd2-9892-75fd9d3de20e	83aa1204-d957-4efb-b371-5548f5db7c45	NEW_EVENT	10	PAGE	\N	\N	\N	pageLoad	\N	ALWAYS	\N	\N	\N	\N	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:05:25.674877	10
9ea0fea4-4c76-4d9d-a326-337c281cafda	530154e2-764f-4bb8-bd69-f0e2d33dbe57	NEW_EVENT	20	PAGE	\N	\N	\N	pageUnload	\N	ALWAYS	\N	\N	\N	\N	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10
d53d2ddb-14eb-47d0-a701-d8da591c1ab7	530154e2-764f-4bb8-bd69-f0e2d33dbe57	NEW_EVENT	10	PAGE	\N	\N	\N	pageLoad	\N	ALWAYS	\N	\N	\N	\N	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10
0a84b12e-5088-4685-ae0b-342e99be7a6d	8d795ae5-9e4c-47d3-a940-dcba059599ed	NEW_EVENT	10	BUTTON	\N	\N	c34a6e71-fec7-4eb3-99bf-da6052385757	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-30 11:43:51.328679	10
bd4c763e-4b00-4743-ac42-f3b82b102986	3006c64d-7487-4960-bdfc-f8565c02fd11	FOCUS_THIRD	30	BUTTON	\N	\N	2c37111f-5605-4c19-bd5c-6e811da80bda	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 14:58:29.239976	10
caf40876-d5c9-42e9-a51f-1dc0ec9a6d00	3006c64d-7487-4960-bdfc-f8565c02fd11	BLUR_ALL	40	BUTTON	\N	\N	84040584-b8b0-4b38-adf5-9b5a8d067e3b	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 14:58:29.240013	10
97503b3b-4f8f-42a4-82fb-ce46ed4aba1d	3006c64d-7487-4960-bdfc-f8565c02fd11	FOCUS_FIRST	10	BUTTON	\N	\N	69d9e3de-dfc0-444b-9f40-017f142b6d22	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 14:58:29.241123	10
fe0a7fbc-219b-4e88-abea-d1a956880f0b	3006c64d-7487-4960-bdfc-f8565c02fd11	FOCUS_SECOND	20	BUTTON	\N	\N	f28b22f7-6b14-4daf-b602-bd41b400cf00	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 14:58:29.241144	10
c236cdd7-6d2f-4d5a-bcf2-2b08d3c156e7	bbbfba99-f656-4a05-a070-216215b4b4bb	NEW_EVENT	10	REGION	\N	\N	\N	onModalAccept	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-26 12:53:01.878451	10
ff446ee0-d36f-4b92-9bdb-8ea0fd81aa35	3006c64d-7487-4960-bdfc-f8565c02fd11	CHANGED_DEP	10	ITEM	P5200_REPORTS_VALUE	\N	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-26 13:17:12.975158	10
55a986c5-e762-43c9-b02c-1cf7b73bc37d	3006c64d-7487-4960-bdfc-f8565c02fd11	CLICK_FOR_MODAL	20	BUTTON	\N	\N	5ca9ba9f-6754-41cd-a2d7-305d29ad0d47	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-26 13:17:12.975178	10
28d734ea-cd67-4438-8c5e-0cf3a987fb81	89ecce48-2531-498f-8eae-2bfb5494e66d	NEW_EVENT	10	BUTTON	\N	\N	90fd1c70-a39f-4660-b92c-c17441d2cd79	onModalAccept	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-30 13:21:34.422317	10
11c8f37f-8e52-4603-8e17-ec9c93417149	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	NEW_EVENT	10	BUTTON	\N	\N	bbabfae1-7de9-4479-8640-d2e870cb51da	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-31 15:54:43.409638	10
b57589c2-0ae7-4c78-b313-953bb7ad232f	3006c64d-7487-4960-bdfc-f8565c02fd11	CHANGED_FIRST_SELECT	20	ITEM	P5200_FIRST_SELECT	\N	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-29 14:39:10.27412	10
8b2bc9f8-2601-4700-b81c-dfc6fd8d0f7a	3006c64d-7487-4960-bdfc-f8565c02fd11	NEW_EVENT	30	ITEM	P5200_CLI_TYPE	\N	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-29 16:38:50.720505	10
3702a2cd-c372-4c2a-b825-03d1f66dff44	b9fdd2e2-f39c-4930-91d2-9eecd3626960	NEW_EVENT	10	PAGE	\N	\N	\N	pageLoad	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-29 18:04:58.126401	10
06605157-c71b-46e8-931c-6b85ebd07625	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	SEND_GET_REQUEST	10	BUTTON	\N	\N	4ecc5f94-9cd4-418e-a742-6df9bb4a2413	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 08:15:03.454277	10
cb76b24d-2601-40f1-97de-112043aac2c8	e489d8ca-9b10-473a-8d68-2669f2c3e877	NEW_EVENT	10	BUTTON	\N	\N	b6df9bd5-a827-47d1-a4d1-3c37f455baa2	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-03 07:55:06.703462	10
2bbdf05d-1e6f-4ecb-8530-db928c6a9b38	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	NEW_EVENT	10	REGION	\N	9d6d474c-59bf-4778-929b-14630854e61b	\N	onModalClose	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-03 08:02:47.478077	10
472132cd-ffa5-4b72-b07b-05937cd69de7	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	NEW_EVENT	20	PAGE	\N	\N	\N	onModalClose	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-03 08:03:19.489167	10
447823fb-82fd-424b-8ccb-03b89fa4330c	3bb65c15-0e65-4e02-802e-9f0d39a5685c	NEW_EVENT	10	BUTTON	\N	\N	11323faa-4439-48b4-b5ef-9ae8ab221057	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-08 08:03:28.835467	10
29edd38f-fd5e-49f1-96d2-368bc6ec912b	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	SEND_POST_REQUEST	20	BUTTON	\N	\N	e27a233b-dca5-41d0-a975-93a3faf03350	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 06:27:04.89282	10
24c8c028-5377-4691-aa9c-5cff8804f187	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	CHANGE_PARAMS_FOR_POST	30	ITEM	P5400_POST_FIRST_VALUE,P5400_POST_SECOND_VALUE	\N	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 06:27:04.892848	10
a3990c40-fa4d-4a3a-8550-0bd905567bdb	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	SEND_POST_JSON_REQUEST	30	BUTTON	\N	\N	31530b1c-bbbe-41fe-9404-e29eaca11e3b	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 06:33:01.13228	10
c72e6c1a-6eef-4641-800a-92248d459e7e	ac59d725-9e81-4f45-893f-1ffd64fd6846	NEW_EVENT	10	BUTTON	\N	\N	1a8d41f8-be1c-4bcd-9bcc-3d91d689a42f	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-11 09:14:16.458428	10
948af562-ca3a-46c5-9551-b62f4b6bac8b	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	NEW_EVENT	10	BUTTON	\N	\N	97ccab6e-90f7-427b-a8db-3c5d92fdcbe0	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 08:52:24.347982	10
478d6211-06ce-4815-8e9c-f18a5998523f	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	SEND_GET_CLIENT_REQUEST	40	BUTTON	\N	\N	77536ea7-585e-49c3-b61d-868a2b8a93a8	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 07:34:11.997593	10
d512561f-c2f1-4e63-8dce-945341f8519a	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	CHANGE_CLIENT	40	ITEM	P5400_CLIENT_LIST	\N	\N	change	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 08:00:04.272066	10
aa2b281f-0043-4a49-8cab-1154190fbe21	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	SEND_GET_MASS	50	BUTTON	\N	\N	41fe2f7b-c388-4caf-9c14-f7c0a88976e1	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-26 12:45:20.022353	10
22ebfc89-fe93-4381-8a80-196737daeef7	3006c64d-7487-4960-bdfc-f8565c02fd11	CLICK_BLOCK_FORM	50	BUTTON	\N	\N	9b672db7-7bb7-4f27-a2bb-8e10c8aa46ed	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 10:11:48.346163	10
f8c04c49-ae00-4c33-9eb2-560db25b4eb8	8145943d-3106-4c58-973a-ad8778b2a231	BLOCK_BUTTON	30	BUTTON	\N	\N	00853783-6665-4f0d-b3cd-ebdeecc5c643	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 12:23:15.794251	10
698980db-8a78-4b89-958c-964c0342aa1e	8145943d-3106-4c58-973a-ad8778b2a231	BLOCK_BUTTON_1_SEC	10	BUTTON	\N	\N	701cb090-4cca-45fd-a4e4-61ff8aa5dd9b	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 12:27:03.675118	10
6b63d796-9908-4730-beae-488e82e25d09	8145943d-3106-4c58-973a-ad8778b2a231	BLOCK_BUTTON_3_SEC	20	BUTTON	\N	\N	e9a0df34-1f50-433d-9e94-df4a88abaa76	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 12:27:03.675135	10
5f54f4e5-fcc3-4469-9196-83551f8622ea	8145943d-3106-4c58-973a-ad8778b2a231	BLOCK_FORM	40	BUTTON	\N	\N	417ae148-bd85-474f-a4dd-5cde67e385be	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 12:37:14.271062	10
dcb237b7-0bd5-4eff-a0e0-5c5ccd8804c4	8145943d-3106-4c58-973a-ad8778b2a231	BLOCK_REGION	50	BUTTON	\N	\N	d7259b07-ea8b-4582-8e2a-af02ef05733a	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 12:37:14.271082	10
e81acd83-20bc-439f-94c4-acdb327b4e07	8145943d-3106-4c58-973a-ad8778b2a231	BLOCK_TREE	60	BUTTON	\N	\N	be69f922-25c7-4228-8e5a-5320ae5e77e0	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 12:53:19.781749	10
60ba364a-57fa-427d-a45f-42f6f6d08540	8145943d-3106-4c58-973a-ad8778b2a231	BLOCK_PAGE	70	BUTTON	\N	\N	167b8d81-b277-4370-86ad-5ed4b76f025f	click	\N	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 13:02:31.332405	10
c71a2fbf-dcf9-445b-b6c0-e88d04ee5fc6	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	XHR_DOWNLOAD	10	BUTTON	\N	\N	743115ce-545d-4aff-aeb6-d1db43b35725	click	\N	ALWAYS	\N	\N	\N	\N	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10
\.


--
-- Data for Name: t_messages; Type: TABLE DATA; Schema: debug; Owner: xrad_user
--

COPY debug.t_messages (id, id_view, date_created, message, page_num, id_session, user_name, elapsed) FROM stdin;
\.


--
-- Data for Name: t_data_grids; Type: TABLE DATA; Schema: dg; Owner: xrad_user
--

COPY dg.t_data_grids (id, id_page, editable, edit_operations, edit_row_column, lost_update_type, row_version_column, insert_auth, delete_auth, update_auth, lazy_loading, fixed_row_height, select_first_row, no_data_message, show_toolbar, toolbar_buttons, enable_download, csv_separator, download_name, csv_encoding, show_null_values, download_formats) FROM stdin;
18398473-dba6-4e25-b61a-48a0fc4f3fca	45a1f80e-3900-4f07-8cde-89e476b24529	f	\N	\N	\N	\N	\N	\N	\N	f	t	t	\N	t	{SEARCH_FIELD,ACTION_MENU,RESET,SEARCH_COLUMNS}	f	\N	\N	\N	-	\N
3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	t	{I,U,D}	\N	ROW_VALUES	\N	\N	\N	\N	f	f	f	\N	t	{SEARCH_COLUMNS,SEARCH_FIELD,ACTION_MENU,RESET,SAVE}	t	;	dataGrid	windows-1251	-	\N
5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	t	{I,U,D}	\N	ROW_VALUES	\N	2	4	2	f	f	f	\N	t	{RESET,SAVE}	f	\N	\N	\N	-	\N
\.


--
-- Data for Name: t_dg_columns; Type: TABLE DATA; Schema: dg; Owner: xrad_user
--

COPY dg.t_dg_columns (id, id_region, id_page, column_name, column_display_seq, column_heading, column_type, link, link_target, link_title, link_class, link_icon, sort_enabled, hide_enabled, align, format_mask, source_column, data_type, query_only, primary_key, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, static_id, lov, lov_input, heading_align, read_only_type, read_only_first, read_only_first_input, read_only_second, read_only_second_input, mask, max_length, js_settings, required, link_text, property_01, property_02, property_03, property_04, default_value_type, default_source, default_input) FROM stdin;
84d8bc25-dda3-47e4-bf31-71e502fbba77	18398473-dba6-4e25-b61a-48a0fc4f3fca	45a1f80e-3900-4f07-8cde-89e476b24529	menu	1	\N	ROW_ACTION	\N	\N	\N	\N	\N	t	t	left	\N	\N	\N	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
1c4ed77e-fe86-440f-b6bb-af183801e0ed	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	id	10	\N	HIDDEN	\N	\N	\N	\N	\N	t	t	left	\N	id	NUMBER	f	t	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
2dd77180-eebe-4055-bdd0-8f5b90823d3b	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	last_name	20	Фамилия	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	last_name	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
81d7dc41-35d4-423c-a42c-7325e277c8dd	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	first_name	30	Имя	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	first_name	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
92d239b4-ea26-41f7-b2cc-57067eaca318	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	email	70	Электронная почта	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	email	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
45ffd9fa-5f56-47ae-b469-638b7eaaa100	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	menu	1	\N	ROW_ACTION	\N	\N	\N	\N	\N	t	t	left	\N	\N	\N	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
6521547a-671f-4b0b-a429-6955a821eb61	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	selector	2	\N	ROW_SELECTOR	\N	\N	\N	\N	\N	t	t	left	\N	\N	\N	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
51c381ea-7c7b-4bac-8c2a-1add8c27ab23	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	date_of_birth	60	Дата рождения	DATE_FIELD	\N	\N	\N	\N	\N	t	t	left	DD.MM.YYYY	date_of_birth	DATE	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
9149b303-914d-4160-af50-8f084378d462	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	date_of_birth	60	Дата рождения	DATE_FIELD	\N	\N	\N	\N	\N	t	t	center	DD.MM.YYYY	date_of_birth	DATE	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
a6becf49-e68a-4b0d-a137-7f867c1d65ca	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	email	70	Электронная почта	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	email	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
a8289a2e-387a-425d-a150-2f4cd51d551d	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	phone	50	Телефон	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	phone	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
44403a1d-25d6-4656-bcc6-32ba67dcf9c3	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	cli_type	80	Тип клиента	SELECT	\N	\N	\N	\N	\N	t	t	left	\N	cli_type	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	SELECT 'Физ. лицо' code, 'FL' value\nUNION ALL\nSELECT 'Юр. лицо', 'UL'	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
14789b2d-e9b3-4a27-8509-0e69254aa214	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	menu	90	\N	ROW_ACTION	\N	\N	\N	\N	\N	t	t	left	\N	\N	\N	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
b0e9027f-0f15-4430-83ff-4dc8ddd445a4	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	phone	50	Телефон	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	phone	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	t	\N	\N	\N	\N	\N	\N	\N	\N
70693599-1f89-488d-90f6-250fad2ce53c	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	last_name	20	Фамилия	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	last_name	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	t	\N	\N	\N	\N	\N	\N	\N	\N
41513fbf-7539-433b-829b-315ec464ddd0	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	first_name	30	Имя	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	first_name	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	t	\N	\N	\N	\N	\N	\N	\N	\N
3ffdc4ca-698c-49e9-987c-29d045b6bc65	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	id	10	\N	LINK	/content/3013	таргет	\N	\N	mdi mdi-square-edit-outline	t	t	left	\N	id	NUMBER	f	t	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	Перейти	\N	\N	\N	\N	\N	\N	\N
1a466d27-47d3-44ad-8470-e62105297227	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	cli_type	80	Тип клиента	SELECT	\N	\N	\N	\N	\N	t	t	left	\N	cli_type	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	SELECT 'Физ. лицо' code, 'FL' value\nUNION ALL\nSELECT 'Юр. лицо', 'UL'	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
e2dd24a2-47bf-427e-b14f-07583cef6ee6	18398473-dba6-4e25-b61a-48a0fc4f3fca	45a1f80e-3900-4f07-8cde-89e476b24529	id	50	\N	HIDDEN	\N	\N	\N	\N	\N	t	t	left	\N	id	NUMBER	f	t	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
d37e6212-9e67-4e12-ae16-6121f26bebc8	18398473-dba6-4e25-b61a-48a0fc4f3fca	45a1f80e-3900-4f07-8cde-89e476b24529	last_name	10	Фамилия	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	last_name	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
8686e6da-5141-432f-aa7c-9675f715abbe	18398473-dba6-4e25-b61a-48a0fc4f3fca	45a1f80e-3900-4f07-8cde-89e476b24529	first_name	20	Имя	TEXT	\N	\N	\N	\N	\N	t	t	left	\N	first_name	STRING	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
1cf378af-60b4-4021-ab2a-fcc5dac89cf8	18398473-dba6-4e25-b61a-48a0fc4f3fca	45a1f80e-3900-4f07-8cde-89e476b24529	date_of_birth	40	Дата рождения	DATE_FIELD	\N	\N	\N	\N	\N	t	t	left	DD.MM.YYYY	date_of_birth	DATE	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	left	NEVER	\N	\N	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N	\N	\N	\N
\.


--
-- Data for Name: t_dg_processing; Type: TABLE DATA; Schema: dg; Owner: xrad_user
--

COPY dg.t_dg_processing (id, id_page, id_region, process_seq, process_name, process_type, success_message, error_message, delete_code, delete_input, delete_output, insert_code, insert_input, insert_output, update_code, update_input, update_output, lost_update, lock_row, accept_modal, commit_tx, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, created_by, created_on, last_updated_by, last_updated_on, condition_scope) FROM stdin;
c7a2cdc2-cfc9-4c78-b335-486c202cee81	d1533edb-4578-4939-88c0-38a6ad2f4c7c	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	10	DataGrid	PROCESS	\N	\N	DELETE FROM \n  cli.t_clients\nWHERE \n  id = $1::BIGINT;	{id}	\N	INSERT INTO \n  cli.t_clients\n(\n  last_name,\n  first_name,\n  phone,\n  date_of_birth,\n  email,\n  cli_type\n)\nVALUES (\n  $1::VARCHAR,\n  $2::VARCHAR,\n  $3::VARCHAR,\n  to_date($4::VARCHAR, 'DD.MM.YYYY'),\n  $5::VARCHAR,\n  $6::VARCHAR\n);	{last_name,first_name,phone,date_of_birth,email,cli_type}	\N	UPDATE \n  cli.t_clients \nSET \n  last_name = $1::VARCHAR,\n  first_name = $2::VARCHAR,\n  phone = $3::VARCHAR,\n  date_of_birth = to_date($4::VARCHAR, 'DD.MM.YYYY'),\n  email = $5::VARCHAR,\n  cli_type = $6::VARCHAR\nWHERE \n  id = $7::BIGINT;	{last_name,first_name,phone,date_of_birth,email,cli_type,id}	\N	t	t	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	ONCE
3b26a0ca-a8ef-434d-be62-e9340b2622f0	fe04fae4-186f-429b-bf4f-3e3afd4b7141	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	10	Data Grid v2	PROCESS	Данные сохранены!	\N	DELETE FROM \n  cli.t_clients\nWHERE \n  id = $1::BIGINT;	{id}	\N	INSERT INTO \n  cli.t_clients\n(\n  last_name,\n  first_name,\n  phone,\n  date_of_birth,\n  email,\n  cli_type\n)\nVALUES (\n  $1::VARCHAR,\n  $2::VARCHAR,\n  $3::VARCHAR,\n  to_date($4::VARCHAR, 'DD.MM.YYYY'),\n  $5::VARCHAR,\n  $6::VARCHAR\n);	{last_name,first_name,phone,date_of_birth,email,cli_type}	\N	UPDATE \n  cli.t_clients \nSET \n  last_name = $1::VARCHAR,\n  first_name = $2::VARCHAR,\n  phone = $3::VARCHAR,\n  date_of_birth = to_date($4::VARCHAR, 'DD.MM.YYYY'),\n  email = $5::VARCHAR,\n  cli_type = $6::VARCHAR\nWHERE \n  id = $7::BIGINT;	{last_name,first_name,phone,date_of_birth,email,cli_type,id}	\N	t	t	f	f	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	ONCE
\.


--
-- Data for Name: t_dg_report_columns; Type: TABLE DATA; Schema: dg; Owner: xrad_user
--

COPY dg.t_dg_report_columns (id, id_report, id_column, display_seq, visible, frozen, width, sort_order, sort_direction, sort_nulls) FROM stdin;
7bbe4d75-8f8a-4a85-94c5-56b4d2ca89ac	8c2b70a0-1b28-4f54-ad4b-ea171c4f677d	d37e6212-9e67-4e12-ae16-6121f26bebc8	1	t	f	\N	\N	\N	\N
ea99a297-ec8b-439a-8c2b-1e407d30a044	8c2b70a0-1b28-4f54-ad4b-ea171c4f677d	8686e6da-5141-432f-aa7c-9675f715abbe	2	t	f	\N	\N	\N	\N
99f5f0c2-6aab-4b09-b619-82355e8cbd7a	8c2b70a0-1b28-4f54-ad4b-ea171c4f677d	1cf378af-60b4-4021-ab2a-fcc5dac89cf8	4	t	f	\N	\N	\N	\N
b23b3f79-fde9-430a-a63d-630570744e58	8c2b70a0-1b28-4f54-ad4b-ea171c4f677d	e2dd24a2-47bf-427e-b14f-07583cef6ee6	5	t	f	\N	\N	\N	\N
80fa0a16-6900-4b60-bad0-69277cbf7874	8c2b70a0-1b28-4f54-ad4b-ea171c4f677d	84d8bc25-dda3-47e4-bf31-71e502fbba77	0	t	f	\N	\N	\N	\N
9432c9c0-0939-4e6f-b160-c82a76c4ce3d	d8ec67ca-e110-4394-8d41-9f12b62677a1	1c4ed77e-fe86-440f-b6bb-af183801e0ed	1	t	f	\N	\N	\N	\N
6caa4fc3-02af-4266-b317-d42306a42aaa	d8ec67ca-e110-4394-8d41-9f12b62677a1	2dd77180-eebe-4055-bdd0-8f5b90823d3b	2	t	f	\N	\N	\N	\N
ed59d7ac-a743-4291-8cde-ccef185d0f7e	d8ec67ca-e110-4394-8d41-9f12b62677a1	81d7dc41-35d4-423c-a42c-7325e277c8dd	3	t	f	\N	\N	\N	\N
90de8b19-719f-42c2-9519-37bf8b9d3d83	d8ec67ca-e110-4394-8d41-9f12b62677a1	a8289a2e-387a-425d-a150-2f4cd51d551d	5	t	f	\N	\N	\N	\N
0337f526-040f-4e37-be7e-7d63c8aa6c5d	d8ec67ca-e110-4394-8d41-9f12b62677a1	9149b303-914d-4160-af50-8f084378d462	6	t	f	\N	\N	\N	\N
17f1c199-4bef-4cc0-a14e-d60506db5888	d8ec67ca-e110-4394-8d41-9f12b62677a1	a6becf49-e68a-4b0d-a137-7f867c1d65ca	7	t	f	\N	\N	\N	\N
82c6c385-0938-40bc-9fee-0f3914f57a84	d40effe8-152e-464f-a79c-3fd56249f579	3ffdc4ca-698c-49e9-987c-29d045b6bc65	1	t	f	\N	\N	\N	\N
6fadee51-ce65-45fc-96be-9b7b8eb1f5de	d40effe8-152e-464f-a79c-3fd56249f579	70693599-1f89-488d-90f6-250fad2ce53c	2	t	f	\N	\N	\N	\N
9cb8a73d-2c28-4448-b1f9-f9c0620b7809	d40effe8-152e-464f-a79c-3fd56249f579	41513fbf-7539-433b-829b-315ec464ddd0	3	t	f	\N	\N	\N	\N
55db7819-cfbf-492e-add2-fe9cff91c18d	d8ec67ca-e110-4394-8d41-9f12b62677a1	44403a1d-25d6-4656-bcc6-32ba67dcf9c3	8	t	f	\N	\N	\N	\N
15a49dd7-e17d-4299-9f9f-8cc66a27b5bf	d40effe8-152e-464f-a79c-3fd56249f579	b0e9027f-0f15-4430-83ff-4dc8ddd445a4	5	t	f	\N	\N	\N	\N
4b75b03a-b1c0-4b7b-8594-b4c16826ae2e	d40effe8-152e-464f-a79c-3fd56249f579	51c381ea-7c7b-4bac-8c2a-1add8c27ab23	6	t	f	\N	\N	\N	\N
e7b64f48-add0-48bb-b543-20319f31895d	d40effe8-152e-464f-a79c-3fd56249f579	92d239b4-ea26-41f7-b2cc-57067eaca318	7	t	f	\N	\N	\N	\N
e4845a3d-e8aa-4989-a8d5-ca39e3e1532b	d40effe8-152e-464f-a79c-3fd56249f579	1a466d27-47d3-44ad-8470-e62105297227	8	t	f	\N	\N	\N	\N
e782b4e9-da64-4236-aaea-3ccc70457a7f	d8ec67ca-e110-4394-8d41-9f12b62677a1	14789b2d-e9b3-4a27-8509-0e69254aa214	0	t	f	\N	\N	\N	\N
a6dec951-25d4-46bb-b944-b59f9b487c24	d40effe8-152e-464f-a79c-3fd56249f579	45ffd9fa-5f56-47ae-b469-638b7eaaa100	0	t	f	\N	\N	\N	\N
9366a931-247f-4c7a-b972-b8c864c3706e	d40effe8-152e-464f-a79c-3fd56249f579	6521547a-671f-4b0b-a429-6955a821eb61	9	t	f	\N	\N	\N	\N
\.


--
-- Data for Name: t_dg_report_filters; Type: TABLE DATA; Schema: dg; Owner: xrad_user
--

COPY dg.t_dg_report_filters (id, id_report, filter_type, filter_name, id_column, operator, expression, enabled, case_sensetive) FROM stdin;
\.


--
-- Data for Name: t_dg_report_highlights; Type: TABLE DATA; Schema: dg; Owner: xrad_user
--

COPY dg.t_dg_report_highlights (id, id_report, seq, name, id_column, background_color, text_color, cond_type, cond_id_column, cond_operator, cond_case_sensitive, condition_expression, enabled) FROM stdin;
\.


--
-- Data for Name: t_dg_reports; Type: TABLE DATA; Schema: dg; Owner: xrad_user
--

COPY dg.t_dg_reports (id, id_page, id_region, name, report_type, app_user, id_session, id_base, rows_per_page, last_updated_by, last_updated_on, version, show_row_numbers) FROM stdin;
d8ec67ca-e110-4394-8d41-9f12b62677a1	d1533edb-4578-4939-88c0-38a6ad2f4c7c	5c0f4cb6-30d4-40d1-9275-18795c7b08dc	\N	PRIMARY	\N	\N	\N	\N	\N	\N	1	t
8c2b70a0-1b28-4f54-ad4b-ea171c4f677d	45a1f80e-3900-4f07-8cde-89e476b24529	18398473-dba6-4e25-b61a-48a0fc4f3fca	\N	PRIMARY	\N	\N	\N	\N	\N	\N	1	t
d40effe8-152e-464f-a79c-3fd56249f579	fe04fae4-186f-429b-bf4f-3e3afd4b7141	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	\N	PRIMARY	\N	\N	\N	\N	\N	\N	1	t
\.


--
-- Data for Name: t_button_positions; Type: TABLE DATA; Schema: dict; Owner: xrad_user
--

COPY dict.t_button_positions ("position", descr, location) FROM stdin;
bottom-fluid	Bottom Fluid	REGION
bottom-left	Bottom Left	REGION
bottom-right	Bottom Right	REGION
left-body	Left Body	REGION
left-item	Left of Item	ITEM
right-body	Right Body	REGION
right-item	Right of Item	ITEM
top-left	Top Left	REGION
top-right	Top Right	REGION
\.


--
-- Data for Name: t_condition_types; Type: TABLE DATA; Schema: dict; Owner: xrad_user
--

COPY dict.t_condition_types (cond_code, cond_display, is_condition, is_validation) FROM stdin;
ALWAYS	Always	t	f
EXISTS	Exists (SQL query returns at least one row)	t	t
ITEM_IS_NOT_NULL	Value of Item / Column in Expression 1 Is NOT NULL	t	t
ITEM_IS_NOT_ZERO	Value of Item / Column in Expression 1 != Zero	t	t
ITEM_IS_NULL	Value of Item / Column in Expression 1 Is NULL	t	t
ITEM_IS_NULL_OR_ZERO	Value of Item / Column in Expression 1 Is NULL or Zero	t	t
ITEM_IS_ZERO	Value of Item / Column in Expression 1 = Zero	t	t
ITEM_NOT_NULL_OR_ZERO	Value of Item / Column in Expression 1 Is NOT null and the Item / Column Is NOT Zero	t	t
NEVER	Never	t	f
NOT_EXISTS	NOT Exists (SQL query returns no rows)	t	t
SQL_EXPRESSION	SQL Expression	t	t
FUNC_BODY_RETURNING_ERR_TEXT	Function returning Error Text	f	t
REGULAR_EXPRESSION	Regular Expression	f	t
\.


--
-- Data for Name: t_csv_encodings; Type: TABLE DATA; Schema: dict; Owner: xrad_user
--

COPY dict.t_csv_encodings (encoding_name) FROM stdin;
utf-8
ibm866
iso-8859-2
iso-8859-3
iso-8859-4
iso-8859-5
iso-8859-6
iso-8859-7
iso-8859-8
iso-8859-8-i
iso-8859-10
iso-8859-13
iso-8859-14
iso-8859-15
iso-8859-16
koi8-r
koi8-u
macintosh
windows-874
windows-1250
windows-1251
windows-1252
windows-1253
windows-1254
windows-1255
windows-1256
windows-1257
windows-1258
x-mac-cyrillic
gbk
gb18030
big5
euc-jp
iso-2022-jp
shift_jis
euc-kr
replacement
utf-16be
utf-16le
\.


--
-- Data for Name: t_event_types; Type: TABLE DATA; Schema: dict; Owner: xrad_user
--

COPY dict.t_event_types (id, name, display, event_type) FROM stdin;
1	blur	Blur	BROWSER
2	click	Click	BROWSER
3	change	Change	BROWSER
4	pageLoad	Page Load	BROWSER
5	pageUnload	Page Unload	BROWSER
7	focus	Focus	BROWSER
8	keydown	Key Down	BROWSER
9	keypress	Key Press	BROWSER
10	keyup	Key Release	BROWSER
12	mousedown	Mouse Button Press	BROWSER
13	mouseup	Mouse Button Release	BROWSER
14	mousemove	Mouse Move	BROWSER
15	mouseenter	Mouse Enter	BROWSER
16	mouseleave	Mouse Leave	BROWSER
18	afterRefresh	After refresh [REPORT]	COMPONENT
19	beforeRefresh	Before Refresh [REPORT]	COMPONENT
20	onModalClose	Dialog Closed	FRAMEWORK
21	onModalAccept	Dialog Accepted	FRAMEWORK
22	onModalDecline	Dialog Declined	FRAMEWORK
23	treeChange	Selection Change [TREE]	COMPONENT
24	tabChange	Tab Change [TABS]	COMPONENT
\.


--
-- Data for Name: t_region_types; Type: TABLE DATA; Schema: dict; Owner: xrad_user
--

COPY dict.t_region_types (code_type, type_name) FROM stdin;
BREADCRUMBS	Breadcrumb
BUTTONS	Buttons
CARDS	Cards
CHART	Chart
CHAT	Chat
FORM	Form
HTML_TEXT	HTML
PAGE_NAV	Page Navigation
REPORT	Report
TABS	Tabs
TREE	Tree
WIZARD	Wizard
WRAPPER	Wrapper
CALENDAR	Calendar
DATA_GRID	Data Grid
TILES	Tiles
\.


--
-- Data for Name: t_comp_prop_dep; Type: TABLE DATA; Schema: ds; Owner: xrad_user
--

COPY ds.t_comp_prop_dep (id, id_comp_prop, depending_on_prop_id, condition_type, has_to_exist, expression) FROM stdin;
3	52	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
6	76	49	IN_LIST	t	EXISTS,NOT_EXISTS
7	77	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
8	78	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
15	48	46	EQUALS	t	STATIC
16	49	46	IN_LIST	t	SQL,ITEM
17	100	49	IN_LIST	t	EXISTS,NOT_EXISTS
18	101	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
19	102	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
20	114	49	IN_LIST	t	EXISTS,NOT_EXISTS
21	115	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
22	116	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
23	109	74	EQUALS	t	ITEM
24	112	74	EQUALS	t	SELECTOR
25	110	74	EQUALS	t	REGION
26	111	74	EQUALS	t	BUTTON
28	123	49	EQUALS	t	SQL_EXPRESSION
29	124	49	EQUALS	t	SQL_EXPRESSION
30	125	49	EQUALS	t	SQL_EXPRESSION
31	126	49	EQUALS	t	SQL_EXPRESSION
32	127	49	EQUALS	t	SQL_EXPRESSION
33	31	25	EQUALS	t	LINK
34	33	25	EQUALS	t	LINK
35	135	49	EQUALS	t	SQL_EXPRESSION
36	133	49	IN_LIST	t	EXISTS,NOT_EXISTS
37	136	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
38	134	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
39	85	68	EQUALS	t	FORM
40	86	68	EQUALS	t	FORM
41	84	69	EQUALS	t	REDIRECT
42	91	69	EQUALS	t	DROPDOWN
43	140	49	EQUALS	t	SQL_EXPRESSION
44	138	49	IN_LIST	t	EXISTS,NOT_EXISTS
45	141	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
46	139	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
47	146	49	EQUALS	t	SQL_EXPRESSION
48	144	49	IN_LIST	t	EXISTS,NOT_EXISTS
49	147	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
50	145	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
51	16	10	EQUALS	t	HTML_TEXT
54	163	49	EQUALS	t	SQL_EXPRESSION
55	161	49	IN_LIST	t	EXISTS,NOT_EXISTS
56	164	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
57	162	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
58	168	49	EQUALS	t	SQL_EXPRESSION
59	166	49	IN_LIST	t	EXISTS,NOT_EXISTS
60	169	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
61	167	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
62	154	150	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO,REGULAR_EXPRESSION
63	156	150	IN_LIST	t	FUNC_BODY_RETURNING_ERR_TEXT,EXISTS,NOT_EXISTS,SQL_EXPRESSION
64	153	150	IN_LIST	t	FUNC_BODY_RETURNING_ERR_TEXT,EXISTS,NOT_EXISTS
65	155	150	EQUALS	t	SQL_EXPRESSION
66	157	150	EQUALS	t	REGULAR_EXPRESSION
71	175	2	EQUALS	t	MODAL
73	185	162	EQUALS	t	SQL_EXPRESSION
74	183	162	IN_LIST	t	EXISTS,NOT_EXISTS
75	186	162	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
76	184	162	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
100	88	68	EQUALS	f	ITEM
101	87	68	EQUALS	f	REGION
102	96	68	EQUALS	f	ITEM
103	97	46	EQUALS	t	SQL
13	44	35	IN_LIST	t	SWITCHER,CHECKBOXES,RADIOS,AUTOCOMPLETE,SELECT,MULTISELECT
70	455	10	IN_LIST	t	HTML_TEXT
80	45	35	IN_LIST	t	TEXT
115	273	35	EQUALS	t	FILE
118	301	49	EQUALS	t	SQL_EXPRESSION
4	55	10	IN_LIST	t	BREADCRUMBS,PAGE_NAV,CARDS,WIZARD
119	303	49	IN_LIST	t	EXISTS,NOT_EXISTS
120	304	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
77	103	61	NOT_EQUALS	t	AJAX
78	189	25	EQUALS	t	CHECKBOX
81	199	49	EQUALS	t	SQL_EXPRESSION
82	197	49	IN_LIST	t	EXISTS,NOT_EXISTS
83	200	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
84	198	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
85	201	174	EQUALS	f	REDIRECT_URL
87	213	49	EQUALS	t	SQL_EXPRESSION
88	211	49	IN_LIST	t	EXISTS,NOT_EXISTS
121	302	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
129	307	221	EQUALS	t	STATIC
12	43	35	IN_LIST	t	SWITCHER,CHECKBOXES,RADIOS,AUTOCOMPLETE,SELECT,MULTISELECT
134	326	242	EQUALS	t	true
79	41	35	IN_LIST	t	TEXT,TEXT_AREA,NUMERIC,DATE_FIELD,PASSWORD
132	309	10	EQUALS	t	REPORT
135	325	242	EQUALS	t	true
136	324	242	EQUALS	t	true
137	331	25	EQUALS	t	LINK
5	64	56	EQUALS	f	true
68	455	15	EQUALS	t	TEXT
89	214	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
90	212	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
116	274	216	NULL	f	\N
117	275	215	NULL	f	\N
122	290	221	EQUALS	t	FORM_ENCODED
123	291	221	EQUALS	t	SQL
124	292	221	EQUALS	t	SQL
125	294	223	EQUALS	t	VALUES
126	295	223	EQUALS	t	SQL
127	296	223	EQUALS	t	SQL
128	297	223	EQUALS	t	SQL
131	309	228	EQUALS	t	true
159	418	162	IN_LIST	f	EXISTS,NOT_EXISTS
130	308	10	EQUALS	t	REPORT
11	46	35	IN_LIST	t	NUMERIC,FILE,DATE_FIELD,CHECKBOXES,WYSIWYG,SELECT,MULTISELECT,TEXT,PASSWORD,NUMBER,AUTOCOMPLETE,TEXT_AREA
161	419	162	IN_LIST	f	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
138	330	25	EQUALS	t	LINK
139	329	25	EQUALS	t	LINK
86	194	174	EQUALS	f	FUNCTION_RETURNING_URL
140	332	174	EQUALS	f	FUNCTION_RETURNING_URL
141	335	10	EQUALS	t	TABS
142	63	85	EQUALS	f	true
144	336	10	NOT_EQUALS	f	TABS
145	339	253	EQUALS	t	true
146	340	253	EQUALS	t	true
147	341	253	EQUALS	t	true
148	342	256	EQUALS	t	COLUMN
149	343	253	EQUALS	t	true
150	410	49	EQUALS	t	SQL_EXPRESSION
151	408	49	IN_LIST	t	EXISTS,NOT_EXISTS
152	411	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
153	409	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
154	415	49	EQUALS	t	SQL_EXPRESSION
155	413	49	IN_LIST	t	EXISTS,NOT_EXISTS
156	416	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
157	414	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
97	38	35	NOT_EQUALS	t	HIDDEN
94	40	35	NOT_EQUALS	t	HIDDEN
93	35	35	NOT_EQUALS	t	HIDDEN
95	42	35	NOT_EQUALS	t	HIDDEN
96	39	35	NOT_EQUALS	t	HIDDEN
181	342	256	EQUALS	f	COLUMN
179	341	253	EQUALS	t	true
177	339	253	EQUALS	t	true
174	355	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
162	356	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
163	359	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
164	360	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
165	361	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
166	362	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
167	363	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
204	352	267	EQUALS	t	true
205	340	253	EQUALS	f	CHANGE
175	369	270	IN_LIST	t	SELECT,AUTOCOMPLETE,MULTISELECT,RADIOS
176	370	270	IN_LIST	t	SELECT,AUTOCOMPLETE,MULTISELECT,RADIOS
173	417	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
158	420	162	EQUALS	f	SQL_EXPRESSION
160	421	162	IN_LIST	f	EXISTS,NOT_EXISTS,SQL_EXPRESSION
180	343	254	IN_LIST_LIKE	f	I
178	340	254	IN_LIST_LIKE	t	U,D
168	364	270	EQUALS	t	LINK
191	424	150	IN_LIST	f	EXISTS,NOT_EXISTS,SQL_EXPRESSION
188	423	49	NOT_EQUALS	f	ALWAYS
169	365	270	EQUALS	t	LINK
170	366	270	EQUALS	t	LINK
171	367	270	EQUALS	t	LINK
172	368	270	EQUALS	t	LINK
195	426	270	NOT_IN_LIST	t	ROW_ACTION,ROW_SELECTOR
194	425	270	NOT_IN_LIST	t	ROW_ACTION,ROW_SELECTOR
196	429	270	NOT_IN_LIST	t	ROW_ACTION,ROW_SELECTOR
197	432	270	EQUALS	t	LINK
198	360	270	EQUALS	t	CHANGE
208	437	270	EQUALS	t	SWITCH
201	347	253	EQUALS	f	CHANGE
202	349	253	EQUALS	f	CHANGE
203	350	253	EQUALS	f	CHANGE
206	435	270	EQUALS	t	CHECKBOX
207	436	270	EQUALS	t	CHECKBOX
209	438	270	EQUALS	t	SWITCH
210	439	270	EQUALS	t	SWITCH
211	440	270	EQUALS	t	SWITCH
212	442	46	EQUALS	t	STATIC
213	444	46	IN_LIST	t	SQL,ITEM
214	443	46	EQUALS	t	SQL
217	442	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
215	433	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION,MULTISELECT,SELECT
216	441	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
218	443	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
219	444	270	NOT_IN_LIST	t	ROW_SELECTOR,ROW_ACTION
199	362	270	IN_LIST	t	NUMERIC,MULTISELECT,DATE_FIELD
1	17	10	IN_LIST	t	REPORT,TREE,CHAT,COLSTAT,CHART,CALENDAR,DATA_GRID,TILES
143	336	56	EQUALS	t	true
221	456	15	EQUALS	t	SQL
222	457	15	EQUALS	t	SQL
69	0	10	IN_LIST	t	REPORT,TREE,CHAT,COLSTAT,CALENDAR,CHART,DATA_GRID,TILES
193	267	274	NULL	f	
190	424	274	NOT_NULL	f	
185	383	274	NOT_NULL	f	
186	159	274	NULL	f	
187	423	274	NOT_NULL	f	
223	532	49	EQUALS	t	SQL_EXPRESSION
224	530	49	IN_LIST	t	EXISTS,NOT_EXISTS
225	533	49	IN_LIST	t	EXISTS,NOT_EXISTS,SQL_EXPRESSION
226	531	49	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO
227	458	313	EQUALS	t	CUSTOM
228	461	313	EQUALS	t	LDAP
229	462	313	EQUALS	t	MICROSOFT_LDAP
230	463	313	EQUALS	t	OIDC
231	464	313	EQUALS	t	KERBEROS_SSO
232	465	313	EQUALS	t	CUSTOM
234	467	313	EQUALS	t	CUSTOM
235	536	313	IN_LIST	t	LDAP,MICROSOFT_LDAP
236	537	313	IN_LIST	t	LDAP,MICROSOFT_LDAP
237	328	242	EQUALS	t	true
183	345	254	IN_LIST_LIKE	t	U
182	344	254	IN_LIST_LIKE	t	I
192	156	274	NULL	f	
238	158	150	NOT_EQUALS	t	FUNC_BODY_RETURNING_ERR_TEXT
239	538	69	EQUALS	t	REDIRECT
240	539	69	EQUALS	t	REDIRECT
241	540	69	EQUALS	t	REDIRECT
184	346	254	IN_LIST_LIKE	t	D
242	154	274	NULL	f	\N
245	541	274	NOT_NULL	f	\N
246	541	150	IN_LIST	t	ITEM_IS_NOT_NULL,ITEM_IS_NULL,ITEM_IS_NULL_OR_ZERO,ITEM_NOT_NULL_OR_ZERO,ITEM_IS_ZERO,ITEM_IS_NOT_ZERO,REGULAR_EXPRESSION
247	542	242	EQUALS	t	true
249	326	323	IN_LIST_LIKE	t	CSV
248	324	323	IN_LIST_LIKE	t	CSV
250	543	35	IN_LIST	f	TEXT,TEXT_AREA
251	545	242	EQUALS	t	true
253	547	323	IN_LIST_LIKE	t	CSV
252	546	323	IN_LIST_LIKE	t	CSV
254	548	242	EQUALS	t	true
\.


--
-- Data for Name: t_component_props; Type: TABLE DATA; Schema: ds; Owner: xrad_user
--

COPY ds.t_component_props (id, id_component, id_property, db_column, display_seq, is_required, is_read_only, default_value, help_text, query_only, parent_id) FROM stdin;
310	5	230	generic	1	t	f	false	\N	f	\N
323	4	242	enable_download	51	t	f	false	\N	f	\N
329	5	247	link_target	53	f	f	\N	\N	f	\N
330	5	248	link_class	54	f	f	\N	\N	f	\N
331	5	249	link_title	55	f	f	\N	\N	f	\N
332	12	17	action_input	45	f	f	\N	\N	f	\N
337	20	252	scroll_bottom	30	f	f	false	\N	f	\N
210	14	49	condition_type	30	t	f	ALWAYS	\N	f	\N
339	21	254	edit_operations	20	f	f	I,U,D	\N	f	\N
340	21	255	edit_row_column	30	f	f	\N	\N	f	\N
341	21	256	lost_update_type	40	t	f	ROW_VALUES	\N	f	\N
342	21	257	row_version_column	50	t	f	\N	\N	f	\N
347	21	263	lazy_loading	100	f	f	false	\N	f	\N
348	21	264	show_null_values	110	f	f	-	\N	f	\N
349	21	265	select_first_row	120	f	f	false	\N	f	\N
350	21	266	fixed_row_height	130	f	f	false	\N	f	\N
351	21	267	show_toolbar	140	f	f	true	\N	f	\N
352	21	268	toolbar_buttons	150	f	f	SEARCH_COLUMNS,SEARCH_FIELD,ACTION_MENU,RESET,SAVE	\N	f	\N
424	11	281	validation_first_input	50	f	f	\N	\N	f	382
427	23	273	condition_scope	230	t	f	ONCE	\N	f	\N
430	23	290	lost_update	45	t	f	true	\N	f	\N
431	23	289	lock_row	46	t	f	true	\N	f	\N
338	21	253	editable	10	f	f	false	\N	f	\N
344	21	259	insert_auth	70	f	f	\N	\N	f	\N
345	21	260	update_auth	80	f	f	\N	\N	f	\N
346	21	261	delete_auth	90	f	f	\N	\N	f	\N
417	22	162	read_only_type	340	t	f	NEVER	\N	f	\N
418	22	163	read_only_first	350	t	f	\N	\N	f	\N
419	22	167	read_only_first	360	t	f	\N	\N	f	\N
420	22	168	read_only_first	370	t	f	\N	\N	f	\N
421	22	164	read_only_first_input	380	f	f	\N	\N	f	\N
445	24	299	theme	10	t	f	CLASSIC	\N	f	\N
446	24	300	columns	20	t	f	1	\N	f	\N
447	24	301	view	30	t	f	GRID	\N	f	\N
448	24	302	align	40	t	f	center	\N	f	\N
449	24	303	icon_contrast	50	t	f	false	\N	f	\N
450	24	304	title_column	60	t	f	\N	\N	f	\N
451	24	305	text_column	70	f	f	\N	\N	f	\N
452	24	306	desc_column	80	f	f	\N	\N	f	\N
453	24	307	icon_column	90	f	f	\N	\N	f	\N
454	24	308	color_column	100	f	f	\N	\N	f	\N
459	25	7	auth_seq	20	t	f	\N	\N	f	\N
460	25	313	auth_type	1	t	f	CUSTOM	\N	f	\N
458	25	1	auth_name	10	t	f	\N	\N	f	\N
465	25	317	auth_code	30	t	f	\N	\N	f	\N
468	25	211	id_source	25	t	f	\N	\N	f	\N
0	2	17	source_input	140	f	f	\N	\N	f	\N
7	2	1	title	10	t	f	\N	\N	f	\N
8	2	7	seq	30	t	f	\N	\N	f	\N
9	2	8	position	40	t	f	body	\N	f	\N
10	2	9	static_id	150	t	f	\N	\N	f	\N
11	2	10	comp_type	20	t	f	WRAPPER	\N	f	\N
529	25	49	condition_type	50	t	f	\N	\N	f	\N
530	25	50	condition_first	60	t	f	\N	\N	f	\N
531	25	65	condition_first	70	t	f	\N	\N	f	\N
532	25	84	condition_first	80	t	f	\N	\N	f	\N
533	25	51	condition_first_input	90	f	f	\N	\N	f	\N
467	25	319	auth_code_input	35	f	f	\N	\N	f	\N
466	25	318	post_login_func	40	f	f	\N	\N	f	\N
537	25	321	ldap_pass_item	37	t	f	\N	\N	f	\N
536	25	320	ldap_user_item	36	t	f	\N	\N	f	\N
278	19	1	rest_name	10	t	f	\N	\N	f	\N
279	19	211	id_source	20	t	f	\N	\N	f	\N
280	19	61	rest_type	30	t	f	\N	\N	f	\N
281	19	72	request_name	40	f	f	\N	\N	f	\N
282	19	73	accept_modal	50	f	f	false	\N	f	\N
283	19	157	commit_tx	60	f	f	false	\N	f	\N
284	19	7	rest_seq	15	f	f	\N	\N	f	\N
285	19	217	url_address	70	t	f	\N	\N	f	\N
286	19	218	http_method	80	t	f	GET	\N	f	\N
287	19	219	http_headers	90	f	f	\N	\N	f	\N
288	19	220	query_params	100	f	f	\N	\N	f	\N
289	19	221	payload_type	110	t	f	NONE	\N	f	\N
290	19	222	payload_params	120	f	f	\N	\N	f	\N
291	19	16	payload_source	130	t	f	\N	\N	f	\N
292	19	17	payload_source_input	140	f	f	\N	\N	f	\N
293	19	223	resp_type	150	t	f	NONE	\N	f	\N
294	19	224	resp_params	160	t	f	\N	\N	f	\N
295	19	225	resp_source	170	t	f	\N	\N	f	\N
296	19	226	resp_source_input	180	f	f	\N	\N	f	\N
298	19	63	success_message	200	f	f	\N	\N	f	\N
299	19	64	error_message	210	f	f	\N	\N	f	\N
300	19	49	condition_type	220	t	f	ALWAYS	\N	f	\N
301	19	84	condition_first	230	f	f	\N	\N	f	\N
302	19	65	condition_first	230	f	f	\N	\N	f	\N
303	19	50	condition_first	230	f	f	\N	\N	f	\N
304	19	51	condition_first_input	240	f	f	\N	\N	f	\N
305	19	195	last_updated_by	250	f	t	\N	\N	t	\N
306	19	196	last_updated_on	260	f	t	\N	\N	t	\N
297	19	227	resp_output	190	f	f	\N	\N	f	\N
314	20	234	max_height	20	f	f	\N	\N	f	\N
313	20	233	height	10	t	f	600px	\N	f	\N
327	5	246	data_type	2	f	f	\N	\N	f	\N
386	23	274	id_region	30	t	f	\N	\N	f	\N
455	2	309	source_text	135	t	f	\N	\N	f	\N
387	23	61	process_type	40	t	f	\N	\N	f	\N
393	23	277	delete_code	50	f	f	\N	\N	f	\N
394	23	279	delete_input	60	f	f	\N	\N	f	386
395	23	280	delete_output	70	f	f	\N	\N	f	386
382	11	274	id_region	14	f	f	\N	\N	f	\N
384	23	1	process_name	10	t	f	\N	\N	f	\N
385	23	7	process_seq	20	t	f	\N	\N	f	\N
396	23	278	insert_code	80	f	f	\N	\N	f	\N
397	23	284	insert_input	90	f	f	\N	\N	f	386
398	23	285	insert_output	100	f	f	\N	\N	f	386
326	4	245	csv_encoding	70	f	f	\N	\N	f	\N
328	4	244	download_name	80	f	f	\N	\N	f	\N
399	23	276	update_code	110	f	f	\N	\N	f	\N
400	23	286	update_input	120	f	f	\N	\N	f	386
401	23	287	update_output	130	f	f	\N	\N	f	386
388	23	73	accept_modal	140	t	f	false	\N	f	\N
389	23	157	commit_tx	150	t	f	false	\N	f	\N
390	23	63	success_message	160	f	f	\N	\N	f	\N
391	23	64	error_message	170	f	f	\N	\N	f	\N
407	23	49	condition_type	180	t	f	ALWAYS	\N	f	\N
408	23	50	condition_first	190	t	f	\N	\N	f	\N
409	23	65	condition_first	200	t	f	\N	\N	f	\N
410	23	84	condition_first	210	t	f	\N	\N	f	\N
411	23	51	condition_first_input	220	f	f	\N	\N	f	\N
363	22	39	required	170	f	f	\N	\N	f	\N
353	22	23	column_name	10	t	f	\N	\N	f	\N
354	22	270	column_type	20	t	f	TEXT	\N	f	\N
355	22	24	column_heading	30	f	f	\N	\N	f	\N
356	22	271	heading_align	40	t	f	left	\N	f	\N
435	22	293	property_01	50	t	f	true	\N	f	\N
437	22	295	property_01	60	t	f	true	\N	f	\N
436	22	294	property_02	70	t	f	false	\N	f	\N
438	22	296	property_02	80	t	f	Yes	\N	f	\N
439	22	297	property_03	90	t	f	false	\N	f	\N
440	22	298	property_04	100	t	f	No	\N	f	\N
149	8	86	class	125	f	f	\N	\N	f	\N
357	22	7	column_display_seq	110	t	f	\N	\N	f	\N
359	22	31	align	120	t	f	left	\N	f	\N
360	22	44	mask	140	f	f	\N	\N	f	\N
362	22	292	js_settings	150	f	f	\N	\N	f	\N
422	22	9	static_id	160	f	f	\N	\N	f	\N
369	22	42	lov	180	t	f	\N	\N	f	\N
370	22	43	lov_input	190	f	f	\N	\N	f	\N
364	22	26	link	200	f	f	\N	\N	f	\N
432	22	291	link_text	210	f	f	\N	\N	f	\N
365	22	28	link_icon	220	f	f	\N	\N	f	\N
366	22	247	link_target	230	f	f	\N	\N	f	\N
367	22	248	link_class	240	f	f	\N	\N	f	\N
368	22	249	link_title	250	f	f	\N	\N	f	\N
425	22	269	data_type	260	t	f	\N	\N	f	\N
461	25	312	auth_name	10	t	f	\N	\N	f	\N
462	25	314	auth_name	10	t	f	\N	\N	f	\N
463	25	315	auth_name	10	t	f	\N	\N	f	\N
464	25	316	auth_name	10	t	f	\N	\N	f	\N
83	8	55	id_region	40	t	f	\N	\N	f	\N
307	19	159	payload_source	130	t	f	\N	\N	f	\N
28	5	31	align	50	t	f	left	\N	f	\N
315	3	235	tooltip	300	f	f	\N	\N	f	\N
335	2	250	store_state	121	f	f	false	\N	f	\N
12	2	38	col_span	50	t	f	12	\N	f	\N
13	2	12	component_classes	80	f	f	\N	\N	f	\N
14	2	14	class	90	f	f	\N	\N	f	\N
16	2	15	source_type	125	t	f	TEXT	\N	f	\N
18	3	1	name	10	t	f	\N	\N	f	\N
19	3	7	seq	20	t	f	\N	\N	f	\N
25	5	23	column_alias	10	f	t	\N	\N	f	\N
26	5	25	column_type	20	t	f	TEXT	\N	f	\N
27	5	24	column_heading	30	f	f	\N	\N	f	\N
29	5	32	format_mask	70	f	f	\N	\N	f	\N
30	5	33	column_width	60	f	f	\N	\N	f	\N
31	5	26	column_link	51	t	f	\N	\N	f	\N
32	5	27	column_formating	90	f	f	\N	\N	f	\N
33	5	28	column_icon	52	f	f	\N	\N	f	\N
34	5	7	column_display_seq	40	t	f	\N	\N	f	\N
36	3	35	type	40	t	f	TEXT	\N	f	\N
37	3	36	id_region	50	f	f	\N	\N	f	\N
38	3	37	start_new_row	60	f	f	true	\N	f	\N
40	3	39	required	80	f	f	false	\N	f	\N
42	3	41	placeholder	100	f	f	\N	\N	f	\N
43	3	42	lov	110	t	f	\N	\N	f	\N
44	3	43	lov_input	120	f	f	\N	\N	f	\N
45	3	44	mask	130	f	f	\N	\N	f	\N
46	3	45	js_settings	140	f	f	\N	\N	f	\N
47	3	46	default_value_type	150	f	f	\N	\N	f	\N
48	3	47	default_value	160	f	f	\N	\N	f	\N
49	3	48	default_input	170	f	f	\N	\N	f	\N
55	2	54	id_list	135	t	f	\N	\N	f	\N
62	2	55	id_parent	35	f	f	\N	\N	f	\N
63	2	56	toggle	110	f	f	false	\N	f	\N
64	2	57	active	120	f	f	false	\N	f	\N
65	6	58	pkey_col	1	t	f	\N	\N	f	\N
66	6	59	fkey_col	2	t	f	\N	\N	f	\N
67	6	60	label_col	3	t	f	\N	\N	f	\N
68	7	1	process_name	10	t	f	\N	\N	f	\N
69	7	16	process_code	30	t	f	\N	\N	f	\N
70	7	17	input_parameters	40	f	f	\N	\N	f	\N
71	7	7	process_seq	60	t	f	\N	\N	f	\N
72	7	62	output_parameters	50	f	f	\N	\N	f	\N
73	7	63	success_message	70	f	f	\N	\N	f	\N
74	7	64	error_message	80	f	f	\N	\N	f	\N
75	3	49	condition_type	180	t	f	ALWAYS	\N	f	\N
76	3	50	condition_first	190	t	f	\N	\N	f	\N
77	3	65	condition_first	200	t	f	\N	\N	f	\N
78	3	51	condition_first_input	210	f	f	\N	\N	f	\N
79	8	1	name	10	t	f	\N	\N	f	\N
80	8	7	sequence	30	t	f	\N	\N	f	\N
81	8	9	static_id	130	f	f	\N	\N	f	\N
82	8	34	alias	20	f	f	\N	\N	f	\N
84	8	26	redirect_url	120	f	f	\N	\N	f	\N
85	8	37	start_new_row	80	f	f	\N	\N	f	\N
86	8	38	col_span	70	f	f	\N	\N	f	\N
87	8	66	position	90	f	f	left-body	\N	f	\N
88	8	67	position	100	f	f	\N	\N	f	\N
89	8	68	location	50	f	f	REGION	\N	f	\N
90	8	69	button_action	110	f	f	\N	\N	f	\N
91	8	54	id_list	120	f	f	\N	\N	f	\N
96	8	70	id_item	60	t	f	\N	\N	f	\N
97	3	71	default_value	160	t	f	\N	\N	f	\N
98	7	61	process_type	20	t	f	SHOW	\N	f	\N
99	7	49	condition_type	90	t	f	ALWAYS	\N	f	\N
100	7	50	condition_first	100	t	f	\N	\N	f	\N
101	7	65	condition_first	100	t	f	\N	\N	f	\N
102	7	51	condition_first_input	110	f	f	\N	\N	f	\N
103	7	73	accept_modal	25	f	f	\N	\N	f	\N
104	9	1	event_name	10	t	f	\N	\N	f	\N
105	9	7	event_sequence	20	t	f	\N	\N	f	\N
106	9	79	bind_event_type	30	t	f	\N	\N	f	\N
107	9	74	triggering_element_type	40	t	f	ITEM	\N	f	\N
109	9	75	triggering_element	50	t	f	\N	\N	f	\N
110	9	76	triggering_region_id	60	t	f	\N	\N	f	\N
111	9	77	triggering_button_id	70	t	f	\N	\N	f	\N
112	9	78	triggering_element	80	t	f	\N	\N	f	\N
117	10	7	sequence	1	t	f	\N	\N	f	\N
118	10	80	id_event	2	t	f	\N	\N	f	\N
119	10	81	init_on_load	3	f	f	\N	\N	f	\N
120	10	82	code	4	f	f	\N	\N	f	\N
121	5	83	query_column_id	0	f	f	\N	\N	f	\N
124	3	84	condition_first	190	t	f	\N	\N	f	\N
126	7	84	condition_first	100	t	f	\N	\N	f	\N
130	5	29	sortable	71	t	f	true	\N	f	\N
131	5	30	searchable	72	t	f	true	\N	f	\N
132	5	49	condition_type	100	t	f	ALWAYS	\N	f	\N
133	5	50	condition_first	110	t	f	\N	\N	f	\N
134	5	65	condition_first	120	t	f	\N	\N	f	\N
135	5	84	condition_first	130	t	f	\N	\N	f	\N
136	5	51	condition_first_input	140	f	f	\N	\N	f	\N
137	8	49	condition_type	140	t	f	ALWAYS	\N	f	\N
138	8	50	condition_first	150	t	f	\N	\N	f	\N
139	8	65	condition_first	160	t	f	\N	\N	f	\N
140	8	84	condition_first	170	t	f	\N	\N	f	\N
141	8	51	condition_first_input	180	f	f	\N	\N	f	\N
142	2	37	start_new_row	60	t	f	true	\N	f	\N
143	2	49	condition_type	160	t	f	ALWAYS	\N	f	\N
253	18	200	end_column	30	f	f	\N	\N	f	\N
267	11	211	id_source	15	t	f	\N	\N	f	\N
268	12	211	id_source	5	t	f	\N	\N	f	\N
144	2	50	condition_first	170	t	f	\N	\N	f	\N
145	2	65	condition_first	170	t	f	\N	\N	f	\N
146	2	84	condition_first	170	t	f	\N	\N	f	\N
147	2	51	condition_first_input	180	f	f	\N	\N	f	\N
148	2	85	show_header	100	t	f	true	\N	f	\N
41	3	40	max_length	90	f	f	\N	\N	f	\N
21	4	19	enable_pagination	20	t	f	true	\N	f	\N
22	4	20	enable_heading	30	t	f	true	\N	f	\N
23	4	21	row_limit	40	t	f	15	\N	f	\N
24	4	22	appearance	50	t	f	STANDART	\N	f	\N
20	4	18	enable_search	10	t	f	true	\N	f	\N
39	3	38	col_span	70	t	f	0	\N	f	\N
150	11	1	validation_name	10	t	f	\N	\N	f	\N
151	11	7	validation_sequence	20	t	f	\N	\N	f	\N
152	11	150	validation_type	30	t	f	\N	\N	f	\N
153	11	151	validation_first	40	t	f	\N	\N	f	\N
154	11	152	validation_first	40	t	f	\N	\N	f	\N
155	11	153	validation_first	40	t	f	\N	\N	f	\N
156	11	154	validation_first_input	50	f	f	\N	\N	f	\N
157	11	155	validation_second	60	t	f	\N	\N	f	\N
159	11	156	associated_item	70	f	f	\N	\N	f	\N
160	11	49	condition_type	90	t	f	ALWAYS	\N	f	\N
161	11	50	condition_first	100	t	f	\N	\N	f	\N
162	11	65	condition_first	110	t	f	\N	\N	f	\N
163	11	84	condition_first	120	t	f	\N	\N	f	\N
164	11	51	condition_first_input	130	f	f	\N	\N	f	\N
165	9	49	condition_type	90	t	f	ALWAYS	\N	f	\N
166	9	50	condition_first	100	t	f	\N	\N	f	\N
167	9	65	condition_first	110	t	f	\N	\N	f	\N
168	9	84	condition_first	120	t	f	\N	\N	f	\N
169	9	51	condition_first_input	130	f	f	\N	\N	f	\N
171	7	157	commit_tx	26	t	f	false	\N	f	\N
174	7	72	request_name	24	f	f	\N	\N	f	\N
182	3	162	read_only_type	220	t	f	NEVER	\N	f	\N
183	3	163	read_only_first	230	t	f	\N	\N	f	\N
184	3	167	read_only_first	240	t	f	\N	\N	f	\N
185	3	168	read_only_first	250	t	f	\N	\N	f	\N
186	3	164	read_only_first_input	260	f	f	\N	\N	f	\N
189	5	173	associated_item	25	t	f	\N	\N	f	\N
190	12	1	branch_name	1	t	f	\N	\N	f	\N
191	12	7	branch_seq	10	t	f	\N	\N	f	\N
192	12	175	branch_point	20	t	f	PROCESS	\N	f	\N
193	12	174	branch_type	30	t	f	REDIRECT_URL	\N	f	\N
194	12	16	branch_action	40	t	f	\N	\N	f	\N
196	12	49	condition_type	50	t	f	ALWAYS	\N	f	\N
197	12	50	condition_first	60	t	f	\N	\N	f	\N
198	12	65	condition_first	70	t	f	\N	\N	f	\N
199	12	84	condition_first	80	t	f	\N	\N	f	\N
200	12	51	condition_first_input	90	f	f	\N	\N	f	\N
201	12	26	branch_action	40	t	f	\N	\N	f	\N
202	13	177	chart_type	1	t	f	\N	\N	f	\N
203	13	181	category_column	10	t	f	\N	\N	f	\N
204	13	183	dynamic_load	20	f	f	false	\N	f	\N
205	13	179	width	30	f	f	\N	\N	f	\N
206	13	180	height	40	f	f	\N	\N	f	\N
207	14	1	name	1	t	f	\N	\N	f	\N
208	14	7	seq	10	t	f	\N	\N	f	\N
209	14	184	value_column	20	t	f	\N	\N	f	\N
211	14	50	condition_first	40	t	f	\N	\N	f	\N
212	14	65	condition_first	50	t	f	\N	\N	f	\N
213	14	84	condition_first	60	t	f	\N	\N	f	\N
214	14	51	condition_first_input	70	f	f	\N	\N	f	\N
215	15	185	theme	1	t	f	basic	\N	f	\N
216	15	186	columns	10	t	f	2	\N	f	\N
217	16	187	clickable	1	t	f	true	\N	f	\N
218	16	188	label_display	10	t	f	all	\N	f	\N
219	16	189	orientation	20	t	f	horizontal	\N	f	\N
220	17	1	download_name	1	t	f	\N	\N	f	\N
221	17	7	download_seq	10	t	f	\N	\N	f	\N
222	17	176	source	20	t	f	\N	\N	f	\N
223	17	17	source_input	30	f	f	\N	\N	f	\N
225	17	190	file_name_column	50	t	f	\N	\N	f	\N
226	17	191	file_content_column	60	t	f	\N	\N	f	\N
227	17	192	mime_type_column	70	f	f	\N	\N	f	\N
228	17	193	content_disposition	80	t	f	attachment	\N	f	\N
230	2	194	settings	75	f	f	\N	\N	f	\N
17	2	176	source_text	135	t	f	\N	\N	f	\N
231	1	196	last_updated_on	510	f	t	\N	\N	t	\N
232	1	195	last_updated_by	500	f	t	\N	\N	t	\N
233	2	196	last_updated_on	510	f	t	\N	\N	t	\N
234	2	195	last_updated_by	500	f	t	\N	\N	t	\N
235	7	196	last_updated_on	510	f	t	\N	\N	t	\N
236	7	195	last_updated_by	500	f	t	\N	\N	t	\N
237	9	196	last_updated_on	510	f	t	\N	\N	t	\N
238	9	195	last_updated_by	500	f	t	\N	\N	t	\N
239	10	196	last_updated_on	510	f	t	\N	\N	t	\N
240	10	195	last_updated_by	500	f	t	\N	\N	t	\N
241	11	196	last_updated_on	510	f	t	\N	\N	t	\N
242	11	195	last_updated_by	500	f	t	\N	\N	t	\N
243	12	196	last_updated_on	510	f	t	\N	\N	t	\N
244	12	195	last_updated_by	500	f	t	\N	\N	t	\N
245	17	196	last_updated_on	510	f	t	\N	\N	t	\N
246	17	195	last_updated_by	500	f	t	\N	\N	t	\N
224	17	72	request_name	40	t	f	\N	\N	f	\N
247	3	195	last_updated_by	500	f	t	\N	\N	t	\N
248	3	196	last_updated_on	510	f	t	\N	\N	t	\N
250	8	196	last_updated_on	510	f	t	\N	\N	t	\N
249	8	195	last_updated_by	500	f	t	\N	\N	t	\N
255	18	202	views	50	t	f	\N	\N	f	\N
256	18	204	show_time	60	f	f	true	\N	f	\N
257	18	205	show_tooltip	70	f	f	true	\N	f	\N
258	18	206	show_weekend	80	f	f	true	\N	f	\N
259	18	207	view_link	90	f	f	\N	\N	f	\N
254	18	201	height	40	f	f	\N	\N	f	\N
158	11	64	error_message	80	t	f	\N	\N	f	\N
252	18	199	start_column	20	t	f	\N	\N	f	\N
251	18	197	display_column	10	t	f	\N	\N	f	\N
260	18	209	css_column	35	f	f	\N	\N	f	\N
1	1	1	page_name	1	t	f	Укажите имя	CP.HP.PAGE.NAME	f	\N
2	1	2	page_mode	2	t	f	SIDEBAR	CP.HP.PAGE.MODE	f	\N
3	1	3	javascript_file_urls	3	f	f	\N	CP.HP.PAGE.JS_FILES	f	\N
4	1	4	javascript_code	4	f	f	\N	CP.HP.PAGE.JS_CODE	f	\N
5	1	5	css_file_urls	5	f	f	\N	CP.HP.PAGE.CSS_FILES	f	\N
6	1	6	inline_css	6	f	f	\N	CP.HP.PAGE.CSS_INLINE	f	\N
187	1	170	id_auth	10	f	f	\N	CP.HP.PAGE.ID_AUTH	f	\N
188	1	171	is_public	11	f	f	false	CP.HP.PAGE.IS_PUBLIC	f	\N
172	1	158	page_protection	50	t	f	false	CP.HP.PAGE.PROTECTION	f	\N
175	1	160	modal_width	7	f	f	\N	CP.HP.PAGE.MODAL_WIDTH	f	\N
176	4	161	no_data_message	60	f	f	\N	\N	f	\N
261	4	210	enable_actions	35	t	f	true	\N	f	\N
263	2	211	id_source	25	t	f	\N	\N	f	\N
265	8	211	id_source	15	t	f	\N	\N	f	\N
266	9	211	id_source	15	t	f	\N	\N	f	\N
269	17	211	id_source	5	t	f	\N	\N	f	\N
264	3	211	id_source	15	t	f	\N	\N	f	\N
271	7	211	id_source	20	t	f	\N	\N	f	\N
273	3	214	upload_sources	16	t	f	\N	\N	f	\N
274	6	215	link	4	f	f	\N	\N	f	\N
275	6	216	link_column	5	f	f	\N	\N	f	\N
277	14	211	id_source	5	f	t	\N	\N	t	\N
276	5	211	id_source	25	f	t	\N	\N	t	\N
309	2	229	generic_cols_count	146	t	f	\N	\N	f	\N
308	2	228	generic_columns	145	f	f	false	\N	f	\N
316	4	236	stripes	41	f	f	true	\N	f	\N
317	4	237	hover	42	f	f	true	\N	f	\N
319	4	239	row_border	44	f	f	true	\N	f	\N
320	4	240	head_wrap	45	f	f	true	\N	f	\N
321	4	241	cell_wrap	46	f	f	true	\N	f	\N
318	4	238	cell_padding	43	f	f	true	\N	f	\N
336	2	251	store_state	122	f	f	false	\N	f	\N
383	11	275	associated_column	75	f	f	\N	\N	f	382
423	11	273	condition_scope	140	t	f	ONCE	\N	f	\N
433	22	32	format_mask	130	f	f	\N	\N	f	\N
426	22	282	source_column	270	t	f	\N	\N	f	\N
429	22	288	primary_key	280	t	f	false	\N	f	\N
412	22	49	condition_type	290	t	f	ALWAYS	\N	f	\N
413	22	50	condition_first	300	t	f	\N	\N	f	\N
414	22	65	condition_first	310	t	f	\N	\N	f	\N
415	22	84	condition_first	320	t	f	\N	\N	f	\N
416	22	51	condition_first_input	330	f	f	\N	\N	f	\N
441	22	46	default_value_type	285	f	f	\N	\N	f	\N
442	22	47	default_source	286	f	f	\N	\N	f	\N
444	22	48	default_input	288	f	f	\N	\N	f	\N
443	22	71	default_source	287	t	f	\N	\N	f	\N
456	2	310	source_text	135	t	f	\N	\N	f	\N
457	2	311	source_input	140	f	f	\N	\N	f	\N
534	25	17	input_params	45	f	f	\N	\N	f	\N
535	25	62	output_params	46	f	f	\N	\N	f	\N
538	8	247	link_target	121	f	f	\N	\N	f	\N
539	8	248	link_class	122	f	f	\N	\N	f	\N
540	8	249	link_title	123	f	f	\N	\N	f	\N
541	11	322	validation_first	40	t	f	\N	\N	f	\N
324	4	243	csv_separator	60	f	f	\N	\N	f	\N
542	4	323	download_formats	55	f	f	\N	\N	f	\N
35	3	34	label	11	f	f	\N	\N	f	\N
543	3	324	trim_spaces	17	t	f	BOTH	\N	f	\N
544	21	242	enable_download	160	f	f	false	\N	f	\N
545	21	323	download_formats	170	f	f	\N	\N	f	\N
546	21	243	csv_separator	180	f	f	\N	\N	f	\N
547	21	245	csv_encoding	190	f	f	\N	\N	f	\N
548	21	244	download_name	200	f	f	\N	\N	f	\N
\.


--
-- Data for Name: t_components; Type: TABLE DATA; Schema: ds; Owner: xrad_user
--

COPY ds.t_components (id, name, plural_title, singular_title, table_name, display_sequence, pk_column, parent_comp_id, parent_fk_column, page_id_column, display_column, include_parent) FROM stdin;
1	PAGE	Страницы	Страница	page.t_pages	1	id	\N	\N	\N	page_name	f
2	REGION	Регион	Регионы	region.t_regions	2	id	\N	id_parent	id_page	title	f
3	ITEM	Item	Items	ds.v_items	3	id	\N	id_parent	id_page	name	f
4	REPORT	Таблица	Таблицы	cmp.t_report	4	id	\N	id	id_page	\N	f
6	TREE	Дерево	Деревья	cmp.t_tree	6	id	\N	id	id_page	\N	f
7	PROCESS	Процесс	Процессы	page.t_page_processing	7	id	\N	\N	id_page	process_name	f
8	BUTTON	Кнопка	Кнопки	ds.v_buttons	8	id	\N	id_parent	id_page	name	f
9	DYNAMIC_EVENT	Динамическое событие	Динамические события	da.t_events	9	id	\N	\N	id_page	event_name	f
10	DYNAMIC_ACTION	Динамическое действие	Динамические действия	da.t_actions	10	id	\N	id_event	id_page	\N	f
11	VALIDATION	Валидаций	Валидации	page.t_page_validations	11	id	\N	\N	id_page	validation_name	f
12	BRANCH	Переход	Переходы	page.t_page_branches	12	id	\N	\N	id_page	branch_name	f
13	CHART	График	Графика	cmp.t_charts	13	id	\N	id	id_page	\N	f
15	CARDS	Карточки	Карточка	cmp.t_cards	15	id	\N	id	id_page	\N	f
16	WIZARD	Шаг	Шаги	cmp.t_wizard	16	id	\N	id	id_page	\N	f
17	DOWNLOAD_PROCESS	Скачивание	Скачивание	page.t_page_downloads	17	id	\N	\N	id_page	download_name	f
18	CALENDAR	Календарь	Календари	cmp.t_calendars	18	id	\N	id	id_page	\N	f
5	REPORT_COLUMN	Колонка	Колонки	ds.v_report_columns	5	id	\N	id_region	id_page	column_alias	t
14	CHART_SERIES	Серия диаграммы	Серии диаграммы	ds.v_chart_series	14	id_series	\N	id_region	id_page	name	t
19	REST_CALL	Вызов API	Вызовы API	page.t_rest_calls	19	id	\N	\N	id_page	rest_name	f
20	CHAT	Чат	Чаты	cmp.t_chat	20	id	\N	id	id_page	\N	f
21	DATA_GRID	Дата грид	Даты грид	dg.t_data_grids	21	id	\N	id	id_page	\N	f
22	DATA_GRID_COLUMN	Колонка дата грид	Колонка дата грид	dg.t_dg_columns	22	id	\N	id_region	id_page	column_name	t
23	GRID_PROCESS	Процесс Grid	Процесс Grid	dg.t_dg_processing	23	id	\N	\N	id_page	process_name	f
24	TILES	Плитка	Плитки	cmp.t_tiles	24	id	\N	id	id_page	\N	f
25	AUTH	Аутентификация	Аутентификации	app.t_authentications	25	id	\N	\N	id_page	auth_name	f
\.


--
-- Data for Name: t_display_groups; Type: TABLE DATA; Schema: ds; Owner: xrad_user
--

COPY ds.t_display_groups (id, name, title) FROM stdin;
11	HELP	PE.DISPLAY_GROUP.HELP
27	HELP_TEXT	PE.DISPLAY_GROUP.HELP_TEXT
28	LABEL	PE.DISPLAY_GROUP.LABEL
29	LIST_OF_VALUES	PE.DISPLAY_GROUP.LIST_OF_VALUES
30	QUICK_PICKS	PE.DISPLAY_GROUP.QUICK_PICKS
31	SOURCE	PE.DISPLAY_GROUP.SOURCE
32	VALIDATION	PE.DISPLAY_GROUP.VALIDATION
33	BEHAVIOR	PE.DISPLAY_GROUP.BEHAVIOR
34	APPEARANCE	PE.DISPLAY_GROUP.APPEARANCE
35	THRESHOLDS	PE.DISPLAY_GROUP.THRESHOLDS
36	LAYOUT	PE.DISPLAY_GROUP.LAYOUT
37	LOGIN_PROCESSING	PE.DISPLAY_GROUP.LOGIN_PROCESSING
38	POST_LOGOUT_URL	PE.DISPLAY_GROUP.POST_LOGOUT_URL
39	REAL_APPLICATION_SECURITY	PE.DISPLAY_GROUP.REAL_APPLICATION_SECURITY
40	REFERENCE_LINES	PE.DISPLAY_GROUP.REFERENCE_LINES
41	SESSION_COOKIE_ATTRIBUTES	PE.DISPLAY_GROUP.SESSION_COOKIE_ATTRIBUTES
42	SESSION_NOT_VALID	PE.DISPLAY_GROUP.SESSION_NOT_VALID
43	SUBSCRIPTION	PE.DISPLAY_GROUP.SUBSCRIPTION
44	CUSTOMIZATION	PE.DISPLAY_GROUP.CUSTOMIZATION
45	NAVIGATION	PE.DISPLAY_GROUP.NAVIGATION
46	NAVIGATION_MENU	PE.DISPLAY_GROUP.NAVIGATION_MENU
47	TABS	PE.DISPLAY_GROUP.TABS
48	SEARCH_BAR	PE.DISPLAY_GROUP.SEARCH_BAR
49	ACTIONS_MENU	PE.DISPLAY_GROUP.ACTIONS_MENU
50	COLUMN_FORMATTING	PE.DISPLAY_GROUP.COLUMN_FORMATTING
51	ENABLE_USER_TO	PE.DISPLAY_GROUP.ENABLE_USER_TO
52	DESCRIPTION	PE.DISPLAY_GROUP.DESCRIPTION
53	DETAIL_VIEW	PE.DISPLAY_GROUP.DETAIL_VIEW
54	DOWNLOAD	PE.DISPLAY_GROUP.DOWNLOAD
55	ICON_VIEW	PE.DISPLAY_GROUP.ICON_VIEW
56	PAGINATION	PE.DISPLAY_GROUP.PAGINATION
57	SINGLE_ROW_VIEW	PE.DISPLAY_GROUP.SINGLE_ROW_VIEW
58	LINK	PE.DISPLAY_GROUP.LINK
59	SUCCESS_MESSAGE	PE.DISPLAY_GROUP.SUCCESS_MESSAGE
60	PARAMETER	PE.DISPLAY_GROUP.PARAMETER
61	MAP_XML	PE.DISPLAY_GROUP.MAP_XML
62	REFRESH	PE.DISPLAY_GROUP.REFRESH
63	AUDIT_INFORMATION	PE.DISPLAY_GROUP.AUDIT_INFORMATION
64	SORTING	PE.DISPLAY_GROUP.SORTING
65	EXPORT_PRINTING	PE.DISPLAY_GROUP.EXPORT_PRINTING
66	BLOB	PE.DISPLAY_GROUP.BLOB
67	BREAK_FORMATTING	PE.DISPLAY_GROUP.BREAK_FORMATTING
68	EXTERNAL_PROCESSING	PE.DISPLAY_GROUP.EXTERNAL_PROCESSING
69	MESSAGES	PE.DISPLAY_GROUP.MESSAGES
70	HEADING	PE.DISPLAY_GROUP.HEADING
71	UI_DEFAULTS_REFERENCE	PE.DISPLAY_GROUP.UI_DEFAULTS_REFERENCE
72	PRIMARY_KEY_SOURCE	PE.DISPLAY_GROUP.PRIMARY_KEY_SOURCE
73	AUTOMATIC_REFRESH	PE.DISPLAY_GROUP.AUTOMATIC_REFRESH
74	CUSTOM_XML	PE.DISPLAY_GROUP.CUSTOM_XML
75	LEGEND	PE.DISPLAY_GROUP.LEGEND
76	MARGIN	PE.DISPLAY_GROUP.MARGIN
77	SERIES_COLOR	PE.DISPLAY_GROUP.SERIES_COLOR
78	BACKGROUND_COLOR	PE.DISPLAY_GROUP.BACKGROUND_COLOR
79	X_AXIS	PE.DISPLAY_GROUP.X_AXIS
80	Y_AXIS	PE.DISPLAY_GROUP.Y_AXIS
99	MAP	PE.DISPLAY_GROUP.MAP
100	CONTROLS	PE.DISPLAY_GROUP.CONTROLS
101	DEFINED_MAP_REGION_COLOR	PE.DISPLAY_GROUP.DEFINED_MAP_REGION_COLOR
102	UNDEFINED_MAP_REGION_COLOR	PE.DISPLAY_GROUP.UNDEFINED_MAP_REGION_COLOR
103	MAP_GRID_REGION_COLOR	PE.DISPLAY_GROUP.MAP_GRID_REGION_COLOR
104	COLUMN_FILTER	PE.DISPLAY_GROUP.COLUMN_FILTER
105	PRINTING	PE.DISPLAY_GROUP.PRINTING
106	PAGE	PE.DISPLAY_GROUP.PAGE
107	COLUMN_HEADINGS	PE.DISPLAY_GROUP.COLUMN_HEADINGS
108	COLUMNS	PE.DISPLAY_GROUP.COLUMNS
109	PAGE_HEADER	PE.DISPLAY_GROUP.PAGE_HEADER
110	PAGE_FOOTER	PE.DISPLAY_GROUP.PAGE_FOOTER
111	OUTPUT	PE.DISPLAY_GROUP.OUTPUT
112	EDIT	PE.DISPLAY_GROUP.EDIT
113	EDIT_AUTH	PE.DISPLAY_GROUP.EDIT_AUTH
114	TOOLBAR	PE.DISPLAY_GROUP.TOOLBAR
115	PERFORMANCE	PE.DISPLAY_GROUP.PERFORMANCE
116	OVERVIEW	PE.DISPLAY_GROUP.OVERVIEW
117	DATA_CURSOR	PE.DISPLAY_GROUP.DATA_CURSOR
118	COLUMN_MAPPING	PE.DISPLAY_GROUP.COLUMN_MAPPING
119	LINE	PE.DISPLAY_GROUP.LINE
120	MARKER	PE.DISPLAY_GROUP.MARKER
121	MAJOR_TICKS	PE.DISPLAY_GROUP.MAJOR_TICKS
122	MINOR_TICKS	PE.DISPLAY_GROUP.MINOR_TICKS
123	TICK_LABEL	PE.DISPLAY_GROUP.TICK_LABEL
124	DUAL_Y_AXES	PE.DISPLAY_GROUP.DUAL_Y_AXES
1	IDENTIFICATION	PE.DISPLAY_GROUP.IDENTIFICATION
2	SETTINGS	PE.DISPLAY_GROUP.SETTINGS
3	ATTRIBUTES	PE.DISPLAY_GROUP.ATTRIBUTES
4	COMMENTS	PE.DISPLAY_GROUP.COMMENTS
5	ERROR	PE.DISPLAY_GROUP.ERROR
6	CONFIGURATION	PE.DISPLAY_GROUP.CONFIGURATION
7	CSS	PE.DISPLAY_GROUP.CSS
8	DIALOG	PE.DISPLAY_GROUP.DIALOG
9	ERROR_HANDLING	PE.DISPLAY_GROUP.ERROR_HANDLING
10	HEADER_AND_FOOTER	PE.DISPLAY_GROUP.HEADER_AND_FOOTER
12	HTML_HEADER	PE.DISPLAY_GROUP.HTML_HEADER
13	JAVASCRIPT	PE.DISPLAY_GROUP.JAVASCRIPT
14	READ_ONLY	PE.DISPLAY_GROUP.READ_ONLY
15	SECURITY	PE.DISPLAY_GROUP.SECURITY
16	SERVER_CACHE	PE.DISPLAY_GROUP.SERVER_CACHE
17	SERVER_SIDE_CONDITION	PE.DISPLAY_GROUP.SERVER_SIDE_CONDITION
18	CLIENT_SIDE_CONDITION	PE.DISPLAY_GROUP.CLIENT_SIDE_CONDITION
19	EXECUTION_OPTIONS	PE.DISPLAY_GROUP.EXECUTION_OPTIONS
20	COMPUTATION	PE.DISPLAY_GROUP.COMPUTATION
21	ADVANCED	PE.DISPLAY_GROUP.ADVANCED
22	AUTHORIZATION	PE.DISPLAY_GROUP.AUTHORIZATION
23	WHEN	PE.DISPLAY_GROUP.WHEN
24	AFFECTED_ELEMENTS	PE.DISPLAY_GROUP.AFFECTED_ELEMENTS
25	DEFAULT	PE.DISPLAY_GROUP.DEFAULT
26	ELEMENT	PE.DISPLAY_GROUP.ELEMENT
125	ANIMATION	PE.DISPLAY_GROUP.ANIMATION
126	MASTER_DETAIL	PE.DISPLAY_GROUP.MASTER_DETAIL
127	REMOTE_CACHE	PE.DISPLAY_GROUP.REMOTE_CACHE
128	ZOOM_SCALE	PE.DISPLAY_GROUP.ZOOM_SCALE
129	TIME_SCALE	PE.DISPLAY_GROUP.TIME_SCALE
130	GANTT_START_DATE	PE.DISPLAY_GROUP.GANTT_START_DATE
131	GANTT_VIEWPORT	PE.DISPLAY_GROUP.GANTT_VIEWPORT
132	LOCAL_POST_PROCESSING	PE.DISPLAY_GROUP.LOCAL_POST_PROCESSING
133	MULTI_SERIES	PE.DISPLAY_GROUP.MULTI_SERIES
134	LIST_ENTRIES	PE.DISPLAY_GROUP.LIST_ENTRIES
135	DEPENDING_ON	PE.DISPLAY_GROUP.DEPENDING_ON
136	CASCADING_LOV	PE.DISPLAY_GROUP.CASCADING_LOV
137	RESPONSE_HANDLER	PE.DISPLAY_GROUP.RESPONSE_HANDLER
81	GAUGE	PE.DISPLAY_GROUP.GAUGE
82	VALUE	PE.DISPLAY_GROUP.VALUE
83	TOOLTIP	PE.DISPLAY_GROUP.TOOLTIP
84	TITLE	PE.DISPLAY_GROUP.TITLE
85	GANTT_ACTUAL	PE.DISPLAY_GROUP.GANTT_ACTUAL
86	GANTT_PROGRESS	PE.DISPLAY_GROUP.GANTT_PROGRESS
87	GANTT_BASELINE	PE.DISPLAY_GROUP.GANTT_BASELINE
88	GANTT_TIMELINE	PE.DISPLAY_GROUP.GANTT_TIMELINE
89	CHART	PE.DISPLAY_GROUP.CHART
90	DATAGRID	PE.DISPLAY_GROUP.DATAGRID
91	MONTHLY_CALENDAR	PE.DISPLAY_GROUP.MONTHLY_CALENDAR
92	WEEKLY_CALENDAR	PE.DISPLAY_GROUP.WEEKLY_CALENDAR
93	DAILY_WEEKLY_CALENDAR	PE.DISPLAY_GROUP.DAILY_WEEKLY_CALENDAR
94	LIST_VIEW_CALENDAR	PE.DISPLAY_GROUP.LIST_VIEW_CALENDAR
95	COLORS	PE.DISPLAY_GROUP.COLORS
96	DRAG_AND_DROP	PE.DISPLAY_GROUP.DRAG_AND_DROP
97	CALENDAR_STATE_ITEMS	PE.DISPLAY_GROUP.CALENDAR_STATE_ITEMS
98	ENTRY	PE.DISPLAY_GROUP.ENTRY
\.


--
-- Data for Name: t_lang_text; Type: TABLE DATA; Schema: ds; Owner: xrad_user
--

COPY ds.t_lang_text (id, text_code, lang_code, message_text) FROM stdin;
1	DS.PROPERTY.NAME	en	Name
2	DS.PROPERTY.PAGE_MODE	en	Page mode
3	DS.PROPERTY.JS_FILE_URLS	en	File URLs
4	DS.PROPERTY.JS_FUNCTIONS	en	Function and Global Variable Declaration
5	DS.PROPERTY.CSS_FILE_URLS	en	File URLs
6	DS.PROPERTY.CSS_INLINE	en	Inline
7	DS.PROPERTY.SEQUENCE	en	Sequence
8	DS.PROPERTY.REGION_POSITION	en	Position
9	DS.PROPERTY.STATIC_ID	en	Static ID
10	DS.PROPERTY.REGION_TYPE	en	Type
11	DS.PROPERTY.COL_SPAN	en	Column Span
12	DS.PROPERTY.COMP_CLASS	en	Component classes
13	DS.PROPERTY.REGION_THEME	en	Theme
14	DS.PROPERTY.REGION_CLASS	en	CSS Classes
15	DS.PROPERTY.REG_SOURCE_TYPE	en	Type
16	DS.PROPERTY.SOURCE_TEXT	en	Source Text
17	DS.PROPERTY.SOURCE_INPUT	en	Source Input
18	DS.PROPERTY.ENABLE_SEARCH	en	Enable Search
19	DS.PROPERTY.ENABLE_PAGINATION	en	Enable Pagination
20	DS.PROPERTY.ENABLE_HEADERS	en	Enable Headers
21	DS.PROPERTY.ROW_LIMIT	en	Row Limit
22	DS.PROPERTY.REPORT_APPEARANCE	en	Template
23	DS.PROPERTY.COLUMN_NAME	en	Column Name
24	DS.PROPERTY.COLUMN_HEADING	en	Heading
25	DS.PROPERTY.COLUMN_TYPE	en	Type
26	DS.PROPERTY.LINK_TARGET	en	Link
27	DS.PROPERTY.COLUMN_FORMAT	en	HTML Expression
28	DS.PROPERTY.LINK_ICON	en	Link Icon
29	DS.PROPERTY.COLUMN_SORT	en	Enable Sort
30	DS.PROPERTY.COLUMN_SEARCH	en	Column Search
31	DS.PROPERTY.COLUMN_ALIGNMENT	en	Alignment
32	DS.PROPERTY.FORMAT_MASK	en	Format Mask
33	DS.PROPERTY.COLUMN_WIDTH	en	Width
34	DS.PROPERTY.LABEL	en	Label
35	DS.PROPERTY.ITEM_TYPE	en	Type
36	DS.PROPERTY.REGION	en	Region
37	DS.PROPERTY.GRID_NEW_ROW	en	Start New Row
38	DS.PROPERTY.GRID_COLUMN_SPAN	en	Column Span
39	DS.PROPERTY.VALUE_REQUIRED	en	Value Required
40	DS.PROPERTY.ELEMENT_MAX_CHARACTERS	en	Max Length (char)
41	DS.PROPERTY.ELEMENT_VALUE_PLACEHOLDER	en	Placeholder
42	DS.PROPERTY.ELEMENT_LOV	en	SQL Query
43	DS.PROPERTY.ELEMENT_LOV_INPUT	en	Input Items
44	DS.PROPERTY.INPUT_MASK	en	Input Mask
45	DS.PROPERTY.INPUT_JS_SETTINGS	en	JS Settings
46	DS.PROPERTY.DEFAULT_VALUE_TYPE	en	Type
47	DS.PROPERTY.DEFAULT_VALUE	en	Value
48	DS.PROPERTY.DEFAULT_VALUE_INPUT	en	Input Items
49	DS.PROPERTY.CONDITION_TYPE	en	Type
50	DS.PROPERTY.CONDITION_FIRST	en	First condition
51	DS.PROPERTY.CONDITION_FIRST_INPUT	en	First Input
52	DS.PROPERTY.CONDITION_SECOND	en	Second condition
53	DS.PROPERTY.CONDITION_SECOND_INPUT	en	Second Input
54	DS.PROPERTY.LIST_SELECTOR	en	List
55	DS.PROPERTY.PARENT_REGION	en	Parent Region
56	DS.LOV.PAGE_MODE.SIDEBAR	en	Sidebar
57	DS.LOV.PAGE_MODE.MODAL	en	Modal
58	DS.LOV.REGION_POSITION.BODY	en	Body
59	DS.LOV.REGION_POSITION.LEFT	en	Left
60	DS.LOV.REGION_POSITION.RIGHT	en	Right
61	DS.LOV.REGION_POSITION.FOOTER	en	Footer
62	DS.LOV.REGION_TEMPLATE.EMPTY	en	Empty
63	DS.LOV.REGION_TEMPLATE.DEFAULT	en	Default
64	DS.LOV.REG_SOURCE_TYPE.SQL	en	SQL
65	DS.LOV.REG_SOURCE_TYPE.STATIC	en	Static
66	DS.LOV.REG_SOURCE_TYPE.LIST	en	List
67	DS.LOV.REPORT_TEMPLATE.STANDART	en	Standart
68	DS.LOV.REPORT_TEMPLATE.COLVAL	en	Column - value
69	DS.LOV.INPUT_TYPE.TEXT	en	Text
70	DS.LOV.INPUT_TYPE.TEXT_AREA	en	Text area
71	DS.LOV.INPUT_TYPE.NUMERIC	en	Numeric
72	DS.LOV.INPUT_TYPE.SELECT_LIST	en	Select List
73	DS.LOV.INPUT_TYPE.HIDDEN	en	Hidden
74	DS.LOV.INPUT_TYPE.DATE_FIELD	en	Date Picker
75	DS.LOV.INPUT_TYPE.RADIOS	en	Radio Group
76	DS.LOV.INPUT_TYPE.CHECKBOXES	en	Check Boxes
77	DS.LOV.INPUT_TYPE.SWITCHER	en	Switcher
78	DS.LOV.INPUT_TYPE.AUTOCOMPLETE	en	Autocomplete
79	DS.LOV.INPUT_TYPE.PASSWORD	en	Password
80	DS.LOV.COLUMN_TYPE.TEXT	en	Text
81	DS.LOV.COLUMN_TYPE.LINK	en	Link
82	DS.LOV.COLUMN_TYPE.HIDDEN	en	Hidden
83	DS.LOV.COLUMN_ALIGNMENT.LEFT	en	Left
84	DS.LOV.COLUMN_ALIGNMENT.CENTER	en	Center
85	DS.LOV.COLUMN_ALIGNMENT.RIGHT	en	Right
86	DS.PROPERTY.REGION_TOGGLE	en	Collapsible
88	DS.PROPERTY.TREE_PKEY	en	Node ID Column
89	DS.PROPERTY.TREE_FKEY	en	Parent Key Column
90	DS.PROPERTY.TREE_LABEL	en	Node Label Column
91	DS.PROPERTY.PROCESS_TYPE	en	Process Point
93	DS.LOV.PROCESS_TYPE.PROCESS	en	Processing
94	DS.LOV.PROCESS_TYPE.AJAX	en	Ajax Callback
95	DS.PROPERTY.OUTPUT_PARAMETERS	en	Output Parameters
96	DS.PROPERTY.ERROR_MESSAGE	en	Error Message
97	DS.PROPERTY.PROCESS_SUCCESS	en	Success Message
98	DS.PROPERTY.CONDITION_FIRST_ITEM	en	Item
99	DS.LOV.BUTTON_LOCATION.ITEM	en	Item
100	DS.LOV.BUTTON_LOCATION.REGION	en	Region
101	DS.LOV.BUTTON_LOCATION.FORM	en	Form
102	DS.PROPERTY.BUTTON_LOCATION	en	Location
87	DS.PROPERTY.REGION_TOGGLE_ACTIVE	en	Expanded
103	DS.PROPERTY.BUTTON_POSITION_ITEM	en	Position
277	DS.PROPERTY.ITEM_TYPE	ru	Тип
104	DS.PROPERTY.BUTTON_POSITION_REGION	en	Position
105	DS.PROPERTY.BUTTON_ACTION	en	Action
106	DS.LOV.BUTTON_ACTION.SUBMIT	en	Submit Page
107	DS.LOV.BUTTON_ACTION.REDIRECT	en	Redirect to Page
108	DS.LOV.BUTTON_ACTION.DA	en	Defined by Dynamic Action
109	DS.LOV.BUTTON_ACTION.DROPDOWN	en	Open Dropdown List
110	DS.PROPERTY.BUTTON_ITEM	en	Item
111	DS.LOV.DEFAULT_TYPE.SQL	en	SQL
112	DS.LOV.DEFAULT_TYPE.ITEM	en	Item
113	DS.LOV.DEFAULT_TYPE.STATIC	en	Static
114	DS.PROPERTY.DEFAULT_VALUE_SQL	en	SQL
115	DS.PROPERTY.PROCESS_REQUEST	en	Request Name
116	DS.PROPERTY.PROCESS_ACCEPT_MODAL	en	Accept Modal
117	DS.PROPERTY.DE_TRIGGER_TYPE	en	Selection Type
118	DS.PROPERTY.DE_TRIGGER_BUTTON	en	Button
119	DS.PROPERTY.DE_TRIGGER_REGION	en	Region
120	DS.PROPERTY.DE_TRIGGER_SELECTOR	en	JS Selector
121	DS.PROPERTY.DE_TRIGGER_ITEM	en	Item(s)
122	DS.LOV.DE_TRIGGER_TYPE.ITEM	en	Item(s)
123	DS.LOV.DE_TRIGGER_TYPE.SELECTOR	en	JS Selector
124	DS.LOV.DE_TRIGGER_TYPE.BUTTON	en	Button
125	DS.LOV.DE_TRIGGER_TYPE.REGION	en	Region
126	DS.LOV.DE_TRIGGER_TYPE.PAGE	en	Page
127	DS.PROPERTY.QUERY_COLUMN_ID	en	Query Column ID
128	DS.PROPERTY.CONDITION_FIRST_SQL_EXPR	en	SQL Expression
129	DS.PROPERTY.REGION_SHOW_HEADER	en	Show Header
130	DS.PROPERTY.BUTTON_CLASS	en	Classes
207	DS.PROPERTY.VALIDATION_TYPE	en	Validation Type
208	DS.PROPERTY.VALIDATION_FIRST_SQL	en	SQL
209	DS.PROPERTY.VALIDATION_FIRST_ITEM	en	Item
210	DS.PROPERTY.VALIDATION_FIRST_VALUE	en	Value
211	DS.PROPERTY.VALIDATION_FIRST_INPUT	en	First Input
212	DS.PROPERTY.VALIDATION_SECOND_VALUE	en	Value
213	DS.PROPERTY.VALIDATION_ASSOC_ITEM	en	Associated Item
214	DS.PROPERTY.DE_BIND_EVENT_TYPE	en	Event
215	DS.PROPERTY.DA_EVENT_SELECTOR	en	Event
216	DS.PROPERTY.DA_INIT_ON_LOAD	en	Init On Load
217	DS.PROPERTYVALIDATION_FIRST_SQL_BOOL	en	SQL Expression
218	DS.PROPERTY.DA_CODE	en	JS Code
219	DS.PROPERTY.PROCESS_COMMIT	en	Commit TX
220	DS.PROPERTY.PAGE_PROTECTION	en	Page Protection
221	DS.LOV.REGION_POSITION.TOP	en	Top
222	DS.PROPERTY.SOURCE_SQL	en	SQL
223	DS.PROPERTY.MODAL_WIDTH	en	Modal Width
224	DS.PROPERTY.REPORT_NO_DATA	en	No Data Message
225	DS.PROPERTY.READ_ONLY_TYPE	en	Type
226	DS.PROPERTY.READ_ONLY_FIRST	en	First condition
227	DS.PROPERTY.READ_ONLY_FIRST_INPUT	en	First Input
228	DS.PROPERTY.READ_ONLY_SECOND	en	Second condition
229	DS.PROPERTY.READ_ONLY_SECOND_INPUT	en	Second Input
230	DS.PROPERTY.READ_ONLY_FIRST_ITEM	en	Item
231	DS.PROPERTY.READ_ONLY_FIRST_SQL_EXPR	en	SQL Expression
232	DS.LOV.INPUT_TYPE.WYSIWYG	en	WYSIWYG
233	DS.LOV.INPUT_TYPE.FILE	en	File Input
234	DS.LOV.PAGE_MODE.LOGIN	en	Login
235	DS.PROPERTY.PAGE_AUTHORIZATION	en	Authorization Scheme
236	DS.PROPERTY.PAGE_PUBLIC	en	Public Page
237	DS.LOV.COLUMN_TYPE.CHECKBOX	en	Checkbox
238	DS.PROPERTY.COLUMN_ASSOC_ITEM	en	Associated Item
239	DS.PROPERTY.BRANCH_POINT	en	Point
240	DS.PROPERTY.BRANCH_TYPE	en	Type
241	DS.LOV.BRANCH_TYPE.REDIRECT	en	Redirect URL
242	DS.LOV.BRANCH_POINT.PROCESS	en	After Processing
243	DS.LOV.BRANCH_POINT.SHOW	en	Before page load
244	DS.PROPERTY.NAME	ru	Имя
246	DS.PROPERTY.JS_FILE_URLS	ru	URL-адреса файлов JS
247	DS.PROPERTY.JS_FUNCTIONS	ru	Объявление функций и глобальных переменных JS
248	DS.PROPERTY.CSS_FILE_URLS	ru	URL-адреса файлов CSS
249	DS.PROPERTY.CSS_INLINE	ru	Встроенный CSS
250	DS.PROPERTY.SEQUENCE	ru	Последовательность
251	DS.PROPERTY.REGION_POSITION	ru	Позиция
252	DS.PROPERTY.STATIC_ID	ru	Статический идентификатор
253	DS.PROPERTY.REGION_TYPE	ru	Тип
255	DS.PROPERTY.COMP_CLASS	ru	Классы компонентов
256	DS.PROPERTY.REGION_THEME	ru	Тема
257	DS.PROPERTY.REGION_CLASS	ru	Классы CSS
258	DS.PROPERTY.REG_SOURCE_TYPE	ru	Тип
260	DS.PROPERTY.SOURCE_TEXT	ru	Исходный текст
261	DS.PROPERTY.ENABLE_SEARCH	ru	Включить поиск
262	DS.PROPERTY.ENABLE_PAGINATION	ru	Включить разбиение на страницы
263	DS.PROPERTY.ENABLE_HEADERS	ru	Включение заголовков
264	DS.PROPERTY.ROW_LIMIT	ru	Ограничение строк
265	DS.PROPERTY.REPORT_APPEARANCE	ru	Шаблон
266	DS.PROPERTY.COLUMN_NAME	ru	Имя столбца
267	DS.PROPERTY.COLUMN_HEADING	ru	Заголовок
268	DS.PROPERTY.COLUMN_TYPE	ru	Тип
270	DS.PROPERTY.LINK_ICON	ru	Значок ссылки
271	DS.PROPERTY.COLUMN_SORT	ru	Включить сортировку
272	DS.PROPERTY.COLUMN_SEARCH	ru	Поиск по столбцам
273	DS.PROPERTY.COLUMN_ALIGNMENT	ru	Выравнивание
269	DS.PROPERTY.LINK_TARGET	ru	Ссылка
254	DS.PROPERTY.COL_SPAN	ru	Кол. столбцов
259	DS.PROPERTY.SOURCE_INPUT	ru	Параметры запроса
274	DS.PROPERTY.FORMAT_MASK	ru	Формат маски
275	DS.PROPERTY.COLUMN_WIDTH	ru	Ширина
279	DS.PROPERTY.GRID_NEW_ROW	ru	Начать новую строку
283	DS.PROPERTY.ELEMENT_LOV	ru	SQL-запрос
284	DS.PROPERTY.ELEMENT_LOV_INPUT	ru	Элементы ввода
285	DS.PROPERTY.INPUT_MASK	ru	Маска ввода
286	DS.PROPERTY.INPUT_JS_SETTINGS	ru	Настройки JS
287	DS.PROPERTY.DEFAULT_VALUE_TYPE	ru	Тип
289	DS.PROPERTY.DEFAULT_VALUE_INPUT	ru	Элементы ввода
290	DS.PROPERTY.CONDITION_TYPE	ru	Тип
291	DS.PROPERTY.CONDITION_FIRST	ru	Первое условие
293	DS.PROPERTY.CONDITION_SECOND	ru	Второе условие
294	DS.PROPERTY.CONDITION_SECOND_INPUT	ru	Второй вход
295	DS.PROPERTY.LIST_SELECTOR	ru	Список
296	DS.PROPERTY.PARENT_REGION	ru	Родительский регион
297	DS.LOV.PAGE_MODE.SIDEBAR	ru	Стандартный
298	DS.LOV.PAGE_MODE.MODAL	ru	Модальное окно
300	DS.LOV.REGION_POSITION.LEFT	ru	Лево
301	DS.LOV.REGION_POSITION.RIGHT	ru	Право
303	DS.LOV.REGION_TEMPLATE.EMPTY	ru	Пустой
304	DS.LOV.REGION_TEMPLATE.DEFAULT	ru	По умолчанию
305	DS.LOV.REG_SOURCE_TYPE.SQL	ru	SQL
306	DS.LOV.REG_SOURCE_TYPE.STATIC	ru	Статический
307	DS.LOV.REG_SOURCE_TYPE.LIST	ru	Список
308	DS.LOV.REPORT_TEMPLATE.STANDART	ru	Стандарт
309	DS.LOV.REPORT_TEMPLATE.COLVAL	ru	Столбец - значение
310	DS.LOV.INPUT_TYPE.TEXT	ru	Текст
311	DS.LOV.INPUT_TYPE.TEXT_AREA	ru	Текстовая область
312	DS.LOV.INPUT_TYPE.NUMERIC	ru	Числовой
314	DS.LOV.INPUT_TYPE.HIDDEN	ru	Скрытый
317	DS.LOV.INPUT_TYPE.CHECKBOXES	ru	Флажки
318	DS.LOV.INPUT_TYPE.SWITCHER	ru	Переключатель
319	DS.LOV.INPUT_TYPE.AUTOCOMPLETE	ru	Автозаполнение
320	DS.LOV.INPUT_TYPE.PASSWORD	ru	Пароль
321	DS.LOV.COLUMN_TYPE.TEXT	ru	Текст
322	DS.LOV.COLUMN_TYPE.LINK	ru	Ссылка
323	DS.LOV.COLUMN_TYPE.HIDDEN	ru	Скрытый
324	DS.LOV.COLUMN_ALIGNMENT.LEFT	ru	Налево
325	DS.LOV.COLUMN_ALIGNMENT.CENTER	ru	Центр
327	DS.PROPERTY.REGION_TOGGLE	ru	Складной
329	DS.PROPERTY.TREE_PKEY	ru	Столбец PK
330	DS.PROPERTY.TREE_FKEY	ru	Столбец FK
331	DS.PROPERTY.TREE_LABEL	ru	Столбец заголовка
332	DS.PROPERTY.PROCESS_TYPE	ru	Тип процесса
333	DS.LOV.PROCESS_TYPE.SHOW	ru	Перед загрузкой страницы
334	DS.LOV.PROCESS_TYPE.PROCESS	ru	Процессинг
335	DS.LOV.PROCESS_TYPE.AJAX	ru	Ajax
336	DS.PROPERTY.OUTPUT_PARAMETERS	ru	Выходные параметры
337	DS.PROPERTY.PROCESS_SUCCESS	ru	Сообщение об успехе
341	DS.LOV.BUTTON_LOCATION.FORM	ru	Форма
342	DS.PROPERTY.BUTTON_LOCATION	ru	Местоположение
343	DS.PROPERTY.ERROR_MESSAGE	ru	Сообщение об ошибке
344	DS.PROPERTY.ELEMENT_MAX_CHARACTERS	ru	Максимальная длина (char)
345	DS.PROPERTY.BUTTON_POSITION_ITEM	ru	Позиция
346	DS.PROPERTY.BUTTON_POSITION_REGION	ru	Позиция
347	DS.PROPERTY.BUTTON_ACTION	ru	Действие
348	DS.LOV.BUTTON_ACTION.SUBMIT	ru	Отправить страницу
349	DS.LOV.BUTTON_ACTION.REDIRECT	ru	Перенаправление на Страницу
350	DS.LOV.BUTTON_ACTION.DA	ru	Определяется динамическим действием
351	DS.LOV.BUTTON_ACTION.DROPDOWN	ru	Открыть раскрывающийся список
353	DS.LOV.DEFAULT_TYPE.SQL	ru	SQL
355	DS.LOV.DEFAULT_TYPE.STATIC	ru	Статический
356	DS.PROPERTY.DEFAULT_VALUE_SQL	ru	SQL
357	DS.PROPERTY.PROCESS_REQUEST	ru	Имя запроса
358	DS.PROPERTY.PROCESS_ACCEPT_MODAL	ru	Принять модальный
359	DS.PROPERTY.DE_TRIGGER_TYPE	ru	Тип выделения
338	DS.PROPERTY.CONDITION_FIRST_ITEM	ru	Элемент
339	DS.LOV.BUTTON_LOCATION.ITEM	ru	Элемент
352	DS.PROPERTY.BUTTON_ITEM	ru	Элемент
354	DS.LOV.DEFAULT_TYPE.ITEM	ru	Элемент
315	DS.LOV.INPUT_TYPE.DATE_FIELD	ru	Дата
316	DS.LOV.INPUT_TYPE.RADIOS	ru	Радиокнопки
292	DS.PROPERTY.CONDITION_FIRST_INPUT	ru	Входные параметры
281	DS.PROPERTY.VALUE_REQUIRED	ru	Не пустой
313	DS.LOV.INPUT_TYPE.SELECT_LIST	ru	Список
282	DS.PROPERTY.ELEMENT_VALUE_PLACEHOLDER	ru	Подсказка
326	DS.LOV.COLUMN_ALIGNMENT.RIGHT	ru	Направо
302	DS.LOV.REGION_POSITION.FOOTER	ru	Низ
276	DS.PROPERTY.LABEL	ru	Наименование
280	DS.PROPERTY.GRID_COLUMN_SPAN	ru	Кол. столбцов
328	DS.PROPERTY.REGION_TOGGLE_ACTIVE	ru	Развёрнут
299	DS.LOV.REGION_POSITION.BODY	ru	Центр
362	DS.PROPERTY.DE_TRIGGER_SELECTOR	ru	Селектор JS
365	DS.LOV.DE_TRIGGER_TYPE.SELECTOR	ru	Селектор JS
368	DS.LOV.DE_TRIGGER_TYPE.PAGE	ru	Страница
369	DS.PROPERTY.QUERY_COLUMN_ID	ru	Идентификатор столбца запроса
370	DS.PROPERTY.CONDITION_FIRST_SQL_EXPR	ru	Выражение SQL
371	DS.PROPERTY.COLUMN_FORMAT	ru	Выражение HTML
372	DS.PROPERTY.REGION_SHOW_HEADER	ru	Показать заголовок
373	DS.PROPERTY.BUTTON_CLASS	ru	Классы
374	DS.PROPERTY.VALIDATION_TYPE	ru	Тип проверки
375	DS.PROPERTY.VALIDATION_FIRST_SQL	ru	SQL
380	DS.PROPERTY.VALIDATION_ASSOC_ITEM	ru	Связанный элемент
381	DS.PROPERTY.DE_BIND_EVENT_TYPE	ru	Событие
382	DS.PROPERTY.DA_EVENT_SELECTOR	ru	Событие
383	DS.PROPERTY.DA_INIT_ON_LOAD	ru	Инициализация при загрузке
384	DS.PROPERTYVALIDATION_FIRST_SQL_BOOL	ru	Выражение SQL
385	DS.PROPERTY.DA_CODE	ru	Код JS
386	DS.PROPERTY.PROCESS_COMMIT	ru	Фиксация TX
387	DS.PROPERTY.PAGE_PROTECTION	ru	Защита страницы
389	DS.PROPERTY.SOURCE_SQL	ru	SQL
392	DS.PROPERTY.READ_ONLY_TYPE	ru	Тип
393	DS.PROPERTY.READ_ONLY_FIRST	ru	Первое условие
395	DS.PROPERTY.READ_ONLY_SECOND	ru	Второе условие
396	DS.PROPERTY.READ_ONLY_SECOND_INPUT	ru	Второй вход
398	DS.PROPERTY.READ_ONLY_FIRST_SQL_EXPR	ru	Выражение SQL
399	DS.LOV.INPUT_TYPE.WYSIWYG	ru	WYSIWYG
400	DS.LOV.INPUT_TYPE.FILE	ru	Ввод файла
401	DS.LOV.PAGE_MODE.LOGIN	ru	Логин
402	DS.PROPERTY.PAGE_AUTHORIZATION	ru	Схема авторизации
403	DS.PROPERTY.PAGE_PUBLIC	ru	Публичная страница
404	DS.LOV.COLUMN_TYPE.CHECKBOX	ru	Флажок
405	DS.PROPERTY.COLUMN_ASSOC_ITEM	ru	Связанный элемент
407	DS.PROPERTY.BRANCH_TYPE	ru	Тип
408	DS.LOV.BRANCH_TYPE.REDIRECT	ru	URL-адрес перенаправления
409	DS.LOV.BRANCH_POINT.PROCESS	ru	После обработки
410	DS.LOV.BRANCH_POINT.SHOW	ru	Перед загрузкой страницы
411	DS.PROPERTY.SOURCE_SQL_EXT	en	SQL
412	DS.PROPERTY.SOURCE_SQL_EXT	ru	SQL
413	PE.DISPLAY_GROUP.SEARCH_BAR	en	Search Bar
414	PE.DISPLAY_GROUP.SECURITY	en	Security
415	PE.DISPLAY_GROUP.SERIES_COLOR	en	Series Color
416	PE.DISPLAY_GROUP.SERVER_CACHE	en	Server Cache
417	PE.DISPLAY_GROUP.SERVER_SIDE_CONDITION	en	Server-side Condition
418	PE.DISPLAY_GROUP.SESSION_COOKIE_ATTRIBUTES	en	Session Cookie Attributes
419	PE.DISPLAY_GROUP.SESSION_NOT_VALID	en	Session Not Valid
420	PE.DISPLAY_GROUP.SETTINGS	en	Settings
421	PE.DISPLAY_GROUP.SINGLE_ROW_VIEW	en	Single Row View
422	PE.DISPLAY_GROUP.SORTING	en	Sorting
423	PE.DISPLAY_GROUP.SOURCE	en	Source
424	PE.DISPLAY_GROUP.SUBSCRIPTION	en	Subscription
425	PE.DISPLAY_GROUP.SUCCESS_MESSAGE	en	Success Message
426	PE.DISPLAY_GROUP.TABS	en	Tabs
427	PE.DISPLAY_GROUP.THRESHOLDS	en	Thresholds
428	PE.DISPLAY_GROUP.TICK_LABEL	en	Tick Label
429	PE.DISPLAY_GROUP.TIME_SCALE	en	Time Scale
430	PE.DISPLAY_GROUP.TITLE	en	Title
431	PE.DISPLAY_GROUP.TOOLBAR	en	Toolbar
432	PE.DISPLAY_GROUP.TOOLTIP	en	Tooltip
433	PE.DISPLAY_GROUP.UI_DEFAULTS_REFERENCE	en	UI Defaults Reference
434	PE.DISPLAY_GROUP.UNDEFINED_MAP_REGION_COLOR	en	Undefined Map Region Color
435	PE.DISPLAY_GROUP.VALIDATION	en	Validation
436	PE.DISPLAY_GROUP.VALUE	en	Value
437	PE.DISPLAY_GROUP.WEEKLY_CALENDAR	en	Weekly Calendar
438	PE.DISPLAY_GROUP.WHEN	en	When
439	PE.DISPLAY_GROUP.X_AXIS	en	X Axis
440	PE.DISPLAY_GROUP.Y_AXIS	en	Y Axis
441	PE.DISPLAY_GROUP.ZOOM_SCALE	en	Zoom Scale
442	PE.DISPLAY_GROUP.ACTIONS_MENU	en	Actions Menu
443	PE.DISPLAY_GROUP.ADVANCED	en	Advanced
444	PE.DISPLAY_GROUP.AFFECTED_ELEMENTS	en	Affected Elements
445	PE.DISPLAY_GROUP.ANIMATION	en	Animation
446	PE.DISPLAY_GROUP.APPEARANCE	en	Appearance
447	PE.DISPLAY_GROUP.ATTRIBUTES	en	Attributes
448	PE.DISPLAY_GROUP.AUDIT_INFORMATION	en	Audit Information
449	PE.DISPLAY_GROUP.AUTHORIZATION	en	Authorization
450	PE.DISPLAY_GROUP.AUTOMATIC_REFRESH	en	Automatic Refresh
451	PE.DISPLAY_GROUP.BACKGROUND_COLOR	en	Background Color
452	PE.DISPLAY_GROUP.BEHAVIOR	en	Behavior
453	PE.DISPLAY_GROUP.BLOB	en	BLOB Attributes
376	DS.PROPERTY.VALIDATION_FIRST_ITEM	ru	Элемент
397	DS.PROPERTY.READ_ONLY_FIRST_ITEM	ru	Элемент
390	DS.PROPERTY.MODAL_WIDTH	ru	Ширина
363	DS.PROPERTY.DE_TRIGGER_ITEM	ru	Элемент(ы) формы
364	DS.LOV.DE_TRIGGER_TYPE.ITEM	ru	Элемент(ы) формы
406	DS.PROPERTY.BRANCH_POINT	ru	Место выполнения
388	DS.LOV.REGION_POSITION.TOP	ru	Верх
378	DS.PROPERTY.VALIDATION_FIRST_INPUT	ru	Входные параметры
394	DS.PROPERTY.READ_ONLY_FIRST_INPUT	ru	Входные параметры
454	PE.DISPLAY_GROUP.BREAK_FORMATTING	en	Break Formatting
455	PE.DISPLAY_GROUP.CALENDAR_STATE_ITEMS	en	Calendar State Items
456	PE.DISPLAY_GROUP.CASCADING_LOV	en	Cascading List of Values
457	PE.DISPLAY_GROUP.CHART	en	Chart
458	PE.DISPLAY_GROUP.CLIENT_SIDE_CONDITION	en	Client-side Condition
459	PE.DISPLAY_GROUP.COLORS	en	Colors
460	PE.DISPLAY_GROUP.COLUMNS	en	Columns
461	PE.DISPLAY_GROUP.COLUMN_FILTER	en	Column Filter
462	PE.DISPLAY_GROUP.COLUMN_FORMATTING	en	Column Formatting
463	PE.DISPLAY_GROUP.COLUMN_HEADINGS	en	Column Headings
464	PE.DISPLAY_GROUP.COLUMN_MAPPING	en	Column Mapping
465	PE.DISPLAY_GROUP.COMMENTS	en	Comments
466	PE.DISPLAY_GROUP.COMPUTATION	en	Computation
467	PE.DISPLAY_GROUP.CONFIGURATION	en	Configuration
468	PE.DISPLAY_GROUP.CONTROLS	en	Controls
469	PE.DISPLAY_GROUP.CSS	en	CSS
470	PE.DISPLAY_GROUP.CUSTOMIZATION	en	Customization
471	PE.DISPLAY_GROUP.CUSTOM_XML	en	Custom XML
472	PE.DISPLAY_GROUP.DAILY_WEEKLY_CALENDAR	en	Daily & Weekly Calendar
473	PE.DISPLAY_GROUP.DATAGRID	en	Datagrid
474	PE.DISPLAY_GROUP.DATA_CURSOR	en	Data Cursor
475	PE.DISPLAY_GROUP.DEFAULT	en	Default
476	PE.DISPLAY_GROUP.DEFINED_MAP_REGION_COLOR	en	Defined Map Region Color
477	PE.DISPLAY_GROUP.DEPENDING_ON	en	Depending On
478	PE.DISPLAY_GROUP.DESCRIPTION	en	Description
479	PE.DISPLAY_GROUP.DETAIL_VIEW	en	Detail View
480	PE.DISPLAY_GROUP.DIALOG	en	Dialog
481	PE.DISPLAY_GROUP.DOWNLOAD	en	Download
482	PE.DISPLAY_GROUP.DRAG_AND_DROP	en	Drag and Drop
483	PE.DISPLAY_GROUP.DUAL_Y_AXES	en	Dual Y Axes
484	PE.DISPLAY_GROUP.EDIT	en	Edit
485	PE.DISPLAY_GROUP.EDIT_AUTH	en	Edit Authorization
486	PE.DISPLAY_GROUP.ELEMENT	en	Element
487	PE.DISPLAY_GROUP.ENABLE_USER_TO	en	Enable Users To
488	PE.DISPLAY_GROUP.ENTRY	en	Entry
489	PE.DISPLAY_GROUP.ERROR	en	Error
490	PE.DISPLAY_GROUP.ERROR_HANDLING	en	Error Handling
491	PE.DISPLAY_GROUP.EXECUTION_OPTIONS	en	Execution Options
492	PE.DISPLAY_GROUP.EXPORT_PRINTING	en	Export / Printing
493	PE.DISPLAY_GROUP.EXTERNAL_PROCESSING	en	External Processing
494	PE.DISPLAY_GROUP.GANTT_ACTUAL	en	Actual Task State
495	PE.DISPLAY_GROUP.GANTT_BASELINE	en	Planned Task State
496	PE.DISPLAY_GROUP.GANTT_PROGRESS	en	Task Progress
497	PE.DISPLAY_GROUP.GANTT_START_DATE	en	Start Date
498	PE.DISPLAY_GROUP.GANTT_TIMELINE	en	Timeline
499	PE.DISPLAY_GROUP.GANTT_VIEWPORT	en	Viewport
500	PE.DISPLAY_GROUP.GAUGE	en	Gauge
501	PE.DISPLAY_GROUP.HEADER_AND_FOOTER	en	Header and Footer
502	PE.DISPLAY_GROUP.HEADING	en	Heading
503	PE.DISPLAY_GROUP.HELP	en	Help
504	PE.DISPLAY_GROUP.HELP_TEXT	en	Help Text
505	PE.DISPLAY_GROUP.HTML_HEADER	en	HTML Header
506	PE.DISPLAY_GROUP.ICON_VIEW	en	Icon View
507	PE.DISPLAY_GROUP.IDENTIFICATION	en	Identification
508	PE.DISPLAY_GROUP.JAVASCRIPT	en	JavaScript
509	PE.DISPLAY_GROUP.LABEL	en	Label
510	PE.DISPLAY_GROUP.LAYOUT	en	Layout
511	PE.DISPLAY_GROUP.LEGEND	en	Legend
512	PE.DISPLAY_GROUP.LINE	en	Line
513	PE.DISPLAY_GROUP.LINK	en	Link
514	PE.DISPLAY_GROUP.LIST_ENTRIES	en	List Entries
515	PE.DISPLAY_GROUP.LIST_OF_VALUES	en	List of Values
516	PE.DISPLAY_GROUP.LIST_VIEW_CALENDAR	en	Agenda View Calendar
517	PE.DISPLAY_GROUP.LOCAL_POST_PROCESSING	en	Local Post Processing
518	PE.DISPLAY_GROUP.LOGIN_PROCESSING	en	Login Processing
519	PE.DISPLAY_GROUP.MAJOR_TICKS	en	Major Ticks
520	PE.DISPLAY_GROUP.MAP	en	Map
521	PE.DISPLAY_GROUP.MAP_GRID_REGION_COLOR	en	Map Grid Region Color
522	PE.DISPLAY_GROUP.MAP_XML	en	Map XML
523	PE.DISPLAY_GROUP.MARGIN	en	Margin
524	PE.DISPLAY_GROUP.MARKER	en	Marker
525	PE.DISPLAY_GROUP.MASTER_DETAIL	en	Master Detail
526	PE.DISPLAY_GROUP.MESSAGES	en	Messages
527	PE.DISPLAY_GROUP.MINOR_TICKS	en	Minor Ticks
528	PE.DISPLAY_GROUP.MONTHLY_CALENDAR	en	Monthly Calendar
529	PE.DISPLAY_GROUP.MULTI_SERIES	en	Multi-Series Chart Data
530	PE.DISPLAY_GROUP.NAVIGATION	en	Navigation
531	PE.DISPLAY_GROUP.NAVIGATION_MENU	en	Navigation Menu
532	PE.DISPLAY_GROUP.OUTPUT	en	Output
533	PE.DISPLAY_GROUP.OVERVIEW	en	Overview
534	PE.DISPLAY_GROUP.PAGE	en	Page
535	PE.DISPLAY_GROUP.PAGE_FOOTER	en	Page Footer
536	PE.DISPLAY_GROUP.PAGE_HEADER	en	Page Header
537	PE.DISPLAY_GROUP.PAGINATION	en	Pagination
538	PE.DISPLAY_GROUP.PARAMETER	en	Parameter
539	PE.DISPLAY_GROUP.PERFORMANCE	en	Performance
540	PE.DISPLAY_GROUP.POST_LOGOUT_URL	en	Post-Logout URL
541	PE.DISPLAY_GROUP.PRIMARY_KEY_SOURCE	en	Primary Key Source
542	PE.DISPLAY_GROUP.PRINTING	en	Printing
543	PE.DISPLAY_GROUP.QUICK_PICKS	en	Quick Picks
544	PE.DISPLAY_GROUP.READ_ONLY	en	Read Only
545	PE.DISPLAY_GROUP.REAL_APPLICATION_SECURITY	en	Real Application Security
546	PE.DISPLAY_GROUP.REFERENCE_LINES	en	Reference Lines
547	PE.DISPLAY_GROUP.REFRESH	en	Refresh
548	PE.DISPLAY_GROUP.REMOTE_CACHE	en	Remote Cache
549	PE.DISPLAY_GROUP.SEARCH_BAR	ru	Панель поиска
550	PE.DISPLAY_GROUP.SECURITY	ru	Безопасность
551	PE.DISPLAY_GROUP.SERIES_COLOR	ru	Цвет серии
552	PE.DISPLAY_GROUP.SERVER_CACHE	ru	Кэш сервера
553	PE.DISPLAY_GROUP.SERVER_SIDE_CONDITION	ru	Условия отображения
554	PE.DISPLAY_GROUP.SESSION_COOKIE_ATTRIBUTES	ru	Атрибуты файлов cookie сеанса
555	PE.DISPLAY_GROUP.SESSION_NOT_VALID	ru	Сеанс недействителен
556	PE.DISPLAY_GROUP.SETTINGS	ru	Параметры
557	PE.DISPLAY_GROUP.SINGLE_ROW_VIEW	ru	Однорядный вид
558	PE.DISPLAY_GROUP.SORTING	ru	Сортировка
559	PE.DISPLAY_GROUP.SOURCE	ru	Источник
560	PE.DISPLAY_GROUP.SUBSCRIPTION	ru	Подписка
561	PE.DISPLAY_GROUP.SUCCESS_MESSAGE	ru	Сообщение об успехе
562	PE.DISPLAY_GROUP.TABS	ru	Вкладки
563	PE.DISPLAY_GROUP.THRESHOLDS	ru	Пороги
564	PE.DISPLAY_GROUP.TICK_LABEL	ru	Метка с галочкой
565	PE.DISPLAY_GROUP.TIME_SCALE	ru	Шкала времени
566	PE.DISPLAY_GROUP.TITLE	ru	Титул
567	PE.DISPLAY_GROUP.TOOLBAR	ru	Панель инструментов
568	PE.DISPLAY_GROUP.TOOLTIP	ru	Всплывающая подсказка
569	PE.DISPLAY_GROUP.UI_DEFAULTS_REFERENCE	ru	Справочник по умолчанию пользовательского интерфейса
570	PE.DISPLAY_GROUP.UNDEFINED_MAP_REGION_COLOR	ru	Неопределенный цвет области карты
573	PE.DISPLAY_GROUP.WEEKLY_CALENDAR	ru	Еженедельный календарь
574	PE.DISPLAY_GROUP.WHEN	ru	Когда
575	PE.DISPLAY_GROUP.X_AXIS	ru	Ось X
576	PE.DISPLAY_GROUP.Y_AXIS	ru	Ось Y
577	PE.DISPLAY_GROUP.ZOOM_SCALE	ru	Масштаб масштабирования
578	PE.DISPLAY_GROUP.ACTIONS_MENU	ru	Меню действий
579	PE.DISPLAY_GROUP.ADVANCED	ru	Дополнительные параметры
580	PE.DISPLAY_GROUP.AFFECTED_ELEMENTS	ru	Затронутые элементы
581	PE.DISPLAY_GROUP.ANIMATION	ru	Мультипликация
582	PE.DISPLAY_GROUP.APPEARANCE	ru	Параметры отображения
583	PE.DISPLAY_GROUP.ATTRIBUTES	ru	Атрибуты
584	PE.DISPLAY_GROUP.AUDIT_INFORMATION	ru	Аудиторская информация
585	PE.DISPLAY_GROUP.AUTHORIZATION	ru	Авторизация
586	PE.DISPLAY_GROUP.AUTOMATIC_REFRESH	ru	Автоматическое обновление
587	PE.DISPLAY_GROUP.BACKGROUND_COLOR	ru	Цвет фона
588	PE.DISPLAY_GROUP.BEHAVIOR	ru	Поведение
589	PE.DISPLAY_GROUP.BLOB	ru	Атрибуты большого двоичного объекта
590	PE.DISPLAY_GROUP.BREAK_FORMATTING	ru	Разрыв форматирования
591	PE.DISPLAY_GROUP.CALENDAR_STATE_ITEMS	ru	Элементы состояния календаря
592	PE.DISPLAY_GROUP.CASCADING_LOV	ru	Каскадный список значений
593	PE.DISPLAY_GROUP.CHART	ru	Диаграмма
594	PE.DISPLAY_GROUP.CLIENT_SIDE_CONDITION	ru	Состояние на стороне клиента
595	PE.DISPLAY_GROUP.COLORS	ru	Знамя
596	PE.DISPLAY_GROUP.COLUMNS	ru	Столбцы
597	PE.DISPLAY_GROUP.COLUMN_FILTER	ru	Фильтр столбцов
598	PE.DISPLAY_GROUP.COLUMN_FORMATTING	ru	Форматирование столбцов
599	PE.DISPLAY_GROUP.COLUMN_HEADINGS	ru	Заголовки столбцов
600	PE.DISPLAY_GROUP.COLUMN_MAPPING	ru	Сопоставление столбцов
601	PE.DISPLAY_GROUP.COMMENTS	ru	Комментарии
602	PE.DISPLAY_GROUP.COMPUTATION	ru	Вычисление
603	PE.DISPLAY_GROUP.CONFIGURATION	ru	Конфигурация
604	PE.DISPLAY_GROUP.CONTROLS	ru	Рычаги управления
605	PE.DISPLAY_GROUP.CSS	ru	CSS
606	PE.DISPLAY_GROUP.CUSTOMIZATION	ru	Настройка
607	PE.DISPLAY_GROUP.CUSTOM_XML	ru	Пользовательский XML
608	PE.DISPLAY_GROUP.DAILY_WEEKLY_CALENDAR	ru	Ежедневный и еженедельный календарь
609	PE.DISPLAY_GROUP.DATAGRID	ru	Сетка данных
610	PE.DISPLAY_GROUP.DATA_CURSOR	ru	Курсор данных
612	PE.DISPLAY_GROUP.DEFINED_MAP_REGION_COLOR	ru	Определенный цвет области карты
613	PE.DISPLAY_GROUP.DEPENDING_ON	ru	В зависимости от
614	PE.DISPLAY_GROUP.DESCRIPTION	ru	Приметы:__________
615	PE.DISPLAY_GROUP.DETAIL_VIEW	ru	Подробное представление
618	PE.DISPLAY_GROUP.DRAG_AND_DROP	ru	Перетаскивание
619	PE.DISPLAY_GROUP.DUAL_Y_AXES	ru	Двойные оси Y
622	PE.DISPLAY_GROUP.ELEMENT	ru	Элемент
623	PE.DISPLAY_GROUP.ENABLE_USER_TO	ru	Разрешить пользователям
624	PE.DISPLAY_GROUP.ENTRY	ru	Вход
625	PE.DISPLAY_GROUP.ERROR	ru	Ошибка
626	PE.DISPLAY_GROUP.ERROR_HANDLING	ru	Обработка ошибок
627	PE.DISPLAY_GROUP.EXECUTION_OPTIONS	ru	Параметры выполнения
628	PE.DISPLAY_GROUP.EXPORT_PRINTING	ru	Экспорт / Печать
629	PE.DISPLAY_GROUP.EXTERNAL_PROCESSING	ru	Внешняя обработка
616	PE.DISPLAY_GROUP.DIALOG	ru	Параметры окна
611	PE.DISPLAY_GROUP.DEFAULT	ru	Значение по умолчанию
617	PE.DISPLAY_GROUP.DOWNLOAD	ru	Выгрузка
620	PE.DISPLAY_GROUP.EDIT	ru	Редактирование
621	PE.DISPLAY_GROUP.EDIT_AUTH	ru	Авторизация на редактирование
630	PE.DISPLAY_GROUP.GANTT_ACTUAL	ru	Фактическое состояние задачи
631	PE.DISPLAY_GROUP.GANTT_BASELINE	ru	Состояние планируемой задачи
632	PE.DISPLAY_GROUP.GANTT_PROGRESS	ru	Ход выполнения задачи
633	PE.DISPLAY_GROUP.GANTT_START_DATE	ru	Дата начала
634	PE.DISPLAY_GROUP.GANTT_TIMELINE	ru	Временная шкала
635	PE.DISPLAY_GROUP.GANTT_VIEWPORT	ru	Видового экрана
636	PE.DISPLAY_GROUP.GAUGE	ru	Измерительный прибор
637	PE.DISPLAY_GROUP.HEADER_AND_FOOTER	ru	Верхний и нижний колонтитулы
638	PE.DISPLAY_GROUP.HEADING	ru	Заголовок
639	PE.DISPLAY_GROUP.HELP	ru	Справка
640	PE.DISPLAY_GROUP.HELP_TEXT	ru	Текст справки
641	PE.DISPLAY_GROUP.HTML_HEADER	ru	HTML-заголовок
642	PE.DISPLAY_GROUP.ICON_VIEW	ru	Вид значка
643	PE.DISPLAY_GROUP.IDENTIFICATION	ru	Идентификация
644	PE.DISPLAY_GROUP.JAVASCRIPT	ru	JavaScript
646	PE.DISPLAY_GROUP.LAYOUT	ru	Макет
647	PE.DISPLAY_GROUP.LEGEND	ru	Легенда
648	PE.DISPLAY_GROUP.LINE	ru	Линия
650	PE.DISPLAY_GROUP.LIST_ENTRIES	ru	Записи списка
652	PE.DISPLAY_GROUP.LIST_VIEW_CALENDAR	ru	Календарь представления повестки дня
653	PE.DISPLAY_GROUP.LOCAL_POST_PROCESSING	ru	Локальная постобработка
654	PE.DISPLAY_GROUP.LOGIN_PROCESSING	ru	Обработка входа в систему
655	PE.DISPLAY_GROUP.MAJOR_TICKS	ru	Основные тики
656	PE.DISPLAY_GROUP.MAP	ru	Карта
657	PE.DISPLAY_GROUP.MAP_GRID_REGION_COLOR	ru	Цвет области сетки карты
658	PE.DISPLAY_GROUP.MAP_XML	ru	Карта XML
659	PE.DISPLAY_GROUP.MARGIN	ru	Поле
660	PE.DISPLAY_GROUP.MARKER	ru	Маркер
661	PE.DISPLAY_GROUP.MASTER_DETAIL	ru	Основные сведения
662	PE.DISPLAY_GROUP.MESSAGES	ru	Сообщения
663	PE.DISPLAY_GROUP.MINOR_TICKS	ru	Второстепенные клещи
664	PE.DISPLAY_GROUP.MONTHLY_CALENDAR	ru	Ежемесячный календарь
665	PE.DISPLAY_GROUP.MULTI_SERIES	ru	Многосерийные диаграммные данные
666	PE.DISPLAY_GROUP.NAVIGATION	ru	Навигация
667	PE.DISPLAY_GROUP.NAVIGATION_MENU	ru	Меню навигации
668	PE.DISPLAY_GROUP.OUTPUT	ru	Выпуск
669	PE.DISPLAY_GROUP.OVERVIEW	ru	Обзор
670	PE.DISPLAY_GROUP.PAGE	ru	Страница
672	PE.DISPLAY_GROUP.PAGE_HEADER	ru	Заголовок страницы
673	PE.DISPLAY_GROUP.PAGINATION	ru	Нумерация страниц
674	PE.DISPLAY_GROUP.PARAMETER	ru	Параметр
675	PE.DISPLAY_GROUP.PERFORMANCE	ru	Производительность
676	PE.DISPLAY_GROUP.POST_LOGOUT_URL	ru	URL-адрес после выхода
677	PE.DISPLAY_GROUP.PRIMARY_KEY_SOURCE	ru	Источник первичного ключа
678	PE.DISPLAY_GROUP.PRINTING	ru	Печатание
679	PE.DISPLAY_GROUP.QUICK_PICKS	ru	Быстрый выбор
680	PE.DISPLAY_GROUP.READ_ONLY	ru	Только чтение
681	PE.DISPLAY_GROUP.REAL_APPLICATION_SECURITY	ru	Реальная безопасность приложений
682	PE.DISPLAY_GROUP.REFERENCE_LINES	ru	Референс-линии
683	PE.DISPLAY_GROUP.REFRESH	ru	Освежать
684	PE.DISPLAY_GROUP.REMOTE_CACHE	ru	Удаленный кэш
686	DS.PROPERTY.CHART_TYPE	en	Type
687	DS.PROPERTY.CHART_TYPE	ru	Тип
688	DS.LOV.CHART_TYPE.COLUMN	en	Bar - Vertical
689	DS.LOV.CHART_TYPE.BAR	en	Bar - Horizontal
690	DS.LOV.CHART_TYPE.DONUT	en	Donut
692	DS.LOV.CHART_TYPE.COLUMN	ru	Столбчатая - Вертикальная
693	DS.LOV.CHART_TYPE.BAR	ru	Столбчатая - Горизонтальная
694	DS.LOV.CHART_TYPE.DONUT	ru	Кольцевая
695	DS.PROPERTY.CHART_WIDTH	en	Width
696	DS.PROPERTY.CHART_WIDTH	ru	Ширина
697	DS.PROPERTY.CHART_HEIGHT	en	Height
698	DS.PROPERTY.CHART_HEIGHT	ru	Высота
700	DS.PROPERTY.CHART_CATEG_COL	ru	Колонка категории
701	DS.PROPERTY.CHART_DYN_LOAD	en	Dynamic Load
702	DS.PROPERTY.CHART_DYN_LOAD	ru	Динамическая загрузка
703	DS.PROPERTY.CHART_SER_VAL_COL	en	Value Column
704	DS.PROPERTY.CHART_SER_VAL_COL	ru	Колонка значений
705	DS.PROPERTY.CARDS_COLS	en	Columns
706	DS.PROPERTY.CARDS_COLS	ru	Колонки
707	DS.PROPERTY.CARDS_THEME	en	Theme
708	DS.PROPERTY.CARDS_THEME	ru	Тема
709	DS.LOV.CARDS_THEME.BASIC	en	Basic
710	DS.LOV.CARDS_THEME.FEATURED	en	Featured
711	DS.LOV.CARDS_THEME.BLOCK	en	Block
712	DS.LOV.CARDS_THEME.BASIC	ru	Базовая
713	DS.LOV.CARDS_THEME.BLOCK	ru	Блочная
714	DS.LOV.CARDS_THEME.FEATURED	ru	Функциональная
715	DS.PROPERTY.WIZARD_CLICKABLE	en	Clickable
716	DS.PROPERTY.WIZARD_CLICKABLE	ru	Разрешить переход по нажатию
649	PE.DISPLAY_GROUP.LINK	ru	Ссылка
699	DS.PROPERTY.CHART_CATEG_COL	en	Category Column
671	PE.DISPLAY_GROUP.PAGE_FOOTER	ru	Низ
645	PE.DISPLAY_GROUP.LABEL	ru	Наименование
717	DS.PROPERTY.WIZARD_LABEL	en	Step Labels
718	DS.PROPERTY.WIZARD_LABEL	ru	Отображать шаги
719	DS.PROPERTY.WIZARD_ORIENTATION	en	Orientation
720	DS.PROPERTY.WIZARD_ORIENTATION	ru	Направление
721	DS.LOV.WIZARD_LABEL.ALL	en	All
722	DS.LOV.WIZARD_LABEL.ALL	ru	Все
723	DS.LOV.WIZARD_LABEL.CURRENT	en	Current
724	DS.LOV.WIZARD_LABEL.CURRENT	ru	Текущий
725	DS.LOV.WIZARD_LABEL.NEVER	en	Never
726	DS.LOV.WIZARD_LABEL.NEVER	ru	Никогда
727	DS.LOV.WIZARD_ORIENT.HORIZONTAL	en	Horizontal
728	DS.LOV.WIZARD_ORIENT.HORIZONTAL	ru	Горизонтально
729	DS.LOV.WIZARD_ORIENT.VERTICAL	en	Vertical
730	DS.LOV.WIZARD_ORIENT.VERTICAL	ru	Вертикально
731	DS.PROPERTY.CONTENT_DISPOSITION	en	Content Disposition
733	DS.PROPERTY.CONTENT_DISPOSITION	ru	Content Disposition
734	DS.PROPERTY.DWNLD_MIME_COL	en	Mime Type Column
735	DS.PROPERTY.DWNLD_MIME_COL	ru	Mime Type Колонка
736	DS.PROPERTY.DWNLD_FCONT_COL	en	File Content Column
737	DS.PROPERTY.DWNLD_FCONT_COL	ru	Колонка с файлом
738	DS.PROPERTY.DWNLD_FNAME_COL	en	File Name Column
739	DS.PROPERTY.DWNLD_FNAME_COL	ru	Колонка с наименованием
740	DS.PROPERTY.REGION_SETTINGS	en	Theme Settings
741	DS.PROPERTY.REGION_SETTINGS	ru	Настройки темы
742	DS.LOV.INPUT_TYPE.MULTISELECT	en	Multiselect
743	DS.LOV.INPUT_TYPE.MULTISELECT	ru	Множественный выбор
744	DS.PROPERTY.CHANGED_AT	en	Changed On
745	DS.PROPERTY.CHANGED_AT	ru	Изменено
746	DS.PROPERTY.CHANGED_BY	en	Changed By
747	DS.PROPERTY.CHANGED_BY	ru	Изменил
748	DS.PROPERTY.CLNDR_DISP_COL	en	Display Column
749	DS.PROPERTY.CLNDR_DISP_COL	ru	Колонка с заголовком
750	DS.PROPERTY.CLNDR_START_COL	en	Star Date Column
751	DS.PROPERTY.CLNDR_START_COL	ru	Колонка с началом периода
752	DS.PROPERTY.CLNDR_END_COL	en	End Date Column
753	DS.PROPERTY.CLNDR_END_COL	ru	Колонка с окончанием периода
754	DS.PROPERTY.CLNDR_HEIGHT	en	Height
755	DS.PROPERTY.CLNDR_HEIGHT	ru	Высота
756	DS.PROPERTY.CLNDR_VIEWS	en	Views
757	DS.PROPERTY.CLNDR_VIEWS	ru	Представления
758	DS.PROPERTY.CLNDR_SHOW_TIME	en	Show Time
759	DS.PROPERTY.CLNDR_SHOW_TIME	ru	Отображать время
760	DS.PROPERTY.CLNDR_TOOLTIP	en	Show Tooltip
761	DS.PROPERTY.CLNDR_TOOLTIP	ru	Показывать подсказку
762	DS.PROPERTY.CLNDR_WEEKEND	en	Show Weekend
763	DS.PROPERTY.CLNDR_WEEKEND	ru	Отображать выходные
764	DS.PROPERTY.CLNDR_VIEW_LINK	en	View Link
765	DS.PROPERTY.CLNDR_VIEW_LINK	ru	Ссылка на просмотр
766	DS.PROPERTY.CLNDR_CSS_COLUMN	en	CSS Column
767	DS.PROPERTY.CLNDR_CSS_COLUMN	ru	CSS колонка
768	DS.LOV.CLNDR_VIEW.YEAR	en	Year
769	DS.LOV.CLNDR_VIEW.YEAR	ru	Год
770	DS.LOV.CLNDR_VIEW.MONTH	en	Month
771	DS.LOV.CLNDR_VIEW.MONTH	ru	Месяц
772	DS.LOV.CLNDR_VIEW.WEEK	en	Week
774	DS.LOV.CLNDR_VIEW.DAY	en	Day
775	DS.LOV.CLNDR_VIEW.DAY	ru	День
776	DS.LOV.CLNDR_VIEW.LIST	en	List
777	DS.LOV.CLNDR_VIEW.LIST	ru	Повестка дня
340	DS.LOV.BUTTON_LOCATION.REGION	ru	Регион
361	DS.PROPERTY.DE_TRIGGER_REGION	ru	Регион
367	DS.LOV.DE_TRIGGER_TYPE.REGION	ru	Регион
278	DS.PROPERTY.REGION	ru	Регион
571	PE.DISPLAY_GROUP.VALIDATION	ru	Валидация
288	DS.PROPERTY.DEFAULT_VALUE	ru	Значение
377	DS.PROPERTY.VALIDATION_FIRST_VALUE	ru	Значение
379	DS.PROPERTY.VALIDATION_SECOND_VALUE	ru	Значение
572	PE.DISPLAY_GROUP.VALUE	ru	Значение
360	DS.PROPERTY.DE_TRIGGER_BUTTON	ru	Кнопка
366	DS.LOV.DE_TRIGGER_TYPE.BUTTON	ru	Кнопка
651	PE.DISPLAY_GROUP.LIST_OF_VALUES	ru	Список значений
773	DS.LOV.CLNDR_VIEW.WEEK	ru	Неделя
778	DS.LOV.CHART_TYPE.LINE	en	Line Chart
780	DS.LOV.CHART_TYPE.AREA	en	Area
781	DS.LOV.CHART_TYPE.AREA	ru	Диаграмма с областями
779	DS.LOV.CHART_TYPE.LINE	ru	Линейная диаграмма
840	DS.HP.PROP.CLNDR_DISP_COL	ru	Выберите столбец источника данных, содержащий значение для названия записи календаря.
841	DS.HP.PROP.PAGE_GROUP	ru	Укажите группу которой принадлежит данная страница.
782	DS.HP.PROP.NAME	ru	Введите название текущей страницы. Это имя используется будет отображаться во многих отчетах и формах выбора.
842	DS.HP.PROP.REG_SOURCE_TYPE	ru	Выберите тип источника данных для отображения данных в регионе. Источник данных зависит от типа компонента региона.
843	DS.HP.PROP.SOURCE_SQL	ru	Укажите запрос который необходимо выполнить.
844	DS.HP.PROP.SOURCE_INPUT	ru	Укажите элементы которые необходимо передать в исполняемый запрос в качестве переменных
1015	DS.HP.PROP.CHART_HEIGHT	ru	Укажите высоту графика в пикселях
1016	DS.HP.PROP.CHART_CATEG_COL	ru	Укажите колонку для оси X
1017	DS.HP.PROP.CHART_DYN_LOAD	ru	Укажите если необходимо загружать график только по вызову события refresh
1018	DS.HP.PROP.CHART_SER_VAL_COL	ru	Укажите колонку для значений по оси Y
1019	DS.HP.PROP.CARDS_THEME	ru	Выберите тему для отображения карт. Тема определяет внешний вид.
877	DS.HP.PROP.DEFAULT_VALUE_INPUT	ru	Укажите элементы которые необходимо передать в исполняемый запрос в качестве переменных
884	DS.HP.PROP.PARENT_REGION	ru	Выберите родительскую позицию для данного компонента
885	DS.HP.PROP.ITEM_TYPE	ru	Выберите тип элемента ввода
788	DS.HP.PROP.MODE	ru	<p>Выберите режим страницы для этой страницы.</p>\r\n\r\n<p>Доступны следующие параметры:</p>\r\n\r\n<p><strong>Стандартная</strong><p/>\r\n<p>Страница представлена ​​как обычная страница приложения.</p>\r\n<p><strong>Модальное окно</strong></p>\r\n<p>Страница представлена ​​в виде модального диалогового окна.</p>\r\n<p>Модальное диалоговое окно — это наложенное окно, расположенное в области просмотра, которое остается активным до тех пор, пока конечный пользователь не закроет его. Родительская страница отображается серым цветом, и конечный пользователь не может взаимодействовать с остальной частью страницы, пока диалоговое окно не будет закрыто.</p>\r\n<p><strong>Логин</strong></p>\r\n<p>Это простая пустая страница без дополнительного наложения. Вы можете использовать этот тип для создания страницы входа.</p>
789	DS.HP.PROP.JS_FILES	ru	Введите URL-адреса файлов JavaScript для кода, загруженного на этой странице. Каждый URL должен быть написан с новой строки. 
790	DS.HP.PROP.JS_FILES	en	Enter JavaScript file URLs for code loaded on this page. Each URL must be written on a new line.
792	DS.HP.PROP.JS_CODE	en	<p>Enter JavaScript code such as functions or global variable declarations referenced on this page. If the same JavaScript is required on multiple pages, consider putting the code into an external JavaScript file to avoid duplication and to leverage browser caching of static files.</p>\r\n\r\n<p>Note: You do not need to include opening or closing script tags. Just include the JavaScript code.</p>
794	DS.HP.PROP.CSS_FILES	en	Enter CSS file URLs for code loaded on this page. Each URL must be written on a new line.
795	DS.HP.PROP.CSS_FILES	ru	Введите URL-адреса файлов CSS для кода, загруженного на этой странице. Каждый URL должен быть написан с новой строки. 
1020	DS.HP.PROP.CARDS_COLS	ru	Укажите количество карточек на одной строке
1021	DS.HP.PROP.WIZARD_CLICKABLE	ru	Укажите если необходимо осуществлять навигацию между пунктами по клику
1022	DS.HP.PROP.WIZARD_LABEL	ru	Укажите если необходимо выводить названия шагов
1023	DS.HP.PROP.WIZARD_ORIENTATION	ru	Выберите направление по которому будут располагаться шаги
1024	DS.HP.PROP.DWNLD_FNAME_COL	ru	Укажите колонку, содержащую название файла
1025	DS.HP.PROP.DWNLD_FCONT_COL	ru	Укажите колонку содеражашую сам файл
1026	DS.HP.PROP.DWNLD_MIME_COL	ru	Укажите колонку содержащую mime тип файла
1027	DS.HP.PROP.CONTENT_DISPOSITION	ru	Укажите содержание заголовка Content-Disposition. Заголовок отвечат за то как необходимо отобразить содержимое в браузере. Если указано attachment - файл будет загружен на компьютер пользователя. 
1028	DS.HP.PROP.REGION_SETTINGS	ru	Выберите настройки темы для региона
1029	DS.HP.PROP.ENABLE_ACTIONS	ru	Укажите будут ли доступна кнопка "Действия" пользователю
1030	DS.HP.PROP.DATA_SOURCE	ru	Выберите источник данных для данного компонента
1073	DS.HP.PROP.DWNLD_MIME_COL	en	Specify a column containing the mime type of the file
1074	DS.HP.PROP.CONTENT_DISPOSITION	en	Specify the content of the Content-Disposition header. Header is responsible for how the content should be displayed in the browser. If attachment is specified, the file will be downloaded to the user's computer.
1075	DS.HP.PROP.REGION_SETTINGS	en	Select theme settings for the region
1076	DS.HP.PROP.ENABLE_ACTIONS	en	Specify whether the "Actions" button will be available to the user
1077	DS.HP.PROP.DATA_SOURCE	en	Select a data source for this component
1080	DS.PROPERTY.UPLOAD_SOURCES	en	Upload To
1081	DS.PROPERTY.UPLOAD_SOURCES	ru	Загрузить в
1083	DS.PROPERTY.TREE_LINK_COL	en	Link Column
1084	DS.PROPERTY.TREE_LINK_COL	ru	Столбец с ссылкой
1085	DS.PROPERTY.TREE_LINK	ru	Ссылка
1255	DS.PROPERTY.GRID_LAZY_LOADING	ru	Ленивая загрузка
1256	DS.PROPERTY.GRID_NULL_VALUES	ru	Отобразить Null как
1257	DS.PROPERTY.GRID_SELECT_FIRST	ru	Выбрать первую строку
1258	DS.PROPERTY.GRID_FIXED_ROW_HEIGHT	ru	Фиксированная высота строки
1259	DS.PROPERTY.GRID_SHOW_TOOLBAR	ru	Показать панель
1260	DS.PROPERTY.GRID_CONTROLS	ru	Кнопки панели
1261	DS.PROPERTY.GRID_SELECTOR	en	Data Grid
1264	DS.PROPERTY.GRID_COL_TYPE	ru	Тип колонки
1266	DS.PROPERTY.COLUMN_HEADING_ALIGN	ru	Выравнивание заголовка
1265	DS.PROPERTY.COLUMN_HEADING_ALIGN	en	Alignment
1267	DS.LOV.COLUMN_HEADING_ALIGN.LEFT	en	Left
1268	DS.LOV.COLUMN_HEADING_ALIGN.LEFT	ru	Налево
1269	DS.LOV.COLUMN_HEADING_ALIGN.CENTER	en	Center
1270	DS.LOV.COLUMN_HEADING_ALIGN.RIGHT	en	Right
1271	DS.LOV.COLUMN_HEADING_ALIGN.CENTER	ru	Центр
808	DS.PROPERTY.DATA_SOURCE	en	Data Source
809	DS.PROPERTY.DATA_SOURCE	ru	Источник данных
784	DS.HP.PROP.NAME	en	Enter the name of the current page. This name is used in numerous pages and reports, along with the page number and title.
878	DS.HP.PROP.CONDITION_TYPE	ru	Выберите тип условия, которое должно быть выполнено для того, чтобы этот компонент был отрисован или обработан.
1095	DS.PROPERTY.REST_METHOD	en	HTTP-method
787	DS.HP.PROP.MODE	en	<p>Select the page mode for this page.</p>\r\n\r\n<p>Available options include:</p>\r\n\r\n<p><strong>Sidebat</strong><p/>\r\n<p>The page is presented as a normal application page.</p>\r\n<p><strong>Modal Dialog</strong></p>\r\n<p>The page is presented as a modal dialog.</p>\r\n<p>A modal dialog is an overlay window positioned within the viewport, which remains active and focused until the end user dismisses (closes) it. The underlying page is grayed out and the end user is prevented from interacting with the rest of the page until the dialog is closed.</p>\r\n<p><strong>Login</strong></p>\r\n<p>This is simple blank page with no additional overlay. You can use this type for creating login page.</p>\r\n
793	DS.HP.PROP.JS_CODE	ru	<p>Введите код JavaScript, например функции или объявления глобальных переменных, указанные на этой странице. Если на нескольких страницах требуется один и тот же код JavaScript, подумайте о том, чтобы поместить код во внешний файл JavaScript, чтобы избежать дублирования</p>\r\n\r\n<p>Примечание. Вам не нужно включать открывающие или закрывающие теги скрипта. Просто включите код JavaScript.</p>
796	DS.HP.PROP.CSS_INLINE	en	<p>Enter Cascading Style Sheet (CSS) code used on this page. If the same CSS is required on multiple pages, consider putting the code into an external file to avoid duplication.</p>\r\n\r\n<p>Note: You do not need to include opening or closing style tags. Just include the cascading style sheet code.</p>
797	DS.HP.PROP.CSS_INLINE	ru	<p>Введите код каскадной таблицы стилей (CSS), используемый на этой странице. Если на нескольких страницах требуется один и тот же CSS, подумайте о том, чтобы поместить код во внешний файл, чтобы избежать дублирования.</p>\r\n\r\n<p>Примечание. Нет необходимости включать открывающие или закрывающие теги стиля. Просто включите код каскадной таблицы стилей.</p>
798	DS.HP.PROP.MODAL_WIDTH	en	Enter the width of the dialog, in pixels, such as 500.
799	DS.HP.PROP.MODAL_WIDTH	ru	Введите ширину диалогового окна в пикселях, например 500
800	DS.HP.PROP.ID_AUTH	en	<p>Select an authorization scheme applied to the page. Authorization schemes are defined at the application-level.</p>\r\n\r\n<p>An authorization scheme is evaluated once for each page view. If the selected authorization scheme evaluates to TRUE, then the page displays. If it evaluates to FALSE, then the page does not display and an error message displays.</p>
801	DS.HP.PROP.ID_AUTH	ru	<p>Выберите схему авторизации, применяемую к странице. Схемы авторизации определяются на уровне приложения.</p>\r\n\r\n<p>Схема авторизации проверяется каждый раз при открытии страницы. Если выбранная схема авторизации возвращает TRUE - страница отображается. Если возвращает FALSE, страница не отображается и выводится сообщение об ошибке.</p>
802	DS.HP.PROP.IS_PUBLIC	en	Specify whether this page is public or requires authentication. If a page is identified as public, the page can be viewed by any user who accesses the page.
803	DS.HP.PROP.IS_PUBLIC	ru	Укажите, является ли эта страница общедоступной или требует аутентификации. Если страница идентифицирована как общедоступная, ее может просматривать любой пользователь, который обращается к ней.
804	DS.HP.PROP.PROTECTION	en	Select for session state protection to be implemented for this page. If selected - url will contain checksum for provided arguments.
805	DS.HP.PROP.PROTECTION	ru	Выберите, чтобы обеспечить защиту состояния сеанса для этой страницы. Если опция выбрана - URL будет содержать контрольную сумму для предоставленных аргументов.
806	DS.PROPERTY.ENABLE_ACTIONS	en	Enable Actions
807	DS.PROPERTY.ENABLE_ACTIONS	ru	Действия
812	DS.LOV.PAGE_MODE.MINIMAL	en	Minimal
813	DS.LOV.PAGE_MODE.MINIMAL	ru	Минималистичный
245	DS.PROPERTY.PAGE_MODE	ru	Вид страницы
814	DS.PROPERTY.PAGE_GROUP	en	Group
815	DS.PROPERTY.PAGE_GROUP	ru	Группа
816	DS.HP.PROP.REGION_TOGGLE	ru	Укажите может ли пользователю сворачивать содержимое данного региона
817	DS.HP.PROP.SEQUENCE	ru	<p>Введите последовательность отображения для этого элемента. Последовательность и другие параметры макета определяют, где этот элемент отображается по отношению к другим элементам в регионе.</p><p>Примечание. Если два элемента в одном регионе имеют одинаковое значение последовательности, они могут отображаться в другом порядке при экспорте и импорте приложения в другую среду, например в тестовую или рабочую среду. Чтобы обеспечить согласованность, рекомендуем указывать уникальные порядковые номера для каждого элемента или, по крайней мере, для элементов в одном регионе.</p>
845	DS.HP.PROP.ENABLE_SEARCH	ru	Укажите необходимо ли выводить строку поиска для отчета
846	DS.HP.PROP.ENABLE_PAGINATION	ru	Укажите необходимо ли выводить переключение страниц для отчета
847	DS.HP.PROP.ENABLE_HEADERS	ru	Укажите необходимо ли выводить название колонок для отчета
879	DS.HP.PROP.CONDITION_FIRST_SQL	ru	Укажите запрос для выполнения условия
880	DS.HP.PROP.CONDITION_FIRST_INPUT	ru	Укажите элементы которые необходимо передать в исполняемый запрос в качестве переменных
881	DS.HP.PROP.CONDITION_SECOND	ru	
818	DS.HP.PROP.REGION_POSITION	ru	<p>Укажите расположение данного региона на странице. В качестве позиций можно указать следующие варианты:</p>\r\n<p><strong>Верхняя позиция</strong></p>\r\n<p>Регион будет расположен в верхней части экрана. Для данной позиции отлично подходят регионы с типом "Хлебные крошки".</p>\r\n<p><strong>Центральная позиция</strong></p>\r\n<p>Регион будет расположен в теле страницы. Основаная позиция для отображения содержания.</p>\r\n<p><strong>Левая позиция</strong></p>\r\n<p>Регион будет расположен в дополнительной боковой панели в левой части страницы</p>\r\n<p><strong>Правая позиция</strong></p>\r\n<p>Регион будет расположен в дополнительной боковой панели в правой части страницы</p>\r\n<p><strong>Нижняя позиция</strong></p>\r\n<p>Регион будет расположен внизу страницы. Позиция отлично подходит для размещения кнопок в модальном окне</p>
819	DS.HP.PROP.STATIC_ID	ru	<p>Укажите идентификатор данного элемента. Этот идентификатор будет проставлен в атрибут ID элемента в DOM.</p>\r\n<p>Статический идентификатор необходим если вы собираетесь использовать дополнительную логику реализованную через javascript или собираетесь использовать свои стили css</p>
820	DS.HP.PROP.REGION_TYPE	ru	<p>Укажите тип региона. Определяет набор параметров и наличие особых атрибутов отображения.</p>\r\n
821	DS.HP.PROP.COMP_CLASS	ru	<p>Укажите css класс, который будет передан в компонент региона. Необходимо для кастомизации компонента</p>
822	DS.HP.PROP.REGION_THEME	ru	<p>Выберите тему региона. Тема предустанавливает значения настроек внешнего вида региона</p>
823	DS.HP.PROP.REGION_CLASS	ru	<p>Укажите css класс, который будет передан в  регион. Указанные классы будут влиять на внешний вид региона, но не компонента</p>
825	DS.HP.PROP.TREE_PKEY	ru	Выберите столбец источника данных, содержащий идентификатор узла. Это необходимо для вычисления иерархии. Обычно здесь выбирается столбец первичного ключа.
826	DS.HP.PROP.ELEMENT_LOV_INPUT	ru	Укажите переменные необходимы для построения списка значений
827	DS.HP.PROP.INPUT_MASK	ru	Укажите маску ввода. Маска позволяет отформатировать пользовательскую информацию в соответствие с тем как задумал разработчик.
828	DS.HP.PROP.DEFAULT_VALUE_TYPE	ru	<p>Выберите тип источника данных для значения по умолчанию</p>\r\n<p><strong>SQL</strong></p>\r\n<p>Напишите запрос который вернет значения для элемента. Значение по умолчанию будет выбрано из первой колонки первой строки, которую вернут запрос</p>\r\n<p><strong>Static</strong></p>\r\n<p>Введите занчение, которое будет установлено как значение по умолчанию</p>\r\n<p><strong>Item</strong></p>\r\n<p>Значение по умолчанию будет взято из значения переменной, установленное в сессию</p>
829	DS.HP.PROP.DEFAULT_VALUE	ru	Укажите значение элемента по умолчанию
830	DS.HP.PROP.TREE_FKEY	ru	Выберите столбец источника данных, содержащий значение родительского ключа узла.
831	DS.HP.PROP.TREE_LABLE	ru	Выберите столбец источника данных, содержащий значение для метки узла.
832	DS.HP.PROP.PROCESS_TYPE	ru	<p>Укажите тип процесса. Тип влияет на порядок вызова кода. В XRAD предусмотрены следующие типы процессов:</p>\r\n<p><strong>Before page load</strong></p>\r\n<p>Процессы данного вида выполняются непосредственно перед загрузкой страницы. Их основное назначение подготовить окно для взаимодействия с пользователем (например заполнить поля формы значениями из БД)</p>\r\n<p><strong>Process</strong></p>\r\n<p>Процессы данного вида выполняются при отправке формы на сервер</p>\r\n<p><strong>Ajax Callback</strong></p>\r\n<p>Процессы данного вида призваны взаимодействовать с БД по требованию от JS-скрипта</p>
833	DS.HP.PROP.OUTPUT_PARAMETERS	ru	Укажите наименование элементов. Если процессу необходимо установить значения сессионных переменных, необходимо указать их в данном поле. 
834	DS.HP.PROP.PROCESS_SUCCESS	ru	Укажите сообщение которое будет отображено пользователю при успешном выполнении процесса. Если вызывается цепочка процессов - будет выведено последнее сообщение об успешном исполнении.
835	DS.HP.PROP.ERROR_MESSAGE	ru	Укажите сообщение об ошибке.
836	DS.HP.PROP.INPUT_JS_SETTINGS	ru	Укажите дополнительные настройка работы элемента. В зависимости от типа настройки могут отличаться.
837	DS.HP.PROP.CLNDR_CSS_COLUMN	ru	Выберите тип источника данных с информацией о настройке стилей для записи календаря.
838	DS.HP.PROP.CHANGED_BY	ru	
839	DS.HP.PROP.CHANGED_AT	ru	
848	DS.HP.PROP.ROW_LIMIT	ru	Укажите ограничение выборки по количеству строк для отчета.
882	DS.HP.PROP.CONDITION_SECOND_INPUT	ru	
849	DS.HP.PROP.REPORT_APPEARANCE	ru	<p>Выберите шаблон отчета.</p>\r\n<p><strong>Стандартный</strong></p>\r\n<p>Стандартное отображение отчета в виде таблицы с набором строк и колонок.</p>\r\n<p><strong>Столбец-значение</strong></p>\r\n<p>Отображение отчета в виде таблицы состоящей из двух строк: название колонки - значение.</p>
850	DS.HP.PROP.COLUMN_NAME	ru	Название колонки в SQL запросе
851	DS.HP.PROP.COLUMN_HEADING	ru	Укажите отображаемое значение названия колонки отчета
852	DS.HP.PROP.COLUMN_TYPE	ru	<p>Выберите тип колонки</p>\r\n<p><strong>Текст</strong></p>\r\n<p>Обычное отображение значения колонки в виде текста</p>\r\n<p><strong>Ссылка</strong></p>\r\n<p>Выберие данный пункт если необходимо обеспечить навигацию по страницам исходя из значения ячейки колонки</p>\r\n<p><strong>Скрытый</strong></p>\r\n<p>Колонка не будет отображена в результирующем отчета. Однако значения этой колонки будут доступны для подстановки в другие атрибуты настроек колонок отчета</p>\r\n<p><strong>Флажок</strong></p>\r\n<p>Колонка будет отображаться в виде html элемента "флажок". Значением данного флага будет равно значению ячейки колонки.</p>
853	DS.HP.PROP.LINK_TARGET	ru	Укажите ссылку
854	DS.HP.PROP.COLUMN_FORMAT	ru	Укажите дополнительный формат ячейки данного столбца. Параметр принимает html, а само значение ячейки необхдоимо указывать через #. Пример: &lt;strong&gt;#empno#&lt;/strong&gt;
855	DS.HP.PROP.LINK_ICON	ru	Укажите иконку для отображения ссылки
856	DS.HP.PROP.COLUMN_SORT	ru	Укажите может ли пользователь производить сортировка по данному столбцу
857	DS.HP.PROP.COLUMN_SEARCH	ru	Укажите может ли пользователь производить поиск по данному столбцу
858	DS.HP.PROP.COLUMN_ALIGNMENT	ru	Укажите выравнивание значения ячейки данного столбца
859	DS.HP.PROP.FORMAT_MASK	ru	Укажите опцию форматирования значения для отображения в отчете. Параметр передаётся в качестве второго аргумента к функции to_char.
860	DS.HP.PROP.COLUMN_WIDTH	ru	Укажите ширину колонки в пикселях
861	DS.HP.PROP.LABEL	ru	Введите название поля для элемента страницы. Название отображается на странице, только если отображается элемент.
862	DS.HP.PROP.REGION	ru	Укажите родительский регион, которому принадлежит этот элемент
863	DS.HP.PROP.GRID_NEW_ROW	ru	Укажите, будет ли этот компонент отображаться в следующей строке после предыдущего компонента или в той же строке.
864	DS.HP.PROP.GRID_COLUMN_SPAN	ru	Выберите определенный столбец макета. Используйте параметр «Автоматически», чтобы автоматически определить следующий доступный столбец макета, в котором отображается компонент.
865	DS.HP.PROP.VALUE_REQUIRED	ru	Если выбрано - XRAD автоматически производит проверку NOT NULL. В случае если проверка не проходит пользователь увидит сообщение с ошибкой.
866	DS.HP.PROP.ELEMENT_MAX_CHARACTERS	ru	Введите ширину элемента формы, который будет использоваться для отображения этого элемента.
867	DS.HP.PROP.ELEMENT_VALUE_PLACEHOLDER	ru	Введите текст подсказки, отображаемый в этом элементе, если значение для этого элемента не введено. После ввода любого текста в элемент подсказка удаляется.
868	DS.HP.PROP.ELEMENT_LOV	ru	<p>Введите  SQL запрос для формирования списка занчений. Обычно запрос должен иметь следующий вид:</p>\r\n<p>\r\nselect [отображаемое_значение],\r\n             [значение_выбора]\r\nfrom …\r\nwhere …\r\norder by ..\r\n</p>\r\n<p>Каждый выбранный столбец должен иметь уникальное имя или псевдоним.</p>
869	DS.HP.PROP.CLNDR_START_COL	ru	Выберите столбец, содержащий дату начала событий, отображаемых в этом календаре.
870	DS.HP.PROP.CLNDR_HEIGHT	ru	Укажите высотру компонента
871	DS.HP.PROP.CLNDR_END_COL	ru	Выберите столбец, содержащий дату окончания событий, отображаемых в этом календаре. Если этот атрибут указан, то в календаре отображаются события на основе продолжительности.
872	DS.HP.PROP.CLNDR_SHOW_TIME	ru	Выберите, следует ли отображать временную часть даты
873	DS.HP.PROP.CLNDR_TOOLTIP	ru	Выберите, будет ли отображаться всплывающая подсказка, когда пользователи наводят курсор на событие в этом календаре
874	DS.HP.PROP.CLNDR_WEEKEND	ru	Выберите, будут ли суббота и воскресенье отображаться для этого календаря.
875	DS.HP.PROP.CLNDR_VIEW_LINK	ru	Введите целевую страницу, которая будет вызываться, когда пользователь щелкает существующую запись.
876	DS.HP.PROP.CLNDR_VIEWS	ru	Выберите, какие виды календаря отображать
883	DS.HP.PROP.LIST_SELECTOR	ru	Выберите список для формирования значений для этого компонента
886	DS.HP.PROP.READ_ONLY_TYPE	ru	Выберите тип условия, которое должно быть выполнено для того, чтобы этот компонент отображался только для чтения.
887	DS.HP.PROP.READ_ONLY_FIRST_SQL	ru	Укажите запрос для выполнения условия
888	DS.HP.PROP.READ_ONLY_FIRST_INPUT	ru	Укажите элементы которые необходимо передать в исполняемый запрос в качестве переменных
889	DS.HP.PROP.READ_ONLY_SECOND	ru	
890	DS.HP.PROP.READ_ONLY_SECOND_INPUT	ru	
891	DS.HP.PROP.CONDITION_FIRST_ITEM	ru	Укажите элемент который должен удовлетворять условие
892	DS.HP.PROP.BUTTON_POSITION_REGION	ru	Выберите месторасположение кнопки внутри региона
893	DS.HP.PROP.BUTTON_POSITION_ITEM	ru	Выберите элемент которому будет принадлежать кнопка.
894	DS.HP.PROP.BUTTON_LOCATION	ru	Укажите месторасположение кнопки
895	DS.HP.PROP.BUTTON_ACTION	ru	<p>Выберите действие, которое будет выполняться при нажатии этой кнопки.</p>\r\n\r\n<p>Доступны следующие параметры:</p>\r\n\r\n<p><strong>Отправить страницу</strong></p>\r\n<p>Отправить текущую страницу со значением REQUEST, равным статическому идентификатору.</p>\r\n<p><strong>Перенаправить на страницу <strong></p>\r\n<p>Перенаправить на страницу в текущем приложении с необязательными дополнительными атрибутами для сброса нумерации страниц, установки значения запроса, очистки кеша и установки значений элемента на целевой странице.</p>\r\n<p><strong>Определено динамическим действием</strong></p>\r\n<p>Не отправляет страницу и не перенаправляет на другую страницу. Вместо этого поведение кнопки определяется динамическим действием.</p>
896	DS.HP.PROP.BUTTON_ITEM	ru	Выберите элемент которому будет принадлежать кнопка.
897	DS.HP.PROP.DEFAULT_VALUE_SQL	ru	Укажите запрос который должен вернуть значение по умолчанию для данного элемента. Значение будет взято из первой колонки первой строки, которую вернут запрос.
898	DS.HP.PROP.PROCESS_REQUEST	ru	<p>Укажите наименование запроса. Если указано то процесс будет выполняться только тогда когда значение глобальное переменной REQUEST будет соответствовать введенному значению.</p>\r\n<p>Имя переменной REQUEST автоматически проставляется равной статическому идентификатору кнопки в случае если страница была отправлена по нажатию на кнопку.</p>
899	DS.HP.PROP.PROCESS_ACCEPT_MODAL	ru	Укажите необходимо ли закрыть модальное окно после выполнения процесса
900	DS.HP.PROP.REGION_TOGGLE	en	Allow your users to toggle the visibility of a region's content on the page.
901	DS.HP.PROP.SEQUENCE	en	<p>Enter the display sequence for this item. The sequence and other layout settings determine where this item is displayed in relation to other items within the region.</p>\r\n\r\n<p>Note: If two items, within the same region, have the same sequence value then they may be displayed in a different order when the application is exported and imported into another environment, such as a test or production environment. To ensure consistency, we recommend you specify unique sequence numbers for every item, or at least for those within the same region.</p>
902	DS.HP.PROP.REGION_POSITION	en	<p>Specify the location of this region on the page. You can specify the following options as positions:</p>\r\n<p><strong>Top</strong></p>\r\n<p>The region will be located at the top of the screen. Regions with the type "Breadcrumbs" are great for this position.</p>\r\n<p><strong>Center</strong></p>\r\n<p>The region will be located in the body of the page. Base position to display content.</p>\r\n<p><strong>Left</strong></p>\r\n<p>The region will be located in an additional sidebar on the left side of the page</p>\r\n<p><strong>Right</strong></p>\r\n<p>The region will be located in an additional sidebar on the right side of the page</p>\r\n<p><strong>Footer</strong></p>\r\n<p>The region will be positioned at the bottom of the page. Position is great for placing buttons in a modal</p>
903	DS.HP.PROP.STATIC_ID	en	
904	DS.HP.PROP.REGION_TYPE	en	<p>Specify the region type. Specifies a set of presence options and special display properties.</p>
905	DS.HP.PROP.COMP_CLASS	en	\r\n<p>Specify the css class that will be passed to the region component. Required for component customization</p>
906	DS.HP.PROP.REGION_THEME	en	<p>Select a region theme. The theme presets region appearance settings</p>
907	DS.HP.PROP.REGION_CLASS	en	<p>Specify the css class that will be passed to the region. The specified classes will affect the appearance of the region, but not the component</p>
909	DS.HP.PROP.TREE_PKEY	en	Select the data source column containing the ID for a node. This is required to compute the hierarchy. Typically, a primary key column is chosen here.
910	DS.HP.PROP.ELEMENT_LOV_INPUT	en	Specify the variables needed to build the list of values
911	DS.HP.PROP.INPUT_MASK	en	Specify an input mask. The mask allows you to format user information in accordance with the way the developer intended.
912	DS.HP.PROP.DEFAULT_VALUE_TYPE	en	<p>Select the data source type for the default value</p>\r\n<p><strong>SQL</strong></p>\r\n<p>Write a query that will return the values for an element. The default value will be selected from the first column of the first row returned by the query</p>\r\n<p><strong>Static</strong></p>\r\n<p>Enter the value to be set as the default</p>\r\n<p><strong>Item</strong></p>\r\n<p>The default value will be taken from the value of the variable set in the session</p>
913	DS.HP.PROP.DEFAULT_VALUE	en	Specify element default value
914	DS.HP.PROP.TREE_FKEY	en	Select the data source column containing the value for the parent key of a node.
915	DS.HP.PROP.TREE_LABLE	en	Select the data source column containing the value for the node label.
1301	DS.LOV.GRID_COL_TYPE.ROW_ACTION	en	Action menu
916	DS.HP.PROP.PROCESS_TYPE	en	<p>Specify the process type. The type affects the order in which the code is called. XRAD provides the following types of processes:</p>\r\n<p><strong>Before page load</strong></p>\r\n<p>Processes of this kind are executed just before the page is loaded. Their main purpose is to prepare a window for user interaction (for example, fill form fields with values from the database)</p>\r\n<p><strong>Process</strong></p>\r\n<p>Processes of this kind are executed when a form is submitted to the server</p>\r\n<p><strong>Ajax Callback</strong></p>\r\n<p>Processes of this type are designed to interact with the database on demand from a JS script</p>
917	DS.HP.PROP.OUTPUT_PARAMETERS	en	Specify the name of the items. If the process needs to set the values of session variables, you must specify them in this field.
918	DS.HP.PROP.PROCESS_SUCCESS	en	Specify the message that will be displayed to the user on successful completion of the process. If a chain of processes is called, the last success message will be displayed.
919	DS.HP.PROP.ERROR_MESSAGE	en	Specify an error message.
920	DS.HP.PROP.INPUT_JS_SETTINGS	en	Specify additional settings for the element. The settings may differ depending on the type.
921	DS.HP.PROP.CLNDR_CSS_COLUMN	en	Select a data source type with information about customizing styles for the calendar entry.
922	DS.HP.PROP.CHANGED_BY	en	
923	DS.HP.PROP.CHANGED_AT	en	
924	DS.HP.PROP.CLNDR_DISP_COL	en	Select the data source column that contains the value for the name of the calendar entry.
925	DS.HP.PROP.PAGE_GROUP	en	Specify the group to which this page belongs.
926	DS.HP.PROP.REG_SOURCE_TYPE	en	Select the type of data source to display data in the region. The data source depends on the region component type.
927	DS.HP.PROP.SOURCE_SQL	en	Specify SQL to be executed.
928	DS.HP.PROP.SOURCE_INPUT	en	Specify the elements to be passed to the executable query as variables
929	DS.HP.PROP.ENABLE_SEARCH	en	Specify whether to display a search option for the report
930	DS.HP.PROP.ENABLE_PAGINATION	en	Specify whether it is necessary to display pagination for the report
931	DS.HP.PROP.ENABLE_HEADERS	en	Specify whether it is necessary to display the column names for the report
932	DS.HP.PROP.ROW_LIMIT	en	Specify a sampling limit on the number of rows for the report.
933	DS.HP.PROP.REPORT_APPEARANCE	en	<p>Select a report template.</p>\r\n<p><strong>Standard</strong></p>\r\n<p>Standard display of a report as a table with a set of rows and columns.</p>\r\n<p><strong>Column-value</strong></p>\r\n<p>Displaying the report as a table consisting of two lines: column name - value.</p>
934	DS.HP.PROP.COLUMN_NAME	en	Column name in SQL query
935	DS.HP.PROP.COLUMN_HEADING	en	Specify the display value of the report column name
936	DS.HP.PROP.COLUMN_TYPE	en	<p>Select column type</p>\r\n<p><strong>Text</strong></p>\r\n<p>Normal display of column value as text</p>\r\n<p><strong>Link</strong></p>\r\n<p>Select this item if you want to provide page navigation based on the column cell value</p>\r\n<p><strong>Hidden</strong></p>\r\n<p>The column will not be displayed in the resulting report. However, the values of this column will be available for substitution into other attributes of the report column settings</p>\r\n<p><strong>Checkbox</strong></p>\r\n<p>The column will be rendered as an html checkbox element. The value of this flag will be equal to the value of the column cell.</p>
937	DS.HP.PROP.LINK_TARGET	en	Provide a link
938	DS.HP.PROP.COLUMN_FORMAT	en	Specify an optional cell format for this column. The parameter takes html, and the cell value itself must be specified through #. Example: &lt;strong&gt;#empno#&lt;/strong&gt;
939	DS.HP.PROP.LINK_ICON	en	Specify an icon for the link
940	DS.HP.PROP.COLUMN_SORT	en	Specify whether the user can sort by this column
941	DS.HP.PROP.COLUMN_SEARCH	en	Specify whether the user can search on this column
942	DS.HP.PROP.COLUMN_ALIGNMENT	en	Specify the alignment of the cell value of the given column
943	DS.HP.PROP.FORMAT_MASK	en	Specify an option to format the value to display in the report. The parameter is passed as the second argument to the to_char function.
944	DS.HP.PROP.COLUMN_WIDTH	en	Specify column width in pixels
945	DS.HP.PROP.LABEL	en	Enter the field label for the page item. The label displays on the page only if the item displays.
946	DS.HP.PROP.REGION	en	Specify the parent region that this element belongs to
947	DS.HP.PROP.GRID_NEW_ROW	en	Specify whether this component displays on the next row after the previous component, or on the same row.
948	DS.HP.PROP.GRID_COLUMN_SPAN	en	Select a specific layout column. Use Automatic to automatically determine the next available layout column where the component displays.
949	DS.HP.PROP.VALUE_REQUIRED	en	If set to OТ - XRAD automatically performs a NOT NULL validation when the page is submitted.
950	DS.HP.PROP.ELEMENT_MAX_CHARACTERS	en	Enter the width of the form element to be used to display this item.
951	DS.HP.PROP.ELEMENT_VALUE_PLACEHOLDER	en	Enter hint text displayed in this item when no value for that item is entered. Once any text is entered into the item, the hint is removed.
1082	DS.PROPERTY.TREE_LINK	en	Link
952	DS.HP.PROP.ELEMENT_LOV	en	<p>Enter the SQL query definition to populate this list of values. Generally list of value queries are of the form:</p>\r\n<p>\r\nselect [display_value],\r\n             [return_value]\r\nfrom …\r\nwhere …\r\norder by ..\r\n</p>\r\n<p>Each column selected must have a unique name or alias.</p>
953	DS.HP.PROP.CLNDR_START_COL	en	Select the column which holds the start date for events displayed on this calendar.
954	DS.HP.PROP.CLNDR_HEIGHT	en	Specify the Height of the Component
955	DS.HP.PROP.CLNDR_END_COL	en	Select the column which holds the end date for events displayed on this calendar. If this attribute is specified, then the calendar displays duration based events.
956	DS.HP.PROP.CLNDR_SHOW_TIME	en	Select whether the time portion of the date should be displayed.
957	DS.HP.PROP.CLNDR_TOOLTIP	en	Select whether a tooltip is displayed when users hover over an event in this calendar
958	DS.HP.PROP.CLNDR_WEEKEND	en	Select whether Saturday and Sunday are displayed for this calendar.
959	DS.HP.PROP.CLNDR_VIEW_LINK	en	Enter a target page to be called when the user clicks an existing entry.
960	DS.HP.PROP.CLNDR_VIEWS	en	Select which calendar views to display
1096	DS.PROPERTY.HTTP_HEADERS	ru	HTTP заголовки
961	DS.HP.PROP.DEFAULT_VALUE_INPUT	en	Specify the elements to be passed to the executable query as variables
962	DS.HP.PROP.CONDITION_TYPE	en	Select a condition type that must be met in order for this component to be rendered or processed
963	DS.HP.PROP.CONDITION_FIRST_SQL	en	Specify a query to fulfill the conditions
964	DS.HP.PROP.CONDITION_FIRST_INPUT	en	Specify the elements to be passed to the executable query as variables
965	DS.HP.PROP.CONDITION_SECOND	en	
966	DS.HP.PROP.CONDITION_SECOND_INPUT	en	
967	DS.HP.PROP.LIST_SELECTOR	en	Select a list to generate values for this component
968	DS.HP.PROP.PARENT_REGION	en	Select the parent position for this component
969	DS.HP.PROP.ITEM_TYPE	en	Select item type
970	DS.HP.PROP.READ_ONLY_TYPE	en	Select the type of condition that must be met for this component to be rendered read-only.
971	DS.HP.PROP.READ_ONLY_FIRST_SQL	en	Specify a query to fulfill the conditions
972	DS.HP.PROP.READ_ONLY_FIRST_INPUT	en	Specify the elements to be passed to the executable query as variables
973	DS.HP.PROP.READ_ONLY_SECOND	en	
974	DS.HP.PROP.READ_ONLY_SECOND_INPUT	en	
975	DS.HP.PROP.CONDITION_FIRST_ITEM	en	Specify the element that must satisfy the condition
976	DS.HP.PROP.BUTTON_POSITION_REGION	en	Select the location of the button within the region
977	DS.HP.PROP.BUTTON_POSITION_ITEM	en	Select the element that the button will belong to.
978	DS.HP.PROP.BUTTON_LOCATION	en	Specify the location of the button
979	DS.HP.PROP.BUTTON_ACTION	en	<p>Select the action to be performed when this button is clicked.</p>\r\n\r\n<p>Available options include:</p>\r\n\r\n<p><strong>Submit Page</strong></p>\r\n<p>Submit the current page with a REQUEST value equal to the Static ID.</p>\r\n<p><strong>Redirect to Page <strong></p>\r\n<p>Redirect to a page in the current application, with optional additional attributes for resetting pagination, setting the request value, clearing cache and setting item values, on the target page.</p>\r\n<p><strong>Defined by Dynamic Action</strong></p>\r\n<p>Does not submit the page or redirect to another page. Instead the button's behavior is defined by a Dynamic Action.</p>
980	DS.HP.PROP.BUTTON_ITEM	en	Select the element that the button will belong to.
981	DS.HP.PROP.DEFAULT_VALUE_SQL	en	Specify the query that should return the default value for this element. The value will be taken from the column of the first first row returned by the query.
982	DS.HP.PROP.PROCESS_REQUEST	en	<p>Specify a name for the request. If specified, the process will be executed only when the value of the global REQUEST variable matches the entered value.</p>\r\n<p>The variable name REQUEST is automatically set equal to the button's static identifier if the page was submitted by clicking the button.</p>
983	DS.HP.PROP.PROCESS_ACCEPT_MODAL	en	Specify whether to close the modal window after the process is completed
984	DS.HP.PROP.DE_TRIGGER_TYPE	ru	<p>Выберите тип элемента страницы, который будут использоваться для запуска события.</p>\r\n<p><strong>Элемент формы</strong></p>\r\n<p>Событие запускается одним или несколькими элементами формы</p>\r\n<p><strong>Регион</strong></p>\r\n<p>Событие будет запущено в регионе</p>\r\n<p><strong>Кнопка</strong></p>\r\n<p>Событие активируется кнопкой</p>\r\n<p><strong>Страница<strong></p>\r\n<p>Событие глобально прослушивается на странице</p>\r\n<p><strong>Селектор JS</strong></p>\r\n<p>Введите селектор JS возвращающий элементы, которые будут вызывать событие</p>
985	DS.HP.PROP.DE_TRIGGER_ITEM	ru	Введите элементы страницы или приложения, чтобы вызвать динамическое действие. Для нескольких элементов разделите каждое имя элемента запятой. Вы можете ввести имя или выбрать из списка доступных элементов. Если вы выбираете из списка, а текст уже введен, в конце существующего текста ставится запятая, за которой следует имя элемента, возвращаемое из списка.
986	DS.HP.PROP.DE_TRIGGER_REGION	ru	Выберите регион, который запускает динамическое действие.
987	DS.HP.PROP.DE_TRIGGER_BUTTON	ru	Выберите кнопку, которая должна вызвать динамическое действие.
988	DS.HP.PROP.DE_TRIGGER_SELECTOR	ru	Введите селектор JavaScript, который вернёт один или несколько элементов страницы для запуска динамического действия.
989	DS.HP.PROP.DE_BIND_EVENT_TYPE	ru	Укажите событие, которое вызывает срабатывание динамического действия
990	DS.HP.PROP.DA_EVENT_SELECTOR	ru	Выберите соответствующее событие динамического действия из доступного списка.
991	DS.HP.PROP.DA_INIT_ON_LOAD	ru	Укажите, срабатывает ли действие при загрузке страницы.
992	DS.HP.PROP.DA_CODE	ru	Введите любой пользовательский код JavaScript, относящийся к странице или динамическому действию.
993	DS.HP.PROP.QUERY_COLUMN_ID	ru	Позиционный номер колонки в запросе
994	DS.HP.PROP.CONDITION_FIRST_SQL_EXPR	ru	Введите выражение SQL для этого условия.
995	DS.HP.PROP.REGION_SHOW_HEADER	ru	Выберите если необходимо выводить заголовок региона
996	DS.HP.PROP.BUTTON_CLASS	ru	Введите классы CSS для модификации внешнего вида кнопки
1032	DS.HP.PROP.DE_TRIGGER_ITEM	en	Enter page or application items to trigger the dynamic action. For multiple items, separate each item name with a comma. You can type in the name or pick from the list of available items. If you pick from the list and there is already text entered, a comma is placed at the end of the existing text, followed by the item name returned from the list.
1033	DS.HP.PROP.DE_TRIGGER_REGION	en	Select region that triggers the dynamic action.
1034	DS.HP.PROP.DE_TRIGGER_BUTTON	en	Select the button to trigger the dynamic action.
997	DS.HP.PROP.VALIDATION_TYPE	ru	<p>Выберите тип условия, которое должено выполняться для данной проверки. В зависимости от типа потребуется указать один или несколько дополнительных атрибутов.</p>\r\n<p>Если условие проверки возвращает TRUE, то сообщение об ошибке не отображается. Сообщения об ошибках отображаются, когда проверка не проходит условие.</p>\r\n<p>Сбой проверки не останавливает выполнение последующих проверок, поэтому каждая последующая проверка может вызвать дополнительное сообщение об ошибке. Если вы хотите остановить выполнение последующих проверок, вам нужно добавить дополнительную логику в первую неудачную проверку, например, установить для элемента страницы определенное значение, а затем при необходимости изменить условие выполнения проверки. Последующие процессы и переходы на страницы не выполняются, если одна или несколько проверок вернут ошибку.</p>
998	DS.HP.PROP.VALIDATION_FIRST_SQL	ru	Укажите запрос для выполнения условий
999	DS.HP.PROP.VALIDATION_FIRST_ITEM	ru	Укажите элемент который должен удовлетворять условие
1000	DS.HP.PROP.VALIDATION_FIRST_SQL_BOOL	ru	Введите выражение SQL для данной проверки.
1001	DS.HP.PROP.VALIDATION_FIRST_INPUT	ru	Укажите элементы которые необходимо передать в исполняемый запрос в качестве переменных
1002	DS.HP.PROP.VALIDATION_SECOND_VALUE	ru	Укажите значение которое должен принимать элемент указанный в условии проверки
1003	DS.HP.PROP.VALIDATION_ASSOC_ITEM	ru	Выберите элемент рядом с которым будет отображаться сообщение об ошибке, в случае если проверка не пройдет. Если элемент не выбран ошибка будет отображаться в сплывающем окне.
1004	DS.HP.PROP.PROCESS_COMMIT	ru	Выберите если необходимо вызывать COMMIT после успешного завершения процесса. После вызова COMMIT все изменения внесенные в базу процессами, которые выполнялись до этого процесса, будут записаны в базу. После чего XRAD откроет новую транзакицю для выполнения последующих процессов. 
1005	DS.HP.PROP.SOURCE_TEXT	ru	Введите текст который будет отображаться в данному регионе. 
1006	DS.HP.PROP.REPORT_NO_DATA	ru	Введите сообщение, которе будет отображаться пользователю в случае, если отчет не вернет ни одной строки
1007	DS.HP.PROP.READ_ONLY_FIRST_ITEM	ru	Укажите элемент который должен удовлетворять условие
1008	DS.HP.PROP.READ_ONLY_FIRST_SQL_EXPR	ru	Введите выражение SQL для данного условия.
1009	DS.HP.PROP.COLUMN_ASSOC_ITEM	ru	Укажите элемент который будет содержать в себе значение выбранных значений в отчете. Значения будут разделены двоеточием.
1010	DS.HP.PROP.BRANCH_TYPE	ru	Выберите тип перехода страницы для выполнения.
1011	DS.HP.PROP.BRANCH_POINT	ru	<p>Выберите место выполнения перехода.</p>\r\n<p><strong>Перед загрузкой страницы</strong></p>\r\n<p>Переход  будет выполнени перед загрузкой страницы. Данный пункт удобно использовать в случае если необходимо реализовать перенаправления пользователя в зависимости от каких либо условий</p>\r\n<p><strong>После обработки</strong></p>\r\n<p>Перенаправление будет вызвано полсе завершения выполнения процессов.</p>\r\n
1012	DS.HP.PROP.SOURCE_SQL_EXT	ru	Введите запрос который послужит источником данных для данного компонента. В зависмости от компонента запрос должен иметь определенные поля. См. руководство XRAD.
1013	DS.HP.PROP.CHART_TYPE	ru	<p>Выберите тип диаграммы.</p>\r\n<p><strong>Столбчатая - Вертикальная / Столбчатая - Горизонтальная</strong></p>\r\n<p>Удобны для сравнения значений по категориям или во времени.</p>\r\n<p><strong>Кольцевая</strong></p>\r\n<p>Кольцевые диаграммы представляют собой круговую диаграмму с отверстием посередине. Они полезны для визуализации частей целого.</p>\r\n<p><strong>Линейная</strong></p>\r\n<p>Линейные диаграммы удобны для визуализации тенденций в наборе значений во времени и сравнения этих значений по рядам.</p>\r\n<p><strong>Диаграмма с областями</strong></p>\r\n<p>Диаграммы с областями полезны для сравнения трендов совокупных значений во времени, например, разбивки трендов продаж.</p>
1014	DS.HP.PROP.CHART_WIDTH	ru	Укажите ширину графика в пикселях
1031	DS.HP.PROP.DE_TRIGGER_TYPE	en	<p>Select the type of page element that will be used to trigger the event.</p>\r\n<p><strong>Item(s)</strong></p>\r\n<p>The event is fired by one or more items</p>\r\n<p><strong>Region</strong></p>\r\n<p>The event will be fired in the region</p>\r\n<p><strong>Button</strong></p>\r\n<p>The event is activated on button</p>\r\n<p><strong>Page<strong></p>\r\n<p>The event is globally listened to on the page</p>\r\n<p><strong>JS selector</strong></p>\r\n<p>Enter a JS selector that returns the elements that will fire the event</p>
1035	DS.HP.PROP.DE_TRIGGER_SELECTOR	en	Enter a JavaScript selector that will return one or more page elements to trigger the dynamic action.
1097	DS.PROPERTY.HTTP_HEADERS	en	HTTP headers
1036	DS.HP.PROP.DE_BIND_EVENT_TYPE	en	Specify the event that causes the dynamic action to fire.
1037	DS.HP.PROP.DA_EVENT_SELECTOR	en	Select the appropriate dynamic action event from the available list.
1038	DS.HP.PROP.DA_INIT_ON_LOAD	en	Specify if the action fires on page load.
1039	DS.HP.PROP.DA_CODE	en	Enter any custom JavaScript that is specific to the page or dynamic action.
1040	DS.HP.PROP.QUERY_COLUMN_ID	en	Position number of the column in the query
1041	DS.HP.PROP.CONDITION_FIRST_SQL_EXPR	en	Enter a SQL Expression for this condition.
1042	DS.HP.PROP.REGION_SHOW_HEADER	en	Select if you want to display the region title
1043	DS.HP.PROP.BUTTON_CLASS	en	Enter CSS classes to modify button appearance
1044	DS.HP.PROP.VALIDATION_TYPE	en	<p>Select the type of condition that must be met for this validation. Depending on the type, you will need to specify one or more additional attributes.</p>\r\n<p>If the validation condition returns TRUE, no error message is displayed. Error messages are displayed when a validation fails a condition.</p>\r\n<p>A validation failure does not stop subsequent validations from running, so each subsequent validation may generate an additional error message. If you want to stop subsequent checks from executing, you need to add additional logic to the first failed validation, such as setting a page element to a specific value and then changing the check execution condition if necessary. Subsequent processes and page transitions fail if one or more checks return an error.</p>
1045	DS.HP.PROP.VALIDATION_FIRST_SQL	en	Specify a query to fulfill the conditions
1046	DS.HP.PROP.VALIDATION_FIRST_ITEM	en	Specify the element that must satisfy the condition
1047	DS.HP.PROP.VALIDATION_FIRST_SQL_BOOL	en	Enter a SQL expression to define this validation.
1048	DS.HP.PROP.VALIDATION_FIRST_INPUT	en	Specify the element that must satisfy the condition
1049	DS.HP.PROP.VALIDATION_SECOND_VALUE	en	Specify the value that the element specified in the validation condition should take
1050	DS.HP.PROP.VALIDATION_ASSOC_ITEM	en	Select the element next to which an error message will be displayed if the check fails. If the element is not selected an error will be displayed in a toast message.
1051	DS.HP.PROP.PROCESS_COMMIT	en	Select if you want to call COMMIT after the process has successfully terminated. After calling COMMIT, all changes made to the database by the processes that were running before this process will be written to the database. After that, XRAD will open a new transaction for the execution of subsequent processes.
1052	DS.HP.PROP.SOURCE_TEXT	en	Enter the text source for this component.
1053	DS.HP.PROP.REPORT_NO_DATA	en	Enter the message to be displayed to the user if the report returns no rows
1054	DS.HP.PROP.READ_ONLY_FIRST_ITEM	en	Specify the element that must satisfy the condition
1055	DS.HP.PROP.READ_ONLY_FIRST_SQL_EXPR	en	Enter a SQL expression to define this condition.
1056	DS.HP.PROP.COLUMN_ASSOC_ITEM	en	Specify item that will contain the value of the selected values in the report. The values will be separated by a colon.
1057	DS.HP.PROP.BRANCH_TYPE	en	Select the type of page branch to perform.
1058	DS.HP.PROP.BRANCH_POINT	en	<p>Select at what point in page rendering or processing this branch is executed.</p>\r\n<p><strong>Before page load</strong></p>\r\n<p>Refirect will be executed before the page is loaded. This point is convenient to use if it is necessary to implement user redirects depending on any conditions</p>\r\n<p><strong>After processing</strong></p>\r\n<p>The redirect will be called when the processes have finished executing.</p>
1059	DS.HP.PROP.SOURCE_SQL_EXT	en	Enter a query that will serve as a data source for this component. Depending on the component, the request must have certain fields. See the XRAD manual.
1060	DS.HP.PROP.CHART_TYPE	en	<p>Select a chart type.</p>\r\n<p><strong>Bar - Vertical / Bar - Horizontal</strong></p>\r\n<p>Useful for comparing values across categories or over time.</p>\r\n<p><strong>Donut</strong></p>\r\n<p>Donut charts are a pie chart with a hole in the middle. They are useful for visualizing parts of a whole.</p>\r\n<p><strong>Linear</strong></p>\r\n<p>Line charts are useful for visualizing trends in a set of values over time and comparing those values across series.</p>\r\n<p><strong>Area</strong></p>\r\n<p>Area charts are useful for comparing trends in cumulative values over time, such as breaking down sales trends.</p>
1061	DS.HP.PROP.CHART_WIDTH	en	Specify the width of the chart in pixels
1062	DS.HP.PROP.CHART_HEIGHT	en	Specify the height of the chart in pixels
1063	DS.HP.PROP.CHART_CATEG_COL	en	Specify column for x-axis
1064	DS.HP.PROP.CHART_DYN_LOAD	en	Specify if it is necessary to load the chart only when the refresh event is called
1065	DS.HP.PROP.CHART_SER_VAL_COL	en	Specify Column for Y-Axis Values
1066	DS.HP.PROP.CARDS_THEME	en	Select a theme to display maps. The theme defines the look.
1067	DS.HP.PROP.CARDS_COLS	en	Specify the number of cards on one line
1068	DS.HP.PROP.WIZARD_CLICKABLE	en	Specify if you want to navigate between steps on click
1069	DS.HP.PROP.WIZARD_LABEL	en	Specify if you want to display labels of the steps
1070	DS.HP.PROP.WIZARD_ORIENTATION	en	Choose the direction in which the steps will be located
1071	DS.HP.PROP.DWNLD_FNAME_COL	en	Specify a column containing the file name
1072	DS.HP.PROP.DWNLD_FCONT_COL	en	Specify the column containing the file itself
1086	DS.HP.PROP.TREE_LINK	ru	Укажите ссылку. Пользователь будет перенаправлен по ссылке, когда нажмет на узел дерева.
1087	DS.HP.PROP.TREE_LINK	en	Enter a link. The user will be redirected to the link when they click on the tree node.
1088	DS.HP.PROP.TREE_LINK_COL	ru	Выберите столбец, содержащий значения для ссылки. Пользователь будет перенаправлен по ссылке , когда нажмет на узел дерева.
1089	DS.HP.PROP.TREE_LINK_COL	en	Select the column containing the values ​​for the link. The user will be redirected to the link when they click on the tree node.
92	DS.LOV.PROCESS_TYPE.SHOW	en	Before page load
1090	PE.DISPLAY_GROUP.RESPONSE_HANDLER	ru	Обработка ответа
1091	PE.DISPLAY_GROUP.RESPONSE_HANDLER	en	Response Handler
1092	DS.PROPERTY.REST_URL	ru	URL
1093	DS.PROPERTY.REST_URL	en	URL
1094	DS.PROPERTY.REST_METHOD	ru	HTTP-метод
1098	DS.PROPERTY.REST_QUERY_PARS	ru	Параметры запроса URL
1099	DS.PROPERTY.REST_QUERY_PARS	en	URL Query Parameters
1100	DS.PROPERTY.REST_PAYLOAD_TYPE	ru	Тип тела запроса
1101	DS.PROPERTY.REST_PAYLOAD_TYPE	en	Payload type
1102	DS.PROPERTY.REST_PAYLOAD_PARS	ru	Параметры запроса
1103	DS.PROPERTY.REST_PAYLOAD_PARS	en	Payload parameters
1104	DS.PROPERTY.REST_RESP_TYPE	ru	Обработка ответа
1105	DS.PROPERTY.REST_RESP_TYPE	en	Response processing
1106	DS.PROPERTY.REST_RESP_PARS	ru	Назначение переменных
1107	DS.PROPERTY.REST_RESP_PARS	en	Variable Assignment
1108	DS.PROPERTY.REST_RESP_SOURCE	ru	Обработка в SQL
1109	DS.PROPERTY.REST_RESP_SOURCE	en	SQL Handler
1110	DS.PROPERTY.REST_RESP_SOURCE_INPUT	ru	Входные параметры
1111	DS.PROPERTY.REST_RESP_SOURCE_INPUT	en	Input parameters
1112	DS.PROPERTY.REST_RESP_OUTPUT	ru	Выходные параметры
1113	DS.PROPERTY.REST_RESP_OUTPUT	en	Output parameters
1114	DS.LOV.PAYLOAD_TYPE.NONE	ru	Отсутствует
1115	DS.LOV.PAYLOAD_TYPE.NONE	en	None
1116	DS.LOV.PAYLOAD_TYPE.STATIC	ru	Статичное значение
1117	DS.LOV.PAYLOAD_TYPE.STATIC	en	Static
1118	DS.LOV.PAYLOAD_TYPE.FORM_ENCODED	ru	Form-encoded
1119	DS.LOV.PAYLOAD_TYPE.FORM_ENCODED	en	Form-encoded
1120	DS.LOV.PAYLOAD_TYPE.SQL	ru	SQL
1121	DS.LOV.PAYLOAD_TYPE.SQL	en	SQL
1122	DS.LOV.REST_RESP_TYPE.NONE	ru	Отсутствует
1123	DS.LOV.REST_RESP_TYPE.NONE	en	None
1124	DS.LOV.REST_RESP_TYPE.VALUES	ru	Назначить переменные
1125	DS.LOV.REST_RESP_TYPE.VALUES	en	Assign values
1126	DS.LOV.REST_RESP_TYPE.SQL	ru	SQL обработчик
1127	DS.LOV.REST_RESP_TYPE.SQL	en	SQL handler
1128	DS.PROPERTY.RPT_GEN_COLS	en	Use Generic Columns
1129	DS.PROPERTY.RPT_GEN_COLS	ru	Колонки вручную
1130	DS.PROPERTY.RPT_GEN_COLS_CNT	en	Generic Columns Count
1131	DS.PROPERTY.RPT_GEN_COLS_CNT	ru	Количество колонок
824	DS.HP.PROP.REGION_TOGGLE_ACTIVE	ru	Определяет состояние региона при открытии страницы. Если выбрано то регион будет отображаться в развернутом состоянии.
908	DS.HP.PROP.REGION_TOGGLE_ACTIVE	en	Specifies the state of the region when the page is opened. If selected, the region will be displayed in a collapsed state
1132	DS.HP.PROP.REST_URL	ru	Укажите URL-адрес для выполнения запроса. URL необходимо указывать полностью включая протокол.
1133	DS.HP.PROP.REST_URL	en	Specify the URL to make the request. The URL must be specified in full, including the protocol.
1134	DS.HP.PROP.REST_METHOD	ru	Выберите HTTP метод для запроса
1135	DS.HP.PROP.REST_METHOD	en	Select the HTTP method for the request
1136	DS.HP.PROP.HTTP_HEADERS	ru	Укажите заголовки HTTP. Заголовки могут включать в себя статические значения, а также принимать значения элементов формы.
1137	DS.HP.PROP.HTTP_HEADERS	en	Specify HTTP headers. Headers can be set with static or item values.
1138	DS.HP.PROP.REST_QUERY_PARS	ru	Укажите параметра запроса, которые будут добавлены в URL
1139	DS.HP.PROP.REST_QUERY_PARS	en	Specify the query parameters to be added to the URL
1140	DS.HP.PROP.REST_PAYLOAD_TYPE	ru	Выберите тип тела запроса
1141	DS.HP.PROP.REST_PAYLOAD_TYPE	en	Select request body type
1142	DS.HP.PROP.REST_PAYLOAD_PARS	ru	Укажите параметры запроса. Параметры будут добавлены в тело запроса в качестве ключа значения (x-www-form-urlencoded).
1143	DS.HP.PROP.REST_PAYLOAD_PARS	en	Specify query parameters. The parameters will be added to the request body as a key-value pairs (x-www-form-urlencoded).
1144	DS.HP.PROP.REST_RESP_TYPE	ru	Выберите тип обработчика ответа сервиса
1145	DS.HP.PROP.REST_RESP_TYPE	en	Select the type of service response handler
1250	DS.PROPERTY.GRID_ROW_VERSION_COL	ru	Колонка с версией строки
1251	DS.PROPERTY.GRID_ADD_ROW_ON_EMPTY	ru	Добавить строку вначале
1252	DS.PROPERTY.GRID_INSER_AUTH	ru	Вставка
1253	DS.PROPERTY.GRID_UPDATE_AUTH	ru	Обновление
1254	DS.PROPERTY.GRID_DELETE_AUTH	ru	Удаление
1146	DS.HP.PROP.REST_RESP_PARS	ru	<p>Для обработки ответа в формет JSON укажите соответствие элементов формы и элементов JSON.<p><p>В качестве аргумента обработчика ответа можно указать путь JMES. В случае если путь вернет просто значение json (строка,число,булево значение) элемент будет содержать это значение. Если JMES путь возвращает составное значение (объект или массив) в элемент будет передано вернувшееся значение в формате JSON</p>
1147	DS.HP.PROP.REST_RESP_PARS	en	<p>To process the response in JSON format, match form elements to JSON elements.<p><p>You can specify a JMES path as an argument to the response handler. If the path returns simple json value (string, number, boolean), the element will contain this value. If the JMES path returns a composite value (object or array), the returned value will be passed to the element in JSON format</p>
1148	DS.HP.PROP.REST_RESP_SOURCE	ru	Введите SQL обработчик
1149	DS.HP.PROP.REST_RESP_SOURCE	en	Enter SQL Handler
1295	DS.LOV.GRID_COL_TYPE.RADIOS	ru	Радиокнопки
1296	DS.LOV.GRID_COL_TYPE.SELECT_LIST	ru	Список
1150	DS.HP.PROP.REST_RESP_SOURCE_INPUT	ru	<p>Укажите позиционные параметры запроса.<p>\r\n<p><strong>Тело ответа</strong></p>\r\n<p>В качестве параметра будет передано тело ответа в исходном виде. Подходит для параметров с типом JSON,JSONB,TEXT,BYTEA.</p>\r\n<p><strong>JMES пуит</strong></p>\r\n<p>Только для ответа в формате JSON. В случае если путь вернет просто значение json (строка,число,булево значение) в парметр будет передано это значение. Если JMES путь возвращает составное значение (объект или массив) в элемент будет передано вернувшееся значение в формате JSON</p>\r\n<p><strong>Статичное значение</strong></p>\r\n<p>Введите значения для подстановки в качестве параметра</p>\r\n<p><strong>Значение элемента формы</strong></p>\r\n<p>Укажите элемент формы для подстановки его значения в качестве параметра</p>
1151	DS.HP.PROP.REST_RESP_SOURCE_INPUT	en	<p>Specify positional query parameters.<p>\r\n<p><strong>Response Body</strong></p>\r\n<p>The body of the response in its original form will be passed as a parameter. Suitable for parameters with type JSON,JSONB,TEXT,BYTEA.</p>\r\n<p><strong>JMES Puit</strong></p>\r\n<p>For JSON response only. If the path returns simple json value (string, number, boolean value), this value will be passed to the parameter. If the JMES path returns a composite value (object or array), the returned value in JSON format will be passed to the parameter</p>\r\n<p><strong>Static value</strong></p>\r\n<p>Enter the values to pass it as a parameter</p>\r\n<p><strong>Form element value</strong></p>\r\n<p>Specify an item to pass its value as a parameter</p>
1152	DS.HP.PROP.REST_RESP_OUTPUT	ru	Укажите выходные параметры
1153	DS.HP.PROP.REST_RESP_OUTPUT	en	Specify an output value
1154	DS.PROPERTY.CHAT_HEIGHT	en	Height
1155	DS.PROPERTY.CHAT_HEIGHT	ru	Высота
1156	DS.PROPERTY.CHAT_MAX_HEIGHT	en	Max Height
1157	DS.PROPERTY.CHAT_MAX_HEIGHT	ru	Макс. высота
1158	DS.HP.PROP.CHAT_HEIGHT	ru	Укажите высоту компонента
1159	DS.HP.PROP.CHAT_HEIGHT	en	Specify height of the component
1160	DS.HP.PROP.CHAT_MAX_HEIGHT	ru	Укажите максимальную высоту компонента
1161	DS.HP.PROP.CHAT_MAX_HEIGHT	en	Specify maximum height of the component
1162	DS.PROPERTY.ITEM_TOOLTIP	ru	Подсказка
1163	DS.PROPERTY.ITEM_TOOLTIP	en	Tooltip
1165	DS.HP.PROP.ITEM_TOOLTIP	en	Enter a hint that will be displayed to the user
1164	DS.HP.PROP.ITEM_TOOLTIP	ru	Введите подсказку, которая будет отображаться пользователю
1166	DS.PROPERTY.REPORT_STRIPES	ru	Зебра
1167	DS.PROPERTY.REPORT_STRIPES	en	Stripes
1168	DS.HP.PROP.REPORT_STRIPES	ru	Укажите необходимо ли выводить строки таблицы "зеброй", когда четные и нечетные строки выделены разным цветом
1169	DS.HP.PROP.REPORT_STRIPES	en	Specify whether the table rows should alternate rows, when even and odd rows highlighted in different colors.
1170	DS.PROPERTY.REPORT_HOVER	ru	Подсветка
1171	DS.PROPERTY.REPORT_HOVER	en	Hover
1172	DS.HP.PROP.REPORT_HOVER	ru	Укажите необходимо ли подсвечивать строку при наведении
1173	DS.HP.PROP.REPORT_HOVER	en	Specify whether the line should be highlighted on hover
1178	DS.PROPERTY.REPORT_ROW_BORDER	ru	Границы строк
1179	DS.PROPERTY.REPORT_ROW_BORDER	en	Row Border
1180	DS.HP.PROP.REPORT_ROW_BORDER	ru	Укажите необходимо ли добавить границы, разделяющие строки
1181	DS.HP.PROP.REPORT_ROW_BORDER	en	Specify whether to add row borders
1182	DS.PROPERTY.REPORT_HEAD_WRAP	ru	Перенос строк в заголовке
1183	DS.PROPERTY.REPORT_HEAD_WRAP	en	Head Text Wrap
1184	DS.HP.PROP.REPORT_HEAD_WRAP	ru	Укажите необходимо переносить текст в наименовании столбца на новую строку
1185	DS.HP.PROP.REPORT_HEAD_WRAP	en	Specify whether the text in the column name should be wrapped
1186	DS.PROPERTY.REPORT_CELL_WRAP	ru	Перенос строк в ячейке
1187	DS.PROPERTY.REPORT_CELL_WRAP	en	Cell Text Wrap
1177	DS.HP.PROP.REPORT_CELL_PADDING	en	Specify whether it is necessary to add padding in cells
1176	DS.HP.PROP.REPORT_CELL_PADDING	ru	Укажите необходимо ли добавить отсутупы в ячейках
1188	DS.HP.PROP.REPORT_CELL_WRAP	ru	Укажите необходимо переносить текст в ячейках на новую строку
1189	DS.HP.PROP.REPORT_CELL_WRAP	en	Specify whether the text in cells should be wrapped
1175	DS.PROPERTY.REPORT_CELL_PADDING	en	Cell Padding
1174	DS.PROPERTY.REPORT_CELL_PADDING	ru	Отступ в ячейках
1190	DS.PROPERTY.REPORT_DOWNLOAD	en	Enable Download
1191	DS.PROPERTY.REPORT_DOWNLOAD	ru	Разрешить выгрузку
1192	DS.PROPERTY.CSV_SEPARATOR	en	CSV Separator
1194	DS.PROPERTY.CSV_SEPARATOR	ru	Разделитель CSV
1196	DS.PROPERTY.CSV_ENCODING	en	Encoding
1197	DS.PROPERTY.CSV_ENCODING	ru	Кодировка
1195	DS.PROPERTY.CSV_DOWNLOAD_NAME	ru	Имя файла
1193	DS.PROPERTY.CSV_DOWNLOAD_NAME	en	File Name
1198	DS.HP.PROP.CSV_ENCODING	ru	Укажите кодировку в которой будет сформирован CSV файл
1199	DS.HP.PROP.CSV_ENCODING	en	Specify the encoding in which the CSV file will be generated
1297	DS.LOV.GRID_COL_TYPE.MULTISELECT	ru	Множественный выбор
1298	DS.LOV.GRID_COL_TYPE.ROW_SELECTOR	ru	Выбор строк
1299	DS.LOV.GRID_COL_TYPE.ROW_SELECTOR	en	Row selector
1300	DS.LOV.GRID_COL_TYPE.ROW_ACTION	ru	Меню действий
1200	DS.HP.PROP.CSV_DOWNLOAD_NAME	ru	Введите имя файла документа при загрузке. Не указывайте расширение файла. Расширение добавляется автоматически. Если вы оставите этот атрибут пустым, в качестве имени файла будет использоваться статический идентификатор региона.
1202	DS.HP.PROP.CSV_DOWNLOAD_NAME	en	Enter the filename for the document when downloaded. Do not specify a file extension. The extension is added automatically. If you leave this attribute blank, the region static ID is used as the file name.\r\n
1203	DS.HP.PROP.CSV_SEPARATOR	ru	Введите символ, который будет использован в качестве разделителя колонок. Если поле пустое - по умолчанию будет использован символ точки с запятой.
1204	DS.HP.PROP.CSV_SEPARATOR	en	Enter the character to be used as the column separator. If the field is empty, the semicolon character will be used by default.
1206	DS.HP.PROP.REPORT_DOWNLOAD	ru	Укажите будет ли доступен пользователю функционал для выгрузки отчета в файл.
1207	DS.HP.PROP.REPORT_DOWNLOAD	en	Specify whether the functionality for downloading a report to a file will be available to the user.
1208	DS.PROPERTY.LINK_TITLE_ATR	en	Link Title
1210	DS.PROPERTY.LINK_CLASS_ATR	en	Link Classes
1209	DS.PROPERTY.LINK_TITLE_ATR	ru	Атрибут title
1212	DS.PROPERTY.LINK_TARGET_ATR	en	Link Target
1213	DS.PROPERTY.LINK_TARGET_ATR	ru	Атрибут target
1211	DS.PROPERTY.LINK_CLASS_ATR	ru	Атрибут class
1214	DS.HP.PROP.LINK_TITLE_ATR	ru	Введите значение для атрибута title ссылки. 
1215	DS.HP.PROP.LINK_TITLE_ATR	en	Enter a value for the title attribute of the link.
1216	DS.HP.PROP.LINK_CLASS_ATR	ru	Введите дополнительные классы CSS для ссылки.
1218	DS.HP.PROP.LINK_CLASS_ATR	en	Enter additional CSS classes for the link.
1219	DS.HP.PROP.LINK_TARGET_ATR	ru	Введите значение атрибута target ссылки.
1220	DS.HP.PROP.LINK_TARGET_ATR	en	Enter a value for the target attribute of the link.
1221	DS.LOV.BRANCH_TYPE.FUNCITON	en	Function Returning URL
1222	DS.LOV.BRANCH_TYPE.FUNCITON	ru	Функция возвращающая URL
1223	DS.PROPERTY.REGION_STORE_STATE	en	Store State
1226	DS.HP.PROP.REGION_STORE_STATE	en	Specify this parameter so that the application remembers the user-selected tab. When entering the page, the last tab selected by the user will be displayed.
1225	DS.HP.PROP.REGION_STORE_STATE	ru	Укажите данный параметр для того чтобы приложение запомнило выбранную пользователем вкладку. При заходе на страницу будет отображаться последняя выбранная пользователем вкладка.
1224	DS.PROPERTY.REGION_STORE_STATE	ru	Запомнить состояние
1227	DS.PROPERTY.CHAT_SCROLL_BOTTOM	en	Scroll to Bottom
1228	DS.PROPERTY.CHAT_SCROLL_BOTTOM	ru	Прокрутить вниз
1229	DS.HP.PROP.CHAT_SCROLL_BOTTOM	en	Set this property if you need to display messages that are at the very bottom of the chat.
1230	DS.HP.PROP.CHAT_SCROLL_BOTTOM	ru	Установите данное свойство если необходимо отобразить сообщения которые находятся в самом низу чата.
1231	DS.PROPERTY.GRID_ENABLE_EDIT	en	Enabled
1232	DS.PROPERTY.GRID_EDIT_OPERS	en	Allowed Operations
1233	DS.PROPERTY.GRID_OPER_COLUMN	en	Row Operations Column
1234	DS.PROPERTY.GRID_LOST_UPDATE_TYPE	en	Lost Update Type
1235	DS.PROPERTY.GRID_ROW_VERSION_COL	en	Row Version Column
1236	DS.PROPERTY.GRID_ADD_ROW_ON_EMPTY	en	Add Row If Empty
1237	DS.PROPERTY.GRID_INSER_AUTH	en	Insert
1238	DS.PROPERTY.GRID_UPDATE_AUTH	en	Update
1239	DS.PROPERTY.GRID_DELETE_AUTH	en	Delete
1240	DS.PROPERTY.GRID_LAZY_LOADING	en	Lazy Loading
1241	DS.PROPERTY.GRID_NULL_VALUES	en	Show Null Values As
1242	DS.PROPERTY.GRID_SELECT_FIRST	en	Select First Row
1243	DS.PROPERTY.GRID_FIXED_ROW_HEIGHT	en	Fixed Row Height
1244	DS.PROPERTY.GRID_SHOW_TOOLBAR	en	Show Toolbar
1245	DS.PROPERTY.GRID_CONTROLS	en	Controls
1246	DS.PROPERTY.GRID_ENABLE_EDIT	ru	Разрешено
1247	DS.PROPERTY.GRID_EDIT_OPERS	ru	Разрешенные операции
1248	DS.PROPERTY.GRID_OPER_COLUMN	ru	Столбец операций с строкой
1249	DS.PROPERTY.GRID_LOST_UPDATE_TYPE	ru	Потерянные обновления
1262	DS.PROPERTY.GRID_SELECTOR	ru	Data Grid
1263	DS.PROPERTY.GRID_COL_TYPE	en	Column Type
1272	DS.LOV.COLUMN_HEADING_ALIGN.RIGHT	ru	Направо
1274	DS.LOV.GRID_COL_TYPE.TEXT	en	Text
1275	DS.LOV.GRID_COL_TYPE.TEXT_AREA	en	Text area
1276	DS.LOV.GRID_COL_TYPE.NUMERIC	en	Numeric
1277	DS.LOV.GRID_COL_TYPE.SELECT_LIST	en	Select List
1278	DS.LOV.GRID_COL_TYPE.HIDDEN	en	Hidden
1279	DS.LOV.GRID_COL_TYPE.DATE_FIELD	en	Date Picker
1280	DS.LOV.GRID_COL_TYPE.RADIOS	en	Radio Group
1283	DS.LOV.GRID_COL_TYPE.AUTOCOMPLETE	en	Autocomplete
1284	DS.LOV.GRID_COL_TYPE.PASSWORD	en	Password
1285	DS.LOV.GRID_COL_TYPE.MULTISELECT	en	Multiselect
1286	DS.LOV.GRID_COL_TYPE.TEXT	ru	Текст
1287	DS.LOV.GRID_COL_TYPE.TEXT_AREA	ru	Текстовая область
1288	DS.LOV.GRID_COL_TYPE.NUMERIC	ru	Числовой
1289	DS.LOV.GRID_COL_TYPE.HIDDEN	ru	Скрытый
1292	DS.LOV.GRID_COL_TYPE.AUTOCOMPLETE	ru	Автозаполнение
1293	DS.LOV.GRID_COL_TYPE.PASSWORD	ru	Пароль
1294	DS.LOV.GRID_COL_TYPE.DATE_FIELD	ru	Дата
1302	DS.PROPERTY.GRID_PROC_DELETE	en	Delete
1303	DS.PROPERTY.GRID_PROC_DELETE	ru	Удаление
1304	DS.PROPERTY.GRID_PROC_INSERT	ru	Вставка
1305	DS.PROPERTY.GRID_PROC_INSERT	en	Insert
1306	DS.PROPERTY.GRID_PROC_UPDATE	ru	Обновление
1307	DS.PROPERTY.GRID_PROC_UPDATE	en	Update
1308	DS.PROPERTY.GRID_PROC_INPUT	en	Input
1309	DS.PROPERTY.GRID_PROC_INPUT	ru	Входные параметры
1310	DS.PROPERTY.GRID_PROC_OUTPUT	ru	Выходные параметры
1311	DS.PROPERTY.GRID_PROC_OUTPUT	en	Output
1312	DS.LOV.GRID_CONTROLS.SAVE	en	Save
1313	DS.LOV.GRID_CONTROLS.RESET	en	Reset
1314	DS.LOV.GRID_CONTROLS.ACTION_MENU	en	Action Menu
1315	DS.LOV.GRID_CONTROLS.SEARCH_FIELD	en	Search Field
1316	DS.LOV.GRID_CONTROLS.SEARCH_COLUMNS	en	Search Columns
1317	DS.LOV.GRID_EDIT_OPERS.DELETE	en	Delete
1318	DS.LOV.GRID_EDIT_OPERS.UPDATE	en	Update
1319	DS.LOV.GRID_EDIT_OPERS.INSERT	en	Insert
1320	DS.LOV.GRID_CONTROLS.SAVE	ru	Сохранить
1321	DS.LOV.GRID_CONTROLS.RESET	ru	Сбросить
1322	DS.LOV.GRID_CONTROLS.ACTION_MENU	ru	Действия
1323	DS.LOV.GRID_CONTROLS.SEARCH_FIELD	ru	Поле поиска
1324	DS.LOV.GRID_CONTROLS.SEARCH_COLUMNS	ru	Столбцы поиска
1325	DS.LOV.GRID_EDIT_OPERS.DELETE	ru	Удаление
1326	DS.LOV.GRID_EDIT_OPERS.UPDATE	ru	Обновление
1327	DS.LOV.GRID_EDIT_OPERS.INSERT	ru	Вставка
1328	DS.PROPERTY.VALIDATION_ASSOC_COL	ru	Связанная колонка
1329	DS.PROPERTY.VALIDATION_ASSOC_COL	en	Associated Column
1330	DS.PROPERTY.CONDITION_EXECUTE_SCOPE	en	Execute
1331	DS.PROPERTY.CONDITION_EXECUTE_SCOPE	ru	Выполнить
1332	DS.LOV.CONDITION_EXECUTE_SCOPE.ONCE	en	Once
1333	DS.LOV.CONDITION_EXECUTE_SCOPE.EACH_ROW	en	For Each Row
1334	DS.LOV.CONDITION_EXECUTE_SCOPE.EACH_ROW	ru	Для каждой строки
1335	DS.LOV.CONDITION_EXECUTE_SCOPE.ONCE	ru	Единожды
1336	DS.PROPERTY.VALIDATION_FIRST_INPUT_COLUMN	ru	Входные параметры
1290	DS.LOV.GRID_COL_TYPE.CHECKBOX	ru	Флажок
1337	DS.PROPERTY.VALIDATION_FIRST_INPUT_COLUMN	en	First Input COLUMN
1338	DS.PROPERTY.GRID_COL_DATA_TYPE	en	Base Type
1339	DS.PROPERTY.GRID_COL_DATA_TYPE	ru	Базовый тип
1340	DS.PROPERTY.GRID_COLUMN_SOURCE	en	Source Column
1341	DS.PROPERTY.GRID_COLUMN_SOURCE	ru	Колонка с данными
1342	DS.PROPERTY.GRID_COL_DATA_TYPE.STRING	en	String
1343	DS.PROPERTY.GRID_COL_DATA_TYPE.STRING	ru	Строка
1344	DS.PROPERTY.GRID_COL_DATA_TYPE.DATE	en	Date
1345	DS.PROPERTY.GRID_COL_DATA_TYPE.DATE	ru	Дата
1346	DS.PROPERTY.GRID_COL_DATA_TYPE.NUMBER	en	Number
1347	DS.PROPERTY.GRID_COL_DATA_TYPE.NUMBER	ru	Число
1348	DS.LOV.GRID_LOST_UPDATE_TYPE.ROW_VALUES	en	Row Values
1349	DS.LOV.GRID_LOST_UPDATE_TYPE.ROW_VALUES	ru	Значения строки
1350	DS.LOV.GRID_LOST_UPDATE_TYPE.COLUMN	en	Column
1351	DS.LOV.GRID_LOST_UPDATE_TYPE.COLUMN	ru	Значение колонки
1352	DS.PROPERTY.GRID_PROC_INSERT_INPUT	en	Input
1353	DS.PROPERTY.GRID_PROC_INSERT_INPUT	ru	Входные параметры
1354	DS.PROPERTY.GRID_PROC_INSERT_OUTPUT	ru	Выходные параметры
1355	DS.PROPERTY.GRID_PROC_INSERT_OUTPUT	en	Output
1356	DS.PROPERTY.GRID_PROC_UPDATE_INPUT	en	Input
1357	DS.PROPERTY.GRID_PROC_UPDATE_INPUT	ru	Входные параметры
1358	DS.PROPERTY.GRID_PROC_UPDATE_OUTPUT	ru	Выходные параметры
1359	DS.PROPERTY.GRID_PROC_UPDATE_OUTPUT	en	Output
1360	DS.PROPERTY.GRID_PROC_DELETE_INPUT	en	Input
1282	DS.LOV.GRID_COL_TYPE.SWITCH	en	Switcher
1291	DS.LOV.GRID_COL_TYPE.SWITCH	ru	Переключатель
1361	DS.PROPERTY.GRID_PROC_DELETE_INPUT	ru	Входные параметры
1362	DS.PROPERTY.GRID_PROC_DELETE_OUTPUT	ru	Выходные параметры
1363	DS.PROPERTY.GRID_PROC_DELETE_OUTPUT	en	Output
1364	DS.PROPERTY.GRID_COL_PK	en	Primary Key
1365	DS.PROPERTY.GRID_COL_PK	ru	Первичный ключ
1366	DS.PROPERTY.GRID_PROC_LOST_UPDATE	en	Prevent Lost Update
1367	DS.PROPERTY.GRID_PROC_LOST_UPDATE	ru	Предотвращать потерянное обновление
1368	DS.PROPERTY.GRID_PROC_LOCK_ROWS	en	Lock Rows
1369	DS.PROPERTY.GRID_PROC_LOCK_ROWS	ru	Блокировать строку
1370	DS.LOV.GRID_COL_TYPE.LINK	en	Link
1371	DS.LOV.GRID_COL_TYPE.LINK	ru	Ссылка
1372	DS.PROPERTY.GRID_COL_LINK_TEXT	en	Link Text
1373	DS.PROPERTY.GRID_COL_LINK_TEXT	ru	Текст ссылки
1374	DS.PROPERTY.GRID_COL_SETTINGS	en	JS Settings
1375	DS.PROPERTY.GRID_COL_SETTINGS	ru	Настройки JS
1281	DS.LOV.GRID_COL_TYPE.CHECKBOX	en	Checkbox
1376	DS.PROPERTY.CHECKBOX_CHECKED_VALUE	en	Checked Value
1377	DS.PROPERTY.CHECKBOX_CHECKED_VALUE	ru	Значение когда отмечен
1378	DS.PROPERTY.CHECKBOX_UNCHECKED_VALUE	en	Unchecked Value
1379	DS.PROPERTY.CHECKBOX_UNCHECKED_VALUE	ru	Неотмеченное значение
1380	DS.PROPERTY.SWITCH_ON_VALUE	en	On Value
1381	DS.PROPERTY.SWITCH_ON_VALUE	ru	Значение когда включен
1382	DS.PROPERTY.SWITCH_ON_LABEL	en	On Label
1383	DS.PROPERTY.SWITCH_ON_LABEL	ru	Отображение когда включен
1384	DS.PROPERTY.SWITCH_OFF_VALUE	en	Off Value
1530	DS.HP.PROP.VALIDATION_FIRST_INPUT_COLUMN	en	Specify column
1385	DS.PROPERTY.SWITCH_OFF_VALUE	ru	Значение когда выключен
1386	DS.PROPERTY.SWITCH_OFF_LABEL	en	Off Label
1387	DS.PROPERTY.SWITCH_OFF_LABEL	ru	Отображение когда выключен
1388	DS.PROPERTY.TILES_THEME	en	Theme
1389	DS.PROPERTY.TILES_THEME	ru	Тема
1390	DS.PROPERTY.TILES_COLUMNS	en	Columns
1391	DS.PROPERTY.TILES_COLUMNS	ru	Колонки
1392	DS.PROPERTY.TILES_VIEW	en	View
1393	DS.PROPERTY.TILES_VIEW	ru	Вид
1394	DS.PROPERTY.TILES_ALIGN	en	Align
1395	DS.PROPERTY.TILES_ALIGN	ru	Выравнивание
1396	DS.PROPERTY.TILES_ICON_CONTRAST	en	Contrast Icons
1397	DS.PROPERTY.TILES_ICON_CONTRAST	ru	Контрастные иконки
1398	DS.PROPERTY.TILES_TITLE_COL	en	Title Column
1399	DS.PROPERTY.TILES_TITLE_COL	ru	Колонка с заголовком
1400	DS.PROPERTY.TILES_TEXT_COL	en	Text Column
1401	DS.PROPERTY.TILES_TEXT_COL	ru	Колонка с текстом
1402	DS.PROPERTY.TILES_DESC_COL	en	Description Column
1403	DS.PROPERTY.TILES_DESC_COL	ru	Колонка с описанием
1404	DS.PROPERTY.TILES_ICON_COL	ru	Колонка с иконкой
1405	DS.PROPERTY.TILES_ICON_COL	en	Icon Column
1406	DS.PROPERTY.TILES_COLOR_COL	en	Color Column
1407	DS.PROPERTY.TILES_COLOR_COL	ru	Колонка с цветом
1408	DS.LOV.TILES_THEME.CLASSIC	en	Classic
1409	DS.LOV.TILES_THEME.CLASSIC_CONTRAST	en	Contrast
1410	DS.LOV.TILES_THEME.HORIZONTAL	en	Horizontal
1411	DS.LOV.TILES_THEME.HORIZONTAL_CONTRAST	en	Horizontal-Contrast
1412	DS.LOV.TILES_THEME.CLASSIC	ru	Классическая
1413	DS.LOV.TILES_THEME.CLASSIC_CONTRAST	ru	Контрастная
1414	DS.LOV.TILES_THEME.HORIZONTAL	ru	Горизонтальная
1415	DS.LOV.TILES_THEME.HORIZONTAL_CONTRAST	ru	Горизонтально-контрастная
1416	DS.LOV.TILES_ALIGN.LEFT	en	Left
1417	DS.LOV.TILES_ALIGN.CENTER	en	Center
1418	DS.LOV.TILES_ALIGN.RIGHT	en	Right
1419	DS.LOV.TILES_ALIGN.LEFT	ru	Лево
1420	DS.LOV.TILES_ALIGN.CENTER	ru	Центр
1421	DS.LOV.TILES_ALIGN.RIGHT	ru	Право
1422	DS.LOV.TILES_VIEW.ELEMENTS	en	Spaced
1423	DS.LOV.TILES_VIEW.GRID	en	Grid
1424	DS.LOV.TILES_VIEW.ELEMENTS	ru	Раздельный
1425	DS.LOV.TILES_VIEW.GRID	ru	Сетка
1426	DS.HP.PROP.TILES_THEME	ru	<p>Укажите тему отображения компонента:</p>\r\n<p style="font-weight: bold;">Классическая.</p>\r\n<p>Классическая тема выводит плитку с иконкой сверху. Цветовая настройка в данном варианте определяет цвет иконки.</p>\r\n<p style="font-weight: bold;">Контрастная.</p>\r\n<p>Тоже что и классическая, но цветовая настройка определяет цвет фона плитки.</p>\r\n<p style="font-weight: bold;">Горизонтальная.</p>\r\n<p>Компактный вывод с иконкой слева. Цветовая настройка определяет цвет иконки.</p>\r\n<p style="font-weight: bold;">Горизонтально-контрастная.</p>\r\n<p>Компактный вывод, где цветовая настройка определяет фон плитки</p>
1427	DS.HP.PROP.TILES_THEME	en	<p>Specify the theme for displaying the component:</p>\r\n<p style="font-weight: bold;">Classic.</p>\r\n<p>The classic theme displays a tile with an icon on top. The color setting in this option determines the color of the icon.</p>\r\n<p style="font-weight: bold;">Contrasting.</p>\r\n<p>Same as classic, but the color setting determines the background color of the tile.</p>\r\n<p style="font-weight: bold;">Horizontal.</p>\r\n<p>Compact output with icon on the left. The color setting determines the color of the icon.</p>\r\n<p style="font-weight: bold;">Horizontal contrast.</p>\r\n<p>Compact output where the color setting determines the background of the tile</p>
1443	DS.HP.PROP.TILES_DESC_COL	en	Specify a data source to display additional description for the element
1444	DS.HP.PROP.TILES_ICON_COL	en	Specify the data source for displaying the element icon. It is necessary to specify the css class of the icon (mdi, uil, dripicons)
1428	DS.HP.PROP.TILES_COLUMNS	ru	Укажите настройки сетки для вывода компонента.<br>\r\nПри указании параметра "auto"  платформа самостоятельно распределит все элементы по строкам. Ширина каждого элемента в строке будет одинакова.<br>\r\nПараметра "auto-float" работает также как и "auto", но ширина каждого элемента будет соответствовать содержинию компонента.
1429	DS.HP.PROP.TILES_COLUMNS	en	Specify the grid settings for the component's display.<br>\r\nWhen you specify the "auto" parameter, the platform will automatically distribute all elements into rows. The width of each element in the line will be the same.<br>\r\nThe "auto-float" parameter works the same as "auto", but the width of each element will correspond to the content of that element.
1430	DS.HP.PROP.TILES_VIEW	ru	Укажите внешний вид компонента
1431	DS.HP.PROP.TILES_VIEW	en	Specify the appearance of the component
1432	DS.HP.PROP.TILES_ALIGN	ru	Укажите как необходимо выровнять содержимое каждого элемента.
1433	DS.HP.PROP.TILES_ALIGN	en	Specify how the element's contents should be aligned.
1434	DS.HP.PROP.TILES_ICON_CONTRAST	ru	Укажите необходимо ли сделать иконки контрастными
1435	DS.HP.PROP.TILES_ICON_CONTRAST	en	Specify whether the icons need to be contrasting
1436	DS.HP.PROP.TILES_TITLE_COL	ru	Укажите источник данных для вывода основного текста для элемента
1437	DS.HP.PROP.TILES_TEXT_COL	ru	Укажите источник данных для вывода описания значения для элемента
1485	DS.HP.PROP.GRID_SHOW_TOOLBAR	en	Enable/Disable Table Toolbar
1438	DS.HP.PROP.TILES_DESC_COL	ru	Укажите источник данных для вывода дополнительного описания для элемента
1439	DS.HP.PROP.TILES_ICON_COL	ru	Укажите источник данных для вывода иконки элемента. Необходимо указывать css класс иконки (mdi, uil, dripicons) 
1440	DS.HP.PROP.TILES_COLOR_COL	ru	Укажите источник данных для цветовой настройки элемента. Необходимо указывать цветовое значение в формате hex.
1441	DS.HP.PROP.TILES_TITLE_COL	en	Specify the data source to display the body text for the element
1442	DS.HP.PROP.TILES_TEXT_COL	en	Specify a data source to display a value description for an element
1445	DS.HP.PROP.TILES_COLOR_COL	en	Specify the data source for the element's color setting. The color value must be specified in hex format.
1446	DS.PROPERTY.SOURCE_HTML	en	Source HTML
1447	DS.PROPERTY.SOURCE_HTML	ru	HTML код
1448	DS.PROPERTY.AUTH_TYPE	en	Authentication Type
1449	DS.PROPERTY.AUTH_TYPE	ru	Тип аутентификации
1450	DS.PROPERTY.AUTH_NAME_MICROSOFT_LDAP	en	Name
1451	DS.PROPERTY.AUTH_NAME_MICROSOFT_LDAP	ru	Имя
1452	DS.PROPERTY.AUTH_NAME_OIDC	en	Name
1453	DS.PROPERTY.AUTH_NAME_OIDC	ru	Имя
1454	DS.PROPERTY.AUTH_NAME_KERBEROS_SSO	en	Name
1455	DS.PROPERTY.AUTH_NAME_KERBEROS_SSO	ru	Имя
1456	DS.PROPERTY.AUTH_NAME_LDAP	en	Name
1457	DS.PROPERTY.AUTH_NAME_LDAP	ru	Имя
1458	DS.PROPERTY.AUTH_SQL_CUSTOM	en	SQL Code
1459	DS.PROPERTY.AUTH_SQL_CUSTOM	ru	SQL Код
1460	DS.PROPERTY.AUTH_SQL_POST_LOGIN	en	Post Login Function
1461	DS.PROPERTY.AUTH_SQL_POST_LOGIN	ru	Функция пост-входа
1462	DS.PROPERTY.AUTH_SQL_INPUT	en	Input Parameters
1463	DS.PROPERTY.AUTH_SQL_INPUT	ru	Параметры запроса
1464	DS.PROPERTY.AUTH_LDAP_PASS	en	Password Item
1465	DS.PROPERTY.AUTH_LDAP_PASS	ru	Пароль
1466	DS.PROPERTY.AUTH_LDAP_USER	en	Username Item
1467	DS.PROPERTY.AUTH_LDAP_USER	ru	Логин
1468	DS.HP.PROP.SOURCE_SELECTOR	ru	Выберите несколько целевых источников данных куда будет загружен файл. Загрузка осуществляется во временную таблицу pg_temp.xrad_files.
1469	DS.HP.PROP.SOURCE_SELECTOR	en	Select multiple target data sources where the file will be loaded. Loading is performed into the temporary table pg_temp.xrad_files.
1470	DS.HP.PROP.GRID_ENABLE_EDIT	ru	Укажите для включения возможности редактирования содержимого таблицы.
1471	DS.HP.PROP.GRID_ENABLE_EDIT	en	Check to enable editing of table contents.
1472	DS.HP.PROP.GRID_EDIT_OPERS	ru	Список доступных операции в таблице:<br><li><ul>Вставка</ul><ul>Обновление</ul><ul>Удаление</ul></li><br>Настройка разрешенных операций доступна если разрешено редактирование.
1473	DS.HP.PROP.GRID_EDIT_OPERS	en	List of available operations in the table:<br><li><ul>Insert</ul><ul>Update</ul><ul>Delete</ul></li><br>Setting up permitted operations is available if editing is permitted.
1474	DS.HP.PROP.GRID_LOST_UPDATE_TYPE	ru	Атрибут определяет способ, которым предотвращается потеря данных при совместной работе нескольких пользователей с одним и тем же массивом данных. Доступные значения:<br><li><ul>Значение строки.</ul></li><br>Перед отправкой изменений система вычисляет хэш измененной строки и сравнивает с хэшом, полученном при загрузке данных. Если хэши расходятся, система не позволит произвести обновление (кто то другой уже поменял строку).
1475	DS.HP.PROP.GRID_LOST_UPDATE_TYPE	en	The attribute specifies how data loss is prevented when multiple users work together on the same data set. Available values:<br><li><ul>Row value.</ul></li><br>Before sending changes, the system calculates the hash of the changed rows and compares it with the hash obtained when loading the data. If the hashes differ, the system will not allow the update (someone else has already changed row).
1476	DS.HP.PROP.GRID_INSER_AUTH	ru	Укажите схему авторизации для проверки прав досутпа на вставку новых строк в таблицу
1477	DS.HP.PROP.GRID_INSER_AUTH	en	Specify an authorization scheme to check access rights to insert new rows into a table
1478	DS.HP.PROP.GRID_UPDATE_AUTH	ru	Укажите схему авторизации для проверки прав досутпа на редактировние строк в таблице
1479	DS.HP.PROP.GRID_UPDATE_AUTH	en	Specify an authorization scheme to check access rights to update rows in a table
1480	DS.HP.PROP.GRID_DELETE_AUTH	ru	Укажите схему авторизации для проверки прав досутпа на удаление строк в таблице
1481	DS.HP.PROP.GRID_DELETE_AUTH	en	Specify an authorization scheme to check access rights to delete rows in a table
1482	DS.HP.PROP.GRID_NULL_VALUES	ru	Укажите какое значение выводить в ячейке таблицы в случае отсутствия значения (Null)
1483	DS.HP.PROP.GRID_NULL_VALUES	en	Specify which value to display in a table cell if there is no value (Null)
1484	DS.HP.PROP.GRID_SHOW_TOOLBAR	ru	Включение/отключение панели инструментов таблицы
1486	DS.HP.PROP.GRID_CONTROLS	ru	Укажите набор кнопок на панели инструментов, если включено ее отображение. Доступны следующие компоненты панели инструментов:<br><li><ul>Столбцы поиска</ul><ul>Поле поиска</ul><ul>Действия</ul><ul>Сохранить</ul>
1529	DS.HP.PROP.GRID_PROC_INSERT	en	Specify the code to be executed when inserting a row. For correct operation, you must specify the primary key as an output parameter.
1487	DS.HP.PROP.GRID_CONTROLS	en	Specify the set of buttons on the toolbar if the toolbar is enabled. The following toolbar components are available:<br><li><ul>Search Columns</ul><ul>Search Field</ul><ul>Actions</ul><ul>Save</ul>
1488	DS.HP.PROP.GRID_OPER_COLUMN	ru	
1489	DS.HP.PROP.GRID_LAZY_LOADING	ru	
1490	DS.HP.PROP.GRID_COL_DATA_TYPE	ru	Выберите базовый тип колонки. Базовый тип влияет на тип фильтрации колонки. Тип колонки должен сочитаться с базовым типом.
1491	DS.HP.PROP.GRID_COL_TYPE	ru	Укажите тип компонента ввода для колонки
1492	DS.HP.PROP.READ_ONLY_EXECUTE_SCOPE	ru	Укажите когда необходимо выполнить условие. Если вы ссылаетесь на столбцы в условии только для чтения, необходимо указать «Для каждой строки», чтобы условие выполнялось для каждой строки. В противном случае установите значение «Один раз».
1493	DS.HP.PROP.CONDITION_EXECUTE_SCOPE	ru	Укажите когда необходимо выполнить условие. Если вы ссылаетесь на столбцы в условии отображения, необходимо указать «Для каждой строки», чтобы условие выполнялось для каждой строки. В противном случае установите значение «Один раз».
1494	DS.HP.PROP.GRID_SELECTOR	ru	Выберите регион с типом компонента Data Grid
1495	DS.HP.PROP.VALIDATION_ASSOC_COL	ru	Выберите колнку для которой осуществляется проверка
1496	DS.HP.PROP.GRID_PROC_UPDATE	ru	Укажите код который необходимо выполнять при обновлении строки. 
1497	DS.HP.PROP.GRID_PROC_DELETE	ru	Укажите код который необходимо выполнять при удалении строки. 
1498	DS.HP.PROP.GRID_PROC_INSERT	ru	Укажите код который необходимо выполнять при вставке строки. Для корректной работы необходимо указать первичный ключ в качестве выходного параметра.
1499	DS.HP.PROP.VALIDATION_FIRST_INPUT_COLUMN	ru	Укажите колонку
1500	DS.HP.PROP.COLUMN_HEADING_ALIGN	ru	Выберите как необходимо выровнить заголовок колонки
1501	DS.HP.PROP.GRID_COLUMN_SOURCE	ru	Укажите последовательность отображения колонки. Последоавтельность отображения влият только на порядок внутри построителя
1502	DS.HP.PROP.GRID_PROC_INSERT_INPUT	ru	Укажите входные параметры
1503	DS.HP.PROP.GRID_PROC_INSERT_OUTPUT	ru	Укажите выходные параметры
1504	DS.HP.PROP.GRID_PROC_UPDATE_OUTPUT	ru	Укажите выходные параметры
1505	DS.HP.PROP.GRID_PROC_DELETE_INPUT	ru	Укажите входные параметры
1506	DS.HP.PROP.GRID_PROC_DELETE_OUTPUT	ru	Укажите выходные параметры
1507	DS.HP.PROP.GRID_PROC_UPDATE_INPUT	ru	Укажите входные параметры
1508	DS.HP.PROP.GRID_COL_PK	ru	Укажите является ли колонка первичным ключом. Если данный компонент является редактируемым необходимо указать данный параметр в обязательном порядке. 
1509	DS.HP.PROP.GRID_PROC_LOCK_ROWS	ru	Укажите необходимо ли блокировать строки на момент выполнения процесса.
1510	DS.HP.PROP.GRID_PROC_LOST_UPDATE	ru	Укажите необходимо ли использовать указанный в компоненте способ предотвращения потерянных обновлений
1511	DS.HP.PROP.GRID_COL_LINK_TEXT	ru	Введите текст ссылки
1512	DS.HP.PROP.GRID_COL_SETTINGS	ru	Укажите дополнительные настройки колонки
1513	DS.HP.PROP.CHECKBOX_CHECKED_VALUE	ru	Укажите значение которое будет возвращено в случае если чекбокс отмечен.
1514	DS.HP.PROP.CHECKBOX_UNCHECKED_VALUE	ru	Укажите значение которое будет возвращено в случае если чекбокс не отмечен.
1515	DS.HP.PROP.SWITCH_ON_VALUE	ru	Укажите возвращаемое значение для переключателя в состоянии включен
1516	DS.HP.PROP.SWITCH_ON_LABEL	ru	Укажите отображаемое значение для переключателя в состоянии включен
1517	DS.HP.PROP.SWITCH_OFF_VALUE	ru	Укажите возвращаемое значение для переключателя в состоянии выключен
1518	DS.HP.PROP.SWITCH_OFF_LABEL	ru	Укажите отображаемое значение для переключателя в состоянии выключен
1519	DS.HP.PROP.GRID_OPER_COLUMN	en	
1520	DS.HP.PROP.GRID_LAZY_LOADING	en	
1521	DS.HP.PROP.GRID_COL_DATA_TYPE	en	Select a basic column type. The base type affects the column's filtration type. The column type must match the base type.
1522	DS.HP.PROP.GRID_COL_TYPE	en	Specify the input component type for the column
1523	DS.HP.PROP.READ_ONLY_EXECUTE_SCOPE	en	Specify when the condition must be met. If you reference columns in a read-only condition, you must specify "For Each Row" so that the condition is satisfied for each row. Otherwise, set it to "Once".
1524	DS.HP.PROP.CONDITION_EXECUTE_SCOPE	en	Specify when the condition must be met. If you are referencing columns in a display condition, you must specify "For Each Row" so that the condition is satisfied for each row. Otherwise, set it to "Once".
1525	DS.HP.PROP.GRID_SELECTOR	en	Select a region with a Data Grid component type
1526	DS.HP.PROP.VALIDATION_ASSOC_COL	en	Select the column, that associated with validation
1527	DS.HP.PROP.GRID_PROC_UPDATE	en	Specify the code to be executed when updating a row.
1528	DS.HP.PROP.GRID_PROC_DELETE	en	Specify the code to be executed when deleting a row.
1531	DS.HP.PROP.COLUMN_HEADING_ALIGN	en	Select how you want to align the column header
1532	DS.HP.PROP.GRID_COLUMN_SOURCE	en	Specify the column display sequence. The display order only affects the order within the builder
1533	DS.HP.PROP.GRID_PROC_INSERT_INPUT	en	Specify input parameters
1534	DS.HP.PROP.GRID_PROC_INSERT_OUTPUT	en	Specify output parameters
1535	DS.HP.PROP.GRID_PROC_UPDATE_OUTPUT	en	Specify output parameters
1536	DS.HP.PROP.GRID_PROC_DELETE_INPUT	en	Specify input parameters
1537	DS.HP.PROP.GRID_PROC_DELETE_OUTPUT	en	Specify output parameters
1538	DS.HP.PROP.GRID_PROC_UPDATE_INPUT	en	Specify input parameters
1539	DS.HP.PROP.GRID_COL_PK	en	Indicate whether the column is a primary key. If this component is editable, this parameter must be specified.
1540	DS.HP.PROP.GRID_PROC_LOCK_ROWS	en	Specify whether rows should be locked while the process is running.
1541	DS.HP.PROP.GRID_PROC_LOST_UPDATE	en	Specify whether to use the method specified in the component to prevent lost updates
1542	DS.HP.PROP.GRID_COL_LINK_TEXT	en	Enter link text
1543	DS.HP.PROP.GRID_COL_SETTINGS	en	Specify additional column settings
1544	DS.HP.PROP.CHECKBOX_CHECKED_VALUE	en	Specify the value that will be returned if the checkbox is checked.
1545	DS.HP.PROP.CHECKBOX_UNCHECKED_VALUE	en	Specify the value that will be returned if the checkbox is not checked.
1546	DS.HP.PROP.SWITCH_ON_VALUE	en	Specify the return value for a switcher in the "on" state
1547	DS.HP.PROP.SWITCH_ON_LABEL	en	Specify the display value for the switcher in the "on" state
1548	DS.HP.PROP.SWITCH_OFF_VALUE	en	Specify the return value for a switcher in the "off" state
1549	DS.HP.PROP.SWITCH_OFF_LABEL	en	Specify the display value for a switcher in the "off" state
1550	DS.PROPERTY.VALIDATION_FIRST_GRID_COL	en	Column
1551	DS.PROPERTY.VALIDATION_FIRST_GRID_COL	ru	Колонка
1552	DS.HP.PROP.VALIDATION_FRIRST_GRID_COL	ru	Укажите колонку для которой осуществляется проверка
1553	DS.HP.PROP.VALIDATION_FRIRST_GRID_COL	en	Specify the column for which the validation is performed
391	DS.PROPERTY.REPORT_NO_DATA	ru	Сообщение при пустом отчете
1554	DS.PROPERTY.REPORT_DOWNLOAD_FORMATS	en	Download Formats
1555	DS.PROPERTY.REPORT_DOWNLOAD_FORMATS	ru	Форматы выгрузки
1556	DS.HP.PROP.REPORT_DOWNLOAD_FORMATS	en	Specify download formats
1557	DS.HP.PROP.REPORT_DOWNLOAD_FORMATS	ru	Укажите форматы выгрузки
1558	DS.LOV.TRIM_SPACES.TRAILING	en	Trailing
1559	DS.LOV.TRIM_SPACES.LEADING	en	Leading
1560	DS.LOV.TRIM_SPACES.NONE	en	None
1561	DS.LOV.TRIM_SPACES.BOTH	en	Both
1564	DS.LOV.TRIM_SPACES.NONE	ru	Не обрезать
1566	DS.LOV.TRIM_SPACES.BOTH	ru	Слева и справа
1567	DS.PROPERTY.TRIM_SPACES	ru	Обрезать пробелы
1568	DS.PROPERTY.TRIM_SPACES	en	Trim Spaces
1569	DS.HP.PROP.TRIM_SPACES	ru	Укажите необходимо ли обрезать пробелы вначале или вконце введенного значения
1570	DS.HP.PROP.TRIM_SPACES	en	Specify whether to trim leading or trailing spaces of the entered value.
1563	DS.LOV.TRIM_SPACES.LEADING	ru	Слева
1562	DS.LOV.TRIM_SPACES.TRAILING	ru	Справа
\.


--
-- Data for Name: t_propertie_lov_values; Type: TABLE DATA; Schema: ds; Owner: xrad_user
--

COPY ds.t_propertie_lov_values (id, id_property, display_value, return_value, display_sequence) FROM stdin;
1	2	DS.LOV.PAGE_MODE.SIDEBAR	SIDEBAR	1
2	2	DS.LOV.PAGE_MODE.MODAL	MODAL	2
3	8	DS.LOV.REGION_POSITION.LEFT	left	2
6	8	DS.LOV.REGION_POSITION.FOOTER	footer	4
9	15	DS.LOV.REG_SOURCE_TYPE.SQL	SQL	1
10	15	DS.LOV.REG_SOURCE_TYPE.STATIC	TEXT	2
12	22	DS.LOV.REPORT_TEMPLATE.STANDART	STANDART	1
13	22	DS.LOV.REPORT_TEMPLATE.COLVAL	COLVAL	2
15	35	DS.LOV.INPUT_TYPE.TEXT	TEXT	1
16	35	DS.LOV.INPUT_TYPE.TEXT_AREA	TEXT_AREA	2
17	35	DS.LOV.INPUT_TYPE.SELECT_LIST	SELECT	3
18	35	DS.LOV.INPUT_TYPE.NUMERIC	NUMERIC	4
19	35	DS.LOV.INPUT_TYPE.HIDDEN	HIDDEN	5
20	35	DS.LOV.INPUT_TYPE.DATE_FIELD	DATE_FIELD	6
21	35	DS.LOV.INPUT_TYPE.RADIOS	RADIOS	7
22	35	DS.LOV.INPUT_TYPE.CHECKBOXES	CHECKBOXES	8
23	35	DS.LOV.INPUT_TYPE.SWITCHER	SWITCHER	9
24	35	DS.LOV.INPUT_TYPE.AUTOCOMPLETE	AUTOCOMPLETE	10
25	35	DS.LOV.INPUT_TYPE.PASSWORD	PASSWORD	11
26	25	DS.LOV.COLUMN_TYPE.TEXT	TEXT	1
27	25	DS.LOV.COLUMN_TYPE.LINK	LINK	2
28	25	DS.LOV.COLUMN_TYPE.HIDDEN	HIDDEN	3
29	31	DS.LOV.COLUMN_ALIGNMENT.LEFT	left	1
30	31	DS.LOV.COLUMN_ALIGNMENT.CENTER	center	2
31	31	DS.LOV.COLUMN_ALIGNMENT.RIGHT	right	3
36	38	1	1	1
37	38	2	2	2
38	38	3	3	3
39	38	4	4	4
40	38	5	5	5
41	38	6	6	6
42	38	7	7	7
43	38	8	8	8
44	38	9	9	9
45	38	10	10	10
46	38	11	11	11
47	38	12	12	12
48	61	DS.LOV.PROCESS_TYPE.SHOW	SHOW	1
49	61	DS.LOV.PROCESS_TYPE.PROCESS	PROCESS	2
50	61	DS.LOV.PROCESS_TYPE.AJAX	AJAX	3
54	69	DS.LOV.BUTTON_ACTION.SUBMIT	SUBMIT	1
55	69	DS.LOV.BUTTON_ACTION.REDIRECT	REDIRECT	2
56	69	DS.LOV.BUTTON_ACTION.DA	DYNAMIC	3
57	69	DS.LOV.BUTTON_ACTION.DROPDOWN	DROPDOWN	4
58	46	DS.LOV.DEFAULT_TYPE.STATIC	STATIC	1
59	46	DS.LOV.DEFAULT_TYPE.SQL	SQL	2
60	46	DS.LOV.DEFAULT_TYPE.ITEM	ITEM	3
61	74	DS.LOV.DE_TRIGGER_TYPE.ITEM	ITEM	1
62	74	DS.LOV.DE_TRIGGER_TYPE.REGION	REGION	2
63	74	DS.LOV.DE_TRIGGER_TYPE.BUTTON	BUTTON	3
64	74	DS.LOV.DE_TRIGGER_TYPE.SELECTOR	SELECTOR	4
65	74	DS.LOV.DE_TRIGGER_TYPE.PAGE	PAGE	5
67	38	Automatic	0	0
68	35	DS.LOV.INPUT_TYPE.WYSIWYG	WYSIWYG	12
69	35	DS.LOV.INPUT_TYPE.FILE	FILE	13
71	2	DS.LOV.PAGE_MODE.LOGIN	LOGIN	3
72	25	DS.LOV.COLUMN_TYPE.CHECKBOX	CHECKBOX	4
73	174	DS.LOV.BRANCH_TYPE.REDIRECT	REDIRECT_URL	1
74	175	DS.LOV.BRANCH_POINT.PROCESS	PROCESS	1
75	175	DS.LOV.BRANCH_POINT.SHOW	SHOW	2
76	177	DS.LOV.CHART_TYPE.COLUMN	COLUMN	1
77	177	DS.LOV.CHART_TYPE.BAR	BAR	2
78	177	DS.LOV.CHART_TYPE.DONUT	DONUT	3
79	185	DS.LOV.CARDS_THEME.BLOCK	block	1
80	185	DS.LOV.CARDS_THEME.FEATURED	featured	2
81	185	DS.LOV.CARDS_THEME.BASIC	basic	3
82	186	1	1	1
83	186	2	2	2
84	186	3	3	3
85	186	4	4	4
86	186	5	5	5
87	186	6	6	6
88	186	7	7	7
89	186	8	8	8
90	186	9	9	9
91	186	10	10	10
92	186	11	11	11
93	186	12	12	12
94	188	DS.LOV.WIZARD_LABEL.ALL	all	1
95	188	DS.LOV.WIZARD_LABEL.CURRENT	current	2
96	188	DS.LOV.WIZARD_LABEL.NEVER	never	3
97	189	DS.LOV.WIZARD_ORIENT.HORIZONTAL	horizontal	1
98	189	DS.LOV.WIZARD_ORIENT.VERTICAL	vertical	2
99	193	Inline	inline	1
100	193	Attachment	attachment	2
101	35	DS.LOV.INPUT_TYPE.MULTISELECT	MULTISELECT	14
102	202	DS.LOV.CLNDR_VIEW.YEAR	multiMonthYear	1
103	202	DS.LOV.CLNDR_VIEW.MONTH	dayGridMonth	2
104	202	DS.LOV.CLNDR_VIEW.WEEK	timeGridWeek	3
105	202	DS.LOV.CLNDR_VIEW.DAY	timeGridDay	4
106	202	DS.LOV.CLNDR_VIEW.LIST	listWeek	5
107	177	DS.LOV.CHART_TYPE.LINE	LINE	4
108	177	DS.LOV.CHART_TYPE.AREA	AREA	5
110	2	DS.LOV.PAGE_MODE.MINIMAL	MINIMAL	4
126	218	GET	GET	1
127	218	POST	POST	2
128	218	PUT	PUT	3
129	218	DELETE	DELETE	4
66	8	DS.LOV.REGION_POSITION.TOP	top	1
5	8	DS.LOV.REGION_POSITION.BODY	body	3
4	8	DS.LOV.REGION_POSITION.RIGHT	right	5
130	218	PATCH	PATCH	5
131	218	HEAD	HEAD	6
132	218	OPTIONS	OPTIONS	7
133	218	PROPFIND	PROPFIND	8
134	221	DS.LOV.PAYLOAD_TYPE.NONE	NONE	1
135	221	DS.LOV.PAYLOAD_TYPE.STATIC	STATIC	2
136	221	DS.LOV.PAYLOAD_TYPE.FORM_ENCODED	FORM_ENCODED	3
137	221	DS.LOV.PAYLOAD_TYPE.SQL	SQL	4
138	223	DS.LOV.REST_RESP_TYPE.NONE	NONE	1
139	223	DS.LOV.REST_RESP_TYPE.VALUES	VALUES	2
140	223	DS.LOV.REST_RESP_TYPE.SQL	SQL	3
141	174	DS.LOV.BRANCH_TYPE.FUNCITON	FUNCTION_RETURNING_URL	2
142	254	DS.LOV.GRID_EDIT_OPERS.INSERT	I	1
143	254	DS.LOV.GRID_EDIT_OPERS.UPDATE	U	2
144	254	DS.LOV.GRID_EDIT_OPERS.DELETE	D	3
145	256	DS.LOV.GRID_LOST_UPDATE_TYPE.ROW_VALUES	ROW_VALUES	1
147	268	DS.LOV.GRID_CONTROLS.SEARCH_COLUMNS	SEARCH_COLUMNS	1
148	268	DS.LOV.GRID_CONTROLS.SEARCH_FIELD	SEARCH_FIELD	2
149	268	DS.LOV.GRID_CONTROLS.ACTION_MENU	ACTION_MENU	3
151	268	DS.LOV.GRID_CONTROLS.SAVE	SAVE	5
164	271	DS.LOV.COLUMN_HEADING_ALIGN.LEFT	left	1
165	271	DS.LOV.COLUMN_HEADING_ALIGN.CENTER	center	2
166	271	DS.LOV.COLUMN_HEADING_ALIGN.RIGHT	right	3
167	272	DS.LOV.READ_ONLY_EXECUTE_SCOPE.ONCE	ONCE	1
168	272	DS.LOV.READ_ONLY_EXECUTE_SCOPE.EACH_ROW	EACH_ROW	2
169	273	DS.LOV.CONDITION_EXECUTE_SCOPE.ONCE	ONCE	1
170	273	DS.LOV.CONDITION_EXECUTE_SCOPE.EACH_ROW	EACH_ROW	2
172	270	DS.LOV.GRID_COL_TYPE.ROW_ACTION	ROW_ACTION	1
171	270	DS.LOV.GRID_COL_TYPE.ROW_SELECTOR	ROW_SELECTOR	0
152	270	DS.LOV.GRID_COL_TYPE.TEXT	TEXT	2
205	313	Custom	CUSTOM	1
206	313	LDAP	LDAP	10
155	270	DS.LOV.GRID_COL_TYPE.NUMERIC	NUMERIC	5
156	270	DS.LOV.GRID_COL_TYPE.HIDDEN	HIDDEN	6
157	270	DS.LOV.GRID_COL_TYPE.DATE_FIELD	DATE_FIELD	7
207	313	Microsoft LDAP	MICROSOFT_LDAP	20
208	313	OIDC	OIDC	30
209	313	Kerberos SSO	KERBEROS_SSO	40
210	313	Microsoft Kerberos SSO	MICROSOFT_KERBEROS_SSO	50
173	269	DS.PROPERTY.GRID_COL_DATA_TYPE.STRING	STRING	1
174	269	DS.PROPERTY.GRID_COL_DATA_TYPE.DATE	DATE	2
175	269	DS.PROPERTY.GRID_COL_DATA_TYPE.NUMBER	NUMBER	3
176	270	DS.LOV.GRID_COL_TYPE.LINK	LINK	14
177	270	DS.LOV.GRID_COL_TYPE.SELECT_LIST	SELECT	6
178	270	DS.LOV.GRID_COL_TYPE.MULTISELECT	MULTISELECT	8
179	270	DS.LOV.GRID_COL_TYPE.RADIOS	RADIOS	9
180	270	DS.LOV.GRID_COL_TYPE.CHECKBOX	CHECKBOX	10
181	270	DS.LOV.GRID_COL_TYPE.SWITCH	SWITCH	11
182	299	DS.LOV.TILES_THEME.CLASSIC	CLASSIC	1
183	299	DS.LOV.TILES_THEME.CLASSIC_CONTRAST	CLASSIC_CONTRAST	2
184	299	DS.LOV.TILES_THEME.HORIZONTAL	HORIZONTAL	3
185	299	DS.LOV.TILES_THEME.HORIZONTAL_CONTRAST	HORIZONTAL_CONTRAST	4
186	300	1	1	1
187	300	2	2	2
188	300	3	3	3
189	300	4	4	4
190	300	5	5	5
191	300	6	6	6
192	300	7	7	7
193	300	8	8	8
194	300	9	9	9
195	300	10	10	10
196	300	11	11	11
197	300	12	12	12
198	301	DS.LOV.TILES_VIEW.GRID	GRID	1
199	301	DS.LOV.TILES_VIEW.ELEMENTS	ELEMENTS	2
200	302	DS.LOV.TILES_ALIGN.LEFT	left	1
201	302	DS.LOV.TILES_ALIGN.CENTER	center	2
202	302	DS.LOV.TILES_ALIGN.RIGHT	right	3
203	300	Auto	auto	0
204	300	Auto-Float	auto-float	13
211	323	CSV	CSV	1
212	323	Excel	XLSX	2
213	324	DS.LOV.TRIM_SPACES.NONE	NONE	1
215	324	DS.LOV.TRIM_SPACES.TRAILING	TRAILING	3
214	324	DS.LOV.TRIM_SPACES.LEADING	LEADING	2
216	324	DS.LOV.TRIM_SPACES.BOTH	BOTH	4
\.


--
-- Data for Name: t_properties; Type: TABLE DATA; Schema: ds; Owner: xrad_user
--

COPY ds.t_properties (id, name, prompt, prop_type, multi_value_delimeter, display_group_id, lov_type, lov_source, help_text, max_length) FROM stdin;
214	UPLOAD_SOURCES	DS.PROPERTY.UPLOAD_SOURCES	SOURCE_SELECTOR	,	19	STATIC	\N	DS.HP.PROP.SOURCE_SELECTOR	\N
1	NAME	DS.PROPERTY.NAME	TEXT	\N	1	\N	\N	DS.HP.PROP.NAME	\N
2	PAGE_MODE	DS.PROPERTY.PAGE_MODE	SELECT	\N	34	\N	\N	DS.HP.PROP.MODE	\N
56	REGION_TOGGLE	DS.PROPERTY.REGION_TOGGLE	SWITCHER	\N	34	\N	\N	DS.HP.PROP.REGION_TOGGLE	\N
7	SEQUENCE	DS.PROPERTY.SEQUENCE	INT_NUMBER	\N	36	\N	\N	DS.HP.PROP.SEQUENCE	\N
9	STATIC_ID	DS.PROPERTY.STATIC_ID	TEXT	\N	21	\N	\N	DS.HP.PROP.STATIC_ID	\N
10	REGION_TYPE	DS.PROPERTY.REGION_TYPE	REGION_TYPE_SELECTOR	\N	1	\N	\N	DS.HP.PROP.REGION_TYPE	\N
12	COMP_CLASS	DS.PROPERTY.COMP_CLASS	TEXT	\N	34	\N	\N	DS.HP.PROP.COMP_CLASS	\N
14	REGION_CLASS	DS.PROPERTY.REGION_CLASS	TEXT	\N	34	\N	\N	DS.HP.PROP.REGION_CLASS	\N
57	REGION_TOGGLE_ACTIVE	DS.PROPERTY.REGION_TOGGLE_ACTIVE	SWITCHER	\N	34	\N	\N	DS.HP.PROP.REGION_TOGGLE_ACTIVE	\N
58	TREE_PKEY	DS.PROPERTY.TREE_PKEY	COLUMN_SELECTOR	\N	2	\N	\N	DS.HP.PROP.TREE_PKEY	\N
216	TREE_LINK_COL	DS.PROPERTY.TREE_LINK_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.TREE_LINK_COL	\N
215	TREE_LINK	DS.PROPERTY.TREE_LINK	LINK	\N	2	STATIC	\N	DS.HP.PROP.TREE_LINK	\N
217	REST_URL	DS.PROPERTY.REST_URL	TEXT	\N	31	\N	\N	DS.HP.PROP.REST_URL	\N
218	REST_METHOD	DS.PROPERTY.REST_METHOD	SELECT	\N	31	STATIC	\N	DS.HP.PROP.REST_METHOD	\N
221	REST_PAYLOAD_TYPE	DS.PROPERTY.REST_PAYLOAD_TYPE	SELECT	\N	31	STATIC	\N	DS.HP.PROP.REST_PAYLOAD_TYPE	\N
223	REST_RESP_TYPE	DS.PROPERTY.REST_RESP_TYPE	SELECT	\N	137	STATIC	\N	DS.HP.PROP.REST_RESP_TYPE	\N
225	REST_RESP_SOURCE	DS.PROPERTY.REST_RESP_SOURCE	SQL_EDITOR	\N	137	\N	\N	DS.HP.PROP.REST_RESP_SOURCE	\N
227	REST_RESP_OUTPUT	DS.PROPERTY.REST_RESP_OUTPUT	QUERY_PARAMS	,	137	\N	\N	DS.HP.PROP.REST_RESP_OUTPUT	\N
226	REST_RESP_SOURCE_INPUT	DS.PROPERTY.REST_RESP_SOURCE_INPUT	REST_PARAMS	\N	137	\N	\N	DS.HP.PROP.REST_RESP_SOURCE_INPUT	\N
220	REST_QUERY_PARS	DS.PROPERTY.REST_QUERY_PARS	MAP_REQUEST	\N	31	\N	\N	DS.HP.PROP.REST_QUERY_PARS	\N
222	REST_PAYLOAD_PARS	DS.PROPERTY.REST_PAYLOAD_PARS	MAP_REQUEST	\N	31	\N	\N	DS.HP.PROP.REST_PAYLOAD_PARS	\N
219	HTTP_HEADERS	DS.PROPERTY.HTTP_HEADERS	MAP_REQUEST	\N	31	\N	\N	DS.HP.PROP.HTTP_HEADERS	\N
224	REST_RESP_PARS	DS.PROPERTY.REST_RESP_PARS	MAP_RESPONSE	\N	137	\N	\N	DS.HP.PROP.REST_RESP_PARS	\N
43	ELEMENT_LOV_INPUT	DS.PROPERTY.ELEMENT_LOV_INPUT	ITEM_SELECTOR	,	29	\N	\N	DS.HP.PROP.ELEMENT_LOV_INPUT	\N
44	INPUT_MASK	DS.PROPERTY.INPUT_MASK	TEXT	\N	34	\N	\N	DS.HP.PROP.INPUT_MASK	\N
46	DEFAULT_VALUE_TYPE	DS.PROPERTY.DEFAULT_VALUE_TYPE	SELECT	\N	25	STATIC	\N	DS.HP.PROP.DEFAULT_VALUE_TYPE	\N
47	DEFAULT_VALUE	DS.PROPERTY.DEFAULT_VALUE	TEXT_AREA	\N	25	\N	\N	DS.HP.PROP.DEFAULT_VALUE	\N
59	TREE_FKEY	DS.PROPERTY.TREE_FKEY	COLUMN_SELECTOR	\N	2	\N	\N	DS.HP.PROP.TREE_FKEY	\N
60	TREE_LABLE	DS.PROPERTY.TREE_LABEL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.TREE_LABLE	\N
61	PROCESS_TYPE	DS.PROPERTY.PROCESS_TYPE	SELECT	\N	19	STATIC	\N	DS.HP.PROP.PROCESS_TYPE	\N
62	OUTPUT_PARAMETERS	DS.PROPERTY.OUTPUT_PARAMETERS	QUERY_PARAMS	,	31	STATIC	\N	DS.HP.PROP.OUTPUT_PARAMETERS	\N
63	PROCESS_SUCCESS	DS.PROPERTY.PROCESS_SUCCESS	TEXT_AREA	\N	59	STATIC	\N	DS.HP.PROP.PROCESS_SUCCESS	\N
64	ERROR_MESSAGE	DS.PROPERTY.ERROR_MESSAGE	TEXT_AREA	\N	5	STATIC	\N	DS.HP.PROP.ERROR_MESSAGE	\N
45	INPUT_JS_SETTINGS	DS.PROPERTY.INPUT_JS_SETTINGS	ITEM_SETTINGS	\N	34	\N	\N	DS.HP.PROP.INPUT_JS_SETTINGS	\N
209	CLNDR_CSS_COLUMN	DS.PROPERTY.CLNDR_CSS_COLUMN	COLUMN_SELECTOR	\N	2	\N	\N	DS.HP.PROP.CLNDR_CSS_COLUMN	\N
4	JS_FUNCTIONS	DS.PROPERTY.JS_FUNCTIONS	JS_EDITOR	\N	13	\N	\N	DS.HP.PROP.JS_CODE	\N
160	MODAL_WIDTH	DS.PROPERTY.MODAL_WIDTH	INT_NUMBER	\N	8	\N	\N	DS.HP.PROP.MODAL_WIDTH	\N
171	PAGE_PUBLIC	DS.PROPERTY.PAGE_PUBLIC	SWITCHER	\N	15	\N	\N	DS.HP.PROP.IS_PUBLIC	\N
170	PAGE_AUTHORIZATION	DS.PROPERTY.PAGE_AUTHORIZATION	SELECT	\N	15	DYNAMIC	SELECT   name,  id::varchar FROM  app.t_authorization_schemes 	DS.HP.PROP.ID_AUTH	\N
158	PAGE_PROTECTION	DS.PROPERTY.PAGE_PROTECTION	SWITCHER	\N	15	\N	\N	DS.HP.PROP.PROTECTION	\N
195	CHANGED_BY	DS.PROPERTY.CHANGED_BY	READONLY	\N	63	\N	\N	DS.HP.PROP.CHANGED_BY	\N
196	CHANGED_AT	DS.PROPERTY.CHANGED_AT	READONLY	\N	63	\N	\N	DS.HP.PROP.CHANGED_AT	\N
197	CLNDR_DISP_COL	DS.PROPERTY.CLNDR_DISP_COL	COLUMN_SELECTOR	\N	2	\N	\N	DS.HP.PROP.CLNDR_DISP_COL	\N
15	REG_SOURCE_TYPE	DS.PROPERTY.REG_SOURCE_TYPE	SELECT	\N	31	\N	\N	DS.HP.PROP.REG_SOURCE_TYPE	\N
16	SOURCE_SQL	DS.PROPERTY.SOURCE_SQL	SQL_EDITOR	\N	31	\N	\N	DS.HP.PROP.SOURCE_SQL	\N
17	SOURCE_INPUT	DS.PROPERTY.SOURCE_INPUT	QUERY_PARAMS	,	31	\N	\N	DS.HP.PROP.SOURCE_INPUT	\N
18	ENABLE_SEARCH	DS.PROPERTY.ENABLE_SEARCH	SWITCHER	\N	34	\N	\N	DS.HP.PROP.ENABLE_SEARCH	\N
19	ENABLE_PAGINATION	DS.PROPERTY.ENABLE_PAGINATION	SWITCHER	\N	34	\N	\N	DS.HP.PROP.ENABLE_PAGINATION	\N
20	ENABLE_HEADERS	DS.PROPERTY.ENABLE_HEADERS	SWITCHER	\N	34	\N	\N	DS.HP.PROP.ENABLE_HEADERS	\N
21	ROW_LIMIT	DS.PROPERTY.ROW_LIMIT	INT_NUMBER	\N	36	\N	\N	DS.HP.PROP.ROW_LIMIT	\N
22	REPORT_APPEARANCE	DS.PROPERTY.REPORT_APPEARANCE	SELECT	\N	34	STATIC	\N	DS.HP.PROP.REPORT_APPEARANCE	\N
23	COLUMN_NAME	DS.PROPERTY.COLUMN_NAME	TEXT	\N	1	\N	\N	DS.HP.PROP.COLUMN_NAME	\N
24	COLUMN_HEADING	DS.PROPERTY.COLUMN_HEADING	TEXT	\N	28	\N	\N	DS.HP.PROP.COLUMN_HEADING	\N
25	COLUMN_TYPE	DS.PROPERTY.COLUMN_TYPE	SELECT	\N	1	STATIC	\N	DS.HP.PROP.COLUMN_TYPE	\N
26	LINK_TARGET	DS.PROPERTY.LINK_TARGET	LINK	\N	58	\N	\N	DS.HP.PROP.LINK_TARGET	\N
27	COLUMN_FORMAT	DS.PROPERTY.COLUMN_FORMAT	TEXT_AREA	\N	50	\N	\N	DS.HP.PROP.COLUMN_FORMAT	\N
28	LINK_ICON	DS.PROPERTY.LINK_ICON	TEXT	\N	58	\N	\N	DS.HP.PROP.LINK_ICON	\N
29	COLUMN_SORT	DS.PROPERTY.COLUMN_SORT	SWITCHER	\N	51	\N	\N	DS.HP.PROP.COLUMN_SORT	\N
8	REGION_POSITION	DS.PROPERTY.REGION_POSITION	POSITION_SELECTOR	\N	36	\N	\N	DS.HP.PROP.REGION_POSITION	\N
6	CSS_INLINE	DS.PROPERTY.CSS_INLINE	CSS_EDITOR	\N	7	\N	\N	DS.HP.PROP.CSS_INLINE	\N
30	COLUMN_SEARCH	DS.PROPERTY.COLUMN_SEARCH	SWITCHER	\N	51	\N	\N	DS.HP.PROP.COLUMN_SEARCH	\N
31	COLUMN_ALIGNMENT	DS.PROPERTY.COLUMN_ALIGNMENT	PILL_BUTTONS	\N	36	\N	\N	DS.HP.PROP.COLUMN_ALIGNMENT	\N
32	FORMAT_MASK	DS.PROPERTY.FORMAT_MASK	TEXT	\N	34	\N	\N	DS.HP.PROP.FORMAT_MASK	\N
33	COLUMN_WIDTH	DS.PROPERTY.COLUMN_WIDTH	TEXT	\N	21	\N	\N	DS.HP.PROP.COLUMN_WIDTH	\N
34	LABEL	DS.PROPERTY.LABEL	TEXT	\N	28	\N	\N	DS.HP.PROP.LABEL	\N
36	REGION	DS.PROPERTY.REGION	FORM_SELECTOR	\N	36	\N	\N	DS.HP.PROP.REGION	\N
37	GRID_NEW_ROW	DS.PROPERTY.GRID_NEW_ROW	SWITCHER	\N	36	\N	\N	DS.HP.PROP.GRID_NEW_ROW	\N
38	GRID_COLUMN_SPAN	DS.PROPERTY.GRID_COLUMN_SPAN	SELECT	\N	36	STATIC	\N	DS.HP.PROP.GRID_COLUMN_SPAN	\N
39	VALUE_REQUIRED	DS.PROPERTY.VALUE_REQUIRED	SWITCHER	\N	32	\N	\N	DS.HP.PROP.VALUE_REQUIRED	\N
40	ELEMENT_MAX_CHARACTERS	DS.PROPERTY.ELEMENT_MAX_CHARACTERS	INT_NUMBER	\N	34	\N	\N	DS.HP.PROP.ELEMENT_MAX_CHARACTERS	\N
41	ELEMENT_VALUE_PLACEHOLDER	DS.PROPERTY.ELEMENT_VALUE_PLACEHOLDER	TEXT	\N	34	\N	\N	DS.HP.PROP.ELEMENT_VALUE_PLACEHOLDER	\N
42	ELEMENT_LOV	DS.PROPERTY.ELEMENT_LOV	SQL_EDITOR	\N	29	\N	\N	DS.HP.PROP.ELEMENT_LOV	\N
199	CLNDR_START_COL	DS.PROPERTY.CLNDR_START_COL	COLUMN_SELECTOR	\N	2	\N	\N	DS.HP.PROP.CLNDR_START_COL	\N
201	CLNDR_HEIGHT	DS.PROPERTY.CLNDR_HEIGHT	INT_NUMBER	\N	2	\N	\N	DS.HP.PROP.CLNDR_HEIGHT	\N
200	CLNDR_END_COL	DS.PROPERTY.CLNDR_END_COL	COLUMN_SELECTOR	\N	2	\N	\N	DS.HP.PROP.CLNDR_END_COL	\N
204	CLNDR_SHOW_TIME	DS.PROPERTY.CLNDR_SHOW_TIME	SWITCHER	\N	2	\N	\N	DS.HP.PROP.CLNDR_SHOW_TIME	\N
205	CLNDR_TOOLTIP	DS.PROPERTY.CLNDR_TOOLTIP	SWITCHER	\N	2	\N	\N	DS.HP.PROP.CLNDR_TOOLTIP	\N
206	CLNDR_WEEKEND	DS.PROPERTY.CLNDR_WEEKEND	SWITCHER	\N	2	\N	\N	DS.HP.PROP.CLNDR_WEEKEND	\N
207	CLNDR_VIEW_LINK	DS.PROPERTY.CLNDR_VIEW_LINK	LINK	\N	2	\N	\N	DS.HP.PROP.CLNDR_VIEW_LINK	\N
202	CLNDR_VIEWS	DS.PROPERTY.CLNDR_VIEWS	MULTISELECT	,	2	STATIC	\N	DS.HP.PROP.CLNDR_VIEWS	\N
228	RPT_GEN_COLS	DS.PROPERTY.RPT_GEN_COLS	SWITCHER	\N	31	\N	\N	DS.PROPERTY.RPT_GEN_COLS	\N
229	RPT_GEN_COLS_CNT	DS.PROPERTY.RPT_GEN_COLS_CNT	INT_NUMBER	\N	31	\N	\N	DS.PROPERTY.RPT_GEN_COLS_CNT	\N
48	DEFAULT_VALUE_INPUT	DS.PROPERTY.DEFAULT_VALUE_INPUT	ITEM_SELECTOR	,	25	\N	\N	DS.HP.PROP.DEFAULT_VALUE_INPUT	\N
49	CONDITION_TYPE	DS.PROPERTY.CONDITION_TYPE	SELECT	\N	17	DYNAMIC	select t.cond_display, t.cond_code from dict.t_condition_types t where t.is_condition	DS.HP.PROP.CONDITION_TYPE	\N
50	CONDITION_FIRST_SQL	DS.PROPERTY.CONDITION_FIRST	SQL_EDITOR	\N	17	\N	\N	DS.HP.PROP.CONDITION_FIRST_SQL	\N
51	CONDITION_FIRST_INPUT	DS.PROPERTY.CONDITION_FIRST_INPUT	QUERY_PARAMS	,	17	\N	\N	DS.HP.PROP.CONDITION_FIRST_INPUT	\N
52	CONDITION_SECOND	DS.PROPERTY.CONDITION_SECOND	TEXT	\N	17	\N	\N	DS.HP.PROP.CONDITION_SECOND	\N
53	CONDITION_SECOND_INPUT	DS.PROPERTY.CONDITION_SECOND_INPUT	ITEM_SELECTOR	,	17	\N	\N	DS.HP.PROP.CONDITION_SECOND_INPUT	\N
54	LIST_SELECTOR	DS.PROPERTY.LIST_SELECTOR	SELECT	\N	31	DYNAMIC	select s.name, s.id::varchar from list.t_lists s 	DS.HP.PROP.LIST_SELECTOR	\N
55	PARENT_REGION	DS.PROPERTY.PARENT_REGION	REGION_SELECTOR	\N	36	\N	\N	DS.HP.PROP.PARENT_REGION	\N
35	ITEM_TYPE	DS.PROPERTY.ITEM_TYPE	SELECT	\N	1	STATIC	\N	DS.HP.PROP.ITEM_TYPE	\N
162	READ_ONLY_TYPE	DS.PROPERTY.READ_ONLY_TYPE	SELECT	\N	14	DYNAMIC	select t.cond_display, t.cond_code from dict.t_condition_types t where t.is_condition	DS.HP.PROP.READ_ONLY_TYPE	\N
163	READ_ONLY_FIRST_SQL	DS.PROPERTY.READ_ONLY_FIRST	SQL_EDITOR	\N	14	\N	\N	DS.HP.PROP.READ_ONLY_FIRST_SQL	\N
164	READ_ONLY_FIRST_INPUT	DS.PROPERTY.READ_ONLY_FIRST_INPUT	QUERY_PARAMS	,	14	\N	\N	DS.HP.PROP.READ_ONLY_FIRST_INPUT	\N
165	READ_ONLY_SECOND	DS.PROPERTY.READ_ONLY_SECOND	TEXT	\N	14	\N	\N	DS.HP.PROP.READ_ONLY_SECOND	\N
166	READ_ONLY_SECOND_INPUT	DS.PROPERTY.READ_ONLY_SECOND_INPUT	ITEM_SELECTOR	,	14	\N	\N	DS.HP.PROP.READ_ONLY_SECOND_INPUT	\N
65	CONDITION_FIRST_ITEM	DS.PROPERTY.CONDITION_FIRST_ITEM	ITEM_SELECTOR	\N	17	\N	\N	DS.HP.PROP.CONDITION_FIRST_ITEM	\N
66	BUTTON_POSITION_REGION	DS.PROPERTY.BUTTON_POSITION_REGION	SELECT	\N	36	DYNAMIC	select descr, position from dict.t_button_positions where location = 'REGION'	DS.HP.PROP.BUTTON_POSITION_REGION	\N
67	BUTTON_POSITION_ITEM	DS.PROPERTY.BUTTON_POSITION_ITEM	SELECT	\N	36	DYNAMIC	select descr, position from dict.t_button_positions where location = 'ITEM'	DS.HP.PROP.BUTTON_POSITION_ITEM	\N
68	BUTTON_LOCATION	DS.PROPERTY.BUTTON_LOCATION	BUTTON_LOCATION	\N	36	\N	\N	DS.HP.PROP.BUTTON_LOCATION	\N
69	BUTTON_ACTION	DS.PROPERTY.BUTTON_ACTION	SELECT	\N	33	STATIC	\N	DS.HP.PROP.BUTTON_ACTION	\N
70	BUTTON_ITEM	DS.PROPERTY.BUTTON_ITEM	FORM_ITEM_SELECTOR	\N	36	STATIC	\N	DS.HP.PROP.BUTTON_ITEM	\N
71	DEFAULT_VALUE_SQL	DS.PROPERTY.DEFAULT_VALUE_SQL	SQL_EDITOR	\N	25	\N	\N	DS.HP.PROP.DEFAULT_VALUE_SQL	\N
72	PROCESS_REQUEST	DS.PROPERTY.PROCESS_REQUEST	TEXT	\N	19	Null	\N	DS.HP.PROP.PROCESS_REQUEST	\N
73	PROCESS_ACCEPT_MODAL	DS.PROPERTY.PROCESS_ACCEPT_MODAL	SWITCHER	\N	19	STATIC	\N	DS.HP.PROP.PROCESS_ACCEPT_MODAL	\N
74	DE_TRIGGER_TYPE	DS.PROPERTY.DE_TRIGGER_TYPE	SELECT	\N	23	STATIC	\N	DS.HP.PROP.DE_TRIGGER_TYPE	\N
75	DE_TRIGGER_ITEM	DS.PROPERTY.DE_TRIGGER_ITEM	ITEM_SELECTOR	\N	23	\N	\N	DS.HP.PROP.DE_TRIGGER_ITEM	\N
76	DE_TRIGGER_REGION	DS.PROPERTY.DE_TRIGGER_REGION	REGION_SELECTOR	\N	23	\N	\N	DS.HP.PROP.DE_TRIGGER_REGION	\N
77	DE_TRIGGER_BUTTON	DS.PROPERTY.DE_TRIGGER_BUTTON	BUTTON_SELECTOR	\N	23	\N	\N	DS.HP.PROP.DE_TRIGGER_BUTTON	\N
78	DE_TRIGGER_SELECTOR	DS.PROPERTY.DE_TRIGGER_SELECTOR	TEXT	\N	23	\N	\N	DS.HP.PROP.DE_TRIGGER_SELECTOR	\N
79	DE_BIND_EVENT_TYPE	DS.PROPERTY.DE_BIND_EVENT_TYPE	BIND_EVENT_TYPE_SELECTOR	\N	23	\N	\N	DS.HP.PROP.DE_BIND_EVENT_TYPE	\N
80	DA_EVENT_SELECTOR	DS.PROPERTY.DA_EVENT_SELECTOR	EVENT_SELECTOR	\N	19	\N	\N	DS.HP.PROP.DA_EVENT_SELECTOR	\N
81	DA_INIT_ON_LOAD	DS.PROPERTY.DA_INIT_ON_LOAD	SWITCHER	\N	19	\N	\N	DS.HP.PROP.DA_INIT_ON_LOAD	\N
82	DA_CODE	DS.PROPERTY.DA_CODE	JS_EDITOR	\N	2	\N	\N	DS.HP.PROP.DA_CODE	\N
83	QUERY_COLUMN_ID	DS.PROPERTY.QUERY_COLUMN_ID	HIDDEN	\N	\N	\N	\N	DS.HP.PROP.QUERY_COLUMN_ID	\N
84	CONDITION_FIRST_SQL_EXPR	DS.PROPERTY.CONDITION_FIRST_SQL_EXPR	SQL_EDITOR_BOOL	\N	17	\N	\N	DS.HP.PROP.CONDITION_FIRST_SQL_EXPR	\N
85	REGION_SHOW_HEADER	DS.PROPERTY.REGION_SHOW_HEADER	SWITCHER	\N	34	\N	\N	DS.HP.PROP.REGION_SHOW_HEADER	\N
86	BUTTON_CLASS	DS.PROPERTY.BUTTON_CLASS	TEXT	\N	34	\N	\N	DS.HP.PROP.BUTTON_CLASS	\N
150	VALIDATION_TYPE	DS.PROPERTY.VALIDATION_TYPE	SELECT	\N	32	DYNAMIC	select t.cond_display, t.cond_code from dict.t_condition_types t where t.is_validation	DS.HP.PROP.VALIDATION_TYPE	\N
151	VALIDATION_FIRST_SQL	DS.PROPERTY.VALIDATION_FIRST_SQL	SQL_EDITOR	\N	32	\N	\N	DS.HP.PROP.VALIDATION_FIRST_SQL	\N
152	VALIDATION_FIRST_ITEM	DS.PROPERTY.VALIDATION_FIRST_ITEM	ITEM_SELECTOR	\N	32	\N	\N	DS.HP.PROP.VALIDATION_FIRST_ITEM	\N
153	VALIDATION_FIRST_SQL_BOOL	DS.PROPERTYVALIDATION_FIRST_SQL_BOOL	SQL_EDITOR_BOOL	\N	32	\N	\N	DS.HP.PROP.VALIDATION_FIRST_SQL_BOOL	\N
154	VALIDATION_FIRST_INPUT	DS.PROPERTY.VALIDATION_FIRST_INPUT	QUERY_PARAMS	,	32	\N	\N	DS.HP.PROP.VALIDATION_FIRST_INPUT	\N
155	VALIDATION_SECOND_VALUE	DS.PROPERTY.VALIDATION_SECOND_VALUE	TEXT_AREA	\N	32	\N	\N	DS.HP.PROP.VALIDATION_SECOND_VALUE	\N
156	VALIDATION_ASSOC_ITEM	DS.PROPERTY.VALIDATION_ASSOC_ITEM	INPUT_SELECT_LIST	\N	5	\N	\N	DS.HP.PROP.VALIDATION_ASSOC_ITEM	\N
157	PROCESS_COMMIT	DS.PROPERTY.PROCESS_COMMIT	SWITCHER	\N	19	\N	\N	DS.HP.PROP.PROCESS_COMMIT	\N
159	SOURCE_TEXT	DS.PROPERTY.SOURCE_TEXT	TEXT_AREA	\N	31	\N	\N	DS.HP.PROP.SOURCE_TEXT	\N
161	REPORT_NO_DATA	DS.PROPERTY.REPORT_NO_DATA	TEXT_AREA	\N	69	\N	\N	DS.HP.PROP.REPORT_NO_DATA	\N
167	READ_ONLY_FIRST_ITEM	DS.PROPERTY.READ_ONLY_FIRST_ITEM	ITEM_SELECTOR	\N	14	\N	\N	DS.HP.PROP.READ_ONLY_FIRST_ITEM	\N
168	READ_ONLY_FIRST_SQL_EXPR	DS.PROPERTY.READ_ONLY_FIRST_SQL_EXPR	SQL_EDITOR_BOOL	\N	14	\N	\N	DS.HP.PROP.READ_ONLY_FIRST_SQL_EXPR	\N
173	COLUMN_ASSOC_ITEM	DS.PROPERTY.COLUMN_ASSOC_ITEM	ITEM_SELECTOR	\N	1	\N	\N	DS.HP.PROP.COLUMN_ASSOC_ITEM	\N
174	BRANCH_TYPE	DS.PROPERTY.BRANCH_TYPE	SELECT	\N	33	STATIC	\N	DS.HP.PROP.BRANCH_TYPE	\N
175	BRANCH_POINT	DS.PROPERTY.BRANCH_POINT	SELECT	\N	19	STATIC	\N	DS.HP.PROP.BRANCH_POINT	\N
176	SOURCE_SQL_EXT	DS.PROPERTY.SOURCE_SQL_EXT	COLUMN_SQL_EDITOR	\N	31	\N	\N	DS.HP.PROP.SOURCE_SQL_EXT	\N
177	CHART_TYPE	DS.PROPERTY.CHART_TYPE	SELECT	\N	89	STATIC	\N	DS.HP.PROP.CHART_TYPE	\N
179	CHART_WIDTH	DS.PROPERTY.CHART_WIDTH	INT_NUMBER	\N	36	\N	\N	DS.HP.PROP.CHART_WIDTH	\N
180	CHART_HEIGHT	DS.PROPERTY.CHART_HEIGHT	INT_NUMBER	\N	36	\N	\N	DS.HP.PROP.CHART_HEIGHT	\N
181	CHART_CATEG_COL	DS.PROPERTY.CHART_CATEG_COL	COLUMN_SELECTOR	\N	2	\N	\N	DS.HP.PROP.CHART_CATEG_COL	\N
183	CHART_DYN_LOAD	DS.PROPERTY.CHART_DYN_LOAD	SWITCHER	\N	2	\N	\N	DS.HP.PROP.CHART_DYN_LOAD	\N
184	CHART_SER_VAL_COL	DS.PROPERTY.CHART_SER_VAL_COL	COLUMN_SELECTOR	\N	118	\N	\N	DS.HP.PROP.CHART_SER_VAL_COL	\N
185	CARDS_THEME	DS.PROPERTY.CARDS_THEME	SELECT	\N	34	STATIC	\N	DS.HP.PROP.CARDS_THEME	\N
186	CARDS_COLS	DS.PROPERTY.CARDS_COLS	SELECT	\N	34	STATIC	\N	DS.HP.PROP.CARDS_COLS	\N
187	WIZARD_CLICKABLE	DS.PROPERTY.WIZARD_CLICKABLE	SWITCHER	\N	34	\N	\N	DS.HP.PROP.WIZARD_CLICKABLE	\N
188	WIZARD_LABEL	DS.PROPERTY.WIZARD_LABEL	SELECT	\N	34	STATIC	\N	DS.HP.PROP.WIZARD_LABEL	\N
189	WIZARD_ORIENTATION	DS.PROPERTY.WIZARD_ORIENTATION	SELECT	\N	34	STATIC	\N	DS.HP.PROP.WIZARD_ORIENTATION	\N
190	DWNLD_FNAME_COL	DS.PROPERTY.DWNLD_FNAME_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.DWNLD_FNAME_COL	\N
191	DWNLD_FCONT_COL	DS.PROPERTY.DWNLD_FCONT_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.DWNLD_FCONT_COL	\N
192	DWNLD_MIME_COL	DS.PROPERTY.DWNLD_MIME_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.DWNLD_MIME_COL	\N
193	CONTENT_DISPOSITION	DS.PROPERTY.CONTENT_DISPOSITION	SELECT	\N	2	STATIC	\N	DS.HP.PROP.CONTENT_DISPOSITION	\N
194	REGION_SETTINGS	DS.PROPERTY.REGION_SETTINGS	REGION_SETTINGS	\N	34	\N	\N	DS.HP.PROP.REGION_SETTINGS	\N
210	ENABLE_ACTIONS	DS.PROPERTY.ENABLE_ACTIONS	SWITCHER	\N	34	\N	\N	DS.HP.PROP.ENABLE_ACTIONS	\N
211	DATA_SOURCE	DS.PROPERTY.DATA_SOURCE	SELECT	\N	19	DYNAMIC	select source_name, id::varchar from app.t_data_sources	DS.HP.PROP.DATA_SOURCE	\N
230	COLUMN_GENERIC	DS.PROPERTY.COLUMN_GENERIC	HIDDEN	\N	\N	\N	\N	\N	\N
3	JS_FILE_URLS	DS.PROPERTY.JS_FILE_URLS	TEXT_AREA	\n	13	\N	\N	DS.HP.PROP.JS_FILES	\N
5	CSS_FILE_URLS	DS.PROPERTY.CSS_FILE_URLS	TEXT_AREA	\n	7	\N	\N	DS.HP.PROP.CSS_FILES	\N
233	CHAT_HEIGHT	DS.PROPERTY.CHAT_HEIGHT	TEXT	\N	36	\N	\N	DS.HP.PROP.CHAT_HEIGHT	\N
234	CHAT_MAX_HEIGHT	DS.PROPERTY.CHAT_MAX_HEIGHT	TEXT	\N	36	\N	\N	DS.HP.PROP.CHAT_MAX_HEIGHT	\N
235	ITEM_TOOLTIP	DS.PROPERTY.ITEM_TOOLTIP	TEXT_AREA	\N	11	\N	\N	DS.HP.PROP.ITEM_TOOLTIP	\N
236	REPORT_STRIPES	DS.PROPERTY.REPORT_STRIPES	SWITCHER	\N	36	\N	\N	DS.HP.PROP.REPORT_STRIPES	\N
237	REPORT_HOVER	DS.PROPERTY.REPORT_HOVER	SWITCHER	\N	36	\N	\N	DS.HP.PROP.REPORT_HOVER	\N
239	REPORT_ROW_BORDER	DS.PROPERTY.REPORT_ROW_BORDER	SWITCHER	\N	36	\N	\N	DS.HP.PROP.REPORT_ROW_BORDER	\N
240	REPORT_HEAD_WRAP	DS.PROPERTY.REPORT_HEAD_WRAP	SWITCHER	\N	36	\N	\N	DS.HP.PROP.REPORT_HEAD_WRAP	\N
241	REPORT_CELL_WRAP	DS.PROPERTY.REPORT_CELL_WRAP	SWITCHER	\N	36	\N	\N	DS.HP.PROP.REPORT_CELL_WRAP	\N
238	REPORT_CELL_PADDING	DS.PROPERTY.REPORT_CELL_PADDING	SWITCHER	\N	36	\N	\N	DS.HP.PROP.REPORT_CELL_PADDING	\N
244	CSV_DOWNLOAD_NAME	DS.PROPERTY.CSV_DOWNLOAD_NAME	TEXT	\N	54	\N	\N	DS.HP.PROP.CSV_DOWNLOAD_NAME	\N
242	REPORT_DOWNLOAD	DS.PROPERTY.REPORT_DOWNLOAD	SWITCHER	\N	54	\N	\N	DS.HP.PROP.REPORT_DOWNLOAD	\N
243	CSV_SEPARATOR	DS.PROPERTY.CSV_SEPARATOR	TEXT	\N	54	\N	\N	DS.HP.PROP.CSV_SEPARATOR	1
246	COLUMN_DATA_TYPE	DS.PROPERTY.COLUMN_DATA_TYPE	HIDDEN	\N	\N	\N	\N	\N	\N
247	LINK_TARGET_ATR	DS.PROPERTY.LINK_TARGET_ATR	TEXT	\N	58	\N	\N	DS.HP.PROP.LINK_TARGET_ATR	\N
245	CSV_ENCODING	DS.PROPERTY.CSV_ENCODING	SELECT	\N	54	DYNAMIC	select encoding_name, encoding_name from dict.t_csv_encodings	DS.HP.PROP.CSV_ENCODING	\N
248	LINK_CLASS_ATR	DS.PROPERTY.LINK_CLASS_ATR	TEXT	\N	58	\N	\N	DS.HP.PROP.LINK_CLASS_ATR	\N
249	LINK_TITLE_ATR	DS.PROPERTY.LINK_TITLE_ATR	TEXT	\N	58	\N	\N	DS.HP.PROP.LINK_TITLE_ATR	\N
250	REGION_STORE_STATE	DS.PROPERTY.REGION_STORE_STATE	SWITCHER	\N	34	\N	\N	DS.HP.PROP.REGION_STORE_STATE	\N
251	REGION_STORE_COLAPSED	DS.PROPERTY.REGION_STORE_STATE	SWITCHER	\N	34	\N	\N	DS.HP.PROP.REGION_STORE_STATE	\N
252	CHAT_SCROLL_BOTTOM	DS.PROPERTY.CHAT_SCROLL_BOTTOM	SWITCHER	\N	36	\N	\N	DS.HP.PROP.CHAT_SCROLL_BOTTOM	\N
253	GRID_ENABLE_EDIT	DS.PROPERTY.GRID_ENABLE_EDIT	SWITCHER	\N	112	\N	\N	DS.HP.PROP.GRID_ENABLE_EDIT	\N
254	GRID_EDIT_OPERS	DS.PROPERTY.GRID_EDIT_OPERS	CHECKBOXES	,	112	STATIC	\N	DS.HP.PROP.GRID_EDIT_OPERS	\N
255	GRID_OPER_COLUMN	DS.PROPERTY.GRID_OPER_COLUMN	COLUMN_SELECTOR	\N	112	\N	\N	DS.HP.PROP.GRID_OPER_COLUMN	\N
256	GRID_LOST_UPDATE_TYPE	DS.PROPERTY.GRID_LOST_UPDATE_TYPE	SELECT	\N	112	STATIC	\N	DS.HP.PROP.GRID_LOST_UPDATE_TYPE	\N
257	GRID_ROW_VERSION_COL	DS.PROPERTY.GRID_ROW_VERSION_COL	COLUMN_SELECTOR	\N	112	\N	\N	DS.HP.PROP.GRID_ROW_VERSION_COL	\N
258	GRID_ADD_ROW_ON_EMPTY	DS.PROPERTY.GRID_ADD_ROW_ON_EMPTY	SWITCHER	\N	112	\N	\N	DS.HP.PROP.GRID_ADD_ROW_ON_EMPTY	\N
259	GRID_INSER_AUTH	DS.PROPERTY.GRID_INSER_AUTH	SELECT	\N	113	DYNAMIC	SELECT name, id::varchar FROM app.t_authorization_schemes	DS.HP.PROP.GRID_INSER_AUTH	\N
260	GRID_UPDATE_AUTH	DS.PROPERTY.GRID_UPDATE_AUTH	SELECT	\N	113	DYNAMIC	SELECT name, id::varchar FROM app.t_authorization_schemes	DS.HP.PROP.GRID_UPDATE_AUTH	\N
261	GRID_DELETE_AUTH	DS.PROPERTY.GRID_DELETE_AUTH	SELECT	\N	113	DYNAMIC	SELECT name, id::varchar FROM app.t_authorization_schemes	DS.HP.PROP.GRID_DELETE_AUTH	\N
263	GRID_LAZY_LOADING	DS.PROPERTY.GRID_LAZY_LOADING	SWITCHER	\N	115	\N	\N	DS.HP.PROP.GRID_LAZY_LOADING	\N
264	GRID_NULL_VALUES	DS.PROPERTY.GRID_NULL_VALUES	TEXT	\N	34	\N	\N	DS.HP.PROP.GRID_NULL_VALUES	20
265	GRID_SELECT_FIRST	DS.PROPERTY.GRID_SELECT_FIRST	SWITCHER	\N	34	\N	\N	DS.HP.PROP.GRID_SELECT_FIRST	\N
266	GRID_FIXED_ROW_HEIGHT	DS.PROPERTY.GRID_FIXED_ROW_HEIGHT	SWITCHER	\N	34	\N	\N	DS.HP.PROP.GRID_FIXED_ROW_HEIGHT	\N
267	GRID_SHOW_TOOLBAR	DS.PROPERTY.GRID_SHOW_TOOLBAR	SWITCHER	\N	114	\N	\N	DS.HP.PROP.GRID_SHOW_TOOLBAR	\N
268	GRID_CONTROLS	DS.PROPERTY.GRID_CONTROLS	CHECKBOXES	,	114	STATIC	\N	DS.HP.PROP.GRID_CONTROLS	\N
269	GRID_COL_DATA_TYPE	DS.PROPERTY.GRID_COL_DATA_TYPE	SELECT	\N	31	STATIC	\N	DS.HP.PROP.GRID_COL_DATA_TYPE	\N
270	GRID_COL_TYPE	DS.PROPERTY.GRID_COL_TYPE	SELECT	\N	1	STATIC	\N	DS.HP.PROP.GRID_COL_TYPE	\N
272	READ_ONLY_EXECUTE_SCOPE	DS.PROPERTY.READ_ONLY_EXECUTE_SCOPE	SELECT	\N	14	STATIC	\N	DS.HP.PROP.READ_ONLY_EXECUTE_SCOPE	\N
273	CONDITION_EXECUTE_SCOPE	DS.PROPERTY.CONDITION_EXECUTE_SCOPE	SELECT	\N	17	STATIC	\N	DS.HP.PROP.CONDITION_EXECUTE_SCOPE	\N
274	GRID_SELECT	DS.PROPERTY.GRID_SELECTOR	GRID_SELECTOR	\N	19	\N	\N	DS.HP.PROP.GRID_SELECTOR	\N
275	VALIDATION_ASSOC_COL	DS.PROPERTY.VALIDATION_ASSOC_COL	GRID_COLUMN_LIST	\N	5	\N	\N	DS.HP.PROP.VALIDATION_ASSOC_COL	\N
276	GRID_PROC_UPDATE	DS.PROPERTY.GRID_PROC_UPDATE	SQL_EDITOR	\N	19	STATIC	\N	DS.HP.PROP.GRID_PROC_UPDATE	\N
277	GRID_PROC_DELETE	DS.PROPERTY.GRID_PROC_DELETE	SQL_EDITOR	\N	19	\N	\N	DS.HP.PROP.GRID_PROC_DELETE	\N
278	GRID_PROC_INSERT	DS.PROPERTY.GRID_PROC_INSERT	SQL_EDITOR	\N	19	\N	\N	DS.HP.PROP.GRID_PROC_INSERT	\N
281	VALIDATION_FIRST_INPUT_COLUMN	DS.PROPERTY.VALIDATION_FIRST_INPUT_COLUMN	GRID_QUERY_PARAMS	,	32	\N	\N	DS.HP.PROP.VALIDATION_FIRST_INPUT_COLUMN	\N
271	COLUMN_HEADING_ALIGN	DS.PROPERTY.COLUMN_HEADING_ALIGN	PILL_BUTTONS	\N	28	STATIC	\N	DS.HP.PROP.COLUMN_HEADING_ALIGN	\N
299	TILES_THEME	DS.PROPERTY.TILES_THEME	SELECT	\N	34	STATIC	\N	DS.HP.PROP.TILES_THEME	\N
300	TILES_COLUMNS	DS.PROPERTY.TILES_COLUMNS	SELECT	\N	34	STATIC	\N	DS.HP.PROP.TILES_COLUMNS	\N
301	TILES_VIEW	DS.PROPERTY.TILES_VIEW	SELECT	\N	34	STATIC	\N	DS.HP.PROP.TILES_VIEW	\N
282	GRID_COLUMN_SOURCE	DS.PROPERTY.GRID_COLUMN_SOURCE	COLUMN_SELECTOR	\N	31	\N	\N	DS.HP.PROP.GRID_COLUMN_SOURCE	\N
284	GRID_PROC_INSERT_INPUT	DS.PROPERTY.GRID_PROC_INSERT_INPUT	GRID_QUERY_PARAMS	,	19	STATIC	\N	DS.HP.PROP.GRID_PROC_INSERT_INPUT	\N
285	GRID_PROC_INSERT_OUTPUT	DS.PROPERTY.GRID_PROC_INSERT_OUTPUT	GRID_QUERY_PARAMS	,	19	STATIC	\N	DS.HP.PROP.GRID_PROC_INSERT_OUTPUT	\N
287	GRID_PROC_UPDATE_OUTPUT	DS.PROPERTY.GRID_PROC_UPDATE_OUTPUT	GRID_QUERY_PARAMS	,	19	STATIC	\N	DS.HP.PROP.GRID_PROC_UPDATE_OUTPUT	\N
303	TILES_ICON_CONTRAST	DS.PROPERTY.TILES_ICON_CONTRAST	SWITCHER	\N	34	STATIC	\N	DS.HP.PROP.TILES_ICON_CONTRAST	\N
279	GRID_PROC_DELETE_INPUT	DS.PROPERTY.GRID_PROC_DELETE_INPUT	GRID_QUERY_PARAMS	,	19	\N	\N	DS.HP.PROP.GRID_PROC_DELETE_INPUT	\N
280	GRID_PROC_DELETE_OUTPUT	DS.PROPERTY.GRID_PROC_DELETE_OUTPUT	GRID_QUERY_PARAMS	,	19	STATIC	\N	DS.HP.PROP.GRID_PROC_DELETE_OUTPUT	\N
286	GRID_PROC_UPDATE_INPUT	DS.PROPERTY.GRID_PROC_UPDATE_INPUT	GRID_QUERY_PARAMS	,	19	STATIC	\N	DS.HP.PROP.GRID_PROC_UPDATE_INPUT	\N
288	GRID_COL_PK	DS.PROPERTY.GRID_COL_PK	SWITCHER	\N	31	\N	\N	DS.HP.PROP.GRID_COL_PK	\N
289	GRID_PROC_LOCK_ROWS	DS.PROPERTY.GRID_PROC_LOCK_ROWS	SWITCHER	\N	19	\N	\N	DS.HP.PROP.GRID_PROC_LOCK_ROWS	\N
290	GRID_PROC_LOST_UPDATE	DS.PROPERTY.GRID_PROC_LOST_UPDATE	SWITCHER	\N	19	\N	\N	DS.HP.PROP.GRID_PROC_LOST_UPDATE	\N
291	GRID_COL_LINK_TEXT	DS.PROPERTY.GRID_COL_LINK_TEXT	TEXT	\N	58	\N	\N	DS.HP.PROP.GRID_COL_LINK_TEXT	\N
292	GRID_COL_SETTINGS	DS.PROPERTY.GRID_COL_SETTINGS	COLUMN_SETTINGS	\N	34	\N	\N	DS.HP.PROP.GRID_COL_SETTINGS	\N
293	CHECKBOX_CHECKED_VALUE	DS.PROPERTY.CHECKBOX_CHECKED_VALUE	TEXT	\N	2	\N	\N	DS.HP.PROP.CHECKBOX_CHECKED_VALUE	\N
294	CHECKBOX_UNCHECKED_VALUE	DS.PROPERTY.CHECKBOX_UNCHECKED_VALUE	TEXT	\N	2	\N	\N	DS.HP.PROP.CHECKBOX_UNCHECKED_VALUE	\N
295	SWITCH_ON_VALUE	DS.PROPERTY.SWITCH_ON_VALUE	TEXT	\N	2	\N	\N	DS.HP.PROP.SWITCH_ON_VALUE	\N
296	SWITCH_ON_LABEL	DS.PROPERTY.SWITCH_ON_LABEL	TEXT	\N	2	\N	\N	DS.HP.PROP.SWITCH_ON_LABEL	\N
297	SWITCH_OFF_VALUE	DS.PROPERTY.SWITCH_OFF_VALUE	TEXT	\N	2	\N	\N	DS.HP.PROP.SWITCH_OFF_VALUE	\N
298	SWITCH_OFF_LABEL	DS.PROPERTY.SWITCH_OFF_LABEL	TEXT	\N	2	\N	\N	DS.HP.PROP.SWITCH_OFF_LABEL	\N
304	TILES_TITLE_COL	DS.PROPERTY.TILES_TITLE_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.TILES_TITLE_COL	\N
305	TILES_TEXT_COL	DS.PROPERTY.TILES_TEXT_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.TILES_TEXT_COL	\N
306	TILES_DESC_COL	DS.PROPERTY.TILES_DESC_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.TILES_DESC_COL	\N
307	TILES_ICON_COL	DS.PROPERTY.TILES_ICON_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.TILES_ICON_COL	\N
308	TILES_COLOR_COL	DS.PROPERTY.TILES_COLOR_COL	COLUMN_SELECTOR	\N	2	STATIC	\N	DS.HP.PROP.TILES_COLOR_COL	\N
302	TILES_ALIGN	DS.PROPERTY.TILES_ALIGN	PILL_BUTTONS	\N	34	STATIC	\N	DS.HP.PROP.TILES_ALIGN	\N
309	SORCE_HTML	DS.PROPERTY.SOURCE_HTML	HTML_EDITOR	\N	31	STATIC	\N	DS.HP.PROP.SOURCE_HTML	\N
310	SOURCE_HTML_SQL	DS.PROPERTY.SOURCE_SQL	SQL_EDITOR	\N	31	\N	\N	DS.HP.PROP.SOURCE_SQL	\N
311	SOURCE_HTML_INPUT	DS.PROPERTY.SOURCE_INPUT	QUERY_PARAMS	,	31	\N	\N	DS.HP.PROP.SOURCE_INPUT	\N
313	AUTH_TYPE	DS.PROPERTY.AUTH_TYPE	SELECT	\N	1	STATIC	\N	DS.HP.PROP.AUTH_TYPE	\N
312	AUTH_NAME_LDAP	DS.PROPERTY.AUTH_NAME_LDAP	SELECT	\N	1	DYNAMIC	select l.auth_name, l.auth_name from app.t_auth_list l where l.auth_type = 'LDAP'	DS.HP.PROP.AUTH_NAME_LDAP	\N
314	AUTH_NAME_MICROSOFT_LDAP	DS.PROPERTY.AUTH_NAME_MICROSOFT_LDAP	SELECT	\N	1	DYNAMIC	select l.auth_name, l.auth_name from app.t_auth_list l where l.auth_type = 'MICROSOFT_LDAP'	DS.HP.PROP.AUTH_NAME_MICROSOFT_LDAP	\N
315	AUTH_NAME_OIDC	DS.PROPERTY.AUTH_NAME_OIDC	SELECT	\N	1	DYNAMIC	select l.auth_name, l.auth_name from app.t_auth_list l where l.auth_type = 'OIDC'	DS.HP.PROP.AUTH_NAME_OIDC	\N
316	AUTH_NAME_KERBEROS_SSO	DS.PROPERTY.AUTH_NAME_KERBEROS_SSO	SELECT	\N	1	DYNAMIC	select l.auth_name, l.auth_name from app.t_auth_list l where l.auth_type = 'KERBEROS_SSO'	DS.HP.PROP.AUTH_NAME_KERBEROS_SSO	\N
317	AUTH_SQL_CUSTOM	DS.PROPERTY.AUTH_SQL_CUSTOM	SQL_EDITOR	\N	31	STATIC	\N	DS.HP.PROP.AUTH_SQL_CUSTOM	\N
318	AUTH_SQL_POST_LOGIN	DS.PROPERTY.AUTH_SQL_POST_LOGIN	SQL_EDITOR	\N	31	STATIC	\N	DS.HP.PROP.AUTH_SQL_POST_LOGIN	\N
319	AUTH_SQL_INPUT	DS.PROPERTY.AUTH_SQL_INPUT	QUERY_PARAMS	,	31	STATIC	\N	DS.HP.PROP.AUTH_SQL_INPUT	\N
321	AUTH_LDAP_PASS	DS.PROPERTY.AUTH_LDAP_PASS	INPUT_SELECT_LIST	\N	31	STATIC	\N	DS.HP.PROP.AUTH_LDAP_PASS	\N
320	AUTH_LDAP_USER	DS.PROPERTY.AUTH_LDAP_USER	INPUT_SELECT_LIST	\N	31	STATIC	\N	DS.HP.PROP.AUTH_ITEM_SELECTOR	\N
322	VALIDATION_FIRST_GRID_COL	DS.PROPERTY.VALIDATION_FIRST_GRID_COL	GRID_COLUMN_SELECT	\N	32	\N	\N	DS.HP.PROP.VALIDATION_FRIRST_GRID_COL	\N
323	REPORT_DOWNLOAD_FORMATS	DS.PROPERTY.REPORT_DOWNLOAD_FORMATS	CHECKBOXES	,	54	STATIC	\N	DS.HP.PROP.REPORT_DOWNLOAD_FORMATS	\N
324	TRIM_SPACES	DS.PROPERTY.TRIM_SPACES	SELECT	\N	19	STATIC	\N	DS.HP.PROP.TRIM_SPACES	\N
\.


--
-- Data for Name: t_global_items; Type: TABLE DATA; Schema: item; Owner: xrad_user
--

COPY item.t_global_items (item_name, is_temp, built_in, commentary, id, protection_level, created_by, created_on, last_updated_by, last_updated_on) FROM stdin;
UNREAD_NOTIFICATIONS	f	f	Непрочитанные уведомления (Глобальные процессы)	33fc9b09-8183-48b0-9025-6331fcc3f66a	N	\N	\N	\N	\N
REQUEST	t	t	\N	aa9a9d49-8744-4aba-9fb3-20e602f2a04d	N	\N	\N	\N	\N
PAGE	t	t	\N	d61844cb-b4e0-48c6-b784-ea3fa72d71e7	N	\N	\N	\N	\N
RESPONSE	t	t	\N	cf071acd-6e9f-45a1-a2f0-747f58cda674	N	\N	\N	\N	\N
G01	t	t	\N	213782a6-a9b4-4f7a-b2c9-f26e84b06b77	N	\N	\N	\N	\N
G02	t	t	\N	4ca98657-f9c4-4911-812a-33f77df78c1a	N	\N	\N	\N	\N
G03	t	t	\N	a2fd35d9-ea18-46d9-92be-737082bc69fa	N	\N	\N	\N	\N
G04	t	t	\N	07163921-aebe-4f4c-8900-bc5956a4c846	N	\N	\N	\N	\N
G05	t	t	\N	63a95a33-1ce4-4a87-9bde-caf73242c2b3	N	\N	\N	\N	\N
G06	t	t	\N	62370414-749e-4705-a7e1-126f8af4720c	N	\N	\N	\N	\N
G07	t	t	\N	aaaa8f26-c937-4bfc-8c8b-2428ff6d4c20	N	\N	\N	\N	\N
G08	t	t	\N	83371c12-8baa-4d17-9319-10123ee1d8ea	N	\N	\N	\N	\N
G09	t	t	\N	fadd1618-7e0d-44b8-b222-4b823dbc75eb	N	\N	\N	\N	\N
G10	t	t	\N	ff78282d-386c-4025-9dc5-3b43ff9930d2	N	\N	\N	\N	\N
APP_USER	f	t	\N	e00f1ba3-d888-4ad4-a403-4d3d4eec67fe	R	\N	\N	\N	\N
SESSION	f	t	\N	c58020db-45dd-4964-a07d-3c57e513f84e	R	\N	\N	\N	\N
PAGE_ID	t	t	\N	fc8019a7-8772-4bcd-889a-f33d394a999e	R	\N	\N	\N	\N
CGI_FORWARDED_FOR	t	t	\N	f78e9dbe-81f1-4c65-bdf4-716c5f421def	R	\N	\N	\N	\N
CGI_FORWARDED_IP	t	t	\N	50f3d981-e7e1-4b27-a9c6-83a5fe8528a4	R	\N	\N	\N	\N
CGI_REAL_IP	t	t	\N	e557c57a-1140-4b4f-9a7f-656cb6eb8f52	R	\N	\N	\N	\N
AFTER_LOGIN_URL	f	t	\N	2a99cf2d-1a15-4a56-9972-1fa2e27fb378	R	\N	\N	\N	\N
OIDC_PROVIDER	f	t	\N	90b5df4c-e6e5-4cb1-b5ee-1336641a320a	R	\N	\N	\N	\N
OIDC_PKCE	f	t	\N	fb8d0d7e-78e4-444a-adfb-90a21dcb89f5	R	\N	\N	\N	\N
OIDC_REFRESH_TOKEN	f	t	\N	28c502ad-315b-41fa-bf66-2284ba2c3081	R	\N	\N	\N	\N
APP_USER_GROUPS	f	t	\N	97b0e707-1802-40c2-86f1-14f0af0af19d	R	\N	\N	\N	\N
\.


--
-- Data for Name: t_page_items; Type: TABLE DATA; Schema: item; Owner: xrad_user
--

COPY item.t_page_items (id, id_page, id_region, name, type, label, placeholder, required, lov, lov_input, is_temp, default_value_type, default_value, default_input, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, col_span, seq, mask, js_settings, max_length, start_new_row, read_only_type, read_only_first, read_only_first_input, read_only_second, read_only_second_input, created_by, created_on, last_updated_by, last_updated_on, id_source, upload_sources, tooltip, protection_level, trim_spaces) FROM stdin;
50c7f163-b3f8-4f5f-841c-de18284bc928	0afeb069-1c8f-4f63-98d6-d13eab2ed343	82793cf8-595b-4022-a972-29683d230c91	P3010_CODE	TEXT	Код	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	2	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
01d86871-ae73-43eb-847f-83a35ce777dc	0afeb069-1c8f-4f63-98d6-d13eab2ed343	82793cf8-595b-4022-a972-29683d230c91	P3010_NAME	TEXT	Параметр	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	3	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
905b31c7-f336-4146-8c77-c49f8c392eb9	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	1bd5c922-77b7-498f-a3ad-e8485444231f	P9000_BOOL_ITEMS	SELECT	Пройти валидацию?	\N	f	SELECT 'Да' value, True code\nUNION ALL\nSELECT 'Нет', False	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-06-17 12:00:40.864772	10	\N	\N	N	\N
5e723cf3-2455-446c-8d7c-3c766923e915	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	0b270bc4-a6fc-4e50-aea6-d8b778f52314	P7300_CONTROL_SUM	TEXT	Пример контрольной суммы	\N	f	\N	\N	f	STATIC	&cs=4825bc2e8de876595d5a36bccc89891b415e2575f45833cc5df786c000e24308	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-09 06:58:34.579248	10	\N	\N	N	\N
a3fef390-4eed-414b-a276-c12ac9ed6ffe	55cebbf2-83f2-476d-bb93-79a0a0681374	\N	P6301_SQL	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-05 04:05:22.987666	10	\N	\N	N	\N
97daffbb-7a96-45ad-a4cf-46b4613bb464	55cebbf2-83f2-476d-bb93-79a0a0681374	\N	P6301_ID_LIST	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-05 04:13:53.622284	10	\N	\N	N	\N
385752e2-dcbd-4ae0-81d2-f7e3de789f55	abea137b-d0a9-4bab-82cb-9de6b820aa29	c2793a3c-58d0-4535-8d37-34443135bbe1	P1116_ID_PARENT	AUTOCOMPLETE	Головное отделение	\N	t	with recursive z as (\r\n   select d.id from dep.t_departments d where d.id = $1\r\n   union all\r\n   select d.id from dep.t_departments d, z where d.id_fk = z.id),   \r\n x as (\r\n   select d.id ,d.name::TEXT from dep.t_departments d where d.code = 'ORG'\r\n   union all\r\n   select d.id, x.name||'/'||d.name \r\n   from dep.t_departments d , x \r\n   where d.id_fk = x.id)\r\nselect x.name,x.id from x where x.id not in (select z.id from z)	{P1116_ID}	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
a8764577-6dec-4ad4-a4c9-92fbf69ffe78	aee8cb58-83f0-4626-9cca-c1eacf279c23	73bbc3fe-4ead-4c01-b2a4-4c27efe78702	P5101_TEXTAREA3	TEXT_AREA	Текстовое поле высотой в две строки, только чтение	\N	t	\N	\N	f	STATIC	1 строка\r\n2 строка	\N	ALWAYS	\N	\N	\N	\N	12	29	\N	{\r\n                                "rows": 2\r\n                            }	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
d7cdc123-e0da-43d9-984f-7904d5612b27	ac59d725-9e81-4f45-893f-1ffd64fd6846	15395fbd-625f-432e-94ed-fc90f3c249e7	P5210_CURR_CALLS	TEXT	Отправлено в последний раз	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-11 13:14:51.561196	10	\N	\N	N	\N
d1b90b6c-d942-4f1f-ad9b-e24933ed5941	ac59d725-9e81-4f45-893f-1ffd64fd6846	15395fbd-625f-432e-94ed-fc90f3c249e7	P5210_TOTAL_CALLS	TEXT	Всего отправлено	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-11 13:14:51.561235	10	\N	\N	N	\N
28d10ddf-098c-4cc0-969d-9f41bd7d22d4	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	636837a6-04ef-403b-aabe-46f25a03e0fd	P9050_NULL_OR_NOT_IZVTT	TEXT	Поле ввода 2	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:09:21.919417	10	\N	\N	N	\N
bf7610d9-d17c-4dca-9700-dffca47788c3	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c7bbb86b-d14c-4f1f-981f-6d8a6c9aab26	P9050_QUERY_IS_ZERO_OBLIW_J8BJR	TEXT_AREA	SELECT-запрос (проверка количества строк в запросе) 2 2	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 3,\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:25:44.991789	10	\N	\N	N	\N
06c3a4be-8c3c-4263-8000-7e5764095bdb	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c7bbb86b-d14c-4f1f-981f-6d8a6c9aab26	P9050_ROW_COUNT 2 2	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:25:44.991806	10	\N	\N	N	\N
2b7fd913-0a84-4d68-b8ad-335a02d44375	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N13	TEXT	\N	Число 13	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
07965ebd-1ba4-4c58-b513-8ef6412a9cb1	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	10f14b5a-9e78-4432-b96e-07b46e180fc2	P9000_MAIL	TEXT	Электронная почта	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 06:07:22.431926	10	\N	\N	N	\N
67350445-a3fd-4ffa-9679-59dedc78c497	0afeb069-1c8f-4f63-98d6-d13eab2ed343	bd84d03f-137e-4a56-9c4c-e2f7f8699e6d	P3010_DESC1	TEXT	\N	Параметр № 1 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
b8af4bb0-7e77-4555-aab9-aa32bef89b61	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C20	TEXT	\N	Строка 20	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
582a60a0-a990-4948-81f9-176859bf017f	aee8cb58-83f0-4626-9cca-c1eacf279c23	bf6b0837-1537-4024-8439-e86c94d1d6b1	P5101_INPUT3_3	TEXT	3 ячейки	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	3	4	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
a9eb2300-4a15-4845-803d-8b4eed01a96f	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	10f14b5a-9e78-4432-b96e-07b46e180fc2	P9000_REGEX	TEXT	Регулярное выражение	\N	f	\N	\N	f	STATIC	^\\S+@\\S+\\.\\S+$	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 06:09:53.076561	10	\N	\N	N	\N
89c40d66-c70a-4162-bc7c-04d40822e552	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_DESC9	TEXT	\N	Параметр № 9 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
3bc3652a-3bdf-4900-ad8d-99d8562d77dc	adf27858-5f30-4b8f-8d19-233bdaddc26d	8ee3ca7b-e3a8-4891-9ac4-995b766964d0	P6700_APP_NAME	TEXT	Имя приложения	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('APP_NAME')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 10:11:53.681349	10	\N	\N	N	\N
17c3b6b7-5bf7-4084-89f7-76d68d8bfd64	adf27858-5f30-4b8f-8d19-233bdaddc26d	7c61b7e1-0d55-4133-8b86-0ce031621bfa	P6700_HOME_PAGE	TEXT	Домашняя страница	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('HOME_PAGE')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 10:17:20.594371	10	\N	\N	N	\N
213866a3-b56b-4a41-8eba-f39c94039289	5df45e90-9969-40c5-9b3d-a1bb931418c5	ecfe6d2e-059a-49b1-a3d4-abca54fe28f7	P3013_DESC	TEXT_AREA	Описание файла	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	2	\N	\N	150	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-06-11 19:51:32.215231	10	\N	\N	N	\N
b81366fa-9016-4667-9dab-7f11e817ca89	aee8cb58-83f0-4626-9cca-c1eacf279c23	93197306-4ffa-42a7-800d-bbb688854c1f	P5101_GP8GD0PIN2	WYSIWYG	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	30	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2023-04-12 11:30:10.18594	10	\N	\N	N	\N
8acd11f1-53c5-4439-856d-124d3ecae608	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	973668b6-eda8-4c97-8792-3a27dbeac977	P9000_PASSWORD	PASSWORD	Пароль	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-06-17 12:23:00.953718	10	\N	\N	N	\N
fbf2a168-a09d-4862-ab32-cbe2d32d2ce8	55cebbf2-83f2-476d-bb93-79a0a0681374	\N	P6301_ID_PROC	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-05 04:20:05.810667	10	\N	\N	N	\N
496db577-dd0b-4898-9343-175e20e9dc92	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N27	TEXT	\N	Число 27	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
46fdda53-df3d-4215-b4de-8615f77c7121	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N25	TEXT	\N	Число 25	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
0609ef86-ab1a-46aa-99a6-25c6b5624b52	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C23	TEXT	\N	Строка 23	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
861d9f5d-1b8a-4539-ac82-53543e6a6f8f	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N21	TEXT	\N	Число 21	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
64787a2d-753c-4c03-bc42-a70da95e20b3	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N22	TEXT	\N	Число 22	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
67b66789-56a4-4c1b-aa57-0bca97a8c1c4	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N26	TEXT	\N	Число 26	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
ac0098bc-7bf1-4bd7-93f6-454f5a50a7c0	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N30	TEXT	\N	Число 30	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
47009a7b-7be6-441e-8a17-2a8c6a4dde4e	aee8cb58-83f0-4626-9cca-c1eacf279c23	bf6b0837-1537-4024-8439-e86c94d1d6b1	P5101_INPUT4_2	TEXT	4 ячейки	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	4	7	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
3b8b2462-97f2-4678-99b6-042919ff5487	aee8cb58-83f0-4626-9cca-c1eacf279c23	95e790df-a3d8-44e3-bd2c-812c8cb62bb5	P5101_INPUT_MAXLENGHT	TEXT	Максимальная длина - 3	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	14	\N	\N	3	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
5644cc74-cc67-4b66-b334-44216da48153	aee8cb58-83f0-4626-9cca-c1eacf279c23	cdd63331-300a-4729-8ac5-576d44d9bc04	P5101_INPUT_SIMPLE	TEXT	Поле ввода	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	ывапывапывапывап	N	\N
ae36c934-2ed8-4a79-87ba-5f4d260ec281	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C22	TEXT	\N	Строка 22	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c105faba-11ec-4800-a50c-f830e20fb872	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N23	TEXT	\N	Число 23	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
7ed2a8d1-6690-4288-bef1-26770481b585	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C30	TEXT	\N	Строка 30	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
b7caaecf-0ebc-4d41-a215-7f07a52538d7	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C25	TEXT	\N	Строка 25	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
5f8e67cd-d35c-4ebe-9417-063d8ad15a39	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N24	TEXT	\N	Число 24	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
fdd1a00e-699f-4e41-a338-d2bd30c4f5de	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C24	TEXT	\N	Строка 24	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
a3099bc9-10d4-4e4b-b4ad-5e4f7f04a278	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C27	TEXT	\N	Строка 27	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
f3bb46bf-f909-474c-ad98-9eeade9f37fb	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C28	TEXT	\N	Строка 28	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
06ed4b62-a8f8-4b37-af46-2decc8adfee0	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N28	TEXT	\N	Число 28	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
600e6389-5fc3-4398-9f9b-b6f5a6bbb6ff	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C29	TEXT	\N	Строка 29	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
08bd5220-caf1-48bf-978f-efa59613e071	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C21	TEXT	\N	Строка 21	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
f67b388e-37ed-463f-b1cf-dd29709e32e5	537cdd83-9057-43fe-8d89-2144884383f7	\N	P19_ID	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2023-05-31 14:27:48.924375	10	\N	\N	N	\N
a892dc59-28f9-47dc-8ba2-35c72b38ace0	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_DESC21TO30	TEXT	\N	Параметры № 21-30 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
4e930996-78de-4e3d-9c3c-d317e2016f76	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_N29	TEXT	\N	Число 29	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
8b40a507-0a60-452c-8864-3bee6090b350	484df877-6f06-4f9e-be6a-f2dc5ab528ca	05a93c02-bb93-4f4d-bf35-5acf48853ade	P3011_C26	TEXT	\N	Строка 26	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c207b165-e31f-4b08-a1e8-63aa4414a461	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_C8	TEXT	\N	Строка 8	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
dd392f37-7fd7-472e-9888-4130ddb0b3ef	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_C7	TEXT	\N	Строка 7	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
7b60dfe4-9c11-4610-baff-ddbc53425e21	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_D6	DATE_FIELD	\N	Дата 6	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
89fd699e-b3cd-4c5d-9c1a-c8b9ee43a5da	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_D7	DATE_FIELD	\N	Дата 7	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
4cc555ff-fa51-4c70-a75f-47ebf551c5ea	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_D8	DATE_FIELD	\N	Дата 8	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
afe382d6-6440-4802-aaca-f18ecb215417	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_D9	DATE_FIELD	\N	Дата 9	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
b2801cbe-cc59-471b-8a71-b5578d9ed077	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N11	TEXT	\N	Число 11	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
4db78556-4a48-47fd-9c5a-b8c7424a52e3	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_D10	DATE_FIELD	\N	Дата 10	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c6dd8b11-130a-4a96-b0df-b067902918d8	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_N10	TEXT	\N	Число 10	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
82d2357b-bdbe-4e08-b955-8f074061003a	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_C10	TEXT	\N	Строка 10	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
bb8abb63-789b-4670-bbe9-104adf91b7b6	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_DESC10	TEXT	\N	Параметр № 10 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
2ca45616-9b29-43bc-ad4a-1897653ab091	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_N9	TEXT	\N	Число 9	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
5b1be53d-76c0-4593-9595-d29c359d1cb2	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_C9	TEXT	\N	Строка 9	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
2521a54d-7bed-40a5-8027-9ac5b62bd3bb	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	1ce49016-32e2-45ce-87ee-6571a5da24bc	P9050_QUERY_EXISTS_K7N6J	TEXT_AREA	SELECT-запрос 2	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 3\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:10:05.278745	10	\N	\N	N	\N
45b03200-b568-4391-b0f1-aae91c4083a9	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_N8	TEXT	\N	Число 8	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
e0a0c909-d967-4a49-ace8-cc483a9a4c25	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_DESC8	TEXT	\N	Параметр № 8 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
0ece2d56-7881-4cd7-9de1-2a4337562544	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_C6	TEXT	\N	Строка 6	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
5c4181c7-ea65-4a05-9ef8-ad5c236e7fec	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_DESC6	TEXT	\N	Параметр № 6 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
1e54483f-3ca3-4383-b410-92884bc7df39	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_N6	TEXT	\N	Число 6	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
28ce4d78-4e5b-463b-bf52-7063d1a6e18d	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_DESC7	TEXT	\N	Параметр № 7 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
a7422ccf-4a1b-4318-84a2-5f92bcd9096e	484df877-6f06-4f9e-be6a-f2dc5ab528ca	3d28fb44-45bb-48f8-aed7-5bd01b10f090	P3011_N7	TEXT	\N	Число 7	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
2540d151-cdfc-4ab7-a17f-e1d2c47f496a	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_DESC2	TEXT	\N	Параметр № 2 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
8fc950b1-1743-49ea-bf71-62d13c608cbf	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_C1	TEXT	\N	Строка 1	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
72f5e87f-0538-4032-ab96-e9227872e61c	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_DESC1	TEXT	\N	Параметр № 1 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
634a7c3e-0bc7-4dfa-8f8d-e08335e555b4	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_N3	TEXT	\N	Число 3	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
1def92a1-27d8-475a-bf8d-f4fd7058f67f	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_D1	DATE_FIELD	\N	Дата 1	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
6b1c86bd-7c38-4fdd-9e85-5c273e00123c	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_D3	DATE_FIELD	\N	Дата 3	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
7ef98aac-0913-4f09-99c4-c60be7d77be5	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_D4	DATE_FIELD	\N	Дата 4	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
2b9c62f8-97a6-4dcf-b759-774c85a90964	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_N5	TEXT	\N	Число 5	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
08f65093-66c3-4bb5-aa74-3f84df687bf7	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_D5	DATE_FIELD	\N	Дата 5	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
1249026e-2f6e-473d-8dba-6dd2a4de3fe4	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_N4	TEXT	\N	Число 4	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
3863262e-bbb3-446b-9e7e-8eb89b0f9c82	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_DESC4	TEXT	\N	Параметр № 4 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
364a7ee9-1140-4562-b6c7-aef57b03cc8e	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_DESC5	TEXT	\N	Параметр № 5 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
673ed61c-3c0e-4624-934d-a499fb613d82	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_D2	DATE_FIELD	\N	Дата 2	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
92cfa008-5c57-4689-8c85-5bd23bc55bf0	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_C5	TEXT	\N	Строка 5	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
b0307120-84b3-4b2c-bf2b-471e94e7fbe0	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_C4	TEXT	\N	Строка 4	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
2299b244-1998-4b78-a886-67fc7a36e083	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_C3	TEXT	\N	Строка 3	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
03d424a7-2edf-4eb2-9cb2-cf506bd07e80	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_DESC3	TEXT	\N	Параметр № 3 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
e86d0bfe-a53c-43b7-b05b-93a711150595	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_N2	TEXT	\N	Число 2	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
01feb961-dab7-46d8-b866-cff20d6487b4	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_C2	TEXT	\N	Строка 2	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
4266e8c1-bccd-4f7a-8111-504854aea5bc	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7d9e7995-e193-40b6-be59-2d0dadc094a3	P3011_ID_FK	AUTOCOMPLETE	Головной параметр	\N	t	with recursive x as(SELECT r.id,\r\n                           r.id_fk,\r\n                           r.name::TEXT\r\n                    FROM pref.t_parameters r\r\n                    WHERE r.code = 'PREF'\r\n                    UNION ALL\r\n                    SELECT p.id,\r\n                           p.id_fk,\r\n                           (x.name || '/' || p.name)::VARCHAR\r\n                    FROM pref.t_parameters p,\r\n                         x\r\n                    WHERE p.id_fk = x.id)\r\nSELECT name, id FROM x ORDER BY name	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
d2f8eceb-92f2-4279-afbe-25307a7a5928	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7d9e7995-e193-40b6-be59-2d0dadc094a3	P3011_NAME	TEXT	Параметр		t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
8a8055d0-9076-4a38-b13b-1facc1869982	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7d9e7995-e193-40b6-be59-2d0dadc094a3	P3011_CODE	TEXT	Код	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
2171e85d-fd48-48cc-89a4-e83b176c1da4	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7d9e7995-e193-40b6-be59-2d0dadc094a3	P3011_NUM_ORDER	TEXT	№ п/п	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
f6b38d40-44d3-4b32-873e-2e56d5cf07ad	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7d9e7995-e193-40b6-be59-2d0dadc094a3	P3011_ID_OBJECT	AUTOCOMPLETE	Объект доступа	\N	t	select o.name||' - '||o.short_name, o.id from obj.t_objects o	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
57647c28-c9e2-41f1-aa31-e1012d672cfc	484df877-6f06-4f9e-be6a-f2dc5ab528ca	84bcc68b-9da3-4601-a848-96985832004a	P3011_HTML_TEXT	TEXT_AREA	\N	Тело	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
a6a575c5-ad6b-4072-a259-e95dbca7312b	484df877-6f06-4f9e-be6a-f2dc5ab528ca	84bcc68b-9da3-4601-a848-96985832004a	P3011_HTML_TEXT_FOOTER	TEXT	\N	Нижний колонтитул	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
8659f4ce-ea40-4177-95de-891cd7be4c9d	484df877-6f06-4f9e-be6a-f2dc5ab528ca	84bcc68b-9da3-4601-a848-96985832004a	P3011_HTML_TEXT_HEADER	TEXT	\N	Верхний колонтитул	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
180d5199-9c57-4aee-8df3-39a130ecb56a	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C16	TEXT	\N	Строка 16	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
1b548b79-d56a-482b-84f7-492eda04bc8e	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C19	TEXT	\N	Строка 19	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
0610fa76-410f-4198-852c-787271ffc8e3	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N18	TEXT	\N	Число 18	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
be58afb0-769f-46c1-95ee-774c8e93fb18	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C18	TEXT	\N	Строка 18	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
ca2abfa4-8c2c-43df-aa30-929f2091d2c7	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N17	TEXT	\N	Число 17	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
374ac9eb-f8ef-43c8-90b9-a7ce5d441ecc	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C17	TEXT	\N	Строка 17	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
83b7dc2f-b355-4af2-a92d-6c4b0ed85776	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N16	TEXT	\N	Число 16	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
3cf5c986-4f04-4bc2-8697-dd540312bae2	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N19	TEXT	\N	Число 19	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
51bf4485-7bc7-4da2-9c98-5f77ea946889	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N15	TEXT	\N	Число 15	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
ae927355-3728-4027-86a8-de7779109ef6	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C15	TEXT	\N	Строка 15	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
f3e5f526-cd52-4322-9ed6-d538fbe62dfa	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N14	TEXT	\N	Число 14	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
125bb58e-6cf9-4760-bfce-a33113da89e2	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C14	TEXT	\N	Строка 14	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
38c00205-3852-431e-abae-96bc16c29a4d	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N20	TEXT	\N	Число 20	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
5fbbc59d-aecd-4338-b444-0cdfae937341	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_DESC11TO20	TEXT	\N	Параметры № 11-20 Описание	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
2a7ce8f4-615b-42cc-86aa-2f936f83ae88	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C11	TEXT	\N	Строка 11	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
b973cb86-33f4-4aa2-9dc2-607b223a9ea9	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C12	TEXT	\N	Строка 12	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
9843812c-eedd-40c2-a44d-0c09430b8208	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_N12	TEXT	\N	Число 12	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
90a5d618-a3ec-4582-b2ea-9ddf9649971d	e489d8ca-9b10-473a-8d68-2669f2c3e877	96c51e59-2771-46c3-9244-dc8dcdbf71f0	P5091_TITLE	TEXT	Заголовок	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	75	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-03 07:55:06.711033	10	\N	\N	N	\N
3b1ce116-345e-4416-b4c8-d920a3ecc941	0afeb069-1c8f-4f63-98d6-d13eab2ed343	bd84d03f-137e-4a56-9c4c-e2f7f8699e6d	P3010_N1	TEXT	\N	Число 1	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	3	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
98a51186-2585-4b3e-86ff-5f35808338a9	0afeb069-1c8f-4f63-98d6-d13eab2ed343	bd84d03f-137e-4a56-9c4c-e2f7f8699e6d	P3010_D1	DATE_FIELD	\N	Дата 1	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	3	3	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
3ecea7a8-1f8b-429d-b62b-f124de2e873d	0afeb069-1c8f-4f63-98d6-d13eab2ed343	bd84d03f-137e-4a56-9c4c-e2f7f8699e6d	P3010_C1	TEXT	\N	Строка 1	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	4	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
9efefc8d-5574-4ab2-a54e-b3749adb2f09	aee8cb58-83f0-4626-9cca-c1eacf279c23	5b7c2348-a327-433e-b071-303c0a176915	P5101_DATE	DATE_FIELD	Ввод даты	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	4	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c3c02991-15c2-4e8b-affa-2e8d6465bb72	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	53171693-a523-49f3-a354-7d50fd8bede0	P21_DEP	AUTOCOMPLETE	Отделение	\N	t	with recursive x as \r\n  (select d.name::text, d.id, d.id_fk from dep.t_departments d where d.id = 2\r\n   union all\r\n   select x.name||'/'||d.name, d.id, d.id_fk from dep.t_departments d, x\r\n   where d.id_fk = x.id)\r\nselect x.name, x.id from x	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	8	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
ada47a32-bbad-4ba1-a744-b16d61a8f2c7	aee8cb58-83f0-4626-9cca-c1eacf279c23	5b7c2348-a327-433e-b071-303c0a176915	P5101_DATETIME	DATE_FIELD	Дата и время	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	4	21	\N	{\r\n"time": true\r\n}	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
52d3fa8e-969a-4222-9e2e-01c5a951ac56	aee8cb58-83f0-4626-9cca-c1eacf279c23	95e790df-a3d8-44e3-bd2c-812c8cb62bb5	P5101_INPUT_REQUIRED	TEXT	Обязательное поле	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	12	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
92779adc-46e7-4ad3-9e8a-3638692617f0	c157113b-bd24-49df-84a2-62c280bd48b9	9813f07b-e99a-4af6-afd9-41a130f5a7ec	P6500_API_KEY	HIDDEN	\N	\N	\N	\N	\N	f	STATIC	cca3011db9mshb3548c18f8e0fcep1efa0ajsnaae3fe565b8f	\N	ALWAYS	\N	\N	\N	\N	\N	10	\N	\N	\N	\N	NEVER	\N	\N	\N	\N	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-08 05:46:59.744722	10	\N	\N	N	\N
33928f82-392b-4c7b-a2f4-2c328d677ad5	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	b64e771d-56b6-4389-8306-ec9e955a2ca7	P9050_ROW_COUNT	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:13:11.705407	10	\N	\N	N	\N
a7d20b1e-6a0b-44d8-ba58-0b0f265795cf	aee8cb58-83f0-4626-9cca-c1eacf279c23	248fcaa6-ea6a-4f8f-b7f2-b9cd5f9996b6	P5101_NUMERIC	NUMERIC	Два знака после запятой	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	18	\N	{\n  "decimalPlaces": 2,\n  "digitGroupSeparator": " ",\n  "decimalCharacter": ",",\n  "decimalCharacterAlternative": "."\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
19d4c9c5-a1c6-4205-8b56-c1b713f0b29b	aee8cb58-83f0-4626-9cca-c1eacf279c23	73bbc3fe-4ead-4c01-b2a4-4c27efe78702	P5101_TEXTAREA	TEXT_AREA	Текст	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	27	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
2fd888f6-acd2-48f4-b601-72b1f5426dd7	aee8cb58-83f0-4626-9cca-c1eacf279c23	5b7c2348-a327-433e-b071-303c0a176915	P5101_TIME	DATE_FIELD	Только время	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	4	22	\N	{\r\n    "time": true,\r\n    "date": false\r\n}	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
0c34f12c-8aee-4fda-a4d5-2937e41e38d8	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	4cd597d6-74bc-4127-aa36-8026ba743a68	P9050_USERNAME	TEXT	Имя пользователя	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:46:36.35032	10	\N	\N	N	\N
9ee64bc9-ac0a-4792-9544-83eb65c4db36	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	4cd597d6-74bc-4127-aa36-8026ba743a68	P9050_SQL_EXPRESSION	TEXT	SQL-запрос условия	\N	f	\N	\N	f	STATIC	users.f_is_user_exist($1::VARCHAR)	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:47:14.89388	10	\N	\N	N	\N
474ec2f9-26c5-4285-882e-ee8fdf573109	981448ef-457a-4a86-b253-9accce59c268	68a24b89-c947-4d86-8fad-f6dad9d738fc	P5102_INPUT	TEXT	\N	\N	f	\N	\N	f	STATIC	Элемент ввода с кнопками	\N	ALWAYS	\N	\N	\N	\N	12	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
76a4ffeb-48fd-46d1-afc8-b28bc6620795	89ecce48-2531-498f-8eae-2bfb5494e66d	57dbb2e7-ab48-4d09-9cf0-838d8ad9e374	P5050_QUERY	TEXT_AREA	Пример SQL-запроса источника данных	\N	f	\N	\N	f	STATIC	SELECT \n  c.id,          -- ID строки для добавления в ссылку\n  c.title,       -- Заголовок события\n  c.start_ev,    -- Начало периода события\n  c.end_ev,      -- Окончание периода события\n  c.color_class  -- HEX-код цвета\nFROM \n  events.t_calendar c;	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 8\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-19 08:53:50.251374	10	\N	\N	N	\N
ae985d3a-84bd-42c7-81c0-7998ee2067f2	a6b4f635-850d-421a-bc2c-2a238db8124c	e6f44de3-be95-4d83-a2b0-5c52e2487976	P23_ID_USER	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
3502a927-29c5-47e6-878c-d3ce752e24a3	0afeb069-1c8f-4f63-98d6-d13eab2ed343	82793cf8-595b-4022-a972-29683d230c91	P3010_ID	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
09beaa05-55b1-4523-b96a-9606851f9c79	adf27858-5f30-4b8f-8d19-233bdaddc26d	14734af7-9beb-4469-b9e9-a638b28b14ed	P6700_APP_URL	TEXT	URL приложения	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('APP_URL')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 10:17:04.632189	10	\N	\N	N	\N
b8abd1c6-013b-4b75-ba8b-f34805fec0cd	adf27858-5f30-4b8f-8d19-233bdaddc26d	c4b58070-d896-46b3-bf6f-1082ab3064a3	P6700_NAVIGATION_MENU	TEXT	Меню навигации	\N	f	\N	\N	f	SQL	SELECT name\nFROM utils.f_get_global_lists(utils.f_get_settings_value('NAVIGATION_MENU')::BIGINT)	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 11:05:38.226679	10	\N	\N	N	\N
bf1dd144-b977-4088-8b6e-35d5e1b427c0	bd6b73f7-00c6-4985-927b-653e02f8c659	d567e3f1-7cd8-400e-8337-1784666e2e97	P6050_QUERY	TEXT_AREA	Пример SQL-запроса источника	\N	f	\N	\N	f	STATIC	SELECT \n  '42000.77' title,    -- Главная подпись (заголовок)\n  'Прибыль'  text,     -- Подпись, описывающая заголовок\n  '#2C7ABB'  color,    -- HEX-код цвета оформления плитки\n  'За месяц' descr,    -- Вспомогательная подпись под основным текстом\n  'uil uil-bill' icon  -- CSS класс иконки	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 6\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-19 08:55:16.766323	10	\N	\N	N	\N
d78c1f7c-c4bd-4383-aa7c-22767fdc0d71	484df877-6f06-4f9e-be6a-f2dc5ab528ca	7a681caa-303d-4a2d-9f1e-38a84147f829	P3011_N1	TEXT	\N	Число 1	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
de253210-949f-40fe-b986-294363c27f5b	645205e7-5a21-4a2d-b2a1-60df5b9576c9	df2772f7-8145-4589-92a6-a23c0086ad5c	P17_HASH	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c8a42db0-256c-4811-871c-b783e4c94d76	645205e7-5a21-4a2d-b2a1-60df5b9576c9	df2772f7-8145-4589-92a6-a23c0086ad5c	P17_NEW_CHECK	PASSWORD	Повторите пароль	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	3	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
f85d9d98-20cf-47ae-b60e-d7ae2b702edf	981448ef-457a-4a86-b253-9accce59c268	68a24b89-c947-4d86-8fad-f6dad9d738fc	P5102_INPUT_EMPTY	TEXT	\N	\N	f	\N	\N	f	STATIC	Элемент ввода без прикреплённых кнопок	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c6a70867-5c32-4eeb-b970-f786c72c8b48	395332e9-d054-4722-a1f0-5b3817df0590	772cb4e8-b46d-41fa-a1e4-7236376a082c	P1102_ID_OBJ	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
42997ca7-08af-48db-874a-d3a81165c926	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	1c75780d-1c82-4072-ad62-012733238cf3	P5400_JSON_OUTPUT	TEXT_AREA	Вывод JSON	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	{\n  "rows": 5\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-11 05:59:45.619063	10	\N	\N	N	\N
215fc155-aa04-4cfd-9bf2-e393654cf0fb	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	af573ef8-07e5-4287-be83-b8482093440a	P1115_ID	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
a647c59b-1a26-480d-b184-ae00fc5b900e	abea137b-d0a9-4bab-82cb-9de6b820aa29	c2793a3c-58d0-4535-8d37-34443135bbe1	P1116_ID	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
110d4a60-b7be-4598-9648-3a9a43a1b6ea	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	53171693-a523-49f3-a354-7d50fd8bede0	P21_PASSWORD	PASSWORD	Пароль	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
e7e71e79-7f33-43ed-b25a-49653c00eaec	45a1f80e-3900-4f07-8cde-89e476b24529	2c54f4c1-75c3-4247-84ac-92188aaa0061	P5020_INPUT1	TEXT	Логин	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
70fd12a3-769f-4b2b-9e0b-fa0805c51cbb	45a1f80e-3900-4f07-8cde-89e476b24529	2c54f4c1-75c3-4247-84ac-92188aaa0061	P5020_INPUT2	PASSWORD	Пароль	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
dbdfbe80-53bb-4f49-9535-7391683ff483	e489d8ca-9b10-473a-8d68-2669f2c3e877	96c51e59-2771-46c3-9244-dc8dcdbf71f0	P5091_ID	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-02 14:58:35.072581	10	\N	\N	N	\N
efbb64d1-3fb3-46a2-8362-fef7115887cb	e489d8ca-9b10-473a-8d68-2669f2c3e877	96c51e59-2771-46c3-9244-dc8dcdbf71f0	P5091_TEXT	TEXT_AREA	Описание	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	100	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-03 08:07:53.879448	10	\N	\N	N	\N
6a4596a1-37b3-453e-9858-0730ed776d27	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	53171693-a523-49f3-a354-7d50fd8bede0	P21_USERNAME	TEXT	Имя пользователя		t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
77be76f5-8ec7-4546-8bcc-6de7c4023373	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	53171693-a523-49f3-a354-7d50fd8bede0	P21_LAST_NAME	TEXT	Фамилия	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	3	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
333850ee-1a35-441a-ba86-cd4abf6713c2	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	53171693-a523-49f3-a354-7d50fd8bede0	P21_FIRST_NAME	TEXT	Имя	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	4	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
6e34b53e-5b72-4d13-8002-d33f08c992e9	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	53171693-a523-49f3-a354-7d50fd8bede0	P21_EMAIL	TEXT	Email	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	7	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
bd12d53c-4ae8-4431-a191-540e78731fae	aee8cb58-83f0-4626-9cca-c1eacf279c23	3a94ede7-6012-4e19-b3c6-18ec03103342	P5101_INPUT_EMAIL	TEXT	Электронный адрес	серия номер	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	4	17	*{1,20}[.*{1,20}][.*{1,20}][.*{1,20}]@*{1,20}[.*{2,6}][.*{1,2}]	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
398c5025-c8a7-4123-841e-e91a207f9163	9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	19480d60-bb5a-48c6-976f-582c17107138	P16_OLD_PASSWORD	PASSWORD	Старый пароль	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c0e821df-141e-4630-85a7-88a184a00a72	9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	19480d60-bb5a-48c6-976f-582c17107138	P16_NEW_PASSWORD	PASSWORD	Новый пароль	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
4b952837-48d6-49d1-a988-ed223fb48eed	9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	19480d60-bb5a-48c6-976f-582c17107138	P16_NEW_CHECK	PASSWORD	Повторите пароль	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	3	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
49ff245a-b197-4cf1-9ae5-1c0e5e2fbd58	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	53171693-a523-49f3-a354-7d50fd8bede0	P21_PHONE	TEXT	Телефон	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	6	+7(999)999-99-99	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
7bc32a23-124b-4a02-91f0-d8bd10f6c0ea	abea137b-d0a9-4bab-82cb-9de6b820aa29	c2793a3c-58d0-4535-8d37-34443135bbe1	P1116_FULL_NAME	TEXT	Полное наименование	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
30543e9b-8ddb-48f6-b14e-32cd77d3eb97	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	e508586d-b498-4350-99c4-a43941081d89	P1101_ID	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
b13f0dec-735d-4327-ad40-5ee5d11c2b62	a6b4f635-850d-421a-bc2c-2a238db8124c	e6f44de3-be95-4d83-a2b0-5c52e2487976	P23_ROLE	SELECT	Роль доступа 	\N	t	select r.name, r.id from roles.t_roles r order by r.id	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
8ac48c5a-bb2b-47ad-acd5-9ac3e37a2008	72b67410-f688-4bc6-9a6e-bb63c70a2763	ddfe895f-13c4-4855-bbcc-d126f8b35981	P7301_ID_CLIENT	TEXT	ID клиента	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	1	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 04:56:23.886565	10	\N	\N	N	\N
570ec43d-9460-4554-9881-24ed8458a24b	abea137b-d0a9-4bab-82cb-9de6b820aa29	c2793a3c-58d0-4535-8d37-34443135bbe1	P1116_CURATOR	SELECT	Начальник	\N	f	select initcap(l.last_name||' '||l.first_name),l.id  from users.t_user_list l 	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
f824849e-7674-49e0-a611-b36844ebbf3f	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	a8b17ba9-da8b-4d78-b386-56f2af12a38e	P9050_QUERY_EXAMPLE	TEXT_AREA	Пример SQL-запроса	\N	f	\N	\N	f	STATIC	SELECT 1\nWHERE 'POST' IN ('GET', 'POST', 'HEAD')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 3\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:18:22.770482	10	\N	\N	N	\N
a566e99a-158d-4442-a96e-9a9966833357	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c012d174-eb45-4d97-b233-3113480a3cf9	P9050_NULL_OR_NOT_IZVTT_WUMG5	TEXT	Поле ввода 2 2	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:20:25.40085	10	\N	\N	N	\N
ecc2d3bb-37f6-4074-9f1f-747addd46019	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c012d174-eb45-4d97-b233-3113480a3cf9	P9050_QUERY_IS_ZERO_OBLIW	TEXT_AREA	SELECT-запрос (проверка количества строк в запросе) 2	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 3,\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:20:25.400875	10	\N	\N	N	\N
e3b2a2dc-90a4-48d5-8330-9af90516d48f	c1434e86-8781-437b-9dc6-8e3d43073659	779252e9-11a5-4cd1-9c12-35b259a1f976	P5550_JSON_TEXT	TEXT_AREA	JSON	\N	\N	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	21	\N	{\n  "rows": 6\n}	\N	\N	ALWAYS	\N	\N	\N	\N	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-11 09:39:58.674972	10	\N	\N	N	\N
aa1782fa-bc74-4395-989c-2abe491fdefb	ac59d725-9e81-4f45-893f-1ffd64fd6846	636e83c6-763f-4ca5-adaf-ed15354816c3	P5210_DA_TITLE	TEXT	Заголовок	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-11 12:28:48.673777	10	\N	\N	N	\N
e6979893-be66-43a2-9c68-04156650c33f	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	bdbbd88c-a87c-4dcb-83a2-aad51cf65a29	P9050_NULL_OR_NOT	TEXT	Поле ввода	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 04:25:24.382169	10	\N	\N	N	\N
b267272c-7526-4e8b-9551-f65afba65606	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c012d174-eb45-4d97-b233-3113480a3cf9	P9050_ROW_COUNT 2	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:20:25.400921	10	\N	\N	N	\N
e57b00c0-cb82-4433-a991-8c6be653787c	adf27858-5f30-4b8f-8d19-233bdaddc26d	5c475849-c7ae-4e44-8e86-ba5f747b39fa	P6700_LOGIN_PAGE	TEXT	Страница входа	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('LOGIN_PAGE')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 10:19:12.527471	10	\N	\N	N	\N
a9b4f216-8c40-4565-9de0-d1377e3b1c51	adf27858-5f30-4b8f-8d19-233bdaddc26d	c8a20ede-2c93-49cf-bfb4-b9f10b3cd434	P6700_NAVIGATION_BAR	TEXT	Панель навигации	\N	f	\N	\N	f	SQL	SELECT name\nFROM utils.f_get_global_lists(utils.f_get_settings_value('NAVIGATION_BAR')::BIGINT)	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 10:23:18.71398	10	\N	\N	N	\N
e91c1eb8-24d5-433b-b040-ef95a81c0a28	abea137b-d0a9-4bab-82cb-9de6b820aa29	c2793a3c-58d0-4535-8d37-34443135bbe1	P1116_NAME	TEXT	Наименование	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
8edf20bb-2054-45d8-92b8-0188945d76d1	abea137b-d0a9-4bab-82cb-9de6b820aa29	c2793a3c-58d0-4535-8d37-34443135bbe1	P1116_CODE	TEXT	Код	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
6f626923-a53f-4d14-8399-12460ccc4f28	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	P1_LOGIN	TEXT	Введите имя пользователя (admin)	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
7559b268-e984-4516-b9bc-e33f32ea377e	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	e508586d-b498-4350-99c4-a43941081d89	P1101_CODE	TEXT	Код	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
bb7fbbb2-35c4-4eaa-86ed-f5009ebb9012	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	e508586d-b498-4350-99c4-a43941081d89	P1101_NAME	TEXT	Наименование	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	3	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
b6274e64-9290-45e8-aaac-76194bb6be3c	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	e508586d-b498-4350-99c4-a43941081d89	P1101_DESCRIPTION	TEXT_AREA	Описание	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	4	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
3827ff98-2a68-4f1e-9a58-2ee5a9072370	aee8cb58-83f0-4626-9cca-c1eacf279c23	3a94ede7-6012-4e19-b3c6-18ec03103342	P5101_INPUT_SNILS	TEXT	СНИЛС	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	4	16	999-999-999 99	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c53da963-dc4b-45b4-9060-24841af20433	aee8cb58-83f0-4626-9cca-c1eacf279c23	3a94ede7-6012-4e19-b3c6-18ec03103342	P5101_INPUT_PHONE	TEXT	Телефон	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	4	15	+7 (999) 999-99-99	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
0df073b4-6d9a-4c9a-aa2f-64f6b8ae17fe	aee8cb58-83f0-4626-9cca-c1eacf279c23	248fcaa6-ea6a-4f8f-b7f2-b9cd5f9996b6	P5101_NUMERIC2	NUMERIC	Только целое от 0 до 100	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	19	\N	{\r\n  "decimalPlaces": 0,\r\n  "maximumValue": "100",\r\n  "minimumValue": "0"\r\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
dc14d013-5a97-4069-9e7a-0633f2ad6902	645205e7-5a21-4a2d-b2a1-60df5b9576c9	df2772f7-8145-4589-92a6-a23c0086ad5c	P17_NEW_PASSWORD	PASSWORD	Новый пароль	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
963a5f49-32ab-4250-a147-292c8a97b19a	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	99fe0df4-e870-4250-b61c-e24e0020aa24	P1_PASSWORD	PASSWORD	Введите пароль (admin)	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	2	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
cdd7b3f8-80b4-413e-95a7-c1cdf031a6be	aee8cb58-83f0-4626-9cca-c1eacf279c23	6b4f53db-5621-4e72-982d-3e6322907fac	P5101_PASSWORD	PASSWORD	Пароль	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	23	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
ec3dda32-bf02-48db-8631-41b87ee9eb39	aee8cb58-83f0-4626-9cca-c1eacf279c23	73bbc3fe-4ead-4c01-b2a4-4c27efe78702	P5101_TEXTAREA2	TEXT_AREA	Текст 128 символов	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	28	\N	\N	128	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
43e4179b-617f-44d3-9b4d-d3a44e47ca67	9361b40f-16b6-4110-8089-16abba870bae	bca3a466-f226-43c0-b864-d7eea2c81096	P6400_TEMP	TEXT	Температура	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-08 05:46:41.487458	10	\N	\N	N	\N
e934615d-c79c-42e0-9465-6df81afc9620	5df45e90-9969-40c5-9b3d-a1bb931418c5	ecfe6d2e-059a-49b1-a3d4-abca54fe28f7	P3012_TITLE	TEXT	Наименование	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	50	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
f2bd2c5e-e9a7-4ade-8057-f8ac4a6e5ebc	9361b40f-16b6-4110-8089-16abba870bae	bca3a466-f226-43c0-b864-d7eea2c81096	P6400_WINDSPEED	TEXT	Скорость ветра	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-08 05:46:41.487458	10	\N	\N	N	\N
96c97761-fec8-499e-a30f-168e5fad4cde	9361b40f-16b6-4110-8089-16abba870bae	bca3a466-f226-43c0-b864-d7eea2c81096	P6400_TIME	HIDDEN	\N	\N	\N	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	\N	\N	f	NEVER	\N	\N	\N	\N	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-08 05:46:41.487458	10	\N	\N	N	\N
f625e149-6d0e-48fe-a331-44ea042805cc	9361b40f-16b6-4110-8089-16abba870bae	bca3a466-f226-43c0-b864-d7eea2c81096	P6400_TIME_TEMP	HIDDEN	\N	\N	\N	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	40	\N	\N	\N	f	NEVER	\N	\N	\N	\N	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-08 05:46:41.487458	10	\N	\N	N	\N
36746045-22a4-4a9a-898d-83a0663714cd	484df877-6f06-4f9e-be6a-f2dc5ab528ca	a6b82a33-57e2-41cb-aa00-5ab515e8736f	P3011_C13	TEXT	\N	Строка 13	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
cb18bacc-a747-4cf5-98e2-b61545d329b2	c157113b-bd24-49df-84a2-62c280bd48b9	9813f07b-e99a-4af6-afd9-41a130f5a7ec	P6500_NAME	TEXT	Название фильма для поиска	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-08 05:46:59.744722	10	\N	\N	N	\N
2b5b25ae-47ea-42f7-97af-f74a15d0d9f4	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_LAST_NAME	TEXT	Фамилия	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
06108e2e-26ab-4ebe-a3d1-af0f38a0611c	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_USERNAME	TEXT	Имя пользователя	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
d35ed5f1-b395-422e-850a-81b6a0b605f6	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_BLOCK_REASON	SELECT	Причина блокировки	\N	f	select value,key from json_each_text('{"ERR_INS":"Ошибочно введён","FIRED":"Уволен"}')	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	90	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
e6267adc-b6fc-45fa-9293-da4b20020890	72b67410-f688-4bc6-9a6e-bb63c70a2763	ddfe895f-13c4-4855-bbcc-d126f8b35981	P7301_LAST_NAME	TEXT	Фамилия	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 04:07:24.641253	10	\N	\N	N	\N
3d63684d-27bc-4ba1-b493-aebf8defd0d4	72b67410-f688-4bc6-9a6e-bb63c70a2763	ddfe895f-13c4-4855-bbcc-d126f8b35981	P7301_FIRST_NAME	TEXT	Имя	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 04:07:24.64128	10	\N	\N	N	\N
37b4012b-fa5c-4679-a3ed-3301bacc7ae5	72b67410-f688-4bc6-9a6e-bb63c70a2763	ddfe895f-13c4-4855-bbcc-d126f8b35981	P7301_PHONE	TEXT	Телефон	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	50	9 (999)999-99-99	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 04:50:05.788793	10	\N	\N	N	\N
fd7144d6-4ec1-47b2-a6f8-a6d38cb91b96	72b67410-f688-4bc6-9a6e-bb63c70a2763	ddfe895f-13c4-4855-bbcc-d126f8b35981	P7301_DATE_OF_BIRTH	DATE_FIELD	Дата рождения	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	40	\N	{\n  "date": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 04:56:51.922348	10	\N	\N	N	\N
18c0d00f-2fa9-4055-b488-44c5944c2494	a6d10784-1f93-4cfa-9dd6-98a1bc3b9d0f	74de06a0-0e0b-4e99-bbf1-c088cce821d3	P18_PHONE_EMAIL	TEXT	Телефон/e-mail	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
0be264b2-7cdd-4b9f-ade4-54702c31c4e0	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	P5051_START	DATE_FIELD	Дата начала	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	{\n  "time": true,\n  "date": true\n}	30	t	NEVER	\N	\N	\N	\N	ADMIN	2024-01-24 15:35:34.979398	ADMIN	2024-01-24 17:58:10.13144	10	\N	\N	N	\N
97d45ce5-040d-4149-a5d6-6e0ad59a184e	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	P5051_ID	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	50	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-24 16:57:56.630849	10	\N	\N	N	\N
aeead481-2222-405e-ad87-4f0122880c8b	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	P5051_COLOR	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	60	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-24 17:57:26.176734	10	\N	\N	N	\N
84816224-9c7d-4ee1-a0df-fdfc9252fa5e	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	P5051_END	DATE_FIELD	Дата окончания	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	{\n  "time": true\n}	30	t	NEVER	\N	\N	\N	\N	ADMIN	2024-01-24 15:35:34.979398	ADMIN	2024-01-24 17:58:10.13148	10	\N	\N	N	\N
81732d04-b0f1-4035-a504-23269f5e87fe	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	P5051_TITLE	TEXT	Событие	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	30	t	NEVER	\N	\N	\N	\N	ADMIN	2024-01-24 15:35:34.979398	ADMIN	2024-01-24 17:58:10.131524	10	\N	\N	N	\N
316f61ab-e363-4f02-ae9e-c3758730dc32	08b100ea-32eb-43bc-9e5c-9cf32122519e	8a9afdbd-7aea-4e5b-aee1-55dcf551c150	P5051_TYPE	SELECT	Тип события	\N	t	SELECT code_name, code_type FROM events.t_event_types	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	40	\N	\N	\N	t	NEVER	\N	\N	\N	\N	ADMIN	2024-01-24 15:35:34.979398	ADMIN	2024-01-24 17:58:10.131545	10	\N	\N	N	\N
51734b4f-db21-4851-8f25-2c2923781f04	83aa1204-d957-4efb-b371-5548f5db7c45	f905582b-4434-47b1-92f1-888ffbc5c83a	P2_LOGIN	TEXT	Введите имя пользователя (demo)	demo	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	10	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:05:25.674877	10	\N	\N	N	\N
bc1f624d-69a7-4596-bb68-1a6503658632	83aa1204-d957-4efb-b371-5548f5db7c45	f905582b-4434-47b1-92f1-888ffbc5c83a	P2_PASSWORD	PASSWORD	Введите пароль (demo)	tooltip: demo	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	20	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:05:25.674877	10	\N	\N	N	\N
48a744d3-3288-4a50-af5e-57ee53808310	530154e2-764f-4bb8-bd69-f0e2d33dbe57	50a0047e-fde3-466c-8fe5-e03b36ae2d72	P3_LOGIN	TEXT	Введите имя пользователя (demo)	demo	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	10	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	\N	\N	N	\N
1edb0a2c-5343-4024-8170-e6ee1d96770e	530154e2-764f-4bb8-bd69-f0e2d33dbe57	50a0047e-fde3-466c-8fe5-e03b36ae2d72	P3_PASSWORD	PASSWORD	Введите пароль (demo)	tooltip: demo	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	20	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	\N	\N	N	\N
24e5109d-1b2c-4170-9de7-649bdb4c2a25	530154e2-764f-4bb8-bd69-f0e2d33dbe57	24b32957-36b5-42ca-bd7b-af8f7f82bd7a	P3_LOGIN_HSB6O	TEXT	Введите имя пользователя	demo	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	10	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	\N	\N	N	\N
b6dae8bd-892a-4fa3-962a-5bcab112c423	530154e2-764f-4bb8-bd69-f0e2d33dbe57	24b32957-36b5-42ca-bd7b-af8f7f82bd7a	P3_PASSWORD_WCOSV	PASSWORD	Введите пароль	tooltip: demo	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	20	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	\N	\N	N	\N
3b95ba85-7753-4da5-abb7-e6eb1187f83b	530154e2-764f-4bb8-bd69-f0e2d33dbe57	24b32957-36b5-42ca-bd7b-af8f7f82bd7a	P3_PASSWORD_WCOSV_8LY0L	PASSWORD	Повторите пароль	tooltip: demo	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	30	\N	{\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	\N	\N	N	\N
b502c9bd-2944-4076-b89a-74ea1503d351	8d795ae5-9e4c-47d3-a940-dcba059599ed	\N	P5021_CHOOSED_ROWS	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 13:43:45.365592	10	\N	\N	N	\N
ad4478a2-e022-42f8-91ec-59372a78085a	3006c64d-7487-4960-bdfc-f8565c02fd11	c00ea56b-55b1-4f3d-808c-87c180fc3135	P5200_FIRST	TEXT	Первый элемент	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 14:07:39.848522	10	\N	\N	N	\N
fdc87cc2-41e0-43af-b721-7c86a8fd743a	3006c64d-7487-4960-bdfc-f8565c02fd11	c00ea56b-55b1-4f3d-808c-87c180fc3135	P5200_SECOND	TEXT	Второй элемент	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 14:07:39.848534	10	\N	\N	N	\N
47fb78bf-a4fe-4306-9677-8fbe6931124f	3006c64d-7487-4960-bdfc-f8565c02fd11	c00ea56b-55b1-4f3d-808c-87c180fc3135	P5200_THIRD	TEXT	Третий элемент	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 14:07:39.848545	10	\N	\N	N	\N
6b61c1d0-cfb9-4f91-b0fe-f55fd2a4fa92	3006c64d-7487-4960-bdfc-f8565c02fd11	c00ea56b-55b1-4f3d-808c-87c180fc3135	P5200_CODE1	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	40	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 16:08:46.49953	10	\N	\N	N	\N
ddbf230e-dd67-487c-a7af-9053c4a3052b	3006c64d-7487-4960-bdfc-f8565c02fd11	10eda34f-2c3f-443f-b0f6-3c5566475c6d	P5200_CODE2	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-25 16:14:00.956056	10	\N	\N	N	\N
decbff16-02c6-4e9b-9c39-d529240ead08	bbbfba99-f656-4a05-a070-216215b4b4bb	\N	P5300_USER	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-26 12:31:27.988668	10	\N	\N	N	\N
6b753f10-4747-4255-a02c-2f7651bd7f7c	08b100ea-32eb-43bc-9e5c-9cf32122519e	\N	P5051_USER	HIDDEN	\N	\N	f	\N	\N	f	STATIC	ADMIN	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-26 12:55:52.395672	10	\N	\N	N	\N
ee082dcb-aacb-4bdf-942e-d5f48f2e098a	3006c64d-7487-4960-bdfc-f8565c02fd11	ff2ad34e-6594-4911-923b-e608e0cb99fe	P5200_CODE3	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-26 13:23:57.582229	10	\N	\N	N	\N
13f8a50c-a15d-43e4-98f0-f8167f0d947b	aee8cb58-83f0-4626-9cca-c1eacf279c23	bf6b0837-1537-4024-8439-e86c94d1d6b1	P5101_INPUT3_2	TEXT	3 ячейки	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	3	5	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
38ad3a7a-0781-4f03-9bfc-6ef110b869b6	aee8cb58-83f0-4626-9cca-c1eacf279c23	bf6b0837-1537-4024-8439-e86c94d1d6b1	P5101_INPUT3_1	TEXT	3 ячейки	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	3	3	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
c7b3c692-8b94-42b5-b515-f2fc07bef7af	aee8cb58-83f0-4626-9cca-c1eacf279c23	bf6b0837-1537-4024-8439-e86c94d1d6b1	P5101_INPUT6_2	TEXT	6 ячеек	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	2	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
e81ef465-de81-4f88-8e4e-35c7f1b98f69	aee8cb58-83f0-4626-9cca-c1eacf279c23	bf6b0837-1537-4024-8439-e86c94d1d6b1	P5101_INPUT6_1	TEXT	6 ячеек	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
917f7c24-1eca-4127-9a5d-9b9ac7dd730c	aee8cb58-83f0-4626-9cca-c1eacf279c23	bf6b0837-1537-4024-8439-e86c94d1d6b1	P5101_INPUT4_1	TEXT	4 ячейки	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	4	6	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
b9d496dc-27f4-4d48-8d96-dd79ad12801a	aee8cb58-83f0-4626-9cca-c1eacf279c23	95e790df-a3d8-44e3-bd2c-812c8cb62bb5	P5101_INPUT_RO	TEXT	Только для чтения	\N	f	\N	\N	f	STATIC	Значение по умолчанию	\N	ALWAYS	\N	\N	\N	\N	6	13	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
a6a0e385-f568-4958-8221-74fb7361800d	3006c64d-7487-4960-bdfc-f8565c02fd11	dd2d700b-e0e5-4c56-bba8-f291bf9f0f1d	P5200_CODE4	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-29 14:58:50.001093	10	\N	\N	N	\N
3649f839-d8a4-490e-9775-3e2e4def5197	3006c64d-7487-4960-bdfc-f8565c02fd11	8ac49b11-22d9-4cf0-9f14-b5c3c442a62b	P5200_CLI_TYPE	RADIOS	\N	\N	f	SELECT 'Физ. лицо', 'FL'\nUNION\nSELECT 'Юр. лицо', 'UL'	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-29 16:38:50.720465	10	\N	\N	N	\N
92b058ff-13b7-4e72-8af0-d2aa1ba20f9c	b9fdd2e2-f39c-4930-91d2-9eecd3626960	6c11e44f-1e16-438f-b7e8-6a8b5f96f95c	P5028_MESSAGE_TEXT	TEXT	Введите сообщение...	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-29 17:45:57.335146	10	\N	\N	N	\N
e349557a-e096-494a-bc0e-5df3d29c630d	3006c64d-7487-4960-bdfc-f8565c02fd11	dd2d700b-e0e5-4c56-bba8-f291bf9f0f1d	P5200_FIRST_SELECT	SELECT	Списки параметров	\N	f	SELECT 'Лево' value, 'LEFT'\nUNION ALL\nSELECT 'Право', 'RIGHT';	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-06-11 19:33:22.342736	10	\N	\N	N	\N
e38c6690-92af-424b-8cb8-bd9bf54c5e88	55cebbf2-83f2-476d-bb93-79a0a0681374	\N	P6301_ID_AUTHENTICATION	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-08 06:25:46.40277	10	\N	\N	N	\N
fed595cc-e431-45fa-9e7d-badffe90e215	72b67410-f688-4bc6-9a6e-bb63c70a2763	ddfe895f-13c4-4855-bbcc-d126f8b35981	P7301_EMAIL	TEXT	Электронная почта	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	60	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 04:55:49.724008	10	\N	\N	N	\N
3d5e9553-786c-4b05-b675-6bbd3cf58db6	72b67410-f688-4bc6-9a6e-bb63c70a2763	ddfe895f-13c4-4855-bbcc-d126f8b35981	P7301_CLI_TYPE	SELECT	Тип клиента	\N	t	SELECT 'Физическое лицо' code, 'FL' value\nUNION ALL\nSELECT 'Юридическое лицо', 'UL'	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	70	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 04:55:49.72408	10	\N	\N	N	\N
f3439c16-1f79-423c-921b-9272a012f082	ac59d725-9e81-4f45-893f-1ffd64fd6846	636e83c6-763f-4ca5-adaf-ed15354816c3	P5210_DA_DESCR	TEXT	Описание	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-11 12:28:48.67389	10	\N	\N	N	\N
07911423-ea47-4133-aef5-c0cb0b000d30	ac59d725-9e81-4f45-893f-1ffd64fd6846	636e83c6-763f-4ca5-adaf-ed15354816c3	P5210_COUNT_SENDS	NUMERIC	Количество отправлений	\N	f	\N	\N	f	STATIC	1	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	{\n  "maximumValue": "20",\n  "enterSubmit": true,\n  "decimalPlaces": 0,\n  "minimumValue": "0"\n}	\N	f	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-12 05:30:45.28829	10	\N	\N	N	\N
3f95263d-a1d8-4589-879e-fd215312f2ac	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c7bbb86b-d14c-4f1f-981f-6d8a6c9aab26	P9050_NULL_OR_NOT_IZVTT_WUMG5_WLYST	TEXT	Поле ввода 2 2 2	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:25:44.99176	10	\N	\N	N	\N
1bb385cc-0661-4349-af19-8bf740502461	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	b64e771d-56b6-4389-8306-ec9e955a2ca7	P9050_QUERY_IS_ZERO	TEXT_AREA	SELECT-запрос (проверка количества строк в запросе)	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 3,\n  "enterSubmit": true\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-15 05:14:41.815396	10	\N	\N	N	\N
f172b7b2-fe19-457a-8b50-14eb12ba7e2f	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	\N	P9200_ID_ADD	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 06:59:28.587699	10	\N	\N	N	\N
3af656db-db93-4047-b1cf-5081fe802250	8d795ae5-9e4c-47d3-a940-dcba059599ed	11dc3b5f-df29-42cf-8a98-baf389502cdf	P5021_YEAR_OF_BIRTH	TEXT	Год рождения	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	9999	{\n  "date": true\n}	4	f	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-30 12:01:29.726801	10	\N	Введите только год рождения	N	\N
c3b2ea57-31a6-42ea-ae80-08beb1771efe	3006c64d-7487-4960-bdfc-f8565c02fd11	10eda34f-2c3f-443f-b0f6-3c5566475c6d	P5200_REPORTS_VALUE	SELECT	Отделение	\N	f	select  d.full_path_name, d.id\nfrom dep.t_departments d \n	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "height": "200px"\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-09 13:15:47.156598	10	\N	\N	N	\N
982bb6d6-0d88-47cd-b0b8-49edefbd8d49	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	13869ad4-fe38-4022-b850-0c5f90edce5e	P5022_YEAR_OF_BIRTH	TEXT	\N	Год рождения:	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	9999	\N	4	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-01-31 15:46:04.320177	10	\N	\N	N	\N
535b0b13-b65e-4bf7-90bb-ec6951f8c9b8	aee8cb58-83f0-4626-9cca-c1eacf279c23	35500761-9ae7-435a-a40c-7864d5209275	P5101_FILE2	FILE	Файл с настройками по умолчанию	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	26	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
6fc94090-6b3a-43bf-ad38-e70cb3f4c678	aee8cb58-83f0-4626-9cca-c1eacf279c23	e13dd2f4-7e3a-4559-bef2-d79ca4a7db11	P5101_CHECKBOXES	CHECKBOXES	Список	\N	f	SELECT 'Значение 1' d, 'Value 1' r\nUNION\nSELECT 'Значение 2' d, 'Value 2' r\nUNION\nSELECT 'Значение 3' d, 'Value 3' r\norder by 2	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-02 18:45:32.312722	10	\N	\N	N	\N
b4653d05-4418-4d0c-a286-3b2f53e4be5d	aee8cb58-83f0-4626-9cca-c1eacf279c23	e13dd2f4-7e3a-4559-bef2-d79ca4a7db11	P5101_CHECKBOXES_RO	CHECKBOXES	Только для чтения	\N	f	SELECT 'Не выбирается' d, 'Value 1' r\nUNION\nSELECT 'Не нажимается' d, 'Value 2' r\nUNION\nSELECT 'Не переключается' d, 'Value 3' r\norder by 2	\N	f	STATIC	Value 1:Value 3	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	f	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-02 18:56:28.401372	10	\N	\N	N	\N
a8d78b79-e8b2-462c-a6a1-af6c8905beb3	aee8cb58-83f0-4626-9cca-c1eacf279c23	72629e78-44d3-4bed-a2e6-28fc043ea78d	P5101_SWITCHER	SWITCHER	Переключатель	\N	f	SELECT 'Да' d, 'Yes' r\nUNION\nSELECT 'Нет' d, 'No' r\norder by 2 desc	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-02 18:45:32.312833	10	\N	\N	N	\N
617ddd9b-1e59-4af8-9083-b157a576ec9c	aee8cb58-83f0-4626-9cca-c1eacf279c23	c499be2e-b67e-4c92-b084-c2467513784d	P5101_RADIO	RADIOS	Список	\N	f	SELECT 'Значение 1' d, 'Value 1' r\nUNION\nSELECT 'Значение 2' d, 'Value 2' r\nUNION\nSELECT 'Значение 3' d, 'Value 3' r\norder by 2	\N	f	SQL	SELECT 'Значение 1' d, 'Value 1' r\nUNION\nSELECT 'Значение 2' d, 'Value 2' r\nUNION\nSELECT 'Значение 3' d, 'Value 3' r\norder by 2	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-02 18:45:32.317943	10	\N	\N	N	\N
27f71037-9f8a-43a6-9cbc-3a8e4767a7ea	aee8cb58-83f0-4626-9cca-c1eacf279c23	c499be2e-b67e-4c92-b084-c2467513784d	P5101_RADIO_RO	RADIOS	Только для чтения	\N	f	SELECT 'Не выбирается' d, 'Value 1' r\nUNION\nSELECT 'Не нажимается' d, 'Value 2' r\nUNION\nSELECT 'Отмечен по умолчанию' d, 'Value 3' r\norder by 2	\N	f	STATIC	Value 3	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	f	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-02 18:56:28.401429	10	\N	\N	N	\N
fbed905c-789f-420a-924b-2f6d8d42f5bf	aee8cb58-83f0-4626-9cca-c1eacf279c23	72629e78-44d3-4bed-a2e6-28fc043ea78d	P5101_SWITCHER_RO	SWITCHER	Только для чтения	\N	f	SELECT 'Только да' d, 'Yes' r\nUNION\nSELECT 'Нет' d, 'No' r\norder by 2  desc	\N	f	STATIC	Yes	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	f	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-02 18:56:28.401475	10	\N	\N	N	\N
15802d5b-16c3-4f04-81d7-5643210fc755	aee8cb58-83f0-4626-9cca-c1eacf279c23	e6982a45-761e-4d50-b3a8-6850c412bcad	P5101_SELECT_RO	SELECT	Только для чтения	\N	f	SELECT 'По умолчанию' d, 'Value 1' r\nUNION\nSELECT 'Не нажимается' d, 'Value 2' r\nUNION\nSELECT 'Не переключается' d, 'Value 3' r\norder by 2	\N	f	STATIC	Value 1	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-02 18:56:28.401548	10	\N	\N	N	\N
9f57da25-35ae-490e-9c01-f355998ba5b4	8d795ae5-9e4c-47d3-a940-dcba059599ed	11dc3b5f-df29-42cf-8a98-baf389502cdf	P5021_CLI_TYPE	SELECT	Тип клиента:	\N	f	SELECT 'Физ. лицо'  as value, 'FL' code\nUNION\nSELECT 'Юл. лицо', 'UL'	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-02-12 05:52:21.041361	10	\N	\N	N	\N
516e5158-7ebe-4f33-be93-b4742bc99aa4	55cebbf2-83f2-476d-bb93-79a0a0681374	\N	P6301_ID_AUTHORIZATION	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	40	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-09 04:07:09.784563	10	\N	\N	N	\N
24130f3a-8ca2-4542-b7e9-42d31f6e1519	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	430e773a-5ab6-4385-9115-93d1c3b3eb20	P5400_POST_FIRST_VALUE	TEXT	Первый параметр	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 08:13:27.875742	10	\N	\N	N	\N
a1159000-0b8d-4a75-8b9a-df9abee67275	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	430e773a-5ab6-4385-9115-93d1c3b3eb20	P5400_POST_SECOND_VALUE	TEXT	Второй параметр	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	3	\N	{\n  "decimalPlaces": 0\n}	\N	f	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-10 08:13:27.875792	10	\N	\N	N	\N
5b964a46-6542-49bc-b12e-86a0e6865fd1	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	7f16d3fb-050c-4af1-abf5-26c5d59e9d76	P5400_GET_OUTPUT	TEXT	Вывод	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-06-07 12:16:40.227951	10	\N	\N	N	\N
2548af23-b126-42ad-b7f1-6d5b5aa98a43	a6d10784-1f93-4cfa-9dd6-98a1bc3b9d0f	74de06a0-0e0b-4e99-bbf1-c088cce821d3	P18_FIRST	TEXT	Первый	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	2	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-04-27 03:25:33.023792	10	\N	\N	N	\N
cc551b07-635e-4378-b4cb-6882df60d886	981448ef-457a-4a86-b253-9accce59c268	68a24b89-c947-4d86-8fad-f6dad9d738fc	P5102_HELLO	TEXT	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	12	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-05-24 07:49:24.189342	10	\N	\N	N	\N
d1b0ca2c-e43f-4dd8-878f-8933719f0936	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	430e773a-5ab6-4385-9115-93d1c3b3eb20	P5400_POST_OUTPUT	TEXT	Вывод	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-06-10 07:13:14.504917	10	\N	\N	N	\N
babc83e6-2b6a-445e-b537-987a10bf969e	395332e9-d054-4722-a1f0-5b3817df0590	\N	P1102_ID_ROLE	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-06-11 16:02:35.694201	10	\N	\N	N	\N
4a1692bb-8e6e-4f14-bc7c-b972c06c638a	395332e9-d054-4722-a1f0-5b3817df0590	\N	P1102_ID_PAGE	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-06-11 16:18:14.85157	10	\N	\N	N	\N
d7b21557-2fe7-467d-be80-ff0256810512	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	7f16d3fb-050c-4af1-abf5-26c5d59e9d76	P5400_CODE_F_HELLO	TEXT_AREA	\N	\N	f	\N	\N	f	STATIC	-- Функция в PostgreSQL\nCREATE OR REPLACE FUNCTION api.f_hello()\n RETURNS json LANGUAGE plpgsql \nAS $function$\nBEGIN\n\tRETURN '{"GET_RETURN": "Hello world!!"}'::json;\nEND;\n$function$;	\N	NEVER	\N	\N	\N	\N	0	30	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 06:11:58.507711	10	\N	\N	N	\N
f5ae5990-2536-4e70-8099-880b8ef53e29	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	a18a5fc5-f1a6-452a-8b5d-f7213dfade02	P5400_CLIENT_OUTPUT	HIDDEN	\N	\N	\N	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	\N	20	\N	\N	\N	\N	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 07:46:25.663205	10	\N	\N	N	\N
0caeb08e-6e4d-4c72-a5ca-3bd6141c43b6	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	dbdcb8c1-4f48-406a-b3d0-d8ee12963ac8	P5400_GET_JSON_MASS_CURL	TEXT	CURL	\N	f	\N	\N	f	STATIC	curl "http://127.0.0.1:8887/xdac/rpc/f_get_mass" -X GET	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-26 13:00:19.098142	10	\N	\N	N	\N
78fa9a10-5594-4ead-8024-606e9018bb7c	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	\N	MS_KSSO	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 13:14:35.746061	10	\N	\N	N	\N
94ff6329-5162-4942-9d81-c477eaebde66	e9492934-32f7-4818-b110-411d65aa65b9	229cf190-7c96-484b-9d7d-d63a1a13c4f0	P6600_CONFIG	TEXT_AREA	config.json	\N	f	\N	\N	f	STATIC	{\n  "app":  { /* Параметры приложения (порт) */ },\n  "XRAD": { /* Параметры о подключении к БД xRAD */ },\n  "datasources": [\n  {\n      "login": "app_user",            // Логин пользователя БД\n      "password": "app_user",         // Пароль пользователя БД\n      "host": "127.0.0.1",            // Хост для подключения к БД\n      "name":"DEFAULT_APP",           // Имя источника данных\n      "port": 5432,                   // Порт для подключения к БД\n      "minCons":1,                    // Минимальное\n      "maxCons":15,                   // и максимальное количество подключений (сессий)\n      "dbName":"appdb",               // Имя БД\n      "runtimeOptions":{\n          "LC_NUMERIC":"ru_RU.UTF-8"  // Локаль\n      }\n  },\n  { /* Описание второго источника данных */ }\n  ]\n}	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 20\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-16 08:29:12.723618	10	\N	\N	N	\N
91be6a9a-e025-4906-ab0e-25b0aedf2767	c1434e86-8781-437b-9dc6-8e3d43073659	c520c2b8-c6ab-436a-a77d-c3aaa4b4786d	P5550_UPLOAD_FILE	FILE	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "boxHeight": "150px",\n  "mimeTypes": [\n    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"\n  ],\n  "helpText": "Файл XLSX до 100 Кб",\n  "max": 1,\n  "fileSize": 100\n}	\N	t	NEVER	\N	\N	\N	\N	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-08 04:16:52.004941	10	{10}	\N	N	\N
2a807acf-7269-4b7b-94e3-d37f194c7803	aee8cb58-83f0-4626-9cca-c1eacf279c23	35500761-9ae7-435a-a40c-7864d5209275	P5101_FILE3	FILE	Файл csv	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	25	\N	{\r\n "mimeTypes":["application/vnd.ms-excel","text/csv"],\r\n "fileSize":10,\r\n "boxHeight":"50px",\r\n "helpText":"Файл CSV до 10Mb"\r\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
f0fc798b-f3ef-46a0-8aa5-eb031d78ebe6	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	a18a5fc5-f1a6-452a-8b5d-f7213dfade02	P5400_CLIENT_LIST	SELECT	Список клиентов	\N	f	SELECT CONCAT(c.last_name,' ',c.first_name) code, c.id val\nFROM cli.t_clients c	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	30	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2025-02-28 00:33:04.338013	10	\N	\N	N	\N
356855e3-aca6-4623-be80-0b43151b98db	aee8cb58-83f0-4626-9cca-c1eacf279c23	a9987121-7a5e-4ef9-ad36-c6c058d07f03	P5101_AUTOCOMPLETE	AUTOCOMPLETE	Пользователи системы	\N	f	select initcap(l.last_name||' '||l.first_name) fi , l.id from users.t_user_list l order by 1	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2025-02-28 11:20:42.650942	10	\N	\N	N	\N
5d5ef8bc-4e81-4de1-a365-efe03c1b2d5e	c7d28294-b69b-407e-88b3-1bc14126346e	d566568e-a072-4fe7-a6c4-5e2cef7b74a0	P6300_QUERY	TEXT_AREA	Воспроизведение полей статического списка в SQL-запросе	\N	f	\N	\N	f	STATIC	SELECT \n  10                   id,            -- Последовательность\n  'Отдел связи'        name,          -- Лейбл\n  1                    id_parent,     -- ID родителя\n  'mdi mdi-connection' icon,          -- CSS класс иконки\n  'Связисты'           tooltip,       -- Подсказка\n  '/content/1115'      target,        -- Ссылка\n  'Отделения'          attribute_01,  -- Атрибут 1\n  '#15C283'            attribute_02   -- Атрибут 2\nFROM\n  /* Источники данных */\nWHERE \n  /* Условия отображения элементов */	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 13\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-19 08:56:55.242969	10	\N	\N	N	\N
34eb8055-9e99-4756-84f4-55aa4d4046c3	adf27858-5f30-4b8f-8d19-233bdaddc26d	cb9e03a1-7f4d-4021-9bd7-8d93dd0fd880	P6700_LIFE_TIMEOUT	TEXT	Время жизни сессии	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('LIFE_TIMEOUT')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 11:23:45.830487	10	\N	\N	N	\N
8b38f957-9343-47d9-aa6e-27af09ac4c42	adf27858-5f30-4b8f-8d19-233bdaddc26d	fe7fee77-b1b1-4f65-818d-ba07d2ef0522	P6700_IDLE_TIMEOUT	TEXT	Время жизни неактивной сессии	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('IDLE_TIMEOUT')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 11:23:45.8306	10	\N	\N	N	\N
80f0d290-e848-4ef3-acd2-e76b79498b32	adf27858-5f30-4b8f-8d19-233bdaddc26d	a3c7429a-3a7c-4f1b-94e7-cb8803f5a08a	P6700_CSS_FILES	TEXT_AREA	CSS файлы	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('CSS_FILES')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 11:35:58.527745	10	\N	\N	N	\N
cf14d3ad-634c-474d-9970-37c157f0ac8b	adf27858-5f30-4b8f-8d19-233bdaddc26d	a507cb9b-2d70-4734-a849-f41cd7231889	P6700_JS_FILES	TEXT_AREA	JS файлы	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('JS_FILES')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-17 11:35:58.527814	10	\N	\N	N	\N
68049ad7-5861-4b00-90d6-4b0d6bac7598	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	5c776269-6ce3-47df-a8e0-f7323d9b4458	P7400_LIFE_TIMEOUT	TEXT	Время жизни сессии	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('LIFE_TIMEOUT')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-18 03:09:41.276656	10	\N	\N	N	\N
183bcb79-88ad-4a36-b31d-3aab8c1a2545	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	430e773a-5ab6-4385-9115-93d1c3b3eb20	P5400_POST_CURL	TEXT	CURL	\N	f	\N	\N	f	STATIC	curl -H "Content-Type: application/json" -d '{"p_first_str": "", "p_second_str": "" }' "http://127.0.0.1:8887/xdac/rpc/f_concat_str"	\N	ALWAYS	\N	\N	\N	\N	0	1	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 14:32:57.522094	10	\N	\N	N	\N
1cc5ea8c-ef94-44a6-9339-4b826a3f469b	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	7f16d3fb-050c-4af1-abf5-26c5d59e9d76	P5400_GET_CURL	TEXT	CURL	\N	f	\N	\N	f	STATIC	curl "http://127.0.0.1:8887/xdac/rpc/f_hello" -X GET	\N	ALWAYS	\N	\N	\N	\N	0	1	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 14:32:57.522159	10	\N	\N	N	\N
09d6a1e0-5940-427b-9521-7824d1db60f6	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	5c776269-6ce3-47df-a8e0-f7323d9b4458	P7400_IDLE_TIMEOUT	TEXT	Время жизни неактивной сессии	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('IDLE_TIMEOUT')	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-18 03:09:41.276687	10	\N	\N	N	\N
8482c730-1628-4f4a-b505-e2c64b23705e	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	1c75780d-1c82-4072-ad62-012733238cf3	P5400_JSON_INPUT	TEXT	Входной параметр	\N	f	\N	\N	f	STATIC	{ "first_value": 1, "second_value": "two", "third_value": [1, "two", "3"] }	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-18 05:06:32.295104	10	\N	\N	N	\N
04de820c-e1c5-4a58-a2cc-91b6c16a0269	4303bd6b-83c3-4652-814f-c0b9b8e4958e	b8ddada0-1c7e-4fbf-a924-1e4eed56f819	P9100_DO_BRANCH	SELECT	Выполнять переадресацию?	\N	f	SELECT 'Да' code, 'YES' val\nUNION ALL\nSELECT 'Нет', 'NO'	\N	f	STATIC	NO	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-18 07:29:55.820765	10	\N	\N	N	\N
f10fe37d-dfd2-4ef8-aea1-5d8a2024fa1d	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	8a833fee-71a5-4676-807b-1af99438ef30	P5030_QUERY	TEXT_AREA	Пример SQL-запроса для динамического списка	\N	f	\N	\N	f	STATIC	SELECT \n  'Регионы' title,\n  'dripicons dripicons-browser' css_icon,\n  '/content/5020' target,\n  'Демонстрация типов регионов на примерах использования' attribute_01,\n  '#FFC62D' attribute_02	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 6\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-19 08:44:35.457289	10	\N	\N	N	\N
1acbf115-4b58-4679-b3f1-c0f904a29f9e	8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	b497dd11-fd83-450a-8388-ed8959d35821	P5027_QUERY	TEXT_AREA	Запрос источника данных	\N	f	\N	\N	f	STATIC	SELECT \n  t.id,     -- ID элемента\n  t.id_fk,  -- ID родительского элемента\n  t.title,  -- Подпись элемента\n  t.link    -- Ссылка, по которой будет осуществлен переход после нажатия на элемент\nFROM \n  dep.f_get_tree_with_scope(1) t;	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 7\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-19 08:45:42.04607	10	\N	\N	N	\N
3e763714-e6e3-4ef8-a180-82360e242795	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	d59df966-6e92-40f4-9df5-563710c4e4f4	P5022_QUERY	TEXT_AREA	SQL-запрос для источника данных	\N	f	\N	\N	f	STATIC	SELECT \n  'Рабочие дни' day_kind,    -- Подпись\n  247::numeric  days         -- Значение\nUNION ALL\nSELECT \n  'Выходные дни',\n  118::numeric	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 7\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-07-19 08:50:23.055741	10	\N	\N	N	\N
f0e12c66-5a3d-4cb3-8dd6-441ba24576c8	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	dbdcb8c1-4f48-406a-b3d0-d8ee12963ac8	P5400_GET_JSON_MASS_OUTPUT	TEXT_AREA	Вывод	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-26 12:57:24.549858	10	\N	\N	N	\N
cd02a768-5db7-447c-b06b-70a272a05e2b	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	1c75780d-1c82-4072-ad62-012733238cf3	P5400_POST_JSON_CURL	TEXT	CURL	\N	f	\N	\N	f	STATIC	curl -H "Content-Type: application/json" -H "Prefer: params=single-object" -d '{ "first_value": 1, "second_value": "two", "third_value": [1, "two", "3"] }' "http://127.0.0.1:8887/xdac/rpc/f_json_parse	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 14:32:57.522237	10	\N	\N	N	\N
cc6fa527-1c68-43aa-854d-55b162a6d719	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	a18a5fc5-f1a6-452a-8b5d-f7213dfade02	P5400_CLIENT_CURL	TEXT	CURL	\N	f	\N	\N	f	STATIC	curl "http://127.0.0.1:8887/xdac/rpc/f_get_client?p_id=" -X GET	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2024-12-25 14:32:57.522303	10	\N	\N	N	\N
09a92824-3920-4c2f-91ff-1d0e5e5a0dc2	5df45e90-9969-40c5-9b3d-a1bb931418c5	ecfe6d2e-059a-49b1-a3d4-abca54fe28f7	P3012_FILE	FILE	Файл	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	3	\N	{\r\n "mimeTypes":"any",\r\n "fileSize":3,\r\n "boxHeight":"50px",\r\n "helpText":"Файлы до 3Mb"\r\n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	{10}	\N	N	\N
e66a0a82-f538-48ae-8e99-8c3d09033587	aee8cb58-83f0-4626-9cca-c1eacf279c23	3bf425a5-1ed7-4e50-b71d-8c49e01d0861	P5101_FILE	FILE	Файл	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	24	\N	{\n  "mimeTypes": "any",\n  "fileSize": 20,\n  "boxHeight": "170px",\n  "helpText": "Любой файл до 20Mb",\n  "max": 5,\n  "multiple":true\n  \n}	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	{10}	\N	N	\N
a3e268c8-741f-4253-98f1-b739c5a82df6	3006c64d-7487-4960-bdfc-f8565c02fd11	fdcbd68b-38d1-41a2-92a4-0b39c7b96cbe	P5200_TEXT1	TEXT	Первое поле	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 10:11:48.346131	10	\N	\N	N	BOTH
a13f6033-b2ad-47d1-93ee-e5addc96b669	3006c64d-7487-4960-bdfc-f8565c02fd11	fdcbd68b-38d1-41a2-92a4-0b39c7b96cbe	P5200_TEXT2	TEXT	Второе поле	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 10:11:48.346141	10	\N	\N	N	BOTH
ea873816-0f8a-43f2-af20-0154a5625b2d	8145943d-3106-4c58-973a-ad8778b2a231	11726b97-adc7-4b69-b02f-757beb887d53	P9300_TEXT1	TEXT	Первый элемент	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 12:37:14.271011	10	\N	\N	N	BOTH
c45c93e0-c1ee-41c4-8c77-dcb5f416a2c6	8145943d-3106-4c58-973a-ad8778b2a231	11726b97-adc7-4b69-b02f-757beb887d53	P9300_TEXT2	TEXT	Второй элемент	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-14 12:37:14.271031	10	\N	\N	N	BOTH
0d11efc9-817d-40f1-9e18-54ebb11b4b1e	aee8cb58-83f0-4626-9cca-c1eacf279c23	e6982a45-761e-4d50-b3a8-6850c412bcad	P5101_SELECT	SELECT	Список	\N	f	SELECT 'Значение 1' d, 'Value 1' r\nUNION\nSELECT 'Значение 2' d, 'Value 2' r\nUNION\nSELECT 'Значение 3' d, 'Value 3' r\norder by 2	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-15 12:11:26.8301	10	\N	\N	N	\N
b12e1eac-0924-46a3-9b45-d043cc53d762	aee8cb58-83f0-4626-9cca-c1eacf279c23	77a98a82-cc16-4cae-8034-56fcb06984c3	P5101_MULTISELECT	MULTISELECT	\N	\N	f	SELECT 'Значение-1' d, 'Value-1' r\nUNION\nSELECT 'Значение-2' d, 'Value-2' r\nUNION\nSELECT 'Значение-3' d, 'Value-3' r\norder by 2	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2024-10-15 12:11:49.657105	10	\N	Это должно помочь	N	\N
d21ca292-bacf-4363-a019-f94bfe9c4fb2	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_DEP	AUTOCOMPLETE	Отделение	\N	t	with recursive x as \r\n  (select d.name::text, d.id, d.id_fk, d.code from dep.t_departments d where d.id_fk = (SELECT dd.id FROM dep.t_departments dd WHERE dd.code = 'ROOT')\r\n   union all\r\n   select x.name||'/'||d.name, d.id, d.id_fk, d.code from dep.t_departments d, x\r\n   where d.id_fk = x.id)\r\nselect x.name d, x.code r from x	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	70	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
faaf1d11-6721-40b9-b642-a282899ee2c8	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_PASSWORD	PASSWORD	Пароль	\N	t	\N	\N	f	\N	\N	\N	SQL_EXPRESSION	upper($1) not in ('DEMO')  or users.f$_usr_id('DEMO') = $2::int	{APP_USER,P20_ID_USER}	\N	\N	6	20	\N	\N	\N	f	SQL_EXPRESSION	upper($1) in ('DEMO')	{APP_USER}	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
5678efea-0044-4307-b67a-b31ade596109	b6b32f07-21ba-4f6a-b02a-211725303cd5	\N	P20_ID_USER	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
9962999b-b82d-4e21-ab9b-eef8457c2329	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_IS_LOCKED	SWITCHER	Заблокирован	\N	f	select 'Да','Y' union select 'Нет','N' 	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	80	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
32b1ada7-a1da-460e-b190-7c454c7e809b	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_FIRST_NAME	TEXT	Имя	\N	t	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	40	\N	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
7ee593f6-626a-4139-86e8-31f13a037cfc	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_EMAIL	TEXT	Email	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	50	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
94c60b11-74c9-4f18-9b1c-a5acd2142bd5	b6b32f07-21ba-4f6a-b02a-211725303cd5	53dea1ac-b97d-4fd8-aba9-fad9092b4418	P20_PHONE	TEXT	Телефон	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	6	60	+7(999)999-99-99	\N	\N	f	NEVER	\N	\N	\N	\N	\N	\N	\N	\N	10	\N	\N	N	\N
919a116f-c89f-4848-8b9d-6dcfc9a776f2	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	5b3ffd64-45bb-4088-9c03-80e36af6da62	P5500_REPORTS	SELECT	Выберите отчет	\N	f	SELECT rl.commentary, rl.code\nFROM rep.t_report_list rl	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	12	1	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	\N	\N	N	\N
2388c81d-a30e-4e7d-9717-b0f02730b57d	b9fdd2e2-f39c-4930-91d2-9eecd3626960	fdce90d5-90f4-4450-a9c9-3640c1588487	P5028_QUERY	TEXT_AREA	SQL-запрос источника данных	\N	f	\N	\N	f	STATIC	SELECT \n  cm.message_text comment_text,  -- Текст сообщения\n  TRIM(CONCAT(ul.last_name,' ',\n              ul.first_name))||' ('||ul.username||')' user_name, -- Имя пользователя\n  CASE\n    WHEN ul.username = UPPER($1) THEN 'right'\n    ELSE 'left'\n  END align,  -- Выравнивание сообшения (left, right)\n  TO_CHAR(cm.message_date,'DD.MM.YYYY HH24:MI:SS') comment_date,  -- Дата отправки\n  SUBSTR(ul.last_name,1,1)||SUBSTR(ul.first_name,1,1) user_icon,  -- Текст в иконке\n  CASE\n    WHEN ul.username = UPPER($1) THEN 'bg-info text-white'\n    ELSE NULL\n  END icon_modifier  -- CSS классы иконки\nFROM \n  chat.t_chat_messages cm\nJOIN \n  users.t_user_list ul ON cm.id_user = ul.id\nWHERE \n  cm.id_chat = 1\nORDER BY \n  cm.message_date	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	{\n  "rows": 23\n}	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2025-02-28 00:17:21.020935	10	\N	\N	N	\N
69df49ba-d066-4305-8f1e-d0d69f5e4804	3006c64d-7487-4960-bdfc-f8565c02fd11	8ac49b11-22d9-4cf0-9f14-b5c3c442a62b	P5200_AUTOCOMPLETE	AUTOCOMPLETE	Клиенты:	\N	f	SELECT c.cli_type||': '||c.last_name||' '||c.first_name fi, c.id \nFROM cli.t_clients c\nWHERE c.cli_type = $1::VARCHAR	{P5200_CLI_TYPE}	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	20	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2025-02-28 00:22:06.800028	10	\N	\N	N	\N
13dca912-c6e6-4155-a4fc-4ac26fb49a05	129c0d3a-01f7-497f-b996-d9113ab7f318	\N	P1100_ID	HIDDEN	\N	\N	f	\N	\N	f	\N	\N	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	NEVER	\N	\N	\N	\N	\N	\N	ADMIN	2025-02-28 00:37:53.835361	10	\N	\N	N	\N
1b47f102-8a15-48f7-8dc1-b5b9f3a9f8c0	adf27858-5f30-4b8f-8d19-233bdaddc26d	7ceb2bdb-bd22-4fcd-a099-fa0c977e63db	P6700_REPORT_SERVER	TEXT	Сервер отчетов	\N	f	\N	\N	f	SQL	SELECT utils.f_get_settings_value('REPORT_SERVER')	\N	ALWAYS	\N	\N	\N	\N	0	10	\N	\N	\N	t	ALWAYS	\N	\N	\N	\N	\N	\N	ADMIN	2025-02-28 10:54:57.820679	10	\N	\N	N	BOTH
\.


--
-- Data for Name: t_list_items; Type: TABLE DATA; Schema: list; Owner: xrad_user
--

COPY list.t_list_items (id, id_list, id_parent, name, target, icon, condition_type, condition_first, display_sequence, condition_second, condition_first_input, condition_second_input, attribute_01, attribute_02, target_page, current_for_pages, separated, id_source, tooltip, created_by, created_on, last_updated_by, last_updated_on) FROM stdin;
174	17	\N	Пустой элемент визарда	\N	\N	ALWAYS	\N	3	\N	\N	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
173	9	139	Шаблон модальной страницы	/content/5008	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	5008	\N	f	10	\N	\N	\N	\N	\N
108	15	\N	SMS	javascript:jsAPI.submit({ PAGE: '20', REQUEST: 'RESET_SMS' }, {onSuccess: function(res){jsAPI.notification.success(res.data.message);}})	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
107	15	\N	E-mail	javascript:jsAPI.submit({ PAGE: '20', REQUEST: 'SEND' }, {onSuccess: function(res){jsAPI.notification.success(res.data.message);}})	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
50	9	\N	Администрирование	/content/1200/?clear=1200	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	1200	\N	f	10	\N	\N	\N	\N	\N
51	9	50	Пользователи	/content/19/?clear=19	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	19	\N	f	10	\N	\N	\N	\N	\N
52	9	51	Пользователь	/content/20/?clear=20	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	20	\N	f	10	\N	\N	\N	\N	\N
82	9	50	Файлы	/content/3012	\N	ALWAYS	\N	5	\N	\N	\N	\N	\N	3012	\N	f	10	\N	\N	\N	\N	\N
80	9	\N	Документация	/content/200	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	200	\N	f	10	\N	\N	\N	\N	\N
81	9	\N	Главная	/content/1000	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
141	9	139	Шаблон страницы с левой панелью	/content/5005	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	5005	\N	f	10	\N	\N	\N	\N	\N
142	9	139	Шаблон страницы с правой панелью	/content/5006	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	5006	\N	f	10	\N	\N	\N	\N	\N
25	3	\N	Параметры	/content/3000/	mdi mdi-card-bulleted-settings-outline	ALWAYS	\N	2	\N	\N	\N	Добавление, удаление и редактирование параметров (Настройки, шаблоны, новости и т.д.)	\N	\N	\N	f	10	\N	\N	\N	\N	\N
26	3	\N	Отделения	/content/1115/	mdi mdi-office-building	ALWAYS	\N	3	\N	\N	\N	Просмотр иерархии, создание и редактирование отделений	\N	\N	\N	f	10	\N	\N	\N	\N	\N
15	2	13	Смена пароля	javascript:jsAPI.modal.open({page:'/content/16/?clear=16',title:'Смена пароля'})	mdi mdi-lock-outline mr-1	SQL_EXPRESSION	roles.f$rls('16',users.f$_usr_id($1))	2	\N	{APP_USER}	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
115	3	\N	Файлы	/content/3012/	mdi mdi-content-copy	ALWAYS	\N	5	\N	\N	\N	Загрузка и удаление файлов различных категорий	\N	\N	\N	f	10	\N	\N	\N	\N	\N
8	1	4	Параметры	/content/3000	\N	SQL_EXPRESSION	roles.f$rls('3000',users.f$_usr_id($1))	2	\N	{APP_USER}	\N	\N	\N	\N	{3000}	f	10	\N	\N	\N	\N	\N
159	17	\N	Первый шаг визарда	/content/5025	\N	SQL_EXPRESSION	roles.f$rls('5025',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	5025	{5025}	f	10	\N	\N	\N	\N	\N
10	1	4	Отделения	/content/1115/	\N	SQL_EXPRESSION	roles.f$rls('1115',users.f$_usr_id($1))	3	\N	{APP_USER}	\N	\N	\N	\N	{1115}	f	10	\N	\N	\N	\N	\N
119	1	217	Сетка страницы	/content/5011	\N	ALWAYS	\N	20	\N	\N	\N	\N	\N	5011	{5011}	f	10	\N	\N	\N	\N	\N
1	1	\N	Главная	/content/1000	uil uil-home-alt	ALWAYS	\N	1	\N	\N	\N	\N	\N	\N	{1000}	f	10	\N	\N	\N	\N	\N
24	3	\N	Пользователи	/content/19/	mdi mdi-account-multiple	ALWAYS	\N	1	\N	\N	\N	Изменение персональных данных, выдача ролей, области видимости	\N	\N	\N	f	10	\N	\N	\N	\N	\N
123	1	218	Элементы ввода	/content/5101	\N	ALWAYS	\N	31	\N	\N	\N	\N	\N	5101	{5101}	f	10	\N	\N	\N	\N	\N
124	1	218	Кнопки	/content/5102	\N	ALWAYS	\N	33	\N	\N	\N	\N	\N	5103	{5102}	f	10	\N	\N	\N	\N	\N
5	1	3	Права доступа	\N	\N	SQL_EXPRESSION	roles.f$rls('1100',users.f$_usr_id($1))	1003	\N	{APP_USER}	\N	\N	\N	\N	{1100}	f	10	\N	\N	\N	\N	\N
9	1	4	Пользователи	/content/19/	\N	SQL_EXPRESSION	roles.f$rls('19',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	\N	{19}	f	10	\N	\N	\N	\N	\N
143	9	139	Шаблон страницы с двумя панелями	/content/5007	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	5007	\N	f	10	\N	\N	\N	\N	\N
144	9	139	Шаблон минималистичной страницы	/content/5003	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	5003	\N	f	10	\N	\N	\N	\N	\N
175	17	\N	Третий шаг визарда	/content/5029	\N	ALWAYS	\N	4	\N	\N	\N	\N	\N	5029	{5029}	f	10	\N	\N	\N	\N	\N
161	17	\N	Страница Регионы	/content/5020	\N	ALWAYS	\N	5	\N	\N	\N	\N	\N	5020	{5020}	f	10	\N	\N	\N	\N	\N
83	9	\N	Администрирование	/content/1200	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	1200	\N	f	10	\N	\N	\N	\N	\N
149	9	137	Отчёты	/content/5021	\N	ALWAYS	\N	2	\N	\N	\N	\N	\N	5021	\N	f	10	\N	\N	\N	\N	\N
151	9	137	Вкладки	/content/5023	\N	ALWAYS	\N	7	\N	\N	\N	\N	\N	5023	\N	f	10	\N	\N	\N	\N	\N
148	9	236	Регионы	/content/5020	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	5020	\N	f	10	\N	\N	\N	\N	\N
145	9	236	Элементы ввода	/content/5101	\N	ALWAYS	\N	2	\N	\N	\N	\N	\N	5101	\N	f	10	\N	\N	\N	\N	\N
147	9	236	Кнопки	/content/5102	\N	ALWAYS	\N	3	\N	\N	\N	\N	\N	5102	\N	f	10	\N	\N	\N	\N	\N
184	9	137	Календарь	/content/5050?clear=5050,CR	\N	ALWAYS	\N	550	\N	\N	\N	\N	\N	5050	\N	f	10	\N	\N	\N	\N	\N
68	9	\N	Статистика	/content/1300	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	1300	\N	f	10	\N	\N	\N	\N	\N
140	9	139	Шаблон стандартной страницы	/content/5002	\N	ALWAYS	\N	\N	\N	\N	\N	\N	\N	5002	\N	f	10	\N	\N	\N	\N	\N
137	9	81	Дополнительно	/content/4000	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	4000	\N	f	10	\N	\N	\N	\N	\N
138	9	235	Сетка страницы	/content/5011	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	5011	\N	f	10	\N	\N	\N	\N	\N
139	9	235	Шаблоны страниц	/content/5001	\N	ALWAYS	\N	2	\N	\N	\N	\N	\N	5001	\N	f	10	\N	\N	\N	\N	\N
69	9	50	Отчетность	/content/1310	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	1310	\N	f	10	\N	\N	\N	\N	\N
164	9	148	Вторая страница визарда	/content/5026	\N	ALWAYS	\N	525	\N	\N	\N	\N	\N	5026	{5025,5026}	f	10	\N	\N	\N	\N	\N
208	9	137	Карточки	/content/5030	\N	ALWAYS	\N	3	\N	\N	\N	\N	\N	5030	\N	f	10	\N	\N	\N	\N	\N
211	28	\N	Карточки	/content/5030?clear=5030,CR	mdi mdi-cards-variant	ALWAYS	\N	2	\N	\N	\N	Навигационная панель в виде карточек	#53B89F	\N	\N	f	10	\N	\N	\N	\N	\N
200	2	\N	О нас	https://xsquare.ru/	\N	\N	\N	1	\N	\N	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
160	17	\N	Второй шаг визарда	/content/5026	\N	ALWAYS	\N	2	\N	\N	\N	\N	\N	\N	{5026}	f	10	\N	\N	\N	ADMIN	2024-10-15 12:01:56.249166
4	1	3	Управление	\N	\N	SQL_EXPRESSION	roles.f$rls('19',users.f$_usr_id($1)) or\nroles.f$rls('1115',users.f$_usr_id($1)) or\nroles.f$rls('1310',users.f$_usr_id($1)) or\nroles.f$rls('3000',users.f$_usr_id($1)) or\nroles.f$rls('3012',users.f$_usr_id($1))	1002	\N	{APP_USER}	\N	\N	\N	\N	{3000,19,1115,1310,3012}	f	10	\N	\N	\N	\N	\N
172	9	137	Чат	/content/5028	\N	ALWAYS	\N	528	\N	\N	\N	\N	\N	5028	\N	f	10	\N	\N	\N	\N	\N
207	9	81	Календарь | &APP_USER.	/content/5300/?P5300_USER=APP_USER	\N	ALWAYS	\N	530	\N	\N	\N	\N	\N	5300	\N	f	10	\N	\N	\N	\N	\N
210	28	\N	Отчёты	/content/5021?clear=5021,CR	mdi mdi-table	ALWAYS	\N	1	\N	\N	\N	Регион для вывода данных в виде таблицы	#4287f5	\N	\N	f	10	\N	\N	\N	\N	\N
212	28	\N	Дерево	/content/5027?clear=5027,CR	mdi mdi-file-tree	ALWAYS	\N	3	\N	\N	\N	Регион для вывода древовидной структуры	#6660B5	\N	\N	f	10	\N	\N	\N	\N	\N
14	2	13	Личные данные	javascript:jsAPI.modal.open({page:'/content/15/?clear=15',title:'Личные данные'})	mdi mdi-account-circle mr-1	SQL_EXPRESSION	roles.f$rls('15',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
215	28	\N	Вкладки	/content/5023?clear=5023,CR	mdi mdi-tab	ALWAYS	\N	7	\N	\N	\N	Регион для группировки дочерних регионов во вкладки	#DFC275	\N	\N	f	10	\N	\N	\N	\N	\N
216	28	\N	Календарь	/content/5050?clear=5050,CR	mdi mdi-calendar	ALWAYS	\N	8	\N	\N	\N	Данный тип регионов служит для работы с календарём	#58A76C	\N	\N	f	10	\N	\N	\N	\N	\N
150	9	137	Графики	/content/5022	\N	ALWAYS	\N	6	\N	\N	\N	\N	\N	5022	\N	f	10	\N	\N	\N	\N	\N
213	28	\N	Чат	/content/5028?clear=5028,CR	mdi mdi-chat	ALWAYS	\N	4	\N	\N	\N	Данный тип регионов служит для вывода чата	#B753A7	\N	\N	f	10	\N	\N	\N	\N	\N
206	2	202	Пользователи	/content/19	dripicons-user	SQL_EXPRESSION	roles.f$rls('19',users.f$_usr_id($1))	13	\N	{APP_USER}	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
16	2	13	Выйти	javascript:jsAPI.logout()	mdi mdi-logout mr-1	EXISTS	SELECT 1\nWHERE $1::TEXT != 'nobody'	3	\N	{APP_USER}	\N	\N	\N	\N	\N	t	10	\N	\N	\N	\N	\N
170	9	137	Дерево	/content/5027	\N	ALWAYS	\N	4	\N	\N	\N	\N	\N	5027	\N	f	10	\N	\N	\N	\N	\N
13	2	\N	&APP_USER.	\N	dripicons-user	ALWAYS	\N	1000	\N	\N	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
204	2	202	Календарь | &APP_USER.	/content/5300/?P5300_USER=&APP_USER.	mdi mdi-calendar	SQL_EXPRESSION	roles.f$rls('5300',users.f$_usr_id($1))	12	\N	{APP_USER}	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
202	2	\N	Информация	\N	dripicons-rocket	SQL_EXPRESSION	roles.f$rls('19',users.f$_usr_id($1)) or\nroles.f$rls('5300',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	\N	\N	\N	\N	f	10	\N	\N	\N	\N	\N
245	9	137	Плитки	/content/6050	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	6050	\N	f	10	\N	\N	\N	\N	\N
255	9	286	xDAC	/content/5400	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	5400	\N	f	10	\N	\N	\N	\N	\N
247	9	245	Дизайн плиток	/content/6051	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	6051	\N	f	10	\N	\N	\N	\N	\N
246	28	\N	Плитки	/content/6050?clear=6050,CR	mdi mdi-view-module	ALWAYS	\N	9	\N	\N	\N	Регион для отображения кратких сведений в виде плиток с иконками	#FF9E44	\N	\N	f	10	\N	\N	\N	\N	\N
232	1	219	Графики	/content/5022?clear=5022,CR	\N	\N	\N	44	\N	\N	\N	\N	\N	\N	{5022}	f	10	\N	\N	\N	\N	\N
248	9	137	Датагрид	/content/5070	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	5070	\N	f	10	\N	\N	\N	\N	\N
218	1	\N	Компоненты	\N	mdi mdi-hexagon-multiple-outline	ALWAYS	\N	3	\N	\N	\N	\N	\N	\N	{5020,5101,5102}	f	10	\N	\N	\N	\N	\N
235	9	81	Разметка	\N	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
214	28	\N	Графики	/content/5022?clear=5022,CR	mdi mdi-chart-arc	ALWAYS	\N	5	\N	\N	\N	Визуализация разного рода данных в виде графиков	#FF9874	\N	\N	f	10	\N	\N	\N	\N	\N
237	9	50	Роли доступа	/content/1100	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	1100	\N	f	10	\N	\N	\N	\N	\N
225	31	\N	Регионы	/content/5020	dripicons dripicons-browser	ALWAYS	\N	1	\N	\N	\N	Демонстрация типов регионов на примерах использования	#FFC62D	\N	\N	f	10	\N	\N	\N	\N	\N
236	9	81	Компоненты	\N	\N	ALWAYS	\N	2	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
238	9	50	Объекты доступа	/content/1105	\N	ALWAYS	\N	2	\N	\N	\N	\N	\N	1005	\N	f	10	\N	\N	\N	\N	\N
240	9	50	Параметры	/content/3000	\N	ALWAYS	\N	2	\N	\N	\N	\N	\N	3000	\N	f	10	\N	\N	\N	\N	\N
239	9	50	Страницы	/content/1110	\N	ALWAYS	\N	3	\N	\N	\N	\N	\N	1110	\N	f	10	\N	\N	\N	\N	\N
241	9	50	Отделения	/content/1115	\N	ALWAYS	\N	3	\N	\N	\N	\N	\N	1115	\N	f	10	\N	\N	\N	\N	\N
244	28	\N	Датагрид	/content/5070?clear=5070,CR	mdi mdi-table-edit	ALWAYS	\N	10	\N	\N	\N	Гибкое табличное представление, которое может использоваться для редактирования данных	#9B50BC	\N	{5070}	f	10	\N	\N	\N	\N	\N
227	31	\N	Кнопки	/content/5102	mdi mdi-gesture-tap-button	ALWAYS	\N	3	\N	\N	\N	Демонстрация стилей и видов размещения кнопок	#db6744	\N	\N	f	10	\N	\N	\N	\N	\N
209	27	\N	Dinamic Actions и jsAPI	/content/5200?clear=5200,CR	mdi mdi-language-javascript	ALWAYS	\N	1	\N	\N	\N	Примеры работы Динамических Действии с методами jsAPI	#f0db4f	\N	\N	f	10	\N	\N	\N	\N	\N
219	1	\N	Дополнительно	/content/4000	mdi mdi-plus-box-multiple-outline	ALWAYS	\N	4	\N	\N	\N	\N	\N	\N	{4000,5021,5030,5027,5028,5022,5023,5050,5070,6050,6051,5025,5026,5029}	f	10	\N	\N	\N	\N	\N
226	31	\N	Элементы ввода	/content/5101	mdi mdi-form-textbox	ALWAYS	\N	2	\N	\N	\N	Описание элементов ввода с примерами	#309FDB	\N	\N	f	10	\N	\N	\N	\N	\N
252	1	250	xDAC	/content/5400	\N	SQL_EXPRESSION	roles.f$rls('5400',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	\N	{5400}	f	10	\N	\N	\N	\N	\N
250	1	\N	Модули	\N	mdi mdi-tools	SQL_EXPRESSION	roles.f$rls('5400',users.f$_usr_id($1)) or\nroles.f$rls('5500',users.f$_usr_id($1)) or\nroles.f$rls('5550',users.f$_usr_id($1))	900	\N	{APP_USER}	\N	\N	\N	\N	{5400,5500,5550}	f	10	\N	\N	\N	\N	\N
223	30	\N	Сетка страницы	/content/5011	mdi mdi-view-grid-outline	ALWAYS	\N	1	\N	\N	\N	Демонстрация разметки страницы по столбцам	#ED7809	\N	\N	f	10	\N	\N	\N	\N	\N
217	1	\N	Разметка	\N	uil uil-ruler-combined	ALWAYS	\N	2	\N	\N	\N	\N	\N	\N	{5011,5001}	f	10	\N	\N	\N	\N	\N
224	30	\N	Шаблоны страниц	/content/5001	uil uil-file-blank	ALWAYS	\N	2	\N	\N	\N	Примеры с разными вариантами разметки элементов	#9CDE09	\N	\N	f	10	\N	\N	\N	\N	\N
254	9	286	xREPORTS – генерация	/content/5500	\N	ALWAYS	\N	2	\N	\N	\N	\N	\N	5500	\N	f	10	\N	\N	\N	\N	\N
243	1	219	Датагрид	/content/5070	\N	ALWAYS	\N	800	\N	\N	\N	\N	\N	\N	{5070}	f	10	\N	\N	\N	\N	\N
117	1	217	Шаблоны страниц	/content/5001	\N	ALWAYS	\N	21	\N	\N	\N	\N	\N	5001	{5001}	f	10	\N	\N	\N	\N	\N
231	1	219	Чат	/content/5028?clear=5028,CR	\N	\N	\N	43	\N	\N	\N	\N	\N	\N	{5028}	f	10	\N	\N	\N	\N	\N
133	1	218	Регионы	/content/5020	\N	ALWAYS	\N	30	\N	\N	\N	\N	\N	5020	{5020}	f	10	\N	\N	\N	\N	\N
220	1	297	jsAPI	/content/5200?clear=5200,CR	\N	SQL_EXPRESSION	roles.f$rls('5200',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	\N	{5200}	f	10	\N	\N	\N	\N	\N
233	1	219	Вкладки	/content/5023?clear=5023,CR	\N	\N	\N	50	\N	\N	\N	\N	\N	\N	{5023}	f	10	\N	\N	\N	\N	\N
229	1	219	Карточки	/content/5030?clear=5030,CR	\N	ALWAYS	\N	41	\N	\N	\N	\N	\N	\N	{5030}	f	10	\N	\N	\N	\N	\N
273	9	271	UNICONS	/content/5105	\N	\N	\N	1	\N	\N	\N	\N	\N	5105	\N	f	10	\N	\N	\N	\N	\N
274	9	271	DRIPICONS	/content/5106	\N	\N	\N	1	\N	\N	\N	\N	\N	5106	\N	f	10	\N	\N	\N	\N	\N
293	9	292	Доступность страницы	/content/7200	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	7200	\N	f	10	\N	\N	\N	\N	\N
290	1	250	xREPORTS – конвертация	/content/5550?clear=5550,CR	\N	SQL_EXPRESSION	roles.f$rls('5550',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	\N	\N	\N	{5550}	f	10	\N	\N	\N	\N	\N
277	9	264	Ветви	/content/9100	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	9100	\N	f	10	\N	\N	\N	\N	\N
257	9	264	Процессы REST и JMESPath	/content/6400?clear=6400,CR	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	6400	\N	f	10	\N	\N	\N	\N	\N
264	9	81	Процессинг	\N	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
280	9	81	Элементы xRAD	\N	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
281	9	280	Глобальные переменные	/content/6100	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	6100	\N	f	10	\N	\N	\N	\N	\N
295	9	\N	Публичная страница о пользователе	/content/7100	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	7100	\N	f	10	\N	\N	\N	\N	\N
282	9	280	Глобальные процессы	/content/6200	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	6200	\N	f	10	\N	\N	\N	\N	\N
265	9	264	Валидация	/content/9000	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	9000	\N	f	10	\N	\N	\N	\N	\N
296	1	289	Публичная страница	/content/7100	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	\N	{7100}	f	10	Публичная страница о пользователе	\N	\N	\N	\N
258	1	\N	Иконки	\N	mdi mdi-image-multiple-outline	SQL_EXPRESSION	roles.f$rls('5104',users.f$_usr_id($1)) or\nroles.f$rls('5105',users.f$_usr_id($1)) or\nroles.f$rls('5016',users.f$_usr_id($1))	30	\N	{APP_USER}	\N	\N	\N	\N	{5104,5105,5106}	f	10	\N	\N	\N	\N	\N
284	2	\N	Уведомления: &UNREAD_NOTIFICATIONS.	/content/5090	mdi mdi-email-multiple-outline	SQL_EXPRESSION	roles.f$rls('5090',users.f$_usr_id($1))	10	\N	{APP_USER}	\N	\N	\N	\N	{5090}	f	10	\N	\N	\N	\N	\N
267	9	264	Процессы	/content/6000	\N	\N	\N	1	\N	\N	\N	\N	\N	6000	\N	f	10	\N	\N	\N	\N	\N
278	1	\N	Элементы xRAD	\N	mdi mdi-application-cog	SQL_EXPRESSION	roles.f$rls('6100',users.f$_usr_id($1)) or\nroles.f$rls('6200',users.f$_usr_id($1)) or\nroles.f$rls('6300',users.f$_usr_id($1)) or\nroles.f$rls('6600',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	\N	\N	\N	{6100,6200,6300,6600,6700}	f	10	\N	\N	\N	\N	\N
271	9	81	Иконки	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
272	9	271	MDI	/content/5104	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	5104	\N	f	10	\N	\N	\N	\N	\N
261	9	264	Процессы REST и SQL	/content/6500?clear=6500,CR	\N	\N	\N	1	\N	\N	\N	\N	\N	6500	\N	f	10	\N	\N	\N	\N	\N
285	9	\N	Уведомления	/content/5090	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	5090	\N	f	10	\N	\N	\N	\N	\N
291	9	286	xREPORTS – конвертация	/content/5550?clear=5550,CR	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	5550	\N	f	10	\N	\N	\N	\N	\N
286	9	81	Модули	\N	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
292	9	81	Безопасность	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
288	9	280	Глобальные списки	/content/6300	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	6300	\N	f	10	\N	\N	\N	\N	\N
289	1	\N	Безопасность	\N	mdi mdi-shield-account-outline	ALWAYS	\N	25	\N	\N	\N	\N	\N	\N	{7000,7100,7200,7300,7301,7400}	f	10	\N	\N	\N	\N	\N
230	1	219	Дерево	/content/5027?clear=5027,CR	\N	\N	\N	42	\N	\N	\N	\N	\N	\N	{5027}	f	10	\N	\N	\N	\N	\N
260	1	262	Процесс REST и SQL	/content/6500?clear=6500	\N	SQL_EXPRESSION	roles.f$rls('6500',users.f$_usr_id($1))	7	\N	{APP_USER}	\N	\N	\N	\N	{6500}	f	10	\N	\N	\N	\N	\N
268	1	258	mdi	/content/5104	\N	SQL_EXPRESSION	roles.f$rls('5104',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	\N	{5104}	f	10	Иконки класса mdi	\N	\N	\N	\N
256	1	219	Плитки	/content/6050	\N	ALWAYS	\N	550	\N	\N	\N	\N	\N	\N	{6050,6051}	f	10	\N	\N	\N	\N	\N
311	35	\N	CSS	/content/5220?clear=5220,CR	mdi mdi-language-css3	SQL_EXPRESSION	roles.f$rls('5220',users.f$_usr_id($1))	3	\N	{APP_USER}	\N	Работа приложения с каскодными таблицами стилей	#5171E9	\N	\N	f	10	\N	\N	\N	\N	\N
317	36	\N	Процесс REST и JMESPath	/content/6400?clear=6400,CR	mdi mdi-code-json	SQL_EXPRESSION	roles.f$rls('6400',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	Использование RESTFull процессов в связке с языком запросов JMESPath	#5AB750	\N	\N	f	10	\N	\N	\N	\N	\N
301	9	292	Доступность приложения	/content/7000	\N	\N	\N	1	\N	\N	\N	\N	\N	7000	\N	f	10	\N	\N	\N	\N	\N
303	9	292	Защита данных	/content/7300	\N	\N	\N	1	\N	\N	\N	\N	\N	7300	\N	f	10	\N	\N	\N	\N	\N
304	9	303	Данные клиента	/content/7301	\N	SQL_EXPRESSION	roles.f$rls('7301',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	7301	\N	f	10	\N	\N	\N	\N	\N
306	9	148	Первая страница визарда	/content/5025	\N	\N	\N	1	\N	\N	\N	\N	\N	5025	\N	f	10	\N	\N	\N	\N	\N
307	9	148	Третья страница визарда	/content/5029	\N	\N	\N	1	\N	\N	\N	\N	\N	5029	\N	f	10	\N	\N	\N	\N	\N
318	36	\N	Процесс REST и SQL	/content/6500?clear=6500,CR	mdi mdi-script-text-play-outline	SQL_EXPRESSION	roles.f$rls('6500',users.f$_usr_id($1))	30	\N	{APP_USER}	\N	Использование RESTFull процессов с обработкой ответа на стороне Базы Данных	#DB6067	\N	\N	f	10	\N	\N	\N	\N	\N
319	36	\N	Валидация	/content/9000?clear=9000,CR	mdi mdi-check-circle-outline	SQL_EXPRESSION	roles.f$rls('9000',users.f$_usr_id($1))	40	\N	{APP_USER}	\N	Проверка данных на соответствие определенным условиям	#B04D89	\N	\N	f	10	\N	\N	\N	\N	\N
310	35	\N	JavaScript	/content/5210?clear=5210,CR	mdi mdi-language-javascript	SQL_EXPRESSION	roles.f$rls('5210',users.f$_usr_id($1))	2	\N	{APP_USER}	\N	Методы работы приложения с внешним кодом на JavaScript	#F7D700	\N	\N	f	10	\N	\N	\N	\N	\N
312	9	81	Фронтенд	\N	\N	\N	\N	1	\N	\N	\N	\N	\N	1000	\N	f	10	\N	\N	\N	\N	\N
313	9	312	JavaScript	/content/5210?clear=5210,CR	\N	\N	\N	1	\N	\N	\N	\N	\N	5210	\N	f	10	\N	\N	\N	\N	\N
308	28	\N	Визард	/content/5025	mdi mdi-ray-start-vertex-end	ALWAYS	\N	6	\N	\N	\N	Графическое представление последовательности действий на основе списка	#FF5244	\N	\N	f	10	\N	\N	\N	\N	\N
321	9	264	Условия	/content/9050?clear=9050,CR	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	9050	\N	f	10	\N	\N	\N	\N	\N
297	1	\N	Фронтенд	\N	mdi mdi-code-tags	SQL_EXPRESSION	roles.f$rls('5200',users.f$_usr_id($1)) or\nroles.f$rls('5210',users.f$_usr_id($1)) or\nroles.f$rls('5220',users.f$_usr_id($1))	5	\N	{APP_USER}	\N	\N	\N	\N	{5200,5210,5220}	f	10	\N	\N	\N	\N	\N
309	35	\N	Dynamic Actions и jsAPI	/content/5200?clear=5200,CR	mdi mdi-code-braces	SQL_EXPRESSION	roles.f$rls('5200',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	Примеры работы Динамических Действии с методами jsAPI	#6341A4	\N	\N	f	10	\N	\N	\N	\N	\N
314	9	312	CSS	/content/5220?clear=5220,CR	\N	\N	\N	1	\N	\N	\N	\N	\N	5220	\N	f	10	\N	\N	\N	\N	\N
323	36	\N	Условия	/content/9050?clear=9050,CR	mdi mdi-check-underline-circle-outline	SQL_EXPRESSION	roles.f$rls('9050',users.f$_usr_id($1))	50	\N	{APP_USER}	\N	Типы валидаторов для определения условий выполнения процессов и отображения элементов	#DF9B62	\N	\N	f	10	\N	\N	\N	\N	\N
316	36	\N	Процесс БД	/content/6000?clear=6000,CR	mdi mdi-database-cog-outline	SQL_EXPRESSION	roles.f$rls('6000',users.f$_usr_id($1))	10	\N	{APP_USER}	\N	Описание типов обычных процессов взаимодействия с Базой Данных	#ADD15C	\N	\N	f	10	\N	\N	\N	\N	\N
326	37	\N	Глобальные списки	/content/6300?clear=6300,CR	mdi mdi-view-list-outline	SQL_EXPRESSION	roles.f$rls('6300',users.f$_usr_id($1))	30	\N	{APP_USER}	\N	Статические и динамические наборы данных	#B753A7	\N	\N	f	10	\N	\N	\N	\N	\N
327	38	\N	Защита данных	/content/7300?clear=7300,CR	mdi mdi-folder-lock	SQL_EXPRESSION	roles.f$rls('7300',users.f$_usr_id($1))	10	\N	{APP_USER}	\N	Методы защиты бизнес-данных приложения	#DFC275	\N	\N	f	10	\N	\N	\N	\N	\N
287	1	278	Глобальные списки	/content/6300	\N	SQL_EXPRESSION	roles.f$rls('6300',users.f$_usr_id($1))	30	\N	{APP_USER}	\N	\N	\N	\N	{6300}	f	10	\N	\N	\N	\N	\N
299	1	297	CSS	/content/5220	\N	SQL_EXPRESSION	roles.f$rls('5220',users.f$_usr_id($1))	3	\N	{APP_USER}	\N	\N	\N	\N	{5220}	f	10	\N	\N	\N	\N	\N
324	37	\N	Глобальные переменные	/content/6100?clear=6100,CR	mdi mdi-variable	SQL_EXPRESSION	roles.f$rls('6100',users.f$_usr_id($1))	10	\N	{APP_USER}	\N	Предустановленные и пользовательские переменные, доступные в пределах всего приложения	#53B89F	\N	\N	f	10	\N	\N	\N	\N	\N
325	37	\N	Глобальные процессы	/content/6200?clear=6200,CR	mdi mdi-repeat	SQL_EXPRESSION	roles.f$rls('6200',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	Процессы, выполняемые и доступные в пределах всего приложения	#6660B5	\N	\N	f	10	\N	\N	\N	\N	\N
328	38	\N	Доступность приложения	/content/7000?clear=7000,CR	mdi mdi-application	SQL_EXPRESSION	roles.f$rls('7000',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	Обеспечение доступа к приложению	#58A76C	\N	\N	f	10	\N	\N	\N	\N	\N
329	38	\N	Доступность страниц	/content/7200?clear=7200,CR	mdi mdi-page-next-outline	SQL_EXPRESSION	roles.f$rls('7200',users.f$_usr_id($1))	30	\N	{APP_USER}	\N	Обеспечение доступа к страницам приложения	#FF9E44	\N	\N	f	10	\N	\N	\N	\N	\N
331	39	\N	UNICONS	/content/5105	uil uil-scenery	SQL_EXPRESSION	roles.f$rls('5105',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	Иконки класса uil	#8163B2	\N	\N	f	10	\N	\N	\N	\N	\N
332	39	\N	DRIPICONS	/content/5106	dripicons dripicons-photo	SQL_EXPRESSION	roles.f$rls('5106',users.f$_usr_id($1))	30	\N	{APP_USER}	\N	Иконки класса dripicons	#5B8EAA	\N	\N	f	10	\N	\N	\N	\N	\N
22	1	5	Роли	/content/1100/	\N	SQL_EXPRESSION	roles.f$rls('1100',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	\N	{1100}	f	10	\N	\N	\N	\N	\N
334	40	\N	xREPORTS – генерация	/content/5500?clear=5500,CR	mdi mdi-file-document-multiple-outline	SQL_EXPRESSION	roles.f$rls('5500',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	Генерация отчетов и печатных форм	#79C781	\N	\N	f	10	\N	\N	\N	\N	\N
335	40	\N	xREPORTS – конвертация	/content/5550?clear=5550,CR	mdi mdi-compare-horizontal	SQL_EXPRESSION	roles.f$rls('5550',users.f$_usr_id($1))	30	\N	{APP_USER}	\N	Конвертация XLSX файлов в JSON	#79C781	\N	\N	f	10	\N	\N	\N	\N	\N
337	41	\N	xDAC	/content/5400?clear=5400,CR	mdi mdi-api	SQL_EXPRESSION	roles.f$rls('5400',users.f$_usr_id($1))	10	\N	{APP_USER}	\N	Доступ к процедурам PostgreSQL через API	#569AE9	\N	\N	f	10	\N	\N	\N	\N	\N
339	9	312	jsAPI и Dynamic Actions	/content/5200?clear=5200,CR	\N	\N	\N	1	\N	\N	\N	\N	\N	5200	\N	f	10	\N	\N	\N	\N	\N
341	9	280	Источники данных	/content/6600?clear=6600,CR	\N	\N	\N	1	\N	\N	\N	\N	\N	6600	\N	f	10	\N	\N	\N	\N	\N
342	37	\N	Источники данных	/content/6600?clear=6600,CR	mdi mdi-database-outline	SQL_EXPRESSION	roles.f$rls('6600',users.f$_usr_id($1))	40	\N	{APP_USER}	\N	Описание источников данных приложения	#EB6B89	\N	\N	f	10	\N	\N	\N	\N	\N
343	9	264	Транзакции	/content/9200?clear=9200,CR	\N	ALWAYS	\N	1	\N	\N	\N	\N	\N	9200	\N	f	10	\N	\N	\N	\N	\N
346	9	280	Настройки приложения	/content/6700?clear=6700,CR	\N	\N	\N	1	\N	\N	\N	\N	\N	6700	\N	f	10	\N	\N	\N	\N	\N
347	9	292	Сессии	/content/7400?clear=7400,CR	\N	\N	\N	1	\N	\N	\N	\N	\N	7400	\N	f	10	\N	\N	\N	\N	\N
251	1	250	xREPORTS – генерация	/content/5500?clear=5500,CR	\N	SQL_EXPRESSION	roles.f$rls('5500',users.f$_usr_id($1))	2	\N	{APP_USER}	\N	\N	\N	\N	{5500}	f	10	\N	\N	\N	\N	\N
338	36	\N	Ветви	/content/9100	mdi mdi-arrow-decision	SQL_EXPRESSION	roles.f$rls('9100',users.f$_usr_id($1))	60	\N	{APP_USER}	\N	Перенаправления на другие страницы после определенных действий	#4E5B98	\N	\N	f	10	\N	\N	\N	\N	\N
3	1	\N	Администрирование	/content/1200	mdi mdi-cog-outline	SQL_EXPRESSION	roles.f$rls('3000',users.f$_usr_id($1)) OR\nroles.f$rls('19',users.f$_usr_id($1)) OR \nroles.f$rls('1115',users.f$_usr_id($1)) OR \nroles.f$rls('3012',users.f$_usr_id($1)) OR \nroles.f$rls('1310',users.f$_usr_id($1)) OR \nroles.f$rls('1005',users.f$_usr_id($1)) OR \nroles.f$rls('1100',users.f$_usr_id($1)) OR \nroles.f$rls('1110',users.f$_usr_id($1)) OR \nroles.f$rls('1200',users.f$_usr_id($1))	1000	\N	{APP_USER}	\N	\N	\N	\N	{3000,19,20,1115,3012,1310,1005,1100,1110,1200}	f	10	\N	\N	\N	\N	\N
351	38	\N	Сессии	/content/7400?clear=7400,CR	mdi mdi-account-clock-outline	SQL_EXPRESSION	roles.f$rls('7400',users.f$_usr_id($1))	40	\N	{APP_USER}	\N	Сессии и их состояние	#9B50BC	\N	\N	f	10	\N	\N	\N	\N	\N
350	37	\N	Настройки приложения	/content/6700?clear=6700,CR	mdi mdi-application-settings	SQL_EXPRESSION	roles.f$rls('6700',users.f$_usr_id($1))	9	\N	{APP_USER}	\N	Описание значений настроек приложения	#4287F5	\N	\N	f	10	\N	\N	\N	\N	\N
330	39	\N	MDI	/content/5104	mdi mdi-image	SQL_EXPRESSION	roles.f$rls('5104',users.f$_usr_id($1))	10	\N	{APP_USER}	\N	Иконки класса mdi	#676FB3	\N	\N	f	10	\N	\N	\N	\N	\N
234	1	219	Календарь	/content/5050?clear=5050,CR	\N	ALWAYS	\N	60	\N	\N	\N	\N	\N	\N	{5050}	f	10	\N	\N	\N	\N	\N
294	1	289	Доступность приложения	/content/7000	\N	SQL_EXPRESSION	roles.f$rls('7000',users.f$_usr_id($1))	10	\N	{APP_USER}	\N	\N	\N	\N	{7000}	f	10	\N	\N	\N	\N	\N
283	1	278	Глобальные процессы	/content/6200	\N	SQL_EXPRESSION	roles.f$rls('6200',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	\N	\N	\N	{6200}	f	10	\N	\N	\N	\N	\N
263	1	262	Процесс БД	/content/6000	\N	SQL_EXPRESSION	roles.f$rls('6000',users.f$_usr_id($1))	3	\N	{APP_USER}	\N	\N	\N	\N	{6000}	f	10	\N	\N	\N	\N	\N
266	1	262	Валидация	/content/9000	\N	SQL_EXPRESSION	roles.f$rls('9000',users.f$_usr_id($1))	40	\N	{APP_USER}	\N	\N	\N	\N	{9000}	t	10	\N	\N	\N	\N	\N
270	1	258	unicons	/content/5105	\N	SQL_EXPRESSION	roles.f$rls('5105',users.f$_usr_id($1))	2	\N	{APP_USER}	\N	\N	\N	\N	{5105}	f	10	Иконки класса uil	\N	\N	\N	\N
259	1	262	Процесс REST и JMESPath	/content/6400?clear=6400	\N	SQL_EXPRESSION	roles.f$rls('6400',users.f$_usr_id($1))	6	\N	{APP_USER}	\N	\N	\N	\N	{6400}	f	10	\N	\N	\N	\N	\N
269	1	258	dripicons	/content/5106	\N	SQL_EXPRESSION	roles.f$rls('5106',users.f$_usr_id($1))	3	\N	{APP_USER}	\N	\N	\N	\N	{5106}	f	10	Иконки класса dripicons	\N	\N	\N	\N
85	1	4	Файлы	/content/3012/?clear=3012	\N	SQL_EXPRESSION	roles.f$rls('3012',users.f$_usr_id($1))	4	\N	{APP_USER}	\N	\N	\N	\N	{3012}	f	10	\N	\N	\N	\N	\N
279	1	278	Глобальные переменные	/content/6100	\N	SQL_EXPRESSION	roles.f$rls('6100',users.f$_usr_id($1))	10	\N	{APP_USER}	\N	\N	\N	\N	{6100}	f	10	\N	\N	\N	\N	\N
300	1	289	Доступность страниц	/content/7200	\N	SQL_EXPRESSION	roles.f$rls('7200',users.f$_usr_id($1))	20	\N	{APP_USER}	\N	\N	\N	\N	{7200}	f	10	\N	\N	\N	\N	\N
298	1	297	JavaScript	/content/5210	\N	SQL_EXPRESSION	roles.f$rls('5210',users.f$_usr_id($1))	2	\N	{APP_USER}	\N	\N	\N	\N	{5210}	f	10	\N	\N	\N	\N	\N
302	1	289	Защита данных	/content/7300	\N	SQL_EXPRESSION	roles.f$rls('7300',users.f$_usr_id($1))	4	\N	{APP_USER}	\N	\N	\N	\N	{7300,7301}	f	10	\N	\N	\N	\N	\N
320	1	219	Отчеты	/content/5021?clear=5021,CR	\N	ALWAYS	\N	40	\N	\N	\N	\N	\N	\N	{5021}	f	10	\N	\N	\N	\N	\N
315	1	219	Визард	/content/5025?clear=5025,CR	\N	\N	\N	45	\N	\N	\N	\N	\N	\N	{5025,5026,5029}	f	10	\N	\N	\N	\N	\N
322	1	262	Условия	/content/9050?clear=9050,CR	\N	SQL_EXPRESSION	roles.f$rls('9050',users.f$_usr_id($1))	50	\N	{APP_USER}	\N	\N	\N	\N	{9050}	f	10	\N	\N	\N	\N	\N
345	1	278	Настройки приложения	/content/6700?clear=6700,CR	\N	SQL_EXPRESSION	roles.f$rls('6700',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	\N	\N	\N	{6700}	f	10	\N	\N	\N	\N	\N
340	1	278	Источники данных	/content/6600?clear=6600,CR	\N	SQL_EXPRESSION	roles.f$rls('6600',users.f$_usr_id($1))	40	\N	{APP_USER}	\N	\N	\N	\N	{6600}	f	10	\N	\N	\N	\N	\N
348	1	289	Сессии	/content/7400?clear=7400,CR	\N	SQL_EXPRESSION	roles.f$rls('7400',users.f$_usr_id($1))	50	\N	{APP_USER}	\N	\N	\N	\N	{7400}	f	10	\N	\N	\N	\N	\N
344	1	262	Транзакции	/content/9200?clear=9200,CR	\N	SQL_EXPRESSION	roles.f$rls('9200',users.f$_usr_id($1))	70	\N	{APP_USER}	\N	\N	\N	\N	{9200}	f	10	\N	\N	\N	\N	\N
336	1	262	Ветви	/content/9100	\N	SQL_EXPRESSION	roles.f$rls('9100',users.f$_usr_id($1))	60	\N	{APP_USER}	\N	\N	\N	\N	{9100}	f	10	\N	\N	\N	\N	\N
353	9	264	Блокировки	/content/9300?clear=9300	\N	\N	\N	1	\N	\N	\N	\N	\N	9300	\N	\N	10	\N	ADMIN	2024-10-14 11:48:46.792474	\N	\N
28	4	\N	Роли доступа	/content/1100/	dripicons  dripicons-tags	SQL_EXPRESSION	roles.f$rls('1100',users.f$_usr_id($1))	1	\N	{APP_USER}	\N	Создание и удаление ролей доступа, добавление страниц приложения ролям	\N	\N	\N	f	10	\N	\N	\N	ADMIN	2024-10-14 12:01:48.244412
349	36	\N	Транзакции	/content/9200?clear=9200,CR	mdi mdi-swap-horizontal	SQL_EXPRESSION	roles.f$rls('9200',users.f$_usr_id($1))	70	\N	{APP_USER}	\N	Реализация транзакций в приложении	#654C98	\N	\N	f	10	\N	\N	\N	ADMIN	2024-10-14 11:57:38.383092
354	36	\N	Блокировки	/content/9300?clear=9300	mdi mdi-lock	SQL_EXPRESSION	roles.f$rls('9300',users.f$_usr_id($1))	80	\N	{APP_USER}	\N	Методы jsAPI для блокировки кнопок, регионов и страницы целиком	#25947F	\N	\N	f	10	\N	ADMIN	2024-10-14 11:54:28.90239	ADMIN	2024-10-14 12:02:29.141947
355	1	262	Блокировки	/content/9300?clear=9300	\N	SQL_EXPRESSION	roles.f$rls('9300',users.f$_usr_id($1))	80	\N	{APP_USER}	\N	\N	\N	\N	{9300}	f	10	\N	ADMIN	2024-10-14 12:18:23.692441	\N	\N
262	1	\N	Процессинг	\N	mdi mdi-database-settings-outline	SQL_EXPRESSION	roles.f$rls('6000',users.f$_usr_id($1)) or\nroles.f$rls('6400',users.f$_usr_id($1)) or\nroles.f$rls('6500',users.f$_usr_id($1)) or\nroles.f$rls('9000',users.f$_usr_id($1)) or\nroles.f$rls('9050',users.f$_usr_id($1)) or\nroles.f$rls('9100',users.f$_usr_id($1)) or\nroles.f$rls('9200',users.f$_usr_id($1)) or\nroles.f$rls('9300',users.f$_usr_id($1))	6	\N	{APP_USER}	\N	\N	\N	\N	{6000,6400,6500,9000,9050,9100,9200,9300}	f	10	\N	\N	\N	ADMIN	2024-10-14 16:51:54.649679
\.


--
-- Data for Name: t_lists; Type: TABLE DATA; Schema: list; Owner: xrad_user
--

COPY list.t_lists (id, name, list_type, list_query, list_input, breadcrumb, id_source, created_by, created_on, last_updated_by, last_updated_on) FROM stdin;
3	Управление	STATIC	\N	\N	f	10	\N	\N	\N	\N
4	Права доступа	STATIC	\N	\N	f	10	\N	\N	\N	\N
15	Сброс пароля пользователя	STATIC	\N	\N	f	10	\N	\N	\N	\N
9	BREADCRUMB	STATIC	\N	\N	t	10	\N	\N	\N	\N
28	Страницы регионов	STATIC	\N	\N	f	10	\N	\N	\N	\N
30	Разметка	STATIC	\N	\N	f	10	\N	\N	\N	\N
31	Компоненты	STATIC	\N	\N	f	10	\N	\N	\N	\N
27	Дополнительно	STATIC	\N	\N	f	10	\N	\N	\N	\N
1	Боковое меню	STATIC	\N	\N	f	10	\N	\N	\N	\N
17	Страницы Визарда	STATIC	\N	\N	f	10	\N	\N	\N	\N
2	Панель навигации	STATIC	\N	\N	f	10	\N	\N	\N	\N
43	Страницы Визарда SQL	SQL_QUERY	SELECT 1 sequence\n\t  ,'Первая страница' title\n      ,'/content/5025' link\n      ,'5025' condition_type	\N	f	10	\N	\N	\N	\N
34	Уведомления	SQL_QUERY	SELECT \n  'mdi mdi-email-outline' icon,\n  title name,\n  CONCAT('javascript:jsAPI.modal.open({page:`/5091/?P5091_ID=',id,'`})') target,\n  description attribute_01,\n  TO_CHAR(date_created, 'DD.MM.YYYY') attribute_02\nFROM \n  events.t_notifications\nORDER BY\n  id;	\N	f	10	\N	\N	\N	\N
35	Фронтенд	STATIC	\N	\N	f	10	\N	\N	\N	\N
36	Процессинг	STATIC	\N	\N	f	10	\N	\N	\N	\N
37	Элементы xRAD	STATIC	\N	\N	f	10	\N	\N	\N	\N
38	Безопасность	STATIC	\N	\N	f	10	\N	\N	\N	\N
39	Иконки	STATIC	\N	\N	f	10	\N	\N	\N	\N
40	Модуль xREPORTS	STATIC	\N	\N	f	10	\N	\N	\N	\N
41	Модуль xDAC	STATIC	\N	\N	f	10	\N	\N	\N	\N
\.


--
-- Data for Name: t_folder_groups; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_folder_groups (id, id_folder, id_group, created_by, date_created) FROM stdin;
\.


--
-- Data for Name: t_folder_page; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_folder_page (id, id_folder, id_page, created_by, date_created, disp_seq) FROM stdin;
45	5	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	ADMIN	2024-12-24 04:36:53.953493	\N
13	1	f8a4d019-89e4-4ec6-82bc-add1851ffe89	ADMIN	2024-12-24 04:30:18.688494	\N
1	1	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	ADMIN	2024-12-24 04:30:23.611078	\N
2	1	83aa1204-d957-4efb-b371-5548f5db7c45	ADMIN	2024-12-24 04:30:27.481276	\N
3	1	530154e2-764f-4bb8-bd69-f0e2d33dbe57	ADMIN	2024-12-24 04:30:31.480278	\N
26	3	f48165f0-1892-4396-8145-b5ce2b29cdb4	ADMIN	2024-12-24 04:32:11.143312	\N
27	3	0bfb1592-51be-4726-afa1-e68ef2b0a3a0	ADMIN	2024-12-24 04:32:24.491036	\N
28	3	1ea35935-1df1-4842-bc12-f0c13e3829ff	ADMIN	2024-12-24 04:32:27.546431	\N
29	3	3b5a7cb2-6f42-4c1a-93ee-15d42177e62d	ADMIN	2024-12-24 04:32:30.353389	\N
30	3	56e6538d-a961-4c5a-ab89-6b54955c805a	ADMIN	2024-12-24 04:32:36.125837	\N
31	3	aab04b5d-a22e-4821-a7c9-99cf8005110a	ADMIN	2024-12-24 04:32:38.758582	\N
47	8	08b100ea-32eb-43bc-9e5c-9cf32122519e	ADMIN	2024-12-24 04:37:08.950927	\N
34	2	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	ADMIN	2024-12-24 04:32:58.205754	\N
35	4	45a1f80e-3900-4f07-8cde-89e476b24529	ADMIN	2024-12-24 04:33:27.476658	\N
46	8	89ecce48-2531-498f-8eae-2bfb5494e66d	ADMIN	2024-12-24 04:37:11.681838	\N
32	3	451ae93d-c85b-4406-863a-1705ee6652af	ADMIN	2024-12-24 04:33:38.88598	\N
33	2	435789a1-16e5-45ca-8a20-154219bd753e	ADMIN	2024-12-24 04:33:47.105823	\N
49	5	fe04fae4-186f-429b-bf4f-3e3afd4b7141	ADMIN	2024-12-24 04:37:25.590553	\N
53	4	aee8cb58-83f0-4626-9cca-c1eacf279c23	ADMIN	2024-12-24 04:34:57.573199	\N
54	4	981448ef-457a-4a86-b253-9accce59c268	ADMIN	2024-12-24 04:35:17.964561	\N
25	5	66172bff-a801-47bf-935a-25abd312e5df	ADMIN	2024-12-24 04:35:39.414382	\N
36	5	8d795ae5-9e4c-47d3-a940-dcba059599ed	ADMIN	2024-12-24 04:35:44.436917	\N
37	5	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	ADMIN	2024-12-24 04:35:48.564283	\N
40	6	c3bfd42b-0e7e-40dd-96ca-16de1d292caa	ADMIN	2024-12-24 04:36:03.913403	\N
41	6	718632d7-9ea4-487b-a429-ed5c6d39561e	ADMIN	2024-12-24 04:36:07.145061	\N
42	5	8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	ADMIN	2024-12-24 04:36:11.046114	\N
43	5	b9fdd2e2-f39c-4930-91d2-9eecd3626960	ADMIN	2024-12-24 04:36:14.210582	\N
44	6	c7a6173f-9d45-410b-8d56-3d605bf3d4fb	ADMIN	2024-12-24 04:36:20.828623	\N
17	16	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	ADMIN	2024-12-24 04:43:27.955083	\N
38	7	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	ADMIN	2024-12-24 04:36:47.868211	\N
39	7	2ed35103-feec-41ba-87fc-e05ae867b199	ADMIN	2024-12-24 04:36:51.030773	\N
18	16	abea137b-d0a9-4bab-82cb-9de6b820aa29	ADMIN	2024-12-24 04:43:31.404678	\N
58	9	3006c64d-7487-4960-bdfc-f8565c02fd11	ADMIN	2024-12-24 04:39:18.49387	\N
59	9	ac59d725-9e81-4f45-893f-1ffd64fd6846	ADMIN	2024-12-24 04:39:21.927718	\N
60	9	896512ee-bca1-4fb3-8148-31dc61b0e8ff	ADMIN	2024-12-24 04:39:25.346724	\N
65	10	acd31448-1daf-4a7b-a84a-c748350d7d1d	ADMIN	2024-12-24 04:40:11.63815	\N
19	12	36594c2a-5142-48ca-95ec-0c34b4913fe4	ADMIN	2024-12-24 04:43:35.477523	\N
66	11	bd6b73f7-00c6-4985-927b-653e02f8c659	ADMIN	2024-12-24 04:40:36.198685	\N
67	11	cb515bef-e70c-44f4-9199-5e8369ad3aa1	ADMIN	2024-12-24 04:40:38.234567	\N
72	10	9361b40f-16b6-4110-8089-16abba870bae	ADMIN	2024-12-24 04:40:56.265107	\N
73	10	c157113b-bd24-49df-84a2-62c280bd48b9	ADMIN	2024-12-24 04:41:16.205557	\N
8	14	537cdd83-9057-43fe-8d89-2144884383f7	ADMIN	2024-12-24 04:42:07.359027	\N
9	14	b6b32f07-21ba-4f6a-b02a-211725303cd5	ADMIN	2024-12-24 04:42:10.527407	\N
10	14	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	ADMIN	2024-12-24 04:42:12.728097	\N
11	14	a6b4f635-850d-421a-bc2c-2a238db8124c	ADMIN	2024-12-24 04:42:27.603112	\N
23	17	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	ADMIN	2024-12-24 04:43:49.670373	\N
20	15	232dee12-c7d7-4237-9cd0-d8060d7b0c62	ADMIN	2024-12-24 04:43:03.929977	\N
21	15	0afeb069-1c8f-4f63-98d6-d13eab2ed343	ADMIN	2024-12-24 04:43:08.829548	\N
22	15	484df877-6f06-4f9e-be6a-f2dc5ab528ca	ADMIN	2024-12-24 04:43:13.879583	\N
24	17	5df45e90-9969-40c5-9b3d-a1bb931418c5	ADMIN	2024-12-24 04:43:52.048206	\N
14	19	129c0d3a-01f7-497f-b996-d9113ab7f318	ADMIN	2024-12-24 04:44:19.260105	\N
15	19	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	ADMIN	2024-12-24 04:44:26.695867	\N
68	20	aebc3f92-c789-4a1a-968a-7900d589269d	ADMIN	2024-12-24 04:45:15.361813	\N
69	20	405ed4af-edc6-48b3-bf94-806103b3d2b7	ADMIN	2024-12-24 04:45:19.820557	\N
70	20	c7d28294-b69b-407e-88b3-1bc14126346e	ADMIN	2024-12-24 04:45:23.220698	\N
74	20	e9492934-32f7-4818-b110-411d65aa65b9	ADMIN	2024-12-24 04:45:36.757651	\N
75	20	adf27858-5f30-4b8f-8d19-233bdaddc26d	ADMIN	2024-12-24 04:45:39.729127	\N
77	21	3bb65c15-0e65-4e02-802e-9f0d39a5685c	ADMIN	2024-12-24 04:46:04.979397	\N
56	24	087d6a1e-9562-4fb5-98d9-066220d2f660	ADMIN	2024-12-24 05:01:24.136651	\N
82	22	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	ADMIN	2024-12-24 04:46:28.353862	\N
83	22	72b67410-f688-4bc6-9a6e-bb63c70a2763	ADMIN	2024-12-24 04:46:47.374835	\N
76	21	1402158f-55cf-47b1-88b6-30cadfded13a	ADMIN	2024-12-24 04:47:10.325113	\N
57	24	3135d0ab-85d9-4b64-8e13-4ba63e269674	ADMIN	2024-12-24 05:01:31.185552	\N
78	23	d1533edb-4578-4939-88c0-38a6ad2f4c7c	ADMIN	2024-12-24 04:48:47.76826	\N
79	23	56dff7a2-3198-4ef4-8885-ea3a5de5b0b5	ADMIN	2024-12-24 04:48:51.361282	\N
80	23	bb3ac1a5-026d-4edb-aa34-6a4266875a1b	ADMIN	2024-12-24 04:48:55.510359	\N
81	23	bd5c9c5f-20a6-4459-8894-c0436da6a62e	ADMIN	2024-12-24 04:48:58.93132	\N
84	21	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	ADMIN	2024-12-24 05:01:03.203086	\N
55	24	eb8b0a5d-776a-450d-93b4-527b4734fa8c	ADMIN	2024-12-24 05:01:19.834589	\N
62	25	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	ADMIN	2024-12-24 05:01:44.394861	\N
64	25	c1434e86-8781-437b-9dc6-8e3d43073659	ADMIN	2024-12-24 05:01:52.085649	\N
6	27	645205e7-5a21-4a2d-b2a1-60df5b9576c9	ADMIN	2024-12-24 05:05:16.270702	\N
85	10	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	ADMIN	2024-12-24 05:02:04.083533	\N
86	10	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	ADMIN	2024-12-24 05:02:12.526394	\N
87	10	4303bd6b-83c3-4652-814f-c0b9b8e4958e	ADMIN	2024-12-24 05:02:14.712653	\N
88	10	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	ADMIN	2024-12-24 05:02:20.313061	\N
71	26	55cebbf2-83f2-476d-bb93-79a0a0681374	ADMIN	2024-12-24 05:02:38.274877	\N
16	26	395332e9-d054-4722-a1f0-5b3817df0590	ADMIN	2024-12-24 05:02:44.293185	\N
4	27	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	ADMIN	2024-12-24 05:05:19.562726	\N
61	28	bbbfba99-f656-4a05-a070-216215b4b4bb	ADMIN	2024-12-24 05:04:26.323452	\N
51	29	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	ADMIN	2024-12-24 05:04:42.062137	\N
52	29	e489d8ca-9b10-473a-8d68-2669f2c3e877	ADMIN	2024-12-24 05:04:45.202909	\N
5	14	9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	ADMIN	2024-12-24 05:35:07.773582	\N
7	1	a6d10784-1f93-4cfa-9dd6-98a1bc3b9d0f	ADMIN	2024-12-24 05:35:30.658653	\N
200	10	8145943d-3106-4c58-973a-ad8778b2a231	ADMIN	2024-10-14 11:28:47.716389	\N
203	25	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	\N	2025-02-27 22:34:39.479932	\N
\.


--
-- Data for Name: t_folder_users; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_folder_users (id, id_folder, id_user, created_by, date_created) FROM stdin;
\.


--
-- Data for Name: t_folders; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_folders (id, id_parent, folder_name, created_by, date_created, folder_seq) FROM stdin;
-1	\N	ROOT	\N	\N	0
1	-1	01 - Главная	ADMIN	2024-12-24 04:30:11.074037	\N
2	-1	02 - Разметка	ADMIN	2024-12-24 04:31:38.86302	\N
3	2	Шаблоны страниц	ADMIN	2024-12-24 04:31:56.958794	\N
4	-1	03 - Компоненты	ADMIN	2024-12-24 04:33:10.77841	\N
5	-1	04 - Дополнительно	ADMIN	2024-12-24 04:35:27.563987	\N
6	5	Визард	ADMIN	2024-12-24 04:35:59.80574	\N
7	5	Вкладки	ADMIN	2024-12-24 04:36:39.538996	\N
8	5	Календарь	ADMIN	2024-12-24 04:37:03.43177	\N
9	-1	05 - Фронтенд	ADMIN	2024-12-24 04:39:05.846041	\N
10	-1	06 - Процессинг	ADMIN	2024-12-24 04:39:38.39978	\N
11	5	Плитки	ADMIN	2024-12-24 04:40:32.492642	\N
12	-1	11 - Администрирование	ADMIN	2024-12-24 04:41:30.846992	\N
14	13	Пользователи	ADMIN	2024-12-24 04:41:54.684067	\N
13	12	Управление	ADMIN	2024-12-24 04:41:42.468579	\N
15	13	Параметры	ADMIN	2024-12-24 04:42:55.518869	\N
16	13	Отделения	ADMIN	2024-12-24 04:43:23.34275	\N
17	13	Файлы	ADMIN	2024-12-24 04:43:45.817342	\N
18	12	Права доступа	ADMIN	2024-12-24 04:44:03.486041	\N
19	18	Роли	ADMIN	2024-12-24 04:44:14.406637	\N
20	-1	07 - Элементы xRAD	ADMIN	2024-12-24 04:45:00.043786	\N
21	-1	08 - Безопасность	ADMIN	2024-12-24 04:45:55.359737	\N
22	21	Защита данных	ADMIN	2024-12-24 04:46:25.894029	\N
23	21	Доступность страниц	ADMIN	2024-12-24 04:48:43.62139	\N
24	-1	09 -  Иконки	ADMIN	2024-12-24 05:01:14.484532	\N
25	-1	10 - Модули	ADMIN	2024-12-24 05:01:38.246123	\N
28	27	Календарь	ADMIN	2024-12-24 05:03:10.02148	\N
29	27	Уведомления	ADMIN	2024-12-24 05:04:39.294777	\N
26	-1	12 - Общее	ADMIN	2024-12-24 05:02:34.300059	\N
27	-1	13 - Панель навигации	ADMIN	2024-12-24 05:02:56.757371	\N
\.


--
-- Data for Name: t_page_branches; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_page_branches (id, id_page, branch_name, branch_type, branch_action, branch_seq, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, branch_point, created_by, created_on, last_updated_by, last_updated_on, id_source, action_input) FROM stdin;
e605fa70-abeb-4d04-9a13-0ddd64d11a3a	89ecce48-2531-498f-8eae-2bfb5494e66d	New Branch	REDIRECT_URL	/content/18/?clear=18	10	NEVER	\N	\N	\N	\N	SHOW	\N	\N	ADMIN	2023-06-28 15:35:49.040162	10	\N
14fe7ebc-a2b8-4d21-8dd3-fa1a3b48d3db	bbbfba99-f656-4a05-a070-216215b4b4bb	New Branch	REDIRECT_URL	/content/18/?clear=18	10	NEVER	\N	\N	\N	\N	PROCESS	ADMIN	2024-01-26 12:27:21.179907	ADMIN	2024-01-26 12:27:21.179907	10	\N
d43e49ed-f013-48fb-bc61-ea6fe0c30d21	4303bd6b-83c3-4652-814f-c0b9b8e4958e	TO_TRANSACTIONS	REDIRECT_URL	/content/9200?clear=9200,CR	10	SQL_EXPRESSION	$1::VARCHAR = 'SEND'	{REQUEST}	\N	\N	PROCESS	\N	\N	ADMIN	2024-07-18 07:16:31.775331	10	\N
ee260dcd-5299-411b-86f9-5d992df8fba9	4303bd6b-83c3-4652-814f-c0b9b8e4958e	TO_TRANSACTIONS	REDIRECT_URL	/content/9200?clear=9200,CR	30	SQL_EXPRESSION	$1::VARCHAR = 'YES'	{P9100_DO_BRANCH}	\N	\N	SHOW	\N	\N	ADMIN	2024-07-18 07:24:16.667411	10	\N
a52881e0-d644-419c-8202-f931d51e79d1	c157113b-bd24-49df-84a2-62c280bd48b9	Новая Ветвь	REDIRECT_URL	/content/6500/?REQUEST=SEARCH	10	SQL_EXPRESSION	$1 = 'SEARCH'	{REQUEST}	\N	\N	PROCESS	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-19 07:24:27.706602	10	\N
48928146-3a17-40e0-b8b1-576a3896ca81	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	DOWNLOAD_REPORT	REDIRECT_URL	/pghs/download?page=5500&request=DOWNLOAD_REPORT	2	SQL_EXPRESSION	$1 IN ('DOWNLOAD_REPORT')	{REQUEST}	\N	\N	PROCESS	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:36:42.596083	10	\N
\.


--
-- Data for Name: t_page_downloads; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_page_downloads (id_page, source, source_input, file_name_column, file_content_column, mime_type_column, content_disposition, request_name, download_name, download_seq, id, created_by, created_on, last_updated_by, last_updated_on, id_source) FROM stdin;
efe13ee2-bd85-45ee-88e1-76717fb1ecbe	SELECT f.file_name\n\t  ,f.file_type mime_type\n\t  ,f.blob file_content \n  FROM files.t_files f\n WHERE f.id = $1::integer	{G01}	file_name	file_content	mime_type	attachment	DOWNLOAD_FILE	DOWNLOAD	1	4e15e137-d929-4e31-a7a6-7c850ef96468	\N	\N	\N	\N	10
e702ad61-64bd-49ca-8e9d-ba1591cf6cad	SELECT file_name, p_blob file_content, mime_type FROM rep.f_run($1::VARCHAR)	{P5500_REPORTS}	file_name	file_content	mime_type	attachment	DOWNLOAD_REPORT	DOWNLOAD_PROCESS	10	b3e53391-c81d-48cb-831c-d4ceb604b04b	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:36:42.59614	10
\.


--
-- Data for Name: t_page_locks; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_page_locks (id, id_page, locked_by, locked_on, lock_comment) FROM stdin;
\.


--
-- Data for Name: t_page_processing; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_page_processing (id_page, process_seq, process_name, process_type, request_name, success_message, error_message, process_code, input_parameters, output_parameters, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, accept_modal, id, commit_tx, created_by, created_on, last_updated_by, last_updated_on, id_source) FROM stdin;
abea137b-d0a9-4bab-82cb-9de6b820aa29	2	UPDATE_DEP	PROCESS	SAVE	Отделение сохранено	\N	CALL dep.p_update_dep(p_id => $1, p_id_fk => $2, p_code => $3, p_name => $4, p_full_name => $5,p_user_id=> users.f$_usr_id($6), p_id_curator => $7);	{P1116_ID,P1116_ID_PARENT,P1116_CODE,P1116_NAME,P1116_FULL_NAME,APP_USER,P1116_CURATOR}	\N	ALWAYS	\N	\N	\N	\N	f	22bd447c-7117-4f7a-b3df-1a3602fb713d	f	\N	\N	\N	\N	10
abea137b-d0a9-4bab-82cb-9de6b820aa29	3	DELETE_DEP	PROCESS	DELETE	Отделение удалено	\N	CALL dep.p_delete_dep(p_id => $1)	{P1116_ID}	\N	ALWAYS	\N	\N	\N	\N	f	e88cb333-8ee8-44da-b502-a1d388b11d27	f	\N	\N	\N	\N	10
b6b32f07-21ba-4f6a-b02a-211725303cd5	1	DELETE_ROLE	AJAX	DELETE_ROLE	Роль удалена	\N	call roles.p_revoke_role($1,$2)	{G01,APP_USER}	\N	ALWAYS	\N	\N	\N	\N	f	6d474d2d-8bb1-4794-aab7-3cb1061ed1e2	f	\N	\N	\N	\N	10
645205e7-5a21-4a2d-b2a1-60df5b9576c9	1	CHANGE_PASS	PROCESS	CHANGE	Пароль изменён	\N	call users.p_change_password(p_password => $1, p_hash => $2)	{P17_NEW_PASSWORD,P17_HASH}	\N	SQL_EXPRESSION	$1 IN ('CHANGE')	{REQUEST}	\N	\N	f	fd7be3b1-6134-4ecd-9d8d-38b820e37974	f	\N	\N	\N	\N	10
a6b4f635-850d-421a-bc2c-2a238db8124c	1	ADD_ROLE	PROCESS	ADD	Роль выдана	\N	call roles.p_add_role($1,$2,users.f$_usr_id($3))	{P23_ID_USER,P23_ROLE,APP_USER}	\N	ALWAYS	\N	\N	\N	\N	t	1a09339a-66c0-4ecc-9e64-3e1fdab9f743	f	\N	\N	\N	\N	10
c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	3	DELETE_ROLE	PROCESS	DELETE	Роль удалена	\N	CALL roles.p_delete_role(p_id => $1)	{P1101_ID}	\N	SQL_EXPRESSION	roles.f$rls('1101',users.f$_usr_id($1))	{APP_USER}	\N	\N	f	4576833a-20ff-401c-86cf-a74f5f7b3fa8	f	\N	\N	\N	\N	10
c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	1	CREATE_ROLE	PROCESS	CREATE	Роль создана	\N	CALL roles.p_create_role(p_short_name => $1, p_name => $2, p_description =>$3, p_created_by=>users.f$_usr_id($4))	{P1101_CODE,P1101_NAME,P1101_DESCRIPTION,APP_USER}	\N	SQL_EXPRESSION	roles.f$rls('1101',users.f$_usr_id($1))	{APP_USER}	\N	\N	f	7a4c8c19-8b0e-49d5-9867-f3ec2daa4242	f	\N	\N	\N	\N	10
0afeb069-1c8f-4f63-98d6-d13eab2ed343	1	DELETE_PARAM	PROCESS	DELETE	Параметр удален	\N	call pref.p_delete_param($1)	{P3010_ID}	\N	ALWAYS	\N	\N	\N	\N	f	d6209005-988a-414c-9b98-e5828d10bb01	f	\N	\N	\N	\N	10
0afeb069-1c8f-4f63-98d6-d13eab2ed343	1	UPDATE_PARAM	PROCESS	SAVE	Параметр обновлен	\N	CALL pref.p_update_param\n\t(\n      p_id => $1,\n      p_code => $2,\n      p_name => $3,\n      p_desc1 => $4,\n      p_c1 => $5,\n      p_n1=> $6, \n \t  p_d1 => $7,\n      p_user => users.f$_usr_id($8)\n    );	{P3010_ID,P3010_CODE,P3010_NAME,P3010_DESC1,P3010_C1,P3010_N1,P3010_D1,APP_USER}	\N	ALWAYS	\N	\N	\N	\N	f	76137708-7abb-4226-b2ee-02b18d1238cd	f	\N	\N	\N	\N	10
0afeb069-1c8f-4f63-98d6-d13eab2ed343	1	GET_PARAMETER	SHOW	\N	\N	\N	SELECT \n  code,\n  NAME,\n  desc1,\n  c1,\n  n1::varchar,\n  d1\nFROM  pref.t_parameters p\nWHERE p.id = $1	{P3010_ID}	{P3010_CODE,P3010_NAME,P3010_DESC1,P3010_C1,P3010_N1,P3010_D1}	ITEM_IS_NOT_NULL	P3010_ID	\N	\N	\N	f	76109a3f-99db-4598-9e53-98defa563d02	f	\N	\N	\N	\N	10
9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	1	CHANGE_PASS	PROCESS	CHANGE	Пароль изменён	\N	call users.p_change_password(p_id_user => users.f$_usr_id($1), p_password => $2)	{APP_USER,P16_NEW_PASSWORD}	\N	ALWAYS	\N	\N	\N	\N	f	69bf6277-f5cb-4987-8bd3-745b106a9e30	f	\N	\N	\N	\N	10
abea137b-d0a9-4bab-82cb-9de6b820aa29	2	GET_DATA	SHOW	\N	\N	\N	select d.id_fk, d.code, d.name, d.full_name, d.id_curator from dep.t_departments d where d.id = $1	{P1116_ID}	{P1116_ID_PARENT,P1116_CODE,P1116_NAME,P1116_FULL_NAME,P1116_CURATOR}	ITEM_IS_NOT_NULL	P1116_ID	\N	\N	\N	f	a50a4f35-3bbc-43a9-9b7c-00075ca1ee71	f	\N	\N	\N	\N	10
abea137b-d0a9-4bab-82cb-9de6b820aa29	1	GET_PARENT	SHOW	\N	\N	\N	SELECT $1	{P1115_ID}	{P1116_ID_PARENT}	ITEM_IS_NULL	P1116_ID	\N	\N	\N	f	c867143c-0c8c-423e-baf6-726ffdb8ef62	f	\N	\N	\N	\N	10
c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	1	GET_ROLE_DATA	SHOW	\N	\N	\N	select r.short_name, r.name, r.description from roles.t_roles r \nwhere r.id = $1	{P1101_ID}	{P1101_CODE,P1101_NAME,P1101_DESCRIPTION}	ITEM_IS_NOT_NULL	P1101_ID	\N	\N	\N	f	ed87e8a0-da12-411c-854d-05179f991878	f	\N	\N	\N	\N	10
c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	2	UPDATE_ROLE	PROCESS	SAVE	Роль обновлена	\N	CALL roles.p_update_role(p_id => $1, p_short_name =>$2, p_name =>$3, p_desc =>$4, p_modified=>users.f$_usr_id($5))	{P1101_ID,P1101_CODE,P1101_NAME,P1101_DESCRIPTION,APP_USER}	\N	SQL_EXPRESSION	roles.f$rls('1101',users.f$_usr_id($1))	{APP_USER}	\N	\N	f	bf150bfd-e36c-4a3a-9225-b6a59bfe61e8	f	\N	\N	\N	\N	10
efe13ee2-bd85-45ee-88e1-76717fb1ecbe	1	DELETE	AJAX	DELETE	Файл удален	\N	CALL files.p_delete_file($1::integer);	{G01}	\N	ALWAYS	\N	\N	\N	\N	f	8a5ea88b-922c-4dfc-8d10-7c3cd300ed6a	f	\N	\N	\N	\N	10
5df45e90-9969-40c5-9b3d-a1bb931418c5	1	UPLOAD	PROCESS	UPLOAD	Файл загружен	\N	SELECT files.f_file_create(p_title\t\t=> $1::varchar\n                          ,p_desc   \t=> $2::varchar\n                          ,p_created_by\t=> users.f$_usr_id($3::varchar)\n                          ,p_file_name  => $4::varchar);	{P3012_TITLE,P3013_DESC,APP_USER,P3012_FILE}	\N	ALWAYS	\N	\N	\N	\N	t	5537c4c6-26b4-4219-9f72-6db29ce43498	f	\N	\N	\N	\N	10
0afeb069-1c8f-4f63-98d6-d13eab2ed343	1	CREATE_PARAM	PROCESS	CREATE	Параметр создан	\N	SELECT pref.f_insert_param\n\t(\n      p_code => $1,\n      p_name => $2,\n      p_created_by => users.f$_usr_id($3),\n\t  p_desc1 => $4,\n      p_c1 =>$5,\n      p_n1 => $6,\n      p_d1 => $7\n    );	{P3010_CODE,P3010_NAME,APP_USER,P3010_DESC1,P3010_C1,P3010_N1,P3010_D1}	\N	ALWAYS	\N	\N	\N	\N	f	f92ed2c9-182e-476f-9891-f9c675fe35a1	f	\N	\N	\N	\N	10
a6d10784-1f93-4cfa-9dd6-98a1bc3b9d0f	1	RESET_PASSWORD	PROCESS	RESET	Ссылка на сброс пароля отправлена на указанный телефон/e-mail	\N	call users.p_reset_password($1)	{P18_PHONE_EMAIL}	\N	ALWAYS	\N	\N	\N	\N	f	8f04f845-ecf8-43af-a68f-0725ab08da00	f	\N	\N	\N	\N	10
abea137b-d0a9-4bab-82cb-9de6b820aa29	1	CREATE_DEP	PROCESS	CREATE	Отделение создано	Отделение не создано	SELECT dep.f_insert_department(p_id_fk => $1, p_code => $2, p_name => $3, p_full_name => $4, p_id_user => users.f$_usr_id($5), p_id_curator => $6)	{P1116_ID_PARENT,P1116_CODE,P1116_NAME,P1116_FULL_NAME,APP_USER,P1116_CURATOR}	{P1116_ID}	ALWAYS	\N	\N	\N	\N	f	57af5c12-3c29-41a1-a9a0-b87a7f36d411	f	\N	\N	\N	\N	10
08b100ea-32eb-43bc-9e5c-9cf32122519e	20	GET_DATA	SHOW	\N	\N	\N	SELECT title, TO_CHAR(start_ev, 'dd-mm-yyyy hh24:mi:ss'), TO_CHAR(end_ev, 'dd-mm-yyyy hh24:mi:ss'), event_type FROM events.t_calendar\nWHERE id = $1::BIGINT	{P5051_ID}	{P5051_TITLE,P5051_START,P5051_END,P5051_TYPE}	ALWAYS	\N	\N	\N	\N	f	feca20f3-180f-4a8c-9028-bc742f90e25d	f	\N	\N	ADMIN	2024-01-24 17:50:31.029151	10
b9fdd2e2-f39c-4930-91d2-9eecd3626960	10	SEND_MESSAGE	PROCESS	SEND_MESSAGE	\N	\N	CALL chat.p_add_message($1::VARCHAR, users.f$_usr_id($2::VARCHAR), 1);	{P5028_MESSAGE_TEXT,APP_USER}	\N	ALWAYS	\N	\N	\N	\N	f	1e5e377c-b0c1-4367-a03c-d3bddc939844	t	\N	\N	ADMIN	2024-01-29 18:03:01.215376	10
08b100ea-32eb-43bc-9e5c-9cf32122519e	1	SET_COLOR	PROCESS	\N	\N	\N	SELECT color_type FROM events.t_event_types\nWHERE code_type = $1::VARCHAR	{P5051_TYPE}	{P5051_COLOR}	ALWAYS	\N	\N	\N	\N	f	76059f6a-5163-4004-adc5-1202ca1a6990	f	\N	\N	ADMIN	2024-01-30 13:18:57.427078	10
395332e9-d054-4722-a1f0-5b3817df0590	10	ADD_ROLE_ACCESS	PROCESS	ADD_ROLE_ACCESS	\N	\N	CALL roles.p_add_role_access($1::BIGINT,$2::BIGINT,users.f$_usr_id($3::VARCHAR));	{P1100_ID,P1102_ID_PAGE,APP_USER}	\N	ALWAYS	\N	\N	\N	\N	t	403bf35a-1174-4868-8687-b8bdc4a48464	f	\N	\N	ADMIN	2024-07-17 09:45:05.553847	10
129c0d3a-01f7-497f-b996-d9113ab7f318	10	REVOKE_ROLE_ACCESS	AJAX	\N	\N	\N	CALL roles.p_revoke_role_access($1::BIGINT, $2::BIGINT);	{P1100_ID,G01}	\N	ALWAYS	\N	\N	\N	\N	f	8228a279-1b6d-4133-b145-722632b01361	f	\N	\N	ADMIN	2024-06-11 16:41:06.031838	10
0afeb069-1c8f-4f63-98d6-d13eab2ed343	1	COPY_PARAM	PROCESS	COPY	Параметр скопирован	\N	SELECT pref.f_insert_param\n\t(\n      p_code => $1,\n      p_name => $2,\n      p_created_by => users.f$_usr_id($3),\n\t  p_desc1 => $4,\n      p_c1 =>$5,\n      p_n1 => $6,\n      p_d1 => $7\n    );	{P3010_CODE,P3010_NAME,APP_USER,P3010_DESC1,P3010_C1,P3010_N1,P3010_D1}	\N	ALWAYS	\N	\N	\N	\N	f	55208d5d-8423-4246-9e17-5f85dd5ecaa8	f	\N	\N	\N	\N	10
08b100ea-32eb-43bc-9e5c-9cf32122519e	30	UPDATE_EVENT	PROCESS	UPDATE_EVENT	\N	\N	UPDATE events.t_calendar\nSET title = $1::VARCHAR\n   ,start_ev = TO_TIMESTAMP($2, 'DD.MM.YYYY HH24:MI:SS')\n   ,end_ev = TO_TIMESTAMP($3, 'DD.MM.YYYY HH24:MI:SS')\n   ,event_type = $4::VARCHAR\n   ,color_class = $6::VARCHAR\nWHERE id = $5::BIGINT	{P5051_TITLE,P5051_START,P5051_END,P5051_TYPE,P5051_ID,P5051_COLOR}	\N	ALWAYS	\N	\N	\N	\N	t	bcc71d86-645a-4168-945c-9f8bba69d0b2	f	\N	\N	ADMIN	2024-06-13 10:12:35.713631	10
08b100ea-32eb-43bc-9e5c-9cf32122519e	10	ADD_EVENT	PROCESS	ADD_EVENT	\N	\N	INSERT INTO events.t_calendar(title, start_ev, end_ev, event_type, color_class, user_id)\nVALUES ($1::VARCHAR, TO_TIMESTAMP($2, 'DD.MM.YYYY HH24:MI:SS'), TO_TIMESTAMP($3, 'DD.MM.YYYY HH24:MI:SS'), $4::VARCHAR, $5::VARCHAR, users.f$_usr_id($6::VARCHAR))	{P5051_TITLE,P5051_START,P5051_END,P5051_TYPE,P5051_COLOR,P5051_USER}	\N	ALWAYS	\N	\N	\N	\N	t	b82c49fc-86c8-4799-9812-ac0bc3d2e137	f	\N	\N	ADMIN	2024-06-13 10:12:35.713694	10
ce54d0b7-7243-440d-9cd8-1ec8244bdde8	10	Новый Процесс	PROCESS	\N	Валидация пройдена	\N	SELECT 1	\N	\N	ALWAYS	\N	\N	\N	\N	f	4620bf52-ec6e-4383-8e55-7c5e38918be0	f	\N	\N	ADMIN	2024-06-28 11:02:06.327467	10
e489d8ca-9b10-473a-8d68-2669f2c3e877	20	CREATE	PROCESS	CREATE	\N	\N	INSERT INTO events.t_notifications(title, description)\nVALUES ($1::VARCHAR, $2::VARCHAR);	{P5091_TITLE,P5091_TEXT}	\N	ALWAYS	\N	\N	\N	\N	t	d9bdd22f-5481-404c-8178-81d9dacf0b11	f	\N	\N	ADMIN	2024-07-03 07:25:29.843276	10
4303bd6b-83c3-4652-814f-c0b9b8e4958e	10	Новый Процесс	PROCESS	SEND	\N	\N	SELECT public.f_init_addition('Выполнен процесс до переадресации!')	\N	\N	ALWAYS	\N	\N	\N	\N	f	96fa59bb-4900-4c9c-8e97-4d1f263fac35	f	\N	\N	ADMIN	2024-07-18 07:16:31.775424	10
e489d8ca-9b10-473a-8d68-2669f2c3e877	30	GET_DATA	SHOW	\N	\N	\N	SELECT title, description\nFROM events.t_notifications\nWHERE id = $1::BIGINT	{P5091_ID}	{P5091_TITLE,P5091_TEXT}	ALWAYS	\N	\N	\N	\N	f	a6102977-ae2c-47e4-971a-d02056d4a3b0	f	\N	\N	ADMIN	2024-07-03 08:09:47.846049	10
7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	10	CLEAR	PROCESS	CLEAR	\N	\N	TRUNCATE TABLE events.t_notifications;	\N	\N	ALWAYS	\N	\N	\N	\N	f	891fa12d-e6a9-40c2-8182-5dab5490c79a	f	\N	\N	ADMIN	2024-07-03 08:15:40.617171	10
ac59d725-9e81-4f45-893f-1ffd64fd6846	10	CREATE_NOTIFICATION	AJAX	SEND	\N	\N	INSERT INTO events.t_notifications(title, description)\nVALUES ($1::VARCHAR, $2::VARCHAR)	{P5210_DA_TITLE,P5210_DA_DESCR}	\N	ALWAYS	\N	\N	\N	\N	f	14c9ddb8-d283-4aca-84e7-59b4e858cb00	f	\N	\N	ADMIN	2024-07-12 06:13:57.659015	10
cb8b8f0b-ebce-4120-bcaa-a1948ee82144	10	ROW_COUNTER	PROCESS	ROW_COUNT	\N	\N	SELECT utils.f_row_count($1::TEXT)	{P9050_QUERY_IS_ZERO}	{P9050_ROW_COUNT}	ALWAYS	\N	\N	\N	\N	f	c15f85c1-30e2-4434-a49a-e2ca354801ab	f	\N	\N	ADMIN	2024-07-15 05:14:41.81545	10
55cebbf2-83f2-476d-bb93-79a0a0681374	20	GET_SQL_QUERY_PROC	SHOW	\N	\N	\N	SELECT proc_code\nFROM utils.f_get_global_processes($1::TEXT)	{P6301_ID_PROC}	{P6301_SQL}	ITEM_IS_NOT_NULL	P6301_ID_PROC	\N	\N	\N	f	f7d602d3-2838-4860-bcb0-dff74cd0d8f2	f	\N	\N	ADMIN	2024-07-05 04:23:56.680516	10
c1434e86-8781-437b-9dc6-8e3d43073659	12	UPLOAD_XLSX	PROCESS	UPLOAD_XLSX	\N	\N	SELECT demo.f_send_xlsx($1::VARCHAR)	{P5550_UPLOAD_FILE}	{P5550_JSON_TEXT}	ALWAYS	\N	\N	\N	\N	\N	905652d5-fa76-43fc-b4d9-0d576977248c	f	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-08 04:02:57.196672	10
55cebbf2-83f2-476d-bb93-79a0a0681374	10	GET_SQL_QUERY_LIST	SHOW	\N	\N	\N	SELECT list_query \nFROM utils.f_get_global_lists($1)	{P6301_ID_LIST}	{P6301_SQL}	ITEM_IS_NOT_NULL	P6301_ID_LIST	\N	\N	\N	f	80650ca4-7f77-4a76-8944-813c486ea383	f	\N	\N	ADMIN	2024-12-24 04:53:32.349581	10
01be9ad0-af44-4ae2-8ea3-691ae9d8f700	40	LAST_SEND_ERROR	PROCESS	SEND	\N	\N	CALL utils.p_throw_exception()	\N	\N	ALWAYS	\N	\N	\N	\N	f	5060a5ec-c879-47ea-91cd-192ac3d4c51f	f	\N	\N	ADMIN	2024-07-16 11:16:29.947095	10
01be9ad0-af44-4ae2-8ea3-691ae9d8f700	50	FROM_BRANCHES	SHOW	\N	\N	\N	SELECT public.f_init_addition('Выполнена переадресация до загрузки страницы!')	\N	\N	SQL_EXPRESSION	$1::VARCHAR = 'YES'\nAND $2::VARCHAR != 'SEND'	{P9100_DO_BRANCH,REQUEST}	\N	\N	f	0f649c65-e84b-4cb6-af62-6de5116d3904	f	\N	\N	ADMIN	2024-07-18 07:27:51.719266	10
01be9ad0-af44-4ae2-8ea3-691ae9d8f700	10	FIRST_SEND	PROCESS	SEND	Первый процесс выполнен!	\N	SELECT public.f_init_addition('Первый процесс выполнен!')	\N	{P9200_ID_ADD}	ALWAYS	\N	\N	\N	\N	f	43353977-75f2-4c33-b803-5b8ad4c48b63	f	\N	\N	ADMIN	2024-07-17 06:59:41.315854	10
01be9ad0-af44-4ae2-8ea3-691ae9d8f700	30	THIRD_SEND	PROCESS	SEND	\N	\N	SELECT public.f_addition('Третий процесс выполнен!')	\N	\N	ALWAYS	\N	\N	\N	\N	f	c6f5f0f9-0a8f-4078-a749-75e9decf771a	f	\N	\N	ADMIN	2024-07-17 07:16:00.67574	10
01be9ad0-af44-4ae2-8ea3-691ae9d8f700	20	SECOND_SEND	PROCESS	SEND	Второй процесс выполнен!	\N	SELECT public.f_addition('Второй процесс выполнен!')	\N	\N	ALWAYS	\N	\N	\N	\N	f	95fc168d-da1e-4685-aeae-41ec2864ca87	t	\N	\N	ADMIN	2024-07-17 07:24:41.504487	10
55cebbf2-83f2-476d-bb93-79a0a0681374	30	GET_SQL_QUERY_AUTHENTICATION	SHOW	\N	\N	\N	SELECT auth_code FROM utils.f_get_authentication_schemas($1)	{P6301_ID_AUTHENTICATION}	{P6301_SQL}	ITEM_IS_NOT_NULL	P6301_ID_AUTHENTICATION	\N	\N	\N	f	b5e74e8d-2c67-4fb8-85e7-349a2d5cd2d1	f	\N	\N	ADMIN	2024-12-24 04:53:32.349682	10
55cebbf2-83f2-476d-bb93-79a0a0681374	40	GET_SQL_QUERY_AUTHORIZATION	SHOW	\N	\N	\N	SELECT src_sql FROM utils.f_get_authorization_schemas($1)	{P6301_ID_AUTHORIZATION}	{P6301_SQL}	ITEM_IS_NOT_NULL	P6301_ID_AUTHORIZATION	\N	\N	\N	f	0d49b7f5-95cf-45c9-871b-ef17da85d723	f	\N	\N	ADMIN	2024-12-24 04:53:32.349728	10
8145943d-3106-4c58-973a-ad8778b2a231	10	PG_SLEEP_PROC	PROCESS	SUBMIT_SLEEP	\N	\N	SELECT PG_SLEEP(5)	\N	\N	ALWAYS	\N	\N	\N	\N	f	74d7c4be-05ad-45c0-bb78-6a90bfe32818	f	\N	\N	ADMIN	2024-10-14 13:30:12.177578	10
b6b32f07-21ba-4f6a-b02a-211725303cd5	1	GET_DATA	SHOW	\N	\N	\N	SELECT l.username,\n       l.password,\n       l.last_name,\n       l.first_name,\n       l.email,\n       utils.f_build_phone(l.phone)::varchar phone,    \n       (select d.code from dep.t_departments d where d.id = l.id_dep),\n       l.is_locked\nFROM users.t_user_list l\nWHERE l.id = $1	{P20_ID_USER}	{P20_USERNAME,P20_PASSWORD,P20_LAST_NAME,P20_FIRST_NAME,P20_EMAIL,P20_PHONE,P20_DEP,P20_IS_LOCKED}	ITEM_NOT_NULL_OR_ZERO	P20_ID_USER	\N	\N	\N	f	1ddc6d17-358a-4aa2-b4a2-26cf4e3a76b3	f	\N	\N	\N	\N	10
72b67410-f688-4bc6-9a6e-bb63c70a2763	10	GET_INFO	SHOW	\N	\N	\N	SELECT last_name, first_name, date_of_birth, phone, email, cli_type\nFROM cli.t_clients\nWHERE id = $1::BIGINT 	{P7301_ID_CLIENT}	{P7301_LAST_NAME,P7301_FIRST_NAME,P7301_DATE_OF_BIRTH,P7301_PHONE,P7301_EMAIL,P7301_CLI_TYPE}	ALWAYS	\N	\N	\N	\N	f	99a4edcd-4713-4b8e-9477-a2428bce43d7	f	\N	\N	ADMIN	2025-02-28 00:29:32.654527	10
b6b32f07-21ba-4f6a-b02a-211725303cd5	1	UPDATE_USER	PROCESS	SAVE	Данные пользователя обновлены	\N	CALL users.p_update_user(p_id \t\t\t=> $1\n                        ,p_password   => $2\n                        ,p_username \t=> $3\n                        ,p_email \t\t=> $4\n                        ,p_last_name     => $5\n                        ,p_first_name     => $6\n                        ,p_phone         => $7\n                        ,p_dep             => $8\n                        ,p_is_blocked     => $9\n                        ,p_block_reason => $10\n                        ,p_modified_by    => users.f$_usr_id($11::varchar))	{P20_ID_USER,P20_PASSWORD,P20_USERNAME,P20_EMAIL,P20_LAST_NAME,P20_FIRST_NAME,P20_PHONE,P20_DEP,P20_IS_LOCKED,P20_BLOCK_REASON,APP_USER}	\N	SQL_EXPRESSION	roles.f$rls('20',users.f$_usr_id($1))	{APP_USER}	\N	\N	f	eec513a0-d58c-40c6-97d4-48568194b714	f	\N	\N	\N	\N	10
7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	1	CREATE_USER	PROCESS	CREATE	Пользователь создан	\N	SELECT users.f_create_user(p_username => $1,\n                           p_password=>$2,\n                           p_email => $3,\n                           p_last_name => $4, \n                           p_first_name => $5, \n                           p_phone =>$6, \n                           p_is_locked => 'N', \n                           p_id_dep => $7,\n                           p_created_by => users.f$_usr_id($8));	{P21_USERNAME,P21_PASSWORD,P21_EMAIL,P21_LAST_NAME,P21_FIRST_NAME,P21_PHONE,P21_DEP,APP_USER}	{P20_ID_USER}	ALWAYS	\N	\N	\N	\N	f	466dd70f-92d9-4307-b806-2ad21ff0a316	f	\N	\N	\N	\N	10
\.


--
-- Data for Name: t_page_validations; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_page_validations (id_page, validation_name, validation_sequence, validation_first, validation_first_input, validation_second, validation_second_input, validation_type, error_message, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, id, created_by, created_on, last_updated_by, last_updated_on, id_source, id_region, associated_column, condition_scope, associated_item) FROM stdin;
7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	USERNAME_VALID	2	P21_USERNAME	\N	^[A-Za-z\\.0-9]+	\N	REGULAR_EXPRESSION	Укажите логин пользователя используя только латиницу	ALWAYS	\N	\N	\N	\N	c69b16ae-fcc3-4875-9ee7-d89025d2e3a6	\N	\N	\N	\N	10	\N	\N	ONCE	6a4596a1-37b3-453e-9858-0730ed776d27
abea137b-d0a9-4bab-82cb-9de6b820aa29	CODE_VALID	1	P1116_CODE	\N	^[A-Za-z\\.0-9]+	\N	REGULAR_EXPRESSION	Код должен содержать только символы на латинице и цифры	SQL_EXPRESSION	$1 != 'DELETE'	{REQUEST}	\N	\N	a862aae8-e43e-4f51-a412-f5c9d4b78454	\N	\N	\N	\N	10	\N	\N	ONCE	8edf20bb-2054-45d8-92b8-0188945d76d1
7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	EMAIL_VALID	3	P21_EMAIL	\N	[a-zA-Z0-9._%-]+@[a-zA-Z0-9._%-]+\\.[a-zA-Z]{2,4}	\N	REGULAR_EXPRESSION	Некорректный email	ITEM_IS_NOT_NULL	P21_EMAIL	\N	\N	\N	26a72521-1743-48fc-867e-27980afe8efe	\N	\N	\N	\N	10	\N	\N	ONCE	6e34b53e-5b72-4d13-8002-d33f08c992e9
7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	PASSWORD_VALID	1	P21_PASSWORD	\N	[^а-яА-Я]{7,}	\N	REGULAR_EXPRESSION	Пароль должен быть на латинице и не короче 7 символов	NEVER	\N	\N	\N	\N	93e20e84-fcf2-4327-a348-b7ad535707b0	\N	\N	\N	\N	10	\N	\N	ONCE	110d4a60-b7be-4598-9648-3a9a43a1b6ea
9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	NO_DEMO	1	upper($1) not in ('DEMO')	{APP_USER}	\N	\N	SQL_EXPRESSION	Данное действие не доступно пользователю demo	SQL_EXPRESSION	$1 IN ('CHANGE')	{REQUEST}	\N	\N	f1fd3d99-4d72-4263-b1d7-ccebbff5fad8	\N	\N	\N	\N	10	\N	\N	ONCE	\N
9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	OLD_PASSWORD_IS_CHECKED	1	--EXISTS (SELECT 1 FROM users.t_user_list WHERE password = encode(digest($1::varchar, 'sha512'), 'hex'))\r\nEXISTS (SELECT 1 FROM users.t_user_list WHERE password = $1::varchar)	{P16_OLD_PASSWORD}	\N	\N	SQL_EXPRESSION	Неверно введен старый пароль	ALWAYS	\N	\N	\N	\N	fce56738-5bc4-4384-ba8e-90e7a641cd10	\N	\N	\N	\N	10	\N	\N	ONCE	398c5025-c8a7-4123-841e-e91a207f9163
9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	PASSWORD_VALID	1	P16_NEW_PASSWORD	\N	[^а-яА-Я]{7,}	\N	REGULAR_EXPRESSION	Пароль должен быть на латинице и не короче 7 символов	ALWAYS	\N	\N	\N	\N	0ccd656e-7d65-438e-a527-beb94785d3bb	\N	\N	\N	\N	10	\N	\N	ONCE	c0e821df-141e-4630-85a7-88a184a00a72
645205e7-5a21-4a2d-b2a1-60df5b9576c9	PASSWORD_VALID	1	P17_NEW_PASSWORD	\N	[^а-яА-Я]{7,}	\N	REGULAR_EXPRESSION	Пароль должен быть на латинице и не короче 7 символов	ALWAYS	\N	\N	\N	\N	1342278f-add6-47e6-9b2c-8fba1eb7d7b8	\N	\N	\N	\N	10	\N	\N	ONCE	dc14d013-5a97-4069-9e7a-0633f2ad6902
645205e7-5a21-4a2d-b2a1-60df5b9576c9	PASSWORDS_IS_CHECKED	2	$1=$2	{P17_NEW_PASSWORD,P17_NEW_CHECK}		\N	SQL_EXPRESSION	Пароли не совпадают	ALWAYS	\N	\N	\N	\N	c8b0d733-3808-44ee-a59f-ca2c28560488	\N	\N	\N	\N	10	\N	\N	ONCE	c8a42db0-256c-4811-871c-b783e4c94d76
9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	PASSWORDS_IS_CHECKED	2	$1=$2	{P16_NEW_PASSWORD,P16_NEW_CHECK}	\N	\N	SQL_EXPRESSION	Пароли не совпадают	ALWAYS	\N	\N	\N	\N	a0d1cc1c-ee72-413f-805b-a5b1aeec93c6	\N	\N	\N	\N	10	\N	\N	ONCE	4b952837-48d6-49d1-a988-ed223fb48eed
c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	CODE_VALID	1	P1101_CODE	\N	^[A-Za-z\\.0-9]+	\N	REGULAR_EXPRESSION	Код должен содержать только символы на латинице и цифры	SQL_EXPRESSION	$1 != 'DELETE'	{REQUEST}	\N	\N	9f2e89b8-ef13-47b6-86f5-a9f67378bb96	\N	\N	\N	\N	10	\N	\N	\N	7559b268-e984-4516-b9bc-e33f32ea377e
a6b4f635-850d-421a-bc2c-2a238db8124c	IS_ADMIN	1	roles.f$rls('23',users.f$_usr_id($1))	{APP_USER}	\N	\N	SQL_EXPRESSION	Данное действие доступно только администратору	SQL_EXPRESSION	$1 IN ('ADD')	{REQUEST}	\N	\N	be2cb3b5-fc8d-47c4-863e-32fb29e468a6	\N	\N	\N	\N	10	\N	\N	\N	\N
b6b32f07-21ba-4f6a-b02a-211725303cd5	IS_ADMIN	2	roles.f$rls('20',users.f$_usr_id($1))	{APP_USER}	\N	\N	SQL_EXPRESSION	Данное действие доступно только администратору	SQL_EXPRESSION	$1 IN ('CREATE','SAVE','RESET_SMS','RESET_EMAIL','SEND','DELETE_ROLE')	{REQUEST}	\N	\N	0e18a9f0-571d-4298-baaa-de43e08374dd	\N	\N	\N	\N	10	\N	\N	\N	\N
c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	IS_ADMIN	2	roles.f$rls('1101',users.f$_usr_id($1))	{APP_USER}	\N	\N	SQL_EXPRESSION	Данное действие доступно только администратору	SQL_EXPRESSION	$1 IN ('CREATE','SAVE','DELETE')	{REQUEST}	\N	\N	e5c1ef50-752e-4474-987a-f06eb9d83b56	\N	\N	\N	\N	10	\N	\N	\N	\N
b6b32f07-21ba-4f6a-b02a-211725303cd5	EMAIL_VALID	1	P20_EMAIL	\N	[a-zA-Z0-9._%-]+@[a-zA-Z0-9._%-]+\\.[a-zA-Z]{2,4}	\N	REGULAR_EXPRESSION	Некорректный E-mail	SQL_EXPRESSION	$1 IN ('CREATE','SAVE') AND $2::varchar IS NOT NULL	{REQUEST,P20_EMAIL}	\N	\N	f2224962-f9fc-4511-899a-90ab873641d0	\N	\N	\N	\N	10	\N	\N	\N	7ee593f6-626a-4139-86e8-31f13a037cfc
c1434e86-8781-437b-9dc6-8e3d43073659	IS_FILE_UPLOADED	20	P5550_UPLOAD_FILE	\N	\N	\N	ITEM_IS_NOT_NULL	Не загружен файл XLSX	EXISTS	SELECT 1\nWHERE $1 = 'UPLOAD_XLSX'	{REQUEST}	\N	\N	20f42ce6-612f-4b18-8bd2-ef3c21f26b4b	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-08 04:15:07.240256	10	\N	\N	\N	91be6a9a-e025-4906-ab0e-25b0aedf2767
ce54d0b7-7243-440d-9cd8-1ec8244bdde8	HAS_DIGITS	20	P9000_PASSWORD	\N	\\d+	\N	REGULAR_EXPRESSION	Пароль должен содержать минимум одну цифру	EXISTS	SELECT 1\nWHERE $1 = 'SUBMIT_PASSWORD'	{REQUEST}	\N	\N	60790f3b-21ab-40bd-ac10-b103e034f96e	\N	\N	ADMIN	2024-12-24 05:46:06.206323	10	\N	\N	\N	P9000_PASSWORD
ce54d0b7-7243-440d-9cd8-1ec8244bdde8	CHOOSE_YES	10	$1=TRUE	{P9000_BOOL_ITEMS}	\N	\N	SQL_EXPRESSION	Валидация не пройдена (Выберите "Да")	EXISTS	SELECT 1\nWHERE $1 = 'CHOOSE_YES'	{REQUEST}	\N	\N	3ff6cb35-fc89-4530-9ed0-811b9d1d0234	\N	\N	ADMIN	2024-12-24 05:46:06.206415	10	\N	\N	\N	P9000_BOOL_ITEMS
ce54d0b7-7243-440d-9cd8-1ec8244bdde8	HAS_HIGH_REGISTR	30	P9000_PASSWORD	\N	[A-Z]	\N	REGULAR_EXPRESSION	Пароль должен содержать минимум одну букву верхнего регистра	EXISTS	SELECT 1\nWHERE $1 = 'SUBMIT_PASSWORD'	{REQUEST}	\N	\N	91214689-6d77-4cc0-97bb-f265c98c43bd	\N	\N	ADMIN	2024-12-24 05:46:06.206495	10	\N	\N	\N	P9000_PASSWORD
ce54d0b7-7243-440d-9cd8-1ec8244bdde8	HAS_EIGHT_SUMBOLS	40	length($1::VARCHAR) >= 8	{P9000_PASSWORD}	\N	\N	SQL_EXPRESSION	Пароль должен содержать минимум 8 символов	EXISTS	SELECT 1\nWHERE $1 = 'SUBMIT_PASSWORD'	{REQUEST}	\N	\N	0b8cc6f2-503d-49a9-8a00-021ff2dccb03	\N	\N	ADMIN	2024-12-24 05:46:06.206569	10	\N	\N	\N	P9000_PASSWORD
ce54d0b7-7243-440d-9cd8-1ec8244bdde8	CHECK_MAIL	50	P9000_MAIL	\N	^\\S+@\\S+\\.\\S+$	\N	REGULAR_EXPRESSION	Некорректная электронная почта!	SQL_EXPRESSION	$1::VARCHAR = 'CHECK_MAIL'	{REQUEST}	\N	\N	cee25ff1-d394-49ee-a417-e9d43be2d793	\N	\N	ADMIN	2024-12-24 05:46:06.206613	10	\N	\N	\N	P9000_MAIL
fe04fae4-186f-429b-bf4f-3e3afd4b7141	New validation	10	cli_type	\N	FL	\N	REGULAR_EXPRESSION	Не физ. лицо!!!!!!!!!!!	ALWAYS	\N	\N	\N	\N	99f341d1-02f2-4750-8e05-4f4574e4d92c	\N	\N	ADMIN	2024-10-16 13:24:50.36266	\N	3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	\N	ONCE	\N
e702ad61-64bd-49ca-8e9d-ba1591cf6cad	IS_REPORT_CHOOSED	10	P5500_REPORTS	\N	\N	\N	ITEM_IS_NOT_NULL	Выберите отчет для генерации	EXISTS	SELECT 1\nWHERE $1 = 'DOWNLOAD_REPORT'	{REQUEST}	\N	\N	aac95b84-f45f-41bc-89fd-c30a1c91e32d	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	\N	\N	ONCE	919a116f-c89f-4848-8b9d-6dcfc9a776f2
\.


--
-- Data for Name: t_pages; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_pages (id, page_name, page_num, page_mode, id_auth, javascript_code, javascript_file_urls, inline_css, css_file_urls, is_public, modal_width, page_protection, created_by, created_on, last_updated_by, last_updated_on) FROM stdin;
45a1f80e-3900-4f07-8cde-89e476b24529	Регионы	5020	SIDEBAR	1	\N	\N	.xsquare_logo a {\n    display: flex;\n    flex-direction: row;\n    align-items: center;\n    text-decoration: none;\n    color: black;\n}	\N	t	\N	f	\N	\N	\N	\N
aee8cb58-83f0-4626-9cca-c1eacf279c23	Элементы ввода	5101	SIDEBAR	1	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
981448ef-457a-4a86-b253-9accce59c268	Кнопки	5102	SIDEBAR	1	\N	\N	.item-buttons--right-item {\r\n    width: 300px\r\n}\r\n.item-buttons--left-item {\r\n    width: 300px\r\n}	\N	t	\N	f	\N	\N	\N	\N
645205e7-5a21-4a2d-b2a1-60df5b9576c9	Сброс пароля	17	SIDEBAR	\N	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
a6d10784-1f93-4cfa-9dd6-98a1bc3b9d0f	Восстановление пароля	18	SIDEBAR	\N	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
bb3ac1a5-026d-4edb-aa34-6a4266875a1b	Недоступная страница со схемой авторизации	7202	MODAL	4	\N	\N	\N	\N	f	480	f	ADMIN	2024-07-09 05:41:41.398287	ADMIN	2024-07-09 05:52:46.401218
adf27858-5f30-4b8f-8d19-233bdaddc26d	Настройки приложения	6700	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-17 05:40:25.241963	ADMIN	2024-07-19 10:17:45.095671
537cdd83-9057-43fe-8d89-2144884383f7	Пользователи	19	SIDEBAR	2	\N	\N	.report-selected-user {\nbackground-color:red!important;\n}\n.report-selected-user td {\nborder-color: Fuchsia!important;\n}	\N	f	\N	f	\N	\N	\N	\N
0bfb1592-51be-4726-afa1-e68ef2b0a3a0	Шаблон стандартной страницы	5002	SIDEBAR	1	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
abea137b-d0a9-4bab-82cb-9de6b820aa29	Отделение	1116	MODAL	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	Роль	1101	MODAL	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	Создание пользователя	21	MODAL	2	\N	\N	\N	\N	f	800	f	\N	\N	\N	\N
9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	Смена пароля	16	MODAL	\N	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	Личные данные	15	MODAL	\N	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
b6b32f07-21ba-4f6a-b02a-211725303cd5	Пользователь	20	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
1ea35935-1df1-4842-bc12-f0c13e3829ff	Шаблон минималистичной страницы	5003	MINIMAL	1	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
129c0d3a-01f7-497f-b996-d9113ab7f318	Роли	1100	SIDEBAR	2	function revokeRoleAccess(p_id){\n    jsAPI.process('REVOKE_ROLE_ACCESS',{'G01': p_id},\n                               {onSuccess: function(res) {\n                                        jsAPI.refresh({id: 'PAGES',page:"1100"});\n                                        jsAPI.notification.success("Страница отвязана");}}\n                                        );\n};\nfunction treeRefresh(p_id){\n    jsAPI.setItem('P1100_ID', p_id);\n    jsAPI.refresh({"id":'ROLE',"items":{'P1100_ID':p_id}});\n    jsAPI.refresh({"id":'PAGES',"items":{'P1100_ID':p_id}});\n    jsAPI.refresh({"id":'USERS',"items":{'P1100_ID':p_id}});\n};\n	\N	\N	\N	f	\N	f	\N	\N	\N	\N
395332e9-d054-4722-a1f0-5b3817df0590	Список доступных страниц	1102	MODAL	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
c830ace2-5ffd-473a-b773-bacf7a4b4dd0	Отделения	1115	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
484df877-6f06-4f9e-be6a-f2dc5ab528ca	Создание параметра	3011	MODAL	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
3b5a7cb2-6f42-4c1a-93ee-15d42177e62d	Шаблон модального окна	5004	MODAL	1	\N	\N	.page-5004 {\n--page-right-position-width: 120px;\n--page-left-position-width: 80px;\n}	\N	t	\N	f	\N	\N	\N	\N
f8a4d019-89e4-4ec6-82bc-add1851ffe89	Главная	1000	SIDEBAR	\N	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
56e6538d-a961-4c5a-ab89-6b54955c805a	Шаблон страницы с левой панелью	5005	SIDEBAR	1	\N	\N	.page-5005 {\n--page-left-position-width: 540px;\n}	\N	t	\N	f	\N	\N	\N	\N
f48165f0-1892-4396-8145-b5ce2b29cdb4	Шаблоны страниц	5001	SIDEBAR	1	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
aab04b5d-a22e-4821-a7c9-99cf8005110a	Шаблон страницы с правой панелью	5006	SIDEBAR	1	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
451ae93d-c85b-4406-863a-1705ee6652af	Шаблон страницы с двумя панелями	5007	SIDEBAR	1	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
435789a1-16e5-45ca-8a20-154219bd753e	Шаблон модала	5008	SIDEBAR	1	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
81e71fbc-12fc-4713-9ef0-873bbe7ccc24	Сетка страницы	5011	SIDEBAR	1	\N	\N	\N	\N	t	\N	f	\N	\N	\N	\N
89ecce48-2531-498f-8eae-2bfb5494e66d	Календарь	5050	SIDEBAR	2	\N	\N	#P5050_QUERY {\n  font-family: monospace;\n}	\N	\N	\N	f	ADMIN	2023-03-30 09:48:32.138423	ADMIN	2024-07-17 02:35:44.594991
3135d0ab-85d9-4b64-8e13-4ba63e269674	DRIPICONS	5106	SIDEBAR	2	function onFrameLoad(e) {\n  try {\n    setTimeout(() => {\n      const height = e.target.contentWindow.document.body.scrollHeight;\n      e.target.setAttribute("height", height.toString());\n    }, 1000);\n  } catch (error) {\n    console.error(error);\n  }\n}\n\ndocument.querySelector("#dripicons-frame").addEventListener("load", onFrameLoad);	\N	.demo-icons-frame {\nborder: none;\n}	\N	\N	\N	f	ADMIN	2024-06-18 08:43:09.337381	ADMIN	2024-07-19 10:19:11.062836
08b100ea-32eb-43bc-9e5c-9cf32122519e	Событие	5051	MODAL	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-01-24 15:35:34.979398	ADMIN	2024-07-19 10:21:17.005788
72b67410-f688-4bc6-9a6e-bb63c70a2763	Клиент	7301	SIDEBAR	2	\N	\N	\N	\N	\N	\N	t	ADMIN	2024-07-09 07:02:17.299021	ADMIN	2024-07-19 10:17:20.292675
8d795ae5-9e4c-47d3-a940-dcba059599ed	Отчёты	5021	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
b9fdd2e2-f39c-4930-91d2-9eecd3626960	Чат	5028	SIDEBAR	2	\N	\N	#P5028_QUERY {\n  font-family: monospace;\n}	\N	f	\N	f	\N	\N	\N	\N
2ed35103-feec-41ba-87fc-e05ae867b199	Группировка регионов в модале	5024	MODAL	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	Группировка регионов	5023	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	Графики	5022	SIDEBAR	2	\N	\N	#P5022_QUERY {\n  font-family: monospace;\n}	\N	f	\N	f	\N	\N	\N	\N
5df45e90-9969-40c5-9b3d-a1bb931418c5	Загрузка файла	3013	MODAL	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
efe13ee2-bd85-45ee-88e1-76717fb1ecbe	Файлы	3012	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
0afeb069-1c8f-4f63-98d6-d13eab2ed343	Параметр	3010	MODAL	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
232dee12-c7d7-4237-9cd0-d8060d7b0c62	Параметры	3000	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
36594c2a-5142-48ca-95ec-0c34b4913fe4	Администрирование	1200	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
eb8b0a5d-776a-450d-93b4-527b4734fa8c	MDI	5104	SIDEBAR	2	function onFrameLoad(e) {\n  try {\n    setTimeout(() => {\n      const height = e.target.contentWindow.document.body.scrollHeight;\n      e.target.setAttribute("height", height.toString());\n    }, 1000);\n  } catch (error) {\n    console.error(error);\n  }\n}\n\ndocument.querySelector("#mdi-frame").addEventListener("load", onFrameLoad);\n	\N	.demo-icons-frame {\nborder: none;\n}	\N	\N	\N	f	ADMIN	2024-06-14 12:13:03.264672	ADMIN	2024-07-19 10:19:19.01447
7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	Уведомления	5090	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-02 14:46:54.807199	ADMIN	2024-07-19 10:20:50.088593
e489d8ca-9b10-473a-8d68-2669f2c3e877	Уведомление	5091	MODAL	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-02 14:52:57.594308	ADMIN	2024-07-19 10:20:58.195772
8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	Дерево	5027	SIDEBAR	2	\N	\N	#P5027_QUERY {\n  font-family: monospace;\n}	\N	f	\N	f	\N	\N	\N	\N
718632d7-9ea4-487b-a429-ed5c6d39561e	Визард-2	5026	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
c7a6173f-9d45-410b-8d56-3d605bf3d4fb	Визард-3	5029	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
c3bfd42b-0e7e-40dd-96ca-16de1d292caa	Визард	5025	SIDEBAR	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
83aa1204-d957-4efb-b371-5548f5db7c45	Авторизация 2	2	LOGIN	\N	\N	\N	.templates-menu {\n  font-size: 13px;\n  font-style: normal;\n  font-weight: 400;\n  line-height: 16px;\n  color: #888;\n  text-align: right;\n  padding-left: 12px;\n  padding-top: 12px;\n  padding-bottom: 12px;\n  padding-right: 4px;\n  white-space: nowrap;\n  display: flex;\n  justify-content: flex-end;\n  align-items: center;\n}\n.templates-menu a {\n  color: inherit;\n  display: inline-block;\n  text-decoration: none;\n  line-height: inherit;\n}\n.templates-menu a,\n.templates-menu .is-active {\n  /* margin-left: 8px; */\n  padding: 8px;\n}\n.templates-menu a:after {\n  display: none;\n}\n.templates-menu a:hover,\n.templates-menu .is-active {\n  text-decoration: underline;\n  text-underline-position: under;\n}\n.templates-menu .is-active {\n  cursor: default;\n}\n.screamer-card {\n  padding: 32px;\n  background: #fff;\n  box-shadow: 0 4px 8px rgba(19, 22, 25, 0.1), 0 2px 4px rgba(19, 22, 25, 0.1);\n  backdrop-filter: blur(10px);\n  border-radius: 20px;\n  text-align: left;\n}\n.screamer-list__title {\n  font-size: 40px;\n  font-style: normal;\n  font-weight: 700;\n  line-height: 48px;\n}\n\n.screamer-list__title--sm {\n  font-size: 24px;\n  line-height: 32px;\n}\n.screamer-list__title ~ .screamer-list__items {\n  margin-top: 22px;\n}\n.screamer-list__item {\n  margin-bottom: 22px;\n  display: flex;\n  font-size: 14px;\n}\n.screamer-list__item:last-child {\n  margin-bottom: 0;\n}\n.screamer-list__item-title {\n  font-size: 17px;\n  font-weight: 600;\n  line-height: 28px;\n  color: #333;\n}\n.screamer-list__item-title ~ .screamer-list__item-title {\n  margin-top: 2px;\n}\n.screamer-list__text {\n  color: #888;\n  font-size: 13px;\n  font-weight: 400;\n  line-height: 16px;\n}\n.screamer-list__icon-wrap {\n  margin-top: 6px;\n  margin-right: 12px;\n  background-color: #00c177;\n  width: 40px;\n  height: 40px;\n  min-width: 40px;\n  min-height: 40px;\n  border-radius: 100%;\n  display: flex;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n.screamer-list__icon {\n  color: white;\n  font-size: 20px;\n  line-height: 20px;\n}\n.screamer__image {\n  display: block;\n  width: 100%;\n  max-width: 240px;\n  margin-left: auto;\n  margin-right: auto;\n  margin-bottom: 32px;\n}\n\n\n\n.auth-header-nav-wrap {\ndisplay: flex;\nalign-items: center;\n    flex: 1;\n}     \n .auth-header-nav {\n        display: none;\n        gap: 24px;\n        margin-left: 12px;\nmargin-right: 12px;\n    font-size: 13px;\n    line-height: 16px;\n      }\n      @media screen and (min-width: 768px){\n#REGION_HSIIODVS25 {\nmargin-bottom:120px;\n}\n        .auth-header-nav {\n    display: flex;\n    flex: 1;\n    //justify-content: center;\n    justify-content: flex-end;\n        }\n      }\n\n\n.page-2 {\n--page-left-position-width: 33.333333333333336%;\n--page-left-position-bg-color: rgba(255, 255, 255, 0.65);\n--page-right-position-bg-color: rgba(255, 255, 255, 0.65);\n.app-page-position-left, .app-page-position-right {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\nbackground: rgba(255, 255, 255, 0.65);\n}\n}\n.page-2  {\n    //background: url(/files/images/login-bg.jpg) no-repeat 50%;\n    background-size: cover;\n    background-attachment: fixed;\n}\n.auth-header {\n    display: flex;\n    justify-content: space-between;\n}\n.auth-header-logo {\n    display: block;\n    width: 49px;\n    height: 56px;\n}\n.page-2 .login-form-image {\ndisplay: block;\nwidth: 128px;\nheight: 128px;\nmargin-left: auto;\nmargin-right: auto;\n}\n/*.login-form {\n  box-shadow: rgba(11, 67, 218, 0.1) 0px 4px 14px,\n    rgba(107, 118, 131, 0.2) 0px 4px 14px;\n  padding: 24px;\n}\n\n\n.login-form .region__footer {\n  margin-top: 2rem;\n}*/\n.benefits-list {\npadding-left:0;\nmargin-bottom:0\n} \n.benefits-list li {\nfont-size:16px;\nlist-style:none;\ndisplay:flex;\nalign-items:center;\nmargin-bottom:15px\n}\n.icon {\n    display: inline-block;\n    width: 40px;\n    height: 40px;\n    background-size: contain;\n    margin-right: 10px; \n    background-repeat: no-repeat;\n}\n.icon_dollar {\n    background-image: url(https://www.pngrepo.com/png/52612/180/money.png);\n}\n.icon_cancel {\n    background-image: url(https://www.pngrepo.com/png/85778/180/cancel.png);\n}\n.icon_page {\n    background-image: url(https://www.pngrepo.com/png/220485/180/web-page-website.png);\n}\n.icon_database {\n    background-image: url(https://www.pngrepo.com/png/224774/180/database.png);\n}\n.icon_speed {\n    background-image: url(https://www.pngrepo.com/png/148/180/speed.png);\n}	{/files/templates-menu.css?v=261020231946}	t	\N	f	ADMIN	2024-01-25 13:05:25.674877	ADMIN	2024-01-25 13:17:32.921387
530154e2-764f-4bb8-bd69-f0e2d33dbe57	Авторизация 3	3	LOGIN	\N	/*\n/files/vanta/three.min.js\n/files/vanta/vanta.net.min.js\ntry {\nVANTA.NET({\n  el: "#your-element-selector",\n  mouseControls: true,\n  touchControls: true,\n  gyroControls: false,\n  minHeight: 400.00,\n  minWidth: 200.00,\n  scale: 1.00,\n  scaleMobile: 1.00,\n  color: 0x282323,\n  backgroundColor: 0xffffff\n})\n}catch(e){}*/\n	\N	.templates-menu {\n  font-size: 13px;\n  font-style: normal;\n  font-weight: 400;\n  line-height: 16px;\n  color: #888;\n  text-align: right;\n  padding-left: 12px;\n  padding-top: 12px;\n  padding-bottom: 12px;\n  padding-right: 4px;\n  white-space: nowrap;\n  display: flex;\n  justify-content: flex-end;\n  align-items: center;\n}\n.templates-menu a {\n  color: inherit;\n  display: inline-block;\n  text-decoration: none;\n  line-height: inherit;\n}\n.templates-menu a,\n.templates-menu .is-active {\n  /* margin-left: 8px; */\n  padding: 8px;\n}\n.templates-menu a:after {\n  display: none;\n}\n.templates-menu a:hover,\n.templates-menu .is-active {\n  text-decoration: underline;\n  text-underline-position: under;\n}\n.templates-menu .is-active {\n  cursor: default;\n}\n.screamer-card {\n  padding: 32px;\n  background: #fff;\n  box-shadow: 0 4px 8px rgba(19, 22, 25, 0.1), 0 2px 4px rgba(19, 22, 25, 0.1);\n  backdrop-filter: blur(10px);\n  border-radius: 20px;\n  text-align: left;\n}\n.screamer-list__title {\n  font-size: 40px;\n  font-style: normal;\n  font-weight: 700;\n  line-height: 48px;\n}\n\n.screamer-list__title--sm {\n  font-size: 24px;\n  line-height: 32px;\n}\n.screamer-list__title ~ .screamer-list__items {\n  margin-top: 22px;\n}\n.screamer-list__item {\n  margin-bottom: 22px;\n  display: flex;\n  font-size: 14px;\n}\n.screamer-list__item:last-child {\n  margin-bottom: 0;\n}\n.screamer-list__item-title {\n  font-size: 17px;\n  font-weight: 600;\n  line-height: 28px;\n  color: #333;\n}\n.screamer-list__item-title ~ .screamer-list__item-title {\n  margin-top: 2px;\n}\n.screamer-list__text {\n  color: #888;\n  font-size: 13px;\n  font-weight: 400;\n  line-height: 16px;\n}\n.screamer-list__icon-wrap {\n  margin-top: 6px;\n  margin-right: 12px;\n  background-color: #00c177;\n  width: 40px;\n  height: 40px;\n  min-width: 40px;\n  min-height: 40px;\n  border-radius: 100%;\n  display: flex;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n.screamer-list__icon {\n  color: white;\n  font-size: 20px;\n  line-height: 20px;\n}\n.screamer__image {\n  display: block;\n  width: 100%;\n  max-width: 240px;\n  margin-left: auto;\n  margin-right: auto;\n  margin-bottom: 32px;\n}\n\n\n\n.page-3 #MAIN_CONTENT .region__container {\n  overflow: hidden;\n}\n\n#REGION_UNBIKAK6SS {\nbackground: #F9FAFB;\n}\n.page-3 #BENEFITS {\n  --tabs-padding: 20px 0 0 20px;\n}\n.page-3 .auth-header-logo-wrap {\n  display: flex;\n  align-items: center;\n}\n.page-3 .auth-header {\n  display: flex;\n  flex-direction: row;\n  justify-content: space-between;\n  align-items: center;\n}\n.page-3 .auth-header-logo-text {\n  margin-left: 8px;\n  font-weight: 700;\n  color: #888;\n  white-space: nowrap;\n}\n.page-3 .auth-contacts {\n  display: none;\n  color: #333;\n  font-size: 12px;\n  line-height: 16px;\n  font-weight: 600;\n  text-align: right;\n  text-decoration: none;\n}\n.page-3 .auth-contacts a {\n  color: inherit;\n}\n.page-3 #your-element-selector {\n  min-height: 0px;\n  overflow: hidden;\n  background-color: #f9fafb;\n}\n.page-3 #your-element-selector canvas {\n  opacity: 0.5;\n}\n@media screen and (min-width: 768px) {\n  .page-3 #your-element-selector {\n    min-height: 344px;\n  }\n  /*.page-3 #MAIN_CONTENT {\n    margin-bottom: 80px;\n  }*/\n  .page-3 #REGION_HZMNOA7GH5 {\n    margin-bottom: 80px;\n  }\n  .page-3 .auth-contacts {\n    display: block;\n  }\n  .page-3 .auth-header {\n    padding: 0 60px;\n    margin-bottom: 48px;\n  }\n}\n.page-3 .auth-header-logo {\n  display: block;\n  width: 49px;\n  height: 56px;\n}\n\n.page-3 {\n  --tabs-border-width: 0px;\n  --region-padding: 20px;\n  --tab-padding: 0 0 12px 0;\n  --page-top-position-border: none;\n  --page-top-position-padding: 0px 8px 0px 8px;\n  --page-top-position-bg-color: transparent;\n  background: url(https://pghs4-dev.xsquare.ru/files/images/login-bg.jpg) no-repeat 50%;\n  background-size: cover;\n  background-attachment: fixed;\n}\n\n.page-3 .templates-menu {\n  padding-bottom: 0;\n  padding-top: 0;\n}\n\n.page-3 .esia-enter span {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n.page-3 .esia-enter .esia-text {\n  display: inline-block;\n  text-align: left;\nfont-size:13px;\n}\n.page-3 .esia-icon {\n  display: inline-block;\n  width: 28px;\n  height: 0;\n  margin-right: 8px;\n}\n.page-3 .esia-icon img {\n  display: inline-block;\n  width: 28px;\n  height: 28px;\n}\n.page-3 .login-form-logo {\n  display: block;\n  width: 64px;\n  height: 72px;\n  margin-left: auto;\n  margin-right: auto;\n  margin-bottom: 12px;\n}\n\n.page-3 .login-form-title {\n  margin-bottom: 12px;\n}\n	{/files/templates-menu.css?v=261020231946}	t	\N	f	ADMIN	2024-01-25 13:20:53.788797	ADMIN	2024-01-25 13:30:50.510221
bd5c9c5f-20a6-4459-8894-c0436da6a62e	Публичная страница со схемой авторизации	7203	MODAL	4	\N	\N	\N	\N	f	480	f	ADMIN	2024-07-09 05:56:21.359113	ADMIN	2024-07-09 06:27:26.715032
087d6a1e-9562-4fb5-98d9-066220d2f660	UNICONS	5105	SIDEBAR	2	function onFrameLoad(e) {\n  try {\n    setTimeout(() => {\n      const height = e.target.contentWindow.document.body.scrollHeight;\n      e.target.setAttribute("height", height.toString());\n    }, 1000);\n  } catch (error) {\n    console.error(error);\n  }\n}\n\ndocument.querySelector("#unicons-frame").addEventListener("load", onFrameLoad);\n	\N	.demo-icons-frame {\nborder: none;\n}	\N	\N	\N	f	ADMIN	2024-06-18 08:42:56.288823	ADMIN	2024-07-19 10:19:15.359798
acd31448-1daf-4a7b-a84a-c748350d7d1d	Процессы	6000	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-06-17 13:12:21.336733	ADMIN	2024-07-19 10:18:37.233331
cb515bef-e70c-44f4-9199-5e8369ad3aa1	Плитки на весь экран	6051	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-05-16 12:30:57.58685	ADMIN	2024-07-19 10:18:27.152148
d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	Сессии	7400	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-18 02:37:33.870009	ADMIN	2024-07-18 02:48:31.469809
cb8b8f0b-ebce-4120-bcaa-a1948ee82144	Условия	9050	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-15 03:25:36.043536	ADMIN	2024-07-19 10:17:05.713715
ce54d0b7-7243-440d-9cd8-1ec8244bdde8	Валидация	9000	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-06-17 10:41:53.006711	ADMIN	2024-07-19 10:17:10.261802
d1533edb-4578-4939-88c0-38a6ad2f4c7c	Доступность страниц	7200	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-09 03:50:47.469709	ADMIN	2024-07-19 10:17:36.093546
e9492934-32f7-4818-b110-411d65aa65b9	Источники данных	6600	SIDEBAR	2	\N	\N	#P6600_CONFIG {\n  font-family: monospace;\n}	\N	\N	\N	f	ADMIN	2024-07-16 06:13:05.73785	ADMIN	2024-07-19 10:17:49.57552
bd6b73f7-00c6-4985-927b-653e02f8c659	Плитки	6050	SIDEBAR	2	\N	\N	#P6050_QUERY {\n  font-family:monospace;\n}	\N	\N	\N	f	ADMIN	2024-05-14 11:29:32.461306	ADMIN	2024-07-19 10:18:33.364007
bbbfba99-f656-4a05-a070-216215b4b4bb	Календарь пользователя	5300	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-01-26 12:27:21.179907	ADMIN	2024-07-19 10:18:54.540104
7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	Карточки	5030	SIDEBAR	2	\N	\N	#P5030_QUERY {\n  font-family: monospace;\n}	\N	\N	\N	f	ADMIN	2024-01-26 17:14:52.996991	ADMIN	2024-07-19 10:21:22.597927
66172bff-a801-47bf-935a-25abd312e5df	Дополнительно	4000	SIDEBAR	\N	\N	\N	\N	\N	t	\N	f	ADMIN	2024-02-02 20:29:24.058106	ADMIN	2024-07-08 11:29:49.359818
c1434e86-8781-437b-9dc6-8e3d43073659	xREPORTS - конвертация	5550	SIDEBAR	2	\N	\N	#CONTAINER_1 .app-region__container {\n    margin-left: 0;\n    max-width: 800px;\n}\n	\N	f	\N	f	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-19 10:18:42.854446
56dff7a2-3198-4ef4-8885-ea3a5de5b0b5	Публичная страница без защиты	7201	MODAL	\N	\N	\N	\N	\N	t	480	f	ADMIN	2024-07-09 04:38:11.714764	ADMIN	2024-07-09 04:44:19.086312
3bb65c15-0e65-4e02-802e-9f0d39a5685c	Публичная страница	7100	SIDEBAR	\N	\N	\N	\N	\N	t	\N	f	ADMIN	2024-07-08 07:34:36.744156	ADMIN	2024-07-08 07:34:46.484302
01be9ad0-af44-4ae2-8ea3-691ae9d8f700	Транзакции	9200	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-16 08:49:02.77392	ADMIN	2024-07-19 10:16:55.220493
4303bd6b-83c3-4652-814f-c0b9b8e4958e	Ветви	9100	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-06-28 11:03:41.141654	ADMIN	2024-07-19 10:16:59.80353
8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	Защита данных	7300	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-09 06:29:28.053871	ADMIN	2024-07-19 10:17:25.522405
1402158f-55cf-47b1-88b6-30cadfded13a	Доступность приложения	7000	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-08 05:50:20.879086	ADMIN	2024-07-19 10:17:41.820419
c157113b-bd24-49df-84a2-62c280bd48b9	REST и SQL	6500	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-19 10:17:55.397205
9361b40f-16b6-4110-8089-16abba870bae	REST и JMESPath	6400	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-19 10:17:59.524391
55cebbf2-83f2-476d-bb93-79a0a0681374	SQL-запрос	6301	MODAL	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-05 03:59:46.141099	ADMIN	2024-07-19 10:18:05.900241
c7d28294-b69b-407e-88b3-1bc14126346e	Глобальные списки	6300	SIDEBAR	2	\N	\N	.icon-unavaliable {\n  color: #dedede;\n}\nli {\n  padding: 3px;\n}\n#P6300_QUERY {\n  font-family: monospace;\n}	\N	\N	\N	f	ADMIN	2024-07-04 08:55:25.858481	ADMIN	2024-07-19 10:18:14.082617
405ed4af-edc6-48b3-bf94-806103b3d2b7	Глобальные процессы	6200	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-02 03:43:24.814578	ADMIN	2024-07-19 10:18:17.838195
aebc3f92-c789-4a1a-968a-7900d589269d	Глобальные переменные	6100	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-07-01 04:53:54.330113	ADMIN	2024-07-19 10:18:23.582358
fe04fae4-186f-429b-bf4f-3e3afd4b7141	Датагрид	5070	SIDEBAR	2	\N	\N	\N	\N	\N	\N	f	ADMIN	2024-04-23 06:47:20.859793	ADMIN	2024-12-24 04:37:35.201499
a6b4f635-850d-421a-bc2c-2a238db8124c	Назначение роли	23	MODAL	2	\N	\N	\N	\N	f	\N	f	\N	\N	\N	\N
f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	xDAC	5400	SIDEBAR	2	\N	{/files/prismjs/prism.js}	#P5400_CODE_F_HELLO {\n  font-family: monospace;\n  background-color: #212121;\n}	{/files/prismjs/prism.css}	\N	\N	f	ADMIN	2024-06-04 08:51:03.544956	ADMIN	2024-12-25 06:55:30.5344
e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	Авторизация	1	LOGIN	\N	\N	\N	.templates-menu {\n  font-size: 13px;\n  font-style: normal;\n  font-weight: 400;\n  line-height: 16px;\n  color: #888;\n  text-align: right;\n  padding-left: 12px;\n  padding-top: 12px;\n  padding-bottom: 12px;\n  padding-right: 4px;\n  white-space: nowrap;\n  display: flex;\n  justify-content: flex-end;\n  align-items: center;\n}\n.templates-menu a {\n  color: inherit;\n  display: inline-block;\n  text-decoration: none;\n  line-height: inherit;\n}\n.templates-menu a,\n.templates-menu .is-active {\n  /* margin-left: 8px; */\n  padding: 8px;\n}\n.templates-menu a:after {\n  display: none;\n}\n.templates-menu a:hover,\n.templates-menu .is-active {\n  text-decoration: underline;\n  text-underline-position: under;\n}\n.templates-menu .is-active {\n  cursor: default;\n}\n.screamer-card {\n  padding: 32px;\n  background: #fff;\n  box-shadow: 0 4px 8px rgba(19, 22, 25, 0.1), 0 2px 4px rgba(19, 22, 25, 0.1);\n  backdrop-filter: blur(10px);\n  border-radius: 20px;\n  text-align: left;\n}\n.screamer-list__title {\n  font-size: 40px;\n  font-style: normal;\n  font-weight: 700;\n  line-height: 48px;\n}\n\n.screamer-list__title--sm {\n  font-size: 24px;\n  line-height: 32px;\n}\n.screamer-list__title ~ .screamer-list__items {\n  margin-top: 22px;\n}\n.screamer-list__item {\n  margin-bottom: 22px;\n  display: flex;\n  font-size: 14px;\n}\n.screamer-list__item:last-child {\n  margin-bottom: 0;\n}\n.screamer-list__item-title {\n  font-size: 17px;\n  font-weight: 600;\n  line-height: 28px;\n  color: #333;\n}\n.screamer-list__item-title ~ .screamer-list__item-title {\n  margin-top: 2px;\n}\n.screamer-list__text {\n  color: #888;\n  font-size: 13px;\n  font-weight: 400;\n  line-height: 16px;\n}\n.screamer-list__icon-wrap {\n  margin-top: 6px;\n  margin-right: 12px;\n  background-color: #00c177;\n  width: 40px;\n  height: 40px;\n  min-width: 40px;\n  min-height: 40px;\n  border-radius: 100%;\n  display: flex;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n.screamer-list__icon {\n  color: white;\n  font-size: 20px;\n  line-height: 20px;\n}\n.screamer__image {\n  display: block;\n  width: 100%;\n  max-width: 240px;\n  margin-left: auto;\n  margin-right: auto;\n  margin-bottom: 32px;\n}\n\n\n.page-1 {\n--page-top-position-border: none;\n--page-top-position-bg-color: transparent;\n}\n.login-form-logo {\n  display: block;\n   width: 64px;\n   height: 72px;\n   margin-left: auto;\n   margin-right: auto;\n   margin-bottom: 12px;\n}\n\n.login-form-title {\n  margin-bottom:12px;\n}\n\n#PWA_INFO div{\n  text-align:center;\n  display: none;\n  background-color:#ddf4fd;\n}\n.pwa_text svg{\n    height: 15px;\n    vertical-align: top;\n    width: 15px;\n}\n\n\n@media only screen and (max-width: 768px) {\n  #PWA_INFO div{\n    display: block;\n  }\n}\n\n#ICON_SPRITES {\n  display: none;\n}\n.auth-button {\n    position: relative;\n}\n.auth-button__icon {\n  position: absolute;\n  width: 20px;\n  height: 20px;\n  top: 8.5px;\n  left: 9.5px;\n  stroke: var(--btn-secondary-text-color, var(--color-primary, var(--primary-color, #1f78ff)));\n  fill: var(--btn-secondary-text-color, var(--color-primary, var(--primary-color, #1f78ff)));\n}	{/files/templates-menu.css}	t	\N	f	\N	\N	\N	\N
3006c64d-7487-4960-bdfc-f8565c02fd11	jsAPI примеры	5200	SIDEBAR	2	function sleep(ms) {\n    return new Promise(resolve => setTimeout(resolve, ms));\n}\n\nasync function sleep() {\n    for (let i = 0; i < 5; i++) {\n        await sleep(i * 1000);\n    }\n}	{/files/prismjs/prism.js}	.single {\n  background-color: #1f78ff;\n  font-weight: bold;\n  border-radius: 5px;\n  color: white;\n  padding: 3px;\n}	{/files/prismjs/prism.css}	\N	\N	f	ADMIN	2024-01-25 13:36:27.104801	ADMIN	2024-10-14 10:35:47.674079
8145943d-3106-4c58-973a-ad8778b2a231	Блокировки	9300	SIDEBAR	\N	\N	{/files/prismjs/prism.js}	\N	{/files/prismjs/prism.css}	\N	\N	f	ADMIN	2024-10-14 11:28:47.696022	ADMIN	2024-10-14 12:09:07.397924
e702ad61-64bd-49ca-8e9d-ba1591cf6cad	xREPORTS - генерация	5500	SIDEBAR	2	\N	\N	#CONTAINER_1 .app-region__container {\n    margin-left: 0;\n    max-width: 800px;\n}\n	\N	f	\N	f	ADMIN	2025-02-27 22:34:39.479932	ADMIN	2025-02-27 22:34:39.479932
ac59d725-9e81-4f45-893f-1ffd64fd6846	JavaScript	5210	SIDEBAR	2	// Вызовы процедуры добавления уведомлений\nvar actionCalls = 0;\nvar currCalls = 0;\n\njsAPI.setItem('P5210_CURR_CALLS', currCalls.toString());\njsAPI.setItem('P5210_TOTAL_CALLS', totalCalls.toString());\n\n// Добавление фрейма карты\nmap = new OpenLayers.Map("demoMap");\nmap.addLayer(new OpenLayers.Layer.OSM());\nmap.zoomToMaxExtent();\n	{/files/javascript/calls.js,/files/javascript/OpenLayers-2.13.1/OpenLayers.js,/files/prismjs/prism.js}	.action-calls,\n.curr-calls {\n  font-weight: bold;\n}\n#demoMap {\n  height: 250px;\n}	{/files/prismjs/prism.css}	\N	\N	f	ADMIN	2024-07-09 03:46:52.650754	ADMIN	2025-02-28 10:10:12.549407
896512ee-bca1-4fb3-8148-31dc61b0e8ff	CSS	5220	SIDEBAR	2	\N	{/files/prismjs/prism.js}	:root {\n  --region-bg-color: #e4efff;\n}\n.page-5220 {\n  --color-primary: #ff9393;\n}	{/files/prismjs/prism.css}	\N	\N	f	ADMIN	2024-07-09 03:47:24.862594	ADMIN	2025-02-28 10:14:37.451371
\.


--
-- Data for Name: t_rest_calls; Type: TABLE DATA; Schema: page; Owner: xrad_user
--

COPY page.t_rest_calls (id, id_page, id_source, rest_name, rest_seq, rest_type, url_address, http_method, http_headers, query_params, payload_type, payload_params, payload_source, payload_source_input, resp_type, resp_params, resp_source, resp_source_input, resp_output, request_name, success_message, error_message, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, accept_modal, commit_tx, created_by, created_on, last_updated_by, last_updated_on) FROM stdin;
4f3427b1-a676-4217-ae33-3b36ab140e2b	9361b40f-16b6-4110-8089-16abba870bae	10	Погода REST	10	SHOW	https://api.open-meteo.com/v1/forecast	GET	\N	[{"key":"latitude","type":"STATIC","value":"55.7522"},{"key":"longitude","type":"STATIC","value":"37.615"},{"key":"current_weather","type":"STATIC","value":"true"},{"key":"hourly","type":"STATIC","value":"temperature_2m"}]	NONE	\N	\N	\N	VALUES	[{"key":"P6400_TEMP","type":"JMES","value":"current_weather.temperature"},{"key":"P6400_WINDSPEED","type":"JMES","value":"current_weather.windspeed"},{"key":"P6400_TIME","type":"JMES","value":"hourly.time"},{"key":"P6400_TIME_TEMP","type":"JMES","value":"hourly.temperature_2m"}]	\N	\N	\N	\N	\N	\N	ALWAYS	\N	\N	\N	\N	f	f	\N	2024-07-08 05:46:41.487458	\N	2024-07-08 05:46:41.487458
3b5c7a92-2c16-477a-a56b-10d04f4dac49	981448ef-457a-4a86-b253-9accce59c268	10	HELLO	10	PROCESS	http://127.0.0.1:8088/xdac/rpc/f_hello	GET	\N	\N	NONE	\N	\N	\N	VALUES	[{"key":"P5102_HELLO","type":"STATIC","value":"STR"}]	\N	\N	\N	ITEM_RIGHT	\N	\N	ALWAYS	\N	\N	\N	\N	f	f	\N	\N	ADMIN	2024-05-24 07:52:09.101321
6a79cb3e-f9e8-4ebc-8747-c916cfb07304	c157113b-bd24-49df-84a2-62c280bd48b9	10	Фильмы REST	20	SHOW	https://imdb8.p.rapidapi.com/auto-complete	GET	[{"key":"X-RapidAPI-Key","type":"ITEM","value":"P6500_API_KEY"},{"key":"X-RapidAPI-Host","type":"STATIC","value":"imdb8.p.rapidapi.com"}]	[{"key":"q","type":"ITEM","value":"P6500_NAME"}]	NONE	\N	\N	\N	SQL	\N	call films.p_fill_films($1)	[{"type":"BODY"}]	\N	SEARCH	Загрузили фильмы	Не загрузили фильмы :(	ALWAYS	\N	\N	\N	\N	f	f	\N	2024-07-08 05:46:59.744722	\N	2024-07-08 05:46:59.744722
6ed76332-a5b4-4711-9bcc-93bfb5621b7d	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	10	POST_SUBMIT	20	AJAX	http://127.0.0.1:8887/xdac/rpc/f_concat_str	POST	[{"key":"Content-Type","type":"STATIC","value":"application/json"}]	\N	SQL	\N	SELECT ('{"p_first_str": "'||$1::VARCHAR||'", "p_second_str": "'||$2::VARCHAR||'" }')::varchar	{P5400_POST_FIRST_VALUE,P5400_POST_SECOND_VALUE}	VALUES	[{"key":"RESPONSE","type":"JMES","value":"CONCAT_RESULT"}]	\N	\N	\N	POST_SUBMIT	\N	\N	ALWAYS	\N	\N	\N	\N	f	f	\N	\N	ADMIN	2024-12-25 14:31:28.963401
beb98236-f85b-4d16-907e-d92fb0ecda44	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	10	GET_SUBMIT	10	AJAX	http://127.0.0.1:8887/xdac/rpc/f_hello	GET	\N	\N	NONE	\N	\N	\N	VALUES	[{"key":"RESPONSE","type":"JMES","value":"GET_RETURN"}]	\N	\N	\N	GET_SUBMIT	\N	\N	ALWAYS	\N	\N	\N	\N	f	f	\N	\N	ADMIN	2024-12-25 14:31:28.963569
6388120b-b09c-43b2-ad31-fc7dd290c1ed	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	10	POST_JSON	40	AJAX	http://127.0.0.1:8887/xdac/rpc/f_json_parse	POST	[{"key":"Prefer","type":"STATIC","value":"params=single-object"},{"key":"Content-Type","type":"STATIC","value":"application/json"}]	\N	SQL	\N	SELECT $1::JSON	{P5400_JSON_INPUT}	VALUES	[{"key":"RESPONSE","type":"JMES","value":"JSON_OUTPUT"}]	\N	\N	\N	POST_JSON	\N	\N	ALWAYS	\N	\N	\N	\N	f	f	\N	\N	ADMIN	2024-12-25 14:31:28.963662
f93730ff-f968-4353-9717-715d0e6bf1be	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	10	GET_CLIENT	50	AJAX	http://127.0.0.1:8887/xdac/rpc/f_get_client	GET	\N	[{"key":"p_id","type":"ITEM","value":"P5400_CLIENT_LIST"}]	NONE	\N	\N	\N	VALUES	[{"key":"RESPONSE","type":"JMES","value":"@"}]	\N	\N	\N	GET_CLIENT	\N	\N	ALWAYS	\N	\N	\N	\N	f	f	\N	\N	ADMIN	2024-12-25 14:31:28.963725
27196a3c-657e-4e58-bb82-e2ba0f7bf7d5	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	10	GET_MASS	60	AJAX	http://127.0.0.1:8887/xdac/rpc/f_get_mass	GET	\N	\N	NONE	\N	\N	\N	VALUES	[{"key":"RESPONSE","type":"JMES","value":"@"}]	\N	\N	\N	GET_MASS	\N	\N	ALWAYS	\N	\N	\N	\N	f	f	\N	\N	ADMIN	2024-12-26 12:45:20.022394
\.


--
-- Data for Name: t_regions; Type: TABLE DATA; Schema: region; Owner: xrad_user
--

COPY region.t_regions (id, id_page, id_parent, "position", seq, static_id, title, toggle, active, comp_type, condition_type, condition_first, condition_first_input, condition_second, condition_second_input, col_span, source_type, source_text, source_input, id_list, class, component_classes, show_header, start_new_row, settings, created_by, created_on, last_updated_by, last_updated_on, id_source, generic_columns, generic_cols_count, store_state) FROM stdin;
ca31f4d3-9a8c-45c5-b1e0-42561c365a29	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	b4873c9f-c85f-47fe-942e-058165ac07b7	body	11	BAR_SAMPLE	BAR_SAMPLE	f	f	CHART	ALWAYS	\N	\N	\N	\N	7	SQL	select 1 as order_num, 'I квартал' quater, 57::numeric as work_days, 33::numeric as days\r\nunion\r\nselect 2, 'II квартал', 60::numeric as work_days, 31::numeric as days\r\nunion\r\nselect 3, 'III квартал', 66::numeric as work_days, 26::numeric as days\r\nunion\r\nselect 4, 'IV квартал', 64::numeric as work_days, 28::numeric as days\r\norder by 1	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
c6235e56-17f2-4eb6-b75d-7cfcae65b824	56e6538d-a961-4c5a-ab89-6b54955c805a	\N	footer	6	FOOTER	Низ (footer)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
a5ac481d-3c43-4ccc-adbd-86f87be02e90	56e6538d-a961-4c5a-ab89-6b54955c805a	\N	top	1	BREADCRUMB	Верх страницы (top)	f	\N	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	region-slot-bordered-bottom	\N	t	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
238a1061-2b94-4fe7-8fb6-52ea3b8643fc	3135d0ab-85d9-4b64-8e13-4ba63e269674	\N	top	10	REGION_PK55X0BLMH	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-18 08:45:46.622884	10	f	\N	f
53c6b86c-4362-4c7d-a34a-03ed7e6ee95e	55cebbf2-83f2-476d-bb93-79a0a0681374	\N	body	10	REGION_TK2OZR1AH1	SQL-запрос	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT CONCAT('<pre><code>', $1::TEXT, '</pre></code>')	{P6301_SQL}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-05 04:05:22.987622	10	f	\N	f
e5e6127c-2564-4c70-8d9f-2e82499b7819	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	\N	body	2	ROLES	Роли	t	t	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT r.name\r\n      ,ru.date_created\r\n      ,ul.username created_by\r\n  FROM roles.t_role_users ru\r\n   \t  ,roles.t_roles r\r\n      ,users.t_user_list ul\r\n WHERE r.id = ru.role_id\r\n   AND ru.created_by_id = ul.id\r\n   AND ru.user_id = users.f$_usr_id($1::varchar)	{APP_USER}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	t
f50a8e90-1d30-4ef1-a205-a58c13ec27fa	8d795ae5-9e4c-47d3-a940-dcba059599ed	1379c409-56a5-4729-86a7-a5bbaa73711b	body	3	STANDART	Стандартная таблица	t	t	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
d9a8131c-3c36-4026-8021-c2968811e40a	8d795ae5-9e4c-47d3-a940-dcba059599ed	1379c409-56a5-4729-86a7-a5bbaa73711b	body	4	COLVAL	Пары столбец - значение	t	t	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
53dea1ac-b97d-4fd8-aba9-fad9092b4418	b6b32f07-21ba-4f6a-b02a-211725303cd5	c03c1758-decd-418a-b999-57de80ab88fc	body	1	USER	Пользователь	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
0590c5b5-fae0-4545-9e3f-f8e8e92d2498	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	d107487f-8d05-4e15-b32b-dce305a2c434	body	1	TAB1	Первая вкладка	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Для региона типа TABS все вложенные будут отображаться как переключаемые вкладки.</p><p>Пример группировки на модальной странице по кнопке.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
f2b52a05-9b85-472a-a126-0af9eca4225c	f48165f0-1892-4396-8145-b5ce2b29cdb4	62757fc8-72e1-4b46-b825-79f797cd66e2	body	1	STANDART_PAGE	Стандартный	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	Тип страницы <b>SIDEBAR</b>.<br/>Колонки слева и справа отсутствуют.	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
7baba155-d411-457c-ae34-3b1fdecf79ee	f48165f0-1892-4396-8145-b5ce2b29cdb4	62757fc8-72e1-4b46-b825-79f797cd66e2	body	4	LEFTBAR_PAGE	Стандартный с левой колонкой	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	Тип страницы <b>SIDEBAR</b>.<br/>На страницу добавлен регион с позицией <i>left</i>.	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
c5181c72-cb9a-42b0-8394-c09d30d69eca	45a1f80e-3900-4f07-8cde-89e476b24529	38ddcb9d-86ab-4581-85f8-ec5f96f3a919	body	6	REGION_88COMO5EW1	New Region	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 16:19:34.890237	10	f	\N	f
df2772f7-8145-4589-92a6-a23c0086ad5c	645205e7-5a21-4a2d-b2a1-60df5b9576c9	\N	body	1	PASSWORD	Измените пароль для входа в систему!	f	f	FORM	SQL_EXPRESSION	$1::varchar IS NOT NULL AND exists(SELECT 1 FROM users.t_user_list WHERE hash = $1::varchar)	{P17_HASH}	\N	\N	12	\N	\N	\N	\N	region-container-1280	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
9309854d-956f-4db2-ba83-f01870d91d96	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	14	COLUMN1_11	COLUMN1_11	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
6294e639-ea5f-4856-a795-b456c3b07749	aab04b5d-a22e-4821-a7c9-99cf8005110a	\N	top	1	BREADCRUMB	Верх страницы (top)	f	\N	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	region-slot-bordered-bottom	\N	t	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
bca7f579-228b-4d28-ba93-4a70222d02b6	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	15	COLUMN1_12	COLUMN1_12	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
2c65c700-fe73-4b56-adc9-c3bf70c5b3d8	b6b32f07-21ba-4f6a-b02a-211725303cd5	c03c1758-decd-418a-b999-57de80ab88fc	body	10	HISTORY	История	t	f	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT CASE l.is_first_login WHEN 'Y' THEN 'Да' ELSE 'Нет' END is_first_login \r\n\t  ,l.date_created \r\n      ,users.f_get_username_by_id(l.created_by) created_by\r\n      ,l.date_modified\r\n      ,users.f_get_username_by_id(l.modified_by) modified_by\r\nFROM users.t_user_list l\r\nwhere l.id = $1	{P20_ID_USER}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
ab539c36-12a8-4591-a40d-a54d904a5ea0	2ed35103-feec-41ba-87fc-e05ae867b199	05a4c815-15f3-47d8-9810-80e2bea4e127	body	3	TAB1	Первая вкладка	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Для региона типа TABS все вложенные будут отображаться как переключаемые вкладки.</p>	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
b0d4fc8e-0295-472f-867c-9135f95d0f25	45a1f80e-3900-4f07-8cde-89e476b24529	c630a08f-aa04-4d84-b1fe-7443ee1d2ef1	body	10	REGION_LTE5P6YJ33	REPORT_TEXT	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Регион для вывода данных в форме таблиц.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 17:03:42.580707	10	f	\N	f
3d842bd5-5c87-4dc9-ab75-61dff145e2bf	45a1f80e-3900-4f07-8cde-89e476b24529	4ce30b1a-3bb4-43dd-94fd-3db2858c8e8a	body	10	REGION_UHLAS812VO	CHART_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Диаграммы строятся как на основе статичных данных, так и на основе данных бизнес-схемы</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 17:07:00.87843	10	f	\N	f
4556de50-61ac-4684-806e-35cc6bc40cb7	8d795ae5-9e4c-47d3-a940-dcba059599ed	f50a8e90-1d30-4ef1-a205-a58c13ec27fa	body	6	STANDART_TEXT	STANDART_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Стандартный шаблон отчёта на примере параметров для выбора из выпадающих списков в настройках.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
74afb3e8-2433-4b3f-a759-e026aacb80c0	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	d107487f-8d05-4e15-b32b-dce305a2c434	body	2	TAB2	Вторая вкладка	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
77eef187-0693-49a8-b72a-052a9e6a1626	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	d107487f-8d05-4e15-b32b-dce305a2c434	body	3	TAB3	Третья вкладка	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Отключение заголовка региона убирает его отображение при переходе на вкладку.</p><p>На панели вкладок заголовок продолжает отображаться.</p>	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
566da909-0bac-4ccf-bfb7-a70538ac8369	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	21	CARDS	CARDS	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
48441494-c1ab-4e90-b436-383fc750b884	aee8cb58-83f0-4626-9cca-c1eacf279c23	f8ed3b4a-e6e8-4141-9213-64e0a342221c	body	17	INPUT_MASK_TEXT	INPUT_MASK_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Для текстовых полей есть возможность гибкой настройки маски ввода.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
0f26b2da-9b18-4494-a59d-24bdbd01ef7b	36594c2a-5142-48ca-95ec-0c34b4913fe4	\N	body	1	MANAGMENT	Управление	f	\N	PAGE_NAV	SQL_EXPRESSION	roles.f$rls('19',users.f$_usr_id($1)) or\nroles.f$rls('3000',users.f$_usr_id($1)) or\nroles.f$rls('1115',users.f$_usr_id($1)) or\nroles.f$rls('3012',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	LIST	\N	\N	3	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
19480d60-bb5a-48c6-976f-582c17107138	9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	\N	body	1	FIELDS	FIELDS	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
0cb4c9d4-4c72-40f5-b435-9c7531e1f753	451ae93d-c85b-4406-863a-1705ee6652af	\N	top	1	BREADCRUMB	Верх страницы (top)	f	\N	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	region-slot-bordered-bottom	\N	t	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
4b67cc7f-3fca-493b-8430-a8316d5ebc31	a6b4f635-850d-421a-bc2c-2a238db8124c	\N	footer	1	BTNS	BTNS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
2c55ff11-843a-435d-be18-455389b239f3	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	8	COLUMN1_5	COLUMN1_5	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
4e86a890-2285-4bea-b16f-99164a1dc8d8	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	9	COLUMN1_6	COLUMN1_6	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
450f6164-4f98-414a-ae13-4ed3735140cf	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	10	COLUMN1_7	COLUMN1_7	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
ab5bc361-97cc-49eb-8cc4-62eee9c2df96	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	74afb3e8-2433-4b3f-a759-e026aacb80c0	body	2	TAB2	Вложенный регион	t	t	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<span class="dripicons dripicons-browser" align="center"></span>\r\n<p>Вложенный регион</p>	\N	\N	\N	\N	t	f	\N	\N	\N	\N	\N	10	f	\N	f
c7fcf8f7-9969-4045-8ddf-8f207b1447ee	981448ef-457a-4a86-b253-9accce59c268	4ccb4868-a7e8-418f-b93b-1814b18d2756	body	4	BUTTON_POSITIONS	Позиции кнопок в регионе	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
2c57a305-02da-4e74-aa85-f7d810da2519	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	18	PAGE_NAV	PAGE_NAV	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
79a367c1-d536-40a4-8dab-360e8a18aca2	981448ef-457a-4a86-b253-9accce59c268	4ccb4868-a7e8-418f-b93b-1814b18d2756	body	1	BUTTON_TYPES	Стили кнопок	\N	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
418f743b-ac0c-4562-bcfc-c8958aeb61fa	45a1f80e-3900-4f07-8cde-89e476b24529	5100baba-1c40-4327-a452-3f1a6ad5b3c3	body	2	TREE_SAMPLE	TREE_SAMPLE	\N	\N	TREE	ALWAYS	\N	\N	\N	\N	0	SQL	SELECT id\r\n      ,id_fk\r\n      ,name\r\n      ,code \r\n  FROM dep.f_get_tree_with_scope(users.f$_usr_id($1::varchar))	{APP_USER}	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	\N	\N	\N
ddf8a054-6b6b-416d-9552-d86797e99094	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	24	TREE	TREE	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
85b51d48-b82b-4bfe-a395-8a00cb9b5154	45a1f80e-3900-4f07-8cde-89e476b24529	e3b0e290-0175-470c-a0a2-c5e69b666736	body	2	TABS_SAMPLE	TABS_SAMPLE	f	f	TABS	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
c0d47b49-0cd8-468e-94bf-edc92d1d2646	d1533edb-4578-4939-88c0-38a6ad2f4c7c	\N	body	10	REGION_TF1Q0VFST5	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	ADMIN	2024-07-09 03:50:47.469709	ADMIN	2024-07-09 03:50:47.469709	10	f	\N	f
3ebc4e0d-17c7-4fa4-9722-f6eafe3fc588	d1533edb-4578-4939-88c0-38a6ad2f4c7c	\N	top	10	REGION_0JPYX57KI9	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-09 03:50:47.469709	ADMIN	2024-07-09 03:50:47.469709	10	\N	\N	\N
1d2d1c4d-5901-4582-88bb-cbcfd8d4847d	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	41	TABS	TABS	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
edbee28b-81e0-4da6-a44a-76346f869ac9	aab04b5d-a22e-4821-a7c9-99cf8005110a	\N	right	2	RIGHT	Право (right)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
128710a5-aa56-462b-84f8-d3de1d858ce8	aee8cb58-83f0-4626-9cca-c1eacf279c23	773a36f0-b5e8-4b84-9721-5522824b111c	body	21	DATE_TEXT	DATE_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>По умолчанию выбор даты в формате dd.mm.yyyy. Есть возможность выбирать также время.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
17d2d351-882b-4e8b-87a4-4c06e9ec37c9	0afeb069-1c8f-4f63-98d6-d13eab2ed343	\N	footer	1	BUTTONS	BUTTONS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
73edf8e1-dc47-4147-b6c2-fcaea26a1f36	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	66	KQW0ZO48DI	DATAGRID	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
d3ff8c56-7ee5-41a1-95cd-cc090f537a79	aee8cb58-83f0-4626-9cca-c1eacf279c23	8c14fe42-c448-4c83-a87b-6bf6e71acf8d	body	23	PASSWORD_TEXT	PASSWORD_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Специальный элемент формы для ввода пароля.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
be3a67a0-b326-48c8-abd1-c29a25285309	2ed35103-feec-41ba-87fc-e05ae867b199	05a4c815-15f3-47d8-9810-80e2bea4e127	body	4	TAB2	Вторая вкладка	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
15f9560b-49a1-408b-a9a7-69d4a6dccde9	2ed35103-feec-41ba-87fc-e05ae867b199	05a4c815-15f3-47d8-9810-80e2bea4e127	body	5	TAB3	Третья вкладка	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Отключение заголовка региона убирает его отображение при переходе на вкладку.</p><p>На панели вкладок заголовок продолжает отображаться.</p>	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
ff16ba30-f0ef-45ab-aed7-b822880dd61a	b6b32f07-21ba-4f6a-b02a-211725303cd5	\N	top	0	BRD	BRD	f	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	LIST	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "flex", "bodyPadding": false, "bodyBackground": false}	\N	\N	\N	\N	10	f	\N	f
b88e3ce1-80cd-4c32-b889-a2abc6ab35a9	0bfb1592-51be-4726-afa1-e68ef2b0a3a0	\N	body	2	BODY	Body	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	Тело страницы\n<!--<span class="dripicons dripicons-browser"></span>\n<h3>Основной регион</h3> \n<p>Настройки по умолчанию</p>-->	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
e2947af6-3adf-4e67-a1f9-933bc55563a1	718632d7-9ea4-487b-a429-ed5c6d39561e	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
c630a08f-aa04-4d84-b1fe-7443ee1d2ef1	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	15	REGION_4XWBCN9GSR	REPORT	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 17:03:42.580771	10	f	\N	f
17194779-2ada-4a60-9f58-a588757ac4d5	2ed35103-feec-41ba-87fc-e05ae867b199	be3a67a0-b326-48c8-abd1-c29a25285309	body	7	TAB2	Вложенный регион	t	t	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<span class="dripicons dripicons-browser" align="center"></span>\r\n<p>Вложенный регион</p>	\N	\N	\N	\N	t	f	\N	\N	\N	\N	\N	10	f	\N	f
b5ecd8ec-e6c4-4e4b-aaa7-99244044ec61	45a1f80e-3900-4f07-8cde-89e476b24529	73edf8e1-dc47-4147-b6c2-fcaea26a1f36	body	12	FKR9F7G1RE	DATAGRID_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Данный тип регионов служит для манипуляций с данными из БД.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	ADMIN	2024-06-21 09:40:54.013037	10	f	\N	f
33554b42-3ec2-4a8d-bff3-aa47e3aae9fe	3b5a7cb2-6f42-4c1a-93ee-15d42177e62d	\N	top	10	REGION_PS7UO2LJQV	Верх модала (top)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-02-02 15:51:45.548918	10	f	\N	f
9b210c68-d9d5-49cf-97a4-f72245136969	56e6538d-a961-4c5a-ab89-6b54955c805a	\N	left	2	LEFT	Лево (left)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
e6f44de3-be95-4d83-a2b0-5c52e2487976	a6b4f635-850d-421a-bc2c-2a238db8124c	\N	body	1	ROLE_REG	ROLE_REG	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
4cfd6b63-71e2-476d-9978-52907f925701	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	4de6a94f-056c-4c4b-a759-7af96e04a466	body	10	REGION_5MUVCPFXG1	Состояние сессии	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 02:52:55.552001	10	f	\N	f
772cb4e8-b46d-41fa-a1e4-7236376a082c	395332e9-d054-4722-a1f0-5b3817df0590	\N	body	1	OBJECTS	Доступные объекты	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT ap.id, ap.name\nFROM roles.v_app_pages ap\nWHERE NOT EXISTS (\n                   SELECT 1\n                   FROM roles.t_role_access ra\n                   WHERE ra.id_page = ap.id\n                   AND ra.id_role = $1)\nORDER BY ap.id	{P1100_ID}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
5b024d9a-de1d-414d-9915-3a835c2dafb9	981448ef-457a-4a86-b253-9accce59c268	c7fcf8f7-9969-4045-8ddf-8f207b1447ee	body	5	BETWEEN_BUTTONS	BETWEEN_BUTTONS	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Позиция дочернего региона</p>	\N	\N	\N	\N	f	t	{"containerWidth": 800, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
6354e2a2-395c-4be5-87f3-64448cc1540a	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	17	COLUMN2_2	COLUMN2_2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	2	TEXT	<p>2 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
0b9fabf5-beb1-4c40-b51b-08dfdd241f58	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	3	DESCRIPTION	DESCRIPTION	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	Стандартная страница представляет собой сетку из 12 колонок:	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
5b7c2348-a327-433e-b071-303c0a176915	aee8cb58-83f0-4626-9cca-c1eacf279c23	773a36f0-b5e8-4b84-9721-5522824b111c	body	22	DATE_SAMPLE	DATE_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
85588531-ad06-46d3-9cdf-329fdb69c072	aee8cb58-83f0-4626-9cca-c1eacf279c23	29e9eed8-dd4e-4c6b-a9b8-c9dc8f4fdc56	body	27	TEXTAREA_TEXT	TEXTAREA_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Элемент для ввода текста позволяет пользователю самостоятельно регулировать высоту поля (ширина определяется количеством выделенных ячеек).</p><p>Работают те же настройки, что и для текстового поля. Из собственных настроек - количество строк в высоту по умолчанию</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
e773541c-9cd5-459c-b5de-1694e44d2012	1ea35935-1df1-4842-bc12-f0c13e3829ff	\N	top	1	BREADCRUMB	Верх страницы (top)	f	\N	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	region-slot-bordered-bottom	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
c95cc500-320b-4d81-97bf-89f241b6dfd5	aee8cb58-83f0-4626-9cca-c1eacf279c23	f034db23-b059-4c79-b0ac-e3deacb4472b	body	7	FILE	Файл	t	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
1d4013e3-821e-4f00-a71f-c394397802ea	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	0	REGION_524MTQFJQT	Инфо	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Демо стенд содержит более 300 примеров использования XSQUARE - LCDP </p>\n<p>Проверьте и оцените адаптивность компонентов приложения, открыв Демостенд на Вашем мобильном устройстве!</p>\n<p>Для получения Демо виртуальной машины в виде OVF формата напишите запрос на info@xsquare.ru</p>\n	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-07-19 10:51:45.058794	10	f	\N	f
ff328f8a-e2ed-47bd-b881-615652597dec	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	16	COLUMN2_1	COLUMN2_1	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	2	TEXT	<p>2 столбца</p>	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
d8433f2b-0348-4d36-99e0-54e33a1bfd98	56e6538d-a961-4c5a-ab89-6b54955c805a	\N	body	2	BODY	Тело страницы (body)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
3fd181b6-70c8-4ad9-9ddc-a75eeca10df5	3bb65c15-0e65-4e02-802e-9f0d39a5685c	994c140b-fcc5-4c5c-aadc-0a7171fd8158	body	10	REGION_SAADK5EFZ5	О пользователе	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT $1::TEXT title,\n\t   'Пользователь' text,\n       CASE\n         WHEN $1::TEXT != 'nobody' THEN 'Авторизован'\n         ELSE 'Неавторизован'\n       END descr,\n       CASE\n         WHEN $1::TEXT != 'nobody' THEN 'mdi mdi-account-check-outline'\n         ELSE 'mdi mdi-account-cancel-outline'\n       END icon,\n       '#1F78FF' color\nUNION ALL\nSELECT 'Доступ' title,\n       CASE\n         WHEN $1::TEXT != 'nobody' THEN 'Полный'\n         ELSE 'Ограничен'\n       END text,\n       '' descr,\n       CASE\n         WHEN $1::TEXT != 'nobody' THEN 'mdi mdi-check-circle-outline'\n         ELSE 'mdi mdi-cancel'\n       END icon,\n       CASE\n         WHEN $1::TEXT != 'nobody' THEN '#15C283'\n         ELSE '#FFB800'\n       END color	{APP_USER}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 10:03:57.459193	10	\N	\N	\N
139d57bb-4f54-4f8d-af63-3632dd05ef15	3b5a7cb2-6f42-4c1a-93ee-15d42177e62d	\N	right	10	REGION_FYU021XOZD	Right	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2023-06-16 09:50:03.066228	10	f	\N	f
e89f894f-d9b3-47a2-b18e-a76e0f08b99d	3b5a7cb2-6f42-4c1a-93ee-15d42177e62d	\N	left	20	TYYQTUHGER	Left	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2023-06-16 09:50:49.942568	10	f	\N	f
4ce30b1a-3bb4-43dd-94fd-3db2858c8e8a	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	20	REGION_PU25Y1XG18	CHART	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 17:08:27.431789	10	f	\N	f
bd9794c7-a6fd-43e7-a9b4-baed939f9178	45a1f80e-3900-4f07-8cde-89e476b24529	b0d4fc8e-0295-472f-867c-9135f95d0f25	body	10	REGION_MHIYVDD393	REPORT_SAMPLE	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT 1 id, 'Значение 1' tab2, 'Значение 2' tab3\nUNION\nSELECT 2, 'Значение 3', 'Значение 4'	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-11 19:19:30.066153	10	f	\N	\N
e559c433-0c7f-4d69-b18d-fe3ff48b3cf5	d1533edb-4578-4939-88c0-38a6ad2f4c7c	c0d47b49-0cd8-468e-94bf-edc92d1d2646	body	21	REGION_IOYY1FSDLW	Схемы авторизации приложения	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	6	\N	SELECT * FROM utils.f_get_authorization_schemas()	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 09:24:13.61046	10	f	\N	\N
646b614b-36cf-48b9-a951-ef11376f2c1b	d1533edb-4578-4939-88c0-38a6ad2f4c7c	525e7ece-86ee-4ef0-acb5-c7c7d2dec865	body	10	PAGE1	Страница без защиты	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<ul>\n    <li>Публичная страница</li>\n    <li>Без схемы авторизации</li>\n</ul>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 06:03:23.880147	10	f	\N	f
77804c98-66ca-4e39-b168-da821fe45d1d	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	76	FFD7C07HT1	TILES	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
fe524eaf-a8ff-41e6-a953-38a50beef805	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	18	COLUMN2_3	COLUMN2_3	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	2	TEXT	<p>2 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
d64eb4f4-c8aa-4c45-9990-f855c9c87b4c	1ea35935-1df1-4842-bc12-f0c13e3829ff	\N	body	2	BODY	Тело страницы (body)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
86b3ff6b-b8e5-4570-af48-ef407c6847dd	1ea35935-1df1-4842-bc12-f0c13e3829ff	\N	left	2	LEFT	Лево (left)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
16a31763-ce18-4cfa-a28f-7c9cb9c06945	1ea35935-1df1-4842-bc12-f0c13e3829ff	\N	right	2	RIGHT	Право (right)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
670f4a2f-7106-4a74-a41c-7ef35e281831	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	46	WIZARD	WIZARD	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
7c7aee5a-74fb-4302-bc2e-55c52dae458f	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	22	COLUMN3_1	COLUMN3_1	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	3	TEXT	<p>3 столбца</p>	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
3a80e7c1-9159-4e96-89ed-ed56d91cff3b	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	19	COLUMN2_4	COLUMN2_4	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	2	TEXT	<p>2 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
9e086c3b-6d40-47c0-97cd-0b88ca71e94e	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	20	COLUMN2_5	COLUMN2_5	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	2	TEXT	<p>2 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
bbf8b81d-03c8-414f-9972-91fe661bc70c	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	4	COLUMN1_1	COLUMN1_1	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
a261b1c0-8a90-4bf1-bc78-6bcac529535f	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	23	COLUMN3_2	COLUMN3_2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	3	TEXT	<p>3 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
4212e2d1-f840-47c9-8660-7a3d2a364737	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	24	COLUMN3_3	COLUMN3_3	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	3	TEXT	<p>3 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
ca76a9c3-7c38-4842-b36d-a734bde19271	3b5a7cb2-6f42-4c1a-93ee-15d42177e62d	\N	body	2	BODY	Тело страницы (body)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
c8bcb39e-bfa8-492a-8186-1587c1521a3b	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	\N	footer	3	BTNS	BTNS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	SQL	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
ecc793c4-7f7d-4a41-9a22-e9ddd27a2d2b	451ae93d-c85b-4406-863a-1705ee6652af	\N	right	2	RIGHT	Право (right)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
e02494f1-0974-4f4c-873f-4bad94e023cc	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	9	HTML_TEXT	HTML_TEXT	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
cbb933c9-99e9-4b7e-ad14-f3efd929fb42	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	27	CHAT	CHAT	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
f654753a-2687-40c7-af0f-12315b44ea51	0bfb1592-51be-4726-afa1-e68ef2b0a3a0	\N	footer	6	FOOTER	Footer	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	Низ страницы\n<!--<p>Переопределяет стандартный футер базового шаблона страницы.</p>-->	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
bed9bb4d-2891-4a19-a9d8-b99051cc0fc6	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	29	COLUMN6_1	COLUMN6_1	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>6 столбцов</p>	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
0c81dc56-9216-43e6-a929-bfed91c2df2c	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	27	COLUMN4_2	COLUMN4_2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>4 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
35a5ee0d-7213-47c0-81d9-4c35ddfa52e9	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	28	COLUMN4_3	COLUMN4_3	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>4 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
6c5ce2ea-aa84-4c6a-b4ef-33aa06b44aa8	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	25	COLUMN3_4	COLUMN3_4	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	3	TEXT	<p>3 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
79a922be-5b96-4a53-b068-163dc72bd528	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	26	COLUMN4_1	COLUMN4_1	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>4 столбца</p>	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
56cca554-2a58-47df-9116-1f00d1cce30c	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	7	COLUMN1_4	COLUMN1_4	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
9173affb-b675-4af3-8f6c-9464af394939	c3bfd42b-0e7e-40dd-96ca-16de1d292caa	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
60884712-b3eb-411c-b63a-2f2a4059c490	45a1f80e-3900-4f07-8cde-89e476b24529	3d842bd5-5c87-4dc9-ab75-61dff145e2bf	body	10	REGION_8YCT4O6LI5	CHART_SAMPLE	f	f	CHART	ALWAYS	\N	\N	\N	\N	12	\N	select 'Параметры' as cat_name, count(*)::numeric cnt from pref.t_parameters p\n union \n select 'Пользователи', count(*)::numeric from users.t_user_list ul\n union \n select 'Отделения', count(*)::numeric from dep.t_departments d	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-02-02 17:07:00.878445	10	f	\N	f
ae5aa307-a422-4ca8-af82-070fa495697c	d1533edb-4578-4939-88c0-38a6ad2f4c7c	525e7ece-86ee-4ef0-acb5-c7c7d2dec865	body	20	PAGE2	Страница со схемой авторизации	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<ul>\n    <li>Не публичная страница</li>\n    <li>Схема авторизации - F$ACCESS_DENIED</li>\n</ul>	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 06:03:23.880205	10	f	\N	f
4142293a-8064-4b8b-a2dd-8aee8867cbf8	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	\N	body	2	CONTAINER	CONTAINER	\N	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	\N	\N	\N
b251f066-ba71-416d-b52e-d9ef1a308131	1ea35935-1df1-4842-bc12-f0c13e3829ff	\N	footer	6	FOOTER	Низ (footer)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
f34fbf7d-76ab-49db-aa07-1f942c5beaff	aee8cb58-83f0-4626-9cca-c1eacf279c23	f034db23-b059-4c79-b0ac-e3deacb4472b	body	9	NG9C3PZR81	WYSIWYG	t	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
e3b0e290-0175-470c-a0a2-c5e69b666736	45a1f80e-3900-4f07-8cde-89e476b24529	1d2d1c4d-5901-4582-88bb-cbcfd8d4847d	body	42	TABS_TEXT	TABS_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Данный тип регионов служит для группировки дочерних регионов во вкладки.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
304533f6-1611-48c5-8921-a213ab919cb2	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	3658215b-a6cd-41f4-83c7-06943ad29b31	body	3	DONUT	Кольцевая диаграмма	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
73bbc3fe-4ead-4c01-b2a4-4c27efe78702	aee8cb58-83f0-4626-9cca-c1eacf279c23	29e9eed8-dd4e-4c6b-a9b8-c9dc8f4fdc56	body	28	TEXTAREA_SAMPLE	TEXTAREA_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
1942fe88-b0d3-49ff-b9b7-64a1d0531a66	435789a1-16e5-45ca-8a20-154219bd753e	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	region-container-1280	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
423fd3f8-e4dd-4972-834d-a010234de15f	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	21	COLUMN2_6	COLUMN2_6	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	2	TEXT	<p>2 столбца</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
1ee0c8ec-bc32-4c24-abe8-04493e73730d	45a1f80e-3900-4f07-8cde-89e476b24529	997e25b5-11bb-4aeb-8b82-62ef17888f49	body	48	WIZARD_SAMPLE	WIZARD_SAMPLE	\N	\N	WIZARD	ALWAYS	\N	\N	\N	\N	0	LIST	\N	\N	17	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
e94db6ed-72de-47bb-99ac-3b49ccf45763	c7a6173f-9d45-410b-8d56-3d605bf3d4fb	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
62757fc8-72e1-4b46-b825-79f797cd66e2	f48165f0-1892-4396-8145-b5ce2b29cdb4	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
248fcaa6-ea6a-4f8f-b7f2-b9cd5f9996b6	aee8cb58-83f0-4626-9cca-c1eacf279c23	90f7696e-7c63-45b2-be01-b6e5b97f617e	body	20	NUMERIC_SAMPLE	NUMERIC_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
773a36f0-b5e8-4b84-9721-5522824b111c	aee8cb58-83f0-4626-9cca-c1eacf279c23	f034db23-b059-4c79-b0ac-e3deacb4472b	body	5	DATE	Выбор даты	t	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
f034db23-b059-4c79-b0ac-e3deacb4472b	aee8cb58-83f0-4626-9cca-c1eacf279c23	c92bfd3f-d0de-4b3a-82f0-540f45c2cc11	body	28	REGION_26F3YHY8GR	Элементы ввода	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:16:02.979705	10	f	\N	f
90f7696e-7c63-45b2-be01-b6e5b97f617e	aee8cb58-83f0-4626-9cca-c1eacf279c23	f034db23-b059-4c79-b0ac-e3deacb4472b	body	4	NUMERIC	Числовое поле	t	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
f8ed3b4a-e6e8-4141-9213-64e0a342221c	aee8cb58-83f0-4626-9cca-c1eacf279c23	f034db23-b059-4c79-b0ac-e3deacb4472b	body	3	INPUT	Текстовое поле	t	t	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
6b4f53db-5621-4e72-982d-3e6322907fac	aee8cb58-83f0-4626-9cca-c1eacf279c23	8c14fe42-c448-4c83-a87b-6bf6e71acf8d	body	24	PASSWORD_SAMPLE	PASSWORD_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
446481a9-c007-4ce9-bd03-6f00fec11528	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	3658215b-a6cd-41f4-83c7-06943ad29b31	body	4	COLUMN	Столбчатая диаграмма	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
b4873c9f-c85f-47fe-942e-058165ac07b7	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	3658215b-a6cd-41f4-83c7-06943ad29b31	body	5	BAR	Гистограмма	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
29e9eed8-dd4e-4c6b-a9b8-c9dc8f4fdc56	aee8cb58-83f0-4626-9cca-c1eacf279c23	f034db23-b059-4c79-b0ac-e3deacb4472b	body	8	TEXTAREA	Текст	t	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
bc943be2-f089-4ca5-a31d-e6d023052e3e	718632d7-9ea4-487b-a429-ed5c6d39561e	e2947af6-3adf-4e67-a1f9-933bc55563a1	body	4	WIZARD	WIZARD	\N	\N	WIZARD	ALWAYS	\N	\N	\N	\N	2	\N	\N	\N	17	\N	\N	f	f	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
a6344663-64cb-4d7d-82a7-a0610f1bc963	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	3	BREADCRUMBS	BREADCRUMBS	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
be506503-54ca-4fc0-83c7-a50ccd1d3387	aee8cb58-83f0-4626-9cca-c1eacf279c23	f8ed3b4a-e6e8-4141-9213-64e0a342221c	body	9	INPUT_TEXT	INPUT_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Базовый элемент формы.</p><p>На его примере рассмотрим основные настройки, применимые для прочих элементов.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
de1d7cbb-3841-4b17-b63b-cd25e1afac8e	c7a6173f-9d45-410b-8d56-3d605bf3d4fb	e94db6ed-72de-47bb-99ac-3b49ccf45763	body	4	WIZARD_TEXT	WIZARD_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	10	TEXT	<h3>Третий шаг визарда.</h3><p>Вертикально-ориентированный визард</p>	\N	\N	\N	\N	f	f	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
241ddf3c-9947-4d6c-84d4-11d7ebb76558	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	30	COLUMN6_2	COLUMN6_2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>6 столбцов</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
f3ddeb73-e4e0-4abe-bf20-23d69b568e24	aee8cb58-83f0-4626-9cca-c1eacf279c23	f8ed3b4a-e6e8-4141-9213-64e0a342221c	body	13	INPUT_LAYOUT_TEXT	INPUT_LAYOUT_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Так же как и регионы, элементы могут располагаться в сетке из двенадцати ячеек родительской формы.</p>\r\n<p>Сколько бы ячеек страницы не занимала форма, она будет иметь двенадцать ячеек для дочерних элементов.</p>\r\n<p>Незанятые ячейки оставят пустое пространство.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
447e8696-c642-4ed7-9623-849374118a52	b9fdd2e2-f39c-4930-91d2-9eecd3626960	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
720fe225-ca3d-4555-99bc-a381269d39ea	45a1f80e-3900-4f07-8cde-89e476b24529	049a4df1-b4d0-4784-a40e-4323204550e0	body	11	CALENDAR_SAMPLE	CALENDAR_SAMPLE	\N	\N	CALENDAR	ALWAYS	\N	\N	\N	\N	0	\N	select * from events.t_calendar 	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 17:00:27.407126	10	\N	\N	\N
a34daa42-cfdb-4311-bd84-928bccdaf52f	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	13	COLUMN1_10	COLUMN1_10	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
3658215b-a6cd-41f4-83c7-06943ad29b31	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
261ddffc-4f6b-4a2b-8661-f20227ab1f8f	45a1f80e-3900-4f07-8cde-89e476b24529	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
94815d05-4cca-4560-a1c7-7a34df113e64	45a1f80e-3900-4f07-8cde-89e476b24529	aa66b056-2b8b-444d-bef4-74823c8f6b75	body	11	CARDS_SAMPLE	CARDS_SAMPLE	\N	\N	CARDS	ALWAYS	\N	\N	\N	\N	0	LIST	\N	\N	30	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
68a24b89-c947-4d86-8fad-f6dad9d738fc	981448ef-457a-4a86-b253-9accce59c268	4ccb4868-a7e8-418f-b93b-1814b18d2756	body	6	BUTTON_ITEM_POSITIONS	Позиции относительно элемента формы	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
05a93c02-bb93-4f4d-bf35-5acf48853ade	484df877-6f06-4f9e-be6a-f2dc5ab528ca	\N	body	5	REG_PAR_5	HTML	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
fe5b0901-6f13-434a-8d52-3f46aabd1cd4	3b5a7cb2-6f42-4c1a-93ee-15d42177e62d	\N	footer	6	FOOTER	Низ (footer)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
4130a8c3-929d-4654-a885-6dd78fccb9cf	2ed35103-feec-41ba-87fc-e05ae867b199	be3a67a0-b326-48c8-abd1-c29a25285309	body	6	TAB2	TAB2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>Регионы-вкладки могут быть разных типов, также могут содержать собственные вложенные регионы.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
bd84d03f-137e-4a56-9c4c-e2f7f8699e6d	0afeb069-1c8f-4f63-98d6-d13eab2ed343	\N	body	1	REG_PAR_1	Параметры 1-5	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
0b270bc4-a6fc-4e50-aea6-d8b778f52314	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	94af791d-1a2a-43e3-99b6-6f25ec223a15	body	20	REGION_AXI405I3K3	Пример	\N	f	FORM	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-10 03:43:10.514085	10	f	\N	f
c53341dd-06ca-4b23-b794-16a4af14af7c	72b67410-f688-4bc6-9a6e-bb63c70a2763	\N	top	10	REGION_HURINMWMNM	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 07:16:45.877145	10	\N	\N	\N
d03505c0-87b0-460e-8ca0-30c04a9a6814	b9fdd2e2-f39c-4930-91d2-9eecd3626960	\N	body	2	CONTAINER	Чат	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
997e25b5-11bb-4aeb-8b82-62ef17888f49	45a1f80e-3900-4f07-8cde-89e476b24529	670f4a2f-7106-4a74-a41c-7ef35e281831	body	47	WIZARD_TEXT	WIZARD_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Навигация типа "Визард".</p>\n<p>Пример можно увидеть, кликнув по страницам примеров на визарде справа.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
26e50c96-d64c-4e49-9926-1f944dd93342	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	\N	footer	2	BUTTONS	BUTTONS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
3d28fb44-45bb-48f8-aed7-5bd01b10f090	484df877-6f06-4f9e-be6a-f2dc5ab528ca	\N	body	3	REG_PAR_3	Параметры 11-20	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
7292eede-fb73-455f-9392-7a0e6c1cb29f	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	6	FORM	FORM	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
68fb0c1c-83e4-45d1-a9ff-04a415ac566e	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	5	COLUMN1_2	COLUMN1_2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
f76bb314-e566-491c-b7e1-992c971fdb59	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	6	COLUMN1_3	COLUMN1_3	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
2cc2433f-4492-46c9-bb88-7d4343e19871	981448ef-457a-4a86-b253-9accce59c268	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
6138da4e-d231-4cbe-8285-26673d803c1b	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	56	CALENDAR	CALENDAR	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
570c4d7c-f1e1-4e95-8c65-f419cefb69af	45a1f80e-3900-4f07-8cde-89e476b24529	cbb933c9-99e9-4b7e-ad14-f3efd929fb42	body	28	CHAT_TEXT	CHAT_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Данный тип регионов служит для вывода чата.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
df9ed8aa-8913-4a52-92c5-aeeb52e42aca	aee8cb58-83f0-4626-9cca-c1eacf279c23	90f7696e-7c63-45b2-be01-b6e5b97f617e	body	19	NUMERIC_TEXT	NUMERIC_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Для удобной работы с числами реализован отдельный элемент.</p>\r\n<p>Можно настроить количество знаков после запятой, разделители, а также задать допустимые границы значений.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
9ef053a8-37fb-4ba9-b86b-3a642ce4c237	45a1f80e-3900-4f07-8cde-89e476b24529	2c57a305-02da-4e74-aa85-f7d810da2519	body	19	PAGE_NAV_TEXT	PAGE_NAV_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Навигационная панель в виде списка.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
c3be001e-1b89-43b6-96e1-c7ca87f07805	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	393eb44c-ccc1-46ab-b0a3-f0005adf0fa2	body	20	REGION_WP3JULBW7N	Regular Expression	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-07-15 06:03:12.244696	10	f	\N	f
5636756b-3287-4c63-9423-9107623b9858	45a1f80e-3900-4f07-8cde-89e476b24529	fbd26426-40e7-4b39-bb61-377451c805ac	body	14	BUTTONS_SAMPLE	BUTTONS_SAMPLE	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
8c58c32d-e3d8-4dca-a08c-d7499de43ae7	f48165f0-1892-4396-8145-b5ce2b29cdb4	62757fc8-72e1-4b46-b825-79f797cd66e2	body	6	SIDEBAR_PAGE	Стандартный с двумя колонками	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	Тип страницы <b>SIDEBAR</b>.<br/>На страницу добавлен регион с позицией <i>left</i> и <i>right</i>.	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
7d9e7995-e193-40b6-be59-2d0dadc094a3	484df877-6f06-4f9e-be6a-f2dc5ab528ca	\N	body	0	MAIN_PARAM	MAIN_PARAM	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
74de06a0-0e0b-4e99-bbf1-c088cce821d3	a6d10784-1f93-4cfa-9dd6-98a1bc3b9d0f	\N	body	1	RESET	Восстановление пароля	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	region-container-1280	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
84bcc68b-9da3-4601-a848-96985832004a	484df877-6f06-4f9e-be6a-f2dc5ab528ca	\N	body	1	REG_PAR_1	Параметры 1-5	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
aa66b056-2b8b-444d-bef4-74823c8f6b75	45a1f80e-3900-4f07-8cde-89e476b24529	566da909-0bac-4ccf-bfb7-a70538ac8369	body	22	CARDS_TEXT	CARDS_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Навигационная панель в виде карточек.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
3bf425a5-1ed7-4e50-b71d-8c49e01d0861	aee8cb58-83f0-4626-9cca-c1eacf279c23	25ddcd9d-881c-45ab-800a-4922b93baece	body	29	FILE_SAMPLE1	FILE_SAMPLE1	f	f	FORM	ALWAYS	\N	\N	\N	\N	5	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
82793cf8-595b-4022-a972-29683d230c91	0afeb069-1c8f-4f63-98d6-d13eab2ed343	\N	body	0	MAIN_PARAM	MAIN_PARAM	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
35500761-9ae7-435a-a40c-7864d5209275	aee8cb58-83f0-4626-9cca-c1eacf279c23	25ddcd9d-881c-45ab-800a-4922b93baece	body	30	FILE_SAMPLE2	FILE_SAMPLE2	f	f	FORM	ALWAYS	\N	\N	\N	\N	7	\N	\N	\N	\N	\N	\N	f	f	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
6854bc1f-ff04-4c71-80fa-730c925da738	f48165f0-1892-4396-8145-b5ce2b29cdb4	62757fc8-72e1-4b46-b825-79f797cd66e2	body	5	RIGHTBAR_PAGE	Стандартный с правой колонкой	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	Тип страницы <b>SIDEBAR</b>.<br/>На страницу добавлен регион с позицией <i>right</i>.	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
e08945b6-c167-4060-b91c-21c1440e8723	aee8cb58-83f0-4626-9cca-c1eacf279c23	f8ed3b4a-e6e8-4141-9213-64e0a342221c	body	15	INPUT_PARAM_TEXT	INPUT_PARAM_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Кроме настройки положения в сетке, параметры применимые для каждого элемента - это "обязательное поле", "только чтение" и "значение по умолчанию".</p>\r\n<p>Для текстовых полей также существуют специфичные параметры, вроде максимальной длины.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
5100baba-1c40-4327-a452-3f1a6ad5b3c3	45a1f80e-3900-4f07-8cde-89e476b24529	ddf8a054-6b6b-416d-9552-d86797e99094	body	25	TREE_TEXT	TREE_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Регион для вывода древовидной структуры.</p>\r\n<p>В качестве источника данных используется рекурсивный запрос.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
ec20665f-a7ce-4131-904c-4f26b0b871e2	f48165f0-1892-4396-8145-b5ce2b29cdb4	62757fc8-72e1-4b46-b825-79f797cd66e2	body	7	MINIMAL_PAGE	Минималистичный шаблон 	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	Тип страницы <strong>MINIMAL.</strong><br/> На странице не отображается боковое меню.	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
63d764ce-214d-4898-ba86-651274afcfe0	645205e7-5a21-4a2d-b2a1-60df5b9576c9	\N	body	1	INFORM_MSG	INFORM_MSG	f	f	HTML_TEXT	SQL_EXPRESSION	not exists(SELECT 1 FROM users.t_user_list WHERE hash = $1::varchar)	{P17_HASH}	\N	\N	12	SQL	SELECT 'Время отведенное на изменение пароля исчерпано. Запросите изменение пароля заново.'	\N	\N	region-container-1280	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
0ca841e2-baea-41f4-828e-d3420bef5f3d	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	11	COLUMN1_8	COLUMN1_8	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
2e770602-f06c-4801-a69b-42461d41e508	45a1f80e-3900-4f07-8cde-89e476b24529	c5181c72-cb9a-42b0-8394-c09d30d69eca	body	5	BREADCRUMBS_SAMPLE	Пример	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	7	\N	\N	\N	9	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
2c54f4c1-75c3-4247-84ac-92188aaa0061	45a1f80e-3900-4f07-8cde-89e476b24529	94dd44ff-a0ca-4ec6-b9cc-970d16aaf64d	body	8	FORM_SAMPLE	FORM_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 300, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
b09879bb-cad1-4f8d-8681-19ee5441e3bf	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	3658215b-a6cd-41f4-83c7-06943ad29b31	body	15	XJQE831VN5	Диаграмма с областями	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
95e790df-a3d8-44e3-bd2c-812c8cb62bb5	aee8cb58-83f0-4626-9cca-c1eacf279c23	f8ed3b4a-e6e8-4141-9213-64e0a342221c	body	16	INPUT_PARAM_SAMPLE	INPUT_PARAM_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
69b6b255-1db0-4a40-bec7-437ff5cf6cec	f48165f0-1892-4396-8145-b5ce2b29cdb4	62757fc8-72e1-4b46-b825-79f797cd66e2	body	8	MODAL_PAGE	Модальная страница	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	Тип страницы <strong>MODAL.</strong><br/>Всплывающее окно	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
405f8445-9bf8-464c-a8d0-4f69a72057f1	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	36	WRAPPER	WRAPPER	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
e4df1008-4a94-4e5c-adfa-5e99a421551e	72b67410-f688-4bc6-9a6e-bb63c70a2763	\N	body	20	REGION_NUMCL6PBX8	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-09 07:09:00.319024	10	f	\N	f
525e7ece-86ee-4ef0-acb5-c7c7d2dec865	d1533edb-4578-4939-88c0-38a6ad2f4c7c	c0d47b49-0cd8-468e-94bf-edc92d1d2646	body	40	REGION_GK5EVKYPZV	Примеры определения защиты страниц	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 06:25:17.665297	10	f	\N	f
049a4df1-b4d0-4784-a40e-4323204550e0	45a1f80e-3900-4f07-8cde-89e476b24529	6138da4e-d231-4cbe-8285-26673d803c1b	body	10	CALENDAR_TEXT	CALENDAR_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Данный тип регионов служит для работы с календарём.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 17:00:27.407173	10	f	\N	f
ef3ea307-ded1-4729-8421-5c46174e84e9	aee8cb58-83f0-4626-9cca-c1eacf279c23	c95cc500-320b-4d81-97bf-89f241b6dfd5	body	25	FILE_TEXT	FILE_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Для загрузки файлов используется Drag&Drop поле.</p><p>В качестве специальных настроек задаются высота бокса, тип и размер принимаемых файлов, текст подсказки.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
7a681caa-303d-4a2d-9f1e-38a84147f829	484df877-6f06-4f9e-be6a-f2dc5ab528ca	\N	body	2	REG_PAR_2	Параметры 6-10	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
a6b82a33-57e2-41cb-aa00-5ab515e8736f	484df877-6f06-4f9e-be6a-f2dc5ab528ca	\N	body	4	REG_PAR_4	Параметры 21-30	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
63b25cf0-07ce-441b-869d-0e63712677a5	435789a1-16e5-45ca-8a20-154219bd753e	1942fe88-b0d3-49ff-b9b7-64a1d0531a66	body	3	MODAL_PAGE	MODAL_PAGE	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p">Тип страницы <strong>MODAL.</strong> Всплывающее окно</p>	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
1aa63bf8-a6ee-43dd-abd9-e4ecf574cfae	45a1f80e-3900-4f07-8cde-89e476b24529	71979567-5ad8-49c5-b1ad-c426ebba9758	body	39	WRAPPER_SAMPLE1	WRAPPER_SAMPLE1	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<span class="dripicons dripicons-browser" align="center"></span>\r\n<p>Вложенный регион</p>	\N	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
f5459d76-c1b0-434c-a06f-51cca7901f5b	45a1f80e-3900-4f07-8cde-89e476b24529	71979567-5ad8-49c5-b1ad-c426ebba9758	body	40	WRAPPER_SAMPLE2	WRAPPER_SAMPLE2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<span class="dripicons dripicons-browser" align="center"></span>\r\n<p>Вложенный регион</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
6c2d01b9-d5f4-41d8-8dde-c57c0be2690e	45a1f80e-3900-4f07-8cde-89e476b24529	261ddffc-4f6b-4a2b-8661-f20227ab1f8f	body	12	BUTTONS	BUTTONS	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
24e8385a-b7e9-44f8-8acb-10baf6167951	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	4142293a-8064-4b8b-a2dd-8aee8867cbf8	body	12	COLUMN1_9	COLUMN1_9	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	1	TEXT	<p>1 столбец</p>	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	f	\N	f
af573ef8-07e5-4287-be83-b8482093440a	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	\N	body	1	DEPS	Дочерние отделения	f	f	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	select d.id link, d.code, d.name, d.full_name \r\nfrom dep.t_departments d \r\nwhere d.id_fk = $1	{P1115_ID}	\N	\N	\N	t	t	{"preset": null, "bodyBorder": true, "gridLayout": "grid", "bodyPadding": false, "footerBorder": true, "headerBorder": true, "regionBorder": false, "footerPadding": true, "headerPadding": true, "bodyBackground": true, "containerWidth": null, "childrenPadding": true, "footerBackground": true, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
05a4c815-15f3-47d8-9810-80e2bea4e127	2ed35103-feec-41ba-87fc-e05ae867b199	\N	body	1	CONTAINER	CONTAINER	f	f	TABS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	region-container-1280	\N	f	t	\N	\N	\N	\N	\N	10	f	\N	f
d107487f-8d05-4e15-b32b-dce305a2c434	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	\N	body	2	CONTAINER	CONTAINER	f	f	TABS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
11e06436-8279-43cb-ac09-406d4b42ab18	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	b09879bb-cad1-4f8d-8681-19ee5441e3bf	body	3	H5QD56RE8G	AREA_SAMPLE	\N	\N	CHART	ALWAYS	\N	\N	\N	\N	12	\N	select 1 as order_num, 'I квартал' quater, 57::numeric as work_days, 33::numeric as days\r\nunion\r\nselect 2, 'II квартал', 60::numeric as work_days, 31::numeric as days\r\nunion\r\nselect 3, 'III квартал', 66::numeric as work_days, 26::numeric as days\r\nunion\r\nselect 4, 'IV квартал', 64::numeric as work_days, 28::numeric as days\r\norder by 1	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
93197306-4ffa-42a7-800d-bbb688854c1f	aee8cb58-83f0-4626-9cca-c1eacf279c23	f34fbf7d-76ab-49db-aa07-1f942c5beaff	body	10	REGION_WI29591D41	WYSIWYG sample	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:48:31.263784	10	f	\N	f
e14901d1-e364-454a-a556-095f6d135988	45a1f80e-3900-4f07-8cde-89e476b24529	77804c98-66ca-4e39-b168-da821fe45d1d	body	51	8RHTK0EQHE	TILES_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Данный тип регионов служит для отображения статистической информации.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	ADMIN	2024-06-21 09:48:23.97972	10	f	\N	f
e508586d-b498-4350-99c4-a43941081d89	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	\N	body	1	ROLE	ROLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
04fef0b1-76c1-4f2e-9cb3-70f6e6d5500f	45a1f80e-3900-4f07-8cde-89e476b24529	e14901d1-e364-454a-a556-095f6d135988	body	10	REGION_5JDDJDCP1C	TILES_SAMPLE	\N	f	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT '328' title, 'Активных пользователей' text, '#41DE28' color, '<span class="uil uil-angle-up" style="color:#41DE28">120 %</span>' descr, 'mdi mdi-account-multiple-outline' icon\nUNION ALL\nSELECT '42000.77', 'Прибыль', '#2C7ABB', 'За месяц', 'uil uil-bill'\nUNION ALL\nSELECT 'jsAPI', 'и Dynamic Actions', '#F5D501', '<a href="/#/content/5200" class="btn btn-xs btn btn-success">Перейти</a>', 'mdi mdi-language-javascript'	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-21 09:49:27.543493	10	f	\N	f
eb0625d9-4b6a-4fd5-a20b-99dc1772f2e0	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	304533f6-1611-48c5-8921-a213ab919cb2	body	7	DONUT_SAMPLE	DONUT_SAMPLE	\N	\N	CHART	ALWAYS	\N	\N	\N	\N	4	SQL	select 'Рабочие дни' as day_kind, 247::numeric as days\r\nunion\r\nselect 'Выходные дни' as day_kind, 118::numeric as days	\N	\N	\N	\N	f	f	{"containerWidth": 350, "containerHeight": 100, "containerCentered": true}	\N	\N	\N	\N	10	\N	\N	\N
9e1febe3-0906-4b62-9e55-f12a8f951172	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	\N	left	1	TREE	TREE	f	f	TREE	ALWAYS	\N	\N	\N	\N	12	SQL	with recursive x as \r\n  (select d.id ,d.id_fk, d.name, d.code from dep.t_departments d \r\n   where d.code = 'ROOT'\r\n   union all\r\n   select d.id, d.id_fk, d.name, d.code from dep.t_departments d , x where d.id_fk = x.id)\r\nselect x.*, 'javascript:jsAPI.refresh({id:"DEPS",page:"1115",items:{''P1115_ID'':'''||x.id||'''}});' link  from x where x.code != 'ROOT' order by x.id	\N	\N	\N	\N	f	t	{"preset": null, "bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": true, "headerBorder": true, "regionBorder": false, "footerPadding": true, "headerPadding": true, "bodyBackground": true, "containerWidth": null, "childrenPadding": true, "footerBackground": true, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
3dcf3a98-b660-46e3-9fa6-62e2a97a3625	451ae93d-c85b-4406-863a-1705ee6652af	\N	body	2	BODY	Тело страницы (body)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
3b3b8e45-50a3-403d-8659-c8f866236e39	451ae93d-c85b-4406-863a-1705ee6652af	\N	footer	6	FOOTER	Низ (footer)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
c39bc646-81ce-40b0-9a44-fa9202bf5979	451ae93d-c85b-4406-863a-1705ee6652af	\N	left	2	LEFT	Лево (left)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
1c75780d-1c82-4072-ad62-012733238cf3	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f25c4d30-e6e1-498e-9ffd-b829f733e043	body	42	REGION_PTWPMDDTKH	POST-form	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 05:02:57.753095	10	f	\N	f
e68ae412-2f99-410c-9df5-4bf31e1109bb	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	74afb3e8-2433-4b3f-a759-e026aacb80c0	body	1	TAB2	TAB2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>Регионы-вкладки могут быть разных типов, также могут содержать собственные вложенные регионы.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
7f5831c7-504c-4aaa-930d-5bc942240aca	2ed35103-feec-41ba-87fc-e05ae867b199	\N	footer	2	BUTTONS	BUTTONS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
3e3d37e8-8e9d-4b0c-b722-578915cb6de0	0bfb1592-51be-4726-afa1-e68ef2b0a3a0	\N	top	1	BREADCRUMB	Top	\N	\N	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	Верх страницы	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
714f6188-23b7-4388-a62d-fa3d008e6e28	72c8a4fd-a9a7-4ecb-9aa8-ae9e86fb7db5	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
0277f2fa-26c3-4fd8-aa82-85598d571a43	1402158f-55cf-47b1-88b6-30cadfded13a	c158c64e-7925-43b5-ab39-3c717fe698d1	body	10	REGION_H8TATIJKVR	Схемы аутентификации	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Пользователь получает доступ к страницам приложения после прохождения аутентификации в системе. Аутентификация пользователей осуществляется с помощью внутренних схем, создаваемых разработчиком. После успешной аутентификации пользователя его логин записывается в глобальную переменную APP_USER.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 10:10:45.188017	10	f	\N	f
ecfe6d2e-059a-49b1-a3d4-abca54fe28f7	5df45e90-9969-40c5-9b3d-a1bb931418c5	\N	body	1	UPLOAD_FILE	UPLOAD_FILE	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
9e9ff3f0-cfd3-47d3-8144-d1fde9ff8775	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	b4873c9f-c85f-47fe-942e-058165ac07b7	body	10	BAR_TEXT	BAR_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	5	TEXT	<p>Столбчатые диаграммы и гистограммы могут использоваться для нескольких серий.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
b2db8f42-645f-4713-8c0b-c42ab13068ab	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	\N	body	10	WRAPPER	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 340, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
7bedf9e7-2c01-4260-ae42-f4430d7c55ad	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	94af791d-1a2a-43e3-99b6-6f25ec223a15	body	40	REGION_UUR1JO2T65	Клиенты	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT \n  id,\n  last_name,\n  first_name,\n  phone,\n  date_of_birth,\n  email,\n  cli_type\nFROM cli.t_clients	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 00:29:14.854881	10	f	\N	\N
99edfd1f-afd9-4ffb-a7b2-e9f43c407cf2	8d795ae5-9e4c-47d3-a940-dcba059599ed	f50a8e90-1d30-4ef1-a205-a58c13ec27fa	body	9	STANDART_OPTIONS_TEXT	STANDART_OPTIONS_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Настройки отчёта позволяют:</p><ul>\r\n<li> установить количество отображаемых строк</li> \r\n<li> добавить пангинации</li> \r\n<li> отобразить/скрыть заголовки столбцов</li> \r\n<li> добавить поле поиска по набору данных</li> \r\n<li> задать сообщение, выводимое при отсутствии строк в выборке.</li>\r\n</ul>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
bde29cee-9e05-4b7f-86de-7168f9bde49e	c7a6173f-9d45-410b-8d56-3d605bf3d4fb	e94db6ed-72de-47bb-99ac-3b49ccf45763	body	3	WIZARD	WIZARD	f	f	WIZARD	ALWAYS	\N	\N	\N	\N	2	\N	\N	\N	17	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
39d46143-2089-4d32-b1e2-8d30413841f7	c7a6173f-9d45-410b-8d56-3d605bf3d4fb	e94db6ed-72de-47bb-99ac-3b49ccf45763	body	5	WIZARD_BUTTONS	WIZARD_BUTTONS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
c8914da6-1042-48bd-b590-278c123f2931	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	304533f6-1611-48c5-8921-a213ab919cb2	body	6	DONUT_TEXT	DONUT_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>Кольцевая диаграмма отлично подходит для случаев, когда нужно отразить на графике для нескольких или множества категорий одну серию.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
97a4005b-8b1e-4fbd-9e4b-1c5fb252d188	8d795ae5-9e4c-47d3-a940-dcba059599ed	d9a8131c-3c36-4026-8021-c2968811e40a	body	13	COLVAL_TEXT	COLVAL_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Альтернативный вариант отчёта с транспонацией столбцов исходной выборки в строки.</p><p>На примере краткой информации о текущем пользователе</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
4ccb4868-a7e8-418f-b93b-1814b18d2756	981448ef-457a-4a86-b253-9accce59c268	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
dca49fea-fe3f-4ceb-bff4-f5faabfb00a0	718632d7-9ea4-487b-a429-ed5c6d39561e	e2947af6-3adf-4e67-a1f9-933bc55563a1	body	5	WIZARD_BUTTONS	WIZARD_BUTTONS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
f318c6ee-823b-4317-a428-6b0eed0da276	c1434e86-8781-437b-9dc6-8e3d43073659	\N	body	20	REGION_OXJ6TGU82T	Пример конвертации XLSX документов	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-08 04:02:57.196672	10	f	\N	f
a3b3d87e-7e47-40d9-ac1b-2bca786cfa41	232dee12-c7d7-4237-9cd0-d8060d7b0c62	\N	top	10	REGION_5238CWH7A8	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-09 12:26:19.88101	10	f	\N	f
0021234a-c071-40ad-80c7-18f3948e5bc7	c830ace2-5ffd-473a-b773-bacf7a4b4dd0	\N	top	10	REGION_8CHUJTYAA9	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-09 12:26:47.169912	10	f	\N	f
94dd44ff-a0ca-4ec6-b9cc-970d16aaf64d	45a1f80e-3900-4f07-8cde-89e476b24529	7292eede-fb73-455f-9392-7a0e6c1cb29f	body	7	FORM_TEXT	FORM_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Данный тип регионов служит для расположения основных элементов ввода.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
4df7ed0e-e982-4439-be1f-50f172e4bcab	129c0d3a-01f7-497f-b996-d9113ab7f318	\N	top	10	REGION_PM4HMK1HZD	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-11 15:34:20.459632	10	\N	\N	\N
9c75245c-f218-4828-bac6-5e6dd5ada0b9	ac59d725-9e81-4f45-893f-1ffd64fd6846	\N	top	10	REGION_MGCFYWO105	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 08:36:28.161417	10	f	\N	f
d6d05aa6-df57-43cc-8880-e0675ef241c5	ac59d725-9e81-4f45-893f-1ffd64fd6846	\N	body	10	REGION_5JSS7NDY6A	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-11 08:36:28.16147	10	f	\N	f
f91c002e-e7e5-4e27-aab5-a37cb51124c3	8d795ae5-9e4c-47d3-a940-dcba059599ed	1379c409-56a5-4729-86a7-a5bbaa73711b	body	24	REGION_J4FEW38ECP	Сохранение пользовательских шаблонов отчета	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-07-15 10:36:41.792869	10	f	\N	f
f71000e4-9e08-4b8e-976b-22e0ba4cf9e5	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	446481a9-c007-4ce9-bd03-6f00fec11528	body	8	COLUMN_TEXT	COLUMN_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	5	TEXT	<p>Столбчатые диаграммы и гистограммы могут использоваться для нескольких серий.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
cf3008f1-0527-4789-899c-1a6a4c2e84f0	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	e0bcfb41-6457-478b-a226-4a3c58ff3bd1	body	11	REGION_XGKT9SHWPK	Стили расположения карточек	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-02-01 23:25:37.435455	10	f	\N	f
1ca17ef8-19ae-43b8-96a8-7d7f7dbb21e2	45a1f80e-3900-4f07-8cde-89e476b24529	e02494f1-0974-4f4c-873f-4bad94e023cc	body	10	HTML_TEXT_DESC	HTML_TEXT_DESC	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Регион содержащий форматированный html-текст.</p>\r\n<p>Используется для вывода текстовой информации, картинок и пр.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
73b6d323-d48c-41a0-92e3-781ec492ea2e	c7a6173f-9d45-410b-8d56-3d605bf3d4fb	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
fbd26426-40e7-4b39-bb61-377451c805ac	45a1f80e-3900-4f07-8cde-89e476b24529	6c2d01b9-d5f4-41d8-8dde-c57c0be2690e	body	13	BUTTONS_TEXT	BUTTONS_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Данный тип регионов служит для размещения кнопок.</p>\r\n<p>Используется чаще всего в футере модала.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
38ddcb9d-86ab-4581-85f8-ec5f96f3a919	45a1f80e-3900-4f07-8cde-89e476b24529	a6344663-64cb-4d7d-82a7-a0610f1bc963	body	4	BREADCRUMBS_TEXT	BREADCRUMBS_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Такой регион располагается на большинстве страниц в верхнем слоте.</p>\n<p>Обычно в источнике данных указывается список, в соответствии с которым отражается путь, а заголовок текущей страницы.</p>	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
e05a0875-c4df-4756-84e0-4b5a4026f266	45a1f80e-3900-4f07-8cde-89e476b24529	405f8445-9bf8-464c-a8d0-4f69a72057f1	body	37	WRAPPER_TEXT	WRAPPER_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Данный тип регионов служит контейнером для размещения дочерних регионов.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
53171693-a523-49f3-a354-7d50fd8bede0	7eb1ef08-8145-4a1a-9bfe-50a84b7092b2	\N	body	1	USER	USER	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
f6d2bc0f-6ee8-4366-b48b-652dc14c484c	9fa0229c-3fda-4ea6-96a6-04e6a5b7290b	\N	footer	2	BTNS	BTNS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
1059416f-524b-4509-b5f2-e6821a0ab454	abea137b-d0a9-4bab-82cb-9de6b820aa29	\N	footer	3	BTNS	BTNS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
c2793a3c-58d0-4535-8d37-34443135bbe1	abea137b-d0a9-4bab-82cb-9de6b820aa29	\N	body	1	DEP	DEP	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
76eb209a-5683-4fdb-914b-cbd1a36d2b97	4303bd6b-83c3-4652-814f-c0b9b8e4958e	\N	top	10	REGION_3FE7N12VG3	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 07:15:50.762155	10	\N	\N	\N
77be8399-50fc-416b-98b8-3b48e4882df4	5df45e90-9969-40c5-9b3d-a1bb931418c5	\N	footer	2	BUTTONS	BUTTONS	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
fae3b8d3-f0d0-45a7-bd1f-ccc777c73b02	89ecce48-2531-498f-8eae-2bfb5494e66d	\N	top	10	BREADCRUMB	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-01 23:31:18.707524	10	\N	\N	\N
38e6940a-df26-40fc-b877-4f682c8ecdaf	aab04b5d-a22e-4821-a7c9-99cf8005110a	\N	body	2	BODY	Тело страницы (body)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
93dcf423-3f58-4dc4-bacc-7502ead36c32	aab04b5d-a22e-4821-a7c9-99cf8005110a	\N	footer	6	FOOTER	Низ (footer)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	\N	\N	\N	\N	\N	t	t	\N	\N	\N	\N	\N	10	f	\N	f
99fe0df4-e870-4250-b61c-e24e0020aa24	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	b2db8f42-645f-4713-8c0b-c42ab13068ab	body	4	LOGIN	Авторизация	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	login-form	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": true, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
7ab0f422-6a16-48c3-8c96-0be89edf39c5	3006c64d-7487-4960-bdfc-f8565c02fd11	93dd98b1-5d13-4a62-a221-14e0289d1585	body	50	REGION_PSAX3KKE5G	Кодовая область1	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:14:55.91866	10	f	\N	f
58a581dc-21a9-4e6c-82d6-beb1a8e08b33	4303bd6b-83c3-4652-814f-c0b9b8e4958e	\N	body	10	REGION_CVBFWW9YWO	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-15 08:47:14.000489	10	f	\N	f
71979567-5ad8-49c5-b1ad-c426ebba9758	45a1f80e-3900-4f07-8cde-89e476b24529	e05a0875-c4df-4756-84e0-4b5a4026f266	body	38	WRAPPER_SAMPLE	WRAPPER_SAMPLE	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
c033ae06-6875-4afa-ba2a-4f88a7cc7a04	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	0200c4d5-5c64-4065-a099-8b056b45cfef	body	3	S7ERBQGENL	LINE_SAMPLE	\N	\N	CHART	ALWAYS	\N	\N	\N	\N	12	\N	select 1 as order_num, 'I квартал' quater, 57::numeric as work_days, 33::numeric as days\r\nunion\r\nselect 2, 'II квартал', 60::numeric as work_days, 31::numeric as days\r\nunion\r\nselect 3, 'III квартал', 66::numeric as work_days, 26::numeric as days\r\nunion\r\nselect 4, 'IV квартал', 64::numeric as work_days, 28::numeric as days\r\norder by 1	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
c92bfd3f-d0de-4b3a-82f0-540f45c2cc11	aee8cb58-83f0-4626-9cca-c1eacf279c23	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
1379c409-56a5-4729-86a7-a5bbaa73711b	8d795ae5-9e4c-47d3-a940-dcba059599ed	\N	body	2	CONTAINER	CONTAINER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
5367a089-15cf-4b62-9f7d-e370ae7afe2c	718632d7-9ea4-487b-a429-ed5c6d39561e	\N	top	1	BREADCRUMB	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
1d2f5229-4d6a-4940-8d8c-74fadba663b8	aee8cb58-83f0-4626-9cca-c1eacf279c23	c92bfd3f-d0de-4b3a-82f0-540f45c2cc11	body	38	REGION_J88P1RO8MX	Элементы выбора	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:37:00.163526	10	f	\N	f
8ef0d6db-d7d1-446f-9b21-43e2d84adc4f	aee8cb58-83f0-4626-9cca-c1eacf279c23	693c9692-5447-4311-83cc-0ad8dac052ea	body	10	REGION_K3RQ0IFAYP	RADIOS_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Список может быть как статичным, так и на основе данных бизнес-схемы.</p>\n<p>Можно задать условия для переключения в статус "только чтение", указать значение по умолчанию.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:37:00.163567	10	f	\N	f
08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	f8a4d019-89e4-4ec6-82bc-add1851ffe89	\N	body	13	REGION_W51L9MV8P0	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-01-24 12:00:26.43317	10	f	\N	f
c499be2e-b67e-4c92-b084-c2467513784d	aee8cb58-83f0-4626-9cca-c1eacf279c23	693c9692-5447-4311-83cc-0ad8dac052ea	body	20	REGION_WRR8Z38E87	RADIOS_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-02-02 18:37:00.163615	10	f	\N	f
693c9692-5447-4311-83cc-0ad8dac052ea	aee8cb58-83f0-4626-9cca-c1eacf279c23	1d2f5229-4d6a-4940-8d8c-74fadba663b8	body	10	REGION_XX3NPTPLZO	Радиогруппы	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 19:59:19.060837	10	f	\N	\N
f675ff4c-8b6b-45f2-90fb-66591897c9fd	aee8cb58-83f0-4626-9cca-c1eacf279c23	1d2f5229-4d6a-4940-8d8c-74fadba663b8	body	20	REGION_HZ16TDBAY8	Чекбоксы	f	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 19:59:19.060879	10	f	\N	\N
9be51cd9-d3bc-45e9-843d-9f1d80407432	45a1f80e-3900-4f07-8cde-89e476b24529	1ca17ef8-19ae-43b8-96a8-7d7f7dbb21e2	body	11	HTML_TEXT_SAMPLE	Пример	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<div class="xsquare_logo"><a href="https://xsquare.ru/"><img src="https://rosa.ru/wp-content/uploads/2023/08/logo_sq_xsuare_500.png" height="75px" width="75px"/><h3>xsquare.ru</h3></a></div>	\N	9	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 300, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
2b30e5f2-06ba-44ae-a3bd-327c9c98fce6	aee8cb58-83f0-4626-9cca-c1eacf279c23	f675ff4c-8b6b-45f2-90fb-66591897c9fd	body	10	REGION_EQ71FOBUTJ	CHECKBOXES_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Список может быть как статичным, так и на основе данных бизнес-схемы.</p>\n<p>Можно задать условия для переключения в статус "только чтение", указать значение по умолчанию.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:52:40.224841	10	f	\N	f
5dac446a-37b1-4e69-92d8-424a03dd947e	45a1f80e-3900-4f07-8cde-89e476b24529	85b51d48-b82b-4bfe-a395-8a00cb9b5154	body	44	TABS_SAMPLE1	Вкладка 1	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<span class="dripicons dripicons-browser" align="center"></span>\r\n<p>Вложенный регион 1</p>	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
8a9afdbd-7aea-4e5b-aee1-55dcf551c150	08b100ea-32eb-43bc-9e5c-9cf32122519e	\N	body	10	REGION_AIKP3YC9PW	FORM	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": true, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-01-24 15:35:34.979398	ADMIN	2024-01-24 16:50:54.639691	10	f	\N	f
f4283399-451f-474d-951a-bac67eeebc4e	896512ee-bca1-4fb3-8148-31dc61b0e8ff	\N	top	10	REGION_C5P3L7DU56	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 05:55:18.340844	10	f	\N	f
04ecc8b5-fa6f-4f1f-a57b-a37accdee43e	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	\N	top	1	LOGO	LOGO	f	f	HTML_TEXT	NEVER	\N	\N	\N	\N	12	TEXT	<img style="max-width:64px;" src="files/images/logo.png" align="left">\n	\N	\N	\N	\N	f	t	{"preset": null, "bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": 840, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
e13dd2f4-7e3a-4559-bef2-d79ca4a7db11	aee8cb58-83f0-4626-9cca-c1eacf279c23	f675ff4c-8b6b-45f2-90fb-66591897c9fd	body	20	REGION_1JEI3EYC27	CHECKBOXES_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-02-02 18:45:32.312696	10	f	\N	f
93a41053-e54f-475d-8db2-1238c4d66c65	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	\N	top	11	REGION_BQ275FDQTA	Шаблоны	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<div class="templates-menu">\n<span  class="templates-menu__label">Шаблоны:</span>\n<span class="is-active">1</span>\n<a href="/#/content/2">2</a>\n<a href="/#/content/3">3</a>\n</div>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-01-24 18:41:07.707146	10	f	\N	f
28b26034-666e-4d61-a209-a02a35ad3ab2	aebc3f92-c789-4a1a-968a-7900d589269d	\N	body	10	REGION_D41KEEARHT	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-01 05:03:04.806497	10	f	\N	f
83ca1790-0c4a-4694-9afc-0a446e3fae8c	83aa1204-d957-4efb-b371-5548f5db7c45	\N	footer	1	DESIGN	DESIGN	f	f	HTML_TEXT	NEVER	\N	\N	\N	\N	12	TEXT	<div style="display:none;width:100%;text-align:center;color: #98a6ad;padding:20px;">Разработано <a style="color:inherit;" href="https://xsquare.ru/" target="_blank">ООО "ХИ-КВАДРАТ" </a></div>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:05:25.674877	10	f	\N	f
f905582b-4434-47b1-92f1-888ffbc5c83a	83aa1204-d957-4efb-b371-5548f5db7c45	28a9ad3c-ad6e-4f4d-b470-94119cc51f85	left	31	LOGIN	Авторизация	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	login-form	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:34:18.96094	10	f	\N	f
ffd16bda-2f93-4b8d-9eca-d351b2d3f474	45a1f80e-3900-4f07-8cde-89e476b24529	85b51d48-b82b-4bfe-a395-8a00cb9b5154	body	45	TABS_SAMPLE2	Вкладка 2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<span class="dripicons dripicons-browser" align="center"></span>\r\n<p>Вложенный регион 2</p>	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
c2176d0c-7e97-46a6-9357-3f0e4b91e7b1	83aa1204-d957-4efb-b371-5548f5db7c45	\N	body	32	BENEFITS	BENEFITS	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	    <div class="screamer">\n      <!-- <img class="screamer__image" src="/files/images/typeman.svg" /> -->\n      <div class="screamer-list screamer-list--card">\n        <div class="screamer-list__title">About the product</div>\n        <div class="screamer-list__items">\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-users-shade"></i>\n            </div>\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">First feature</div>\n              <div class="screamer-list__text">Lorem ipsum dolor sit amet</div>\n            </div>\n          </div>\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-circles-tape"></i>\n            </div>\n\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">\n                Second awesome feature\n              </div>\n              <div class="screamer-list__text">\n                This on is just mindblowind, don’t miss it\n              </div>\n            </div>\n          </div>\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-acdc"></i>\n            </div>\n\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">Third one</div>\n              <div class="screamer-list__text">Nothing to say, awesome</div>\n            </div>\n          </div>\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-like"></i>\n            </div>\n\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">And the last one</div>\n              <div class="screamer-list__text">\n                You can add as many features as you need\n              </div>\n            </div>\n          </div>\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-like"></i>\n            </div>\n\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">\n                Okay, this one is last\n              </div>\n              <div class="screamer-list__text">I promise</div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 480, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:05:25.674877	10	f	\N	f
28a9ad3c-ad6e-4f4d-b470-94119cc51f85	83aa1204-d957-4efb-b371-5548f5db7c45	\N	left	41	REGION_HSIIODVS25	Контейнер формы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<img style="display:inline-block;margin-bottom: 12px;" class="auth-header-logo" alt="XSQUARE-PGHS" src="https://pghs4-dev.xsquare.ru/files/images/logo-black.svg"/>\n<h6>Демонстрационный стенд<div></div> XSQUARE-PGHS</h6>	\N	\N	text-center	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": 286, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:18:12.163699	10	f	\N	f
3c61b8a7-cd63-49f2-bddf-a7dd9ed1ccd0	83aa1204-d957-4efb-b371-5548f5db7c45	\N	top	10	REGION_GKPXU0W38E	HEADER	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<div class="auth-header">\n<div class="auth-header-nav-wrap">\n<img style="margin-left: 12px;" alt="XSQUARE-PGHS" src="https://rosa.ru/wp-content/uploads/2023/08/logo_sq_xsuare_500.png" height="75px" width="75px"/>\n    <div class="auth-header-nav">\n      <a href="//xsquare.ru/" target="_blank" class="link">О нас</a>\n      <a href="//lcdp.xsquare.ru/"  target="_blank" class="link">Система</a>\n      <a href="//xsquare.ru/partnery/"  target="_blank" class="link">Партнёры</a>\n    </div>\n</div>\n<div class="templates-menu">\n<span class="templates-menu__label">Шаблоны:</span>\n<a href="/#/content/1">1</a>\n<span class="is-active">2</span>\n<a href="/#/content/3">3</a>\n</div>\n</div>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "gridLayout": "grid", "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2024-01-25 13:05:25.674877	\N	2024-01-25 13:19:43.434626	10	f	\N	f
feffe4e6-687d-4e5b-b92b-832ae44a6fcc	530154e2-764f-4bb8-bd69-f0e2d33dbe57	\N	top	10	REGION_Y81SXBV9OZ	Новый регион	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<div class="templates-menu">\n<span  class="templates-menu__label">Шаблоны:</span>\n<a href="/#/content/1">1</a>\n<a href="/#/content/2">2</a>\n<span class="is-active">3</span>\n</div>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "gridLayout": "grid", "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	f	\N	f
50a0047e-fde3-466c-8fe5-e03b36ae2d72	530154e2-764f-4bb8-bd69-f0e2d33dbe57	dfac82d8-5676-4e67-b8d5-c2bab98c4d30	body	20	LOGIN	Вход	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	f	\N	f
24b32957-36b5-42ca-bd7b-af8f7f82bd7a	530154e2-764f-4bb8-bd69-f0e2d33dbe57	dfac82d8-5676-4e67-b8d5-c2bab98c4d30	body	30	LR8LXLERWV	Регистрация	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	f	\N	f
bf395e17-d479-46ec-b624-be7ae0b32a9d	530154e2-764f-4bb8-bd69-f0e2d33dbe57	\N	body	40	MAIN_CONTENT	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": 980, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	f	\N	f
4e73d2af-5402-4ca7-af2d-33b56e997a9d	530154e2-764f-4bb8-bd69-f0e2d33dbe57	\N	top	11	REGION_7M7R8WI3BM	HEADER	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<div class="auth-header">\n<div class="auth-header-logo-wrap">\n<img class="auth-header-logo" alt="XSQUARE-PGHS" src="https://pghs4-dev.xsquare.ru/files/images/logo-black.svg"/>\n<div class="auth-header-logo-text">Pghs Demo<br/>Low Code Platform</div>\n</div>\n<div class="auth-contacts">\n<a href="tel:+74997033899">+7 499 703 38 99</a>\n<div></div>\n<a href="mailto:info@xsquare.ru" class="link">info@xsquare.ru</a>\n</div>\n</div>\n	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1400, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:28:45.895695	10	f	\N	f
a9987121-7a5e-4ef9-ad36-c6c058d07f03	aee8cb58-83f0-4626-9cca-c1eacf279c23	be24dcb4-e113-4998-96cd-34f2383fa9fa	body	20	REGION_60C1XTVR6Q	AUTOCOMPLETE_SAMPLE	\N	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-02-02 18:57:01.369694	10	f	\N	f
5181276e-a555-4e90-924f-f84100e4cb53	89ecce48-2531-498f-8eae-2bfb5494e66d	639f8f30-0d67-44bd-9233-6d4f55d1f47c	body	10	CLNDR	Календарь	\N	\N	CALENDAR	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT * FROM events.t_calendar	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2023-03-30 09:48:32.138423	ADMIN	2024-07-17 02:35:59.49328	10	\N	\N	\N
e6982a45-761e-4d50-b3a8-6850c412bcad	aee8cb58-83f0-4626-9cca-c1eacf279c23	e792266b-20db-41e2-a4a1-a24f3929cc57	body	20	REGION_IMILEEAYKD	SELECT_SAMPLE	\N	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-02-02 18:57:01.36964	10	f	\N	f
11dc3b5f-df29-42cf-8a98-baf389502cdf	8d795ae5-9e4c-47d3-a940-dcba059599ed	30a80d1e-30f2-4f66-8fee-7aaf8e3204de	body	10	REGION_EDSSAVCNJP	FILTERS	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-01 19:39:16.774829	10	f	\N	f
d6a8a2a6-5fea-43e9-a982-482213c7bad9	bbbfba99-f656-4a05-a070-216215b4b4bb	\N	top	10	BREADCRUMB	BREADCRUMB	f	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	ADMIN	2024-01-26 12:27:21.179907	ADMIN	2024-01-26 12:27:30.587019	10	\N	\N	f
a1f9a827-6f4c-4dce-82f2-529afaa15bab	aee8cb58-83f0-4626-9cca-c1eacf279c23	b3b35f14-f6e4-4d88-b0be-550863c50750	body	10	REGION_QYQMQW3M6Q	SWITCHER_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Список может быть как статичным, так и на основе данных бизнес-схемы.</p>\n<p>Можно задать условия для переключения в статус "только чтение", указать значение по умолчанию.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:52:40.224864	10	f	\N	f
72629e78-44d3-4bed-a2e6-28fc043ea78d	aee8cb58-83f0-4626-9cca-c1eacf279c23	b3b35f14-f6e4-4d88-b0be-550863c50750	body	20	REGION_CNGM0SE9Q4	SWITCHER_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-02-02 18:52:40.224897	10	f	\N	f
b3b35f14-f6e4-4d88-b0be-550863c50750	aee8cb58-83f0-4626-9cca-c1eacf279c23	1d2f5229-4d6a-4940-8d8c-74fadba663b8	body	30	REGION_EQ79ZOIE08	Переключатель	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 19:59:19.060934	10	f	\N	f
e792266b-20db-41e2-a4a1-a24f3929cc57	aee8cb58-83f0-4626-9cca-c1eacf279c23	1d2f5229-4d6a-4940-8d8c-74fadba663b8	body	40	REGION_KBH37QJGFV	Селектор	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 19:59:19.060961	10	f	\N	f
0ee8aee3-c54a-4c2f-923d-88489295dfa6	530154e2-764f-4bb8-bd69-f0e2d33dbe57	\N	body	50	REGION_HZMNOA7GH5	Заключите договор пожалуйста	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<h6>Ваше надёжное финансовое будущее,\n<div></div>\nнаша основная задача</h6>	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 980, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	f	\N	f
b5c9ac24-c63d-425e-9e8d-b470a34e7b29	530154e2-764f-4bb8-bd69-f0e2d33dbe57	bf395e17-d479-46ec-b624-be7ae0b32a9d	body	20	REGION_UNBIKAK6SS	Справа от формы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	8	TEXT	 <!--<div id="your-element-selector"></div>-->\n    <div class="screamer" style="padding:32px">\n      <!-- <img class="screamer__image" src="/files/images/typeman.svg" /> -->\n      <div class="screamer-list screamer-list--card">\n        <div class="screamer-list__title screamer-list__title--sm">\n          About the product\n        </div>\n        <div class="screamer-list__items">\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-users-shade"></i>\n            </div>\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">First feature</div>\n              <div class="screamer-list__text">Lorem ipsum dolor sit amet</div>\n            </div>\n          </div>\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-circles-tape"></i>\n            </div>\n\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">\n                Second awesome feature\n              </div>\n              <div class="screamer-list__text">\n                This on is just mindblowind, don’t miss it\n              </div>\n            </div>\n          </div>\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-acdc"></i>\n            </div>\n\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">Third one</div>\n              <div class="screamer-list__text">Nothing to say, awesome</div>\n            </div>\n          </div>\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-like"></i>\n            </div>\n\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">And the last one</div>\n              <div class="screamer-list__text">\n                You can add as many features as you need\n              </div>\n            </div>\n          </div>\n          <div class="screamer-list__item">\n            <div class="screamer-list__icon-wrap">\n              <i class="screamer-list__icon xicon xicon-like"></i>\n            </div>\n\n            <div class="screamer-list__item-desk">\n              <div class="screamer-list__item-title">\n                Okay, this one is last\n              </div>\n              <div class="screamer-list__text">I promise</div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n<!--<div style="min-height:357px;display: flex;align-items: center;justify-content: center;">\n<div style="width:100%;max-width:147px;height:150px;">\n<img  style="width:100%;display:block;" src="files/images/logo.png" align="left">\n</div>\n</div>-->\n	\N	\N	\N	\N	f	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 416, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	2024-01-25 13:20:53.788797	\N	2024-01-25 13:20:53.788797	10	f	\N	f
25ddcd9d-881c-45ab-800a-4922b93baece	aee8cb58-83f0-4626-9cca-c1eacf279c23	c95cc500-320b-4d81-97bf-89f241b6dfd5	body	26	FILE_SAMPLE	FILE_SAMPLE	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
cdd63331-300a-4729-8ac5-576d44d9bc04	aee8cb58-83f0-4626-9cca-c1eacf279c23	f8ed3b4a-e6e8-4141-9213-64e0a342221c	body	11	INPUT_SAMPLE	INPUT_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
bf6b0837-1537-4024-8439-e86c94d1d6b1	aee8cb58-83f0-4626-9cca-c1eacf279c23	f8ed3b4a-e6e8-4141-9213-64e0a342221c	body	14	INPUT_LAYOUT_SAMPLE	INPUT_LAYOUT_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
3a94ede7-6012-4e19-b3c6-18ec03103342	aee8cb58-83f0-4626-9cca-c1eacf279c23	f8ed3b4a-e6e8-4141-9213-64e0a342221c	body	18	INPUT_MASK_SAMPLE	INPUT_MASK_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
10eda34f-2c3f-443f-b0f6-3c5566475c6d	3006c64d-7487-4960-bdfc-f8565c02fd11	c455260d-dd3d-4669-ab23-57ab7010782a	body	10	REGION_X7OY63RB1R	Список	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-01 19:41:06.687668	10	f	\N	f
5c06f754-7306-42bd-b657-691e42931c48	3006c64d-7487-4960-bdfc-f8565c02fd11	7794e796-ac68-41e1-9984-7094530e0e5f	body	20	REGION_3S142LF5FB	Динамическое изменение набора значений репорта	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-01-25 15:35:04.289219	10	f	\N	f
becb73c8-448c-4af9-8324-74b673c41d8f	3006c64d-7487-4960-bdfc-f8565c02fd11	\N	top	10	BREADCRUMB	BREADCRUMB	f	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-01-25 13:38:54.75141	10	\N	\N	f
adf09339-d055-469a-a3e8-653345f38dc0	aebc3f92-c789-4a1a-968a-7900d589269d	\N	top	10	REGION_GXKE80WUGA	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-01 05:03:04.808735	10	\N	\N	\N
93dd98b1-5d13-4a62-a221-14e0289d1585	3006c64d-7487-4960-bdfc-f8565c02fd11	7794e796-ac68-41e1-9984-7094530e0e5f	body	10	REGION_MTUHZG1YFS	Фокус на элементах ввода	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-02 14:24:50.571038	10	f	\N	f
c455260d-dd3d-4669-ab23-57ab7010782a	3006c64d-7487-4960-bdfc-f8565c02fd11	5c06f754-7306-42bd-b657-691e42931c48	body	60	REGION_AW105I3ZPF	Пример	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	3	\N	\N	\N	\N	\N	\N	f	f	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:14:29.529878	10	f	\N	f
de266bde-1e7a-4e07-97f5-0806128b0cb5	3006c64d-7487-4960-bdfc-f8565c02fd11	5c06f754-7306-42bd-b657-691e42931c48	body	80	REGION_8Z2QGTRYB9	Кодовая область2	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:14:55.91869	10	f	\N	f
0a80e45c-aefd-4e52-96dc-23b8a1537131	3006c64d-7487-4960-bdfc-f8565c02fd11	c455260d-dd3d-4669-ab23-57ab7010782a	body	20	REPORT_EMPLOYEES	Cотрудники	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT ul.username, \n       ul.email,\n       ul.last_login\nFROM users.t_user_list ul\nWHERE ul.id_dep = $1::BIGINT	{P5200_REPORTS_VALUE}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-09 13:14:49.829533	10	f	\N	\N
3518403a-12e1-4270-b5c7-b1d113eb2c68	3006c64d-7487-4960-bdfc-f8565c02fd11	7794e796-ac68-41e1-9984-7094530e0e5f	body	30	REGION_W0JIBT6549	Обработка модальных окон	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-01-26 13:06:06.012848	10	f	\N	f
4a05f7a0-dfa5-4b26-b4b7-91939fe0d446	aee8cb58-83f0-4626-9cca-c1eacf279c23	1d2f5229-4d6a-4940-8d8c-74fadba663b8	body	60	REGION_0TG66O2R16	Мультивыбор	t	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 19:59:19.060981	10	f	\N	f
d77b43fa-b3cd-4a1e-a7ac-2be2c19fb935	c1434e86-8781-437b-9dc6-8e3d43073659	\N	top	1	BREADCRUMB	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	LIST	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-08 04:02:57.196672	10	\N	\N	\N
2f6fefac-884d-4295-97f3-b09c571b3f42	bbbfba99-f656-4a05-a070-216215b4b4bb	\N	body	10	CLNDR	Календарь пользователя &P5300_USER.	f	\N	CALENDAR	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT id, title, start_ev, end_ev, event_type, color_class FROM events.t_calendar\nWHERE user_id = users.f$_usr_id($1::VARCHAR)\n	{P5300_USER}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	ADMIN	2024-01-26 12:27:21.179907	ADMIN	2024-06-11 19:02:30.529929	10	\N	\N	\N
4edf0e96-e35b-4430-b1c4-0c2681e48723	aee8cb58-83f0-4626-9cca-c1eacf279c23	be24dcb4-e113-4998-96cd-34f2383fa9fa	body	10	REGION_7WRDYVLOFD	AUTOCOMPLETE_TEXT	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Текстовое поле с выводом подсказки.</p>\n<p>Использует настройки как текстовых полей, так и списков выбора.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:58:30.239081	10	f	\N	f
e47798fd-d8b5-4b5b-9ffd-291e63f13b84	aee8cb58-83f0-4626-9cca-c1eacf279c23	e792266b-20db-41e2-a4a1-a24f3929cc57	body	10	REGION_45BJ9VJLC1	SELECT_TEXT	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Список может быть как статичным, так и на основе данных бизнес-схемы.</p>\n<p>Можно задать условия для переключения в статус "только чтение", указать значение по умолчанию.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:58:30.239111	10	f	\N	f
8c579ff5-978d-46f4-88f5-312ce10e7327	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	cf3008f1-0527-4789-899c-1a6a4c2e84f0	body	10	REGION_SCJUQBDNL2	CARDS_PLACING_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>В атрибутах элемента также можно настроить максимальное количество колонок в строке.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-01-26 17:43:17.028757	10	f	\N	f
71614c48-5d08-44e0-bf30-54341209e7c7	aee8cb58-83f0-4626-9cca-c1eacf279c23	1d2f5229-4d6a-4940-8d8c-74fadba663b8	body	61	REGION_JPISZFFT28	PARAMETERS_INFO	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>* Списки для примеров задаются в Администрирование - Настройки - Справочники.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 19:00:19.406964	10	f	\N	f
33ec49fc-9327-4b72-9ddb-2127a7a596e8	8d795ae5-9e4c-47d3-a940-dcba059599ed	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
be24dcb4-e113-4998-96cd-34f2383fa9fa	aee8cb58-83f0-4626-9cca-c1eacf279c23	1d2f5229-4d6a-4940-8d8c-74fadba663b8	body	50	REGION_AW85HL8PGS	Автозаполнение	t	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 19:59:19.061028	10	f	\N	f
ad0addb4-061f-4c74-bd08-75dae63a30ad	3006c64d-7487-4960-bdfc-f8565c02fd11	de266bde-1e7a-4e07-97f5-0806128b0cb5	body	70	CODE_REDACTOR2	Код	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<pre><code class="language-js">jsAPI.component('REPORT_EMPLOYEES').refresh()</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:02:40.590949	10	f	\N	f
ff2ad34e-6594-4911-923b-e608e0cb99fe	3006c64d-7487-4960-bdfc-f8565c02fd11	3518403a-12e1-4270-b5c7-b1d113eb2c68	body	20	REGION_NLSUFC7XL3	Пример модала	f	f	FORM	ALWAYS	\N	\N	\N	\N	3	\N	\N	\N	\N	\N	\N	f	f	\N	\N	\N	ADMIN	2024-10-14 11:14:29.52992	10	f	\N	f
a2f526fc-f6f5-49cd-8547-fb8fd5abc96c	3006c64d-7487-4960-bdfc-f8565c02fd11	3518403a-12e1-4270-b5c7-b1d113eb2c68	body	21	32FJB4HFEC	Кодовая область3	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:14:55.918709	10	f	\N	f
d6ccbf13-07e3-4913-86a2-571410d9a89e	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	cf3008f1-0527-4789-899c-1a6a4c2e84f0	body	20	REGION_XLKBCE1VAS	2 колонки	f	\N	CARDS	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	31	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 20:42:24.660719	10	\N	\N	\N
367ddd19-8fef-4c5e-8748-b2090a59395a	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	64d3c604-d072-49c3-939f-869fef40b2bd	body	41	GD8A49A4L9	Блочная тема	f	\N	CARDS	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	31	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 20:42:24.660795	10	\N	\N	\N
c2c6b6da-616c-4eb5-9b11-90c9979ab9c7	aee8cb58-83f0-4626-9cca-c1eacf279c23	4a05f7a0-dfa5-4b26-b4b7-91939fe0d446	body	10	REGION_6UIJ4JNAFG	MULTISELECT_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Список может быть как статичным, так и на основе данных бизнес-схемы.</p>\n<p>В настройках задаётся разделитель для передачи в БД и возможность поиска по списку.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 18:58:30.237756	10	f	\N	f
77a98a82-cc16-4cae-8034-56fcb06984c3	aee8cb58-83f0-4626-9cca-c1eacf279c23	4a05f7a0-dfa5-4b26-b4b7-91939fe0d446	body	20	REGION_MXFDZ4HFEO	MULTISELECT_SAMPLE	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-02-02 18:58:30.237777	10	f	\N	f
d350e7af-cb57-469b-a8b8-35d20d9686ac	3006c64d-7487-4960-bdfc-f8565c02fd11	7794e796-ac68-41e1-9984-7094530e0e5f	body	40	REGION_SMXZVYPNXF	Обновление значений одного списка в зависимости от значения другого списка	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-01-29 14:22:05.364679	10	f	\N	f
c6a37bab-3263-4f88-8373-1e0a06a94f75	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	cf3008f1-0527-4789-899c-1a6a4c2e84f0	body	30	BI6IVW4NFH	1 колонка	f	\N	CARDS	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	31	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 20:42:24.66082	10	\N	\N	\N
64d3c604-d072-49c3-939f-869fef40b2bd	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	e0bcfb41-6457-478b-a226-4a3c58ff3bd1	body	10	REGION_Q2J629WXZN	Стили оформления карточек	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-02-01 23:25:37.435486	10	f	\N	f
abcc99cd-4228-4a02-a2e6-9f6ff599bd12	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	cf3008f1-0527-4789-899c-1a6a4c2e84f0	body	40	S4ACINJOWI	4 колонки	f	\N	CARDS	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	31	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 20:42:24.660864	10	\N	\N	\N
779252e9-11a5-4cd1-9c12-35b259a1f976	c1434e86-8781-437b-9dc6-8e3d43073659	f318c6ee-823b-4317-a428-6b0eed0da276	body	40	E2Y4DMZRH7	Просмотр JSON	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-08 04:02:57.196672	10	f	\N	f
2d9c5ed8-0886-46d8-94c8-ea51ad74e8ca	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	64d3c604-d072-49c3-939f-869fef40b2bd	body	30	COQSFZC19V	Функциональная тема	f	\N	CARDS	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	31	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 02:19:30.21136	10	\N	\N	\N
b08cac5b-4321-4219-af12-47a17f5ff045	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	\N	top	10	REGION_ACBXTKF97R	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-01-26 17:27:50.115055	10	\N	\N	\N
a09cb3cb-60c0-43ba-9a2c-716d70bbdab1	45a1f80e-3900-4f07-8cde-89e476b24529	\N	top	1	BREADCRUMB	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
451b7a5d-21e2-4f6a-8f6d-189c618a1493	81e71fbc-12fc-4713-9ef0-873bbe7ccc24	\N	top	1	BREADCRUMB	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
32538d11-fc5e-49cb-ba90-96019268fedf	8d795ae5-9e4c-47d3-a940-dcba059599ed	dd928fdc-d0c8-44bc-8b3f-29fea4007347	body	10	REGION_FWEKC1TQOK	REPORT_FILTER_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Отчету можно установить пользовательские фильтры данных по элементам формы.</p>\n<p>Для этого необходимо прописать правильное условие в запросе выборки данных отчета и передать необходимые параметры, которые будут ограничивать выборку.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-01 23:20:38.189652	10	f	\N	f
dcfe5d03-fe3f-4fa4-965e-2250255fad84	537cdd83-9057-43fe-8d89-2144884383f7	\N	top	10	REGION_CKYOGPJSV1	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-11 17:11:31.282421	10	\N	\N	\N
1d6022dc-5d7f-4c87-af44-6acaa68f23a0	3006c64d-7487-4960-bdfc-f8565c02fd11	d350e7af-cb57-469b-a8b8-35d20d9686ac	body	30	REGION_MKBA7ZCNLP	Кодовая область4	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:32:12.579058	10	f	\N	f
30bed65c-2ca6-439c-9e6a-896b90333850	3006c64d-7487-4960-bdfc-f8565c02fd11	1d6022dc-5d7f-4c87-af44-6acaa68f23a0	body	20	CODE_REDACTOR4	Код	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">jsAPI.refreshList({\n\tid: "P5200_SECOND_SELECT",\n\tpage: "5200",\n\titems: {\n\t\tP5200_FIRST_SELECT: \n            jsAPI.getItem("P5200_FIRST_SELECT")\n\t}\n})\n  \njsAPI.refreshList({\n\tid: "P5200_AUTOCOMPLETE",\n\tpage: "5200",\n\titems: {\n\t\tP5200_CLI_TYPE: \n            jsAPI.getItem("P5200_CLI_TYPE")\n\t}\n})</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:16:28.35467	10	f	\N	f
7ecee31e-2bc5-4b30-a751-5698b26fb576	8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	\N	top	1	BREADCRUMB	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
c520c2b8-c6ab-436a-a77d-c3aaa4b4786d	c1434e86-8781-437b-9dc6-8e3d43073659	f318c6ee-823b-4317-a428-6b0eed0da276	body	20	REGION_UBJ0U2JFKX	Загрузка файла XLSX	f	f	FORM	ALWAYS	\N	\N	\N	\N	3	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-08 04:02:57.196672	10	f	\N	f
4926a017-af1f-478f-a704-06804ae85ae9	aebc3f92-c789-4a1a-968a-7900d589269d	28b26034-666e-4d61-a209-a02a35ad3ab2	body	20	REGION_HA13Q1DPCQ	Список постоянных переменных текущей сессии	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	7	\N	SELECT *\nFROM utils.f_get_global_items($1::VARCHAR)\nORDER BY 1	{SESSION}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 04:30:02.717541	10	f	\N	\N
d303f9d2-b47d-41db-b126-f53f353b24f5	4303bd6b-83c3-4652-814f-c0b9b8e4958e	58a581dc-21a9-4e6c-82d6-beb1a8e08b33	body	30	REGION_QMVOFZAW2P	После процессинга	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-07-15 10:41:49.787767	10	f	\N	f
8ac49b11-22d9-4cf0-9f14-b5c3c442a62b	3006c64d-7487-4960-bdfc-f8565c02fd11	dccbde60-c912-4dc2-9b0e-b9a3f3cae790	body	30	REGION_QLGGF06VGN	Autocomplete	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-01-29 16:26:30.840791	10	f	\N	f
6c11e44f-1e16-438f-b7e8-6a8b5f96f95c	b9fdd2e2-f39c-4930-91d2-9eecd3626960	026a8d60-81d7-4bd6-b845-62d5e43d43ad	body	14	REGION_FWXARIP76L	CHAT_SEND_MESSAGE	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-01-29 17:45:57.33513	10	f	\N	f
8c14fe42-c448-4c83-a87b-6bf6e71acf8d	aee8cb58-83f0-4626-9cca-c1eacf279c23	f034db23-b059-4c79-b0ac-e3deacb4472b	body	6	PASSWORD	Ввод пароля	t	\N	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
30a80d1e-30f2-4f66-8fee-7aaf8e3204de	8d795ae5-9e4c-47d3-a940-dcba059599ed	dd928fdc-d0c8-44bc-8b3f-29fea4007347	body	20	REGION_S2NRW4RDYZ	REPORT_FILTER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-01 23:20:38.189684	10	f	\N	f
dd928fdc-d0c8-44bc-8b3f-29fea4007347	8d795ae5-9e4c-47d3-a940-dcba059599ed	1379c409-56a5-4729-86a7-a5bbaa73711b	body	14	REGION_864L1NBRME	Пользовательские фильтры	t	t	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-02-01 23:22:23.490012	10	f	\N	f
d454a1fb-88c6-428c-96e0-c2bc87abe4d1	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	2a3e8792-2a87-4aec-ad3d-15fc18dcf916	body	20	REGION_ZH4Z9YSWUG	Вызов функции	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-10 05:26:39.843566	10	f	\N	f
8451dce1-ad2a-4f49-bdcf-deb16e9a4429	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	c9a762d8-1411-465c-a213-76afc26a6ff6	body	10	REGION_2YCCPL9H26	FILTERS_TEXT	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	5	TEXT	<p>Графику можно установить пользовательские фильтры данных по элементам формы.</p>\n<p>Для этого необходимо прописать правильное условие в запросе выборки данных чарта и передать необходимые параметры, которые будут ограничивать выборку.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-19 08:49:44.823093	10	f	\N	f
c9a762d8-1411-465c-a213-76afc26a6ff6	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	3658215b-a6cd-41f4-83c7-06943ad29b31	body	35	REGION_09BZ6Y5JTQ	Пользовательские фильтры	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-01-31 14:55:08.484649	10	f	\N	f
e4bc2947-80e6-4793-9008-c3eaceb4753f	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	446481a9-c007-4ce9-bd03-6f00fec11528	body	9	COLUMN_SAMPLE	COLUMN_SAMPLE	\N	\N	CHART	ALWAYS	\N	\N	\N	\N	7	SQL	select 1 as order_num, 'I квартал' quater, 57::numeric as work_days, 33::numeric as days\r\nunion\r\nselect 2, 'II квартал', 60::numeric as work_days, 31::numeric as days\r\nunion\r\nselect 3, 'III квартал', 66::numeric as work_days, 26::numeric as days\r\nunion\r\nselect 4, 'IV квартал', 64::numeric as work_days, 28::numeric as days\r\norder by 1	\N	\N	\N	\N	f	f	\N	\N	\N	\N	\N	10	\N	\N	\N
0200c4d5-5c64-4065-a099-8b056b45cfef	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	3658215b-a6cd-41f4-83c7-06943ad29b31	body	25	10UYS2FRGH	Линия	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	t	f	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
dca544c2-bfca-4961-b1b9-09036600618d	ac59d725-9e81-4f45-893f-1ffd64fd6846	1137c567-5d60-4b9f-a348-a29ca3e9a859	body	30	REGION_UHPNI0HIIT	WRP_VERTICAL	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 05:53:24.052102	10	f	\N	f
2604b93b-e7a7-4fbd-8f98-19bf80c1d113	435789a1-16e5-45ca-8a20-154219bd753e	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
b0696e77-cf20-4c32-b9ae-699d132a8270	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
c22cd9f7-a763-423f-b7e2-048c14a4a4dc	e9492934-32f7-4818-b110-411d65aa65b9	\N	top	10	REGION_N14A0BC34V	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 06:15:55.967885	10	f	\N	f
15395fbd-625f-432e-94ed-fc90f3c249e7	ac59d725-9e81-4f45-893f-1ffd64fd6846	904a29f4-5199-46fb-b5df-c4793363f5fb	body	20	REGION_MBNO3ZHIGI	Отправления	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	t	f	\N	\N	\N	ADMIN	2024-07-11 13:25:11.380056	10	f	\N	f
0c4e2a16-c122-40b6-bcc1-1b99b4bf6d4d	acd31448-1daf-4a7b-a84a-c748350d7d1d	5623262e-850d-40d6-8ff6-2650fc095b34	body	30	RUM5XOWTYM	Обратный вызов AJAX	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:27:42.538358	10	f	\N	f
0a524b9a-2176-4c04-bd97-f885ef51fc06	e9492934-32f7-4818-b110-411d65aa65b9	\N	body	10	REGION_5PKWVS6UMT	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-16 06:15:55.967921	10	f	\N	f
026a8d60-81d7-4bd6-b845-62d5e43d43ad	b9fdd2e2-f39c-4930-91d2-9eecd3626960	d03505c0-87b0-460e-8ca0-30c04a9a6814	body	14	REGION_Z3Q7O9UR7T	CHAT_CONTAINER	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	5	\N	\N	\N	\N	\N	\N	f	f	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 05:23:50.985873	10	f	\N	f
9c2e96d0-58ac-46da-9c4d-866d3d880134	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	LIST	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
13869ad4-fe38-4022-b850-0c5f90edce5e	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	a321b7f1-fd69-4674-80f1-49d42ccb757b	body	10	REGION_PD0VV2VGJ8	Параметры	\N	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-01 23:28:38.7782	10	f	\N	f
85be2e7f-42d4-4542-91fe-9f343626db68	66172bff-a801-47bf-935a-25abd312e5df	34646f4d-21e0-4aae-916b-20742971e42f	body	10	REGION_J6QXED7GT0	jsAPI	f	f	CARDS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	27	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-02 20:30:53.004451	10	f	\N	f
34646f4d-21e0-4aae-916b-20742971e42f	66172bff-a801-47bf-935a-25abd312e5df	\N	body	10	REGION_TJIFJJYG0J	Дополнительно	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	\N	\N	ADMIN	2024-02-02 20:37:42.625929	10	f	\N	f
3a616c04-d951-408b-9e93-fd2f7a6883ee	aee8cb58-83f0-4626-9cca-c1eacf279c23	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
fa3fa7f8-8a1a-4aed-b201-e890b9002c5f	f48165f0-1892-4396-8145-b5ce2b29cdb4	\N	top	1	BREADCRUMB	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
769769b2-e7ea-4820-89fe-f854145cbb84	1402158f-55cf-47b1-88b6-30cadfded13a	\N	top	10	REGION_0JPYX57KI9	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 05:54:21.626134	10	\N	\N	\N
fa1f2c68-1bfe-4280-a840-a957d9808ff9	acd31448-1daf-4a7b-a84a-c748350d7d1d	\N	body	10	REGION_OHUZIY7Y0J	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-06-17 13:13:16.456221	10	f	\N	f
2a5c7b41-02a5-448d-aae7-ef59b2d633c3	8d795ae5-9e4c-47d3-a940-dcba059599ed	f50a8e90-1d30-4ef1-a205-a58c13ec27fa	body	11	COLUMN_OPTIONS_TEXT	COLUMN_OPTIONS_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Настройки столбцов отчёта позволяют:</p><ul>\r\n<li> изменить тип с текста на ссылку, установить для ссылки иконку</li> \r\n<li> добавить возможность сортировки</li> \r\n<li> включить столбец в список доступных для поиска</li> \r\n<li> задать маску вывода</li> \r\n<li> установить ширину, выравнивание и другие настройки отображения.</li>\r\n</ul>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
230bd935-47a7-4b7f-93cf-a197f0e1b10d	8d795ae5-9e4c-47d3-a940-dcba059599ed	d9a8131c-3c36-4026-8021-c2968811e40a	body	15	COLVAL_OPTIONS_TEXT	COLVAL_OPTIONS_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Обычно предполагается использование данного варианта для отображения результатов запроса, возвращающего одну строку, но возможно и получение выборки нескольких строк.</p><p>В этом случае появляется смысл в использовании настроек пангинаций и поиска.</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
fd78c24a-1e95-46c6-8fb9-37645e927cba	66172bff-a801-47bf-935a-25abd312e5df	34646f4d-21e0-4aae-916b-20742971e42f	body	20	REGION_ZW8N9QC5SV	Регионы	\N	\N	CARDS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	28	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-14 09:02:24.704259	10	\N	\N	\N
4c8d6bdf-202f-419d-aa9d-647f391c5358	896512ee-bca1-4fb3-8148-31dc61b0e8ff	\N	body	10	REGION_FEYM0QD9LI	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-12 05:55:18.340878	10	f	\N	f
ce83bce7-8501-4855-845e-00aa3c6a452f	8d795ae5-9e4c-47d3-a940-dcba059599ed	d9a8131c-3c36-4026-8021-c2968811e40a	body	17	COLVAL_COLUMN_TEXT	COLVAL_COLUMN_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Настройки столбцов отчёта позволяют:</p><ul>\r\n<li> изменить тип с текста на ссылку, установить для ссылки иконку</li> \r\n<li> включить столбец в список доступных для поиска</li> \r\n<li> задать маску вывода</li> \r\n<li> установить выравнивание и другие настройки отображения.</li>\r\n</ul>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
e0bcfb41-6457-478b-a226-4a3c58ff3bd1	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	\N	body	60	REGION_FBCXKS1DFO	CONTAINER	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-02-01 23:26:33.593522	10	f	\N	f
f38bbbfd-632c-4709-b5c6-c204844b23f4	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	a321b7f1-fd69-4674-80f1-49d42ccb757b	body	20	CHART_WITH_FILTER	CHART	\N	\N	CHART	ALWAYS	\N	\N	\N	\N	0	\N	SELECT CASE\n\t\t WHEN c.cli_type = 'FL' THEN 'Физ. лицо'\n         WHEN c.cli_type = 'UL' THEN 'Юр. лицо'\n\t   END cl_type,\n       COUNT(1)::NUMERIC cl_count\nFROM cli.t_clients c\nWHERE ($1::VARCHAR IS NULL OR EXTRACT(YEAR FROM c.date_of_birth) = $1::BIGINT)\nGROUP BY c.cli_type\nORDER BY 2 DESC	{P5022_YEAR_OF_BIRTH}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-01 23:28:38.778175	10	\N	\N	\N
a321b7f1-fd69-4674-80f1-49d42ccb757b	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	c9a762d8-1411-465c-a213-76afc26a6ff6	body	20	REGION_11VEC4DFU9	FILTER_CHART	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	7	\N	\N	\N	\N	\N	\N	f	f	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-02-01 23:28:38.778229	10	f	\N	f
3a09299e-b19c-45b2-8822-79f4349e2e5e	1402158f-55cf-47b1-88b6-30cadfded13a	60bc0d0c-8007-424a-8382-2c2f486a257e	body	20	REGION_EZTCQ72COW	Использование схем аутентификации	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Для использования схемы аутентификации необходимо реализовать механизм проверки подлинности данных пользователя.</p>\n<p>Такой механизм должен возвращать True, если проверка пройдена, и False - в обратном случае.</p>\n<p>Для схемы аутентификации указывается страница, на которой она будет использоваться. Страница должна быть типа LOGIN, а также иметь кнопку отправки страницы с запросом "LOG_IN". Также, такая страница должна быть публичной для доступа не идентифицированных пользователей к ней.</p>	\N	\N	\N	\N	f	f	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 07:29:28.515223	10	f	\N	f
973668b6-eda8-4c97-8792-3a27dbeac977	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	fa6e56aa-2138-4fda-8493-266b22d340d4	body	41	XIJWOO5S1F	Пример с множеством валидаций для проверки пароля на соответствие парольной политике	f	f	FORM	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	t	f	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:51:35.674448	10	f	\N	f
74d9e286-d3ab-449f-9742-f15765fc2c72	ac59d725-9e81-4f45-893f-1ffd64fd6846	dca544c2-bfca-4961-b1b9-09036600618d	body	30	REGION_OH4J3SC3BI	Код JS в calls.js	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">\nvar totalCalls = 0;\n</code></pre>	\N	\N	\N	\N	t	t	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 10:13:28.475056	10	f	\N	f
b8f136a8-fc76-45ae-ac73-7902593729c5	aebc3f92-c789-4a1a-968a-7900d589269d	28b26034-666e-4d61-a209-a02a35ad3ab2	body	30	REGION_4SQD0JWE35	Часто используемые встроенные переменные	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Временные:</p>\n<ul>\n    <li><b>REQUEST</b> - код запроса для выполнения необходимого процесса;</li>\n    <li><b>PAGE</b> - номер страницы;</li>\n    <li><b>RESPONSE</b> - выходной параметр выполненного процесса Ajax;</li>\n    <li><b>G01-G10</b> - для передачи аргументов вместе с кодом запроса, если таковые имеются;</li>\n</ul>\n<p>Постоянные:</p>\n<ul>\n\t<li><b>APP_USER</b> - username авторизованного на данный момент пользователя;</li>\n    <li><b>SESSION</b> - UUID сессии.</li>\n</ul>	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-03 08:17:31.322709	10	f	\N	f
03741a9a-60cb-4a06-8c46-385f58341a8f	896512ee-bca1-4fb3-8148-31dc61b0e8ff	4c8d6bdf-202f-419d-aa9d-647f391c5358	body	20	REGION_HDQD0TMAT7	CSS стили приложения	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 11:37:38.865567	10	f	\N	f
10c63284-c568-45c6-ad86-717b0af245b3	aebc3f92-c789-4a1a-968a-7900d589269d	28b26034-666e-4d61-a209-a02a35ad3ab2	body	10	REGION_ZEEQCLHNEV	Глобальные переменные	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Глобальные переменные - это переменные, которые доступны и повсеместно используются в приложении для хранения какого-либо значения.</p>\n<p>Страница с глобальными переменными располагается во вкладке “Глобальные”.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-02 03:30:55.147793	10	f	\N	f
97d97fa6-5752-4e23-b85b-923e76ee1d04	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	4cfd6b63-71e2-476d-9978-52907f925701	body	10	REGION_0PIE4CLZWA	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Состояние сессии – это механизм который позволяет разработчикам хранить и получать значения для пользователя, даже когда он переходит по разным страницам приложения.</p>\n<p>Каждый запрос страницы обрабатывается сервером как независимое событие, не связанное с какими-либо запросами страницы, которые произошли ранее или могут произойти в будущем. Чтобы получить доступ к значениям формы, введенным на одной странице, на следующей странице, значения должны быть сохранены в состояние сессии.</p>\n<p>XRAD предоставляет разработчикам возможность получать и устанавливать значения состояния сессии с любой страницы приложения.</p>	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 02:53:37.319547	10	f	\N	f
f417efa8-6bf1-4284-b9b2-01ade98d75c3	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	4cfd6b63-71e2-476d-9978-52907f925701	body	20	REGION_8WHZK2LVIR	Параметры текущей сессии	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	5	\N	SELECT *\nFROM utils.f_get_global_items($1::VARCHAR)\nORDER BY 1	{SESSION}	\N	\N	\N	t	f	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 03:09:41.282245	10	f	\N	\N
82bfddde-a19a-4639-9ca1-6cc356b703c9	c1434e86-8781-437b-9dc6-8e3d43073659	\N	body	21	TABLE	Таблица до 15х15 (файл: &P5550_UPLOAD_FILE.)	f	\N	REPORT	ITEM_IS_NOT_NULL	P5550_JSON_TEXT	\N	\N	\N	12	\N	SELECT * FROM demo.f_xlsx_to_grid($1::JSONB)	{P5550_JSON_TEXT}	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	ADMIN	2024-07-08 04:02:57.196672	ADMIN	2024-07-11 09:38:44.255254	10	f	\N	\N
dfac82d8-5676-4e67-b8d5-c2bab98c4d30	530154e2-764f-4bb8-bd69-f0e2d33dbe57	bf395e17-d479-46ec-b624-be7ae0b32a9d	body	10	BENEFITS	Форма	\N	\N	TABS	ITEM_IS_NULL	P3_LOGIN	\N	\N	\N	4	\N	\N	\N	\N	text-center	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 480, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	2024-01-25 13:20:53.788797	\N	2024-06-13 09:42:34.734538	10	f	\N	t
5ea97fb1-8963-4a73-94ff-6c0e03f65285	bd6b73f7-00c6-4985-927b-653e02f8c659	f8c32423-e4a9-447a-a280-3f3ff2ad17e2	body	1	REGION_DC19WVPLGP	Источник данных плиток	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-18 10:58:35.998196	10	f	\N	f
0d564cb0-4ae2-48ba-bbf2-0d659bf087b3	bd6b73f7-00c6-4985-927b-653e02f8c659	\N	top	10	REGION_BHB1C2PNHT	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-15 09:25:32.733183	10	\N	\N	\N
38a70eca-429f-4b65-9ee1-3f45e50fd16b	8d795ae5-9e4c-47d3-a940-dcba059599ed	d9a8131c-3c36-4026-8021-c2968811e40a	body	14	COLVAL_SAMPLE	COLVAL_SAMPLE	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	0	SQL	SELECT \tid\n\t\t,initcap(users.f_get_fi_by_id(l.id)) "name"\n\t  \t,l.date_created \n      \t,initcap(users.f_get_fi_by_id(l.created_by)) created_by\n\t\t,l.date_modified\n\t\t,initcap(users.f_get_fi_by_id(l.modified_by)) modified_by\t\t\nFROM users.t_user_list l\nwhere l.id = users.f$_usr_id($1)	{APP_USER}	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
b388b27e-7e8b-4b08-9fb9-63b1ef596f64	bd6b73f7-00c6-4985-927b-653e02f8c659	6e9c2142-30ed-453b-82a0-e1cf768ca1ba	body	30	YS3OV34OQL	Контрастная тема в 2 колонки с выравниванием по центру	f	\N	TILES	ALWAYS	\N	\N	\N	\N	0	\N	SELECT '328' title, 'Активных пользователей' text, '#41DE28' color, '<span class="uil uil-angle-up" style="color:#FFF">120 %</span>' descr, 'mdi mdi-account-multiple-outline' icon\nUNION ALL\nSELECT '42000.77', 'Прибыль', '#2C7ABB', 'За месяц', 'uil uil-bill'\nUNION ALL\nSELECT 'jsAPI', 'и Dynamic Actions', '#F5D501', '<a href="/#/content/5200" class="btn btn-xs btn btn-success">Перейти</a>', 'mdi mdi-language-javascript'	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 08:17:47.643363	10	\N	\N	\N
f8c32423-e4a9-447a-a280-3f3ff2ad17e2	bd6b73f7-00c6-4985-927b-653e02f8c659	\N	body	40	REGION_KFKGSGWCI3	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-05-15 11:52:08.044616	10	f	\N	f
4792a4bc-d659-421d-91f4-78ac45b87c1e	405ed4af-edc6-48b3-bf94-806103b3d2b7	\N	top	10	REGION_NYD8DMSN6D	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-02 03:49:21.678399	10	\N	\N	\N
6e9c2142-30ed-453b-82a0-e1cf768ca1ba	bd6b73f7-00c6-4985-927b-653e02f8c659	f8c32423-e4a9-447a-a280-3f3ff2ad17e2	body	21	REGION_Y8LXUG15UP	Параметры отображения плиток	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-15 11:55:29.742731	10	f	\N	f
6613023d-06de-46a6-adcf-43aaabd649b3	bd6b73f7-00c6-4985-927b-653e02f8c659	5ea97fb1-8963-4a73-94ff-6c0e03f65285	body	1	REGION_PI869YV4RS	Описание региона	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>Источником данных служит SQL запрос. Для редактирования оформления плиток используются следующие параметры:</p>\n	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 03:43:59.749317	10	f	\N	f
a6cef863-2856-4cc4-9d13-f099610fdf14	c1434e86-8781-437b-9dc6-8e3d43073659	f318c6ee-823b-4317-a428-6b0eed0da276	body	1	REGION_JCJAOGJEFY	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>В данном примере происходит конвертация XLSX файла в JSON, после чего по нему строится стандартный Report.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 04:24:26.64139	10	f	\N	f
f55836f9-b45d-434a-a093-7930c7639e97	405ed4af-edc6-48b3-bf94-806103b3d2b7	b56318f9-5efd-4936-b61b-b6c8d0f11c3b	body	20	REGION_6XVUDRS28G	Список глобальных процессов	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT * FROM utils.f_get_global_processes()	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 04:29:46.219126	10	f	\N	\N
17448262-1547-40ad-ae12-8fa5ad8a8af1	bd6b73f7-00c6-4985-927b-653e02f8c659	6e9c2142-30ed-453b-82a0-e1cf768ca1ba	body	2	REGION_OLUPZXFWIL	Темы оформления плиток	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>Для плиток реализовано несколько разных тем, по аналогии с регионом "Карточки".</p>\n<p>Для текста внутри плитки также можно выбрать разные варианты выравнивания: слева, справа и по центру.</p>\n<p>Помимо тем отображения плиток есть также два вида расположения клеток: в виде цельной сетки элементов и в виде отдельных элементов.</p>\n<p>Для иконок можно выбрать контрастный режим отображения. Иконки в таком случае будут белого цвета на цветном фоне.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 12:52:45.322898	10	f	\N	f
f7f63acd-6e34-4203-aff5-8dc5e96e7754	3bb65c15-0e65-4e02-802e-9f0d39a5685c	\N	body	10	REGION_XC24VKD7FI	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-08 07:42:14.502603	10	f	\N	f
5e5392f6-549b-42e2-a5b9-46716e92cf29	bd6b73f7-00c6-4985-927b-653e02f8c659	6e9c2142-30ed-453b-82a0-e1cf768ca1ba	body	40	4NMG5C4G0N	Горизонтальная тема в 1 колонку с выравниванием справа	f	\N	TILES	ALWAYS	\N	\N	\N	\N	0	\N	SELECT '328' title, 'Активных пользователей' text, '#41DE28' color, '<span class="uil uil-angle-up" style="color:#41DE28">120 %</span>' descr, 'mdi mdi-account-multiple-outline' icon\nUNION ALL\nSELECT '42000.77', 'Прибыль', '#2C7ABB', 'За месяц', 'uil uil-bill'\nUNION ALL\nSELECT 'jsAPI', 'и Dynamic Actions', '#F5D501', '<a href="/#/content/5200" class="btn btn-xs btn btn-success">Перейти</a>', 'mdi mdi-language-javascript'	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 08:17:47.643422	10	\N	\N	\N
5532766b-0cf2-4009-bf75-4e81e9c7d7a8	129c0d3a-01f7-497f-b996-d9113ab7f318	\N	left	1	TREE	TREE	\N	\N	TREE	ALWAYS	\N	\N	\N	\N	12	\N	select r.id, NULL id_fk, r.name, 'javascript:treeRefresh('''||r.id||''')' link from roles.t_roles r	\N	\N	\N	\N	f	t	{"preset": null, "bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": true, "headerBorder": true, "regionBorder": false, "footerPadding": true, "headerPadding": true, "bodyBackground": true, "containerWidth": null, "childrenPadding": true, "footerBackground": true, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
950d02de-c9f4-4038-bbb3-8bacaadc12ee	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	64d3c604-d072-49c3-939f-869fef40b2bd	body	20	REGION_9VMPOI3QUT	Базовая тема	\N	\N	CARDS	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	31	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 02:19:30.211421	10	\N	\N	\N
42bae70e-5f1f-48f4-81df-4f7d0721d26a	bd6b73f7-00c6-4985-927b-653e02f8c659	6e9c2142-30ed-453b-82a0-e1cf768ca1ba	body	50	7QO2ETIE4N	Горизонтально-контрастная тема с контрастными иконками	f	\N	TILES	ALWAYS	\N	\N	\N	\N	0	\N	SELECT '328' title, 'Активных пользователей' text, '#41DE28' color, '<span class="uil uil-angle-up" style="color:#FFF">120 %</span>' descr, 'mdi mdi-account-multiple-outline' icon\nUNION ALL\nSELECT '42000.77', 'Прибыль', '#2C7ABB', 'За месяц', 'uil uil-bill'\nUNION ALL\nSELECT 'jsAPI', 'и Dynamic Actions', '#F5D501', '<a href="/#/content/5200" class="btn btn-xs btn btn-success">Перейти</a>', 'mdi mdi-language-javascript'	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 08:17:47.643461	10	\N	\N	\N
c98233b2-bb03-4c8c-b227-4e2e06a10c09	cb515bef-e70c-44f4-9199-5e8369ad3aa1	\N	body	10	REGION_E3WKTP8X3E	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-05-16 12:32:54.445619	10	f	\N	f
179b11e5-42a6-4b78-89d1-6b1e87caafbc	bd6b73f7-00c6-4985-927b-653e02f8c659	6e9c2142-30ed-453b-82a0-e1cf768ca1ba	body	20	0BYFAM82HN	Классическая  тема в 3 колонки с раздельными плитками	f	\N	TILES	ALWAYS	\N	\N	\N	\N	0	\N	SELECT '328' title, 'Активных пользователей' text, '#41DE28' color, '<span class="uil uil-angle-up" style="color:#41DE28">120 %</span>' descr, 'mdi mdi-account-multiple-outline' icon\nUNION ALL\nSELECT '42000.77', 'Прибыль', '#2C7ABB', 'За месяц', 'uil uil-bill'\nUNION ALL\nSELECT 'jsAPI', 'и Dynamic Actions', '#F5D501', '<a href="/#/content/5200" class="btn btn-xs btn btn-success">Перейти</a>', 'mdi mdi-language-javascript'	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 12:52:45.322978	10	\N	\N	\N
2e22fd47-4362-420b-91e7-f0292d2abf2e	cb515bef-e70c-44f4-9199-5e8369ad3aa1	c98233b2-bb03-4c8c-b227-4e2e06a10c09	body	40	JQA9KKXAMZ	Tiles 4	f	f	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#3F6AD8' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#D92550' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#F7B924' color, 'mdi mdi-rotate-3d' icon\n	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 13:01:04.369015	10	f	\N	f
430e773a-5ab6-4385-9115-93d1c3b3eb20	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	866e0cb4-cb04-4e1d-8b1f-26a644baeb59	body	22	5B97TJV4EC	POST-form	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 05:48:32.798439	10	f	\N	f
6496c5e2-4d6f-42a5-89d8-eadcb7a72c11	cb515bef-e70c-44f4-9199-5e8369ad3aa1	c98233b2-bb03-4c8c-b227-4e2e06a10c09	body	30	J5LLA8JEFB	Tiles 3	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#41DE28' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#F7B924' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#444054' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#D92550' color, 'mdi mdi-rotate-3d' icon\n	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 12:59:37.850195	10	\N	\N	\N
c5dbef67-6fb4-43fc-b033-5e58c0f870ea	cb515bef-e70c-44f4-9199-5e8369ad3aa1	\N	top	10	REGION_Y251MRBTPV	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 12:53:57.231223	10	f	\N	f
46c0a8bf-acb9-41fc-a5cc-26622ef65a05	bd6b73f7-00c6-4985-927b-653e02f8c659	f8c32423-e4a9-447a-a280-3f3ff2ad17e2	body	3	REGION_P2FK2CUI78	На весь экран	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-18 10:58:14.666769	10	f	\N	f
b56318f9-5efd-4936-b61b-b6c8d0f11c3b	405ed4af-edc6-48b3-bf94-806103b3d2b7	\N	body	10	REGION_PB1FNB6KD2	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-02 03:49:21.678467	10	f	\N	f
fb9251d1-45ab-4df2-aa67-e66f5b5b9960	129c0d3a-01f7-497f-b996-d9113ab7f318	\N	body	2	PAGES	Страницы	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT DISTINCT ON (ap.id, ap.name) ap.id, ap.name, ap.id del\nFROM roles.t_role_access ua \nJOIN roles.v_app_pages ap ON ap.id = ua.id_page\nWHERE ua.id_role = $1	{P1100_ID}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-11 17:05:37.260036	10	f	\N	\N
ed6d16d8-dcd1-4ca8-90d3-e6d8e5e41e82	acd31448-1daf-4a7b-a84a-c748350d7d1d	50c77f79-71dc-406a-bd36-bea0d61c57d6	body	10	REGION_5M0WQTP9Z4	Before page load	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Процесс' title, 'До загрузки страницы' text, '#2ebfbc' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:14:32.958786	10	\N	\N	\N
bab6eccc-9b5c-4f1b-bf86-557019239bd4	405ed4af-edc6-48b3-bf94-806103b3d2b7	b56318f9-5efd-4936-b61b-b6c8d0f11c3b	body	10	REGION_OM60YUCM2H	Глобальные процессы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Глобальный процесс – это процесс XRAD не имеющий привязки к какой-либо странице. Такие процессы, так же как и процессы на страницах, выполняются по команде от приложения (REQUEST).</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-02 03:49:21.678497	10	f	\N	f
1bd5c922-77b7-498f-a3ad-e8485444231f	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	fa6e56aa-2138-4fda-8493-266b22d340d4	body	31	REGION_Y8F0AF01VC	Пример с валидацией, привязанной к элементу	\N	f	FORM	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:51:35.674317	10	f	\N	f
e6abe437-c000-44b0-a2d5-33bbacd0aa1e	cb515bef-e70c-44f4-9199-5e8369ad3aa1	c98233b2-bb03-4c8c-b227-4e2e06a10c09	body	10	REGION_42A04PHBBK	Tiles 1	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#F7B924">200 %</span>' descr, '#41DE28' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#F7B924">200 %</span>' descr, '#D92550' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#D92550">200 %</span>' descr, '#3F6AD8' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#41DE28">200 %</span>' descr, '#F7B924' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#41DE28">200 %</span>' descr, '#3F6AD8' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#F7B924">200 %</span>' descr, '#41DE28' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#3F6AD8">200 %</span>' descr, '#D92550' color, 'mdi mdi-rotate-3d' icon\n	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 12:55:31.046538	10	\N	\N	\N
f11167bd-3e47-485e-b622-f56ecdc2eab3	cb515bef-e70c-44f4-9199-5e8369ad3aa1	c98233b2-bb03-4c8c-b227-4e2e06a10c09	body	20	XGS3YITSV1	Tiles 2	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#F7B924">200 %</span>' descr, '#41DE28' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#F7B924">200 %</span>' descr, '#D92550' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#D92550">200 %</span>' descr, '#3F6AD8' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#41DE28">200 %</span>' descr, '#F7B924' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#41DE28">200 %</span>' descr, '#3F6AD8' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#F7B924">200 %</span>' descr, '#41DE28' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#3F6AD8">200 %</span>' descr, '#D92550' color, 'mdi mdi-rotate-3d' icon\n	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 12:56:06.71952	10	\N	\N	\N
2caca189-d137-45e9-9b8d-b03cc093a5f3	cb515bef-e70c-44f4-9199-5e8369ad3aa1	c98233b2-bb03-4c8c-b227-4e2e06a10c09	body	50	GM461GY0EA	Tiles 5	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#3F6AD8' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#F7B924' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#444054' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#D92550' color, 'mdi mdi-rotate-3d' icon\nUNION ALL\nSELECT '20 000р' title, 'Чистая прибыль' text, '<span class="uil uil-angle-up text-right" style="color:#FFF">200 %</span>' descr, '#3F6AD8' color, 'mdi mdi-rotate-3d' icon\n	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 13:03:13.189964	10	\N	\N	\N
2a3e8792-2a87-4aec-ad3d-15fc18dcf916	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	a88b9b7a-abdd-4c11-a12f-3bc3c69cf347	body	10	REGION_57QWHAB48M	API для доступа к данным	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-06-19 11:24:42.897149	10	f	\N	f
bdf2cb37-8b42-45d9-8ff5-2ab1752b5426	b6b32f07-21ba-4f6a-b02a-211725303cd5	c03c1758-decd-418a-b999-57de80ab88fc	body	2	ROLES	Роли	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT r.name\r\n      ,ru.date_created\r\n      ,ul.username created_by\r\n      ,ru.id del\r\n  FROM roles.t_role_users ru\r\n   \t  ,roles.t_roles r\r\n      ,users.t_user_list ul\r\n WHERE r.id = ru.role_id\r\n   AND ru.created_by_id = ul.id\r\n   AND ru.user_id = $1::integer	{P20_ID_USER}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
62345403-181e-4e01-9e9d-b67f0fc8d79d	fe04fae4-186f-429b-bf4f-3e3afd4b7141	\N	body	20	REGION_4P1LOR8P29	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-05-28 06:52:08.987957	10	f	\N	f
a88b9b7a-abdd-4c11-a12f-3bc3c69cf347	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	\N	body	10	REGION_CNYT9BU0V1	WRAPPER	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-06-07 12:21:01.004387	10	f	\N	f
feafd7cb-a8d4-4a8f-84c8-094831cea495	9361b40f-16b6-4110-8089-16abba870bae	\N	top	10	REGION_IIFMFRNSZK	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-08 05:46:41.487458	10	f	\N	f
bca3a466-f226-43c0-b864-d7eea2c81096	9361b40f-16b6-4110-8089-16abba870bae	\N	body	10	REGION_DVKN3LQZY0	Погода	\N	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-08 05:46:41.487458	10	f	\N	f
cb3709d3-c47e-4e99-9df0-c7d601863840	fe04fae4-186f-429b-bf4f-3e3afd4b7141	\N	top	10	REGION_AL8DXV950C	BREADCRUMB	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 20:10:55.242333	10	f	\N	f
2ccd1d49-c12e-4c67-85c3-c5e327f45bc7	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	beab9a2d-96dd-4f71-9601-f8c3c49f4c88	body	10	REGION_69KVR3H41O	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Сессия — это логическая конструкция, которая устанавливает постоянство (или поведение с отслеживанием состояния) при просмотре страниц.</p>\n<p>Каждой сессии присваивается уникальный идентификатор. XRAD использует этот идентификатор для хранения и извлечения рабочего набора данных приложения до и после каждого просмотра страницы. Поскольку сеансы полностью независимы друг от друга, в базе данных может существовать любое количество сеансов одновременно. Пользователь также может запускать несколько экземпляров приложения одновременно в разных программах браузера.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 03:09:41.276536	10	f	\N	f
732079ec-f7cb-4183-8c9f-c4fef90e0c85	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	\N	top	10	REGION_ROJ2L8AC5J	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 10:47:33.814785	10	\N	\N	\N
798c4fd0-8ca4-4949-9801-1ffa3a07dae6	fe04fae4-186f-429b-bf4f-3e3afd4b7141	62345403-181e-4e01-9e9d-b67f0fc8d79d	body	10	REGION_RJSKXH68I4	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Датагрид является аналогом репорта с существенным отличием: записи в регионе можно добавлять, изменять и удалять строки данных.</p>\n<p>В атрибутах региона можно настроить следующие параметры:</p>\n<ul>\n    <li>Разрешенные операции - какие операции по манипуляции с данными разрешены.</li>\n    <li>Авторизация на редактирование - указывается, какая схема авторизации используется для допуска к определенного действия с данными. Выбор схемы доступен только для разрешенной операции.</li>\n    <li>Отобразить Null как - текст, который замещает Null из результирующего запроса.</li>\n    <li>Панель инструментов - определяет, показывать ли панель и какие кнопки панели.</li>\n</ul>\n<p>Помимо этого, в датагриде можно менять последовательность колонок простым перетаскиванием заголовка колонки в необходимое место. Также, существующие строки можно дублировать.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-05-16 21:00:38.412987	10	f	\N	f
811afe45-9e7f-4504-9e07-ab8e67cde50f	9361b40f-16b6-4110-8089-16abba870bae	\N	body	20	REGION_SNFYXGVAKK	Новый регион	\N	\N	CHART	ALWAYS	\N	\N	\N	\N	12	\N	select to_char(t1.time_val,'DD"-"HH24:MI') time_val, t2.temp_val from  \n(select ROW_NUMBER() over() rn, to_timestamp(time_tbl,'yyyy-mm-dd"T"hh24:mi') time_val  from json_array_elements_text($1) time_tbl) t1,\n(select ROW_NUMBER() over() rn, temp_tbl::numeric temp_val  from json_array_elements_text($2) temp_tbl) t2\nwhere t1.rn = t2.rn\norder by t1.time_val\n               \n             \n\n	{P6400_TIME,P6400_TIME_TEMP}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-08 05:46:41.487458	10	\N	\N	\N
55133104-091a-4470-8333-7847c223e5ff	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	2b15f725-9d38-429f-9963-b89fb6e74718	body	21	UR4WC9YOBV	POST-tile	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'POST' title, 'Запрос' text, 'mdi mdi-upload' icon, '#D7B76A' color, '2 varchar-аргумента' descr	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 05:55:59.651055	10	\N	\N	\N
906d79b1-bcab-4242-9230-0167137544bb	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	50	REGION_QSH8P30AMB	Процессинг	f	\N	CARDS	SQL_EXPRESSION	roles.f$rls('6000',users.f$_usr_id($1)) or\nroles.f$rls('6400',users.f$_usr_id($1)) or\nroles.f$rls('6500',users.f$_usr_id($1)) or\nroles.f$rls('9000',users.f$_usr_id($1)) or\nroles.f$rls('9050',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	\N	\N	\N	36	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:27:15.116881	10	\N	\N	\N
b757ce40-0827-4ff0-971f-d99659551fe3	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	10	MENU1	Разметка	\N	\N	CARDS	ALWAYS	\N	\N	\N	\N	12	LIST	\N	\N	30	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
cca51aa0-2f12-4553-a926-6ec6a4d11e25	129c0d3a-01f7-497f-b996-d9113ab7f318	\N	body	1	ROLE	Роль	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT  r.id  link\n      ,r.short_name\n      ,r.name\n      ,r.description\n      ,NULL parent \n  FROM roles.t_roles r  WHERE r.id = $1	{P1100_ID}	\N	\N	\N	t	t	{"preset": null, "bodyBorder": true, "gridLayout": "grid", "bodyPadding": false, "footerBorder": true, "headerBorder": true, "regionBorder": false, "footerPadding": true, "headerPadding": true, "bodyBackground": true, "containerWidth": null, "childrenPadding": true, "footerBackground": true, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
ccb7ca4f-5fef-40e0-94c3-bcaf06e64dfe	c157113b-bd24-49df-84a2-62c280bd48b9	\N	top	10	REGION_NG97P7J2CV	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-08 05:46:59.744722	10	f	\N	f
2b8844c9-3645-42be-9201-9a37f79a93cf	c157113b-bd24-49df-84a2-62c280bd48b9	\N	body	30	REGION_OT3YQJQ5YK	Поиск фильма	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-08 05:46:59.744722	10	f	\N	f
9813f07b-e99a-4af6-afd9-41a130f5a7ec	c157113b-bd24-49df-84a2-62c280bd48b9	2b8844c9-3645-42be-9201-9a37f79a93cf	body	10	REGION_F8F11MBTMD	Параметры запроса	\N	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-08 05:46:59.744722	10	f	\N	f
da262370-4d52-422a-8cfd-ddfc8d3e7141	eb8b0a5d-776a-450d-93b4-527b4734fa8c	\N	body	10	REGION_1BMCDHQV52	MDI	\N	\N	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	 <iframe id="mdi-frame" class="demo-icons-frame custom-scrollbar" src="/files/icons-demo/mdi.html?v=1" width="100%" height="780" border="0">\n </iframe>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	2024-06-14 12:13:03.264672	\N	2024-06-18 08:50:31.932045	10	f	\N	\N
a40ec4d0-aff2-4c47-9e5e-438c2ff7ac06	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	\N	top	10	REGION_O2LD1CUM1M	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-02 14:52:43.792155	10	\N	\N	\N
2b15f725-9d38-429f-9963-b89fb6e74718	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	2a3e8792-2a87-4aec-ad3d-15fc18dcf916	body	30	YIBHMIZ239	Вызов функции с передачей аргументов	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 05:48:32.798496	10	f	\N	f
7f16d3fb-050c-4af1-abf5-26c5d59e9d76	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	b71afcd2-340f-4c25-9114-91570e5b2118	body	20	REGION_JXJAZ334MT	GET-form	\N	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 05:52:08.239112	10	f	\N	f
96c51e59-2771-46c3-9244-dc8dcdbf71f0	e489d8ca-9b10-473a-8d68-2669f2c3e877	\N	body	10	REGION_IZ8Q6Q81BG	Уведомление	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-02 14:53:32.898184	10	f	\N	f
d349a5db-ea12-4b8f-ad87-5dabb2cf5cf2	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	\N	body	10	REGION_IOWN80UGF7	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-02 14:55:34.43193	10	f	\N	f
31bde4c1-496c-4b8d-b792-31b8c30827d5	9361b40f-16b6-4110-8089-16abba870bae	\N	body	5	REGION_THEHZW42EW	RESTFull Процессы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	Страница демонстрирует использование REST процесса.<br>\nЕсли архитектура вашего приложения или системы <b>микросервисная/сервис-ориентированная</b> и предполагает использование удаленных источников данных, которые поставляются по API - вы можете использовать REST процессы для доступа к этим данным. <br>\nВ данном примере, при загрузке страницы приложение вызывает REST процесс, который обращается к сервису получения данных о погоде. Запрос осуществляется непосредственно с сервера приложения (XSQUARE - PGHS).<br>\nREST процесс отправляет GET запроса на адрес https://api.open-meteo.com/v1/forecast, в качестве url параметров используются статичные значения. Полученный ответ (в формате json) разбирается сервером приложения и помещается в элементы формы, которые отображаются конечному пользователю. <br>\nДля разбора ответа в формате json XRAD предлагает использовать язык запроса к json JMESPath.<br> Более подробно о спецификации языка можно прочитать на официальном сайте - https://jmespath.org/	\N	\N	\N	\N	t	t	\N	ADMIN	2024-07-08 05:46:41.487458	ADMIN	2024-07-08 05:46:41.487458	10	f	\N	f
29c10485-4e5b-4893-b16d-9dfb4dac2d25	232dee12-c7d7-4237-9cd0-d8060d7b0c62	\N	body	1	PARAMS	Параметры	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT s.id,\n       s.code,\n       s.name,\n       SUBSTR(s.c1, 1, 50) || CASE\n                                WHEN SIGN(LENGTH(s.c1) - 50) = 1 THEN ' ...'\n                                ELSE ''\n                              END c1,\n       to_char(s.n1,'FM999G999G999G999G990D00') n1,\n       s.d1\nFROM pref.t_parameters s\norder by s.id\n	\N	\N	\N	\N	t	t	{"preset": null, "bodyBorder": true, "gridLayout": "grid", "bodyPadding": false, "footerBorder": true, "headerBorder": true, "regionBorder": false, "footerPadding": true, "headerPadding": true, "bodyBackground": true, "containerWidth": null, "childrenPadding": true, "footerBackground": true, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
beab9a2d-96dd-4f71-9601-f8c3c49f4c88	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	4de6a94f-056c-4c4b-a759-7af96e04a466	body	20	REGION_4M38EHU1QN	Сессии	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 03:09:41.276499	10	f	\N	f
1c076929-9495-4b44-a07f-047aef8289b2	c157113b-bd24-49df-84a2-62c280bd48b9	2b8844c9-3645-42be-9201-9a37f79a93cf	body	5	REGION_GFF48XFAKT	RESTFull Процессы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	Страница демонстрирует использование REST процесса.<br>\nПри загрузке страницы приложение вызывает REST процесс, который обращается к сервису получения данных о фильмах. Запрос осуществляется непосредственно с сервера приложения (XSQUARE - PGHS).\nПример демонстрирует отправку GET запроса, с установленными HEADER и URL параметрами. <br>\nПолученный ответ (в формате json) отправляется в функцию обработки на стороне бизнес базы. Функция разбирает ответ и отдаёт полученную информацию в виде таблицы.	\N	\N	\N	\N	t	t	\N	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-08 05:46:59.744722	10	f	\N	f
bddda6c9-05e3-4573-a83e-199ac6f5e4d7	c157113b-bd24-49df-84a2-62c280bd48b9	2b8844c9-3645-42be-9201-9a37f79a93cf	body	20	REGION_HDT1BD08A9	Информация о фильме	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	select * from films.t_films	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	ADMIN	2024-07-08 05:46:59.744722	ADMIN	2024-07-19 07:26:41.303178	10	f	\N	\N
dd2d700b-e0e5-4c56-bba8-f291bf9f0f1d	3006c64d-7487-4960-bdfc-f8565c02fd11	dccbde60-c912-4dc2-9b0e-b9a3f3cae790	body	20	SELECT_LISTS	Select List	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-11 19:34:15.576825	10	f	\N	f
1a102be7-b079-4b8b-b48b-e881d43e4269	36594c2a-5142-48ca-95ec-0c34b4913fe4	\N	body	2	ACCESS	Права доступа	f	\N	PAGE_NAV	SQL_EXPRESSION	roles.f$rls('1100',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	LIST	\N	\N	4	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
9d6d474c-59bf-4778-929b-14630854e61b	7b6bfa2d-1d08-423c-a9ba-bfb9cc9dea65	d349a5db-ea12-4b8f-ad87-5dabb2cf5cf2	body	10	NOTIFICATIONS	Уведомления	\N	\N	PAGE_NAV	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	34	\N	\N	f	t	\N	\N	\N	ADMIN	2024-07-03 08:00:07.375036	10	\N	\N	\N
2e9d19df-310a-49b3-bc3b-1de8489f7226	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	60	REGION_55GBJC4LBW	Элементы xRAD	f	\N	CARDS	SQL_EXPRESSION	roles.f$rls('6100',users.f$_usr_id($1)) or\nroles.f$rls('6200',users.f$_usr_id($1)) or\nroles.f$rls('6300',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	\N	\N	\N	37	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:27:15.116956	10	\N	\N	\N
63e2c5b4-f43e-4028-89cc-9a1c9ea9989b	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	\N	top	10	REGION_NOG87ZUD87	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-07 12:07:57.248004	10	f	\N	f
fa6e56aa-2138-4fda-8493-266b22d340d4	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	15f58e92-4f38-4c1e-b1fe-8b1773b22793	body	10	REGION_D4ZMYCI7P8	Валидации	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-06-19 11:23:34.46041	10	f	\N	f
c158c64e-7925-43b5-ab39-3c717fe698d1	1402158f-55cf-47b1-88b6-30cadfded13a	\N	body	10	REGION_TF1Q0VFST5	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-08 05:51:15.863209	10	f	\N	f
15f58e92-4f38-4c1e-b1fe-8b1773b22793	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	\N	body	10	REGION_WSRQUD1HGU	WRAPPER	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-06-17 11:58:21.199613	10	f	\N	f
5248fab0-65e1-48e7-b51f-b46cd9dd6e27	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	fa6e56aa-2138-4fda-8493-266b22d340d4	body	10	REGION_HRVSL5T7HH	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Валидация - это проверка корректности введенных пользователем данных в поля ввода формы.</p>\n<p>Валидация срабатывает при каждой отправке страницы, если не указаны условия ограничения.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 12:05:01.970277	10	f	\N	f
0f605667-ab00-40ea-a89d-861aa588f06e	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	4de6a94f-056c-4c4b-a759-7af96e04a466	body	30	REGION_1AGMOTE8QD	Продолжительность жизни сессии	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 03:56:53.256652	10	f	\N	f
5c776269-6ce3-47df-a8e0-f7323d9b4458	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	0f605667-ab00-40ea-a89d-861aa588f06e	body	20	REGION_V4XWLP1QTH	Время жизни сессий	f	f	FORM	ALWAYS	\N	\N	\N	\N	3	\N	\N	\N	\N	\N	\N	f	f	\N	\N	\N	ADMIN	2024-07-18 03:09:58.348468	10	f	\N	f
23a0ba16-b01a-4c1e-ae0d-bfe094442a8b	acd31448-1daf-4a7b-a84a-c748350d7d1d	5623262e-850d-40d6-8ff6-2650fc095b34	body	20	REGION_RT7HOXZ4FK	Обработка	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:27:42.538493	10	f	\N	f
3b877ebd-6ff9-4ff7-8013-6b99a705ec74	acd31448-1daf-4a7b-a84a-c748350d7d1d	432f9514-db1c-41c3-b2b7-dfb489c2ec5d	body	53	8RVE6B4066	Описание 4	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Такой процесс также выполняется при отправке формы на сервер. Его отличие от обычного процесса - он выполняет загрузку файла.</p>\n<p>Пример такого процессинга можно посмотреть, перейдя из бокового меню "Модули" на страницу <a href="/#/content/5500">"5500 - xREPORTS – генерация"</a>. Процесс загрузки файла выполняется при формировании выбранного отчета.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 08:26:07.064875	10	f	\N	f
0dd07c14-60d4-44b3-89c3-703336591c02	e489d8ca-9b10-473a-8d68-2669f2c3e877	\N	footer	10	REGION_ZKZQWNF8BV	BTN	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-03 07:23:02.644208	10	f	\N	f
8710e362-6a9b-4df9-9040-35ff1792562c	c7d28294-b69b-407e-88b3-1bc14126346e	\N	body	10	REGION_WNPVYCTUD6	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-04 09:46:30.267778	10	f	\N	f
100a2463-a254-45bd-b004-232efffd80fd	1402158f-55cf-47b1-88b6-30cadfded13a	60bc0d0c-8007-424a-8382-2c2f486a257e	body	10	REGION_V5A2MQEAHO	Схемы аутентификации приложения	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	6	\N	SELECT * FROM utils.f_get_authentication_schemas()	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 04:28:49.082465	10	f	\N	\N
7f8f4a32-b9ed-4c1e-b52e-c733c95f5bdc	bb3ac1a5-026d-4edb-aa34-6a4266875a1b	\N	body	10	REGION_M0ND6GTZPE	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT 'Доступно' title,\n       '#15C283' color,\n       'mdi mdi-check-circle-outline' icon	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-09 05:41:41.398287	ADMIN	2024-07-09 05:41:41.398287	10	\N	\N	\N
ebeaf697-0a30-4714-8347-aa7f41859549	acd31448-1daf-4a7b-a84a-c748350d7d1d	50c77f79-71dc-406a-bd36-bea0d61c57d6	body	20	REGION_8D8SA56K9H	Описание	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Процессы данного вида выполняются непосредственно перед загрузкой страницы. Их основное назначение подготовить окно для взаимодействия с пользователем (например заполнить поля формы значениями из БД).</p>\n<p>Пример процессинга до загрузки страницы можно посмотреть перейдя из бокового меню на страницу "Администрирование", потом на страницу "Пользователи", далее - перейдя на страницу информации о пользователе <a href="/#/content/20">"20 - Пользователь"</a>.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:14:32.958841	10	f	\N	f
2778616c-1ac8-4a36-a660-68e31faeac22	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	973668b6-eda8-4c97-8792-3a27dbeac977	body	11	REGION_7DTHDSEGK0	Парольная политика	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Пароль должен содержать:</p>\n<ul>\n    <li>Минимум 1 цифру</li>\n    <li>Минимум 1 букву верхнего регистра</li>\n    <li>Всего минимум 8 символов</li>\n</ul>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 12:33:38.123293	10	f	\N	f
0af8be3d-8fc0-4e6e-81bc-d0e8a04a73a4	acd31448-1daf-4a7b-a84a-c748350d7d1d	432f9514-db1c-41c3-b2b7-dfb489c2ec5d	body	52	WJFI011L1W	Download	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Процесс' title, 'Загрузка' text, '#3caf85' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:19:58.342493	10	\N	\N	\N
994c140b-fcc5-4c5c-aadc-0a7171fd8158	3bb65c15-0e65-4e02-802e-9f0d39a5685c	f7f63acd-6e34-4203-aff5-8dc5e96e7754	body	10	REGION_8QKSR51OZ5	WRP1	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 07:43:33.927095	10	f	\N	f
50c77f79-71dc-406a-bd36-bea0d61c57d6	acd31448-1daf-4a7b-a84a-c748350d7d1d	5623262e-850d-40d6-8ff6-2650fc095b34	body	10	REGION_AF29DPMIWX	До загрузки страницы	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:31:00.754898	10	f	\N	f
5d64d2e6-5847-4e46-9c83-1b87a7456516	3bb65c15-0e65-4e02-802e-9f0d39a5685c	\N	top	10	REGION_8GN1B09Z6A	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 07:44:35.908385	10	\N	\N	\N
95c49c2d-e3b4-478a-a132-5bc65c81d952	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	20	MENU_SECOND	Компоненты	\N	\N	CARDS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	31	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 11:30:53.205656	10	\N	\N	\N
5b3716e4-f1a2-47cb-af48-bddc66064996	c7d28294-b69b-407e-88b3-1bc14126346e	\N	top	10	REGION_V8YU4B9GOC	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-04 08:57:07.96554	10	f	\N	f
9e8b763c-9d31-4110-8837-7f873b64a662	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	\N	top	10	REGION_Q4ZWKLI5CP	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 06:32:06.537982	10	f	\N	f
432f9514-db1c-41c3-b2b7-dfb489c2ec5d	acd31448-1daf-4a7b-a84a-c748350d7d1d	5623262e-850d-40d6-8ff6-2650fc095b34	body	40	NNVXGZFF2V	Загрузки	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:27:42.538623	10	f	\N	f
94af791d-1a2a-43e3-99b6-6f25ec223a15	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	\N	body	10	REGION_SE175IBE5G	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-09 06:32:06.538032	10	f	\N	f
33ff3023-41f8-4085-88d3-b3edd711b278	acd31448-1daf-4a7b-a84a-c748350d7d1d	\N	top	10	REGION_E1POOC4OLM	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 14:02:08.099272	10	f	\N	f
3b65c66c-b5cb-4810-88be-b3df38f12b3e	acd31448-1daf-4a7b-a84a-c748350d7d1d	23a0ba16-b01a-4c1e-ae0d-bfe094442a8b	body	30	CEF6Q23COA	Processing	f	f	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Процесс' title, 'Обработка' text, '#309fdb' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:14:32.956584	10	f	\N	f
cd1ccc84-b0e4-415a-b526-8d6c58fbdcef	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	\N	top	10	REGION_2Y7S80IP4H	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:33:12.815497	10	f	\N	f
354f79f4-da56-4935-88a9-16af25d98062	acd31448-1daf-4a7b-a84a-c748350d7d1d	0c4e2a16-c122-40b6-bcc1-1b99b4bf6d4d	body	41	0BRGYDGQ53	AJAX	f	f	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Процесс' title, 'AJAX' text, '#13b6cf' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:17:47.474857	10	f	\N	f
3561319c-80cb-4f63-9c9d-0d316bfbef7d	d1533edb-4578-4939-88c0-38a6ad2f4c7c	c0d47b49-0cd8-468e-94bf-edc92d1d2646	body	1	REGION_F7U9HNVDFK	Публичные страницы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Если свойство “Публичная страница” установлено, то страница будет являться публичной и нет необходимости в аутентификации пользователя для просмотра страницы.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	ADMIN	2024-07-09 03:50:47.469709	ADMIN	2024-07-09 04:33:54.820518	10	f	\N	f
6279799d-84a4-4a46-a8ba-19220ee94341	acd31448-1daf-4a7b-a84a-c748350d7d1d	23a0ba16-b01a-4c1e-ae0d-bfe094442a8b	body	31	477H1SUGWP	Описание 2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Процессы данного вида выполняются при отправке формы на сервер.</p>\n<p>Пример такого процессинга можно посмотреть, перейдя из бокового меню на страницу "Администрирование", потом на страницу "Пользователи", далее - нажав на кнопку "Создать", перейти на страницу <a href="javascript:jsAPI.modal.open({page: '21'})">"21 - Создание пользователя"</a>.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:14:32.956649	10	f	\N	f
129ebe09-5881-4f9c-a7b7-4c0bd6e188be	acd31448-1daf-4a7b-a84a-c748350d7d1d	0c4e2a16-c122-40b6-bcc1-1b99b4bf6d4d	body	42	7LQB85TH1J	Описание 3	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Процессы данного вида призваны взаимодействовать с БД по требованию от JS-скрипта.</p>\n<p>Пример AJAX процессинга можно посмотреть, перейдя из бокового меню на страницу "Администрирование", потом на страницу <a href="/#/content/3012">"3012 - Файлы"</a>. Обратный вызов AJAX выполняется при удалении загруженного файла (иконка корзины в репорте).</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:17:47.474905	10	f	\N	f
60bc0d0c-8007-424a-8382-2c2f486a257e	1402158f-55cf-47b1-88b6-30cadfded13a	0277f2fa-26c3-4fd8-aa82-85598d571a43	body	20	REGION_16OB69165T	WRP1	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-08 07:12:51.144945	10	f	\N	f
5623262e-850d-40d6-8ff6-2650fc095b34	acd31448-1daf-4a7b-a84a-c748350d7d1d	fa1f2c68-1bfe-4280-a840-a957d9808ff9	body	10	REGION_ZTUZVQTAN6	Процессы	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Процесс – это механизм взаимодействия приложения с базой данных.</p>\n<p>В системе xRAD доступны следующие виды процессов:</p>\n	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-06-17 15:27:57.428635	10	f	\N	f
4ba0da33-90c0-4848-acc1-12ed41d1edfb	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	94af791d-1a2a-43e3-99b6-6f25ec223a15	body	10	REGION_YL7SKXUTCL	Контрольная сумма	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Контрольная сумма используется в случае, когда необходимо обеспечить защиту от смены параметров страницы в URL.</p>\n<p>Контрольная сумма формируется перед рендерингом страницы для каждой ссылки для конкретного пользователя. Пользователь не может поменять параметры в URL, не вызвав ошибки проверки контрольной суммы.</p>\n<p>Для активации формирования контрольной суммы на странице необходимо активировать атрибут "Защита страницы" в разделе "Безопасность" для страницы.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-10 03:51:33.779706	10	f	\N	f
f6295d98-7c83-4d33-b6b2-f27dc652e881	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	\N	body	10	REGION_IQ574MXX34	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-15 03:33:12.815546	10	f	\N	f
18851558-6b3b-4de6-8665-206b5cbbbd50	d1533edb-4578-4939-88c0-38a6ad2f4c7c	525e7ece-86ee-4ef0-acb5-c7c7d2dec865	body	30	PAGE3	Публичная страница со схемой	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<ul>\n    <li>Публичная страница</li>\n    <li>Схема авторизации - F$ACCESS_DENIED</li>\n</ul>	\N	\N	\N	\N	t	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 06:03:23.880251	10	f	\N	f
203970cd-b76e-4b09-a575-7036d3c8016b	c7d28294-b69b-407e-88b3-1bc14126346e	8710e362-6a9b-4df9-9040-35ff1792562c	body	50	REGION_J6ZQSRSF6X	Списки	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT f.*,\n\t   CASE\n         WHEN f.breadcrumb is true THEN 'btn btn-success'\n         ELSE 'btn btn-danger'\n       END css_class_brd,\n       CASE\n         WHEN f.list_type NOT LIKE '%SQL%' THEN 'icon-unavaliable'\n       END css_class_sql\nFROM utils.f_get_global_lists() f	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 06:01:19.892593	10	f	\N	\N
8988c4b2-aafb-45ca-8344-ec9d5f38becc	087d6a1e-9562-4fb5-98d9-066220d2f660	\N	top	10	REGION_CHEUY7B4Z0	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-18 08:47:43.546049	10	\N	\N	\N
2c53a78e-90ea-4ac0-a12c-a71c1341e848	087d6a1e-9562-4fb5-98d9-066220d2f660	\N	body	20	4N0BZJEI5R	UNICONS	\N	\N	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	 <iframe id="unicons-frame" class="demo-icons-frame custom-scrollbar" src="/files/icons-demo/unicons.html?v=1" width="100%" height="780" border="0">\n </iframe>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	ADMIN	2024-06-18 08:42:56.288823	ADMIN	2024-06-18 08:53:48.144004	10	f	\N	\N
fc9f5bb8-153e-40ba-9e4d-ab09e6e2ec19	3135d0ab-85d9-4b64-8e13-4ba63e269674	\N	body	30	AWA751VNZY	DRIPICONS	\N	\N	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	 <iframe id="dripicons-frame" class="demo-icons-frame custom-scrollbar" src="/files/icons-demo/dripicons.html?v=1" width="100%" height="768" border="0">\n </iframe>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	ADMIN	2024-06-18 08:43:09.337381	ADMIN	2024-06-18 09:10:19.685359	10	f	\N	\N
13c2b674-ae38-4625-862b-f2df6a1c7af4	eb8b0a5d-776a-450d-93b4-527b4734fa8c	\N	top	10	REGION_K34P0VNJ2J	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-06-18 08:44:34.265593	10	\N	\N	\N
9095cf57-1664-49b3-9d0f-d978aa567ec6	d1533edb-4578-4939-88c0-38a6ad2f4c7c	c0d47b49-0cd8-468e-94bf-edc92d1d2646	body	10	REGION_TRTN74VKLT	Схемы авторизации	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Схема авторизации определяет доступность страницы конкретному пользователю.</p>\n<p>Если авторизация проходит успешно, то пользователю отображается нужная страница. Если при авторизации происходит ошибка, то на экран выводится сообщение об ошибке.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	ADMIN	2024-07-09 03:50:47.469709	ADMIN	2024-07-09 03:55:47.151807	10	f	\N	f
ad16e321-051e-4632-909c-4c4378bc24e5	56dff7a2-3198-4ef4-8885-ea3a5de5b0b5	\N	body	10	REGION_M0ND6GTZPE	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT 'Доступно' title,\n       '#15C283' color,\n       'mdi mdi-check-circle-outline' icon	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 05:39:57.882959	10	\N	\N	\N
134ba40a-3904-4861-8b04-1b15434ac93a	bd5c9c5f-20a6-4459-8894-c0436da6a62e	\N	body	10	REGION_M0ND6GTZPE	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT 'Доступно' title,\n       '#15C283' color,\n       'mdi mdi-check-circle-outline' icon	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	ADMIN	2024-07-09 05:56:21.359113	ADMIN	2024-07-09 05:59:56.311628	10	\N	\N	\N
122fbef9-6fb4-405b-8fd2-f8aa7c258be9	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	0f605667-ab00-40ea-a89d-861aa588f06e	body	10	REGION_7HJIH34LMA	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>После создания сессии для нее устанавливается продолжительность жизни в соответствии с настройками приложения.</p>\n<p><i>Idle Timeout</i> – время жизни неактивной сессии. Сессия считается неактивной при отсутствии обращений пользователя к приложению. При возникновении активности пользователя значение время жизни неактивной сессии продляется на указанное значение. </p>\n<p><i>Life Timeout</i> – время жизни сессии. При завершении времени жизни, сессия, в любом случае, будет закрыта, а значения ее параметров – стерты.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 04:56:51.34093	10	f	\N	f
c461e221-fdd2-4fe3-a78f-84cdc5b08636	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	2	REGION_EI49K7W7IC	Пользователь	f	\N	TILES	ALWAYS	\N	\N	\N	\N	12	\N	SELECT $1::TEXT title,\n\t   'Пользователь' text,\n       CASE\n         WHEN $1::TEXT != 'nobody' THEN 'Авторизован'\n         ELSE 'Неавторизован'\n       END descr,\n       CASE\n         WHEN $1::TEXT != 'nobody' THEN 'mdi mdi-account-check-outline'\n         ELSE 'mdi mdi-account-cancel-outline'\n       END icon,\n       '#1F78FF' color\nUNION ALL\nSELECT COALESCE(r.short_name, '-'),\n       COALESCE(r.name, '-'),\n       'Роль пользователя' descr,\n       CASE\n         WHEN $1::TEXT != 'nobody' THEN 'mdi mdi-tag-outline'\n         ELSE 'mdi mdi-tag-off-outline'\n       END icon,\n       '#FF6A09' color\nFROM roles.t_role_users ru,\n\t roles.t_roles r\nWHERE ru.user_id = users.f$_usr_id($1::VARCHAR)\nAND   ru.role_id = r.id\nUNION ALL\nSELECT 'Доступ' title,\n       CASE\n         WHEN COUNT(1) = 0 THEN 'Полный'\n         ELSE 'Ограничен'\n       END text,\n       CASE\n         WHEN COUNT(1) = 0 THEN ''\n         ELSE COUNT(1)||' страниц недоступно'\n       END descr,\n       CASE\n         WHEN COUNT(1) = 0 THEN 'mdi mdi-check-circle-outline'\n         ELSE 'mdi mdi-alert-circle-outline'\n       END icon,\n       CASE\n         WHEN COUNT(1) = 0 THEN '#15C283'\n         ELSE '#FFB800'\n       END color\nFROM roles.v_app_pages ap\nWHERE NOT EXISTS (\n                   SELECT 1\n                   FROM roles.t_role_access ra\n                   JOIN roles.t_role_users ru ON ra.id_role = ru.role_id\n                   WHERE ra.id_page = ap.id\n                   AND ru.user_id = users.f$_usr_id($1::VARCHAR));	{APP_USER}	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-19 10:48:30.800561	10	\N	\N	\N
f25c4d30-e6e1-498e-9ffd-b829f733e043	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	70d8ace8-060d-429e-b1ef-d3203588399b	body	52	REGION_V4K0BRL1BD	Пример POST-запроса с JSON аргументом	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Для передачи JSON-аргумента в процедуре на вход должен быть только один параметр на вход (JSON или JSONB).<br>Также, в запрос необходимо добавить заголовки <tt>"Content-Type: application-json"</tt> и <tt>"Prefer:params=single-object"</tt>.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 05:03:14.523077	10	f	\N	f
02a61d5d-8446-44a4-a448-f7a538169c68	d1533edb-4578-4939-88c0-38a6ad2f4c7c	c0d47b49-0cd8-468e-94bf-edc92d1d2646	body	30	REGION_FRZ3SS4KA2	Публичные страницы и схема авторизации	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>При переходе на страницу и определении доступа для пользователя, приоритетным свойством защиты страницы является схема авторизации.</p>\n<p>Это значит, что если страница является публичной, то схема авторизации все равно будет проверять доступ к ней.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-09 06:28:27.192384	10	f	\N	f
e7ecd036-797b-4cd4-bf71-e68a0a1921f7	896512ee-bca1-4fb3-8148-31dc61b0e8ff	5f9ea9f9-7866-44ed-a05f-dcc018051f64	body	20	REGION_MQTS0A5JFN	Примеры классов	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 10:52:25.254289	10	f	\N	f
d53bcded-6e90-4b20-8809-002271d21d9c	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	94af791d-1a2a-43e3-99b6-6f25ec223a15	body	30	REGION_XU09M2UV0T	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Контрольная сумма может использоваться для защиты от несанкционированных изменений передаваемых параметров.</p>\n<p>Если на странице установлена защита, то пользователь не сможет изменить значение переданных параметров в ссылке. На такую страницу можно попасть только по ссылкам, которые выдаются системой.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-10 03:58:27.645356	10	f	\N	f
20e8055c-c158-49f6-b1d3-0a0b935ac962	72b67410-f688-4bc6-9a6e-bb63c70a2763	e4df1008-4a94-4e5c-adfa-5e99a421551e	body	10	REGION_QAUSEJ95TL	Пример	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>На текущей странице установлена защита контррльной суммой. В URL указаны переданные параметры и значение контрольной суммы. При попытке изменить значение этих параметров будет выброшена ошибка!</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-10 04:07:24.641155	10	f	\N	f
ddfe895f-13c4-4855-bbcc-d126f8b35981	72b67410-f688-4bc6-9a6e-bb63c70a2763	e4df1008-4a94-4e5c-adfa-5e99a421551e	body	20	REGION_QCOMUSXBFI	Клиент	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-07-10 04:07:24.641212	10	f	\N	f
7713acc1-ca03-4868-99a2-ddf7b0198021	4303bd6b-83c3-4652-814f-c0b9b8e4958e	7e26b79e-fcf0-48fd-be3f-c961bc46fd2f	body	10	REGION_KBAHC1MMFA	TIles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Ветвь' title, '#2EBFBC' color, 'До загрузки страницы' descr	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 07:03:47.325841	10	\N	\N	\N
a13e099b-299d-492c-8bf2-e8d87ac5db3f	4303bd6b-83c3-4652-814f-c0b9b8e4958e	9414fbe7-4d20-49d4-87f3-012f0f4356c7	body	10	REGION_EUVTL6YBU9	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p><b>После процессинга</b> – перенаправление происходит после успешной отработки всех процессов после сабмита страницы, а также при валидации собственного условия для выполнения.</p>\n<p>В примере ниже по кнопке выполняется процесс и перенаправление по завершении обработки процесса</p> 	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 07:15:50.762205	10	f	\N	f
131faaee-d866-49fb-a2f7-2b6cbde9b2ce	8102fe6a-cb9c-4700-b51c-c0a2b6b76e2d	94af791d-1a2a-43e3-99b6-6f25ec223a15	body	50	REGION_4ZG9T4MBPJ	Защита данных от потерянных обновлений (Data Grid)	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Потерянные обновления происходят в случае редактирования одних и тех же данных разными пользователями. В случае, когда защита отключена, может произойти перетирание данных, которые первые были отправлены на сервер.</p>\n<p>В текущей версии Data Grid доступна защита строк данных путем формирования для каждой строки контрольной суммы. В случае, если контрольная сумма изменилась в момент формирования выборки, пользователю будет выведена ошибка и сохранение данных будет недоступно.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-10 05:07:06.813296	10	f	\N	f
dfaae736-0054-4765-855c-1b1d2cbb02d4	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	70d8ace8-060d-429e-b1ef-d3203588399b	body	32	OIY9JTQ8XD	POST-tile	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'POST' title, 'Запрос' text, 'mdi mdi-upload' icon, '#D7B76A' color, 'JSON-аргумент' descr	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 05:01:27.421621	10	\N	\N	\N
70d8ace8-060d-429e-b1ef-d3203588399b	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	2a3e8792-2a87-4aec-ad3d-15fc18dcf916	body	40	REGION_IF8QDK4OO5	Вызов функции с передачей JSON-аргумента	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 05:02:57.753142	10	f	\N	f
b8ddada0-1c7e-4fbf-a924-1e4eed56f819	4303bd6b-83c3-4652-814f-c0b9b8e4958e	540c8e26-e2d2-4405-9927-8ade10e3ee2b	body	20	REGION_HQFKJKJPGM	Пример	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 07:19:24.82419	10	f	\N	f
daa5fb0e-d21c-4997-a654-59bea3077158	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	d454a1fb-88c6-428c-96e0-c2bc87abe4d1	body	10	REGION_KXKDBODGRP	GET-tile	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'GET' title, 'Запрос' text, 'mdi mdi-download' icon, '#58C882' color, 'без аргументов' descr	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 05:55:59.651151	10	\N	\N	\N
f2ef15e4-db9e-49b8-82c4-faaaf873016b	45a1f80e-3900-4f07-8cde-89e476b24529	9ef053a8-37fb-4ba9-b86b-3a642ce4c237	body	20	PAGE_NAV_SAMPLE	PAGE_NAV_SAMPLE	\N	\N	PAGE_NAV	ALWAYS	\N	\N	\N	\N	0	LIST	\N	\N	3	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
591f1fbc-e118-4cfe-acc8-b89f733e56fd	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	62c7349b-de21-499d-9e59-2d7dff6a226e	body	50	REGION_P4UEFRJ2P1	Playground 2	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:02:20.893058	10	f	\N	f
866e0cb4-cb04-4e1d-8b1f-26a644baeb59	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	2b15f725-9d38-429f-9963-b89fb6e74718	body	32	REGION_8ZBPMU3BX6	Пример POST-запроса с аргументами	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Для передачи параметров необходимо включить в тело запроса json, наименование полей которого будет соответствовать наименованию аргументов функции.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 05:48:32.796863	10	f	\N	f
b71afcd2-340f-4c25-9114-91570e5b2118	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	d454a1fb-88c6-428c-96e0-c2bc87abe4d1	body	30	REGION_2S7J42J3OR	Пример GET-запроса	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Каждая процедура и функция, полученная в результате сканирования схемы, публикуется сервисом с префиксом <tt>/rpc/</tt></p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 05:51:57.047945	10	f	\N	f
904a29f4-5199-46fb-b5df-c4793363f5fb	ac59d725-9e81-4f45-893f-1ffd64fd6846	d6d05aa6-df57-43cc-8880-e0675ef241c5	body	20	REGION_2SPZDTOKIW	JavaScript для страницы	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 10:47:15.812861	10	f	\N	f
56f2c372-9329-4723-bfac-af36dac76459	718632d7-9ea4-487b-a429-ed5c6d39561e	e2947af6-3adf-4e67-a1f9-933bc55563a1	body	3	WIZARD_TEXT	WIZARD_TEXT	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	10	TEXT	<h3>Второй шаг визарда.</h3><p>Вертикально-ориентированный визард</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
dce2e63b-5f39-41f2-b8a9-85c2acc7e39c	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	30	REGION_AG0FXDJLQ9	Дополнительно	f	\N	CARDS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	28	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 07:22:44.282511	10	\N	\N	\N
50372c7a-cf13-4db6-9fc6-d7b2c181c874	ac59d725-9e81-4f45-893f-1ffd64fd6846	d6d05aa6-df57-43cc-8880-e0675ef241c5	body	10	REGION_3EZ66CO489	JavaScript в Dynamic Actions	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 09:21:49.085334	10	f	\N	f
71bc479e-a404-4f84-a6a2-4fc7399bc8d0	ac59d725-9e81-4f45-893f-1ffd64fd6846	dca544c2-bfca-4961-b1b9-09036600618d	body	20	REGION_0L5JRF5N9K	Ссылки на файлы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<pre>\n/files/javascript/calls.js\n/files/javascript/OpenLayers-2.13.1/OpenLayers.js\n</pre>	\N	\N	\N	\N	t	f	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 11:11:31.324963	10	f	\N	f
1e2114dc-3edd-4f24-8e73-5696ba00cfae	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	40	LYTMDUAQA6	Фронтенд	f	\N	CARDS	SQL_EXPRESSION	roles.f$rls('5200',users.f$_usr_id($1)) or\nroles.f$rls('5210',users.f$_usr_id($1)) or\nroles.f$rls('5220',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	\N	\N	\N	35	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:27:15.117015	10	\N	\N	\N
8d6d6887-ae96-4ec6-9761-1e88b1ec2e3e	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	42e0f8f3-2c1f-4bb3-adb7-c9a51be59861	body	20	REGION_AXTKQ9PCBR	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Always</b> – условие выполняется всегда (возвращается <i>True</i>).</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:49:49.352295	10	f	\N	f
62c7349b-de21-499d-9e59-2d7dff6a226e	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	9312c073-b024-4efe-9033-9712c381eeb1	body	30	97F8H79CH5	Value of Item / Column in Expression 1 Is NOT NULL	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:59:39.611877	10	f	\N	f
807bdce6-397d-4050-9d72-5fc0993d4712	ac59d725-9e81-4f45-893f-1ffd64fd6846	50372c7a-cf13-4db6-9fc6-d7b2c181c874	body	1	REGION_OAU1VUEASE	Описание	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Динамическое действие - это кусок кода JavaScript, которое выполняется при срабатывании указанного события.</p>\n	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 10:42:27.963225	10	f	\N	f
636e83c6-763f-4ca5-adaf-ed15354816c3	ac59d725-9e81-4f45-893f-1ffd64fd6846	50372c7a-cf13-4db6-9fc6-d7b2c181c874	body	10	REGION_PYTJA4F5TL	Пример	\N	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 10:42:27.963281	10	f	\N	f
f6e32025-0f0b-437f-9047-7fea0f659a20	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	62c7349b-de21-499d-9e59-2d7dff6a226e	body	10	REGION_OILDX2RMIE	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'IS NOT NULL' title, 'Value of Item' descr, 'mdi mdi-form-textbox' icon, '#17A2B8' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:09:21.924462	10	\N	\N	\N
7b3326df-2147-4663-984b-304e32a2e62d	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	591f1fbc-e118-4cfe-acc8-b89f733e56fd	body	30	COND_NULL_OR_NOT	Проверка NULL OR NOT	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 04:41:54.177195	10	f	\N	f
592b8b4e-8c03-4a91-ba01-cd22d2a24f3a	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	289fb658-1a81-448b-92ee-23c5e3102c70	body	40	V439YKPN7X	Проверка ZERO	\N	\N	TILES	ITEM_IS_NOT_ZERO	P9050_ROW_COUNT	\N	\N	\N	0	\N	SELECT '!= Zero ' title, '#15C283' color	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:13:45.982614	10	\N	\N	\N
b64e771d-56b6-4389-8306-ec9e955a2ca7	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	4ced20c3-43fd-4c86-bd02-f1065a796b09	body	10	REGION_FJK8JS7YIT	Пример	\N	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:02:33.888031	10	f	\N	f
7c803a0c-5d20-447b-afaa-da45b057a7bc	ac59d725-9e81-4f45-893f-1ffd64fd6846	904a29f4-5199-46fb-b5df-c4793363f5fb	body	10	REGION_CBEW1Z6Q36	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Код JavaScript для страницы добавляется для реализации необходимого функционала на странице. Обычно здесь определяются глобальные и функции для вычислений в динамических действиях.</p>\n<p>Код JavaScript определяется перед переходом на страницу, после выхода со страницы его блок кода становится недоступным.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-11 13:25:11.380159	10	f	\N	f
1137c567-5d60-4b9f-a348-a29ca3e9a859	ac59d725-9e81-4f45-893f-1ffd64fd6846	d6d05aa6-df57-43cc-8880-e0675ef241c5	body	30	REGION_AK42Q3SQKH	JavaScript в файле	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 05:20:25.770965	10	f	\N	f
3adbb582-512a-4671-8ea9-8afeb6836bee	ac59d725-9e81-4f45-893f-1ffd64fd6846	1137c567-5d60-4b9f-a348-a29ca3e9a859	body	10	REGION_JAA3SNREC0	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Также есть возможность добавить код JavaScript в файлы и использовать все необходимые переменные и функции оттуда.</p>\n<p>Для этого необходимо сохранить файлы <tt>.js</tt> в директории файлов приложения (<tt>/var/www/<имя_приложения>.files.local/</tt>)</p>\n<p>Для использования файла необходимо указать локальную ссылку на файл <tt>.js</tt> относительно директории файлов приложения.</p>\n<p>Для глобального определения файла <tt>.js</tt> для всего приложения есть возможность указать ссылку на файл в настройках приложения. После этого файл будет доступен на всех страницах без необходимости повторного указания ссылки.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 05:53:03.748118	10	f	\N	f
5f9ea9f9-7866-44ed-a05f-dcc018051f64	896512ee-bca1-4fb3-8148-31dc61b0e8ff	4c8d6bdf-202f-419d-aa9d-647f391c5358	body	10	REGION_7SABD3IEBS	CSS для регионов	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 08:06:41.28438	10	f	\N	f
4107c55b-f9a4-4898-81c8-e726112878e1	896512ee-bca1-4fb3-8148-31dc61b0e8ff	5f9ea9f9-7866-44ed-a05f-dcc018051f64	body	10	REGION_MO9IH4ML98	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>Для кастомизации регионов и их компонентов могут использоваться внутренние и заранее определенные CSS классы стилей. При необходимости, есть возможность переопределить свойства определенных классов, а также определить собственные классы на уровне страницы или приложения.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 10:56:14.578194	10	f	\N	f
9c7042f0-a7e8-478e-9d43-51a209ad1dbf	896512ee-bca1-4fb3-8148-31dc61b0e8ff	03741a9a-60cb-4a06-8c46-385f58341a8f	body	10	REGION_DLFB73DNYK	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>В PGHS предусмотрено управление стандартными стилями через кастомные CSS свойства.</p>\n<p>Для их использования достаточно добавить CSS в поле "Встроенный CSS" для страницы для локального определения стилей, или указать путь к файлу CSS в файловой системе приложения для глобального использования стилей.</p>\n<p>Полный список возможных кастомных свойств можно просмотреть в <a href="https://lcdp.xsquare.ru/docs/rad/3_0/docs/stylathem.html#">документации</a>.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 11:41:46.203758	10	f	\N	f
b26084d5-8b79-4eb2-aac1-39e22ea11df7	896512ee-bca1-4fb3-8148-31dc61b0e8ff	4c8d6bdf-202f-419d-aa9d-647f391c5358	body	30	REGION_4PWIQGXQNQ	Использование каскадных таблиц стилей	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 13:11:39.138408	10	f	\N	f
c7468712-b006-4edf-bf87-e0662289aae7	896512ee-bca1-4fb3-8148-31dc61b0e8ff	b26084d5-8b79-4eb2-aac1-39e22ea11df7	body	20	REGION_IMVZ99818X	WRP_VERTICAL	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 13:11:39.138503	10	f	\N	f
289fb658-1a81-448b-92ee-23c5e3102c70	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	4ced20c3-43fd-4c86-bd02-f1065a796b09	body	11	BDVTCE1JS8	Проверка ZERO OR NOT	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:13:11.710077	10	f	\N	f
98253ee8-a2b9-4525-8b80-9019af18c345	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	62c7349b-de21-499d-9e59-2d7dff6a226e	body	30	MDMD4ZZROV	Tiles 3	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'IS NULL' title, 'Value of Item' descr, 'mdi mdi-form-textbox' icon, '#FFB800' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:09:21.924559	10	\N	\N	\N
51f88492-67e2-44a6-b2a9-e766796c5a22	e8ce9fdd-17f6-46d0-a9e5-7d29a7f3cf1b	\N	body	1	INFO	Пользователь	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	select l.username, l.last_name, l.first_name, l.email, utils.f_build_phone(l.phone) phone  from users.t_user_list l\nwhere l.id = users.f$_usr_id($1)	{APP_USER}	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
704fc479-688b-4057-be1e-da50ec49e26e	896512ee-bca1-4fb3-8148-31dc61b0e8ff	b26084d5-8b79-4eb2-aac1-39e22ea11df7	body	10	REGION_CDAQOMN9RY	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>Использование собственных стилей доступно в следующих вариантах:</p>\n<ul>\n    <li><b>Для столбца репорта</b> - указав стили для тегов в выражении HTML;</li>\n    <li><b>Для региона</b> - указав CSS класс для элемента;</li>\n    <li><b>Для страницы</b> - указав таблицу стилей для конкретной страницы, либо указав путь к файлу со стилями для страницы или всего приложения в директории с файлами <tt>(/var/www/<имя_приложения>.files.local/)</tt></li>\n</ul>\n<p>Стандартные настройки кастомных CSS стилей для приложения определяются в файле <tt>theme-roller.css</tt> в корне файловой системы приложения.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-12 13:13:45.438679	10	f	\N	f
9312c073-b024-4efe-9033-9712c381eeb1	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	f6295d98-7c83-4d33-b6b2-f27dc652e881	body	20	REGION_CK4EF2D8Q0	Типы условий	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:38:40.092623	10	f	\N	f
42e0f8f3-2c1f-4bb3-adb7-c9a51be59861	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	9312c073-b024-4efe-9033-9712c381eeb1	body	10	REGION_9IIP842SX6	Always	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:38:40.092684	10	f	\N	f
39cfa29b-1aff-4049-87a7-ba99ee5dce54	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	f6295d98-7c83-4d33-b6b2-f27dc652e881	body	10	REGION_M5AGVAZTTF	Условия	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Условие - это проверка, которая определяет, выполнено ли определенное требование. Если условие выполняется, то на странице появится нужный элемент или произойдет заданное действие. В противном случае ничего не произойдет.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:38:40.09568	10	f	\N	f
0f35e3ef-a5a3-435f-adb4-a5d504e9cb2e	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	e624ba36-83ee-4903-ba71-0030932f913a	body	20	REGION_L3VO9L2RYL	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Exists (SQL query returns at least one row)</b> – позволяет выполнить проверочный SQL-запрос. Условие считается выполненным, если запрос вернул хотя бы 1 строку</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:49:57.813831	10	f	\N	f
e624ba36-83ee-4903-ba71-0030932f913a	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	9312c073-b024-4efe-9033-9712c381eeb1	body	20	BO7OD9EWNJ	Exists / NOT Exists	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:47:14.207447	10	f	\N	f
7e26b79e-fcf0-48fd-be3f-c961bc46fd2f	4303bd6b-83c3-4652-814f-c0b9b8e4958e	58a581dc-21a9-4e6c-82d6-beb1a8e08b33	body	20	REGION_O8FCVHESK3	До загрузки страницы	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	\N	\N	\N	ADMIN	2024-07-15 09:19:30.093903	10	f	\N	f
7cb049ba-c2f2-4366-b715-c815c3ac75fd	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	eafae25f-2ccc-4b70-9b4e-6a8b0b6eed54	body	20	REGION_18ZFBLDMZ3	Проверка SQL Expression	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:31:50.867418	10	f	\N	f
878682e2-f5e8-4c3e-b54b-bc28648c961f	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	e624ba36-83ee-4903-ba71-0030932f913a	body	40	LZTRZE5NLW	Описание 2	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>NOT Exists (SQL query returns no rows)</b> – позволяет выполнить проверочный SQL-запрос. Условие считается выполненным, если запрос не вернул ни одной строки</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:51:51.573359	10	f	\N	f
49f7238f-e77a-498c-8b27-c0e69710ce21	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	62c7349b-de21-499d-9e59-2d7dff6a226e	body	20	REGION_YBRO3HYZ52	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Value of Item / Column in Expression 1 Is NOT NULL</b> – встроенное условие на заполненность поля или ячейки таблицы. Условие считается выполненным, если поле ввода или ячейка таблицы содержит какое-либо значение.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 03:59:57.821873	10	f	\N	f
77a012bc-948d-40bd-b47d-10390a332588	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	e624ba36-83ee-4903-ba71-0030932f913a	body	10	REGION_FX152LVU5B	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Exists' title, '≥ 1 строка в запросе' descr, '#17A2B8' color, 'mdi mdi-numeric-1-circle-outline' icon	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 04:01:33.7756	10	\N	\N	\N
4ced20c3-43fd-4c86-bd02-f1065a796b09	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	636837a6-04ef-403b-aabe-46f25a03e0fd	body	33	REGION_VIJ8CMB5RO	Playground 3	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:10:05.281238	10	f	\N	f
d26c0a71-a7b9-4b15-9977-da37f195d2d1	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	e624ba36-83ee-4903-ba71-0030932f913a	body	30	T3FV2W81V1	Tiles 2	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'NOT Exists' title, '= 0 строк в запросе' descr, '#FFB800' color, 'mdi mdi-numeric-0-circle-outline' icon	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 04:02:11.731033	10	\N	\N	\N
b695b0d5-626c-4fe4-be1d-88d3b08f11ce	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	42e0f8f3-2c1f-4bb3-adb7-c9a51be59861	body	10	REGION_XQD5L6QV65	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Always' title, '#15C283' color, 'mdi mdi-check-circle-outline' icon	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:49:10.722986	10	\N	\N	\N
4de3e171-ee5a-467c-8103-6f546a77f843	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	7b3326df-2147-4663-984b-304e32a2e62d	body	30	5RZVCUX69R	Проверка IS NULL	\N	\N	TILES	ITEM_IS_NULL	P9050_NULL_OR_NOT	\N	\N	\N	0	\N	SELECT 'Value of Item IS NULL' title, '#F42525' color	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 04:43:16.075232	10	\N	\N	\N
bdbbd88c-a87c-4dcb-83a2-aad51cf65a29	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	591f1fbc-e118-4cfe-acc8-b89f733e56fd	body	10	REGION_TH10O8V4C1	Пример	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 04:25:24.38214	10	f	\N	f
81151960-29d8-494a-a05c-3aa7a01441bb	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	62c7349b-de21-499d-9e59-2d7dff6a226e	body	40	KMTTZFX1MN	Описание 3	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Value of Item / Column in Expression 1 Is NULL</b> – встроенное условие на значение NULL (пустое значение) поля ввода или столбца таблицы. Условие считается выполненным, если объект проверки содержит NULL (пустое значение).</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:09:21.924599	10	f	\N	f
033237a4-55e8-461e-b631-f4b724ba4116	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	7b3326df-2147-4663-984b-304e32a2e62d	body	20	TILES_IS_NOT_NULL	Проверка IS NOT NULL	\N	\N	TILES	ITEM_IS_NOT_NULL	P9050_NULL_OR_NOT	\N	\N	\N	0	\N	SELECT 'Value of Item IS NOT NULL' title, '#15C283' color	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:18:03.560365	10	\N	\N	\N
3713ea62-285b-4388-8c44-91f67b85220a	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	c3be001e-1b89-43b6-96e1-c7ca87f07805	body	10	REGION_VN02QDWUQN	Tiles	f	f	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Regular' title, 'Expression' descr, 'mdi mdi-regex' icon, '#2652A2' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:03:12.244737	10	f	\N	f
84ab386e-a12d-4a7f-9481-206a63fe7e2e	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	\N	top	10	REGION_Q6P0SYEGFP	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 08:49:31.771226	10	f	\N	f
c012d174-eb45-4d97-b233-3113480a3cf9	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	9312c073-b024-4efe-9033-9712c381eeb1	body	50	W8MUAT1C7U	Value of Item / Column in Expression 1 Is NULL or Zero	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:20:25.400768	10	f	\N	f
639f8f30-0d67-44bd-9233-6d4f55d1f47c	89ecce48-2531-498f-8eae-2bfb5494e66d	\N	body	1	REGION_6E6EO3DS6F	Календарь	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	\N	\N	ADMIN	2024-07-17 02:34:27.194076	10	f	\N	f
e60e65bc-6eb5-40a4-83ae-168702549584	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c012d174-eb45-4d97-b233-3113480a3cf9	body	22	XYSY98JXE1	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Value of Item / Column in Expression 1 Is NOT null and the Item / Column Is NOT Zero</b> – встроенное условие на заполненность и значение отличное от 0 (нуль) поля ввода или столбца таблицы. Условие считается выполненным, если объект проверки не содержит NULL (пустое значение) и не равно 0 (нуль).</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:20:25.401026	10	f	\N	f
8490d3ef-af15-4983-8aa5-d6b1dfe8397a	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	636837a6-04ef-403b-aabe-46f25a03e0fd	body	11	O3QA1NVKH9	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT '!= 0' title, 'Value of Item' descr, 'mdi mdi-form-textbox' icon, '#17A2B8' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:20:25.405417	10	\N	\N	\N
77fce146-d98e-408b-8f1c-481baecc1c56	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c012d174-eb45-4d97-b233-3113480a3cf9	body	32	COWTSK5PMK	Tiles 5	f	f	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'NULL OR = 0' title, 'Value of Item' descr, 'mdi mdi-form-textbox' icon, '#FFB800' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:21:29.468192	10	f	\N	f
636837a6-04ef-403b-aabe-46f25a03e0fd	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	9312c073-b024-4efe-9033-9712c381eeb1	body	40	SJ5JKD7DW3	Value of Item / Column in Expression 1 = Zero	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:09:21.919341	10	f	\N	f
2097f184-ba31-4855-92df-baa9c5425f92	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	636837a6-04ef-403b-aabe-46f25a03e0fd	body	12	5EJMS4E4UL	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Value of Item / Column in Expression 1 != Zero</b> – встроенное условие на значение отличное от 0 (нуль) поля ввода или столбца таблицы. Условие считается выполненным, если объект проверки будет содержать значение отличное от 0 (нуль).</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:09:21.919524	10	f	\N	f
5c157084-d2be-4867-b156-d68826469043	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	636837a6-04ef-403b-aabe-46f25a03e0fd	body	32	L8PE7BNPYO	Описание 4	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Value of Item / Column in Expression 1 = Zero</b> – встроенное условие на значение 0 (нуль) поля ввода или столбца таблицы. Условие считается выполненным, если объект проверки будет содержать значение 0 (нуль).</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:09:21.919617	10	f	\N	f
ec3c1ffb-778e-4455-bb42-a2749082d483	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c012d174-eb45-4d97-b233-3113480a3cf9	body	42	TVQLCBG582	Описание 5	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Value of Item / Column in Expression 1 Is NULL or Zero</b> – встроенное условие на значение NULL (пустое значение) или 0 (нуль) поля ввода или столбца таблицы. Условие считается выполненным, если объект проверки содержит NULL (пустое значение) или равно 0 (нуль).</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:21:29.46828	10	f	\N	f
1ce49016-32e2-45ce-87ee-6571a5da24bc	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	e624ba36-83ee-4903-ba71-0030932f913a	body	60	337Y8PW4DS	Playground 1	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:10:05.278699	10	f	\N	f
c7bbb86b-d14c-4f1f-981f-6d8a6c9aab26	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	9312c073-b024-4efe-9033-9712c381eeb1	body	60	A8U1RICA6K	SQL Expression	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:25:44.991698	10	f	\N	f
692cdf3c-b0c1-4beb-bdfe-f956a76a7691	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	289fb658-1a81-448b-92ee-23c5e3102c70	body	41	5XYPL125Y7	Проверка NOT EXISTS	\N	\N	TILES	ITEM_IS_ZERO	P9050_ROW_COUNT	\N	\N	\N	0	\N	SELECT '= Zero' title, '#F42525' color	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:13:11.710146	10	\N	\N	\N
a8b17ba9-da8b-4d78-b386-56f2af12a38e	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	1ce49016-32e2-45ce-87ee-6571a5da24bc	body	10	REGION_LF4ZOXLZFA	Пример	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:18:03.556757	10	f	\N	f
a879ccaa-66bf-4629-a9be-e62590fa3cb3	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	1ce49016-32e2-45ce-87ee-6571a5da24bc	body	20	REGION_ONE5OS6HBE	Проверка EXISTS	f	f	TILES	ALWAYS	\N	\N	\N	\N	4	\N	SELECT 'EXISTS' title, '#15C283' color	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:18:03.556951	10	f	\N	f
9e91268c-1956-40ca-beed-76b1665e60f3	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	636837a6-04ef-403b-aabe-46f25a03e0fd	body	22	9UKG2VM9UF	Tiles 4	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT '= 0' title, 'Value of Item' descr, 'mdi mdi-form-textbox' icon, '#FFB800' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:21:29.470243	10	\N	\N	\N
f6057fab-ceb2-44dc-b0f1-aceb2fc48112	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c7bbb86b-d14c-4f1f-981f-6d8a6c9aab26	body	10	REGION_SFLJOI9514	Tiles	f	f	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'True/False' title, 'SQL Expresion' descr, 'mdi mdi-database-cog' icon, '#1F78FF' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:25:44.991835	10	f	\N	f
da6e12f0-c733-4b9f-af55-c7acf2fb4274	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c012d174-eb45-4d97-b233-3113480a3cf9	body	21	K7BOEXKWL1	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'NOT NULL AND != 0' title, 'Value of Item' descr, 'mdi mdi-form-textbox' icon, '#17A2B8' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:25:44.999792	10	\N	\N	\N
eafae25f-2ccc-4b70-9b4e-6a8b0b6eed54	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c7bbb86b-d14c-4f1f-981f-6d8a6c9aab26	body	40	REGION_JZPLUM8DQW	Playground 4	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:31:50.867295	10	f	\N	f
4cd597d6-74bc-4127-aa36-8026ba743a68	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	eafae25f-2ccc-4b70-9b4e-6a8b0b6eed54	body	10	REGION_LKFUWQVUQT	Пример	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:31:50.867332	10	f	\N	f
a5b9eb9d-bf3a-4665-bab8-cb5863e2bf68	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	c7bbb86b-d14c-4f1f-981f-6d8a6c9aab26	body	30	REGION_LZ5EGH9HMA	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>SQL Expression</b> – позволяет выполнить SQL-запрос возвращающий TRUE или FALSE. В поле ввода запроса указывается только тело запроса, без ключевых слов SELECT и/или FROM. Если необходимо выполнить какой-то подзапрос, то его необходимо обернуть в “(” “)”. Условие считается выполненным, если запрос вернул TRUE.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:31:50.872502	10	f	\N	f
393eb44c-ccc1-46ab-b0a3-f0005adf0fa2	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	15f58e92-4f38-4c1e-b1fe-8b1773b22793	body	20	REGION_UPUEAWXN84	Типы условий для валидаций	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>На текущей странице описаны только уникальные для валидаций типы условий проверки. Все остальные условия описаны на странице <a href="https://pghs4-edu.xsquare.ru/#/content/9050?clear=9050">"9050 - Условия"</a>.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:59:02.014257	10	f	\N	f
ae0fd611-3eb2-4af4-875b-e1eb37f098c0	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	7cb049ba-c2f2-4366-b715-c815c3ac75fd	body	10	REGION_CMQP6TA5D0	IS TRUE	\N	\N	TILES	SQL_EXPRESSION	users.f_is_user_exist($1::VARCHAR) IS TRUE	{P9050_USERNAME}	\N	\N	12	\N	SELECT 'Запрос вернул True' title, '#15C283' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:47:14.893803	10	\N	\N	\N
a9e1af73-fba9-4ab5-a642-b3ae174cbea1	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	7cb049ba-c2f2-4366-b715-c815c3ac75fd	body	20	JMI5XCLDOW	IS FALSE	\N	\N	TILES	SQL_EXPRESSION	users.f_is_user_exist($1::VARCHAR) IS FALSE	{P9050_USERNAME}	\N	\N	12	\N	SELECT 'Запрос вернул False' title, '#F42525' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:47:40.612764	10	\N	\N	\N
ab843b96-2db9-4176-a688-678eed7018a1	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	9312c073-b024-4efe-9033-9712c381eeb1	body	70	TZMZUGBKOR	Never	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:49:10.721029	10	f	\N	f
2c2f0962-9962-471a-a07d-4fa5f40c9e60	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	ab843b96-2db9-4176-a688-678eed7018a1	body	20	REGION_0Z3I71R833	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Never</b> – не выполнять никогда.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:49:59.530359	10	f	\N	f
bec04ed4-4e52-41ba-865c-2bd14364aabf	cb8b8f0b-ebce-4120-bcaa-a1948ee82144	ab843b96-2db9-4176-a688-678eed7018a1	body	10	REGION_6BL7SMFC4Y	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Never' title, '#F42525' color, 'mdi mdi-cancel' icon	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:50:55.786828	10	\N	\N	\N
b34355ca-0914-4780-b74b-5bb4259fc259	3006c64d-7487-4960-bdfc-f8565c02fd11	5c06f754-7306-42bd-b657-691e42931c48	body	50	1TS0SDGMOK	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>При изменении выбранного из списка значения выполняется обновление репорта, выбираются значения в соответствии с условиями запроса.</p>\n<p><code class="single">jsAPI.component(id).refresh()</code> – обновление определенного региона	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-19 08:19:31.168523	10	f	\N	f
3f960157-2cb6-430e-b717-16a7d89d8573	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	393eb44c-ccc1-46ab-b0a3-f0005adf0fa2	body	10	REGION_71KYE0IA4G	Function returning Error Text	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:58:10.038717	10	f	\N	f
9cf13233-eb16-43b6-996b-6de943390974	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	b9ffd2ef-44fc-4d23-8ddb-db08e3a7181e	body	21	ZBHWC03Q2U	Результат	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	6	\N	SELECT a.id_adding, a.title, a.date_created\nFROM public.t_additions a\nWHERE a.id_adding = (SELECT MAX(id_adding) FROM public.t_additions) 	\N	\N	\N	\N	f	f	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": true, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 08:52:24.351511	10	f	\N	\N
5d0f3bd8-20cf-474e-b7fd-3b9406a69a03	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	3f960157-2cb6-430e-b717-16a7d89d8573	body	20	REGION_1S6948DLKS	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Function returning Error Text</b> – позволяет выполнить SQL-запрос возвращающий текст ошибки. В поле запроса необходимо указать полноценный запрос возвращающий строку. Проверка считается пройденной успешно, если запрос вернул NULL. В противном случае будет отображен возвращенный запросом текст ошибки.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 05:58:10.038806	10	f	\N	f
a6c07c29-a53e-4d05-81d4-6c176ce8bedc	3006c64d-7487-4960-bdfc-f8565c02fd11	93dd98b1-5d13-4a62-a221-14e0289d1585	body	10	REGION_UR77X4HBFA	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p><code class="single">jsAPI.dom.focus(selector)</code> – Установка фокуса на элементе ввода, если это возможно</p>\n<p><code class="single">jsAPI.dom.blur()</code> – Снятие фокуса клавиатуры</p>	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-19 08:19:31.168585	10	f	\N	f
e6aaad25-c778-4bcb-ac91-a6eab7c019d4	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	3f960157-2cb6-430e-b717-16a7d89d8573	body	10	REGION_YRQF362FXD	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Function' title, 'returning Error Text' descr, 'mdi mdi-card-text-outline' icon, '#F42525' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:03:12.247388	10	\N	\N	\N
6f80d024-766b-44a7-ac6a-7f7452792e25	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	c3be001e-1b89-43b6-96e1-c7ca87f07805	body	30	REGION_PG1QB3FPI5	Playground	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:06:15.030664	10	f	\N	f
10f14b5a-9e78-4432-b96e-07b46e180fc2	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	6f80d024-766b-44a7-ac6a-7f7452792e25	body	10	REGION_88YEU6R0BF	Пример	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:06:15.030745	10	f	\N	f
4ca90916-2cd3-4210-9f9d-f2ee72dc0119	ce54d0b7-7243-440d-9cd8-1ec8244bdde8	c3be001e-1b89-43b6-96e1-c7ca87f07805	body	20	REGION_0TJ04G8TTH	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p><b>Regular Expression</b> – позволяет проверить значение поля формы по регулярному выражению. В поле Item указывается проверяемое поле, а в поле Value регулярное выражение. Проверка считается пройденной успешно, если значение поля Item будет соответствовать регулярному выражению.</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:06:15.039275	10	f	\N	f
91463b26-a5db-4464-9b80-56a3714f2e0e	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	90	YRNKZFSL4V	Модули	f	\N	WRAPPER	SQL_EXPRESSION	roles.f$rls('5400',users.f$_usr_id($1)) or\nroles.f$rls('5500',users.f$_usr_id($1)) or\nroles.f$rls('5550',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 08:37:06.142397	10	\N	\N	\N
e9656bc2-a3c3-4d8f-ba6a-9a78593afe60	3006c64d-7487-4960-bdfc-f8565c02fd11	3518403a-12e1-4270-b5c7-b1d113eb2c68	body	10	REGION_B6GF60MDMV	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p><code class="single">jsAPI.modal.open(options, callbacks)</code> – Открывает модальное окно</p>\n<p><code class="single">jsAPI.modal.accept()</code> – Закрывает модальное окно, вызывает обработчик onAccept, описанный в jsAPI.modal.open</p>\n<p><code class="single">jsAPI.modal.close()</code> – Закрывает модальное окно, вызывает обработчики onClose и onDecline, описанные в jsAPI.modal.open</p>\n<p><code class="single">jsAPI.notification</code> включает методы success, error и warning, которые выводят стандартное уведомление приложения.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:23:34.041327	10	f	\N	f
f7461b08-fbc1-4ed5-a4c4-93384c44d377	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	70	4IPUGBIIPG	Безопасность	f	\N	CARDS	SQL_EXPRESSION	roles.f$rls('7000',users.f$_usr_id($1)) or\nroles.f$rls('7200',users.f$_usr_id($1)) or\nroles.f$rls('7300',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	\N	\N	\N	38	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 06:46:31.04188	10	\N	\N	\N
8fbe3a46-7340-42c2-a9f1-8d2035bb6656	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	80	MARIE3463G	Иконки	f	\N	CARDS	SQL_EXPRESSION	roles.f$rls('5104',users.f$_usr_id($1)) or\nroles.f$rls('5105',users.f$_usr_id($1)) or\nroles.f$rls('5106',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	\N	\N	\N	39	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 07:13:34.502822	10	\N	\N	\N
540c8e26-e2d2-4405-9927-8ade10e3ee2b	4303bd6b-83c3-4652-814f-c0b9b8e4958e	7e26b79e-fcf0-48fd-be3f-c961bc46fd2f	body	20	REGION_GTNERWQY5P	WRP1	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 09:26:38.844401	10	f	\N	f
916c425a-b95b-45dc-a944-7ac8a127fecb	f8a4d019-89e4-4ec6-82bc-add1851ffe89	91463b26-a5db-4464-9b80-56a3714f2e0e	body	10	REGION_31DI62O5LN	xDAC	\N	\N	CARDS	SQL_EXPRESSION	roles.f$rls('5400',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	\N	\N	\N	41	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 08:37:48.456467	10	\N	\N	\N
af71ee37-7f4a-4b6e-9b12-b7f4ac37570b	f8a4d019-89e4-4ec6-82bc-add1851ffe89	91463b26-a5db-4464-9b80-56a3714f2e0e	body	20	EQNC4BUQK8	xREPORTS	\N	\N	CARDS	SQL_EXPRESSION	roles.f$rls('5500',users.f$_usr_id($1)) or\nroles.f$rls('5550',users.f$_usr_id($1))	{APP_USER}	\N	\N	12	\N	\N	\N	40	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 08:37:48.456551	10	\N	\N	\N
5c475849-c7ae-4e44-8e86-ba5f747b39fa	adf27858-5f30-4b8f-8d19-233bdaddc26d	85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	body	80	308LBHHKDI	Страница входа – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:30:15.857762	10	f	\N	f
5c0f4cb6-30d4-40d1-9275-18795c7b08dc	d1533edb-4578-4939-88c0-38a6ad2f4c7c	5530fc42-73fe-4039-8820-8fd694b6c16e	body	10	REGION_0NY7OE956I	DataGrid	\N	\N	DATA_GRID	ALWAYS	\N	\N	\N	\N	12	\N	SELECT * FROM cli.t_clients	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 09:42:08.879311	10	\N	\N	\N
ebdab30e-0653-493f-be95-06def0e5217a	4303bd6b-83c3-4652-814f-c0b9b8e4958e	58a581dc-21a9-4e6c-82d6-beb1a8e08b33	body	10	REGION_CNLB8KBCAJ	Ветви	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Ветви – это перенаправление пользователя на другую страницу приложения, либо другой внешний источник, которое происходит при выполнении определенных условий.</p>\n<p>В системе xRAD доступные следующие вариации бранчей:</p>\n	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 07:04:04.638558	10	f	\N	f
dea32ddb-39ac-4678-b9cb-4b1b592aac86	4303bd6b-83c3-4652-814f-c0b9b8e4958e	540c8e26-e2d2-4405-9927-8ade10e3ee2b	body	10	REGION_OTQOGS2UA3	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p><b>До загрузки страницы</b> – бранч выполняет перенаправление на другую страницу перед загрузкой текущей страницы при выполнении указанного условия.</p>\n	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 10:46:15.113048	10	f	\N	f
933fe434-0ef0-46ce-a90a-7f6bfe442044	efe13ee2-bd85-45ee-88e1-76717fb1ecbe	\N	body	2	FILES	FILES	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT p.id\n\t  ,p.file_name\n\t  ,p.title\n      ,p.desc_text \n      ,ul.username created_by\n      ,p.date_uploaded date_created\n      ,p.id DOWNLOAD\n      ,p.id DEL\n  FROM files.t_files p\n      ,users.t_user_list ul\n WHERE p.uploaded_by = ul.id\nORDER BY p.date_uploaded DESC	\N	\N	\N	\N	f	t	{"preset": null, "bodyBorder": true, "gridLayout": "grid", "bodyPadding": false, "footerBorder": true, "headerBorder": true, "regionBorder": false, "footerPadding": true, "headerPadding": true, "bodyBackground": true, "containerWidth": null, "childrenPadding": true, "footerBackground": true, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
cecd319e-32f7-42ab-a26b-c8a7e705e7c3	f8a4d019-89e4-4ec6-82bc-add1851ffe89	08186d77-2ec3-47f5-a1c1-54fdf3ce05ee	body	1	REGION_RJG4J4P2DF	Не авторизован	f	f	HTML_TEXT	SQL_EXPRESSION	$1::VARCHAR = 'nobody'\n	{APP_USER}	\N	\N	12	TEXT	<p><b>Вы не авторизованы!</b> Войдите в систему для доступа ко всем страницам приложения!</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-19 10:48:30.80062	10	f	\N	f
486ca635-4094-49be-a440-16aa0932d087	8d795ae5-9e4c-47d3-a940-dcba059599ed	f91c002e-e7e5-4e27-aab5-a37cb51124c3	body	10	REGION_183R2RU1A9	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Для создания шаблона отчета необходимо чтобы пользователь системы отредактировал отображение колонок отчета через меню "Действия" -> "Колонки".</p>\n<p>Для установки шаблона по умолчанию необходимо чтобы разработчик системы установил, созданный пользователем, шаблон для отображения по умолчанию в атрибутах региона "Репорт" по кнопке "Шаблоны Отчёта".</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 10:36:41.792959	10	f	\N	f
9414fbe7-4d20-49d4-87f3-012f0f4356c7	4303bd6b-83c3-4652-814f-c0b9b8e4958e	d303f9d2-b47d-41db-b126-f53f353b24f5	body	20	REGION_PMWQW8N3AK	WRP2	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-15 10:42:54.046542	10	f	\N	f
74a26b5d-9784-470d-8929-85f08f713a08	4303bd6b-83c3-4652-814f-c0b9b8e4958e	d303f9d2-b47d-41db-b126-f53f353b24f5	body	10	REGION_6J8OXTD5PF	Tiles	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'Ветвь' title, 'После процессинга' descr, '#309FDB' color	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 07:03:47.325885	10	\N	\N	\N
6742041a-cf0d-436c-9e10-22be6e2833b0	8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	\N	left	2	TREE_SAMPLE	TREE_SAMPLE	\N	\N	TREE	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT * FROM dep.f_get_tree_with_scope(1);	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
59f2c112-591d-4803-86e7-f5af3e6b38b1	ac59d725-9e81-4f45-893f-1ffd64fd6846	904a29f4-5199-46fb-b5df-c4793363f5fb	body	25	REGION_FRAME	Встроенная карта	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<div id="demoMap"></div>	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 07:36:24.863215	10	f	\N	f
d567e3f1-7cd8-400e-8337-1784666e2e97	bd6b73f7-00c6-4985-927b-653e02f8c659	6613023d-06de-46a6-adcf-43aaabd649b3	body	10	REGION_W4VXV7CGWA	Пример запроса	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 03:39:34.569372	10	f	\N	f
7e601825-5167-4bf2-aea3-18838f31344b	bd6b73f7-00c6-4985-927b-653e02f8c659	5ea97fb1-8963-4a73-94ff-6c0e03f65285	body	10	REGION_L0PUPG9SEF	Плитки	\N	\N	TILES	ALWAYS	\N	\N	\N	\N	6	\N	SELECT '328' title, 'Активных пользователей' text, '#41DE28' color, '<span class="uil uil-angle-up" style="color:#41DE28">120 %</span>' descr, 'mdi mdi-account-multiple-outline' icon\nUNION ALL\nSELECT '42000.77', 'Прибыль', '#2C7ABB', 'За месяц', 'uil uil-bill'\nUNION ALL\nSELECT 'jsAPI', 'и Dynamic Actions', '#F5D501', '<a href="/#/content/5200" class="btn btn-xs btn btn-success">Перейти</a>', 'mdi mdi-language-javascript'	\N	\N	\N	\N	f	f	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 03:43:28.377535	10	\N	\N	\N
4de6a94f-056c-4c4b-a759-7af96e04a466	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	\N	body	10	REGION_73KK0LO77X	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-18 02:38:18.621048	10	f	\N	f
c8a20ede-2c93-49cf-bfb4-b9f10b3cd434	adf27858-5f30-4b8f-8d19-233bdaddc26d	1fd4decb-bbbf-4460-9d0d-3f74b95267bd	body	12	5BF30M5R8A	Панель навигации – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:57:03.94249	10	f	\N	f
2378b8e9-3043-4cda-8a86-e4dd9eed1c36	adf27858-5f30-4b8f-8d19-233bdaddc26d	9eb25d15-8b4c-4e49-9571-bcefdcc49d41	body	22	0TF12H9427	JS файлы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Указываются ссылки на файлы с кодом JavaScript в директории приложения <tt>(/var/www/<имя_приложения>.files.local/)</tt>.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 02:36:29.221974	10	f	\N	f
00b6f5a7-2f3c-4bfe-a64c-278d620d7e79	e9492934-32f7-4818-b110-411d65aa65b9	0a524b9a-2176-4c04-bd97-f885ef51fc06	body	10	REGION_8HF3UYLXEY	Источники данных приложения	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Источниками данных для приложения служат Базы Данных PostgreSQL. Информация о соединении с БД описывается в конфигурационном файле в корневом каталоге приложения <tt>(/usr/local/<имя_приложения>.pghs/config.json)</tt></p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 06:19:54.357819	10	f	\N	f
229cf190-7c96-484b-9d7d-d63a1a13c4f0	e9492934-32f7-4818-b110-411d65aa65b9	00b6f5a7-2f3c-4bfe-a64c-278d620d7e79	body	10	REGION_ZA7NPYK9HP	Config	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 06:28:30.167878	10	f	\N	f
f6328cdf-300a-483d-89b5-c1431724afe0	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	b9ffd2ef-44fc-4d23-8ddb-db08e3a7181e	body	10	REGION_XBL77JS5T0	Описание	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>В рамках одного сабмита, при выполнении одного или нескольких процессов, создается транзакция, которая отвечает всем современным требованиям по ACID – атомарность, согласованность, изолированность и долговечность.</p>\n<p>При этом, во время выполнения цепочки процессов можно зафиксировать уже внесенные изменения внутри транзакции. Для этого устанавливается флаг "Фиксация TX" для процесса, после успешного завершения которого будет выполнен COMMIT.</p>	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 09:15:27.568055	10	f	\N	f
8534144c-13cf-4aac-abbf-69bc35ff4cbb	c3bfd42b-0e7e-40dd-96ca-16de1d292caa	\N	body	2	CONTAINER	CONTAINER	\N	\N	WIZARD	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	17	\N	\N	f	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	\N	\N	\N
5db79571-bfec-418c-a543-085a94192873	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	304533f6-1611-48c5-8921-a213ab919cb2	body	8	DONUT_SAMPLE2	DONUT_SAMPLE2	\N	\N	CHART	ALWAYS	\N	\N	\N	\N	4	SQL	select 1 as order_num, 'I квартал' as quater, 90::numeric as days\r\nunion\r\nselect 2, 'II квартал', 91::numeric as days\r\nunion\r\nselect 3, 'III квартал', 92::numeric as days\r\nunion\r\nselect 4, 'IV квартал', 92::numeric as days\r\norder by 1	\N	\N	\N	\N	f	f	{"containerWidth": 300, "containerHeight": 100, "containerCentered": true}	\N	\N	\N	\N	10	\N	\N	\N
8507d4bd-84f7-42c5-ba4d-c118096c14a4	adf27858-5f30-4b8f-8d19-233bdaddc26d	\N	body	10	REGION_EX102MUQAW	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-07-17 05:41:12.607212	10	f	\N	f
2a32412d-5b52-4455-87bd-b71293f6e1e0	e9492934-32f7-4818-b110-411d65aa65b9	0a524b9a-2176-4c04-bd97-f885ef51fc06	body	20	REGION_MH41CWQBTZ	Множество источников данных	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>При обособлении данных на несколько Баз Данных, можно добавить и использовать несколько источников данных. При этом, нобходимо учитывать, что один элемент может обращаться только к одному источнику данных, за исключением процессов, которые могут брать данные из одного источника данных, а записывать в другой.</p>\n<p>К примеру, на данном стенде используется два источника данных, в первом содержатся бизнес-данные, а во втором – справочная информация.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 08:43:42.438889	10	f	\N	f
b9ffd2ef-44fc-4d23-8ddb-db08e3a7181e	01be9ad0-af44-4ae2-8ea3-691ae9d8f700	\N	body	10	REGION_W9EEC1KWPH	Транзакция в рамках процессов	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	\N	\N	ADMIN	2024-07-16 09:15:27.568002	10	f	\N	f
b60775bc-cf0f-45c7-92dd-a87dcbcca35c	c7d28294-b69b-407e-88b3-1bc14126346e	8710e362-6a9b-4df9-9040-35ff1792562c	body	30	REGION_FE7D8JFS5O	Описание элементов статического списка	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 03:59:06.980895	10	f	\N	f
a507cb9b-2d70-4734-a849-f41cd7231889	adf27858-5f30-4b8f-8d19-233bdaddc26d	9eb25d15-8b4c-4e49-9571-bcefdcc49d41	body	32	4Q9H5ZSXA7	JS файлы – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:35:58.527797	10	f	\N	f
8a833fee-71a5-4676-807b-1af99438ef30	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	ad50b218-350a-47c2-a9b3-57bc4f0e3abe	body	10	REGION_FB0OL4NR8J	Пример запроса	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 11:23:29.451843	10	f	\N	f
646b8874-6150-444a-97b6-1718f8624341	adf27858-5f30-4b8f-8d19-233bdaddc26d	9eb25d15-8b4c-4e49-9571-bcefdcc49d41	body	11	U6MZ2O5K5P	CSS файлы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Указываются ссылки на файлы каскадных таблиц в директории приложения <tt>(/var/www/<имя_приложения>.files.local/)</tt>.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 02:35:47.950715	10	f	\N	f
7c61b7e1-0d55-4133-8b86-0ce031621bfa	adf27858-5f30-4b8f-8d19-233bdaddc26d	85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	body	60	U01WPKKCKQ	Домашняя страница – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:30:15.85773	10	f	\N	f
ad50b218-350a-47c2-a9b3-57bc4f0e3abe	7547ccca-3c5e-44fc-bcdd-3972a9ad3ad1	64d3c604-d072-49c3-939f-869fef40b2bd	body	1	REGION_96CENE29AF	CARDS_STYLE_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>Источником данных служит список. Для редактирования оформления карточек используются следующие атрибуты:</p>\n<ul>\n\t<li>Лейбл - подпись карточки</li>\n\t<li>CSS класс иконки - определение иконки для карточки</li>\n\t<li>Ссылка - на какую страницу будет выполнен переход при нажатии</li>\n\t<li>Атрибут 1 - вспомогательная подпись</li>\n\t<li>Атрибут 2 - цвет оформления карточки в формате HEX</li>\n</ul>\n<p>Для большего разнообразия внешнего вида карточек можно использовать разные темы оформления.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-16 11:23:29.45509	10	f	\N	f
57dbb2e7-ab48-4d09-9cf0-838d8ad9e374	89ecce48-2531-498f-8eae-2bfb5494e66d	639f8f30-0d67-44bd-9233-6d4f55d1f47c	body	5	REGION_PQXZ983NR4	Пример запроса	f	f	FORM	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 02:33:40.25451	10	f	\N	f
2cdc870a-c9e6-4fba-9c94-55023eda155b	adf27858-5f30-4b8f-8d19-233bdaddc26d	\N	top	10	REGION_FD9Z1KN5YD	BRD	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:12:01.168461	10	\N	\N	\N
a5a192cb-19a5-4334-bcf1-bd91a6989273	89ecce48-2531-498f-8eae-2bfb5494e66d	639f8f30-0d67-44bd-9233-6d4f55d1f47c	body	1	REGION_5SPEQ5H92A	Описание	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>Календарь используется для отображения событий с меткой времени начала и конца события. Стандартный регион позволяет только просматривать события, полученные из SQL-запроса.</p>\n<p>Сам календарь можно настроить, изменив отображение выходных, выбрав необходимые для показа представления (День, Неделя, Месяц, Год, Повестка дня), а также высоту календаря и отображение подсказки о событии при наведении курсора.</p>\n<p>Событию календаря можно установить цвет и ссылку, по которой будет произведен переход после нажатия (в ссылку можно добавить id записи).</p>	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 02:34:27.194138	10	f	\N	f
d59df966-6e92-40f4-9df5-563710c4e4f4	15cdce43-17c2-4f7e-b594-ca9d9f08e0c3	c8914da6-1042-48bd-b590-278c123f2931	body	10	REGION_XPON7A9187	Пример запроса	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 02:54:58.211721	10	f	\N	f
14734af7-9beb-4469-b9e9-a638b28b14ed	adf27858-5f30-4b8f-8d19-233bdaddc26d	85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	body	40	3ZBWR5IQBM	URL приложения – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:30:15.857693	10	f	\N	f
cb9e03a1-7f4d-4021-9bd7-8d93dd0fd880	adf27858-5f30-4b8f-8d19-233bdaddc26d	ce08008e-4ab5-4f43-9038-7ee880920a6e	body	43	YMBBPV5EIZ	Время жизни сессии – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:23:45.830459	10	f	\N	f
93265f4f-f846-403c-8a54-b5de7d430d4a	adf27858-5f30-4b8f-8d19-233bdaddc26d	ce08008e-4ab5-4f43-9038-7ee880920a6e	body	53	0A29IKJA65	Время жизни неактивной сессии	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Определяет время жизни сессии пользователя, не производящего никаких действий в приложении. Пройдёт именно столько единиц времени, прежде чем авторизованный пользователь будет принудительно отключен.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:23:45.830509	10	f	\N	f
fe7fee77-b1b1-4f65-818d-ba07d2ef0522	adf27858-5f30-4b8f-8d19-233bdaddc26d	ce08008e-4ab5-4f43-9038-7ee880920a6e	body	63	OKNO6V4EFQ	Время жизни неактивной сессии – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:23:45.830541	10	f	\N	f
ce08008e-4ab5-4f43-9038-7ee880920a6e	adf27858-5f30-4b8f-8d19-233bdaddc26d	8507d4bd-84f7-42c5-ba4d-c118096c14a4	body	30	REGION_97Z5ZNNXHU	Сессии	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:24:05.854662	10	f	\N	f
44963565-98c8-4f3a-a407-6214f0304cc7	d1ab8a70-d9a9-4ede-9bb7-cea9117b8fa2	\N	top	10	REGION_S8VBU7ZK1W	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 02:38:18.621009	10	f	\N	f
c0d5a900-0e57-4bc3-aaa5-d25cc5d1f210	3006c64d-7487-4960-bdfc-f8565c02fd11	1d6022dc-5d7f-4c87-af44-6acaa68f23a0	body	10	REGION_H1ZIYJUECF	Dynamic Action	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<code>Event: Change (Item)</code>	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:29:28.556024	10	f	\N	f
571716cc-838c-4918-92f8-d40be9db6ff1	c7d28294-b69b-407e-88b3-1bc14126346e	8710e362-6a9b-4df9-9040-35ff1792562c	body	10	REGION_F8MULRCYRY	Глобальные списки	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Список – это набор однотипных данных.</p>\n<p>В системе XRAD существует 2 типа списков:</p>\n<ul>\n    <li>Статичный (Static) – все элементы списка формируются через интерфейс XRAD Builder и редактироваться может только разработчиком;</li>\n    <li>Динамический (Based on Query) – формируется на основе SQL-запроса. Может иметь поля из статического списка и меняться пользователем через интерфейс приложения.</li>\n</ul>\n<p>Отдельным видом списков стоит список типа Breadcrumb предназначенный для вывода пути страницы приложения.</p>	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 03:00:36.414218	10	f	\N	f
d566568e-a072-4fe7-a6c4-5e2cef7b74a0	c7d28294-b69b-407e-88b3-1bc14126346e	b60775bc-cf0f-45c7-92dd-a87dcbcca35c	body	20	REGION_DNI54IY7CI	Пример	\N	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 03:59:19.162052	10	f	\N	f
6f9427db-1503-48ad-b5dc-21e83c5a5ac0	c7d28294-b69b-407e-88b3-1bc14126346e	b60775bc-cf0f-45c7-92dd-a87dcbcca35c	body	10	REGION_TUF508V32Z	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	7	TEXT	<ul>\n    <li>Последовательность – <b>обязательный</b> параметр, управляет порядком отображения пунктов списка;</li>\n    <li>Источник данных – <b>обязательный</b> параметр, указывает, какой источник данных приложения будет использоваться;</li>\n    <li>Лейбл – <b>обязательный</b> параметр (для списка типа Breadcrumb), указывает выводимый текст;</li>\n    <li>Родительский элемент списка – предназначен для формирования многоуровневого меню;</li>\n    <li>CSS класс иконки – выводимая иконка;</li>\n    <li>Подсказка – выводимый текст при наведении на элемент;</li>\n    <li>Условие для активного состояния – для меню указывает при нахождении на какой странице (страницах) пункт меню будет выделен как текущий;</li>\n    <li>Отделен – устанавливает разделитель после элемента (для элементов подменю в Панели навигации);</li>\n    <li>Ссылка – действие, которое будет выполняться при нажатии на элемент списка;</li>\n    <li>Тип условия – для элемента списка можно указать при каком условии пользователю будет отображен создаваемый/редактируемый элемент списка;</li>\n    <li>Пользовательские атрибуты – для некоторых вариантах вывода так же можно использовать дополнительные атрибуты списков. Например для компонента Page Navigation в Атрибуте 1 можно указать что будет отображаться под наименованием элемента, а в Атрибуте 2 – что будет отображаться в правой части.</li>\n</ul>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 04:01:09.618683	10	f	\N	f
adc72190-1b93-4589-906b-570ad6ea60ac	8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	\N	body	23	REGION_RONLUL53T1	Дерево	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 04:26:40.346746	10	f	\N	f
b497dd11-fd83-450a-8388-ed8959d35821	8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	adc72190-1b93-4589-906b-570ad6ea60ac	body	4	REGION_450MRTWVEI	Запрос	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 04:27:29.112883	10	f	\N	f
6af4fa15-6123-4dc5-be89-f008100de9a7	b9fdd2e2-f39c-4930-91d2-9eecd3626960	d03505c0-87b0-460e-8ca0-30c04a9a6814	body	3	CHAT_TEXT	CHAT_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Компонент служит для вывода чата на основе запроса к БД.</p>\n<p>В запросе помимо текста сообщения, даты и пользователя, также указывается положение текста и стиль оформления иконки.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
bd1aa2b1-d900-4893-8f36-e5dd88fd8765	adf27858-5f30-4b8f-8d19-233bdaddc26d	85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	body	10	REGION_68REP9KNXS	Имя приложения	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Отображаемое название приложения в заголовке панели навигации сверху.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:12:01.168526	10	f	\N	f
f6efeb5d-c598-4b7f-9a7b-13a186845666	8a7dff99-dfcd-418a-8b4e-b3c5d47308d5	adc72190-1b93-4589-906b-570ad6ea60ac	body	3	TREES_TEXT	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Компонент для вывода древовидной структуры данных.</p>\n<p>Обычно располагается как на данном примере в левой панели стандартного шаблона страницы.</p>\n<p>В настройках задаётся линк, работающий по клику на запись в дереве.</p>\n<p>Рабочий пример использования региона "Дерево" расположен на странице <a href="https://pghs4-edu.xsquare.ru/#/content/1115">"1115 - Отделения"</a>, в разделе "Администрирование".</p>	\N	\N	\N	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
fdce90d5-90f4-4450-a9c9-3640c1588487	b9fdd2e2-f39c-4930-91d2-9eecd3626960	6af4fa15-6123-4dc5-be89-f008100de9a7	body	10	REGION_JOK0OGNZ0K	Пример запроса	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 05:20:32.107304	10	f	\N	f
825d1fcd-910e-4dc0-8d84-a4a472ac727f	129c0d3a-01f7-497f-b996-d9113ab7f318	\N	body	3	USERS	Пользователи	f	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT ul.id link\n      ,ul.username\n      ,INITCAP(CONCAT(ul.last_name,' ',ul.first_name)) fi\n  FROM roles.t_role_users ru\n\t  ,users.t_user_list ul \n WHERE ru.user_id = ul.id\n   AND ru.role_id = $1\nORDER BY ul.username	{P1100_ID}	\N	\N	\N	t	t	{"preset": null, "bodyBorder": true, "gridLayout": "grid", "bodyPadding": false, "footerBorder": true, "headerBorder": true, "regionBorder": false, "footerPadding": true, "headerPadding": true, "bodyBackground": true, "containerWidth": null, "childrenPadding": true, "footerBackground": true, "headerBackground": true, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
5530fc42-73fe-4039-8820-8fd694b6c16e	d1533edb-4578-4939-88c0-38a6ad2f4c7c	c0d47b49-0cd8-468e-94bf-edc92d1d2646	body	50	REGION_BP1I85F2D3	Авторизация для манипуляций с данными	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>Также схемы авторизации используются для проверки доступа к разным манипуляциям с данными.</p>\n<p>Для удаления, вставки и изменения данных можно установить свою схему авторизации, которая будет проверять доступ к действию перед рендером страницы. Если схема авторизации возвращает <i>True</i>, то действие будет доступно.</p>\n	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 09:31:53.363003	10	f	\N	f
8ee3ca7b-e3a8-4891-9ac4-995b766964d0	adf27858-5f30-4b8f-8d19-233bdaddc26d	85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	body	20	REGION_ZNSETV0XA8	Имя приложения – значение	\N	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:06:14.37748	10	f	\N	f
0f16619b-da5f-4e1e-b348-4c0178d7bc62	adf27858-5f30-4b8f-8d19-233bdaddc26d	1fd4decb-bbbf-4460-9d0d-3f74b95267bd	body	11	FN1Y47ZUZP	Панель навигации	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Определяет список для меню в заголовке страницы.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:59:25.280896	10	f	\N	f
85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	adf27858-5f30-4b8f-8d19-233bdaddc26d	8507d4bd-84f7-42c5-ba4d-c118096c14a4	body	10	REGION_IEJNB36ULJ	Общие	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:59:50.985835	10	f	\N	f
1fd4decb-bbbf-4460-9d0d-3f74b95267bd	adf27858-5f30-4b8f-8d19-233bdaddc26d	8507d4bd-84f7-42c5-ba4d-c118096c14a4	body	20	BCEC6Z50JW	Списки	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:23:45.838041	10	f	\N	f
6f07c091-9cd8-44b4-9f04-596d88042573	adf27858-5f30-4b8f-8d19-233bdaddc26d	85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	body	30	JDEZUEFJ9G	URL приложения	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Адрес приложения.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:57:52.607023	10	f	\N	f
f0ad59c2-ffc0-44fe-8bc0-9da62a4e1e26	adf27858-5f30-4b8f-8d19-233bdaddc26d	85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	body	50	VS85BRNF75	Домашняя страница	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Номер страницы, на которое происходит перенаправление после аутентификации пользователя в системе.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:58:38.18312	10	f	\N	f
9eb25d15-8b4c-4e49-9571-bcefdcc49d41	adf27858-5f30-4b8f-8d19-233bdaddc26d	8507d4bd-84f7-42c5-ba4d-c118096c14a4	body	40	GYJVIQ552Q	Статичные ресурсы	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:35:58.527592	10	f	\N	f
05dcf39e-060b-4421-80a9-48d70df83079	adf27858-5f30-4b8f-8d19-233bdaddc26d	85411c2c-3f00-4d22-aa48-ecbfe5ad09b0	body	70	PAVM2CAJ7I	Страница входа	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Основная публичная страница, на которую попадает неавторизованный пользователь. Как правило, страница авторизации.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 10:59:14.044432	10	f	\N	f
9781caab-6569-40fc-9243-502513221cbd	adf27858-5f30-4b8f-8d19-233bdaddc26d	1fd4decb-bbbf-4460-9d0d-3f74b95267bd	body	22	831HCNUOMO	Меню навигации	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Определяет список для основного меню в левом блоке страницы.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:05:38.226604	10	f	\N	f
c4b58070-d896-46b3-bf6f-1082ab3064a3	adf27858-5f30-4b8f-8d19-233bdaddc26d	1fd4decb-bbbf-4460-9d0d-3f74b95267bd	body	32	POS1GSIGKP	Меню навигации – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:05:38.226651	10	f	\N	f
a3c7429a-3a7c-4f1b-94e7-cb8803f5a08a	adf27858-5f30-4b8f-8d19-233bdaddc26d	9eb25d15-8b4c-4e49-9571-bcefdcc49d41	body	12	YH9ETHV571	CSS файлы – значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-17 11:35:58.527723	10	f	\N	f
21b0b1bc-018c-4400-b31a-fa0155e85cf5	adf27858-5f30-4b8f-8d19-233bdaddc26d	ce08008e-4ab5-4f43-9038-7ee880920a6e	body	42	G3GCXK8NJL	Время жизни сессии	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Определяет время жизни сессии. Пройдёт именно столько единиц времени, прежде чем авторизованный пользователь будет принудительно отключен.<br>Более подробно сессии описаны на странице "<a href="/#/content/7400">7400 – Сессии</a>".</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-07-18 02:44:39.316166	10	f	\N	f
fa45439e-4b40-4891-9a10-7c6f16b356cf	c3bfd42b-0e7e-40dd-96ca-16de1d292caa	8534144c-13cf-4aac-abbf-69bc35ff4cbb	body	3	WIZARD_TEXT	WIZARD_TEXT	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<h3>Первый шаг визарда.</h3><p>Регион с типом визард помещается на нескольких страницах, которые требуется объединить пошаговым визардом.</p><p>Можно настроить разрешение переключаться между страницами по клику визарда, а также горазонтальное/вертикальное положение</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
f588a923-5dc4-4d1b-b54d-b7f7c464c6af	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	866e0cb4-cb04-4e1d-8b1f-26a644baeb59	body	32	REGION_FLQIRCRAQJ	Код функции f_concat_str	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">-- Функция в PostgreSQL\nCREATE OR REPLACE FUNCTION api.f_concat_str(p_first_str character varying DEFAULT '',\n\t\t\t\t\t\t\t\t\t\t    p_second_str character varying DEFAULT '')\n RETURNS json LANGUAGE plpgsql\nAS $function$\nDECLARE\n\tl_result VARCHAR;\nBEGIN\n\tl_result := CONCAT(p_first_str,p_second_str);\n  \n\tRETURN ('{"CONCAT_RESULT": "'||l_result||'"}')::JSON;\nEND;\n$function$;</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-25 07:01:32.371624	10	f	\N	f
b78452d7-2349-4c74-8304-9686469495cb	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	f25c4d30-e6e1-498e-9ffd-b829f733e043	body	52	REGION_XSQ7P5YIUN	Код функции f_json_parse	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">-- Функция в PostgreSQL\nCREATE OR REPLACE FUNCTION api.f_json_parse(p_json json)\n RETURNS json LANGUAGE plpgsql\nAS $function$\nDECLARE\nBEGIN\n\tRETURN ('{"JSON_OUTPUT": '||p_json::TEXT||'}')::JSON;\n  \nEXCEPTION WHEN OTHERS\nTHEN\n\tRETURN 'Некорректный формат JSON!';\nEND;\n$function$;</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-25 07:01:32.371799	10	f	\N	f
43ed159b-a7fb-405b-ace1-740611b34fa7	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	2a3e8792-2a87-4aec-ad3d-15fc18dcf916	body	10	REGION_W69WLNWSM8	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>XDAC позволяет автоматизировать процесс публикации API, предоставляя доступ к процедурам и функциям хранимых на стороне PostgreSQL.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-25 07:02:03.785421	10	f	\N	f
41c54b49-6f21-4bf7-8e7c-7cf91ae97b15	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	2a3e8792-2a87-4aec-ad3d-15fc18dcf916	body	50	REGION_Q4E9O7AR6K	Получение информации о клиенте по ID	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-12-25 07:34:11.997212	10	f	\N	f
a18a5fc5-f1a6-452a-8b5d-f7213dfade02	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	c7b2cce9-a9a9-4950-a116-e5771f019919	body	10	REGION_YDXGCEAAPH	GET-client	f	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-25 07:34:11.997421	10	f	\N	f
59cdd60c-66c1-45d3-b72d-3c61df09875c	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	b71afcd2-340f-4c25-9114-91570e5b2118	body	30	REGION_U7V863L8I9	Код функции f_hello	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">-- Функция в PostgreSQL\nCREATE OR REPLACE FUNCTION api.f_hello()\n RETURNS json LANGUAGE plpgsql \nAS $function$\nBEGIN\n\tRETURN '{"GET_RETURN": "Hello world!!"}'::json;\nEND;\n$function$;</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-25 06:55:45.100838	10	f	\N	f
e2a6c924-e0ef-4aa6-9fc9-d89d0f90c91a	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	41c54b49-6f21-4bf7-8e7c-7cf91ae97b15	body	10	REGION_Z2V4SBGOSF	GET-tile	f	f	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'GET' title, 'Запрос' text, 'mdi mdi-download' icon, '#58C882' color, '1 bigint-аргумент' descr	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-25 08:04:07.045469	10	f	\N	f
c7b2cce9-a9a9-4950-a116-e5771f019919	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	41c54b49-6f21-4bf7-8e7c-7cf91ae97b15	body	20	REGION_HUEUXTF2P6	Пример получения информации о клиенте	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	9	TEXT	<p>Получаем в JSON сведения о клиенте по ID из списка клиентов</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-25 08:10:33.432779	10	f	\N	f
0e40874c-feeb-44c3-8ee6-5db60d538092	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	\N	body	5	PWA_INFO	Добавьте ярлык на экран "Домой"	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p class="pwa_text">Нажмите на иконку\n      <svg  viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path data-v-62c4f7ea="" id="Vector" d="M9 6L12 3M12 3L15 6M12 3V13M7.00023 10C6.06835 10 5.60241 10 5.23486 10.1522C4.74481 10.3552 4.35523 10.7448 4.15224 11.2349C4 11.6024 4 12.0681 4 13V17.8C4 18.9201 4 19.4798 4.21799 19.9076C4.40973 20.2839 4.71547 20.5905 5.0918 20.7822C5.5192 21 6.07899 21 7.19691 21H16.8036C17.9215 21 18.4805 21 18.9079 20.7822C19.2842 20.5905 19.5905 20.2839 19.7822 19.9076C20 19.4802 20 18.921 20 17.8031V13C20 12.0681 19.9999 11.6024 19.8477 11.2349C19.6447 10.7448 19.2554 10.3552 18.7654 10.1522C18.3978 10 17.9319 10 17 10" stroke="#000000" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></svg>\n      и в меню выберите «На экран "Домой"»</p>\n	\N	\N	\N	\N	t	t	{"border": false, "preset": null, "padding": false, "boxShadow": false, "background": false, "containerWidth": 340, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-12-25 12:45:24.008033	10	f	\N	f
fb7b4ebd-4f2c-41da-803b-64a8f7c19b00	3006c64d-7487-4960-bdfc-f8565c02fd11	30a22554-1726-4c9a-8223-a519819265c5	body	10	REGION_IP27OOSCZP	Dynamic Action	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<code>Event: Click (button)</code>	\N	\N	\N	\N	t	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:29:28.554791	10	f	\N	f
07455db3-01b9-4a1b-94d0-f64cf3899165	3006c64d-7487-4960-bdfc-f8565c02fd11	de266bde-1e7a-4e07-97f5-0806128b0cb5	body	1	REGION_XRCSD3RWKL	Dynamic Action	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<code>Event: Change (item)</code>	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:29:28.555944	10	f	\N	f
1d01e5fe-ac07-415b-ba48-4c0ff83ca5f9	3006c64d-7487-4960-bdfc-f8565c02fd11	7ab0f422-6a16-48c3-8c96-0be89edf39c5	body	1	REGION_D89102Q05B	Dynamic Action	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<code>Event: Click (button) -> Item: Button</code>	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:29:28.55598	10	f	\N	f
e3e349b3-a445-41f5-96ac-7a1e175258ce	3006c64d-7487-4960-bdfc-f8565c02fd11	a2f526fc-f6f5-49cd-8547-fb8fd5abc96c	body	10	REGION_H3J91VYXU5	Dynamic Action	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<code>Event: Region</code>	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-10-14 10:29:28.556007	10	f	\N	f
0b0f41e1-fc1d-4ed8-9238-7c0ad931c085	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	c7b2cce9-a9a9-4950-a116-e5771f019919	body	30	REGION_M38WP4KS9F	Код функции f_get_client	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">-- Функция в PostgreSQL\nCREATE OR REPLACE FUNCTION api.f_get_client(p_id bigint)\n RETURNS json LANGUAGE plpgsql\nAS $function$\n\tDECLARE\n\t\tl_client_info json;\n\tBEGIN\n\t\tSELECT json_build_object('fi',            CONCAT(c.last_name,' ',c.first_name),\n\t\t\t\t\t\t\t\t 'date_of_birth', to_char(c.date_of_birth, 'dd.mm.yyyy'),\n\t\t\t\t\t\t\t\t 'phone', \t\t  c.phone,\n\t\t\t\t\t\t\t\t 'email', \t\t  c.email)\n\t\tINTO l_client_info\n\t\tFROM cli.t_clients c\n\t\tWHERE c.id = p_id;\n\n\t\tRETURN l_client_info;\n\tEND;\n$function$;</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 00:35:33.593334	10	f	\N	f
dcd2e7eb-d8e6-4494-b8d3-05feb1a1e55d	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	\N	body	2	ICON_SPRITES	ICON_SPRITES	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	  <svg xmlns="http://www.w3.org/2000/svg">\n    <symbol id="icon-lock-thin" viewBox="0 0 24 24" stroke="none">\n      <path\n        fill-rule="evenodd"\n        clip-rule="evenodd"\n        d="M8.9948 3.9948C9.79183 3.19777 10.8728 2.75 12 2.75C13.1272 2.75 14.2082 3.19777 15.0052 3.9948C15.8022 4.79183 16.25 5.87283 16.25 7V10.25H7.75V7C7.75 5.87283 8.19777 4.79183 8.9948 3.9948ZM6.25 10.25V7C6.25 5.47501 6.8558 4.01247 7.93414 2.93414C9.01247 1.8558 10.475 1.25 12 1.25C13.525 1.25 14.9875 1.8558 16.0659 2.93414C17.1442 4.01247 17.75 5.47501 17.75 7V10.25H18.2222C19.6989 10.25 20.75 11.5667 20.75 13V20C20.75 21.4333 19.6989 22.75 18.2222 22.75H5.77778C4.30112 22.75 3.25 21.4333 3.25 20V13C3.25 11.5667 4.30112 10.25 5.77778 10.25H6.25ZM17 11.75H7H5.77778C5.29076 11.75 4.75 12.2242 4.75 13V20C4.75 20.7758 5.29076 21.25 5.77778 21.25H18.2222C18.7092 21.25 19.25 20.7758 19.25 20V13C19.25 12.2242 18.7092 11.75 18.2222 11.75H17Z"\n        class="icon-fill"\n      />\n    </symbol>\n    <symbol\n      id="icon-auth-1"\n      xmlns="http://www.w3.org/2000/svg"\n      viewBox="0 0 24 24"\n      fill="none"\n      stroke-width="2"\n      stroke-linecap="round"\n      stroke-linejoin="round"\n    >\n      <path\n        d="M2.586 17.414A2 2 0 0 0 2 18.828V21a1 1 0 0 0 1 1h3a1 1 0 0 0 1-1v-1a1 1 0 0 1 1-1h1a1 1 0 0 0 1-1v-1a1 1 0 0 1 1-1h.172a2 2 0 0 0 1.414-.586l.814-.814a6.5 6.5 0 1 0-4-4z"\n      />\n      <circle cx="16.5" cy="7.5" r=".5" fill="currentColor" />\n    </symbol>\n    <symbol id="icon-open-id-connect" viewBox="0 0 128 128" stroke="none">\n      <path\n        d="m 75.180374,15.11293 -15.99577,7.797938 0,79.945522 C 40.931432,100.568 27.193065,90.619126 27.193065,78.662788 c 0,-11.334002 12.358733,-20.879977 29.192279,-23.793706 l 0,-10.163979 C 30.637155,47.81728 11.197296,61.839238 11.197296,78.662788 c 0,17.429891 20.856984,31.825422 47.987308,34.224282 l 15.99577,-7.53134 0,-90.2428 z m 2.79926,29.592173 0,10.163979 c 6.261409,1.083679 11.913385,3.061436 16.528961,5.731817 l -8.664375,4.898704 30.95849,6.731553 -2.23275,-22.927269 -8.23115,4.632108 C 98.692362,49.310409 88.899095,46.024898 77.979634,44.705103 z"\n      />\n    </symbol>\n    <symbol id="icon-windows-10" viewBox="0 0 48 48" version="1.1">\n      <g id="Icons" stroke="none" stroke-width="1" fill-rule="evenodd">\n        <g transform="translate(-400.000000, -560.000000)">\n          <path\n            d="M400,566.79594 L419.616154,564.132637 L419.624728,582.995574 L400.01826,583.106885 L400,566.79594 Z M419.606809,585.169154 L419.622035,604.048843 L400.01549,601.3615 L400.01439,585.042845 L419.606809,585.169154 Z M421.984711,563.784314 L447.993926,560 L447.993926,582.755916 L421.984711,582.961764 L421.984711,563.784314 Z M448,585.3466 L447.993899,608 L421.984683,604.340389 L421.94824,585.304384 L448,585.3466 Z"\n            id="Windowsphone"\n          ></path>\n        </g>\n      </g>\n    </symbol>\n  </svg>	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-12-25 12:46:13.022844	10	f	\N	f
bc2b645a-9975-42e6-85f3-a5d671620d03	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	2a3e8792-2a87-4aec-ad3d-15fc18dcf916	body	60	REGION_R5FAGX6B7T	Массовая выгрузка из таблицы в JSON	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	\N	\N	\N	ADMIN	2024-12-26 12:45:20.022067	10	f	\N	f
427861e3-3743-4364-ae36-bfbd889eaca7	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	bc2b645a-9975-42e6-85f3-a5d671620d03	body	10	REGION_TRWDY18122	GET-tile	f	f	TILES	ALWAYS	\N	\N	\N	\N	3	\N	SELECT 'GET' title, 'Запрос' text, 'mdi mdi-download' icon, '#58C882' color, 'Без аргументов' descr	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-26 12:45:20.022117	10	f	\N	f
dbdcb8c1-4f48-406a-b3d0-d8ee12963ac8	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	62e8ea3b-208a-4f36-af30-efeb9cb26f81	body	10	REGION_EETLLINRYT	GET-json	\N	f	FORM	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-26 13:00:34.313769	10	f	\N	f
62e8ea3b-208a-4f36-af30-efeb9cb26f81	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	bc2b645a-9975-42e6-85f3-a5d671620d03	body	20	REGION_QBL3C96KG6	Пример массовой выгрузки	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	9	TEXT	<p>Пример массовой выгрузки из таблицы</p>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-12-26 13:01:04.158394	10	f	\N	f
ed740da9-318a-4c55-9174-27a20a786ba7	3006c64d-7487-4960-bdfc-f8565c02fd11	a2f526fc-f6f5-49cd-8547-fb8fd5abc96c	body	20	CODE_REDACTOR3	Код	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<pre><code class="language-js">jsAPI.modal.open({\n\ttitle: "Модальное окно",\n\twidth: 420,\n    selector:"#OPEN_MODAL",\n\tbuttons: [\n\t{\n\t\ttext: 'Принять',\n\t\taction: 'accept',\n\t\tclass: 'btn-primary'\n\t},\n\t{\n\t\ttext: 'Отклонить',\n\t\taction: 'decline',\n\t\tclass: 'btn-danger'\n\t}]\n}, {\n  onAccept: function (r) {\n    jsAPI.notification.success('Принято!');\n  },\n  onDecline: function (r) {\n    jsAPI.notification.warning('Отклонено!');\n  }\n});</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:21:22.242935	10	f	\N	f
dccbde60-c912-4dc2-9b0e-b9a3f3cae790	3006c64d-7487-4960-bdfc-f8565c02fd11	d350e7af-cb57-469b-a8b8-35d20d9686ac	body	20	REGION_9R6SIISPEA	Примеры списков	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	3	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:32:12.57908	10	f	\N	f
96374711-97c7-4c65-bdca-3004197e21b7	3006c64d-7487-4960-bdfc-f8565c02fd11	7794e796-ac68-41e1-9984-7094530e0e5f	body	7	REGION_PZ5ZRUSAHM	Блокировка формы на время выполнения процесса	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:16:16.282658	10	f	\N	f
7794e796-ac68-41e1-9984-7094530e0e5f	3006c64d-7487-4960-bdfc-f8565c02fd11	\N	body	10	REGION_DVX18AT9B6	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-10-14 10:32:46.378478	10	f	\N	f
f5fecae9-aea4-44f3-9516-a02c16a0a348	3006c64d-7487-4960-bdfc-f8565c02fd11	96374711-97c7-4c65-bdca-3004197e21b7	body	10	REGION_HODX02WK97	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>Свойство <b>loading: boolean</b> метода <code class="single">jsAPI.component("ID").properties()</code> позволяет заблокировать от изменений отдельную кнопку, регион или целую страницу на необходимый промежуток времени, например на время исполнения динамического действия.</p>\n<p>В данном примере форма блокируется от изменений на 3 секунды.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:17:24.387574	10	f	\N	f
30a22554-1726-4c9a-8223-a519819265c5	3006c64d-7487-4960-bdfc-f8565c02fd11	96374711-97c7-4c65-bdca-3004197e21b7	body	30	REGION_GTVH9W2UFM	Кодовая область01	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:29:54.865664	10	f	\N	f
fdcbd68b-38d1-41a2-92a4-0b39c7b96cbe	3006c64d-7487-4960-bdfc-f8565c02fd11	96374711-97c7-4c65-bdca-3004197e21b7	body	20	FORM_FOR_BLOCK	Пример	f	f	FORM	ALWAYS	\N	\N	\N	\N	3	\N	\N	\N	\N	\N	\N	f	f	\N	\N	\N	ADMIN	2024-10-14 11:04:57.870004	10	f	\N	f
b55e642b-bfd3-42bf-bfcd-5dc0e41928f7	3006c64d-7487-4960-bdfc-f8565c02fd11	7ab0f422-6a16-48c3-8c96-0be89edf39c5	body	40	CODE_REDACTOR1	Код	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">jsAPI.dom.focus('#P5200_FIRST')\njsAPI.dom.focus('#P5200_SECOND')\njsAPI.dom.focus('#P5200_THIRD')\n\njsAPI.dom.blur()</code></pre>	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": true, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:03:08.110553	10	f	\N	f
75fb9b15-c6b2-4101-bd98-b5dde864a14b	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	\N	body	30	REGION_FRZ5N6PSNI	Интеграция с сервером отчетов	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
332fddac-5179-4f9d-86db-ffc81e06a1ac	3006c64d-7487-4960-bdfc-f8565c02fd11	30a22554-1726-4c9a-8223-a519819265c5	body	20	REGION_AMDOMC5Q14	Код	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">\njsAPI.component('FORM_FOR_BLOCK').properties({\n\tloading: true\n})\n\nsetTimeout(() =>\n\tjsAPI.component('FORM_FOR_BLOCK').properties({\n\t\tloading: false\n\t}), 3000);\n</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:11:09.691581	10	f	\N	f
2399a233-6d89-4fc2-8912-c8b60cc0ee69	3006c64d-7487-4960-bdfc-f8565c02fd11	d350e7af-cb57-469b-a8b8-35d20d9686ac	body	10	REGION_DR6CU9A264	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	4	TEXT	<p>При изменении значения первого списка динамически изменяется список доступных элементов во втором списке.</p>\n<p>У второго списка установлено условие с передаваемым из первого списка параметром, которое ограничивает выборку.</p>\n<p>У элементов Select List и Autocomplete для обновления списка используется метод <code class="single">jsAPI.refreshList()</code></p>\n<p><code class="single">jsAPI.refreshList(data, callbacks)</code> – обновление списков, привязанных к элементам форм, где в data передается: id элемента, номер страницы и словарь с элементами; в callbacks - обработчики onSuccess и onError</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 10:58:18.162318	10	f	\N	f
c00ea56b-55b1-4f3d-808c-87c180fc3135	3006c64d-7487-4960-bdfc-f8565c02fd11	93dd98b1-5d13-4a62-a221-14e0289d1585	body	20	REGION_DZ3NFMWI18	Пример	f	f	FORM	ALWAYS	\N	\N	\N	\N	3	\N	\N	\N	\N	\N	\N	f	f	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:14:29.529901	10	f	\N	f
3ee304ac-71d2-4af1-a29c-12a5390dfc0e	8145943d-3106-4c58-973a-ad8778b2a231	\N	top	10	REGION_M4RMDZDXFD	BRD	f	f	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	9	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 11:49:25.729075	10	f	\N	f
a35515c9-a2e0-4095-99fc-169d0ed1a4c9	8145943d-3106-4c58-973a-ad8778b2a231	\N	body	10	REGION_TT8Y21AF82	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2024-10-14 11:49:25.729093	10	f	\N	f
d3e4afba-be47-4e02-85bf-b5ca6c53a92d	8145943d-3106-4c58-973a-ad8778b2a231	a35515c9-a2e0-4095-99fc-169d0ed1a4c9	body	10	REGION_Z75B2W6UI7	Блокировка кнопки	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 12:09:07.396792	10	f	\N	f
83470956-6128-4036-896e-0199254015c5	8145943d-3106-4c58-973a-ad8778b2a231	d3e4afba-be47-4e02-85bf-b5ca6c53a92d	body	20	REGION_Q9KT19KGT2	Кнопки	\N	f	BUTTONS	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 12:23:15.798056	10	f	\N	f
fca3c902-a158-41a3-84b6-ad452d0b4a08	8145943d-3106-4c58-973a-ad8778b2a231	f6c7c7c1-f1df-44d0-bd98-a6be521486bb	body	10	TREE	Регион1	f	f	TREE	ALWAYS	\N	\N	\N	\N	0	\N	SELECT * FROM dep.t_departments	\N	\N	\N	\N	f	t	{"border": false, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 12:53:31.27224	10	f	\N	f
4b8baab4-7fbe-44d0-a203-f563e71beed5	8145943d-3106-4c58-973a-ad8778b2a231	a35515c9-a2e0-4095-99fc-169d0ed1a4c9	body	20	REGION_HF1AOJU0IN	Блокировка региона	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 12:31:44.657407	10	f	\N	f
aaaea2c4-7085-43cd-bc95-0c27708325d1	8145943d-3106-4c58-973a-ad8778b2a231	d8b9f4d6-2e19-42a4-a591-e15f4e348233	body	10	REGION_H5LCZLT0YP	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	7	TEXT	<p>Для блокировки страницы целиком на время выполнений длительной процедуры PostgreSQL (см. процесс PG_SLEEP_PROC) используется следующий метод:</p>\n<p><code class="language-js">jsAPI.setLoading(false | true)</code></p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 13:30:12.177606	10	f	\N	f
cdff8f89-1e60-4b4b-ab5e-3b8f6d4800f3	8145943d-3106-4c58-973a-ad8778b2a231	d3e4afba-be47-4e02-85bf-b5ca6c53a92d	body	10	REGION_OJRT4JGH9P	Описание	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	7	TEXT	<p>Для блокировки кнопки на время выполнения динамического действиями, в начале и в конце действия следует установить свойство <b>loading: boolean</b> для компонента с помощью:</p>\n<p><code class="language-js">jsAPI.component(buttonID).properties({loading: true | false})</code></p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 12:37:43.985657	10	f	\N	f
f6c7c7c1-f1df-44d0-bd98-a6be521486bb	8145943d-3106-4c58-973a-ad8778b2a231	4b8baab4-7fbe-44d0-a203-f563e71beed5	body	30	REGION	Регион	\N	f	WRAPPER	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": true, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 12:54:09.216896	10	f	\N	f
5b2a8472-d95e-4f4d-b455-e1f67a338d88	8145943d-3106-4c58-973a-ad8778b2a231	a35515c9-a2e0-4095-99fc-169d0ed1a4c9	body	40	REGION_KBOYDISMMG	Развитие системы блокировок	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 13:35:12.448033	10	f	\N	f
11726b97-adc7-4b69-b02f-757beb887d53	8145943d-3106-4c58-973a-ad8778b2a231	f6c7c7c1-f1df-44d0-bd98-a6be521486bb	body	20	FORM	Регион2	f	f	FORM	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 12:40:08.740569	10	f	\N	f
a08e7e09-4b7e-45ad-99aa-7c25e76cb102	8145943d-3106-4c58-973a-ad8778b2a231	4b8baab4-7fbe-44d0-a203-f563e71beed5	body	10	REGION_R0GDIUL5DH	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	7	TEXT	<p>Блокировка региона осуществляется таким же образом, как кнопки. При этом все вложенные компоненты в регионе также блокируются.</p>\n<p><code class="language-js">jsAPI.component(regionID).properties({loading: true | false})</code></p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 16:51:07.008773	10	f	\N	f
d8b9f4d6-2e19-42a4-a591-e15f4e348233	8145943d-3106-4c58-973a-ad8778b2a231	a35515c9-a2e0-4095-99fc-169d0ed1a4c9	body	30	REGION_UINZOHJH5P	Блокировка страницы	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 12:58:06.738681	10	f	\N	f
97c8c8ae-0f0c-4673-bcd6-252615436022	8145943d-3106-4c58-973a-ad8778b2a231	5b2a8472-d95e-4f4d-b455-e1f67a338d88	body	10	REGION_W3OI56Q3L2	Описание	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<p>В версии 5.1.2 система блокировки работает посредством предоставленного jsAPI. В последующих версиях планируется вводить автоматические блокировки без необходимости дополнительного обращения к jsAPI. Ввиду сложности функционала и объема затрагиваемых компонентов платформы данная функциональность будет находиться в тестировании 3+ месяца, хотя функционал уже реализован.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-14 13:36:04.577961	10	f	\N	f
3bdcee6c-2177-415e-b93a-c26aaa7e1bbf	fe04fae4-186f-429b-bf4f-3e3afd4b7141	62345403-181e-4e01-9e9d-b67f0fc8d79d	body	20	REGION_YXB1NCON8L	DataGrid	\N	\N	DATA_GRID	ALWAYS	\N	\N	\N	\N	12	\N	SELECT \n  * \nFROM \n  cli.t_clients\nORDER BY\n  id DESC	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-15 12:02:36.954394	10	\N	\N	\N
2249698d-ee8b-4508-a8e1-4752067a4d2e	981448ef-457a-4a86-b253-9accce59c268	5e27f43d-1a77-4685-931c-882db949bd92	body	20	REGION_Q6D8WR2SYI	BTNS	\N	f	BUTTONS	ALWAYS	\N	\N	\N	\N	3	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-17 11:43:36.610328	10	f	\N	f
5e27f43d-1a77-4685-931c-882db949bd92	981448ef-457a-4a86-b253-9accce59c268	4ccb4868-a7e8-418f-b93b-1814b18d2756	body	3	REGION_O8WYJVY53S	Атрибуты ссылки	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2024-10-17 11:43:36.610356	10	f	\N	f
d123ec25-ca17-41a8-bb26-a3f7fc3d1776	981448ef-457a-4a86-b253-9accce59c268	5e27f43d-1a77-4685-931c-882db949bd92	body	10	REGION_X003QVMP6Q	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Для действия кнопки "Перенаправить на страницу" были добавлены поля для указания атрибутов ссылки, таких как:</p>\n<ul>\n  <li><b>target</b> – указывает место, где должена быть загружена страница:\n    <ul>\n      <li>_blank – открывает страницу в новой вкладке браузера;</li>\n      <li>_self – открывает страницу в текущей вкладке.</li>\n    </ul>\n  </li>\n  <li><b>class</b> – CSS классы для тега &lt;a&gt;;</li>\n  <li><b>title</b> – поясняющий текст к ссылке в виде всплывающей подсказки.</li>\n</ul>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2024-10-17 11:46:20.682452	10	f	\N	f
e2d51ca6-2561-4490-a4c5-af907339f3cf	537cdd83-9057-43fe-8d89-2144884383f7	6c9486d0-a047-46b7-95f0-de4536e4cb5a	body	11	REGION_BBQGG7UOSM	Новый регион	f	f	TABS	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-27 21:22:49.273622	10	f	\N	f
9a34ae36-42e2-4e0a-9c46-a600b62e3171	537cdd83-9057-43fe-8d89-2144884383f7	e2d51ca6-2561-4490-a4c5-af907339f3cf	body	10	ROLES	Роли	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT r.name\n      ,ru.date_created\n      ,ul.username created_by\n      ,ru.id del\n  FROM roles.t_role_users ru\n   \t  ,roles.t_roles r\n      ,users.t_user_list ul\n WHERE r.id = ru.role_id\n   AND ru.created_by_id = ul.id\n   AND ru.user_id = $1::integer	{P19_ID}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-27 21:21:30.51009	10	f	\N	\N
f6a81659-7d15-4938-be71-b484e989215e	537cdd83-9057-43fe-8d89-2144884383f7	e2d51ca6-2561-4490-a4c5-af907339f3cf	body	20	HIST	История	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT CASE l.is_first_login WHEN 'Y' THEN 'Да' ELSE 'Нет' END is_first_login \n\t  ,l.date_created \n      ,users.f_get_username_by_id(l.created_by) created_by\n      ,l.date_modified\n      ,users.f_get_username_by_id(l.modified_by) modified_by\nFROM users.t_user_list l\nwhere l.id = $1	{P19_ID}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-27 21:21:30.510119	10	f	\N	\N
6c9486d0-a047-46b7-95f0-de4536e4cb5a	537cdd83-9057-43fe-8d89-2144884383f7	\N	body	21	REGION_CX5YSHSVOM	WRAPPER	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	ADMIN	2025-02-27 21:22:49.273061	10	f	\N	f
9c14f2a1-7829-41e5-a68a-957e6a7e4eea	537cdd83-9057-43fe-8d89-2144884383f7	6c9486d0-a047-46b7-95f0-de4536e4cb5a	body	5	TABLE	Пользователи	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	SQL	SELECT \n\tl.id link,\n\tl.username,\n\tinitcap(concat_ws(' ', l.last_name, l.first_name)) fi,\n\tl.email,\n\tl.date_created,\n    l.id chk1,\n\tl.date_modified,\n    l.id chk\nFROM\n\tusers.t_user_list l\n	\N	\N	\N	\N	f	t	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
c03c1758-decd-418a-b999-57de80ab88fc	b6b32f07-21ba-4f6a-b02a-211725303cd5	\N	body	1	CONTAINER_1	CONTAINER_1	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": false, "containerCentered": true}	\N	\N	\N	\N	10	f	\N	f
5692b65f-0e76-4fed-b3f5-bb51c5fb62be	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	\N	top	1	BREADCRUMB	BREADCRUMB	\N	\N	BREADCRUMBS	ALWAYS	\N	\N	\N	\N	12	LIST	\N	\N	9	region-slot-bordered-bottom	\N	f	t	{"bodyBorder": false, "gridLayout": "grid", "bodyPadding": false, "footerBorder": false, "headerBorder": true, "regionBorder": false, "footerPadding": false, "headerPadding": true, "bodyBackground": false, "containerWidth": null, "childrenPadding": false, "footerBackground": false, "headerBackground": true, "containerCentered": false}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
5b3ffd64-45bb-4088-9c03-80e36af6da62	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	da135db5-b229-411b-8bc1-0078a953a497	body	10	REPORT	REPORT	f	f	FORM	ALWAYS	\N	\N	\N	\N	6	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "preset": null, "padding": true, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
b097a1e8-c70c-4b55-b5fa-0ec74656ddfd	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	da135db5-b229-411b-8bc1-0078a953a497	body	1	REGION_0P9X90BUSK	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<p>Основными функциями сервера отчетов являются:</p>\n<ul>\n    <li>генерация отчетов в форматах DOCX, XLSX, PDF;</li>\n    <li>объединение PDF-документов;</li>\n    <li>формирование на основе ранее сформированного PDF-документа печатной формы в формате PDF со штампом.</li>\n</ul>	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
c9f82df3-a4ed-4043-aa2c-306ed43b4361	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	d9d9cce1-c626-4561-88b1-fa5210b1efa9	body	20	REGION_S7YNSHDDJZ	Кнопки	f	f	BUTTONS	ALWAYS	\N	\N	\N	\N	0	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
265bee0a-853c-4592-b6f9-08ef3bc5f087	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	75fb9b15-c6b2-4101-bd98-b5dde864a14b	body	10	REGION_KA78OKD37G	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Начиная с версии 5.1.2 была добавлена нативная интеграция xRAD с сервером отчетов xREPORTS, что позволяет формировать и загружать XSLX документы из региона типа "Отчеты" наподобие CSV.</p>\n<p>Для интеграции необходимо в основных настройках указать ссылку на сервер отчетов.</p>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
cb5a7e97-0d58-475a-9f60-dc479336cf5e	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	d9d9cce1-c626-4561-88b1-fa5210b1efa9	body	10	REGION_XCXCQEFKYC	Описание	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Скачивание файла посредством jsAPI.download в замен redirect для отслеживания прогресса скачивания файла и устновки блокировоки регионов, кнопок.</p>\n<p>Скачивание файлов доступно двумя способами:</p>\n<ul>\n  <li>Процессинг загрузки файла</li>\n  <li>Метод jsAPI.download</li>\n</ul>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
da135db5-b229-411b-8bc1-0078a953a497	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	\N	body	10	CONTAINER_1	Сервер отчетов (классический метод скачивания файла)	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": true, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
d9d9cce1-c626-4561-88b1-fa5210b1efa9	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	\N	body	20	REGION_CJATHY8WLU	Методы скачивания файла посредством JavaScript (XHR)	f	f	WRAPPER	ALWAYS	\N	\N	\N	\N	12	\N	\N	\N	\N	\N	\N	t	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": 1280, "footerSeparated": false, "headerSeparated": true, "containerCentered": true}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
e21009c4-745f-4f2e-954b-fd4b60a13672	e702ad61-64bd-49ca-8e9d-ba1591cf6cad	75fb9b15-c6b2-4101-bd98-b5dde864a14b	body	20	REGION_Z4NMGFR2B7	Отчет	\N	f	REPORT	ALWAYS	\N	\N	\N	\N	6	\N	select\n  last_name,\n  first_name,\n  email\nfrom cli.t_clients\norder by id\nlimit 50	\N	\N	\N	\N	f	f	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	2025-02-27 22:34:39.479932	\N	2025-02-27 22:34:39.479932	10	f	\N	f
3835f34a-149d-488a-97ba-ef401d30a1c3	e2d9a00b-85bb-45a5-bdc0-ed2806076e0d	b2db8f42-645f-4713-8c0b-c42ab13068ab	body	2	REGION_9DHH0MMCF5	HEADER	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<img class="login-form-logo" alt="XSQUARE-PGHS" src="files/images/logo_pghs.svg"/>\n<h6 align="center">Демонстрационный стенд<br>XSQUARE-PGHS</h6>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 00:09:09.708253	10	f	\N	f
51b973d0-ed89-4c0d-b15e-58c1e21649b2	45a1f80e-3900-4f07-8cde-89e476b24529	570c4d7c-f1e1-4e95-8c65-f419cefb69af	body	2	CHAT_SAMPLE	CHAT_SAMPLE	\N	\N	CHAT	ALWAYS	\N	\N	\N	\N	0	SQL	SELECT 'Текст сообщения' comment_text\n\t  ,INITCAP(TRIM(CONCAT(ul.last_name,' ',ul.first_name)))||' ('||ul.username||')' user_name\n      ,CASE \n         WHEN c.id_user = 0 THEN 'right'\n         ELSE 'left'\n       END align\n      ,TO_CHAR(current_timestamp,'DD.MM.YYYY HH24:MI:SS') comment_date\n      ,SUBSTR(ul.last_name,1,1)||SUBSTR(ul.first_name,1,1) user_icon\n      ,CASE \n         WHEN c.id_user =0 THEN NULL\n         ELSE 'bg-info text-white'\n       END icon_modifier\t               \n  FROM users.t_user_list ul\n      --,cur_user c \n\t  , (SELECT users.f$_usr_id($1::varchar) id_user\n\t  union SELECT users.f$_usr_id('ADMIN'::varchar) id_user) c\n WHERE ul.id = c.id_user	{APP_USER}	\N	\N	\N	f	t	\N	\N	\N	\N	\N	10	\N	\N	\N
b3b7de48-f321-4092-a61c-0937b61d4fc0	8d795ae5-9e4c-47d3-a940-dcba059599ed	f50a8e90-1d30-4ef1-a205-a58c13ec27fa	body	22	COLUMN_OPTIONS_SAMPLE	COLUMN_OPTIONS_SAMPLE	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	0	\N	SELECT CONCAT(c.last_name, ' ', c.first_name) fi\n\t  ,c.date_of_birth\n      ,c.email\nFROM cli.t_clients c\nWHERE ($1::VARCHAR is null OR c.cli_type LIKE $1::VARCHAR)\nAND   ($2::VARCHAR is null OR extract(year from c.date_of_birth) = $2::BIGINT);	{P5021_CLI_TYPE,P5021_YEAR_OF_BIRTH}	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
c0cc8d42-8339-475c-a95a-c9ffc3d93733	8d795ae5-9e4c-47d3-a940-dcba059599ed	d9a8131c-3c36-4026-8021-c2968811e40a	body	16	COLVAL_OPTIONS_SAMPLE	COLVAL_OPTIONS_SAMPLE	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	0	SQL	SELECT CONCAT(c.last_name, ' ', c.first_name) fi\n\t  ,c.date_of_birth\n      ,c.email\nFROM cli.t_clients c\nWHERE ($1::VARCHAR is null OR c.cli_type LIKE $1::VARCHAR)\nAND   ($2::VARCHAR is null OR extract(year from c.date_of_birth) = $2::BIGINT);	{P5021_CLI_TYPE,P5021_YEAR_OF_BIRTH}	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
45c5bfe4-1d10-44ec-ab87-0590a7f701bb	8d795ae5-9e4c-47d3-a940-dcba059599ed	f50a8e90-1d30-4ef1-a205-a58c13ec27fa	body	7	STANDART_SAMPLE	STANDART_SAMPLE	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	0	SQL	SELECT CONCAT(c.last_name, ' ', c.first_name) fi\n\t  ,c.date_of_birth\n      ,c.email\nFROM cli.t_clients c\nWHERE ($1::VARCHAR is null OR c.cli_type LIKE $1::VARCHAR)\nAND   ($2::VARCHAR is null OR extract(year from c.date_of_birth) = $2::BIGINT);	{P5021_CLI_TYPE,P5021_YEAR_OF_BIRTH}	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
acf7ed79-78bf-499f-9dec-9f0e3f077dd7	8d795ae5-9e4c-47d3-a940-dcba059599ed	f50a8e90-1d30-4ef1-a205-a58c13ec27fa	body	10	STANDART_OPTIONS_SAMPLE	STANDART_OPTIONS_SAMPLE	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	0	SQL	SELECT CONCAT(c.last_name, ' ', c.first_name) fi\n\t  ,c.date_of_birth\n      ,c.email\nFROM cli.t_clients c\nWHERE ($1::VARCHAR is null OR c.cli_type LIKE $1::VARCHAR)\nAND   ($2::VARCHAR is null OR extract(year from c.date_of_birth) = $2::BIGINT);	{P5021_CLI_TYPE,P5021_YEAR_OF_BIRTH}	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
85d78055-0296-4c1e-b6c4-fa7e98bc3ee7	8d795ae5-9e4c-47d3-a940-dcba059599ed	30a80d1e-30f2-4f66-8fee-7aaf8e3204de	body	20	REPORT_WITH_FILTERS	REPORT	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT CONCAT(c.last_name, ' ', c.first_name) fi\n\t  ,c.date_of_birth\n      ,c.email\nFROM cli.t_clients c\nWHERE ($1::VARCHAR is null OR c.cli_type LIKE $1::VARCHAR)\nAND   ($2::VARCHAR is null OR extract(year from c.date_of_birth) = $2::BIGINT);	{P5021_CLI_TYPE,P5021_YEAR_OF_BIRTH}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 00:14:35.584599	10	f	\N	\N
bbbf7584-4280-41ee-911d-0a2e9d8d6b91	8d795ae5-9e4c-47d3-a940-dcba059599ed	f91c002e-e7e5-4e27-aab5-a37cb51124c3	body	20	REGION_RCD6SEO3K7	REPORT_TEMPLATES	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	SELECT \n  last_name,\n  first_name,\n  phone,\n  date_of_birth,\n  email\nFROM cli.t_clients;	\N	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 00:14:35.584633	10	f	\N	\N
17e3d7e5-706f-4327-a14b-f222bd05dc68	b9fdd2e2-f39c-4930-91d2-9eecd3626960	026a8d60-81d7-4bd6-b845-62d5e43d43ad	body	4	CHAT_SAMPLE	CHAT_SAMPLE	\N	\N	CHAT	ALWAYS	\N	\N	\N	\N	0	SQL	SELECT cm.message_text comment_text\n\t  ,TRIM(CONCAT(ul.last_name,' ',ul.first_name))||' ('||ul.username||')' user_name\n      ,CASE\n         WHEN ul.username = UPPER($1) THEN 'right'\n         ELSE 'left'\n       END align\n      ,TO_CHAR(cm.message_date,'DD.MM.YYYY HH24:MI:SS') comment_date\n      ,SUBSTR(ul.last_name,1,1)||SUBSTR(ul.first_name,1,1) user_icon\n      ,CASE\n         WHEN ul.username = UPPER($1) THEN 'bg-info text-white'\n         ELSE NULL\n       END icon_modifier\nFROM chat.t_chat_messages cm\nJOIN users.t_user_list ul ON cm.id_user = ul.id\nWHERE cm.id_chat = 1\nORDER BY cm.message_date	{APP_USER}	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	\N	\N	\N
bb8bafb8-d57c-4646-8a94-e4488d1729da	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	c7b2cce9-a9a9-4950-a116-e5771f019919	body	20	CLIENT_INFO	Информация о клиенте	\N	f	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	WITH json_data AS (\n  SELECT $1::JSON data\n)\nSELECT\n  data ->> 'fi' fi,\n  data ->> 'date_of_birth' date_of_birth,\n  utils.f_build_phone(data ->> 'phone') phone,\n  data ->> 'email' email\nFROM\n  json_data	{P5400_CLIENT_OUTPUT}	\N	\N	\N	f	t	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 00:33:04.337977	10	f	\N	f
b7cb44a2-7fa0-4e5a-99d8-a416f0c6f360	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	62e8ea3b-208a-4f36-af30-efeb9cb26f81	body	20	CLIENT_MASS	Клиенты	\N	f	REPORT	ALWAYS	\N	\N	\N	\N	12	\N	WITH json_data AS (\n  SELECT $1::JSON data\n)\nSELECT\n  elem.value ->> 'last_name' last_name,\n  elem.value ->> 'first_name' first_name,\n  elem.value ->> 'phone' phone,\n  elem.value ->> 'email' email\nFROM\n  json_data,\n  json_array_elements(data) elem	{P5400_GET_JSON_MASS_OUTPUT}	\N	\N	\N	f	t	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 00:35:33.593364	10	f	\N	f
1b9799ab-be27-49c8-9eae-114104935002	f4ffea8c-e7b0-404b-9f97-9dc51c5ac0ae	62e8ea3b-208a-4f36-af30-efeb9cb26f81	body	30	REGION_PKZL7XZME4	Код функции f_get_mass	\N	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-js">-- Функция в PostgreSQL\nCREATE OR REPLACE FUNCTION api.f_get_mass()\n\tRETURNS json LANGUAGE plpgsql\nAS $function$\n\tDECLARE\n\t\tl_mass_clients JSON;\n\tBEGIN\n\n\t\tWITH tbl AS (\n\t\t\tSELECT c.last_name, c.first_name, c.date_of_birth, c.email, c.phone\n\t\t\tFROM cli.t_clients c\n\t\t\tLIMIT 3\n\t\t)\t\n\t\tSELECT JSON_AGG(tbl.*) as mass_clients\n\t\tINTO l_mass_clients\n\t\tFROM tbl;\n\n\t\tRETURN l_mass_clients;\n\t\t\n\tEND;\n$function$;</code></pre>	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 00:35:33.593387	10	f	\N	f
f90b44e9-a8c5-4543-be98-663e540c064f	ac59d725-9e81-4f45-893f-1ffd64fd6846	50372c7a-cf13-4db6-9fc6-d7b2c181c874	body	20	CODE_JS_1	Код JS для динамического действия	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<pre><code class="language-js">\nactionCalls = jsAPI.getItem('P5210_COUNT_SENDS');\ncurrCalls = 0;\n\nfor (let i = 0; i < actionCalls; i++) {\n  jsAPI.process("SEND", {\n    P5210_DA_TITLE: jsAPI.getItem("P5210_DA_TITLE"),\n    P5210_DA_DESCR: jsAPI.getItem("P5210_DA_DESCR")\n  });\n  currCalls++;  \n  jsAPI.setItem('P5210_CURR_CALLS', currCalls.toString());\n}\n\ntotalCalls += currCalls;\njsAPI.setItem('P5210_TOTAL_CALLS', totalCalls.toString());\n</code></pre>	\N	\N	\N	\N	t	t	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 10:13:28.475089	10	f	\N	f
917266a8-2600-41dc-8c58-8d14b2a1da5c	ac59d725-9e81-4f45-893f-1ffd64fd6846	904a29f4-5199-46fb-b5df-c4793363f5fb	body	30	REGION_72QQ84TO5N	Код JS для страницы	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	6	TEXT	<pre><code class="language-js">\n// Вызовы процедуры добавления уведомлений\nvar actionCalls = 0;\nvar currCalls = 0;\n\njsAPI.setItem('P5210_CURR_CALLS', currCalls.toString());\njsAPI.setItem('P5210_TOTAL_CALLS', totalCalls.toString());\n\n// Добавление фрейма карты\nmap = new OpenLayers.Map("demoMap");\nmap.addLayer(new OpenLayers.Layer.OSM());\nmap.zoomToMaxExtent();\n</code></pre>	\N	\N	\N	\N	t	f	{"border": true, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 10:13:28.475114	10	f	\N	f
a49defbe-f048-4232-af87-6dbf7a98f9f9	896512ee-bca1-4fb3-8148-31dc61b0e8ff	03741a9a-60cb-4a06-8c46-385f58341a8f	body	20	REGION_Q68N4ZITN8	Примеры определения стилей	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<pre><code class="language-css">\n/* Локальное переопределение (в рамках страницы) */\n.page-5220 {\n  --color-primary: #f1422b;\n}\n\n/* Глобальное переопределение (для всего приложения) */\n:root {\n  --region-bg-color: #e9f2ff;\n}  \n</code></pre>	\N	\N	\N	\N	t	f	\N	\N	\N	ADMIN	2025-02-28 10:47:49.116909	10	f	\N	f
7963c859-ea37-43ec-9a42-9d58621c1cd0	896512ee-bca1-4fb3-8148-31dc61b0e8ff	c7468712-b006-4edf-bf87-e0662289aae7	body	10	REGION_0O6Q9Q3N4W	Определение стандартных кастомных стилей приложения	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	12	TEXT	<pre><code class="language-css">\n:root {\n  --header-bg-color: #2d343e;\n  --header-menu-btn-bg-color: transparent;\n  --header-menu-btn-border-color: #5b5e62;\n  --navbar-icon-bg-color: #90a2bb;\n  --app-logo-url: url("/files/images/logo.svg");\n  --app-logo-display: block;\n  --app-logo-size: 32px;\n  --app-logo-position-top: 3px;\n  --app-logo-position-left: 0px;\n}\n</code></pre>	\N	\N	\N	\N	t	t	{"border": true, "padding": true, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": true, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 10:48:11.915079	10	f	\N	f
a722f745-82be-46d1-95f3-74cbd79fcce1	adf27858-5f30-4b8f-8d19-233bdaddc26d	9eb25d15-8b4c-4e49-9571-bcefdcc49d41	body	42	REGION_J8TMEB9W0A	Сервер отчетов	f	f	HTML_TEXT	ALWAYS	\N	\N	\N	\N	0	TEXT	<p>Указывается ссылка для обращения к xREPORTS для интеграции сервера отчетов и формирования выгрузки репорта прямиком в Excel.</p>	\N	\N	\N	\N	t	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 10:54:41.390075	10	f	\N	f
7ceb2bdb-bd22-4fcd-a099-fa0c977e63db	adf27858-5f30-4b8f-8d19-233bdaddc26d	9eb25d15-8b4c-4e49-9571-bcefdcc49d41	body	52	REGION_RXOEV1TW1G	Сервер отчетов - значение	f	f	FORM	ALWAYS	\N	\N	\N	\N	4	\N	\N	\N	\N	\N	\N	f	f	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 10:54:41.390103	10	f	\N	f
18398473-dba6-4e25-b61a-48a0fc4f3fca	45a1f80e-3900-4f07-8cde-89e476b24529	b5ecd8ec-e6c4-4e4b-aaa7-99244044ec61	body	10	REGION_SKQ8RSC2Z2	DATAGRID_SAMPLE	\N	\N	DATA_GRID	ALWAYS	\N	\N	\N	\N	12	\N	SELECT id, last_name, first_name, date_of_birth FROM cli.t_clients;	\N	\N	\N	\N	f	t	{"border": false, "padding": false, "boxShadow": false, "background": false, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	ADMIN	2025-02-28 11:23:27.825588	10	\N	\N	\N
2800fcac-3dc0-4056-b5fc-348b9204de99	c1f2e7c3-1b63-45fa-8c15-b4c619fb9f8f	\N	body	2	HIST	История	t	f	REPORT	ITEM_IS_NOT_NULL	P1101_ID	\N	\N	\N	12	SQL	SELECT r.date_created\n      ,users.f_get_fi_by_id(r.created_by_id) created_by\n      ,r.date_modified\n      ,users.f_get_fi_by_id(r.modified_by_id) modified_by \n  FROM roles.t_roles r\n WHERE r.id = $1	{P1101_ID}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	f
467edafd-dbe1-4a78-9b27-55d7adbd157c	8d795ae5-9e4c-47d3-a940-dcba059599ed	d9a8131c-3c36-4026-8021-c2968811e40a	body	18	COLVAL_COLUMN_SAMPLE	COLVAL_COLUMN_SAMPLE	\N	\N	REPORT	ALWAYS	\N	\N	\N	\N	0	SQL	SELECT \tid\n\t\t,initcap(users.f_get_fi_by_id(l.id)) "name"\n\t  \t,l.date_created \n      \t,initcap(users.f_get_fi_by_id(l.created_by)) created_by\n\t\t,l.date_modified\n\t\t,initcap(users.f_get_fi_by_id(l.modified_by)) modified_by\t\t\nFROM users.t_user_list l\nwhere l.id = users.f$_usr_id($1)	{APP_USER}	\N	\N	\N	f	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
10422b79-459b-42d1-a94f-09ddf961b22e	abea137b-d0a9-4bab-82cb-9de6b820aa29	\N	body	2	HIST	История	t	\N	REPORT	ITEM_IS_NOT_NULL	P1116_ID	\N	\N	\N	12	SQL	select d.date_created,\n       users.f_get_fi_by_id(d.created_by_id) created_by,\n       d.date_modified,\n       users.f_get_fi_by_id(d.modified_by_id) modified_by\nfrom dep.t_departments d\nwhere d.id = $1	{P1116_ID}	\N	\N	\N	t	t	{"border": true, "preset": null, "padding": false, "boxShadow": true, "background": true, "containerWidth": null, "footerSeparated": false, "headerSeparated": false, "containerCentered": false}	\N	\N	\N	\N	10	f	\N	\N
\.


--
-- Data for Name: t_patches; Type: TABLE DATA; Schema: ver; Owner: xrad_user
--

COPY ver.t_patches (id, patch_number, patch_version, patch_name, patch_description, start_install_time, end_install_time) FROM stdin;
1	4.0.0.0.0.0	1	Release 4.0.0.0.0.0	\N	2024-01-22 20:58:06.507799	2024-01-23 21:40:35.223713
6	4.0.0.0.0.0	1	Release 4.0.0.0.0.0	\N	2024-01-23 20:43:41.390752	2024-01-23 21:40:35.223732
7	4.0.0.0.0.0	1	Release 4.0.0.0.0.0	\N	2024-01-23 20:45:00.326174	2024-01-23 21:40:35.223735
8	4.1.1.1.1.0	1	Release 4.1.1.1.1.0	\N	2024-01-23 21:40:34.740916	2024-01-23 21:40:35.223737
9	4.2.2.2.1.1	1	Release 4.2.2.2.1.1	\N	2024-01-23 21:46:30.84621	2024-01-23 21:46:30.993771
10	4.2.3.3.2.1	1	Release 4.2.3.3.2.1	\N	2024-01-23 21:50:49.010483	2024-01-23 21:50:49.01295
11	4.3.4.4.3.2	1	Release 4.3.4.4.3.2	\N	2024-01-23 21:53:36.32871	2024-01-23 21:53:36.351877
12	4.4.5.5.3.2	2	Release 4.4.5.5.3.2	\N	2024-01-23 21:58:43.557405	2024-01-23 21:58:43.712563
13	4.4.5.6.3.2	1	Release 4.4.5.6.3.2	\N	2024-01-23 22:02:37.530308	2024-01-23 22:02:37.532784
14	4.5.6.7.4.3	1	Release 4.5.6.7.4.3	\N	2024-01-26 15:28:19.268993	2024-01-26 15:28:19.441473
15	4.5.7.8.5.3	1	Release 4.5.7.8.5.3	\N	2024-02-20 07:13:24.266503	2024-02-20 07:13:24.275783
16	4.5.7.9.5.3	1	Release 4.5.7.9.5.3	\N	2024-02-20 07:16:25.167966	2024-02-20 07:16:25.175708
17	4.6.8.10.6.4	1	Release 4.6.8.10.6.4	\N	2024-04-22 09:07:55.074397	2024-04-22 09:07:55.541349
18	4.7.9.11.7.5	1	Release 4.7.9.11.7.5	\N	2024-04-22 09:11:19.304729	2024-04-23 05:53:22.615872
19	4.7.9.11.7.5	1	Release 4.7.9.11.7.5	\N	2024-04-23 05:53:22.398466	2024-04-23 05:53:22.615909
20	4.8.10.12.7.5	1	Release 4.8.10.12.7.5	\N	2024-05-09 09:25:09.050269	2024-05-09 09:25:09.283979
21	4.9.11.13.7.6	1	Release 4.9.11.13.7.6	\N	2024-05-23 11:56:30.43553	2024-05-23 11:56:30.596449
22	4.10.12.14.7.7	1	Release 4.10.12.14.7.7	\N	2024-06-11 13:46:59.075307	2024-06-11 13:46:59.132654
23	4.11.13.14.8.8	1	Release 4.11.13.14.8.8	\N	2024-07-18 10:04:54.387215	2024-07-18 10:04:54.401481
24	5.0.1.2.1.2	1	Release 5.0.1.2.1.2	\N	2024-12-23 10:14:30.306694	2024-12-23 10:14:30.733111
25	5.1.2.3.2.3	1	Release 5.1.2.3.2.3	\N	2024-10-11 16:35:38.552925	2024-10-11 16:35:38.927473
\.


--
-- Data for Name: xrad_release; Type: TABLE DATA; Schema: ver; Owner: xrad_user
--

COPY ver.xrad_release (version_number) FROM stdin;
5.1.2.3.2.3
\.


--
-- Name: t_app_sessions_id_seq; Type: SEQUENCE SET; Schema: app; Owner: xrad_user
--

SELECT pg_catalog.setval('app.t_app_sessions_id_seq', 6249, true);


--
-- Name: t_app_user_group_access_id_seq; Type: SEQUENCE SET; Schema: app; Owner: xrad_user
--

SELECT pg_catalog.setval('app.t_app_user_group_access_id_seq', 1, false);


--
-- Name: t_app_user_groups_id_seq; Type: SEQUENCE SET; Schema: app; Owner: xrad_user
--

SELECT pg_catalog.setval('app.t_app_user_groups_id_seq', 1, false);


--
-- Name: t_app_users_id_user_seq; Type: SEQUENCE SET; Schema: app; Owner: xrad_user
--

SELECT pg_catalog.setval('app.t_app_users_id_user_seq', 13, true);


--
-- Name: t_auth_list_id_seq; Type: SEQUENCE SET; Schema: app; Owner: xrad_user
--

SELECT pg_catalog.setval('app.t_auth_list_id_seq', 5, true);


--
-- Name: t_authorization_schemes_id_seq; Type: SEQUENCE SET; Schema: app; Owner: xrad_user
--

SELECT pg_catalog.setval('app.t_authorization_schemes_id_seq', 5, true);


--
-- Name: t_data_sources_id_seq; Type: SEQUENCE SET; Schema: app; Owner: xrad_user
--

SELECT pg_catalog.setval('app.t_data_sources_id_seq', 18, true);


--
-- Name: t_messages_id_seq; Type: SEQUENCE SET; Schema: debug; Owner: xrad_user
--

SELECT pg_catalog.setval('debug.t_messages_id_seq', 44083, true);


--
-- Name: view_id_seq; Type: SEQUENCE SET; Schema: debug; Owner: xrad_user
--

SELECT pg_catalog.setval('debug.view_id_seq', 276, true);


--
-- Name: t_event_types_id_seq; Type: SEQUENCE SET; Schema: dict; Owner: xrad_user
--

SELECT pg_catalog.setval('dict.t_event_types_id_seq', 24, false);


--
-- Name: t_comp_prop_dep_id_seq; Type: SEQUENCE SET; Schema: ds; Owner: xrad_user
--

SELECT pg_catalog.setval('ds.t_comp_prop_dep_id_seq', 136, true);


--
-- Name: t_component_props_id_seq; Type: SEQUENCE SET; Schema: ds; Owner: xrad_user
--

SELECT pg_catalog.setval('ds.t_component_props_id_seq', 328, true);


--
-- Name: t_components_id_seq; Type: SEQUENCE SET; Schema: ds; Owner: xrad_user
--

SELECT pg_catalog.setval('ds.t_components_id_seq', 19, true);


--
-- Name: t_lang_text_id_seq; Type: SEQUENCE SET; Schema: ds; Owner: xrad_user
--

SELECT pg_catalog.setval('ds.t_lang_text_id_seq', 1207, true);


--
-- Name: t_propertie_lov_values_id_seq; Type: SEQUENCE SET; Schema: ds; Owner: xrad_user
--

SELECT pg_catalog.setval('ds.t_propertie_lov_values_id_seq', 140, true);


--
-- Name: t_properties_id_seq; Type: SEQUENCE SET; Schema: ds; Owner: xrad_user
--

SELECT pg_catalog.setval('ds.t_properties_id_seq', 246, true);


--
-- Name: table_id_seq; Type: SEQUENCE SET; Schema: ds; Owner: xrad_user
--

SELECT pg_catalog.setval('ds.table_id_seq', 137, false);


--
-- Name: t_app_list_items_id_seq; Type: SEQUENCE SET; Schema: list; Owner: xrad_user
--

SELECT pg_catalog.setval('list.t_app_list_items_id_seq', 355, true);


--
-- Name: t_app_lists_id_seq; Type: SEQUENCE SET; Schema: list; Owner: xrad_user
--

SELECT pg_catalog.setval('list.t_app_lists_id_seq', 43, true);


--
-- Name: t_folder_groups_id_seq; Type: SEQUENCE SET; Schema: page; Owner: xrad_user
--

SELECT pg_catalog.setval('page.t_folder_groups_id_seq', 1, false);


--
-- Name: t_folder_page_id_seq; Type: SEQUENCE SET; Schema: page; Owner: xrad_user
--

SELECT pg_catalog.setval('page.t_folder_page_id_seq', 204, true);


--
-- Name: t_folder_users_id_seq; Type: SEQUENCE SET; Schema: page; Owner: xrad_user
--

SELECT pg_catalog.setval('page.t_folder_users_id_seq', 1, false);


--
-- Name: t_folders_id_seq; Type: SEQUENCE SET; Schema: page; Owner: xrad_user
--

SELECT pg_catalog.setval('page.t_folders_id_seq', 30, true);


--
-- Name: t_page_locks_id_seq; Type: SEQUENCE SET; Schema: page; Owner: xrad_user
--

SELECT pg_catalog.setval('page.t_page_locks_id_seq', 13, true);


--
-- Name: t_patches_id_seq; Type: SEQUENCE SET; Schema: ver; Owner: xrad_user
--

SELECT pg_catalog.setval('ver.t_patches_id_seq', 26, true);


--
-- Name: t_data_sources idx_data_sources_pk; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_data_sources
    ADD CONSTRAINT idx_data_sources_pk PRIMARY KEY (id);


--
-- Name: t_authentications pk_app_auth_id; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_authentications
    ADD CONSTRAINT pk_app_auth_id PRIMARY KEY (id);


--
-- Name: t_app_processing t_app_processing_pkey; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_processing
    ADD CONSTRAINT t_app_processing_pkey PRIMARY KEY (id);


--
-- Name: t_sessions t_app_sessions_pkey; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_sessions
    ADD CONSTRAINT t_app_sessions_pkey PRIMARY KEY (id);


--
-- Name: t_app_user_group_access t_app_user_group_access_pkey; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_user_group_access
    ADD CONSTRAINT t_app_user_group_access_pkey PRIMARY KEY (id);


--
-- Name: t_app_user_groups t_app_user_groups_pkey; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_user_groups
    ADD CONSTRAINT t_app_user_groups_pkey PRIMARY KEY (id);


--
-- Name: t_app_users t_app_users_idx; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_users
    ADD CONSTRAINT t_app_users_idx UNIQUE (user_name);


--
-- Name: t_app_users t_app_users_pkey; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_users
    ADD CONSTRAINT t_app_users_pkey PRIMARY KEY (id_user);


--
-- Name: t_auth_list t_auth_list_pkey; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_auth_list
    ADD CONSTRAINT t_auth_list_pkey PRIMARY KEY (id);


--
-- Name: t_authorization_schemes t_authorization_schemes_pkey; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_authorization_schemes
    ADD CONSTRAINT t_authorization_schemes_pkey PRIMARY KEY (id);


--
-- Name: t_settings t_settings_idx; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_settings
    ADD CONSTRAINT t_settings_idx UNIQUE (key);


--
-- Name: t_session_values uq_session_val; Type: CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_session_values
    ADD CONSTRAINT uq_session_val UNIQUE (id_session, id_item);


--
-- Name: t_buttons t_buttons_pkey; Type: CONSTRAINT; Schema: button; Owner: xrad_user
--

ALTER TABLE ONLY button.t_buttons
    ADD CONSTRAINT t_buttons_pkey PRIMARY KEY (id);


--
-- Name: t_chat pk_chat_id; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_chat
    ADD CONSTRAINT pk_chat_id PRIMARY KEY (id);


--
-- Name: t_calendars t_calendars_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_calendars
    ADD CONSTRAINT t_calendars_pkey PRIMARY KEY (id);


--
-- Name: t_cards t_cards_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_cards
    ADD CONSTRAINT t_cards_pkey PRIMARY KEY (id);


--
-- Name: t_charts t_charts_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_charts
    ADD CONSTRAINT t_charts_pkey PRIMARY KEY (id);


--
-- Name: t_chart_series t_region_charts_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_chart_series
    ADD CONSTRAINT t_region_charts_pkey PRIMARY KEY (id_series);


--
-- Name: t_report_columns t_report_columns_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_report_columns
    ADD CONSTRAINT t_report_columns_pkey PRIMARY KEY (id);


--
-- Name: t_report_conditions t_report_conditions_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_report_conditions
    ADD CONSTRAINT t_report_conditions_pkey PRIMARY KEY (id);


--
-- Name: t_report t_report_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_report
    ADD CONSTRAINT t_report_pkey PRIMARY KEY (id);


--
-- Name: t_saved_reports t_saved_reports_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_saved_reports
    ADD CONSTRAINT t_saved_reports_pkey PRIMARY KEY (id);


--
-- Name: t_tiles t_tiles_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_tiles
    ADD CONSTRAINT t_tiles_pkey PRIMARY KEY (id);


--
-- Name: t_tree t_tree_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_tree
    ADD CONSTRAINT t_tree_pkey PRIMARY KEY (id);


--
-- Name: t_wizard t_wizard_pkey; Type: CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_wizard
    ADD CONSTRAINT t_wizard_pkey PRIMARY KEY (id);


--
-- Name: t_actions t_actions_pkey; Type: CONSTRAINT; Schema: da; Owner: xrad_user
--

ALTER TABLE ONLY da.t_actions
    ADD CONSTRAINT t_actions_pkey PRIMARY KEY (id);


--
-- Name: t_events t_events_pkey; Type: CONSTRAINT; Schema: da; Owner: xrad_user
--

ALTER TABLE ONLY da.t_events
    ADD CONSTRAINT t_events_pkey PRIMARY KEY (id);


--
-- Name: t_messages t_messages_pkey; Type: CONSTRAINT; Schema: debug; Owner: xrad_user
--

ALTER TABLE ONLY debug.t_messages
    ADD CONSTRAINT t_messages_pkey PRIMARY KEY (id);


--
-- Name: t_dg_columns pk_t_dg_columns; Type: CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_columns
    ADD CONSTRAINT pk_t_dg_columns PRIMARY KEY (id);


--
-- Name: t_data_grids t_data_grids_pkey; Type: CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_data_grids
    ADD CONSTRAINT t_data_grids_pkey PRIMARY KEY (id);


--
-- Name: t_dg_processing t_dg_processing_pkey; Type: CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_processing
    ADD CONSTRAINT t_dg_processing_pkey PRIMARY KEY (id);


--
-- Name: t_dg_report_columns t_dg_report_columns_pkey; Type: CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_report_columns
    ADD CONSTRAINT t_dg_report_columns_pkey PRIMARY KEY (id);


--
-- Name: t_dg_report_filters t_dg_report_filters_pkey; Type: CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_report_filters
    ADD CONSTRAINT t_dg_report_filters_pkey PRIMARY KEY (id);


--
-- Name: t_dg_report_highlights t_dg_report_highlights_idx; Type: CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_report_highlights
    ADD CONSTRAINT t_dg_report_highlights_idx PRIMARY KEY (id);


--
-- Name: t_dg_reports t_dg_reports_pkey; Type: CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_reports
    ADD CONSTRAINT t_dg_reports_pkey PRIMARY KEY (id);


--
-- Name: t_button_positions t_button_positions_pkey; Type: CONSTRAINT; Schema: dict; Owner: xrad_user
--

ALTER TABLE ONLY dict.t_button_positions
    ADD CONSTRAINT t_button_positions_pkey PRIMARY KEY ("position");


--
-- Name: t_condition_types t_condition_types_pkey; Type: CONSTRAINT; Schema: dict; Owner: xrad_user
--

ALTER TABLE ONLY dict.t_condition_types
    ADD CONSTRAINT t_condition_types_pkey PRIMARY KEY (cond_code);


--
-- Name: t_csv_encodings t_csv_encodings_pkey; Type: CONSTRAINT; Schema: dict; Owner: xrad_user
--

ALTER TABLE ONLY dict.t_csv_encodings
    ADD CONSTRAINT t_csv_encodings_pkey PRIMARY KEY (encoding_name);


--
-- Name: t_event_types t_event_types_pkey; Type: CONSTRAINT; Schema: dict; Owner: xrad_user
--

ALTER TABLE ONLY dict.t_event_types
    ADD CONSTRAINT t_event_types_pkey PRIMARY KEY (id);


--
-- Name: t_region_types t_region_types_pkey; Type: CONSTRAINT; Schema: dict; Owner: xrad_user
--

ALTER TABLE ONLY dict.t_region_types
    ADD CONSTRAINT t_region_types_pkey PRIMARY KEY (code_type);


--
-- Name: t_comp_prop_dep t_comp_prop_dep_pkey; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_comp_prop_dep
    ADD CONSTRAINT t_comp_prop_dep_pkey PRIMARY KEY (id);


--
-- Name: t_component_props t_component_props_pkey; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_component_props
    ADD CONSTRAINT t_component_props_pkey PRIMARY KEY (id);


--
-- Name: t_components t_components_name_key; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_components
    ADD CONSTRAINT t_components_name_key UNIQUE (name);


--
-- Name: t_components t_components_pkey; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_components
    ADD CONSTRAINT t_components_pkey PRIMARY KEY (id);


--
-- Name: t_lang_text t_lang_text_pkey; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_lang_text
    ADD CONSTRAINT t_lang_text_pkey PRIMARY KEY (id);


--
-- Name: t_propertie_lov_values t_propertie_lov_values_pkey; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_propertie_lov_values
    ADD CONSTRAINT t_propertie_lov_values_pkey PRIMARY KEY (id);


--
-- Name: t_properties t_properties_name_key; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_properties
    ADD CONSTRAINT t_properties_name_key UNIQUE (name);


--
-- Name: t_properties t_properties_pkey; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_properties
    ADD CONSTRAINT t_properties_pkey PRIMARY KEY (id);


--
-- Name: t_display_groups table_name_key; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_display_groups
    ADD CONSTRAINT table_name_key UNIQUE (name);


--
-- Name: t_display_groups table_pkey; Type: CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_display_groups
    ADD CONSTRAINT table_pkey PRIMARY KEY (id);


--
-- Name: t_global_items t_global_items_idx; Type: CONSTRAINT; Schema: item; Owner: xrad_user
--

ALTER TABLE ONLY item.t_global_items
    ADD CONSTRAINT t_global_items_idx PRIMARY KEY (id);


--
-- Name: t_page_items t_items_name_key; Type: CONSTRAINT; Schema: item; Owner: xrad_user
--

ALTER TABLE ONLY item.t_page_items
    ADD CONSTRAINT t_items_name_key UNIQUE (name);


--
-- Name: t_page_items t_items_pkey; Type: CONSTRAINT; Schema: item; Owner: xrad_user
--

ALTER TABLE ONLY item.t_page_items
    ADD CONSTRAINT t_items_pkey PRIMARY KEY (id);


--
-- Name: t_list_items t_app_list_items_pkey; Type: CONSTRAINT; Schema: list; Owner: xrad_user
--

ALTER TABLE ONLY list.t_list_items
    ADD CONSTRAINT t_app_list_items_pkey PRIMARY KEY (id);


--
-- Name: t_lists t_app_lists_pkey; Type: CONSTRAINT; Schema: list; Owner: xrad_user
--

ALTER TABLE ONLY list.t_lists
    ADD CONSTRAINT t_app_lists_pkey PRIMARY KEY (id);


--
-- Name: t_pages t_app_pages_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_pages
    ADD CONSTRAINT t_app_pages_pkey PRIMARY KEY (id);


--
-- Name: t_folder_page t_folder_page_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_folder_page
    ADD CONSTRAINT t_folder_page_pkey PRIMARY KEY (id);


--
-- Name: t_folder_users t_folder_users_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_folder_users
    ADD CONSTRAINT t_folder_users_pkey PRIMARY KEY (id);


--
-- Name: t_folders t_folders_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_folders
    ADD CONSTRAINT t_folders_pkey PRIMARY KEY (id);


--
-- Name: t_page_branches t_page_branches_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_branches
    ADD CONSTRAINT t_page_branches_pkey PRIMARY KEY (id);


--
-- Name: t_page_downloads t_page_downloads_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_downloads
    ADD CONSTRAINT t_page_downloads_pkey PRIMARY KEY (id);


--
-- Name: t_page_processing t_page_processing_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_processing
    ADD CONSTRAINT t_page_processing_pkey PRIMARY KEY (id);


--
-- Name: t_page_validations t_page_validations_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_validations
    ADD CONSTRAINT t_page_validations_pkey PRIMARY KEY (id);


--
-- Name: t_rest_calls t_rest_calls_pkey; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_rest_calls
    ADD CONSTRAINT t_rest_calls_pkey PRIMARY KEY (id);


--
-- Name: t_pages ud_page_num; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_pages
    ADD CONSTRAINT ud_page_num UNIQUE (page_num);


--
-- Name: t_folder_page uq_folder_page_page; Type: CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_folder_page
    ADD CONSTRAINT uq_folder_page_page UNIQUE (id_page);


--
-- Name: t_regions t_regions_pkey; Type: CONSTRAINT; Schema: region; Owner: xrad_user
--

ALTER TABLE ONLY region.t_regions
    ADD CONSTRAINT t_regions_pkey PRIMARY KEY (id);


--
-- Name: t_patches t_patches_pkey; Type: CONSTRAINT; Schema: ver; Owner: xrad_user
--

ALTER TABLE ONLY ver.t_patches
    ADD CONSTRAINT t_patches_pkey PRIMARY KEY (id);


--
-- Name: idx_session_values; Type: INDEX; Schema: app; Owner: xrad_user
--

CREATE INDEX idx_session_values ON app.t_session_values USING btree (id_session);


--
-- Name: idx_sessions_cookie; Type: INDEX; Schema: app; Owner: xrad_user
--

CREATE INDEX idx_sessions_cookie ON app.t_sessions USING btree (cookie_value);


--
-- Name: t_buttons_idx_button_page; Type: INDEX; Schema: button; Owner: xrad_user
--

CREATE INDEX t_buttons_idx_button_page ON button.t_buttons USING btree (id_page);


--
-- Name: t_buttons_idx_button_region; Type: INDEX; Schema: button; Owner: xrad_user
--

CREATE INDEX t_buttons_idx_button_region ON button.t_buttons USING btree (id_region);


--
-- Name: t_buttons_idx_item; Type: INDEX; Schema: button; Owner: xrad_user
--

CREATE INDEX t_buttons_idx_item ON button.t_buttons USING btree (id_item);


--
-- Name: idx_calendar_page; Type: INDEX; Schema: cmp; Owner: xrad_user
--

CREATE INDEX idx_calendar_page ON cmp.t_calendars USING btree (id_page);


--
-- Name: idx_chart_series_fk; Type: INDEX; Schema: cmp; Owner: xrad_user
--

CREATE INDEX idx_chart_series_fk ON cmp.t_chart_series USING btree (id_region);


--
-- Name: idx_report_columns_reg_fk; Type: INDEX; Schema: cmp; Owner: xrad_user
--

CREATE INDEX idx_report_columns_reg_fk ON cmp.t_report_columns USING btree (id_region);


--
-- Name: idx_tiles_page; Type: INDEX; Schema: cmp; Owner: xrad_user
--

CREATE INDEX idx_tiles_page ON cmp.t_tiles USING btree (id_page);


--
-- Name: t_saved_reports_idx; Type: INDEX; Schema: cmp; Owner: xrad_user
--

CREATE INDEX t_saved_reports_idx ON cmp.t_saved_reports USING btree (id_region);


--
-- Name: t_saved_reports_idx_page; Type: INDEX; Schema: cmp; Owner: xrad_user
--

CREATE INDEX t_saved_reports_idx_page ON cmp.t_saved_reports USING btree (id_page);


--
-- Name: idx_da_action_event_fk; Type: INDEX; Schema: da; Owner: xrad_user
--

CREATE INDEX idx_da_action_event_fk ON da.t_actions USING btree (id_event);


--
-- Name: idx_da_actions_page_fk; Type: INDEX; Schema: da; Owner: xrad_user
--

CREATE INDEX idx_da_actions_page_fk ON da.t_actions USING btree (id_page);


--
-- Name: idx_data_grid_page; Type: INDEX; Schema: dg; Owner: xrad_user
--

CREATE INDEX idx_data_grid_page ON dg.t_data_grids USING btree (id_page);


--
-- Name: idx_dg_reports_region; Type: INDEX; Schema: dg; Owner: xrad_user
--

CREATE INDEX idx_dg_reports_region ON dg.t_dg_reports USING btree (id_region);


--
-- Name: idx_dg_reports_session; Type: INDEX; Schema: dg; Owner: xrad_user
--

CREATE INDEX idx_dg_reports_session ON dg.t_dg_reports USING btree (id_session);


--
-- Name: uq_dg_columns_name; Type: INDEX; Schema: dg; Owner: xrad_user
--

CREATE UNIQUE INDEX uq_dg_columns_name ON dg.t_dg_columns USING btree (id_region, column_name);


--
-- Name: idx_component_props_cmp_fk; Type: INDEX; Schema: ds; Owner: xrad_user
--

CREATE INDEX idx_component_props_cmp_fk ON ds.t_component_props USING btree (id_component);


--
-- Name: idx_component_props_prp_fk; Type: INDEX; Schema: ds; Owner: xrad_user
--

CREATE INDEX idx_component_props_prp_fk ON ds.t_component_props USING btree (id_property);


--
-- Name: idx_components_parent_id_fk; Type: INDEX; Schema: ds; Owner: xrad_user
--

CREATE INDEX idx_components_parent_id_fk ON ds.t_components USING btree (parent_comp_id);


--
-- Name: idx_propertie_lov_values_fk; Type: INDEX; Schema: ds; Owner: xrad_user
--

CREATE INDEX idx_propertie_lov_values_fk ON ds.t_propertie_lov_values USING btree (id_property);


--
-- Name: t_lang_text_idx; Type: INDEX; Schema: ds; Owner: xrad_user
--

CREATE UNIQUE INDEX t_lang_text_idx ON ds.t_lang_text USING btree (lang_code, text_code);


--
-- Name: idx_global_items_name_uq; Type: INDEX; Schema: item; Owner: xrad_user
--

CREATE UNIQUE INDEX idx_global_items_name_uq ON item.t_global_items USING btree (item_name);


--
-- Name: idx_page_branches_page_fk; Type: INDEX; Schema: page; Owner: xrad_user
--

CREATE INDEX idx_page_branches_page_fk ON page.t_page_branches USING btree (id_page);


--
-- Name: t_report_columns trg_report_column_sync; Type: TRIGGER; Schema: cmp; Owner: xrad_user
--

CREATE TRIGGER trg_report_column_sync AFTER INSERT OR DELETE ON cmp.t_report_columns FOR EACH ROW EXECUTE FUNCTION cmp.f_report_column_sync();


--
-- Name: t_report trg_report_delete; Type: TRIGGER; Schema: cmp; Owner: xrad_user
--

CREATE TRIGGER trg_report_delete AFTER DELETE ON cmp.t_report FOR EACH ROW EXECUTE FUNCTION cmp.f_saved_report_delete();


--
-- Name: t_data_grids trg_dg_dml; Type: TRIGGER; Schema: dg; Owner: xrad_user
--

CREATE TRIGGER trg_dg_dml AFTER INSERT OR DELETE ON dg.t_data_grids FOR EACH ROW EXECUTE FUNCTION dg.f_trg_dg_dml();


--
-- Name: t_dg_columns trg_dg_report_column_sync; Type: TRIGGER; Schema: dg; Owner: xrad_user
--

CREATE TRIGGER trg_dg_report_column_sync AFTER INSERT OR DELETE ON dg.t_dg_columns FOR EACH ROW EXECUTE FUNCTION dg.f_report_column_sync();


--
-- Name: t_app_processing fk_app_processing_cond; Type: FK CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_processing
    ADD CONSTRAINT fk_app_processing_cond FOREIGN KEY (condition_type) REFERENCES dict.t_condition_types(cond_code);


--
-- Name: t_app_processing fk_t_app_processing_source; Type: FK CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_app_processing
    ADD CONSTRAINT fk_t_app_processing_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_authentications fk_t_authentications_source; Type: FK CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_authentications
    ADD CONSTRAINT fk_t_authentications_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_authorization_schemes fk_t_authorization_schemes_source; Type: FK CONSTRAINT; Schema: app; Owner: xrad_user
--

ALTER TABLE ONLY app.t_authorization_schemes
    ADD CONSTRAINT fk_t_authorization_schemes_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_buttons fk_button_condition; Type: FK CONSTRAINT; Schema: button; Owner: xrad_user
--

ALTER TABLE ONLY button.t_buttons
    ADD CONSTRAINT fk_button_condition FOREIGN KEY (condition_type) REFERENCES dict.t_condition_types(cond_code);


--
-- Name: t_buttons fk_button_list; Type: FK CONSTRAINT; Schema: button; Owner: xrad_user
--

ALTER TABLE ONLY button.t_buttons
    ADD CONSTRAINT fk_button_list FOREIGN KEY (id_list) REFERENCES list.t_lists(id) DEFERRABLE;


--
-- Name: t_buttons fk_button_page; Type: FK CONSTRAINT; Schema: button; Owner: xrad_user
--

ALTER TABLE ONLY button.t_buttons
    ADD CONSTRAINT fk_button_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_buttons fk_button_position; Type: FK CONSTRAINT; Schema: button; Owner: xrad_user
--

ALTER TABLE ONLY button.t_buttons
    ADD CONSTRAINT fk_button_position FOREIGN KEY ("position") REFERENCES dict.t_button_positions("position");


--
-- Name: t_buttons fk_button_region; Type: FK CONSTRAINT; Schema: button; Owner: xrad_user
--

ALTER TABLE ONLY button.t_buttons
    ADD CONSTRAINT fk_button_region FOREIGN KEY (id_region) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_buttons fk_t_buttons_source; Type: FK CONSTRAINT; Schema: button; Owner: xrad_user
--

ALTER TABLE ONLY button.t_buttons
    ADD CONSTRAINT fk_t_buttons_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_buttons t_buttons_fk; Type: FK CONSTRAINT; Schema: button; Owner: xrad_user
--

ALTER TABLE ONLY button.t_buttons
    ADD CONSTRAINT t_buttons_fk FOREIGN KEY (id_item) REFERENCES item.t_page_items(id) DEFERRABLE;


--
-- Name: t_calendars fk_calendars_page; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_calendars
    ADD CONSTRAINT fk_calendars_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_cards fk_cards_id; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_cards
    ADD CONSTRAINT fk_cards_id FOREIGN KEY (id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_cards fk_cards_page; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_cards
    ADD CONSTRAINT fk_cards_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_charts fk_chart_id; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_charts
    ADD CONSTRAINT fk_chart_id FOREIGN KEY (id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_chart_series fk_chart_series_page; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_chart_series
    ADD CONSTRAINT fk_chart_series_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_charts fk_charts_page; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_charts
    ADD CONSTRAINT fk_charts_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_chat fk_chat_id_page; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_chat
    ADD CONSTRAINT fk_chat_id_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_chat fk_chat_id_region; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_chat
    ADD CONSTRAINT fk_chat_id_region FOREIGN KEY (id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_chart_series fk_region_charts_region; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_chart_series
    ADD CONSTRAINT fk_region_charts_region FOREIGN KEY (id_region) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_report_columns fk_region_column_region; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_report_columns
    ADD CONSTRAINT fk_region_column_region FOREIGN KEY (id_region) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_report_columns fk_report_columns_page_id; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_report_columns
    ADD CONSTRAINT fk_report_columns_page_id FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_report fk_report_id_region; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_report
    ADD CONSTRAINT fk_report_id_region FOREIGN KEY (id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_report fk_report_page; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_report
    ADD CONSTRAINT fk_report_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_tiles fk_tiles_page; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_tiles
    ADD CONSTRAINT fk_tiles_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_tiles fk_tiles_region; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_tiles
    ADD CONSTRAINT fk_tiles_region FOREIGN KEY (id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_tree fk_tree_id; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_tree
    ADD CONSTRAINT fk_tree_id FOREIGN KEY (id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_wizard fk_wizard_page; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_wizard
    ADD CONSTRAINT fk_wizard_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_wizard fk_wizard_region; Type: FK CONSTRAINT; Schema: cmp; Owner: xrad_user
--

ALTER TABLE ONLY cmp.t_wizard
    ADD CONSTRAINT fk_wizard_region FOREIGN KEY (id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_actions fk_da_action_event; Type: FK CONSTRAINT; Schema: da; Owner: xrad_user
--

ALTER TABLE ONLY da.t_actions
    ADD CONSTRAINT fk_da_action_event FOREIGN KEY (id_event) REFERENCES da.t_events(id);


--
-- Name: t_actions fk_da_action_page; Type: FK CONSTRAINT; Schema: da; Owner: xrad_user
--

ALTER TABLE ONLY da.t_actions
    ADD CONSTRAINT fk_da_action_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_events fk_da_events_button; Type: FK CONSTRAINT; Schema: da; Owner: xrad_user
--

ALTER TABLE ONLY da.t_events
    ADD CONSTRAINT fk_da_events_button FOREIGN KEY (triggering_button_id) REFERENCES button.t_buttons(id) DEFERRABLE;


--
-- Name: t_events fk_da_events_page; Type: FK CONSTRAINT; Schema: da; Owner: xrad_user
--

ALTER TABLE ONLY da.t_events
    ADD CONSTRAINT fk_da_events_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_events fk_da_events_region; Type: FK CONSTRAINT; Schema: da; Owner: xrad_user
--

ALTER TABLE ONLY da.t_events
    ADD CONSTRAINT fk_da_events_region FOREIGN KEY (triggering_region_id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_events fk_t_events_source; Type: FK CONSTRAINT; Schema: da; Owner: xrad_user
--

ALTER TABLE ONLY da.t_events
    ADD CONSTRAINT fk_t_events_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_data_grids fk_data_grid_page; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_data_grids
    ADD CONSTRAINT fk_data_grid_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_data_grids fk_data_grids_id; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_data_grids
    ADD CONSTRAINT fk_data_grids_id FOREIGN KEY (id) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_dg_columns fk_dg_column_region; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_columns
    ADD CONSTRAINT fk_dg_column_region FOREIGN KEY (id_region) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_dg_columns fk_dg_columns_page_id; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_columns
    ADD CONSTRAINT fk_dg_columns_page_id FOREIGN KEY (id_page) REFERENCES page.t_pages(id) DEFERRABLE;


--
-- Name: t_dg_processing fk_dg_processing_cond; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_processing
    ADD CONSTRAINT fk_dg_processing_cond FOREIGN KEY (condition_type) REFERENCES dict.t_condition_types(cond_code);


--
-- Name: t_dg_processing fk_dg_processing_page; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_processing
    ADD CONSTRAINT fk_dg_processing_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_dg_processing fk_dg_processing_region; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_processing
    ADD CONSTRAINT fk_dg_processing_region FOREIGN KEY (id_region) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_dg_report_columns fk_dg_report_columns_col; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_report_columns
    ADD CONSTRAINT fk_dg_report_columns_col FOREIGN KEY (id_column) REFERENCES dg.t_dg_columns(id) DEFERRABLE;


--
-- Name: t_dg_report_columns t_dg_report_columns_fk; Type: FK CONSTRAINT; Schema: dg; Owner: xrad_user
--

ALTER TABLE ONLY dg.t_dg_report_columns
    ADD CONSTRAINT t_dg_report_columns_fk FOREIGN KEY (id_report) REFERENCES dg.t_dg_reports(id);


--
-- Name: t_component_props fk_component_props_cmp; Type: FK CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_component_props
    ADD CONSTRAINT fk_component_props_cmp FOREIGN KEY (id_component) REFERENCES ds.t_components(id);


--
-- Name: t_component_props fk_component_props_prp; Type: FK CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_component_props
    ADD CONSTRAINT fk_component_props_prp FOREIGN KEY (id_property) REFERENCES ds.t_properties(id);


--
-- Name: t_components fk_components_id; Type: FK CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_components
    ADD CONSTRAINT fk_components_id FOREIGN KEY (parent_comp_id) REFERENCES ds.t_components(id);


--
-- Name: t_propertie_lov_values t_propertie_lov_values_fk; Type: FK CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_propertie_lov_values
    ADD CONSTRAINT t_propertie_lov_values_fk FOREIGN KEY (id_property) REFERENCES ds.t_properties(id);


--
-- Name: t_properties t_properties_fk; Type: FK CONSTRAINT; Schema: ds; Owner: xrad_user
--

ALTER TABLE ONLY ds.t_properties
    ADD CONSTRAINT t_properties_fk FOREIGN KEY (display_group_id) REFERENCES ds.t_display_groups(id) DEFERRABLE;


--
-- Name: t_page_items fk_item_cond_type; Type: FK CONSTRAINT; Schema: item; Owner: xrad_user
--

ALTER TABLE ONLY item.t_page_items
    ADD CONSTRAINT fk_item_cond_type FOREIGN KEY (condition_type) REFERENCES dict.t_condition_types(cond_code);


--
-- Name: t_page_items fk_item_page; Type: FK CONSTRAINT; Schema: item; Owner: xrad_user
--

ALTER TABLE ONLY item.t_page_items
    ADD CONSTRAINT fk_item_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_page_items fk_item_region; Type: FK CONSTRAINT; Schema: item; Owner: xrad_user
--

ALTER TABLE ONLY item.t_page_items
    ADD CONSTRAINT fk_item_region FOREIGN KEY (id_region) REFERENCES region.t_regions(id) DEFERRABLE;


--
-- Name: t_page_items fk_t_page_items_source; Type: FK CONSTRAINT; Schema: item; Owner: xrad_user
--

ALTER TABLE ONLY item.t_page_items
    ADD CONSTRAINT fk_t_page_items_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_list_items fk_id_list_item; Type: FK CONSTRAINT; Schema: list; Owner: xrad_user
--

ALTER TABLE ONLY list.t_list_items
    ADD CONSTRAINT fk_id_list_item FOREIGN KEY (id_list) REFERENCES list.t_lists(id);


--
-- Name: t_list_items fk_id_list_parent; Type: FK CONSTRAINT; Schema: list; Owner: xrad_user
--

ALTER TABLE ONLY list.t_list_items
    ADD CONSTRAINT fk_id_list_parent FOREIGN KEY (id_parent) REFERENCES list.t_list_items(id) DEFERRABLE;


--
-- Name: t_list_items fk_t_list_items_source; Type: FK CONSTRAINT; Schema: list; Owner: xrad_user
--

ALTER TABLE ONLY list.t_list_items
    ADD CONSTRAINT fk_t_list_items_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_lists fk_t_lists_source; Type: FK CONSTRAINT; Schema: list; Owner: xrad_user
--

ALTER TABLE ONLY list.t_lists
    ADD CONSTRAINT fk_t_lists_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_page_downloads fk_dwnld_page; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_downloads
    ADD CONSTRAINT fk_dwnld_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_page_branches fk_page_branches_page; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_branches
    ADD CONSTRAINT fk_page_branches_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_page_validations fk_page_validation_page; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_validations
    ADD CONSTRAINT fk_page_validation_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_rest_calls fk_rest_calls_cond; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_rest_calls
    ADD CONSTRAINT fk_rest_calls_cond FOREIGN KEY (condition_type) REFERENCES dict.t_condition_types(cond_code);


--
-- Name: t_rest_calls fk_rest_calls_page; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_rest_calls
    ADD CONSTRAINT fk_rest_calls_page FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_rest_calls fk_rest_calls_source; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_rest_calls
    ADD CONSTRAINT fk_rest_calls_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_page_branches fk_t_page_branches_source; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_branches
    ADD CONSTRAINT fk_t_page_branches_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_page_downloads fk_t_page_downloads_source; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_downloads
    ADD CONSTRAINT fk_t_page_downloads_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_page_processing fk_t_page_processing_source; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_processing
    ADD CONSTRAINT fk_t_page_processing_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_page_validations fk_t_page_validations_source; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_validations
    ADD CONSTRAINT fk_t_page_validations_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: t_page_processing t_page_processing_fk; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_processing
    ADD CONSTRAINT t_page_processing_fk FOREIGN KEY (condition_type) REFERENCES dict.t_condition_types(cond_code);


--
-- Name: t_page_processing t_page_processing_fk1; Type: FK CONSTRAINT; Schema: page; Owner: xrad_user
--

ALTER TABLE ONLY page.t_page_processing
    ADD CONSTRAINT t_page_processing_fk1 FOREIGN KEY (id_page) REFERENCES page.t_pages(id);


--
-- Name: t_regions fk_t_regions_source; Type: FK CONSTRAINT; Schema: region; Owner: xrad_user
--

ALTER TABLE ONLY region.t_regions
    ADD CONSTRAINT fk_t_regions_source FOREIGN KEY (id_source) REFERENCES app.t_data_sources(id) DEFERRABLE;


--
-- Name: SCHEMA debug; Type: ACL; Schema: -; Owner: xrad_user
--

REVOKE ALL ON SCHEMA debug FROM xrad_user;


--
-- Name: SCHEMA ds; Type: ACL; Schema: -; Owner: xrad_user
--

REVOKE ALL ON SCHEMA ds FROM xrad_user;


--
-- Name: SCHEMA export; Type: ACL; Schema: -; Owner: xrad_user
--

REVOKE ALL ON SCHEMA export FROM xrad_user;


--
-- Name: SCHEMA utils; Type: ACL; Schema: -; Owner: xrad_user
--

REVOKE ALL ON SCHEMA utils FROM xrad_user;


--
-- Name: TABLE t_app_processing; Type: ACL; Schema: app; Owner: xrad_user
--

REVOKE ALL ON TABLE app.t_app_processing FROM xrad_user;


--
-- Name: FUNCTION get_processings(p_type character varying, p_request character varying); Type: ACL; Schema: app; Owner: xrad_user
--

REVOKE ALL ON FUNCTION app.get_processings(p_type character varying, p_request character varying) FROM PUBLIC;
REVOKE ALL ON FUNCTION app.get_processings(p_type character varying, p_request character varying) FROM xrad_user;


--
-- Name: FUNCTION create_button(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_button(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_button(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_card(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_card(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_card(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_chart(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_chart(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_chart(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_chart_series(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_chart_series(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_chart_series(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_da_action(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_da_action(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_da_action(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_da_event(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_da_event(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_da_event(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_page(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_page(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_page(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_page_item(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_page_item(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_page_item(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_page_processing(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_page_processing(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_page_processing(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_page_validation(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_page_validation(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_page_validation(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_region(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_region(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_region(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_report(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_report(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_report(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_report_column(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_report_column(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_report_column(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_tree(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_tree(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_tree(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION create_wizard(p_id uuid); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.create_wizard(p_id uuid) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.create_wizard(p_id uuid) FROM xrad_user;


--
-- Name: FUNCTION write_call(p_proc_name character varying); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.write_call(p_proc_name character varying) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.write_call(p_proc_name character varying) FROM xrad_user;


--
-- Name: FUNCTION write_call_end(); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.write_call_end() FROM PUBLIC;
REVOKE ALL ON FUNCTION export.write_call_end() FROM xrad_user;


--
-- Name: FUNCTION write_param(p_param character varying, p_value character varying[], p_comma boolean); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value character varying[], p_comma boolean) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value character varying[], p_comma boolean) FROM xrad_user;


--
-- Name: FUNCTION write_param(p_param character varying, p_value boolean, p_comma boolean); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value boolean, p_comma boolean) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value boolean, p_comma boolean) FROM xrad_user;


--
-- Name: FUNCTION write_param(p_param character varying, p_value bigint, p_comma boolean); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value bigint, p_comma boolean) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value bigint, p_comma boolean) FROM xrad_user;


--
-- Name: FUNCTION write_param(p_param character varying, p_value timestamp without time zone, p_comma boolean); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value timestamp without time zone, p_comma boolean) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value timestamp without time zone, p_comma boolean) FROM xrad_user;


--
-- Name: FUNCTION write_param(p_param character varying, p_value character varying, p_comma boolean); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value character varying, p_comma boolean) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.write_param(p_param character varying, p_value character varying, p_comma boolean) FROM xrad_user;


--
-- Name: FUNCTION write_perform(p_func_name character varying); Type: ACL; Schema: export; Owner: xrad_user
--

REVOKE ALL ON FUNCTION export.write_perform(p_func_name character varying) FROM PUBLIC;
REVOKE ALL ON FUNCTION export.write_perform(p_func_name character varying) FROM xrad_user;


--
-- Name: PROCEDURE p_delete_list(IN p_id bigint); Type: ACL; Schema: list; Owner: xrad_user
--

REVOKE ALL ON PROCEDURE list.p_delete_list(IN p_id bigint) FROM PUBLIC;
REVOKE ALL ON PROCEDURE list.p_delete_list(IN p_id bigint) FROM xrad_user;


--
-- Name: FUNCTION f_get_link(p_link text, p_selector character varying); Type: ACL; Schema: utils; Owner: xrad_user
--

REVOKE ALL ON FUNCTION utils.f_get_link(p_link text, p_selector character varying) FROM PUBLIC;
REVOKE ALL ON FUNCTION utils.f_get_link(p_link text, p_selector character varying) FROM xrad_user;


--
-- Name: SEQUENCE t_app_users_id_user_seq; Type: ACL; Schema: app; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE app.t_app_users_id_user_seq FROM xrad_user;


--
-- Name: TABLE t_messages; Type: ACL; Schema: debug; Owner: xrad_user
--

REVOKE ALL ON TABLE debug.t_messages FROM xrad_user;


--
-- Name: SEQUENCE t_messages_id_seq; Type: ACL; Schema: debug; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE debug.t_messages_id_seq FROM xrad_user;


--
-- Name: SEQUENCE view_id_seq; Type: ACL; Schema: debug; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE debug.view_id_seq FROM xrad_user;


--
-- Name: SEQUENCE t_comp_prop_dep_id_seq; Type: ACL; Schema: ds; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE ds.t_comp_prop_dep_id_seq FROM xrad_user;


--
-- Name: SEQUENCE t_component_props_id_seq; Type: ACL; Schema: ds; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE ds.t_component_props_id_seq FROM xrad_user;


--
-- Name: SEQUENCE t_components_id_seq; Type: ACL; Schema: ds; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE ds.t_components_id_seq FROM xrad_user;


--
-- Name: SEQUENCE t_lang_text_id_seq; Type: ACL; Schema: ds; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE ds.t_lang_text_id_seq FROM xrad_user;


--
-- Name: SEQUENCE t_propertie_lov_values_id_seq; Type: ACL; Schema: ds; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE ds.t_propertie_lov_values_id_seq FROM xrad_user;


--
-- Name: SEQUENCE t_properties_id_seq; Type: ACL; Schema: ds; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE ds.t_properties_id_seq FROM xrad_user;


--
-- Name: SEQUENCE table_id_seq; Type: ACL; Schema: ds; Owner: xrad_user
--

REVOKE ALL ON SEQUENCE ds.table_id_seq FROM xrad_user;


--
-- PostgreSQL database dump complete
--

